# This is an automatically generate file by the R module for SWIG.

##   Generated via the command line invocation:
##	 /usr/local/bin/rswig -r -c++ -I../SWIG -o QuantLib.cpp quantlib.i


#                         srun.swg                            #
#
# This is the basic code that is needed at run time within R to
# provide and define the relevant classes.  It is included
# automatically in the generated code by copying the contents of
# srun.swg into the newly created binding code.


# This could be provided as a separate run-time library but this
# approach allows the code to to be included directly into the
# generated bindings and so removes the need to have and install an
# additional library.  We may however end up with multiple copies of
# this and some confusion at run-time as to which class to use. This
# is an issue when we use NAMESPACES as we may need to export certain
# classes.

######################################################################


if(length(getClassDef("RSWIGStruct")) == 0) 
  setClass("RSWIGStruct", representation("VIRTUAL"))



if(length(getClassDef("ExternalReference")) == 0) 
# Should be virtual but this means it loses its slots currently
#representation("VIRTUAL")
  setClass("ExternalReference")


if(length(getClassDef("NativeRoutinePointer")) == 0) 
  setClass("NativeRoutinePointer", 
              representation(parameterTypes = "character",
                             returnType = "character",
                             "VIRTUAL"), 
              contains = "ExternalReference")

if(length(getClassDef("CRoutinePointer")) == 0) 
  setClass("CRoutinePointer", contains = "NativeRoutinePointer")


if(length(getClassDef("EnumerationValue")) == 0) 
  setClass("EnumerationValue", contains = "integer")


if(!isGeneric("copyToR")) 
 setGeneric("copyToR",
            function(value, obj = new(gsub("Ref$", "", class(value)))) 
               standardGeneric("copyToR"
           ))


SWIG_createNewRef = 
function(className, ..., append = TRUE)
{
  f = get(paste("new", className, sep = "_"), mode = "function")

  f(...)
}

if(!isGeneric("copyToC")) 
 setGeneric("copyToC", 
             function(value, obj = RSWIG_createNewRef(class(value)))
              standardGeneric("copyToC"
            ))


# 
defineEnumeration =
function(name, .values, where = topenv(parent.frame()), suffix = "Value")
{
   # Mirror the class definitions via the E analogous to .__C__
  defName = paste(".__E__", name, sep = "")
  assign(defName,  .values,  envir = where)

  if(nchar(suffix))
    name = paste(name, suffix, sep = "")

  setClass(name, contains = "EnumerationValue", where = where)
}

enumToInteger <- function(name,type)
{
   if (is.character(name)) {
   ans <- as.integer(get(paste(".__E__", type, sep = ""))[name])
   if (is.na(ans)) {warning("enum not found ", name, " ", type)}
   ans
   } 
}

enumFromInteger =
function(i,type)
{
  itemlist <- get(paste(".__E__", type, sep=""))
  names(itemlist)[match(i, itemlist)]
}

coerceIfNotSubclass =
function(obj, type) 
{
    if(!is(obj, type)) {as(obj, type)}
}


setClass("SWIGArray", representation(dims = "integer"), contains = "ExternalReference")

setMethod("length", "SWIGArray", function(x) x@dims[1])


defineEnumeration("SCopyReferences",
                   .values = c( "FALSE" = 0, "TRUE" = 1, "DEEP" = 2))

assert = 
function(condition, message = "")
{
  if(!condition)
    stop(message)

  TRUE
}


if(FALSE) {
print.SWIGFunction =
function(x, ...)
 {
 }
}


#######################################################################

R_SWIG_getCallbackFunctionStack =
function()
{
    # No PACKAGE argument as we don't know what the DLL is.
  .Call("R_SWIG_debug_getCallbackFunctionData")
}

R_SWIG_addCallbackFunctionStack =
function(fun, userData = NULL)
{
    # No PACKAGE argument as we don't know what the DLL is.
  .Call("R_SWIG_R_pushCallbackFunctionData", fun, userData)
}



#######################################################################


setClass('C++Reference', contains = 'ExternalReference')
setClass('_p_boost__shared_ptrTObservable_t', contains = 'C++Reference')
setClass('_p_Array', contains = 'C++Reference')
setClass('_p_LexicographicalView', contains = 'C++Reference')
setClass('_p_Matrix', contains = 'C++Reference')
setClass('_p_SalvagingAlgorithm', contains = 'ExternalReference')
setClass('_p_SVD', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTQuote_t', contains = 'C++Reference')
setClass('_p_HandleTQuote_t', contains = 'C++Reference')
setClass('_p_SimpleQuotePtr', contains = c('_p_boost__shared_ptrTQuote_t'))
setClass('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', contains = 'C++Reference')
setClass('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', contains = 'C++Reference')
setClass('_p_Period', contains = 'C++Reference')
setClass('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', contains = 'C++Reference')
setClass('_p_Date', contains = 'C++Reference')
setClass('_p_std__vectorTDate_std__allocatorTDate_t_t', contains = 'C++Reference')
setClass('_p_DayCounter', contains = 'C++Reference')
setClass('_p_QuantLib__Actual360', contains = c('_p_DayCounter'))
setClass('_p_QuantLib__Actual365Fixed', contains = c('_p_DayCounter'))
setClass('_p_QuantLib__Thirty360', contains = c('_p_DayCounter'))
setClass('_p_QuantLib__ActualActual', contains = c('_p_DayCounter'))
setClass('_p_QuantLib__OneDayCounter', contains = c('_p_DayCounter'))
setClass('_p_QuantLib__SimpleDayCounter', contains = c('_p_DayCounter'))
setClass('_p_InterestRate', contains = 'C++Reference')
setClass('_p_Calendar', contains = 'C++Reference')
setClass('_p_QuantLib__Argentina', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Australia', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Canada', contains = c('_p_Calendar'))
setClass('_p_QuantLib__China', contains = c('_p_Calendar'))
setClass('_p_QuantLib__CzechRepublic', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Denmark', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Finland', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Germany', contains = c('_p_Calendar'))
setClass('_p_QuantLib__HongKong', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Hungary', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Iceland', contains = c('_p_Calendar'))
setClass('_p_QuantLib__India', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Indonesia', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Italy', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Japan', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Mexico', contains = c('_p_Calendar'))
setClass('_p_QuantLib__NewZealand', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Norway', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Poland', contains = c('_p_Calendar'))
setClass('_p_QuantLib__SaudiArabia', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Singapore', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Slovakia', contains = c('_p_Calendar'))
setClass('_p_QuantLib__SouthAfrica', contains = c('_p_Calendar'))
setClass('_p_QuantLib__SouthKorea', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Sweden', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Switzerland', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Taiwan', contains = c('_p_Calendar'))
setClass('_p_QuantLib__TARGET', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Turkey', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Ukraine', contains = c('_p_Calendar'))
setClass('_p_QuantLib__UnitedKingdom', contains = c('_p_Calendar'))
setClass('_p_QuantLib__UnitedStates', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Beijing', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Bombay', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Bratislava', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Brazil', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Budapest', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Copenhagen', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Helsinki', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Istanbul', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Johannesburg', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Oslo', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Prague', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Riyadh', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Seoul', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Stockholm', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Sydney', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Taipei', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Tokyo', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Toronto', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Warsaw', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Wellington', contains = c('_p_Calendar'))
setClass('_p_QuantLib__Zurich', contains = c('_p_Calendar'))
setClass('_p_QuantLib__NullCalendar', contains = c('_p_Calendar'))
setClass('_p_QuantLib__JointCalendar', contains = c('_p_Calendar'))
setClass('_p_Rounding', contains = 'C++Reference')
setClass('_p_UpRounding', contains = c('_p_Rounding'))
setClass('_p_DownRounding', contains = c('_p_Rounding'))
setClass('_p_ClosestRounding', contains = c('_p_Rounding'))
setClass('_p_CeilingTruncation', contains = c('_p_Rounding'))
setClass('_p_FloorTruncation', contains = c('_p_Rounding'))
setClass('_p_Currency', contains = 'C++Reference')
setClass('_p_QuantLib__ARSCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__ATSCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__AUDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__BDTCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__BEFCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__BGLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__BRLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__BYRCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__CADCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__CHFCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__CLPCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__CNYCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__COPCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__CYPCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__CZKCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__DEMCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__DKKCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__EEKCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__ESPCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__EURCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__FIMCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__FRFCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__GBPCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__GRDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__HKDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__HUFCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__IEPCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__ILSCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__INRCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__IQDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__IRRCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__ISKCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__ITLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__JPYCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__KRWCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__KWDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__LTLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__LUFCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__LVLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__MTLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__MXNCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__NLGCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__NOKCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__NPRCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__NZDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__PKRCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__PLNCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__PTECurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__ROLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__SARCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__SEKCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__SGDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__SITCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__SKKCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__THBCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__TRLCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__TRYCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__TTDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__TWDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__USDCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__VEBCurrency', contains = c('_p_Currency'))
setClass('_p_QuantLib__ZARCurrency', contains = c('_p_Currency'))
setClass('_p_SafeLinearInterpolation', contains = 'C++Reference')
setClass('_p_SafeLogLinearInterpolation', contains = 'C++Reference')
setClass('_p_SafeBackwardFlatInterpolation', contains = 'C++Reference')
setClass('_p_SafeForwardFlatInterpolation', contains = 'C++Reference')
setClass('_p_SafeNaturalCubicSpline', contains = 'C++Reference')
setClass('_p_SafeNaturalMonotonicCubicSpline', contains = 'C++Reference')
setClass('_p_SafeBilinearInterpolation', contains = 'C++Reference')
setClass('_p_SafeBicubicSpline', contains = 'C++Reference')
setClass('_p_BackwardFlat', contains = 'ExternalReference')
setClass('_p_ForwardFlat', contains = 'ExternalReference')
setClass('_p_Linear', contains = 'ExternalReference')
setClass('_p_LogLinear', contains = 'ExternalReference')
setClass('_p_Cubic', contains = 'ExternalReference')
setClass('_p_boost__shared_ptrTYieldTermStructure_t', contains = 'C++Reference')
setClass('_p_HandleTYieldTermStructure_t', contains = 'C++Reference')
setClass('_p_ImpliedTermStructurePtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_ZeroSpreadedTermStructurePtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_ForwardSpreadedTermStructurePtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_FlatForwardPtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_boost__shared_ptrTBlackModel_t', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTPricingEngine_t', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTInstrument_t', contains = 'C++Reference')
setClass('_p_StockPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_std__vectorTint_std__allocatorTint_t_t', contains = 'C++Reference')
setClass('_p_std__vectorTdouble_std__allocatorTdouble_t_t', contains = 'C++Reference')
setClass('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', contains = 'C++Reference')
setClass('_p_HistoryEntry', contains = 'C++Reference')
setClass('_p_History', contains = 'C++Reference')
setClass('_p_IndexManager', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTIndex_t', contains = 'C++Reference')
setClass('_p_XiborPtr', contains = c('_p_boost__shared_ptrTIndex_t'))
setClass('_p_AUDLiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_CADLiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_CdorPtr', contains = c('_p_XiborPtr'))
setClass('_p_CHFLiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_EuriborPtr', contains = c('_p_XiborPtr'))
setClass('_p_GBPLiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_JibarPtr', contains = c('_p_XiborPtr'))
setClass('_p_JPYLiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_TiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_TRLiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_USDLiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_ZiborPtr', contains = c('_p_XiborPtr'))
setClass('_p_Schedule', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTBlackVolTermStructure_t', contains = 'C++Reference')
setClass('_p_HandleTBlackVolTermStructure_t', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTLocalVolTermStructure_t', contains = 'C++Reference')
setClass('_p_HandleTLocalVolTermStructure_t', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTCapletVolatilityStructure_t', contains = 'C++Reference')
setClass('_p_HandleTCapletVolatilityStructure_t', contains = 'C++Reference')
setClass('_p_BlackConstantVolPtr', contains = c('_p_boost__shared_ptrTBlackVolTermStructure_t'))
setClass('_p_BlackVarianceSurfacePtr', contains = c('_p_boost__shared_ptrTBlackVolTermStructure_t'))
setClass('_p_LocalConstantVolPtr', contains = c('_p_boost__shared_ptrTLocalVolTermStructure_t'))
setClass('_p_CapletConstantVolatilityPtr', contains = c('_p_boost__shared_ptrTCapletVolatilityStructure_t'))
setClass('_p_boost__shared_ptrTCashFlow_t', contains = 'C++Reference')
setClass('_p_SimpleCashFlowPtr', contains = c('_p_boost__shared_ptrTCashFlow_t'))
setClass('_p_FixedRateCouponPtr', contains = c('_p_boost__shared_ptrTCashFlow_t'))
setClass('_p_ParCouponPtr', contains = c('_p_boost__shared_ptrTCashFlow_t'))
setClass('_p_FloatingRateCouponPtr', contains = c('_p_boost__shared_ptrTCashFlow_t'))
setClass('_p_IndexedCouponPtr', contains = c('_p_FloatingRateCouponPtr'))
setClass('_p_UpFrontIndexedCouponPtr', contains = c('_p_IndexedCouponPtr'))
setClass('_p_InArrearIndexedCouponPtr', contains = c('_p_IndexedCouponPtr'))
setClass('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', contains = 'C++Reference')
setClass('_p_Duration', contains = 'ExternalReference')
setClass('_p_Cashflows', contains = 'C++Reference')
setClass('_p_BondPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_ZeroCouponBondPtr', contains = c('_p_BondPtr'))
setClass('_p_FixedCouponBondPtr', contains = c('_p_BondPtr'))
setClass('_p_FloatingRateBondPtr', contains = c('_p_BondPtr'))
setClass('_p_Price', contains = 'C++Reference')
setClass('_p_Callability', contains = 'C++Reference')
setClass('_p_std__vectorTCallability_std__allocatorTCallability_t_t', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTExercise_t', contains = 'C++Reference')
setClass('_p_EuropeanExercisePtr', contains = c('_p_boost__shared_ptrTExercise_t'))
setClass('_p_AmericanExercisePtr', contains = c('_p_boost__shared_ptrTExercise_t'))
setClass('_p_BermudanExercisePtr', contains = c('_p_boost__shared_ptrTExercise_t'))
setClass('_p_boost__shared_ptrTStochasticProcess_t', contains = 'C++Reference')
setClass('_p_StochasticProcess1DPtr', contains = c('_p_boost__shared_ptrTStochasticProcess_t'))
setClass('_p_BlackScholesProcessPtr', contains = c('_p_StochasticProcess1DPtr'))
setClass('_p_Merton76ProcessPtr', contains = c('_p_StochasticProcess1DPtr'))
setClass('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', contains = 'C++Reference')
setClass('_p_Option', contains = 'C++Reference')
setClass('_p_Barrier', contains = 'ExternalReference')
setClass('_p_boost__shared_ptrTPayoff_t', contains = 'C++Reference')
setClass('_p_VanillaOptionPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_EuropeanOptionPtr', contains = c('_p_VanillaOptionPtr'))
setClass('_p_AnalyticEuropeanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_IntegralEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_FDEuropeanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_BinomialVanillaEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_MCEuropeanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_FDAmericanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_FDShoutEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_BaroneAdesiWhaleyApproximationEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_BjerksundStenslandApproximationEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_AnalyticDigitalAmericanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_DividendVanillaOptionPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_AnalyticDividendEuropeanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_FDDividendEuropeanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_FDDividendAmericanEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_BarrierOptionPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_AnalyticBarrierEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_MCBarrierEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_CapFloorPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_CapPtr', contains = c('_p_CapFloorPtr'))
setClass('_p_FloorPtr', contains = c('_p_CapFloorPtr'))
setClass('_p_CollarPtr', contains = c('_p_CapFloorPtr'))
setClass('_p_BlackCapFloorEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_CompoundForwardPtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_FixedDividendPtr', contains = c('_p_boost__shared_ptrTCashFlow_t'))
setClass('_p_FractionalDividendPtr', contains = c('_p_boost__shared_ptrTCashFlow_t'))
setClass('_p_DividendSchedule', contains = 'C++Reference')
setClass('_p_ConvertibleZeroCouponBondPtr', contains = c('_p_BondPtr'))
setClass('_p_ConvertibleFixedCouponBondPtr', contains = c('_p_BondPtr'))
setClass('_p_ConvertibleFloatingRateBondPtr', contains = c('_p_BondPtr'))
setClass('_p_BinomialConvertibleEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_DiscountCurvePtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_NormalDistribution', contains = 'C++Reference')
setClass('_p_CumulativeNormalDistribution', contains = 'C++Reference')
setClass('_p_InverseCumulativeNormal', contains = 'C++Reference')
setClass('_p_MoroInverseCumulativeNormal', contains = 'C++Reference')
setClass('_p_Money', contains = 'C++Reference')
setClass('_p_ExchangeRate', contains = 'C++Reference')
setClass('_p_ExchangeRateManager', contains = 'C++Reference')
setClass('_p_ForwardCurvePtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_TimeGrid', contains = 'C++Reference')
setClass('_p_SegmentIntegral', contains = 'C++Reference')
setClass('_p_TrapezoidIntegral', contains = 'C++Reference')
setClass('_p_SimpsonIntegral', contains = 'C++Reference')
setClass('_p_KronrodIntegral', contains = 'C++Reference')
setClass('_p_SampleTdouble_t', contains = 'C++Reference')
setClass('_p_SampleTArray_t', contains = 'C++Reference')
setClass('_p_LecuyerUniformRng', contains = 'C++Reference')
setClass('_p_KnuthUniformRng', contains = 'C++Reference')
setClass('_p_MersenneTwisterUniformRng', contains = 'C++Reference')
setClass('_p_UniformRandomGenerator', contains = 'C++Reference')
setClass('_p_CLGaussianRngTLecuyerUniformRng_t', contains = 'C++Reference')
setClass('_p_CLGaussianRngTKnuthUniformRng_t', contains = 'C++Reference')
setClass('_p_CLGaussianRngTMersenneTwisterUniformRng_t', contains = 'C++Reference')
setClass('_p_BoxMullerGaussianRngTLecuyerUniformRng_t', contains = 'C++Reference')
setClass('_p_BoxMullerGaussianRngTKnuthUniformRng_t', contains = 'C++Reference')
setClass('_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_GaussianRandomGenerator', contains = 'C++Reference')
setClass('_p_HaltonRsg', contains = 'C++Reference')
setClass('_p_SobolRsg', contains = 'C++Reference')
setClass('_p_RandomSequenceGeneratorTLecuyerUniformRng_t', contains = 'C++Reference')
setClass('_p_RandomSequenceGeneratorTKnuthUniformRng_t', contains = 'C++Reference')
setClass('_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t', contains = 'C++Reference')
setClass('_p_UniformRandomSequenceGenerator', contains = 'C++Reference')
setClass('_p_UniformLowDiscrepancySequenceGenerator', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t', contains = 'C++Reference')
setClass('_p_GaussianRandomSequenceGenerator', contains = 'C++Reference')
setClass('_p_GaussianLowDiscrepancySequenceGenerator', contains = 'C++Reference')
setClass('_p_Path', contains = 'C++Reference')
setClass('_p_SampleTPath_t', contains = 'C++Reference')
setClass('_p_GaussianPathGenerator', contains = 'C++Reference')
setClass('_p_MultiPath', contains = 'C++Reference')
setClass('_p_SampleTMultiPath_t', contains = 'C++Reference')
setClass('_p_GaussianMultiPathGenerator', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTBoundaryCondition_t', contains = 'C++Reference')
setClass('_p_NeumannBCPtr', contains = c('_p_boost__shared_ptrTBoundaryCondition_t'))
setClass('_p_DirichletBCPtr', contains = c('_p_boost__shared_ptrTBoundaryCondition_t'))
setClass('_p_TridiagonalOperator', contains = 'C++Reference')
setClass('_p_DPlus', contains = c('_p_TridiagonalOperator'))
setClass('_p_DMinus', contains = c('_p_TridiagonalOperator'))
setClass('_p_DZero', contains = c('_p_TridiagonalOperator'))
setClass('_p_DPlusDMinus', contains = c('_p_TridiagonalOperator'))
setClass('_p_Brent', contains = 'C++Reference')
setClass('_p_Bisection', contains = 'C++Reference')
setClass('_p_FalsePosition', contains = 'C++Reference')
setClass('_p_Ridder', contains = 'C++Reference')
setClass('_p_Secant', contains = 'C++Reference')
setClass('_p_Constraint', contains = 'C++Reference')
setClass('_p_BoundaryConstraint', contains = c('_p_Constraint'))
setClass('_p_NoConstraint', contains = c('_p_Constraint'))
setClass('_p_PositiveConstraint', contains = c('_p_Constraint'))
setClass('_p_EndCriteria', contains = 'C++Reference')
setClass('_p_OptimizationMethod', contains = 'C++Reference')
setClass('_p_ConjugateGradient', contains = c('_p_OptimizationMethod'))
setClass('_p_Simplex', contains = c('_p_OptimizationMethod'))
setClass('_p_SteepestDescent', contains = c('_p_OptimizationMethod'))
setClass('_p_Optimizer', contains = 'C++Reference')
setClass('_p_PlainVanillaPayoffPtr', contains = c('_p_boost__shared_ptrTPayoff_t'))
setClass('_p_PercentageStrikePayoffPtr', contains = c('_p_boost__shared_ptrTPayoff_t'))
setClass('_p_CashOrNothingPayoffPtr', contains = c('_p_boost__shared_ptrTPayoff_t'))
setClass('_p_AssetOrNothingPayoffPtr', contains = c('_p_boost__shared_ptrTPayoff_t'))
setClass('_p_SuperSharePayoffPtr', contains = c('_p_boost__shared_ptrTPayoff_t'))
setClass('_p_GapPayoffPtr', contains = c('_p_boost__shared_ptrTPayoff_t'))
setClass('_p_boost__shared_ptrTRateHelper_t', contains = 'C++Reference')
setClass('_p_DepositRateHelperPtr', contains = c('_p_boost__shared_ptrTRateHelper_t'))
setClass('_p_FraRateHelperPtr', contains = c('_p_boost__shared_ptrTRateHelper_t'))
setClass('_p_FuturesRateHelperPtr', contains = c('_p_boost__shared_ptrTRateHelper_t'))
setClass('_p_SwapRateHelperPtr', contains = c('_p_boost__shared_ptrTRateHelper_t'))
setClass('_p_FixedCouponBondHelperPtr', contains = c('_p_boost__shared_ptrTRateHelper_t'))
setClass('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', contains = 'C++Reference')
setClass('_p_Discount', contains = 'ExternalReference')
setClass('_p_ZeroYield', contains = 'ExternalReference')
setClass('_p_ForwardRate', contains = 'ExternalReference')
setClass('_p_PiecewiseFlatForwardPtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_Settings', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTCalibrationHelper_t', contains = 'C++Reference')
setClass('_p_SwaptionHelperPtr', contains = c('_p_boost__shared_ptrTCalibrationHelper_t'))
setClass('_p_CapHelperPtr', contains = c('_p_boost__shared_ptrTCalibrationHelper_t'))
setClass('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTShortRateModel_t', contains = 'C++Reference')
setClass('_p_HullWhitePtr', contains = c('_p_boost__shared_ptrTShortRateModel_t'))
setClass('_p_BlackKarasinskiPtr', contains = c('_p_boost__shared_ptrTShortRateModel_t'))
setClass('_p_G2Ptr', contains = c('_p_boost__shared_ptrTShortRateModel_t'))
setClass('_p_JamshidianSwaptionEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_TreeSwaptionEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_AnalyticCapFloorEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_TreeCapFloorEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_G2SwaptionEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_Statistics', contains = 'C++Reference')
setClass('_p_RiskStatistics', contains = c('_p_Statistics'))
setClass('_p_SequenceStatisticsTStatistics_t', contains = 'C++Reference')
setClass('_p_TimeBasket', contains = 'C++Reference')
setClass('_p_SwapPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_SimpleSwapPtr', contains = c('_p_SwapPtr'))
setClass('_p_SwaptionPtr', contains = c('_p_boost__shared_ptrTInstrument_t'))
setClass('_p_BlackSwaptionEnginePtr', contains = c('_p_boost__shared_ptrTPricingEngine_t'))
setClass('_p_ZeroCurvePtr', contains = c('_p_boost__shared_ptrTYieldTermStructure_t'))
setClass('_p_DiscreteGeometricASO', contains = 'C++Reference')
setClass('_p_McDiscreteArithmeticASO', contains = 'C++Reference')
setClass('_p_McMaxBasket', contains = 'C++Reference')
setClass('_p_McHimalaya', contains = 'C++Reference')
setClass('_p_McEverest', contains = 'C++Reference')
setClass('_p_McPagoda', contains = 'C++Reference')
setClass('_p_boost__shared_ptrTSwaptionVolatilityStructure_t', contains = 'C++Reference')
setClass('_p_HandleTSwaptionVolatilityStructure_t', contains = 'C++Reference')
setClass('_p_SwaptionVolatilityMatrixPtr', contains = c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t'))
setClass('_p_boost__shared_ptrTCapVolatilityStructure_t', contains = 'C++Reference')
setClass('_p_HandleTCapVolatilityStructure_t', contains = 'C++Reference')
setClass('_p_CapVolatilityVectorPtr', contains = c('_p_boost__shared_ptrTCapVolatilityStructure_t'))



setMethod("as.character", "C++Reference",
function(x) {if (!is.null(x$"__str__")) {x$"__str__"()}
else callNextMethod()})

setMethod("show", "C++Reference",
function(object) {if (!is.null(object$"__str__")) {print(object$"__str__"())}
else callNextMethod()})

setMethod('[', "C++Reference",
function(x,i,j, ..., drop=TRUE) 
if (!is.null(x$"__getitem__")) 
sapply(i, function(n) x$"__getitem__"(i=as.integer(n-1)))
 else callNextMethod())

setMethod('[<-', 'C++Reference',
function(x,i,j, ..., value) 
if (!is.null(x$"__setitem__")) {
sapply(1:length(i), function(n) 
x$"__setitem__"(i=as.integer(i[n]-1), x=value[n]))
x
} else callNextMethod())

# Start of Observable___deref__

Observable___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTObservable_t") 
  ans = .Call('R_swig_Observable___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_Observable"
  
  ans
  
}
# End of Observable___deref__


attr(Observable___deref__, 'returnType') = '_p_Observable'
attr(Observable___deref__, "inputTypes") = c('_p_boost__shared_ptrTObservable_t')
class(Observable___deref__) = c("SWIGFunction", class(Observable___deref__))

# Start of Observable_isNull

Observable_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTObservable_t") 
  .Call('R_swig_Observable_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Observable_isNull


attr(Observable_isNull, 'returnType') = 'logical'
attr(Observable_isNull, "inputTypes") = c('_p_boost__shared_ptrTObservable_t')
class(Observable_isNull) = c("SWIGFunction", class(Observable_isNull))

# Start of new_Observable

Observable = function()
{
  ans = .Call('R_swig_new_Observable', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of new_Observable


attr(Observable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
class(Observable) = c("SWIGFunction", class(Observable))

# Start of delete_Observable

delete_Observable = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTObservable_t") 
  .Call('R_swig_delete_Observable', self, PACKAGE='QuantLib')
  
}
# End of delete_Observable


attr(delete_Observable, 'returnType') = 'void'
attr(delete_Observable, "inputTypes") = c('_p_boost__shared_ptrTObservable_t')
class(delete_Observable) = c("SWIGFunction", class(delete_Observable))

# Start of accessor method for boost::shared_ptr<(Observable)>
setMethod('$', '_p_boost__shared_ptrTObservable_t', function(x, name)

{
  accessorFuns = list('operator ->' = Observable___deref__, 'isNull' = Observable_isNull)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(Observable)>
setGeneric('Array', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Array'))
attr(Array, 'returnType') = '_p_Array'
setMethod('Array', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Array__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}

)
setMethod('Array', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_Array__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}

)
setMethod('Array', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Array__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}

)
setMethod('Array', c('_p_Array', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_Array") 
  ans = .Call('R_swig_new_Array__SWIG_3', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}

)
# Start of Array_size

Array_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Array") 
  .Call('R_swig_Array_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Array_size


attr(Array_size, 'returnType') = 'numeric'
attr(Array_size, "inputTypes") = c('_p_Array')
class(Array_size) = c("SWIGFunction", class(Array_size))

# Start of Array___str__

Array___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Array") 
  .Call('R_swig_Array___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Array___str__


attr(Array___str__, 'returnType') = 'character'
attr(Array___str__, "inputTypes") = c('_p_Array')
class(Array___str__) = c("SWIGFunction", class(Array___str__))

# Start of delete_Array

delete_Array = function(self)
{
  coerceIfNotSubclass(self, "_p_Array") 
  .Call('R_swig_delete_Array', self, PACKAGE='QuantLib')
  
}
# End of delete_Array


attr(delete_Array, 'returnType') = 'void'
attr(delete_Array, "inputTypes") = c('_p_Array')
class(delete_Array) = c("SWIGFunction", class(delete_Array))

# Start of accessor method for Array
setMethod('$', '_p_Array', function(x, name)

{
  accessorFuns = list('size' = Array_size, '__str__' = Array___str__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Array
# Start of LexicographicalView_xSize

LexicographicalView_xSize = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_LexicographicalView") 
  .Call('R_swig_LexicographicalView_xSize', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LexicographicalView_xSize


attr(LexicographicalView_xSize, 'returnType') = 'numeric'
attr(LexicographicalView_xSize, "inputTypes") = c('_p_LexicographicalView')
class(LexicographicalView_xSize) = c("SWIGFunction", class(LexicographicalView_xSize))

# Start of LexicographicalView_ySize

LexicographicalView_ySize = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_LexicographicalView") 
  .Call('R_swig_LexicographicalView_ySize', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LexicographicalView_ySize


attr(LexicographicalView_ySize, 'returnType') = 'numeric'
attr(LexicographicalView_ySize, "inputTypes") = c('_p_LexicographicalView')
class(LexicographicalView_ySize) = c("SWIGFunction", class(LexicographicalView_ySize))

# Start of new_LexicographicalView

LexicographicalView = function(a, xSize)
{
  coerceIfNotSubclass(a, "_p_Array") 
  xSize = as.integer(xSize) 
  
  if(length(xSize) > 1) {
    warning("using only the first element of xSize")
  }
  
  ans = .Call('R_swig_new_LexicographicalView', a, xSize, PACKAGE='QuantLib')
  class(ans) <- "_p_LexicographicalView"
  
  ans
  
}
# End of new_LexicographicalView


attr(LexicographicalView, 'returnType') = '_p_LexicographicalView'
attr(LexicographicalView, "inputTypes") = c('_p_Array', 'numeric')
class(LexicographicalView) = c("SWIGFunction", class(LexicographicalView))

# Start of LexicographicalView___str__

LexicographicalView___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_LexicographicalView") 
  .Call('R_swig_LexicographicalView___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LexicographicalView___str__


attr(LexicographicalView___str__, 'returnType') = 'character'
attr(LexicographicalView___str__, "inputTypes") = c('_p_LexicographicalView')
class(LexicographicalView___str__) = c("SWIGFunction", class(LexicographicalView___str__))

# Start of delete_LexicographicalView

delete_LexicographicalView = function(self)
{
  coerceIfNotSubclass(self, "_p_LexicographicalView") 
  .Call('R_swig_delete_LexicographicalView', self, PACKAGE='QuantLib')
  
}
# End of delete_LexicographicalView


attr(delete_LexicographicalView, 'returnType') = 'void'
attr(delete_LexicographicalView, "inputTypes") = c('_p_LexicographicalView')
class(delete_LexicographicalView) = c("SWIGFunction", class(delete_LexicographicalView))

# Start of accessor method for LexicographicalView
setMethod('$', '_p_LexicographicalView', function(x, name)

{
  accessorFuns = list('xSize' = LexicographicalView_xSize, 'ySize' = LexicographicalView_ySize, '__str__' = LexicographicalView___str__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for LexicographicalView
setGeneric('Matrix', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Matrix'))
attr(Matrix, 'returnType') = '_p_Matrix'
setMethod('Matrix', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Matrix__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}

)
setMethod('Matrix', c('numeric', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = as.numeric(s_arg3) 
  ans = .Call('R_swig_new_Matrix__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}

)
setMethod('Matrix', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_Matrix__SWIG_2', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}

)
setMethod('Matrix', c('_p_Matrix', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_Matrix") 
  ans = .Call('R_swig_new_Matrix__SWIG_3', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}

)
# Start of Matrix_rows

Matrix_rows = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Matrix") 
  .Call('R_swig_Matrix_rows', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Matrix_rows


attr(Matrix_rows, 'returnType') = 'numeric'
attr(Matrix_rows, "inputTypes") = c('_p_Matrix')
class(Matrix_rows) = c("SWIGFunction", class(Matrix_rows))

# Start of Matrix_columns

Matrix_columns = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Matrix") 
  .Call('R_swig_Matrix_columns', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Matrix_columns


attr(Matrix_columns, 'returnType') = 'numeric'
attr(Matrix_columns, "inputTypes") = c('_p_Matrix')
class(Matrix_columns) = c("SWIGFunction", class(Matrix_columns))

# Start of Matrix___str__

Matrix___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Matrix") 
  .Call('R_swig_Matrix___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Matrix___str__


attr(Matrix___str__, 'returnType') = 'character'
attr(Matrix___str__, "inputTypes") = c('_p_Matrix')
class(Matrix___str__) = c("SWIGFunction", class(Matrix___str__))

# Start of delete_Matrix

delete_Matrix = function(self)
{
  coerceIfNotSubclass(self, "_p_Matrix") 
  .Call('R_swig_delete_Matrix', self, PACKAGE='QuantLib')
  
}
# End of delete_Matrix


attr(delete_Matrix, 'returnType') = 'void'
attr(delete_Matrix, "inputTypes") = c('_p_Matrix')
class(delete_Matrix) = c("SWIGFunction", class(delete_Matrix))

# Start of accessor method for Matrix
setMethod('$', '_p_Matrix', function(x, name)

{
  accessorFuns = list('rows' = Matrix_rows, 'columns' = Matrix_columns, '__str__' = Matrix___str__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Matrix
defineEnumeration('_SalvagingAlgorithm__Type',
                    .values = c(
                        'None' = 0, 
                        'Spectral' = 1, 
                        'Hypersphere' = 2
))
# Start of new_SalvagingAlgorithm

SalvagingAlgorithm = function()
{
  ans = .Call('R_swig_new_SalvagingAlgorithm', PACKAGE='QuantLib')
  class(ans) <- "_p_SalvagingAlgorithm"
  
  ans
  
}
# End of new_SalvagingAlgorithm


attr(SalvagingAlgorithm, 'returnType') = '_p_SalvagingAlgorithm'
class(SalvagingAlgorithm) = c("SWIGFunction", class(SalvagingAlgorithm))

# Start of delete_SalvagingAlgorithm

delete_SalvagingAlgorithm = function(self)
{
  coerceIfNotSubclass(self, "_p_SalvagingAlgorithm") 
  .Call('R_swig_delete_SalvagingAlgorithm', self, PACKAGE='QuantLib')
  
}
# End of delete_SalvagingAlgorithm


attr(delete_SalvagingAlgorithm, 'returnType') = 'void'
attr(delete_SalvagingAlgorithm, "inputTypes") = c('_p_SalvagingAlgorithm')
class(delete_SalvagingAlgorithm) = c("SWIGFunction", class(delete_SalvagingAlgorithm))

# Start of transpose

transpose = function(m, .copy = FALSE)
{
  coerceIfNotSubclass(m, "_p_Matrix") 
  ans = .Call('R_swig_transpose', m, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of transpose


attr(transpose, 'returnType') = '_p_Matrix'
attr(transpose, "inputTypes") = c('_p_Matrix')
class(transpose) = c("SWIGFunction", class(transpose))

# Start of outerProduct

outerProduct = function(v1, v2, .copy = FALSE)
{
  coerceIfNotSubclass(v1, "_p_Array") 
  coerceIfNotSubclass(v2, "_p_Array") 
  ans = .Call('R_swig_outerProduct', v1, v2, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of outerProduct


attr(outerProduct, 'returnType') = '_p_Matrix'
attr(outerProduct, "inputTypes") = c('_p_Array', '_p_Array')
class(outerProduct) = c("SWIGFunction", class(outerProduct))

# Start of pseudoSqrt

pseudoSqrt = function(m, a, .copy = FALSE)
{
  coerceIfNotSubclass(m, "_p_Matrix") 
  a = enumToInteger(a, "_SalvagingAlgorithm__Type") 
  
  if(length(a) > 1) {
    warning("using only the first element of a")
  }
  
  ans = .Call('R_swig_pseudoSqrt', m, a, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of pseudoSqrt


attr(pseudoSqrt, 'returnType') = '_p_Matrix'
attr(pseudoSqrt, "inputTypes") = c('_p_Matrix', 'character')
class(pseudoSqrt) = c("SWIGFunction", class(pseudoSqrt))

# Start of new_SVD

SVD = function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_Matrix") 
  ans = .Call('R_swig_new_SVD', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_SVD"
  
  ans
  
}
# End of new_SVD


attr(SVD, 'returnType') = '_p_SVD'
attr(SVD, "inputTypes") = c('_p_Matrix')
class(SVD) = c("SWIGFunction", class(SVD))

# Start of SVD_U

SVD_U = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SVD") 
  ans = .Call('R_swig_SVD_U', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of SVD_U


attr(SVD_U, 'returnType') = '_p_Matrix'
attr(SVD_U, "inputTypes") = c('_p_SVD')
class(SVD_U) = c("SWIGFunction", class(SVD_U))

# Start of SVD_V

SVD_V = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SVD") 
  ans = .Call('R_swig_SVD_V', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of SVD_V


attr(SVD_V, 'returnType') = '_p_Matrix'
attr(SVD_V, "inputTypes") = c('_p_SVD')
class(SVD_V) = c("SWIGFunction", class(SVD_V))

# Start of SVD_S

SVD_S = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SVD") 
  ans = .Call('R_swig_SVD_S', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of SVD_S


attr(SVD_S, 'returnType') = '_p_Matrix'
attr(SVD_S, "inputTypes") = c('_p_SVD')
class(SVD_S) = c("SWIGFunction", class(SVD_S))

# Start of SVD_singularValues

SVD_singularValues = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SVD") 
  ans = .Call('R_swig_SVD_singularValues', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}
# End of SVD_singularValues


attr(SVD_singularValues, 'returnType') = '_p_Array'
attr(SVD_singularValues, "inputTypes") = c('_p_SVD')
class(SVD_singularValues) = c("SWIGFunction", class(SVD_singularValues))

# Start of delete_SVD

delete_SVD = function(self)
{
  coerceIfNotSubclass(self, "_p_SVD") 
  .Call('R_swig_delete_SVD', self, PACKAGE='QuantLib')
  
}
# End of delete_SVD


attr(delete_SVD, 'returnType') = 'void'
attr(delete_SVD, "inputTypes") = c('_p_SVD')
class(delete_SVD) = c("SWIGFunction", class(delete_SVD))

# Start of accessor method for SVD
setMethod('$', '_p_SVD', function(x, name)

{
  accessorFuns = list('U' = SVD_U, 'V' = SVD_V, 'S' = SVD_S, 'singularValues' = SVD_singularValues)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SVD
# Start of Quote___deref__

Quote___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTQuote_t") 
  ans = .Call('R_swig_Quote___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_Quote"
  
  ans
  
}
# End of Quote___deref__


attr(Quote___deref__, 'returnType') = '_p_Quote'
attr(Quote___deref__, "inputTypes") = c('_p_boost__shared_ptrTQuote_t')
class(Quote___deref__) = c("SWIGFunction", class(Quote___deref__))

# Start of Quote_isNull

Quote_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_Quote_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Quote_isNull


attr(Quote_isNull, 'returnType') = 'logical'
attr(Quote_isNull, "inputTypes") = c('_p_boost__shared_ptrTQuote_t')
class(Quote_isNull) = c("SWIGFunction", class(Quote_isNull))

# Start of Quote_asObservable

Quote_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTQuote_t") 
  ans = .Call('R_swig_Quote_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of Quote_asObservable


attr(Quote_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(Quote_asObservable, "inputTypes") = c('_p_boost__shared_ptrTQuote_t')
class(Quote_asObservable) = c("SWIGFunction", class(Quote_asObservable))

# Start of new_Quote

Quote = function()
{
  ans = .Call('R_swig_new_Quote', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTQuote_t"
  
  ans
  
}
# End of new_Quote


attr(Quote, 'returnType') = '_p_boost__shared_ptrTQuote_t'
class(Quote) = c("SWIGFunction", class(Quote))

# Start of delete_Quote

delete_Quote = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_delete_Quote', self, PACKAGE='QuantLib')
  
}
# End of delete_Quote


attr(delete_Quote, 'returnType') = 'void'
attr(delete_Quote, "inputTypes") = c('_p_boost__shared_ptrTQuote_t')
class(delete_Quote) = c("SWIGFunction", class(delete_Quote))

# Start of Quote_value

Quote_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_Quote_value', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Quote_value


attr(Quote_value, 'returnType') = 'numeric'
attr(Quote_value, "inputTypes") = c('_p_boost__shared_ptrTQuote_t')
class(Quote_value) = c("SWIGFunction", class(Quote_value))

# Start of accessor method for boost::shared_ptr<(Quote)>
setMethod('$', '_p_boost__shared_ptrTQuote_t', function(x, name)

{
  accessorFuns = list('operator ->' = Quote___deref__, 'isNull' = Quote_isNull, 'asObservable' = Quote_asObservable, 'value' = Quote_value)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(Quote)>
setGeneric('QuoteHandle', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('QuoteHandle'))
attr(QuoteHandle, 'returnType') = '_p_HandleTQuote_t'
setMethod('QuoteHandle', c('_p_boost__shared_ptrTQuote_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTQuote_t") 
  ans = .Call('R_swig_new_QuoteHandle__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTQuote_t"
  
  ans
  
}

)
setMethod('QuoteHandle', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_QuoteHandle__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTQuote_t"
  
  ans
  
}

)
# Start of QuoteHandle___deref__

QuoteHandle___deref__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTQuote_t") 
  ans = .Call('R_swig_QuoteHandle___deref__', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTQuote_t"
  
  ans
  
}
# End of QuoteHandle___deref__


attr(QuoteHandle___deref__, 'returnType') = '_p_boost__shared_ptrTQuote_t'
attr(QuoteHandle___deref__, "inputTypes") = c('_p_HandleTQuote_t')
class(QuoteHandle___deref__) = c("SWIGFunction", class(QuoteHandle___deref__))

# Start of QuoteHandle_linkTo

QuoteHandle_linkTo = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_QuoteHandle_linkTo', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of QuoteHandle_linkTo


attr(QuoteHandle_linkTo, 'returnType') = 'void'
attr(QuoteHandle_linkTo, "inputTypes") = c('_p_HandleTQuote_t', '_p_boost__shared_ptrTQuote_t')
class(QuoteHandle_linkTo) = c("SWIGFunction", class(QuoteHandle_linkTo))

# Start of QuoteHandle_empty

QuoteHandle_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTQuote_t") 
  .Call('R_swig_QuoteHandle_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteHandle_empty


attr(QuoteHandle_empty, 'returnType') = 'logical'
attr(QuoteHandle_empty, "inputTypes") = c('_p_HandleTQuote_t')
class(QuoteHandle_empty) = c("SWIGFunction", class(QuoteHandle_empty))

# Start of QuoteHandle_asObservable

QuoteHandle_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTQuote_t") 
  ans = .Call('R_swig_QuoteHandle_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of QuoteHandle_asObservable


attr(QuoteHandle_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(QuoteHandle_asObservable, "inputTypes") = c('_p_HandleTQuote_t')
class(QuoteHandle_asObservable) = c("SWIGFunction", class(QuoteHandle_asObservable))

# Start of delete_QuoteHandle

delete_QuoteHandle = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTQuote_t") 
  .Call('R_swig_delete_QuoteHandle', self, PACKAGE='QuantLib')
  
}
# End of delete_QuoteHandle


attr(delete_QuoteHandle, 'returnType') = 'void'
attr(delete_QuoteHandle, "inputTypes") = c('_p_HandleTQuote_t')
class(delete_QuoteHandle) = c("SWIGFunction", class(delete_QuoteHandle))

# Start of QuoteHandle_value

QuoteHandle_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTQuote_t") 
  .Call('R_swig_QuoteHandle_value', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteHandle_value


attr(QuoteHandle_value, 'returnType') = 'numeric'
attr(QuoteHandle_value, "inputTypes") = c('_p_HandleTQuote_t')
class(QuoteHandle_value) = c("SWIGFunction", class(QuoteHandle_value))

# Start of accessor method for Handle<(Quote)>
setMethod('$', '_p_HandleTQuote_t', function(x, name)

{
  accessorFuns = list('operator ->' = QuoteHandle___deref__, 'linkTo' = QuoteHandle_linkTo, 'empty' = QuoteHandle_empty, 'asObservable' = QuoteHandle_asObservable, 'value' = QuoteHandle_value)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Handle<(Quote)>
# Start of new_SimpleQuote

SimpleQuote = function(value)
{
  value = as.numeric(value) 
  ans = .Call('R_swig_new_SimpleQuote', value, PACKAGE='QuantLib')
  class(ans) <- "_p_SimpleQuotePtr"
  
  ans
  
}
# End of new_SimpleQuote


attr(SimpleQuote, 'returnType') = '_p_SimpleQuotePtr'
attr(SimpleQuote, "inputTypes") = c('numeric')
class(SimpleQuote) = c("SWIGFunction", class(SimpleQuote))

# Start of SimpleQuote_setValue

SimpleQuote_setValue = function(self, value)
{
  coerceIfNotSubclass(self, "_p_SimpleQuotePtr") 
  value = as.numeric(value) 
  .Call('R_swig_SimpleQuote_setValue', self, value, PACKAGE='QuantLib')
  
}
# End of SimpleQuote_setValue


attr(SimpleQuote_setValue, 'returnType') = 'void'
attr(SimpleQuote_setValue, "inputTypes") = c('_p_SimpleQuotePtr', 'numeric')
class(SimpleQuote_setValue) = c("SWIGFunction", class(SimpleQuote_setValue))

# Start of delete_SimpleQuote

delete_SimpleQuote = function(self)
{
  coerceIfNotSubclass(self, "_p_SimpleQuotePtr") 
  .Call('R_swig_delete_SimpleQuote', self, PACKAGE='QuantLib')
  
}
# End of delete_SimpleQuote


attr(delete_SimpleQuote, 'returnType') = 'void'
attr(delete_SimpleQuote, "inputTypes") = c('_p_SimpleQuotePtr')
class(delete_SimpleQuote) = c("SWIGFunction", class(delete_SimpleQuote))

# Start of accessor method for SimpleQuotePtr
setMethod('$', '_p_SimpleQuotePtr', function(x, name)

{
  accessorFuns = list('setValue' = SimpleQuote_setValue)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SimpleQuotePtr
# Start of QuoteVector___nonzero__

QuoteVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteVector___nonzero__


attr(QuoteVector___nonzero__, 'returnType') = 'logical'
attr(QuoteVector___nonzero__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector___nonzero__) = c("SWIGFunction", class(QuoteVector___nonzero__))

# Start of QuoteVector___len__

QuoteVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteVector___len__


attr(QuoteVector___len__, 'returnType') = 'numeric'
attr(QuoteVector___len__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector___len__) = c("SWIGFunction", class(QuoteVector___len__))

# Start of QuoteVector_pop

QuoteVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTQuote_t"
  
  ans
  
}
# End of QuoteVector_pop


attr(QuoteVector_pop, 'returnType') = '_p_boost__shared_ptrTQuote_t'
attr(QuoteVector_pop, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_pop) = c("SWIGFunction", class(QuoteVector_pop))

# Start of QuoteVector___getslice__

QuoteVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_QuoteVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t"
  
  ans
  
}
# End of QuoteVector___getslice__


attr(QuoteVector___getslice__, 'returnType') = '_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t'
attr(QuoteVector___getslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric', 'numeric')
class(QuoteVector___getslice__) = c("SWIGFunction", class(QuoteVector___getslice__))

# Start of QuoteVector___setslice__

QuoteVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of QuoteVector___setslice__


attr(QuoteVector___setslice__, 'returnType') = 'void'
attr(QuoteVector___setslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric', 'numeric', '_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector___setslice__) = c("SWIGFunction", class(QuoteVector___setslice__))

# Start of QuoteVector___delslice__

QuoteVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_QuoteVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of QuoteVector___delslice__


attr(QuoteVector___delslice__, 'returnType') = 'void'
attr(QuoteVector___delslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric', 'numeric')
class(QuoteVector___delslice__) = c("SWIGFunction", class(QuoteVector___delslice__))

# Start of QuoteVector___delitem__

QuoteVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_QuoteVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of QuoteVector___delitem__


attr(QuoteVector___delitem__, 'returnType') = 'void'
attr(QuoteVector___delitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric')
class(QuoteVector___delitem__) = c("SWIGFunction", class(QuoteVector___delitem__))

# Start of QuoteVector___getitem__

QuoteVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_QuoteVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTQuote_t"
  
  ans
  
}
# End of QuoteVector___getitem__


attr(QuoteVector___getitem__, 'returnType') = '_p_boost__shared_ptrTQuote_t'
attr(QuoteVector___getitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric')
class(QuoteVector___getitem__) = c("SWIGFunction", class(QuoteVector___getitem__))

# Start of QuoteVector___setitem__

QuoteVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_QuoteVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of QuoteVector___setitem__


attr(QuoteVector___setitem__, 'returnType') = 'void'
attr(QuoteVector___setitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric', '_p_boost__shared_ptrTQuote_t')
class(QuoteVector___setitem__) = c("SWIGFunction", class(QuoteVector___setitem__))

# Start of QuoteVector_append

QuoteVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_QuoteVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of QuoteVector_append


attr(QuoteVector_append, 'returnType') = 'void'
attr(QuoteVector_append, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', '_p_boost__shared_ptrTQuote_t')
class(QuoteVector_append) = c("SWIGFunction", class(QuoteVector_append))

setGeneric('QuoteVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('QuoteVector'))
attr(QuoteVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t'
setMethod('QuoteVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_QuoteVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t"
  
  ans
  
}

)
setMethod('QuoteVector', c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  ans = .Call('R_swig_new_QuoteVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t"
  
  ans
  
}

)
# Start of QuoteVector_empty

QuoteVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteVector_empty


attr(QuoteVector_empty, 'returnType') = 'logical'
attr(QuoteVector_empty, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_empty) = c("SWIGFunction", class(QuoteVector_empty))

# Start of QuoteVector_size

QuoteVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteVector_size


attr(QuoteVector_size, 'returnType') = 'numeric'
attr(QuoteVector_size, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_size) = c("SWIGFunction", class(QuoteVector_size))

# Start of QuoteVector_clear

QuoteVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector_clear', self, PACKAGE='QuantLib')
  
}
# End of QuoteVector_clear


attr(QuoteVector_clear, 'returnType') = 'void'
attr(QuoteVector_clear, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_clear) = c("SWIGFunction", class(QuoteVector_clear))

# Start of QuoteVector_swap

QuoteVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of QuoteVector_swap


attr(QuoteVector_swap, 'returnType') = 'void'
attr(QuoteVector_swap, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', '_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_swap) = c("SWIGFunction", class(QuoteVector_swap))

# Start of QuoteVector_get_allocator

QuoteVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTboost__shared_ptrTQuote_t_t"
  
  ans
  
}
# End of QuoteVector_get_allocator


attr(QuoteVector_get_allocator, 'returnType') = '_p_std__allocatorTboost__shared_ptrTQuote_t_t'
attr(QuoteVector_get_allocator, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_get_allocator) = c("SWIGFunction", class(QuoteVector_get_allocator))

setMethod('QuoteVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_QuoteVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t"
  
  ans
  
}

)
# Start of QuoteVector_pop_back

QuoteVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of QuoteVector_pop_back


attr(QuoteVector_pop_back, 'returnType') = 'void'
attr(QuoteVector_pop_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_pop_back) = c("SWIGFunction", class(QuoteVector_pop_back))

setGeneric('QuoteVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('QuoteVector_resize'))
attr(QuoteVector_resize, 'returnType') = 'void'
setMethod('QuoteVector_resize', c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_QuoteVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('QuoteVector', c('numeric', '_p_boost__shared_ptrTQuote_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTQuote_t") 
  ans = .Call('R_swig_new_QuoteVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t"
  
  ans
  
}

)
# Start of QuoteVector_push_back

QuoteVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_QuoteVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of QuoteVector_push_back


attr(QuoteVector_push_back, 'returnType') = 'void'
attr(QuoteVector_push_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', '_p_boost__shared_ptrTQuote_t')
class(QuoteVector_push_back) = c("SWIGFunction", class(QuoteVector_push_back))

# Start of QuoteVector_front

QuoteVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTQuote_t"
  
  ans
  
}
# End of QuoteVector_front


attr(QuoteVector_front, 'returnType') = '_p_boost__shared_ptrTQuote_t'
attr(QuoteVector_front, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_front) = c("SWIGFunction", class(QuoteVector_front))

# Start of QuoteVector_back

QuoteVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTQuote_t"
  
  ans
  
}
# End of QuoteVector_back


attr(QuoteVector_back, 'returnType') = '_p_boost__shared_ptrTQuote_t'
attr(QuoteVector_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_back) = c("SWIGFunction", class(QuoteVector_back))

# Start of QuoteVector_assign

QuoteVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_QuoteVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of QuoteVector_assign


attr(QuoteVector_assign, 'returnType') = 'void'
attr(QuoteVector_assign, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric', '_p_boost__shared_ptrTQuote_t')
class(QuoteVector_assign) = c("SWIGFunction", class(QuoteVector_assign))

setMethod('QuoteVector_resize', c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric', '_p_boost__shared_ptrTQuote_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTQuote_t") 
  .Call('R_swig_QuoteVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of QuoteVector_reserve

QuoteVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_QuoteVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of QuoteVector_reserve


attr(QuoteVector_reserve, 'returnType') = 'void'
attr(QuoteVector_reserve, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', 'numeric')
class(QuoteVector_reserve) = c("SWIGFunction", class(QuoteVector_reserve))

# Start of QuoteVector_capacity

QuoteVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_QuoteVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteVector_capacity


attr(QuoteVector_capacity, 'returnType') = 'numeric'
attr(QuoteVector_capacity, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(QuoteVector_capacity) = c("SWIGFunction", class(QuoteVector_capacity))

# Start of delete_QuoteVector

delete_QuoteVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t") 
  .Call('R_swig_delete_QuoteVector', self, PACKAGE='QuantLib')
  
}
# End of delete_QuoteVector


attr(delete_QuoteVector, 'returnType') = 'void'
attr(delete_QuoteVector, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t')
class(delete_QuoteVector) = c("SWIGFunction", class(delete_QuoteVector))

# Start of accessor method for std::vector<(boost::shared_ptr<(Quote)>)>
setMethod('$', '_p_std__vectorTboost__shared_ptrTQuote_t_std__allocatorTboost__shared_ptrTQuote_t_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = QuoteVector___nonzero__, '__len__' = QuoteVector___len__, 'pop' = QuoteVector_pop, '__getslice__' = QuoteVector___getslice__, '__setslice__' = QuoteVector___setslice__, '__delslice__' = QuoteVector___delslice__, '__delitem__' = QuoteVector___delitem__, '__getitem__' = QuoteVector___getitem__, '__setitem__' = QuoteVector___setitem__, 'append' = QuoteVector_append, 'empty' = QuoteVector_empty, 'size' = QuoteVector_size, 'clear' = QuoteVector_clear, 'swap' = QuoteVector_swap, 'get_allocator' = QuoteVector_get_allocator, 'pop_back' = QuoteVector_pop_back, 'resize' = QuoteVector_resize, 'push_back' = QuoteVector_push_back, 'front' = QuoteVector_front, 'back' = QuoteVector_back, 'assign' = QuoteVector_assign, 'resize' = QuoteVector_resize, 'reserve' = QuoteVector_reserve, 'capacity' = QuoteVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(boost::shared_ptr<(Quote)>)>
# Start of QuoteHandleVector___nonzero__

QuoteHandleVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector___nonzero__


attr(QuoteHandleVector___nonzero__, 'returnType') = 'logical'
attr(QuoteHandleVector___nonzero__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector___nonzero__) = c("SWIGFunction", class(QuoteHandleVector___nonzero__))

# Start of QuoteHandleVector___len__

QuoteHandleVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector___len__


attr(QuoteHandleVector___len__, 'returnType') = 'numeric'
attr(QuoteHandleVector___len__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector___len__) = c("SWIGFunction", class(QuoteHandleVector___len__))

# Start of QuoteHandleVector_pop

QuoteHandleVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteHandleVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTQuote_t"
  
  ans
  
}
# End of QuoteHandleVector_pop


attr(QuoteHandleVector_pop, 'returnType') = '_p_HandleTQuote_t'
attr(QuoteHandleVector_pop, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_pop) = c("SWIGFunction", class(QuoteHandleVector_pop))

# Start of QuoteHandleVector___getslice__

QuoteHandleVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_QuoteHandleVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t"
  
  ans
  
}
# End of QuoteHandleVector___getslice__


attr(QuoteHandleVector___getslice__, 'returnType') = '_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t'
attr(QuoteHandleVector___getslice__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric', 'numeric')
class(QuoteHandleVector___getslice__) = c("SWIGFunction", class(QuoteHandleVector___getslice__))

# Start of QuoteHandleVector___setslice__

QuoteHandleVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector___setslice__


attr(QuoteHandleVector___setslice__, 'returnType') = 'void'
attr(QuoteHandleVector___setslice__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric', 'numeric', '_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector___setslice__) = c("SWIGFunction", class(QuoteHandleVector___setslice__))

# Start of QuoteHandleVector___delslice__

QuoteHandleVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_QuoteHandleVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector___delslice__


attr(QuoteHandleVector___delslice__, 'returnType') = 'void'
attr(QuoteHandleVector___delslice__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric', 'numeric')
class(QuoteHandleVector___delslice__) = c("SWIGFunction", class(QuoteHandleVector___delslice__))

# Start of QuoteHandleVector___delitem__

QuoteHandleVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_QuoteHandleVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector___delitem__


attr(QuoteHandleVector___delitem__, 'returnType') = 'void'
attr(QuoteHandleVector___delitem__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric')
class(QuoteHandleVector___delitem__) = c("SWIGFunction", class(QuoteHandleVector___delitem__))

# Start of QuoteHandleVector___getitem__

QuoteHandleVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_QuoteHandleVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTQuote_t"
  
  ans
  
}
# End of QuoteHandleVector___getitem__


attr(QuoteHandleVector___getitem__, 'returnType') = '_p_HandleTQuote_t'
attr(QuoteHandleVector___getitem__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric')
class(QuoteHandleVector___getitem__) = c("SWIGFunction", class(QuoteHandleVector___getitem__))

# Start of QuoteHandleVector___setitem__

QuoteHandleVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_HandleTQuote_t") 
  .Call('R_swig_QuoteHandleVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector___setitem__


attr(QuoteHandleVector___setitem__, 'returnType') = 'void'
attr(QuoteHandleVector___setitem__, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric', '_p_HandleTQuote_t')
class(QuoteHandleVector___setitem__) = c("SWIGFunction", class(QuoteHandleVector___setitem__))

# Start of QuoteHandleVector_append

QuoteHandleVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  coerceIfNotSubclass(x, "_p_HandleTQuote_t") 
  .Call('R_swig_QuoteHandleVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_append


attr(QuoteHandleVector_append, 'returnType') = 'void'
attr(QuoteHandleVector_append, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', '_p_HandleTQuote_t')
class(QuoteHandleVector_append) = c("SWIGFunction", class(QuoteHandleVector_append))

setGeneric('QuoteHandleVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('QuoteHandleVector'))
attr(QuoteHandleVector, 'returnType') = '_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t'
setMethod('QuoteHandleVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_QuoteHandleVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t"
  
  ans
  
}

)
setMethod('QuoteHandleVector', c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  ans = .Call('R_swig_new_QuoteHandleVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t"
  
  ans
  
}

)
# Start of QuoteHandleVector_empty

QuoteHandleVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_empty


attr(QuoteHandleVector_empty, 'returnType') = 'logical'
attr(QuoteHandleVector_empty, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_empty) = c("SWIGFunction", class(QuoteHandleVector_empty))

# Start of QuoteHandleVector_size

QuoteHandleVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_size


attr(QuoteHandleVector_size, 'returnType') = 'numeric'
attr(QuoteHandleVector_size, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_size) = c("SWIGFunction", class(QuoteHandleVector_size))

# Start of QuoteHandleVector_clear

QuoteHandleVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector_clear', self, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_clear


attr(QuoteHandleVector_clear, 'returnType') = 'void'
attr(QuoteHandleVector_clear, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_clear) = c("SWIGFunction", class(QuoteHandleVector_clear))

# Start of QuoteHandleVector_swap

QuoteHandleVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_swap


attr(QuoteHandleVector_swap, 'returnType') = 'void'
attr(QuoteHandleVector_swap, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', '_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_swap) = c("SWIGFunction", class(QuoteHandleVector_swap))

# Start of QuoteHandleVector_get_allocator

QuoteHandleVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteHandleVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTHandleTQuote_t_t"
  
  ans
  
}
# End of QuoteHandleVector_get_allocator


attr(QuoteHandleVector_get_allocator, 'returnType') = '_p_std__allocatorTHandleTQuote_t_t'
attr(QuoteHandleVector_get_allocator, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_get_allocator) = c("SWIGFunction", class(QuoteHandleVector_get_allocator))

setMethod('QuoteHandleVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_QuoteHandleVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t"
  
  ans
  
}

)
# Start of QuoteHandleVector_pop_back

QuoteHandleVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_pop_back


attr(QuoteHandleVector_pop_back, 'returnType') = 'void'
attr(QuoteHandleVector_pop_back, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_pop_back) = c("SWIGFunction", class(QuoteHandleVector_pop_back))

setGeneric('QuoteHandleVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('QuoteHandleVector_resize'))
attr(QuoteHandleVector_resize, 'returnType') = 'void'
setMethod('QuoteHandleVector_resize', c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_QuoteHandleVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('QuoteHandleVector', c('numeric', '_p_HandleTQuote_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_HandleTQuote_t") 
  ans = .Call('R_swig_new_QuoteHandleVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t"
  
  ans
  
}

)
# Start of QuoteHandleVector_push_back

QuoteHandleVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  coerceIfNotSubclass(x, "_p_HandleTQuote_t") 
  .Call('R_swig_QuoteHandleVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_push_back


attr(QuoteHandleVector_push_back, 'returnType') = 'void'
attr(QuoteHandleVector_push_back, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', '_p_HandleTQuote_t')
class(QuoteHandleVector_push_back) = c("SWIGFunction", class(QuoteHandleVector_push_back))

# Start of QuoteHandleVector_front

QuoteHandleVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteHandleVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTQuote_t"
  
  ans
  
}
# End of QuoteHandleVector_front


attr(QuoteHandleVector_front, 'returnType') = '_p_HandleTQuote_t'
attr(QuoteHandleVector_front, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_front) = c("SWIGFunction", class(QuoteHandleVector_front))

# Start of QuoteHandleVector_back

QuoteHandleVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  ans = .Call('R_swig_QuoteHandleVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTQuote_t"
  
  ans
  
}
# End of QuoteHandleVector_back


attr(QuoteHandleVector_back, 'returnType') = '_p_HandleTQuote_t'
attr(QuoteHandleVector_back, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_back) = c("SWIGFunction", class(QuoteHandleVector_back))

# Start of QuoteHandleVector_assign

QuoteHandleVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_HandleTQuote_t") 
  .Call('R_swig_QuoteHandleVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_assign


attr(QuoteHandleVector_assign, 'returnType') = 'void'
attr(QuoteHandleVector_assign, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric', '_p_HandleTQuote_t')
class(QuoteHandleVector_assign) = c("SWIGFunction", class(QuoteHandleVector_assign))

setMethod('QuoteHandleVector_resize', c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric', '_p_HandleTQuote_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTQuote_t") 
  .Call('R_swig_QuoteHandleVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of QuoteHandleVector_reserve

QuoteHandleVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_QuoteHandleVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_reserve


attr(QuoteHandleVector_reserve, 'returnType') = 'void'
attr(QuoteHandleVector_reserve, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', 'numeric')
class(QuoteHandleVector_reserve) = c("SWIGFunction", class(QuoteHandleVector_reserve))

# Start of QuoteHandleVector_capacity

QuoteHandleVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_QuoteHandleVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of QuoteHandleVector_capacity


attr(QuoteHandleVector_capacity, 'returnType') = 'numeric'
attr(QuoteHandleVector_capacity, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(QuoteHandleVector_capacity) = c("SWIGFunction", class(QuoteHandleVector_capacity))

# Start of delete_QuoteHandleVector

delete_QuoteHandleVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t") 
  .Call('R_swig_delete_QuoteHandleVector', self, PACKAGE='QuantLib')
  
}
# End of delete_QuoteHandleVector


attr(delete_QuoteHandleVector, 'returnType') = 'void'
attr(delete_QuoteHandleVector, "inputTypes") = c('_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t')
class(delete_QuoteHandleVector) = c("SWIGFunction", class(delete_QuoteHandleVector))

# Start of accessor method for std::vector<(Handle<(Quote)>)>
setMethod('$', '_p_std__vectorTHandleTQuote_t_std__allocatorTHandleTQuote_t_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = QuoteHandleVector___nonzero__, '__len__' = QuoteHandleVector___len__, 'pop' = QuoteHandleVector_pop, '__getslice__' = QuoteHandleVector___getslice__, '__setslice__' = QuoteHandleVector___setslice__, '__delslice__' = QuoteHandleVector___delslice__, '__delitem__' = QuoteHandleVector___delitem__, '__getitem__' = QuoteHandleVector___getitem__, '__setitem__' = QuoteHandleVector___setitem__, 'append' = QuoteHandleVector_append, 'empty' = QuoteHandleVector_empty, 'size' = QuoteHandleVector_size, 'clear' = QuoteHandleVector_clear, 'swap' = QuoteHandleVector_swap, 'get_allocator' = QuoteHandleVector_get_allocator, 'pop_back' = QuoteHandleVector_pop_back, 'resize' = QuoteHandleVector_resize, 'push_back' = QuoteHandleVector_push_back, 'front' = QuoteHandleVector_front, 'back' = QuoteHandleVector_back, 'assign' = QuoteHandleVector_assign, 'resize' = QuoteHandleVector_resize, 'reserve' = QuoteHandleVector_reserve, 'capacity' = QuoteHandleVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(Handle<(Quote)>)>
defineEnumeration('_Weekday',
                    .values = c(
                        'Sunday' = 1, 
                        'Monday' = 2, 
                        'Tuesday' = 3, 
                        'Wednesday' = 4, 
                        'Thursday' = 5, 
                        'Friday' = 6, 
                        'Saturday' = 7
))
defineEnumeration('_Month',
                    .values = c(
                        'January' = 1, 
                        'February' = 2, 
                        'March' = 3, 
                        'April' = 4, 
                        'May' = 5, 
                        'June' = 6, 
                        'July' = 7, 
                        'August' = 8, 
                        'September' = 9, 
                        'October' = 10, 
                        'November' = 11, 
                        'December' = 12
))
defineEnumeration('_TimeUnit',
                    .values = c(
                        'Days' = 0, 
                        'Weeks' = 1, 
                        'Months' = 2, 
                        'Years' = 3
))
defineEnumeration('_Frequency',
                    .values = c(
                        'NoFrequency' = -1, 
                        'Once' = 0, 
                        'Annual' = 1, 
                        'Semiannual' = 2, 
                        'EveryFourthMonth' = 3, 
                        'Quarterly' = 4, 
                        'Bimonthly' = 6, 
                        'Monthly' = 12
))
setGeneric('Period', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Period'))
attr(Period, 'returnType') = '_p_Period'
setMethod('Period', c('numeric', 'character', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_Period__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_Period"
  
  ans
  
}

)
# Start of Period_length

Period_length = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Period") 
  .Call('R_swig_Period_length', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Period_length


attr(Period_length, 'returnType') = 'numeric'
attr(Period_length, "inputTypes") = c('_p_Period')
class(Period_length) = c("SWIGFunction", class(Period_length))

# Start of Period_units

Period_units = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Period") 
  ans = .Call('R_swig_Period_units', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_TimeUnit")
  
  ans
  
}
# End of Period_units


attr(Period_units, 'returnType') = 'character'
attr(Period_units, "inputTypes") = c('_p_Period')
class(Period_units) = c("SWIGFunction", class(Period_units))

setMethod('Period', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__string") 
  ans = .Call('R_swig_new_Period__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_Period"
  
  ans
  
}

)
# Start of Period___str__

Period___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Period") 
  .Call('R_swig_Period___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Period___str__


attr(Period___str__, 'returnType') = 'character'
attr(Period___str__, "inputTypes") = c('_p_Period')
class(Period___str__) = c("SWIGFunction", class(Period___str__))

# Start of Period___repr__

Period___repr__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Period") 
  .Call('R_swig_Period___repr__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Period___repr__


attr(Period___repr__, 'returnType') = 'character'
attr(Period___repr__, "inputTypes") = c('_p_Period')
class(Period___repr__) = c("SWIGFunction", class(Period___repr__))

# Start of Period___cmp__

Period___cmp__ = function(self, other, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Period") 
  coerceIfNotSubclass(other, "_p_Period") 
  .Call('R_swig_Period___cmp__', self, other, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Period___cmp__


attr(Period___cmp__, 'returnType') = 'numeric'
attr(Period___cmp__, "inputTypes") = c('_p_Period', '_p_Period')
class(Period___cmp__) = c("SWIGFunction", class(Period___cmp__))

# Start of delete_Period

delete_Period = function(self)
{
  coerceIfNotSubclass(self, "_p_Period") 
  .Call('R_swig_delete_Period', self, PACKAGE='QuantLib')
  
}
# End of delete_Period


attr(delete_Period, 'returnType') = 'void'
attr(delete_Period, "inputTypes") = c('_p_Period')
class(delete_Period) = c("SWIGFunction", class(delete_Period))

# Start of accessor method for Period
setMethod('$', '_p_Period', function(x, name)

{
  accessorFuns = list('length' = Period_length, 'units' = Period_units, '__str__' = Period___str__, '__repr__' = Period___repr__, '__cmp__' = Period___cmp__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Period
# Start of PeriodVector___nonzero__

PeriodVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of PeriodVector___nonzero__


attr(PeriodVector___nonzero__, 'returnType') = 'logical'
attr(PeriodVector___nonzero__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector___nonzero__) = c("SWIGFunction", class(PeriodVector___nonzero__))

# Start of PeriodVector___len__

PeriodVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of PeriodVector___len__


attr(PeriodVector___len__, 'returnType') = 'numeric'
attr(PeriodVector___len__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector___len__) = c("SWIGFunction", class(PeriodVector___len__))

# Start of PeriodVector_pop

PeriodVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  ans = .Call('R_swig_PeriodVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Period"
  
  ans
  
}
# End of PeriodVector_pop


attr(PeriodVector_pop, 'returnType') = '_p_Period'
attr(PeriodVector_pop, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_pop) = c("SWIGFunction", class(PeriodVector_pop))

# Start of PeriodVector___getslice__

PeriodVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_PeriodVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t"
  
  ans
  
}
# End of PeriodVector___getslice__


attr(PeriodVector___getslice__, 'returnType') = '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t'
attr(PeriodVector___getslice__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric', 'numeric')
class(PeriodVector___getslice__) = c("SWIGFunction", class(PeriodVector___getslice__))

# Start of PeriodVector___setslice__

PeriodVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of PeriodVector___setslice__


attr(PeriodVector___setslice__, 'returnType') = 'void'
attr(PeriodVector___setslice__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric', 'numeric', '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector___setslice__) = c("SWIGFunction", class(PeriodVector___setslice__))

# Start of PeriodVector___delslice__

PeriodVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_PeriodVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of PeriodVector___delslice__


attr(PeriodVector___delslice__, 'returnType') = 'void'
attr(PeriodVector___delslice__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric', 'numeric')
class(PeriodVector___delslice__) = c("SWIGFunction", class(PeriodVector___delslice__))

# Start of PeriodVector___delitem__

PeriodVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_PeriodVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of PeriodVector___delitem__


attr(PeriodVector___delitem__, 'returnType') = 'void'
attr(PeriodVector___delitem__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric')
class(PeriodVector___delitem__) = c("SWIGFunction", class(PeriodVector___delitem__))

# Start of PeriodVector___getitem__

PeriodVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_PeriodVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Period"
  
  ans
  
}
# End of PeriodVector___getitem__


attr(PeriodVector___getitem__, 'returnType') = '_p_Period'
attr(PeriodVector___getitem__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric')
class(PeriodVector___getitem__) = c("SWIGFunction", class(PeriodVector___getitem__))

# Start of PeriodVector___setitem__

PeriodVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_Period") 
  .Call('R_swig_PeriodVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of PeriodVector___setitem__


attr(PeriodVector___setitem__, 'returnType') = 'void'
attr(PeriodVector___setitem__, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric', '_p_Period')
class(PeriodVector___setitem__) = c("SWIGFunction", class(PeriodVector___setitem__))

# Start of PeriodVector_append

PeriodVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  coerceIfNotSubclass(x, "_p_Period") 
  .Call('R_swig_PeriodVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of PeriodVector_append


attr(PeriodVector_append, 'returnType') = 'void'
attr(PeriodVector_append, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', '_p_Period')
class(PeriodVector_append) = c("SWIGFunction", class(PeriodVector_append))

setGeneric('PeriodVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('PeriodVector'))
attr(PeriodVector, 'returnType') = '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t'
setMethod('PeriodVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_PeriodVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t"
  
  ans
  
}

)
setMethod('PeriodVector', c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  ans = .Call('R_swig_new_PeriodVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t"
  
  ans
  
}

)
# Start of PeriodVector_empty

PeriodVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of PeriodVector_empty


attr(PeriodVector_empty, 'returnType') = 'logical'
attr(PeriodVector_empty, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_empty) = c("SWIGFunction", class(PeriodVector_empty))

# Start of PeriodVector_size

PeriodVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of PeriodVector_size


attr(PeriodVector_size, 'returnType') = 'numeric'
attr(PeriodVector_size, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_size) = c("SWIGFunction", class(PeriodVector_size))

# Start of PeriodVector_clear

PeriodVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector_clear', self, PACKAGE='QuantLib')
  
}
# End of PeriodVector_clear


attr(PeriodVector_clear, 'returnType') = 'void'
attr(PeriodVector_clear, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_clear) = c("SWIGFunction", class(PeriodVector_clear))

# Start of PeriodVector_swap

PeriodVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of PeriodVector_swap


attr(PeriodVector_swap, 'returnType') = 'void'
attr(PeriodVector_swap, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_swap) = c("SWIGFunction", class(PeriodVector_swap))

# Start of PeriodVector_get_allocator

PeriodVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  ans = .Call('R_swig_PeriodVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTPeriod_t"
  
  ans
  
}
# End of PeriodVector_get_allocator


attr(PeriodVector_get_allocator, 'returnType') = '_p_std__allocatorTPeriod_t'
attr(PeriodVector_get_allocator, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_get_allocator) = c("SWIGFunction", class(PeriodVector_get_allocator))

setMethod('PeriodVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_PeriodVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t"
  
  ans
  
}

)
# Start of PeriodVector_pop_back

PeriodVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of PeriodVector_pop_back


attr(PeriodVector_pop_back, 'returnType') = 'void'
attr(PeriodVector_pop_back, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_pop_back) = c("SWIGFunction", class(PeriodVector_pop_back))

setGeneric('PeriodVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('PeriodVector_resize'))
attr(PeriodVector_resize, 'returnType') = 'void'
setMethod('PeriodVector_resize', c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_PeriodVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('PeriodVector', c('numeric', '_p_Period', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Period") 
  ans = .Call('R_swig_new_PeriodVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t"
  
  ans
  
}

)
# Start of PeriodVector_push_back

PeriodVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  coerceIfNotSubclass(x, "_p_Period") 
  .Call('R_swig_PeriodVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of PeriodVector_push_back


attr(PeriodVector_push_back, 'returnType') = 'void'
attr(PeriodVector_push_back, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', '_p_Period')
class(PeriodVector_push_back) = c("SWIGFunction", class(PeriodVector_push_back))

# Start of PeriodVector_front

PeriodVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  ans = .Call('R_swig_PeriodVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Period"
  
  ans
  
}
# End of PeriodVector_front


attr(PeriodVector_front, 'returnType') = '_p_Period'
attr(PeriodVector_front, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_front) = c("SWIGFunction", class(PeriodVector_front))

# Start of PeriodVector_back

PeriodVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  ans = .Call('R_swig_PeriodVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Period"
  
  ans
  
}
# End of PeriodVector_back


attr(PeriodVector_back, 'returnType') = '_p_Period'
attr(PeriodVector_back, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_back) = c("SWIGFunction", class(PeriodVector_back))

# Start of PeriodVector_assign

PeriodVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_Period") 
  .Call('R_swig_PeriodVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of PeriodVector_assign


attr(PeriodVector_assign, 'returnType') = 'void'
attr(PeriodVector_assign, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric', '_p_Period')
class(PeriodVector_assign) = c("SWIGFunction", class(PeriodVector_assign))

setMethod('PeriodVector_resize', c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric', '_p_Period', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_Period") 
  .Call('R_swig_PeriodVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of PeriodVector_reserve

PeriodVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_PeriodVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of PeriodVector_reserve


attr(PeriodVector_reserve, 'returnType') = 'void'
attr(PeriodVector_reserve, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', 'numeric')
class(PeriodVector_reserve) = c("SWIGFunction", class(PeriodVector_reserve))

# Start of PeriodVector_capacity

PeriodVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_PeriodVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of PeriodVector_capacity


attr(PeriodVector_capacity, 'returnType') = 'numeric'
attr(PeriodVector_capacity, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(PeriodVector_capacity) = c("SWIGFunction", class(PeriodVector_capacity))

# Start of delete_PeriodVector

delete_PeriodVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  .Call('R_swig_delete_PeriodVector', self, PACKAGE='QuantLib')
  
}
# End of delete_PeriodVector


attr(delete_PeriodVector, 'returnType') = 'void'
attr(delete_PeriodVector, "inputTypes") = c('_p_std__vectorTPeriod_std__allocatorTPeriod_t_t')
class(delete_PeriodVector) = c("SWIGFunction", class(delete_PeriodVector))

# Start of accessor method for std::vector<(Period)>
setMethod('$', '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = PeriodVector___nonzero__, '__len__' = PeriodVector___len__, 'pop' = PeriodVector_pop, '__getslice__' = PeriodVector___getslice__, '__setslice__' = PeriodVector___setslice__, '__delslice__' = PeriodVector___delslice__, '__delitem__' = PeriodVector___delitem__, '__getitem__' = PeriodVector___getitem__, '__setitem__' = PeriodVector___setitem__, 'append' = PeriodVector_append, 'empty' = PeriodVector_empty, 'size' = PeriodVector_size, 'clear' = PeriodVector_clear, 'swap' = PeriodVector_swap, 'get_allocator' = PeriodVector_get_allocator, 'pop_back' = PeriodVector_pop_back, 'resize' = PeriodVector_resize, 'push_back' = PeriodVector_push_back, 'front' = PeriodVector_front, 'back' = PeriodVector_back, 'assign' = PeriodVector_assign, 'resize' = PeriodVector_resize, 'reserve' = PeriodVector_reserve, 'capacity' = PeriodVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(Period)>
setGeneric('Date', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Date'))
attr(Date, 'returnType') = '_p_Date'
setMethod('Date', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Date__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setMethod('Date', c('numeric', 'character', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_Month") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_new_Date__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setMethod('Date', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.numeric(s_arg1) 
  ans = .Call('R_swig_new_Date__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
# Start of Date_weekday

Date_weekday = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  ans = .Call('R_swig_Date_weekday', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Weekday")
  
  ans
  
}
# End of Date_weekday


attr(Date_weekday, 'returnType') = 'character'
attr(Date_weekday, "inputTypes") = c('_p_Date')
class(Date_weekday) = c("SWIGFunction", class(Date_weekday))

# Start of Date_dayOfMonth

Date_dayOfMonth = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date_dayOfMonth', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_dayOfMonth


attr(Date_dayOfMonth, 'returnType') = 'numeric'
attr(Date_dayOfMonth, "inputTypes") = c('_p_Date')
class(Date_dayOfMonth) = c("SWIGFunction", class(Date_dayOfMonth))

# Start of Date_dayOfYear

Date_dayOfYear = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date_dayOfYear', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_dayOfYear


attr(Date_dayOfYear, 'returnType') = 'numeric'
attr(Date_dayOfYear, "inputTypes") = c('_p_Date')
class(Date_dayOfYear) = c("SWIGFunction", class(Date_dayOfYear))

# Start of Date_month

Date_month = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  ans = .Call('R_swig_Date_month', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Month")
  
  ans
  
}
# End of Date_month


attr(Date_month, 'returnType') = 'character'
attr(Date_month, "inputTypes") = c('_p_Date')
class(Date_month) = c("SWIGFunction", class(Date_month))

# Start of Date_year

Date_year = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date_year', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_year


attr(Date_year, 'returnType') = 'numeric'
attr(Date_year, "inputTypes") = c('_p_Date')
class(Date_year) = c("SWIGFunction", class(Date_year))

# Start of Date_serialNumber

Date_serialNumber = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date_serialNumber', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_serialNumber


attr(Date_serialNumber, 'returnType') = 'numeric'
attr(Date_serialNumber, "inputTypes") = c('_p_Date')
class(Date_serialNumber) = c("SWIGFunction", class(Date_serialNumber))

# Start of Date_isLeap

Date_isLeap = function(y, .copy = FALSE)
{
  y = as.integer(y) 
  
  if(length(y) > 1) {
    warning("using only the first element of y")
  }
  
  .Call('R_swig_Date_isLeap', y, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_isLeap


attr(Date_isLeap, 'returnType') = 'logical'
attr(Date_isLeap, "inputTypes") = c('numeric')
class(Date_isLeap) = c("SWIGFunction", class(Date_isLeap))

# Start of Date_minDate

Date_minDate = function(.copy = FALSE)
{
  ans = .Call('R_swig_Date_minDate', as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Date_minDate


attr(Date_minDate, 'returnType') = '_p_Date'
class(Date_minDate) = c("SWIGFunction", class(Date_minDate))

# Start of Date_maxDate

Date_maxDate = function(.copy = FALSE)
{
  ans = .Call('R_swig_Date_maxDate', as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Date_maxDate


attr(Date_maxDate, 'returnType') = '_p_Date'
class(Date_maxDate) = c("SWIGFunction", class(Date_maxDate))

# Start of Date_todaysDate

Date_todaysDate = function(.copy = FALSE)
{
  ans = .Call('R_swig_Date_todaysDate', as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Date_todaysDate


attr(Date_todaysDate, 'returnType') = '_p_Date'
class(Date_todaysDate) = c("SWIGFunction", class(Date_todaysDate))

# Start of Date_endOfMonth

Date_endOfMonth = function(s_arg1, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  ans = .Call('R_swig_Date_endOfMonth', s_arg1, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Date_endOfMonth


attr(Date_endOfMonth, 'returnType') = '_p_Date'
attr(Date_endOfMonth, "inputTypes") = c('_p_Date')
class(Date_endOfMonth) = c("SWIGFunction", class(Date_endOfMonth))

# Start of Date_isEOM

Date_isEOM = function(s_arg1, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  .Call('R_swig_Date_isEOM', s_arg1, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_isEOM


attr(Date_isEOM, 'returnType') = 'logical'
attr(Date_isEOM, "inputTypes") = c('_p_Date')
class(Date_isEOM) = c("SWIGFunction", class(Date_isEOM))

# Start of Date_nextWeekday

Date_nextWeekday = function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  s_arg2 = enumToInteger(s_arg2, "_Weekday") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_Date_nextWeekday', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Date_nextWeekday


attr(Date_nextWeekday, 'returnType') = '_p_Date'
attr(Date_nextWeekday, "inputTypes") = c('_p_Date', 'character')
class(Date_nextWeekday) = c("SWIGFunction", class(Date_nextWeekday))

# Start of Date_nthWeekday

Date_nthWeekday = function(n, s_arg2, m, y, .copy = FALSE)
{
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_Weekday") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  m = enumToInteger(m, "_Month") 
  
  if(length(m) > 1) {
    warning("using only the first element of m")
  }
  
  y = as.integer(y) 
  
  if(length(y) > 1) {
    warning("using only the first element of y")
  }
  
  ans = .Call('R_swig_Date_nthWeekday', n, s_arg2, m, y, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Date_nthWeekday


attr(Date_nthWeekday, 'returnType') = '_p_Date'
attr(Date_nthWeekday, "inputTypes") = c('numeric', 'character', 'character', 'numeric')
class(Date_nthWeekday) = c("SWIGFunction", class(Date_nthWeekday))

# Start of Date_isIMMdate

Date_isIMMdate = function(s_arg1, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  .Call('R_swig_Date_isIMMdate', s_arg1, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_isIMMdate


attr(Date_isIMMdate, 'returnType') = 'logical'
attr(Date_isIMMdate, "inputTypes") = c('_p_Date')
class(Date_isIMMdate) = c("SWIGFunction", class(Date_isIMMdate))

# Start of Date_nextIMMdate

Date_nextIMMdate = function(s_arg1, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  ans = .Call('R_swig_Date_nextIMMdate', s_arg1, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Date_nextIMMdate


attr(Date_nextIMMdate, 'returnType') = '_p_Date'
attr(Date_nextIMMdate, "inputTypes") = c('_p_Date')
class(Date_nextIMMdate) = c("SWIGFunction", class(Date_nextIMMdate))

setMethod('Date', c('character', 'character', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__string") 
  coerceIfNotSubclass(s_arg2, "_p_std__string") 
  ans = .Call('R_swig_new_Date__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
# Start of Date_weekdayNumber

Date_weekdayNumber = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date_weekdayNumber', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_weekdayNumber


attr(Date_weekdayNumber, 'returnType') = 'numeric'
attr(Date_weekdayNumber, "inputTypes") = c('_p_Date')
class(Date_weekdayNumber) = c("SWIGFunction", class(Date_weekdayNumber))

# Start of Date___str__

Date___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date___str__


attr(Date___str__, 'returnType') = 'character'
attr(Date___str__, "inputTypes") = c('_p_Date')
class(Date___str__) = c("SWIGFunction", class(Date___str__))

# Start of Date___repr__

Date___repr__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date___repr__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date___repr__


attr(Date___repr__, 'returnType') = 'character'
attr(Date___repr__, "inputTypes") = c('_p_Date')
class(Date___repr__) = c("SWIGFunction", class(Date___repr__))

# Start of Date_ISO

Date_ISO = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_Date_ISO', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Date_ISO


attr(Date_ISO, 'returnType') = 'character'
attr(Date_ISO, "inputTypes") = c('_p_Date')
class(Date_ISO) = c("SWIGFunction", class(Date_ISO))

# Start of delete_Date

delete_Date = function(self)
{
  coerceIfNotSubclass(self, "_p_Date") 
  .Call('R_swig_delete_Date', self, PACKAGE='QuantLib')
  
}
# End of delete_Date


attr(delete_Date, 'returnType') = 'void'
attr(delete_Date, "inputTypes") = c('_p_Date')
class(delete_Date) = c("SWIGFunction", class(delete_Date))

# Start of accessor method for Date
setMethod('$', '_p_Date', function(x, name)

{
  accessorFuns = list('weekday' = Date_weekday, 'dayOfMonth' = Date_dayOfMonth, 'dayOfYear' = Date_dayOfYear, 'month' = Date_month, 'year' = Date_year, 'serialNumber' = Date_serialNumber, 'weekdayNumber' = Date_weekdayNumber, '__str__' = Date___str__, '__repr__' = Date___repr__, 'ISO' = Date_ISO)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Date
# Start of DateVector___nonzero__

DateVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DateVector___nonzero__


attr(DateVector___nonzero__, 'returnType') = 'logical'
attr(DateVector___nonzero__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector___nonzero__) = c("SWIGFunction", class(DateVector___nonzero__))

# Start of DateVector___len__

DateVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DateVector___len__


attr(DateVector___len__, 'returnType') = 'numeric'
attr(DateVector___len__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector___len__) = c("SWIGFunction", class(DateVector___len__))

# Start of DateVector_pop

DateVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  ans = .Call('R_swig_DateVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of DateVector_pop


attr(DateVector_pop, 'returnType') = '_p_Date'
attr(DateVector_pop, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_pop) = c("SWIGFunction", class(DateVector_pop))

# Start of DateVector___getslice__

DateVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_DateVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}
# End of DateVector___getslice__


attr(DateVector___getslice__, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
attr(DateVector___getslice__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric', 'numeric')
class(DateVector___getslice__) = c("SWIGFunction", class(DateVector___getslice__))

# Start of DateVector___setslice__

DateVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of DateVector___setslice__


attr(DateVector___setslice__, 'returnType') = 'void'
attr(DateVector___setslice__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric', 'numeric', '_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector___setslice__) = c("SWIGFunction", class(DateVector___setslice__))

# Start of DateVector___delslice__

DateVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_DateVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of DateVector___delslice__


attr(DateVector___delslice__, 'returnType') = 'void'
attr(DateVector___delslice__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric', 'numeric')
class(DateVector___delslice__) = c("SWIGFunction", class(DateVector___delslice__))

# Start of DateVector___delitem__

DateVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_DateVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of DateVector___delitem__


attr(DateVector___delitem__, 'returnType') = 'void'
attr(DateVector___delitem__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric')
class(DateVector___delitem__) = c("SWIGFunction", class(DateVector___delitem__))

# Start of DateVector___getitem__

DateVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_DateVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of DateVector___getitem__


attr(DateVector___getitem__, 'returnType') = '_p_Date'
attr(DateVector___getitem__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric')
class(DateVector___getitem__) = c("SWIGFunction", class(DateVector___getitem__))

# Start of DateVector___setitem__

DateVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_Date") 
  .Call('R_swig_DateVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of DateVector___setitem__


attr(DateVector___setitem__, 'returnType') = 'void'
attr(DateVector___setitem__, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric', '_p_Date')
class(DateVector___setitem__) = c("SWIGFunction", class(DateVector___setitem__))

# Start of DateVector_append

DateVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(x, "_p_Date") 
  .Call('R_swig_DateVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of DateVector_append


attr(DateVector_append, 'returnType') = 'void'
attr(DateVector_append, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_Date')
class(DateVector_append) = c("SWIGFunction", class(DateVector_append))

setGeneric('DateVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DateVector'))
attr(DateVector, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
setMethod('DateVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_DateVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}

)
setMethod('DateVector', c('_p_std__vectorTDate_std__allocatorTDate_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  ans = .Call('R_swig_new_DateVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}

)
# Start of DateVector_empty

DateVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DateVector_empty


attr(DateVector_empty, 'returnType') = 'logical'
attr(DateVector_empty, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_empty) = c("SWIGFunction", class(DateVector_empty))

# Start of DateVector_size

DateVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DateVector_size


attr(DateVector_size, 'returnType') = 'numeric'
attr(DateVector_size, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_size) = c("SWIGFunction", class(DateVector_size))

# Start of DateVector_clear

DateVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector_clear', self, PACKAGE='QuantLib')
  
}
# End of DateVector_clear


attr(DateVector_clear, 'returnType') = 'void'
attr(DateVector_clear, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_clear) = c("SWIGFunction", class(DateVector_clear))

# Start of DateVector_swap

DateVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of DateVector_swap


attr(DateVector_swap, 'returnType') = 'void'
attr(DateVector_swap, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_swap) = c("SWIGFunction", class(DateVector_swap))

# Start of DateVector_get_allocator

DateVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  ans = .Call('R_swig_DateVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTDate_t"
  
  ans
  
}
# End of DateVector_get_allocator


attr(DateVector_get_allocator, 'returnType') = '_p_std__allocatorTDate_t'
attr(DateVector_get_allocator, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_get_allocator) = c("SWIGFunction", class(DateVector_get_allocator))

setMethod('DateVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_DateVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}

)
# Start of DateVector_pop_back

DateVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of DateVector_pop_back


attr(DateVector_pop_back, 'returnType') = 'void'
attr(DateVector_pop_back, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_pop_back) = c("SWIGFunction", class(DateVector_pop_back))

setGeneric('DateVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DateVector_resize'))
attr(DateVector_resize, 'returnType') = 'void'
setMethod('DateVector_resize', c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_DateVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('DateVector', c('numeric', '_p_Date', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  ans = .Call('R_swig_new_DateVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}

)
# Start of DateVector_push_back

DateVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(x, "_p_Date") 
  .Call('R_swig_DateVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of DateVector_push_back


attr(DateVector_push_back, 'returnType') = 'void'
attr(DateVector_push_back, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_Date')
class(DateVector_push_back) = c("SWIGFunction", class(DateVector_push_back))

# Start of DateVector_front

DateVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  ans = .Call('R_swig_DateVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of DateVector_front


attr(DateVector_front, 'returnType') = '_p_Date'
attr(DateVector_front, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_front) = c("SWIGFunction", class(DateVector_front))

# Start of DateVector_back

DateVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  ans = .Call('R_swig_DateVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of DateVector_back


attr(DateVector_back, 'returnType') = '_p_Date'
attr(DateVector_back, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_back) = c("SWIGFunction", class(DateVector_back))

# Start of DateVector_assign

DateVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_Date") 
  .Call('R_swig_DateVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of DateVector_assign


attr(DateVector_assign, 'returnType') = 'void'
attr(DateVector_assign, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric', '_p_Date')
class(DateVector_assign) = c("SWIGFunction", class(DateVector_assign))

setMethod('DateVector_resize', c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric', '_p_Date', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  .Call('R_swig_DateVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of DateVector_reserve

DateVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_DateVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of DateVector_reserve


attr(DateVector_reserve, 'returnType') = 'void'
attr(DateVector_reserve, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'numeric')
class(DateVector_reserve) = c("SWIGFunction", class(DateVector_reserve))

# Start of DateVector_capacity

DateVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_DateVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DateVector_capacity


attr(DateVector_capacity, 'returnType') = 'numeric'
attr(DateVector_capacity, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(DateVector_capacity) = c("SWIGFunction", class(DateVector_capacity))

# Start of delete_DateVector

delete_DateVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  .Call('R_swig_delete_DateVector', self, PACKAGE='QuantLib')
  
}
# End of delete_DateVector


attr(delete_DateVector, 'returnType') = 'void'
attr(delete_DateVector, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t')
class(delete_DateVector) = c("SWIGFunction", class(delete_DateVector))

# Start of accessor method for std::vector<(Date)>
setMethod('$', '_p_std__vectorTDate_std__allocatorTDate_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = DateVector___nonzero__, '__len__' = DateVector___len__, 'pop' = DateVector_pop, '__getslice__' = DateVector___getslice__, '__setslice__' = DateVector___setslice__, '__delslice__' = DateVector___delslice__, '__delitem__' = DateVector___delitem__, '__getitem__' = DateVector___getitem__, '__setitem__' = DateVector___setitem__, 'append' = DateVector_append, 'empty' = DateVector_empty, 'size' = DateVector_size, 'clear' = DateVector_clear, 'swap' = DateVector_swap, 'get_allocator' = DateVector_get_allocator, 'pop_back' = DateVector_pop_back, 'resize' = DateVector_resize, 'push_back' = DateVector_push_back, 'front' = DateVector_front, 'back' = DateVector_back, 'assign' = DateVector_assign, 'resize' = DateVector_resize, 'reserve' = DateVector_reserve, 'capacity' = DateVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(Date)>
# Start of nullInt

nullInt = function(.copy = FALSE)
{
  .Call('R_swig_nullInt', as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of nullInt


attr(nullInt, 'returnType') = 'numeric'
class(nullInt) = c("SWIGFunction", class(nullInt))

# Start of nullDouble

nullDouble = function(.copy = FALSE)
{
  .Call('R_swig_nullDouble', as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of nullDouble


attr(nullDouble, 'returnType') = 'numeric'
class(nullDouble) = c("SWIGFunction", class(nullDouble))

# Start of DayCounter_dayCount

DayCounter_dayCount = function(self, d1, d2, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DayCounter") 
  coerceIfNotSubclass(d1, "_p_Date") 
  coerceIfNotSubclass(d2, "_p_Date") 
  .Call('R_swig_DayCounter_dayCount', self, d1, d2, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DayCounter_dayCount


attr(DayCounter_dayCount, 'returnType') = 'numeric'
attr(DayCounter_dayCount, "inputTypes") = c('_p_DayCounter', '_p_Date', '_p_Date')
class(DayCounter_dayCount) = c("SWIGFunction", class(DayCounter_dayCount))

setGeneric('DayCounter_yearFraction', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DayCounter_yearFraction'))
attr(DayCounter_yearFraction, 'returnType') = 'numeric'
setMethod('DayCounter_yearFraction', c('_p_DayCounter', '_p_Date', '_p_Date', '_p_Date', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  .Call('R_swig_DayCounter_yearFraction__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('DayCounter_yearFraction', c('_p_DayCounter', '_p_Date', '_p_Date', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  .Call('R_swig_DayCounter_yearFraction__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('DayCounter_yearFraction', c('_p_DayCounter', '_p_Date', '_p_Date', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  .Call('R_swig_DayCounter_yearFraction__SWIG_2', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of DayCounter___str__

DayCounter___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DayCounter") 
  .Call('R_swig_DayCounter___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DayCounter___str__


attr(DayCounter___str__, 'returnType') = 'character'
attr(DayCounter___str__, "inputTypes") = c('_p_DayCounter')
class(DayCounter___str__) = c("SWIGFunction", class(DayCounter___str__))

# Start of delete_DayCounter

delete_DayCounter = function(self)
{
  coerceIfNotSubclass(self, "_p_DayCounter") 
  .Call('R_swig_delete_DayCounter', self, PACKAGE='QuantLib')
  
}
# End of delete_DayCounter


attr(delete_DayCounter, 'returnType') = 'void'
attr(delete_DayCounter, "inputTypes") = c('_p_DayCounter')
class(delete_DayCounter) = c("SWIGFunction", class(delete_DayCounter))

# Start of accessor method for DayCounter
setMethod('$', '_p_DayCounter', function(x, name)

{
  accessorFuns = list('dayCount' = DayCounter_dayCount, 'yearFraction' = DayCounter_yearFraction, 'yearFraction' = DayCounter_yearFraction, 'yearFraction' = DayCounter_yearFraction, '__str__' = DayCounter___str__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for DayCounter
# Start of new_Actual360

Actual360 = function()
{
  ans = .Call('R_swig_new_Actual360', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Actual360"
  
  ans
  
}
# End of new_Actual360


attr(Actual360, 'returnType') = '_p_QuantLib__Actual360'
class(Actual360) = c("SWIGFunction", class(Actual360))

# Start of delete_Actual360

delete_Actual360 = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Actual360") 
  .Call('R_swig_delete_Actual360', self, PACKAGE='QuantLib')
  
}
# End of delete_Actual360


attr(delete_Actual360, 'returnType') = 'void'
attr(delete_Actual360, "inputTypes") = c('_p_QuantLib__Actual360')
class(delete_Actual360) = c("SWIGFunction", class(delete_Actual360))

# Start of new_Actual365Fixed

Actual365Fixed = function()
{
  ans = .Call('R_swig_new_Actual365Fixed', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Actual365Fixed"
  
  ans
  
}
# End of new_Actual365Fixed


attr(Actual365Fixed, 'returnType') = '_p_QuantLib__Actual365Fixed'
class(Actual365Fixed) = c("SWIGFunction", class(Actual365Fixed))

# Start of delete_Actual365Fixed

delete_Actual365Fixed = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Actual365Fixed") 
  .Call('R_swig_delete_Actual365Fixed', self, PACKAGE='QuantLib')
  
}
# End of delete_Actual365Fixed


attr(delete_Actual365Fixed, 'returnType') = 'void'
attr(delete_Actual365Fixed, "inputTypes") = c('_p_QuantLib__Actual365Fixed')
class(delete_Actual365Fixed) = c("SWIGFunction", class(delete_Actual365Fixed))

defineEnumeration('_QuantLib__Thirty360__Convention',
                    .values = c(
                        'USA' = 0, 
                        'BondBasis' = 1, 
                        'European' = 2, 
                        'EurobondBasis' = 3, 
                        'Italian' = 4
))
setGeneric('Thirty360', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Thirty360'))
attr(Thirty360, 'returnType') = '_p_QuantLib__Thirty360'
setMethod('Thirty360', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Thirty360__Convention") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Thirty360__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Thirty360"
  
  ans
  
}

)
setMethod('Thirty360', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Thirty360__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Thirty360"
  
  ans
  
}

)
# Start of delete_Thirty360

delete_Thirty360 = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Thirty360") 
  .Call('R_swig_delete_Thirty360', self, PACKAGE='QuantLib')
  
}
# End of delete_Thirty360


attr(delete_Thirty360, 'returnType') = 'void'
attr(delete_Thirty360, "inputTypes") = c('_p_QuantLib__Thirty360')
class(delete_Thirty360) = c("SWIGFunction", class(delete_Thirty360))

defineEnumeration('_QuantLib__ActualActual__Convention',
                    .values = c(
                        'ISMA' = 0, 
                        'Bond' = 1, 
                        'ISDA' = 2, 
                        'Historical' = 3, 
                        'AFB' = 4, 
                        'Euro' = 5
))
setGeneric('ActualActual', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ActualActual'))
attr(ActualActual, 'returnType') = '_p_QuantLib__ActualActual'
setMethod('ActualActual', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__ActualActual__Convention") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_ActualActual__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ActualActual"
  
  ans
  
}

)
setMethod('ActualActual', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_ActualActual__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ActualActual"
  
  ans
  
}

)
# Start of delete_ActualActual

delete_ActualActual = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ActualActual") 
  .Call('R_swig_delete_ActualActual', self, PACKAGE='QuantLib')
  
}
# End of delete_ActualActual


attr(delete_ActualActual, 'returnType') = 'void'
attr(delete_ActualActual, "inputTypes") = c('_p_QuantLib__ActualActual')
class(delete_ActualActual) = c("SWIGFunction", class(delete_ActualActual))

# Start of new_OneDayCounter

OneDayCounter = function()
{
  ans = .Call('R_swig_new_OneDayCounter', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__OneDayCounter"
  
  ans
  
}
# End of new_OneDayCounter


attr(OneDayCounter, 'returnType') = '_p_QuantLib__OneDayCounter'
class(OneDayCounter) = c("SWIGFunction", class(OneDayCounter))

# Start of delete_OneDayCounter

delete_OneDayCounter = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__OneDayCounter") 
  .Call('R_swig_delete_OneDayCounter', self, PACKAGE='QuantLib')
  
}
# End of delete_OneDayCounter


attr(delete_OneDayCounter, 'returnType') = 'void'
attr(delete_OneDayCounter, "inputTypes") = c('_p_QuantLib__OneDayCounter')
class(delete_OneDayCounter) = c("SWIGFunction", class(delete_OneDayCounter))

# Start of new_SimpleDayCounter

SimpleDayCounter = function()
{
  ans = .Call('R_swig_new_SimpleDayCounter', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SimpleDayCounter"
  
  ans
  
}
# End of new_SimpleDayCounter


attr(SimpleDayCounter, 'returnType') = '_p_QuantLib__SimpleDayCounter'
class(SimpleDayCounter) = c("SWIGFunction", class(SimpleDayCounter))

# Start of delete_SimpleDayCounter

delete_SimpleDayCounter = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SimpleDayCounter") 
  .Call('R_swig_delete_SimpleDayCounter', self, PACKAGE='QuantLib')
  
}
# End of delete_SimpleDayCounter


attr(delete_SimpleDayCounter, 'returnType') = 'void'
attr(delete_SimpleDayCounter, "inputTypes") = c('_p_QuantLib__SimpleDayCounter')
class(delete_SimpleDayCounter) = c("SWIGFunction", class(delete_SimpleDayCounter))

defineEnumeration('_Compounding',
                    .values = c(
                        'Simple' = 0, 
                        'Compounded' = 1, 
                        'Continuous' = 2, 
                        'SimpleThenCompounded' = 3
))
setGeneric('InterestRate', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InterestRate'))
attr(InterestRate, 'returnType') = '_p_InterestRate'
setMethod('InterestRate', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_InterestRate__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate', c('numeric', '_p_DayCounter', 'character', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_DayCounter") 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_new_InterestRate__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate', c('numeric', '_p_DayCounter', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_DayCounter") 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_new_InterestRate__SWIG_2', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
# Start of InterestRate_rate

InterestRate_rate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InterestRate") 
  .Call('R_swig_InterestRate_rate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of InterestRate_rate


attr(InterestRate_rate, 'returnType') = 'numeric'
attr(InterestRate_rate, "inputTypes") = c('_p_InterestRate')
class(InterestRate_rate) = c("SWIGFunction", class(InterestRate_rate))

# Start of InterestRate_dayCounter

InterestRate_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InterestRate") 
  ans = .Call('R_swig_InterestRate_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of InterestRate_dayCounter


attr(InterestRate_dayCounter, 'returnType') = '_p_DayCounter'
attr(InterestRate_dayCounter, "inputTypes") = c('_p_InterestRate')
class(InterestRate_dayCounter) = c("SWIGFunction", class(InterestRate_dayCounter))

# Start of InterestRate_compounding

InterestRate_compounding = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InterestRate") 
  ans = .Call('R_swig_InterestRate_compounding', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Compounding")
  
  ans
  
}
# End of InterestRate_compounding


attr(InterestRate_compounding, 'returnType') = 'character'
attr(InterestRate_compounding, "inputTypes") = c('_p_InterestRate')
class(InterestRate_compounding) = c("SWIGFunction", class(InterestRate_compounding))

# Start of InterestRate_frequency

InterestRate_frequency = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InterestRate") 
  ans = .Call('R_swig_InterestRate_frequency', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Frequency")
  
  ans
  
}
# End of InterestRate_frequency


attr(InterestRate_frequency, 'returnType') = 'character'
attr(InterestRate_frequency, "inputTypes") = c('_p_InterestRate')
class(InterestRate_frequency) = c("SWIGFunction", class(InterestRate_frequency))

setGeneric('InterestRate_discountFactor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InterestRate_discountFactor'))
attr(InterestRate_discountFactor, 'returnType') = 'numeric'
setMethod('InterestRate_discountFactor', c('_p_InterestRate', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_InterestRate_discountFactor__SWIG_0', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('InterestRate_discountFactor', c('_p_InterestRate', '_p_Date', '_p_Date', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  .Call('R_swig_InterestRate_discountFactor__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('InterestRate_compoundFactor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InterestRate_compoundFactor'))
attr(InterestRate_compoundFactor, 'returnType') = 'numeric'
setMethod('InterestRate_compoundFactor', c('_p_InterestRate', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_InterestRate_compoundFactor__SWIG_0', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('InterestRate_compoundFactor', c('_p_InterestRate', '_p_Date', '_p_Date', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  .Call('R_swig_InterestRate_compoundFactor__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('InterestRate_impliedRate', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InterestRate_impliedRate'))
attr(InterestRate_impliedRate, 'returnType') = '_p_InterestRate'
setMethod('InterestRate_impliedRate', c('numeric', 'numeric', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_InterestRate_impliedRate__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate_impliedRate', c('numeric', 'numeric', '_p_DayCounter', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_InterestRate_impliedRate__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate_impliedRate', c('numeric', '_p_Date', '_p_Date', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_InterestRate_impliedRate__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate_impliedRate', c('numeric', '_p_Date', '_p_Date', '_p_DayCounter', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_InterestRate_impliedRate__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setGeneric('InterestRate_equivalentRate', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InterestRate_equivalentRate'))
attr(InterestRate_equivalentRate, 'returnType') = '_p_InterestRate'
setMethod('InterestRate_equivalentRate', c('_p_InterestRate', 'numeric', 'character', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_InterestRate_equivalentRate__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate_equivalentRate', c('_p_InterestRate', 'numeric', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_InterestRate_equivalentRate__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate_equivalentRate', c('_p_InterestRate', '_p_Date', '_p_Date', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_InterestRate_equivalentRate__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('InterestRate_equivalentRate', c('_p_InterestRate', '_p_Date', '_p_Date', '_p_DayCounter', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_InterestRate") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_InterestRate_equivalentRate__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
# Start of InterestRate___str__

InterestRate___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InterestRate") 
  .Call('R_swig_InterestRate___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of InterestRate___str__


attr(InterestRate___str__, 'returnType') = 'character'
attr(InterestRate___str__, "inputTypes") = c('_p_InterestRate')
class(InterestRate___str__) = c("SWIGFunction", class(InterestRate___str__))

# Start of delete_InterestRate

delete_InterestRate = function(self)
{
  coerceIfNotSubclass(self, "_p_InterestRate") 
  .Call('R_swig_delete_InterestRate', self, PACKAGE='QuantLib')
  
}
# End of delete_InterestRate


attr(delete_InterestRate, 'returnType') = 'void'
attr(delete_InterestRate, "inputTypes") = c('_p_InterestRate')
class(delete_InterestRate) = c("SWIGFunction", class(delete_InterestRate))

# Start of accessor method for InterestRate
setMethod('$', '_p_InterestRate', function(x, name)

{
  accessorFuns = list('rate' = InterestRate_rate, 'dayCounter' = InterestRate_dayCounter, 'compounding' = InterestRate_compounding, 'frequency' = InterestRate_frequency, 'discountFactor' = InterestRate_discountFactor, 'discountFactor' = InterestRate_discountFactor, 'compoundFactor' = InterestRate_compoundFactor, 'compoundFactor' = InterestRate_compoundFactor, 'equivalentRate' = InterestRate_equivalentRate, 'equivalentRate' = InterestRate_equivalentRate, 'equivalentRate' = InterestRate_equivalentRate, 'equivalentRate' = InterestRate_equivalentRate, '__str__' = InterestRate___str__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InterestRate
defineEnumeration('_BusinessDayConvention',
                    .values = c(
                        'Unadjusted' = 0, 
                        'Preceding' = 1, 
                        'ModifiedPreceding' = 2, 
                        'Following' = 3, 
                        'ModifiedFollowing' = 4, 
                        'MonthEndReference' = 5
))
defineEnumeration('_JointCalendarRule',
                    .values = c(
                        'JoinHolidays' = 0, 
                        'JoinBusinessDays' = 1
))
# Start of Calendar_isBusinessDay

Calendar_isBusinessDay = function(self, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_Calendar_isBusinessDay', self, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Calendar_isBusinessDay


attr(Calendar_isBusinessDay, 'returnType') = 'logical'
attr(Calendar_isBusinessDay, "inputTypes") = c('_p_Calendar', '_p_Date')
class(Calendar_isBusinessDay) = c("SWIGFunction", class(Calendar_isBusinessDay))

# Start of Calendar_isHoliday

Calendar_isHoliday = function(self, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_Calendar_isHoliday', self, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Calendar_isHoliday


attr(Calendar_isHoliday, 'returnType') = 'logical'
attr(Calendar_isHoliday, "inputTypes") = c('_p_Calendar', '_p_Date')
class(Calendar_isHoliday) = c("SWIGFunction", class(Calendar_isHoliday))

# Start of Calendar_isEndOfMonth

Calendar_isEndOfMonth = function(self, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_Calendar_isEndOfMonth', self, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Calendar_isEndOfMonth


attr(Calendar_isEndOfMonth, 'returnType') = 'logical'
attr(Calendar_isEndOfMonth, "inputTypes") = c('_p_Calendar', '_p_Date')
class(Calendar_isEndOfMonth) = c("SWIGFunction", class(Calendar_isEndOfMonth))

# Start of Calendar_addHoliday

Calendar_addHoliday = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_Calendar_addHoliday', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of Calendar_addHoliday


attr(Calendar_addHoliday, 'returnType') = 'void'
attr(Calendar_addHoliday, "inputTypes") = c('_p_Calendar', '_p_Date')
class(Calendar_addHoliday) = c("SWIGFunction", class(Calendar_addHoliday))

# Start of Calendar_removeHoliday

Calendar_removeHoliday = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_Calendar_removeHoliday', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of Calendar_removeHoliday


attr(Calendar_removeHoliday, 'returnType') = 'void'
attr(Calendar_removeHoliday, "inputTypes") = c('_p_Calendar', '_p_Date')
class(Calendar_removeHoliday) = c("SWIGFunction", class(Calendar_removeHoliday))

setGeneric('Calendar_adjust', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Calendar_adjust'))
attr(Calendar_adjust, 'returnType') = '_p_Date'
setMethod('Calendar_adjust', c('_p_Calendar', '_p_Date', 'character', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = enumToInteger(s_arg3, "_BusinessDayConvention") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  ans = .Call('R_swig_Calendar_adjust__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setMethod('Calendar_adjust', c('_p_Calendar', '_p_Date', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = enumToInteger(s_arg3, "_BusinessDayConvention") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_Calendar_adjust__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setMethod('Calendar_adjust', c('_p_Calendar', '_p_Date', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  ans = .Call('R_swig_Calendar_adjust__SWIG_2', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setGeneric('Calendar_advance', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Calendar_advance'))
attr(Calendar_advance, 'returnType') = '_p_Date'
setMethod('Calendar_advance', c('_p_Calendar', '_p_Date', 'numeric', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_TimeUnit") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_Calendar_advance__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setMethod('Calendar_advance', c('_p_Calendar', '_p_Date', 'numeric', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_TimeUnit") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_Calendar_advance__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setMethod('Calendar_advance', c('_p_Calendar', '_p_Date', '_p_Period', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Period") 
  s_arg4 = enumToInteger(s_arg4, "_BusinessDayConvention") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_Calendar_advance__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
setMethod('Calendar_advance', c('_p_Calendar', '_p_Date', '_p_Period', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Period") 
  ans = .Call('R_swig_Calendar_advance__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}

)
# Start of Calendar___str__

Calendar___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Calendar") 
  .Call('R_swig_Calendar___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Calendar___str__


attr(Calendar___str__, 'returnType') = 'character'
attr(Calendar___str__, "inputTypes") = c('_p_Calendar')
class(Calendar___str__) = c("SWIGFunction", class(Calendar___str__))

# Start of delete_Calendar

delete_Calendar = function(self)
{
  coerceIfNotSubclass(self, "_p_Calendar") 
  .Call('R_swig_delete_Calendar', self, PACKAGE='QuantLib')
  
}
# End of delete_Calendar


attr(delete_Calendar, 'returnType') = 'void'
attr(delete_Calendar, "inputTypes") = c('_p_Calendar')
class(delete_Calendar) = c("SWIGFunction", class(delete_Calendar))

# Start of accessor method for Calendar
setMethod('$', '_p_Calendar', function(x, name)

{
  accessorFuns = list('isBusinessDay' = Calendar_isBusinessDay, 'isHoliday' = Calendar_isHoliday, 'isEndOfMonth' = Calendar_isEndOfMonth, 'addHoliday' = Calendar_addHoliday, 'removeHoliday' = Calendar_removeHoliday, 'adjust' = Calendar_adjust, 'adjust' = Calendar_adjust, 'adjust' = Calendar_adjust, 'advance' = Calendar_advance, 'advance' = Calendar_advance, 'advance' = Calendar_advance, 'advance' = Calendar_advance, '__str__' = Calendar___str__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Calendar
defineEnumeration('_QuantLib__Argentina__Market',
                    .values = c(
                        'Merval' = 0
))
setGeneric('Argentina', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Argentina'))
attr(Argentina, 'returnType') = '_p_QuantLib__Argentina'
setMethod('Argentina', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Argentina__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Argentina__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Argentina"
  
  ans
  
}

)
setMethod('Argentina', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Argentina__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Argentina"
  
  ans
  
}

)
# Start of delete_Argentina

delete_Argentina = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Argentina") 
  .Call('R_swig_delete_Argentina', self, PACKAGE='QuantLib')
  
}
# End of delete_Argentina


attr(delete_Argentina, 'returnType') = 'void'
attr(delete_Argentina, "inputTypes") = c('_p_QuantLib__Argentina')
class(delete_Argentina) = c("SWIGFunction", class(delete_Argentina))

# Start of new_Australia

Australia = function()
{
  ans = .Call('R_swig_new_Australia', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Australia"
  
  ans
  
}
# End of new_Australia


attr(Australia, 'returnType') = '_p_QuantLib__Australia'
class(Australia) = c("SWIGFunction", class(Australia))

# Start of delete_Australia

delete_Australia = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Australia") 
  .Call('R_swig_delete_Australia', self, PACKAGE='QuantLib')
  
}
# End of delete_Australia


attr(delete_Australia, 'returnType') = 'void'
attr(delete_Australia, "inputTypes") = c('_p_QuantLib__Australia')
class(delete_Australia) = c("SWIGFunction", class(delete_Australia))

# Start of new_Canada

Canada = function()
{
  ans = .Call('R_swig_new_Canada', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Canada"
  
  ans
  
}
# End of new_Canada


attr(Canada, 'returnType') = '_p_QuantLib__Canada'
class(Canada) = c("SWIGFunction", class(Canada))

# Start of delete_Canada

delete_Canada = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Canada") 
  .Call('R_swig_delete_Canada', self, PACKAGE='QuantLib')
  
}
# End of delete_Canada


attr(delete_Canada, 'returnType') = 'void'
attr(delete_Canada, "inputTypes") = c('_p_QuantLib__Canada')
class(delete_Canada) = c("SWIGFunction", class(delete_Canada))

# Start of new_China

China = function()
{
  ans = .Call('R_swig_new_China', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__China"
  
  ans
  
}
# End of new_China


attr(China, 'returnType') = '_p_QuantLib__China'
class(China) = c("SWIGFunction", class(China))

# Start of delete_China

delete_China = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__China") 
  .Call('R_swig_delete_China', self, PACKAGE='QuantLib')
  
}
# End of delete_China


attr(delete_China, 'returnType') = 'void'
attr(delete_China, "inputTypes") = c('_p_QuantLib__China')
class(delete_China) = c("SWIGFunction", class(delete_China))

defineEnumeration('_QuantLib__CzechRepublic__Market',
                    .values = c(
                        'PSE' = 0
))
setGeneric('CzechRepublic', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CzechRepublic'))
attr(CzechRepublic, 'returnType') = '_p_QuantLib__CzechRepublic'
setMethod('CzechRepublic', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__CzechRepublic__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_CzechRepublic__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CzechRepublic"
  
  ans
  
}

)
setMethod('CzechRepublic', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_CzechRepublic__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CzechRepublic"
  
  ans
  
}

)
# Start of delete_CzechRepublic

delete_CzechRepublic = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__CzechRepublic") 
  .Call('R_swig_delete_CzechRepublic', self, PACKAGE='QuantLib')
  
}
# End of delete_CzechRepublic


attr(delete_CzechRepublic, 'returnType') = 'void'
attr(delete_CzechRepublic, "inputTypes") = c('_p_QuantLib__CzechRepublic')
class(delete_CzechRepublic) = c("SWIGFunction", class(delete_CzechRepublic))

# Start of new_Denmark

Denmark = function()
{
  ans = .Call('R_swig_new_Denmark', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Denmark"
  
  ans
  
}
# End of new_Denmark


attr(Denmark, 'returnType') = '_p_QuantLib__Denmark'
class(Denmark) = c("SWIGFunction", class(Denmark))

# Start of delete_Denmark

delete_Denmark = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Denmark") 
  .Call('R_swig_delete_Denmark', self, PACKAGE='QuantLib')
  
}
# End of delete_Denmark


attr(delete_Denmark, 'returnType') = 'void'
attr(delete_Denmark, "inputTypes") = c('_p_QuantLib__Denmark')
class(delete_Denmark) = c("SWIGFunction", class(delete_Denmark))

# Start of new_Finland

Finland = function()
{
  ans = .Call('R_swig_new_Finland', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Finland"
  
  ans
  
}
# End of new_Finland


attr(Finland, 'returnType') = '_p_QuantLib__Finland'
class(Finland) = c("SWIGFunction", class(Finland))

# Start of delete_Finland

delete_Finland = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Finland") 
  .Call('R_swig_delete_Finland', self, PACKAGE='QuantLib')
  
}
# End of delete_Finland


attr(delete_Finland, 'returnType') = 'void'
attr(delete_Finland, "inputTypes") = c('_p_QuantLib__Finland')
class(delete_Finland) = c("SWIGFunction", class(delete_Finland))

defineEnumeration('_QuantLib__Germany__Market',
                    .values = c(
                        'Settlement' = 0, 
                        'FrankfurtStockExchange' = 1, 
                        'Xetra' = 2, 
                        'Eurex' = 3
))
setGeneric('Germany', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Germany'))
attr(Germany, 'returnType') = '_p_QuantLib__Germany'
setMethod('Germany', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Germany__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Germany__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Germany"
  
  ans
  
}

)
setMethod('Germany', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Germany__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Germany"
  
  ans
  
}

)
# Start of delete_Germany

delete_Germany = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Germany") 
  .Call('R_swig_delete_Germany', self, PACKAGE='QuantLib')
  
}
# End of delete_Germany


attr(delete_Germany, 'returnType') = 'void'
attr(delete_Germany, "inputTypes") = c('_p_QuantLib__Germany')
class(delete_Germany) = c("SWIGFunction", class(delete_Germany))

defineEnumeration('_QuantLib__HongKong__Market',
                    .values = c(
                        'HKEx' = 0
))
setGeneric('HongKong', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('HongKong'))
attr(HongKong, 'returnType') = '_p_QuantLib__HongKong'
setMethod('HongKong', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__HongKong__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_HongKong__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__HongKong"
  
  ans
  
}

)
setMethod('HongKong', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_HongKong__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__HongKong"
  
  ans
  
}

)
# Start of delete_HongKong

delete_HongKong = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__HongKong") 
  .Call('R_swig_delete_HongKong', self, PACKAGE='QuantLib')
  
}
# End of delete_HongKong


attr(delete_HongKong, 'returnType') = 'void'
attr(delete_HongKong, "inputTypes") = c('_p_QuantLib__HongKong')
class(delete_HongKong) = c("SWIGFunction", class(delete_HongKong))

# Start of new_Hungary

Hungary = function()
{
  ans = .Call('R_swig_new_Hungary', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Hungary"
  
  ans
  
}
# End of new_Hungary


attr(Hungary, 'returnType') = '_p_QuantLib__Hungary'
class(Hungary) = c("SWIGFunction", class(Hungary))

# Start of delete_Hungary

delete_Hungary = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Hungary") 
  .Call('R_swig_delete_Hungary', self, PACKAGE='QuantLib')
  
}
# End of delete_Hungary


attr(delete_Hungary, 'returnType') = 'void'
attr(delete_Hungary, "inputTypes") = c('_p_QuantLib__Hungary')
class(delete_Hungary) = c("SWIGFunction", class(delete_Hungary))

defineEnumeration('_QuantLib__Iceland__Market',
                    .values = c(
                        'ICEX' = 0
))
setGeneric('Iceland', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Iceland'))
attr(Iceland, 'returnType') = '_p_QuantLib__Iceland'
setMethod('Iceland', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Iceland__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Iceland__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Iceland"
  
  ans
  
}

)
setMethod('Iceland', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Iceland__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Iceland"
  
  ans
  
}

)
# Start of delete_Iceland

delete_Iceland = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Iceland") 
  .Call('R_swig_delete_Iceland', self, PACKAGE='QuantLib')
  
}
# End of delete_Iceland


attr(delete_Iceland, 'returnType') = 'void'
attr(delete_Iceland, "inputTypes") = c('_p_QuantLib__Iceland')
class(delete_Iceland) = c("SWIGFunction", class(delete_Iceland))

defineEnumeration('_QuantLib__India__Market',
                    .values = c(
                        'NSE' = 0
))
setGeneric('India', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('India'))
attr(India, 'returnType') = '_p_QuantLib__India'
setMethod('India', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__India__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_India__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__India"
  
  ans
  
}

)
setMethod('India', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_India__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__India"
  
  ans
  
}

)
# Start of delete_India

delete_India = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__India") 
  .Call('R_swig_delete_India', self, PACKAGE='QuantLib')
  
}
# End of delete_India


attr(delete_India, 'returnType') = 'void'
attr(delete_India, "inputTypes") = c('_p_QuantLib__India')
class(delete_India) = c("SWIGFunction", class(delete_India))

defineEnumeration('_QuantLib__Indonesia__Market',
                    .values = c(
                        'BEJ' = 0
))
setGeneric('Indonesia', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Indonesia'))
attr(Indonesia, 'returnType') = '_p_QuantLib__Indonesia'
setMethod('Indonesia', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Indonesia__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Indonesia__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Indonesia"
  
  ans
  
}

)
setMethod('Indonesia', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Indonesia__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Indonesia"
  
  ans
  
}

)
# Start of delete_Indonesia

delete_Indonesia = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Indonesia") 
  .Call('R_swig_delete_Indonesia', self, PACKAGE='QuantLib')
  
}
# End of delete_Indonesia


attr(delete_Indonesia, 'returnType') = 'void'
attr(delete_Indonesia, "inputTypes") = c('_p_QuantLib__Indonesia')
class(delete_Indonesia) = c("SWIGFunction", class(delete_Indonesia))

defineEnumeration('_QuantLib__Italy__Market',
                    .values = c(
                        'Settlement' = 0, 
                        'Exchange' = 1
))
setGeneric('Italy', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Italy'))
attr(Italy, 'returnType') = '_p_QuantLib__Italy'
setMethod('Italy', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Italy__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Italy__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Italy"
  
  ans
  
}

)
setMethod('Italy', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Italy__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Italy"
  
  ans
  
}

)
# Start of delete_Italy

delete_Italy = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Italy") 
  .Call('R_swig_delete_Italy', self, PACKAGE='QuantLib')
  
}
# End of delete_Italy


attr(delete_Italy, 'returnType') = 'void'
attr(delete_Italy, "inputTypes") = c('_p_QuantLib__Italy')
class(delete_Italy) = c("SWIGFunction", class(delete_Italy))

# Start of new_Japan

Japan = function()
{
  ans = .Call('R_swig_new_Japan', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Japan"
  
  ans
  
}
# End of new_Japan


attr(Japan, 'returnType') = '_p_QuantLib__Japan'
class(Japan) = c("SWIGFunction", class(Japan))

# Start of delete_Japan

delete_Japan = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Japan") 
  .Call('R_swig_delete_Japan', self, PACKAGE='QuantLib')
  
}
# End of delete_Japan


attr(delete_Japan, 'returnType') = 'void'
attr(delete_Japan, "inputTypes") = c('_p_QuantLib__Japan')
class(delete_Japan) = c("SWIGFunction", class(delete_Japan))

defineEnumeration('_QuantLib__Mexico__Market',
                    .values = c(
                        'BMV' = 0
))
setGeneric('Mexico', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Mexico'))
attr(Mexico, 'returnType') = '_p_QuantLib__Mexico'
setMethod('Mexico', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Mexico__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Mexico__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Mexico"
  
  ans
  
}

)
setMethod('Mexico', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Mexico__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Mexico"
  
  ans
  
}

)
# Start of delete_Mexico

delete_Mexico = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Mexico") 
  .Call('R_swig_delete_Mexico', self, PACKAGE='QuantLib')
  
}
# End of delete_Mexico


attr(delete_Mexico, 'returnType') = 'void'
attr(delete_Mexico, "inputTypes") = c('_p_QuantLib__Mexico')
class(delete_Mexico) = c("SWIGFunction", class(delete_Mexico))

# Start of new_NewZealand

NewZealand = function()
{
  ans = .Call('R_swig_new_NewZealand', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__NewZealand"
  
  ans
  
}
# End of new_NewZealand


attr(NewZealand, 'returnType') = '_p_QuantLib__NewZealand'
class(NewZealand) = c("SWIGFunction", class(NewZealand))

# Start of delete_NewZealand

delete_NewZealand = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__NewZealand") 
  .Call('R_swig_delete_NewZealand', self, PACKAGE='QuantLib')
  
}
# End of delete_NewZealand


attr(delete_NewZealand, 'returnType') = 'void'
attr(delete_NewZealand, "inputTypes") = c('_p_QuantLib__NewZealand')
class(delete_NewZealand) = c("SWIGFunction", class(delete_NewZealand))

# Start of new_Norway

Norway = function()
{
  ans = .Call('R_swig_new_Norway', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Norway"
  
  ans
  
}
# End of new_Norway


attr(Norway, 'returnType') = '_p_QuantLib__Norway'
class(Norway) = c("SWIGFunction", class(Norway))

# Start of delete_Norway

delete_Norway = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Norway") 
  .Call('R_swig_delete_Norway', self, PACKAGE='QuantLib')
  
}
# End of delete_Norway


attr(delete_Norway, 'returnType') = 'void'
attr(delete_Norway, "inputTypes") = c('_p_QuantLib__Norway')
class(delete_Norway) = c("SWIGFunction", class(delete_Norway))

# Start of new_Poland

Poland = function()
{
  ans = .Call('R_swig_new_Poland', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Poland"
  
  ans
  
}
# End of new_Poland


attr(Poland, 'returnType') = '_p_QuantLib__Poland'
class(Poland) = c("SWIGFunction", class(Poland))

# Start of delete_Poland

delete_Poland = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Poland") 
  .Call('R_swig_delete_Poland', self, PACKAGE='QuantLib')
  
}
# End of delete_Poland


attr(delete_Poland, 'returnType') = 'void'
attr(delete_Poland, "inputTypes") = c('_p_QuantLib__Poland')
class(delete_Poland) = c("SWIGFunction", class(delete_Poland))

# Start of new_SaudiArabia

SaudiArabia = function()
{
  ans = .Call('R_swig_new_SaudiArabia', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SaudiArabia"
  
  ans
  
}
# End of new_SaudiArabia


attr(SaudiArabia, 'returnType') = '_p_QuantLib__SaudiArabia'
class(SaudiArabia) = c("SWIGFunction", class(SaudiArabia))

# Start of delete_SaudiArabia

delete_SaudiArabia = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SaudiArabia") 
  .Call('R_swig_delete_SaudiArabia', self, PACKAGE='QuantLib')
  
}
# End of delete_SaudiArabia


attr(delete_SaudiArabia, 'returnType') = 'void'
attr(delete_SaudiArabia, "inputTypes") = c('_p_QuantLib__SaudiArabia')
class(delete_SaudiArabia) = c("SWIGFunction", class(delete_SaudiArabia))

defineEnumeration('_QuantLib__Singapore__Market',
                    .values = c(
                        'SGX' = 0
))
setGeneric('Singapore', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Singapore'))
attr(Singapore, 'returnType') = '_p_QuantLib__Singapore'
setMethod('Singapore', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Singapore__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Singapore__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Singapore"
  
  ans
  
}

)
setMethod('Singapore', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Singapore__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Singapore"
  
  ans
  
}

)
# Start of delete_Singapore

delete_Singapore = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Singapore") 
  .Call('R_swig_delete_Singapore', self, PACKAGE='QuantLib')
  
}
# End of delete_Singapore


attr(delete_Singapore, 'returnType') = 'void'
attr(delete_Singapore, "inputTypes") = c('_p_QuantLib__Singapore')
class(delete_Singapore) = c("SWIGFunction", class(delete_Singapore))

defineEnumeration('_QuantLib__Slovakia__Market',
                    .values = c(
                        'BSSE' = 0
))
setGeneric('Slovakia', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Slovakia'))
attr(Slovakia, 'returnType') = '_p_QuantLib__Slovakia'
setMethod('Slovakia', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Slovakia__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Slovakia__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Slovakia"
  
  ans
  
}

)
setMethod('Slovakia', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Slovakia__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Slovakia"
  
  ans
  
}

)
# Start of delete_Slovakia

delete_Slovakia = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Slovakia") 
  .Call('R_swig_delete_Slovakia', self, PACKAGE='QuantLib')
  
}
# End of delete_Slovakia


attr(delete_Slovakia, 'returnType') = 'void'
attr(delete_Slovakia, "inputTypes") = c('_p_QuantLib__Slovakia')
class(delete_Slovakia) = c("SWIGFunction", class(delete_Slovakia))

# Start of new_SouthAfrica

SouthAfrica = function()
{
  ans = .Call('R_swig_new_SouthAfrica', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SouthAfrica"
  
  ans
  
}
# End of new_SouthAfrica


attr(SouthAfrica, 'returnType') = '_p_QuantLib__SouthAfrica'
class(SouthAfrica) = c("SWIGFunction", class(SouthAfrica))

# Start of delete_SouthAfrica

delete_SouthAfrica = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SouthAfrica") 
  .Call('R_swig_delete_SouthAfrica', self, PACKAGE='QuantLib')
  
}
# End of delete_SouthAfrica


attr(delete_SouthAfrica, 'returnType') = 'void'
attr(delete_SouthAfrica, "inputTypes") = c('_p_QuantLib__SouthAfrica')
class(delete_SouthAfrica) = c("SWIGFunction", class(delete_SouthAfrica))

defineEnumeration('_QuantLib__SouthKorea__Market',
                    .values = c(
                        'KRX' = 0
))
setGeneric('SouthKorea', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('SouthKorea'))
attr(SouthKorea, 'returnType') = '_p_QuantLib__SouthKorea'
setMethod('SouthKorea', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__SouthKorea__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_SouthKorea__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SouthKorea"
  
  ans
  
}

)
setMethod('SouthKorea', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_SouthKorea__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SouthKorea"
  
  ans
  
}

)
# Start of delete_SouthKorea

delete_SouthKorea = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SouthKorea") 
  .Call('R_swig_delete_SouthKorea', self, PACKAGE='QuantLib')
  
}
# End of delete_SouthKorea


attr(delete_SouthKorea, 'returnType') = 'void'
attr(delete_SouthKorea, "inputTypes") = c('_p_QuantLib__SouthKorea')
class(delete_SouthKorea) = c("SWIGFunction", class(delete_SouthKorea))

# Start of new_Sweden

Sweden = function()
{
  ans = .Call('R_swig_new_Sweden', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Sweden"
  
  ans
  
}
# End of new_Sweden


attr(Sweden, 'returnType') = '_p_QuantLib__Sweden'
class(Sweden) = c("SWIGFunction", class(Sweden))

# Start of delete_Sweden

delete_Sweden = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Sweden") 
  .Call('R_swig_delete_Sweden', self, PACKAGE='QuantLib')
  
}
# End of delete_Sweden


attr(delete_Sweden, 'returnType') = 'void'
attr(delete_Sweden, "inputTypes") = c('_p_QuantLib__Sweden')
class(delete_Sweden) = c("SWIGFunction", class(delete_Sweden))

# Start of new_Switzerland

Switzerland = function()
{
  ans = .Call('R_swig_new_Switzerland', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Switzerland"
  
  ans
  
}
# End of new_Switzerland


attr(Switzerland, 'returnType') = '_p_QuantLib__Switzerland'
class(Switzerland) = c("SWIGFunction", class(Switzerland))

# Start of delete_Switzerland

delete_Switzerland = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Switzerland") 
  .Call('R_swig_delete_Switzerland', self, PACKAGE='QuantLib')
  
}
# End of delete_Switzerland


attr(delete_Switzerland, 'returnType') = 'void'
attr(delete_Switzerland, "inputTypes") = c('_p_QuantLib__Switzerland')
class(delete_Switzerland) = c("SWIGFunction", class(delete_Switzerland))

defineEnumeration('_QuantLib__Taiwan__Market',
                    .values = c(
                        'TSEC' = 0
))
setGeneric('Taiwan', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Taiwan'))
attr(Taiwan, 'returnType') = '_p_QuantLib__Taiwan'
setMethod('Taiwan', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Taiwan__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Taiwan__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Taiwan"
  
  ans
  
}

)
setMethod('Taiwan', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Taiwan__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Taiwan"
  
  ans
  
}

)
# Start of delete_Taiwan

delete_Taiwan = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Taiwan") 
  .Call('R_swig_delete_Taiwan', self, PACKAGE='QuantLib')
  
}
# End of delete_Taiwan


attr(delete_Taiwan, 'returnType') = 'void'
attr(delete_Taiwan, "inputTypes") = c('_p_QuantLib__Taiwan')
class(delete_Taiwan) = c("SWIGFunction", class(delete_Taiwan))

# Start of new_TARGET

TARGET = function()
{
  ans = .Call('R_swig_new_TARGET', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__TARGET"
  
  ans
  
}
# End of new_TARGET


attr(TARGET, 'returnType') = '_p_QuantLib__TARGET'
class(TARGET) = c("SWIGFunction", class(TARGET))

# Start of delete_TARGET

delete_TARGET = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__TARGET") 
  .Call('R_swig_delete_TARGET', self, PACKAGE='QuantLib')
  
}
# End of delete_TARGET


attr(delete_TARGET, 'returnType') = 'void'
attr(delete_TARGET, "inputTypes") = c('_p_QuantLib__TARGET')
class(delete_TARGET) = c("SWIGFunction", class(delete_TARGET))

# Start of new_Turkey

Turkey = function()
{
  ans = .Call('R_swig_new_Turkey', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Turkey"
  
  ans
  
}
# End of new_Turkey


attr(Turkey, 'returnType') = '_p_QuantLib__Turkey'
class(Turkey) = c("SWIGFunction", class(Turkey))

# Start of delete_Turkey

delete_Turkey = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Turkey") 
  .Call('R_swig_delete_Turkey', self, PACKAGE='QuantLib')
  
}
# End of delete_Turkey


attr(delete_Turkey, 'returnType') = 'void'
attr(delete_Turkey, "inputTypes") = c('_p_QuantLib__Turkey')
class(delete_Turkey) = c("SWIGFunction", class(delete_Turkey))

defineEnumeration('_QuantLib__Ukraine__Market',
                    .values = c(
                        'USE' = 0
))
setGeneric('Ukraine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Ukraine'))
attr(Ukraine, 'returnType') = '_p_QuantLib__Ukraine'
setMethod('Ukraine', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__Ukraine__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_Ukraine__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Ukraine"
  
  ans
  
}

)
setMethod('Ukraine', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_Ukraine__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Ukraine"
  
  ans
  
}

)
# Start of delete_Ukraine

delete_Ukraine = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Ukraine") 
  .Call('R_swig_delete_Ukraine', self, PACKAGE='QuantLib')
  
}
# End of delete_Ukraine


attr(delete_Ukraine, 'returnType') = 'void'
attr(delete_Ukraine, "inputTypes") = c('_p_QuantLib__Ukraine')
class(delete_Ukraine) = c("SWIGFunction", class(delete_Ukraine))

defineEnumeration('_QuantLib__UnitedKingdom__Market',
                    .values = c(
                        'Settlement' = 0, 
                        'Exchange' = 1, 
                        'Metals' = 2
))
setGeneric('UnitedKingdom', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('UnitedKingdom'))
attr(UnitedKingdom, 'returnType') = '_p_QuantLib__UnitedKingdom'
setMethod('UnitedKingdom', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__UnitedKingdom__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_UnitedKingdom__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__UnitedKingdom"
  
  ans
  
}

)
setMethod('UnitedKingdom', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_UnitedKingdom__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__UnitedKingdom"
  
  ans
  
}

)
# Start of delete_UnitedKingdom

delete_UnitedKingdom = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__UnitedKingdom") 
  .Call('R_swig_delete_UnitedKingdom', self, PACKAGE='QuantLib')
  
}
# End of delete_UnitedKingdom


attr(delete_UnitedKingdom, 'returnType') = 'void'
attr(delete_UnitedKingdom, "inputTypes") = c('_p_QuantLib__UnitedKingdom')
class(delete_UnitedKingdom) = c("SWIGFunction", class(delete_UnitedKingdom))

defineEnumeration('_QuantLib__UnitedStates__Market',
                    .values = c(
                        'Settlement' = 0, 
                        'Exchange' = 1, 
                        'NYSE' = 2, 
                        'GovernmentBond' = 3
))
setGeneric('UnitedStates', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('UnitedStates'))
attr(UnitedStates, 'returnType') = '_p_QuantLib__UnitedStates'
setMethod('UnitedStates', c('character', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = enumToInteger(s_arg1, "_QuantLib__UnitedStates__Market") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_UnitedStates__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__UnitedStates"
  
  ans
  
}

)
setMethod('UnitedStates', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_UnitedStates__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__UnitedStates"
  
  ans
  
}

)
# Start of delete_UnitedStates

delete_UnitedStates = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__UnitedStates") 
  .Call('R_swig_delete_UnitedStates', self, PACKAGE='QuantLib')
  
}
# End of delete_UnitedStates


attr(delete_UnitedStates, 'returnType') = 'void'
attr(delete_UnitedStates, "inputTypes") = c('_p_QuantLib__UnitedStates')
class(delete_UnitedStates) = c("SWIGFunction", class(delete_UnitedStates))

# Start of new_Beijing

Beijing = function()
{
  ans = .Call('R_swig_new_Beijing', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Beijing"
  
  ans
  
}
# End of new_Beijing


attr(Beijing, 'returnType') = '_p_QuantLib__Beijing'
class(Beijing) = c("SWIGFunction", class(Beijing))

# Start of delete_Beijing

delete_Beijing = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Beijing") 
  .Call('R_swig_delete_Beijing', self, PACKAGE='QuantLib')
  
}
# End of delete_Beijing


attr(delete_Beijing, 'returnType') = 'void'
attr(delete_Beijing, "inputTypes") = c('_p_QuantLib__Beijing')
class(delete_Beijing) = c("SWIGFunction", class(delete_Beijing))

# Start of new_Bombay

Bombay = function()
{
  ans = .Call('R_swig_new_Bombay', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Bombay"
  
  ans
  
}
# End of new_Bombay


attr(Bombay, 'returnType') = '_p_QuantLib__Bombay'
class(Bombay) = c("SWIGFunction", class(Bombay))

# Start of delete_Bombay

delete_Bombay = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Bombay") 
  .Call('R_swig_delete_Bombay', self, PACKAGE='QuantLib')
  
}
# End of delete_Bombay


attr(delete_Bombay, 'returnType') = 'void'
attr(delete_Bombay, "inputTypes") = c('_p_QuantLib__Bombay')
class(delete_Bombay) = c("SWIGFunction", class(delete_Bombay))

# Start of new_Bratislava

Bratislava = function()
{
  ans = .Call('R_swig_new_Bratislava', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Bratislava"
  
  ans
  
}
# End of new_Bratislava


attr(Bratislava, 'returnType') = '_p_QuantLib__Bratislava'
class(Bratislava) = c("SWIGFunction", class(Bratislava))

# Start of delete_Bratislava

delete_Bratislava = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Bratislava") 
  .Call('R_swig_delete_Bratislava', self, PACKAGE='QuantLib')
  
}
# End of delete_Bratislava


attr(delete_Bratislava, 'returnType') = 'void'
attr(delete_Bratislava, "inputTypes") = c('_p_QuantLib__Bratislava')
class(delete_Bratislava) = c("SWIGFunction", class(delete_Bratislava))

# Start of new_Brazil

Brazil = function()
{
  ans = .Call('R_swig_new_Brazil', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Brazil"
  
  ans
  
}
# End of new_Brazil


attr(Brazil, 'returnType') = '_p_QuantLib__Brazil'
class(Brazil) = c("SWIGFunction", class(Brazil))

# Start of delete_Brazil

delete_Brazil = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Brazil") 
  .Call('R_swig_delete_Brazil', self, PACKAGE='QuantLib')
  
}
# End of delete_Brazil


attr(delete_Brazil, 'returnType') = 'void'
attr(delete_Brazil, "inputTypes") = c('_p_QuantLib__Brazil')
class(delete_Brazil) = c("SWIGFunction", class(delete_Brazil))

# Start of new_Budapest

Budapest = function()
{
  ans = .Call('R_swig_new_Budapest', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Budapest"
  
  ans
  
}
# End of new_Budapest


attr(Budapest, 'returnType') = '_p_QuantLib__Budapest'
class(Budapest) = c("SWIGFunction", class(Budapest))

# Start of delete_Budapest

delete_Budapest = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Budapest") 
  .Call('R_swig_delete_Budapest', self, PACKAGE='QuantLib')
  
}
# End of delete_Budapest


attr(delete_Budapest, 'returnType') = 'void'
attr(delete_Budapest, "inputTypes") = c('_p_QuantLib__Budapest')
class(delete_Budapest) = c("SWIGFunction", class(delete_Budapest))

# Start of new_Copenhagen

Copenhagen = function()
{
  ans = .Call('R_swig_new_Copenhagen', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Copenhagen"
  
  ans
  
}
# End of new_Copenhagen


attr(Copenhagen, 'returnType') = '_p_QuantLib__Copenhagen'
class(Copenhagen) = c("SWIGFunction", class(Copenhagen))

# Start of delete_Copenhagen

delete_Copenhagen = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Copenhagen") 
  .Call('R_swig_delete_Copenhagen', self, PACKAGE='QuantLib')
  
}
# End of delete_Copenhagen


attr(delete_Copenhagen, 'returnType') = 'void'
attr(delete_Copenhagen, "inputTypes") = c('_p_QuantLib__Copenhagen')
class(delete_Copenhagen) = c("SWIGFunction", class(delete_Copenhagen))

# Start of new_Helsinki

Helsinki = function()
{
  ans = .Call('R_swig_new_Helsinki', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Helsinki"
  
  ans
  
}
# End of new_Helsinki


attr(Helsinki, 'returnType') = '_p_QuantLib__Helsinki'
class(Helsinki) = c("SWIGFunction", class(Helsinki))

# Start of delete_Helsinki

delete_Helsinki = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Helsinki") 
  .Call('R_swig_delete_Helsinki', self, PACKAGE='QuantLib')
  
}
# End of delete_Helsinki


attr(delete_Helsinki, 'returnType') = 'void'
attr(delete_Helsinki, "inputTypes") = c('_p_QuantLib__Helsinki')
class(delete_Helsinki) = c("SWIGFunction", class(delete_Helsinki))

# Start of new_Istanbul

Istanbul = function()
{
  ans = .Call('R_swig_new_Istanbul', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Istanbul"
  
  ans
  
}
# End of new_Istanbul


attr(Istanbul, 'returnType') = '_p_QuantLib__Istanbul'
class(Istanbul) = c("SWIGFunction", class(Istanbul))

# Start of delete_Istanbul

delete_Istanbul = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Istanbul") 
  .Call('R_swig_delete_Istanbul', self, PACKAGE='QuantLib')
  
}
# End of delete_Istanbul


attr(delete_Istanbul, 'returnType') = 'void'
attr(delete_Istanbul, "inputTypes") = c('_p_QuantLib__Istanbul')
class(delete_Istanbul) = c("SWIGFunction", class(delete_Istanbul))

# Start of new_Johannesburg

Johannesburg = function()
{
  ans = .Call('R_swig_new_Johannesburg', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Johannesburg"
  
  ans
  
}
# End of new_Johannesburg


attr(Johannesburg, 'returnType') = '_p_QuantLib__Johannesburg'
class(Johannesburg) = c("SWIGFunction", class(Johannesburg))

# Start of delete_Johannesburg

delete_Johannesburg = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Johannesburg") 
  .Call('R_swig_delete_Johannesburg', self, PACKAGE='QuantLib')
  
}
# End of delete_Johannesburg


attr(delete_Johannesburg, 'returnType') = 'void'
attr(delete_Johannesburg, "inputTypes") = c('_p_QuantLib__Johannesburg')
class(delete_Johannesburg) = c("SWIGFunction", class(delete_Johannesburg))

# Start of new_Oslo

Oslo = function()
{
  ans = .Call('R_swig_new_Oslo', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Oslo"
  
  ans
  
}
# End of new_Oslo


attr(Oslo, 'returnType') = '_p_QuantLib__Oslo'
class(Oslo) = c("SWIGFunction", class(Oslo))

# Start of delete_Oslo

delete_Oslo = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Oslo") 
  .Call('R_swig_delete_Oslo', self, PACKAGE='QuantLib')
  
}
# End of delete_Oslo


attr(delete_Oslo, 'returnType') = 'void'
attr(delete_Oslo, "inputTypes") = c('_p_QuantLib__Oslo')
class(delete_Oslo) = c("SWIGFunction", class(delete_Oslo))

# Start of new_Prague

Prague = function()
{
  ans = .Call('R_swig_new_Prague', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Prague"
  
  ans
  
}
# End of new_Prague


attr(Prague, 'returnType') = '_p_QuantLib__Prague'
class(Prague) = c("SWIGFunction", class(Prague))

# Start of delete_Prague

delete_Prague = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Prague") 
  .Call('R_swig_delete_Prague', self, PACKAGE='QuantLib')
  
}
# End of delete_Prague


attr(delete_Prague, 'returnType') = 'void'
attr(delete_Prague, "inputTypes") = c('_p_QuantLib__Prague')
class(delete_Prague) = c("SWIGFunction", class(delete_Prague))

# Start of new_Riyadh

Riyadh = function()
{
  ans = .Call('R_swig_new_Riyadh', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Riyadh"
  
  ans
  
}
# End of new_Riyadh


attr(Riyadh, 'returnType') = '_p_QuantLib__Riyadh'
class(Riyadh) = c("SWIGFunction", class(Riyadh))

# Start of delete_Riyadh

delete_Riyadh = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Riyadh") 
  .Call('R_swig_delete_Riyadh', self, PACKAGE='QuantLib')
  
}
# End of delete_Riyadh


attr(delete_Riyadh, 'returnType') = 'void'
attr(delete_Riyadh, "inputTypes") = c('_p_QuantLib__Riyadh')
class(delete_Riyadh) = c("SWIGFunction", class(delete_Riyadh))

# Start of new_Seoul

Seoul = function()
{
  ans = .Call('R_swig_new_Seoul', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Seoul"
  
  ans
  
}
# End of new_Seoul


attr(Seoul, 'returnType') = '_p_QuantLib__Seoul'
class(Seoul) = c("SWIGFunction", class(Seoul))

# Start of delete_Seoul

delete_Seoul = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Seoul") 
  .Call('R_swig_delete_Seoul', self, PACKAGE='QuantLib')
  
}
# End of delete_Seoul


attr(delete_Seoul, 'returnType') = 'void'
attr(delete_Seoul, "inputTypes") = c('_p_QuantLib__Seoul')
class(delete_Seoul) = c("SWIGFunction", class(delete_Seoul))

# Start of new_Stockholm

Stockholm = function()
{
  ans = .Call('R_swig_new_Stockholm', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Stockholm"
  
  ans
  
}
# End of new_Stockholm


attr(Stockholm, 'returnType') = '_p_QuantLib__Stockholm'
class(Stockholm) = c("SWIGFunction", class(Stockholm))

# Start of delete_Stockholm

delete_Stockholm = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Stockholm") 
  .Call('R_swig_delete_Stockholm', self, PACKAGE='QuantLib')
  
}
# End of delete_Stockholm


attr(delete_Stockholm, 'returnType') = 'void'
attr(delete_Stockholm, "inputTypes") = c('_p_QuantLib__Stockholm')
class(delete_Stockholm) = c("SWIGFunction", class(delete_Stockholm))

# Start of new_Sydney

Sydney = function()
{
  ans = .Call('R_swig_new_Sydney', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Sydney"
  
  ans
  
}
# End of new_Sydney


attr(Sydney, 'returnType') = '_p_QuantLib__Sydney'
class(Sydney) = c("SWIGFunction", class(Sydney))

# Start of delete_Sydney

delete_Sydney = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Sydney") 
  .Call('R_swig_delete_Sydney', self, PACKAGE='QuantLib')
  
}
# End of delete_Sydney


attr(delete_Sydney, 'returnType') = 'void'
attr(delete_Sydney, "inputTypes") = c('_p_QuantLib__Sydney')
class(delete_Sydney) = c("SWIGFunction", class(delete_Sydney))

# Start of new_Taipei

Taipei = function()
{
  ans = .Call('R_swig_new_Taipei', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Taipei"
  
  ans
  
}
# End of new_Taipei


attr(Taipei, 'returnType') = '_p_QuantLib__Taipei'
class(Taipei) = c("SWIGFunction", class(Taipei))

# Start of delete_Taipei

delete_Taipei = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Taipei") 
  .Call('R_swig_delete_Taipei', self, PACKAGE='QuantLib')
  
}
# End of delete_Taipei


attr(delete_Taipei, 'returnType') = 'void'
attr(delete_Taipei, "inputTypes") = c('_p_QuantLib__Taipei')
class(delete_Taipei) = c("SWIGFunction", class(delete_Taipei))

# Start of new_Tokyo

Tokyo = function()
{
  ans = .Call('R_swig_new_Tokyo', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Tokyo"
  
  ans
  
}
# End of new_Tokyo


attr(Tokyo, 'returnType') = '_p_QuantLib__Tokyo'
class(Tokyo) = c("SWIGFunction", class(Tokyo))

# Start of delete_Tokyo

delete_Tokyo = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Tokyo") 
  .Call('R_swig_delete_Tokyo', self, PACKAGE='QuantLib')
  
}
# End of delete_Tokyo


attr(delete_Tokyo, 'returnType') = 'void'
attr(delete_Tokyo, "inputTypes") = c('_p_QuantLib__Tokyo')
class(delete_Tokyo) = c("SWIGFunction", class(delete_Tokyo))

# Start of new_Toronto

Toronto = function()
{
  ans = .Call('R_swig_new_Toronto', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Toronto"
  
  ans
  
}
# End of new_Toronto


attr(Toronto, 'returnType') = '_p_QuantLib__Toronto'
class(Toronto) = c("SWIGFunction", class(Toronto))

# Start of delete_Toronto

delete_Toronto = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Toronto") 
  .Call('R_swig_delete_Toronto', self, PACKAGE='QuantLib')
  
}
# End of delete_Toronto


attr(delete_Toronto, 'returnType') = 'void'
attr(delete_Toronto, "inputTypes") = c('_p_QuantLib__Toronto')
class(delete_Toronto) = c("SWIGFunction", class(delete_Toronto))

# Start of new_Warsaw

Warsaw = function()
{
  ans = .Call('R_swig_new_Warsaw', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Warsaw"
  
  ans
  
}
# End of new_Warsaw


attr(Warsaw, 'returnType') = '_p_QuantLib__Warsaw'
class(Warsaw) = c("SWIGFunction", class(Warsaw))

# Start of delete_Warsaw

delete_Warsaw = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Warsaw") 
  .Call('R_swig_delete_Warsaw', self, PACKAGE='QuantLib')
  
}
# End of delete_Warsaw


attr(delete_Warsaw, 'returnType') = 'void'
attr(delete_Warsaw, "inputTypes") = c('_p_QuantLib__Warsaw')
class(delete_Warsaw) = c("SWIGFunction", class(delete_Warsaw))

# Start of new_Wellington

Wellington = function()
{
  ans = .Call('R_swig_new_Wellington', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Wellington"
  
  ans
  
}
# End of new_Wellington


attr(Wellington, 'returnType') = '_p_QuantLib__Wellington'
class(Wellington) = c("SWIGFunction", class(Wellington))

# Start of delete_Wellington

delete_Wellington = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Wellington") 
  .Call('R_swig_delete_Wellington', self, PACKAGE='QuantLib')
  
}
# End of delete_Wellington


attr(delete_Wellington, 'returnType') = 'void'
attr(delete_Wellington, "inputTypes") = c('_p_QuantLib__Wellington')
class(delete_Wellington) = c("SWIGFunction", class(delete_Wellington))

# Start of new_Zurich

Zurich = function()
{
  ans = .Call('R_swig_new_Zurich', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__Zurich"
  
  ans
  
}
# End of new_Zurich


attr(Zurich, 'returnType') = '_p_QuantLib__Zurich'
class(Zurich) = c("SWIGFunction", class(Zurich))

# Start of delete_Zurich

delete_Zurich = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__Zurich") 
  .Call('R_swig_delete_Zurich', self, PACKAGE='QuantLib')
  
}
# End of delete_Zurich


attr(delete_Zurich, 'returnType') = 'void'
attr(delete_Zurich, "inputTypes") = c('_p_QuantLib__Zurich')
class(delete_Zurich) = c("SWIGFunction", class(delete_Zurich))

# Start of new_NullCalendar

NullCalendar = function()
{
  ans = .Call('R_swig_new_NullCalendar', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__NullCalendar"
  
  ans
  
}
# End of new_NullCalendar


attr(NullCalendar, 'returnType') = '_p_QuantLib__NullCalendar'
class(NullCalendar) = c("SWIGFunction", class(NullCalendar))

# Start of delete_NullCalendar

delete_NullCalendar = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__NullCalendar") 
  .Call('R_swig_delete_NullCalendar', self, PACKAGE='QuantLib')
  
}
# End of delete_NullCalendar


attr(delete_NullCalendar, 'returnType') = 'void'
attr(delete_NullCalendar, "inputTypes") = c('_p_QuantLib__NullCalendar')
class(delete_NullCalendar) = c("SWIGFunction", class(delete_NullCalendar))

setGeneric('JointCalendar', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('JointCalendar'))
attr(JointCalendar, 'returnType') = '_p_QuantLib__JointCalendar'
setMethod('JointCalendar', c('_p_Calendar', '_p_Calendar', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = enumToInteger(s_arg3, "_JointCalendarRule") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_new_JointCalendar__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__JointCalendar"
  
  ans
  
}

)
setMethod('JointCalendar', c('_p_Calendar', '_p_Calendar', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  ans = .Call('R_swig_new_JointCalendar__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__JointCalendar"
  
  ans
  
}

)
setMethod('JointCalendar', c('_p_Calendar', '_p_Calendar', '_p_Calendar', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_Calendar") 
  s_arg4 = enumToInteger(s_arg4, "_JointCalendarRule") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_new_JointCalendar__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__JointCalendar"
  
  ans
  
}

)
setMethod('JointCalendar', c('_p_Calendar', '_p_Calendar', '_p_Calendar', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_Calendar") 
  ans = .Call('R_swig_new_JointCalendar__SWIG_3', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__JointCalendar"
  
  ans
  
}

)
setMethod('JointCalendar', c('_p_Calendar', '_p_Calendar', '_p_Calendar', '_p_Calendar', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_Calendar") 
  coerceIfNotSubclass(s_arg4, "_p_Calendar") 
  s_arg5 = enumToInteger(s_arg5, "_JointCalendarRule") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_new_JointCalendar__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__JointCalendar"
  
  ans
  
}

)
setMethod('JointCalendar', c('_p_Calendar', '_p_Calendar', '_p_Calendar', '_p_Calendar', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_Calendar") 
  coerceIfNotSubclass(s_arg4, "_p_Calendar") 
  ans = .Call('R_swig_new_JointCalendar__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__JointCalendar"
  
  ans
  
}

)
# Start of delete_JointCalendar

delete_JointCalendar = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__JointCalendar") 
  .Call('R_swig_delete_JointCalendar', self, PACKAGE='QuantLib')
  
}
# End of delete_JointCalendar


attr(delete_JointCalendar, 'returnType') = 'void'
attr(delete_JointCalendar, "inputTypes") = c('_p_QuantLib__JointCalendar')
class(delete_JointCalendar) = c("SWIGFunction", class(delete_JointCalendar))

# Start of new_Rounding

Rounding = function()
{
  ans = .Call('R_swig_new_Rounding', PACKAGE='QuantLib')
  class(ans) <- "_p_Rounding"
  
  ans
  
}
# End of new_Rounding


attr(Rounding, 'returnType') = '_p_Rounding'
class(Rounding) = c("SWIGFunction", class(Rounding))

# Start of Rounding___call__

Rounding___call__ = function(self, value, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Rounding") 
  value = as.numeric(value) 
  .Call('R_swig_Rounding___call__', self, value, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Rounding___call__


attr(Rounding___call__, 'returnType') = 'numeric'
attr(Rounding___call__, "inputTypes") = c('_p_Rounding', 'numeric')
class(Rounding___call__) = c("SWIGFunction", class(Rounding___call__))

# Start of delete_Rounding

delete_Rounding = function(self)
{
  coerceIfNotSubclass(self, "_p_Rounding") 
  .Call('R_swig_delete_Rounding', self, PACKAGE='QuantLib')
  
}
# End of delete_Rounding


attr(delete_Rounding, 'returnType') = 'void'
attr(delete_Rounding, "inputTypes") = c('_p_Rounding')
class(delete_Rounding) = c("SWIGFunction", class(delete_Rounding))

# Start of accessor method for Rounding
setMethod('$', '_p_Rounding', function(x, name)

{
  accessorFuns = list('operator ()' = Rounding___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Rounding
setGeneric('UpRounding', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('UpRounding'))
attr(UpRounding, 'returnType') = '_p_UpRounding'
setMethod('UpRounding', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_UpRounding__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_UpRounding"
  
  ans
  
}

)
setMethod('UpRounding', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_UpRounding__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_UpRounding"
  
  ans
  
}

)
# Start of delete_UpRounding

delete_UpRounding = function(self)
{
  coerceIfNotSubclass(self, "_p_UpRounding") 
  .Call('R_swig_delete_UpRounding', self, PACKAGE='QuantLib')
  
}
# End of delete_UpRounding


attr(delete_UpRounding, 'returnType') = 'void'
attr(delete_UpRounding, "inputTypes") = c('_p_UpRounding')
class(delete_UpRounding) = c("SWIGFunction", class(delete_UpRounding))

setGeneric('DownRounding', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DownRounding'))
attr(DownRounding, 'returnType') = '_p_DownRounding'
setMethod('DownRounding', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_DownRounding__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_DownRounding"
  
  ans
  
}

)
setMethod('DownRounding', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_DownRounding__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_DownRounding"
  
  ans
  
}

)
# Start of delete_DownRounding

delete_DownRounding = function(self)
{
  coerceIfNotSubclass(self, "_p_DownRounding") 
  .Call('R_swig_delete_DownRounding', self, PACKAGE='QuantLib')
  
}
# End of delete_DownRounding


attr(delete_DownRounding, 'returnType') = 'void'
attr(delete_DownRounding, "inputTypes") = c('_p_DownRounding')
class(delete_DownRounding) = c("SWIGFunction", class(delete_DownRounding))

setGeneric('ClosestRounding', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ClosestRounding'))
attr(ClosestRounding, 'returnType') = '_p_ClosestRounding'
setMethod('ClosestRounding', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_ClosestRounding__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_ClosestRounding"
  
  ans
  
}

)
setMethod('ClosestRounding', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_ClosestRounding__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_ClosestRounding"
  
  ans
  
}

)
# Start of delete_ClosestRounding

delete_ClosestRounding = function(self)
{
  coerceIfNotSubclass(self, "_p_ClosestRounding") 
  .Call('R_swig_delete_ClosestRounding', self, PACKAGE='QuantLib')
  
}
# End of delete_ClosestRounding


attr(delete_ClosestRounding, 'returnType') = 'void'
attr(delete_ClosestRounding, "inputTypes") = c('_p_ClosestRounding')
class(delete_ClosestRounding) = c("SWIGFunction", class(delete_ClosestRounding))

setGeneric('CeilingTruncation', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CeilingTruncation'))
attr(CeilingTruncation, 'returnType') = '_p_CeilingTruncation'
setMethod('CeilingTruncation', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_CeilingTruncation__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_CeilingTruncation"
  
  ans
  
}

)
setMethod('CeilingTruncation', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_CeilingTruncation__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_CeilingTruncation"
  
  ans
  
}

)
# Start of delete_CeilingTruncation

delete_CeilingTruncation = function(self)
{
  coerceIfNotSubclass(self, "_p_CeilingTruncation") 
  .Call('R_swig_delete_CeilingTruncation', self, PACKAGE='QuantLib')
  
}
# End of delete_CeilingTruncation


attr(delete_CeilingTruncation, 'returnType') = 'void'
attr(delete_CeilingTruncation, "inputTypes") = c('_p_CeilingTruncation')
class(delete_CeilingTruncation) = c("SWIGFunction", class(delete_CeilingTruncation))

setGeneric('FloorTruncation', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FloorTruncation'))
attr(FloorTruncation, 'returnType') = '_p_FloorTruncation'
setMethod('FloorTruncation', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_FloorTruncation__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_FloorTruncation"
  
  ans
  
}

)
setMethod('FloorTruncation', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_FloorTruncation__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_FloorTruncation"
  
  ans
  
}

)
# Start of delete_FloorTruncation

delete_FloorTruncation = function(self)
{
  coerceIfNotSubclass(self, "_p_FloorTruncation") 
  .Call('R_swig_delete_FloorTruncation', self, PACKAGE='QuantLib')
  
}
# End of delete_FloorTruncation


attr(delete_FloorTruncation, 'returnType') = 'void'
attr(delete_FloorTruncation, "inputTypes") = c('_p_FloorTruncation')
class(delete_FloorTruncation) = c("SWIGFunction", class(delete_FloorTruncation))

# Start of Currency_name

Currency_name = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  ans = .Call('R_swig_Currency_name', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__string"
  
  ans
  
}
# End of Currency_name


attr(Currency_name, 'returnType') = 'character'
attr(Currency_name, "inputTypes") = c('_p_Currency')
class(Currency_name) = c("SWIGFunction", class(Currency_name))

# Start of Currency_code

Currency_code = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  ans = .Call('R_swig_Currency_code', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__string"
  
  ans
  
}
# End of Currency_code


attr(Currency_code, 'returnType') = 'character'
attr(Currency_code, "inputTypes") = c('_p_Currency')
class(Currency_code) = c("SWIGFunction", class(Currency_code))

# Start of Currency_numericCode

Currency_numericCode = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  .Call('R_swig_Currency_numericCode', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Currency_numericCode


attr(Currency_numericCode, 'returnType') = 'numeric'
attr(Currency_numericCode, "inputTypes") = c('_p_Currency')
class(Currency_numericCode) = c("SWIGFunction", class(Currency_numericCode))

# Start of Currency_symbol

Currency_symbol = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  ans = .Call('R_swig_Currency_symbol', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__string"
  
  ans
  
}
# End of Currency_symbol


attr(Currency_symbol, 'returnType') = 'character'
attr(Currency_symbol, "inputTypes") = c('_p_Currency')
class(Currency_symbol) = c("SWIGFunction", class(Currency_symbol))

# Start of Currency_fractionSymbol

Currency_fractionSymbol = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  ans = .Call('R_swig_Currency_fractionSymbol', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__string"
  
  ans
  
}
# End of Currency_fractionSymbol


attr(Currency_fractionSymbol, 'returnType') = 'character'
attr(Currency_fractionSymbol, "inputTypes") = c('_p_Currency')
class(Currency_fractionSymbol) = c("SWIGFunction", class(Currency_fractionSymbol))

# Start of Currency_fractionsPerUnit

Currency_fractionsPerUnit = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  .Call('R_swig_Currency_fractionsPerUnit', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Currency_fractionsPerUnit


attr(Currency_fractionsPerUnit, 'returnType') = 'numeric'
attr(Currency_fractionsPerUnit, "inputTypes") = c('_p_Currency')
class(Currency_fractionsPerUnit) = c("SWIGFunction", class(Currency_fractionsPerUnit))

# Start of Currency_rounding

Currency_rounding = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  ans = .Call('R_swig_Currency_rounding', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Rounding"
  
  ans
  
}
# End of Currency_rounding


attr(Currency_rounding, 'returnType') = '_p_Rounding'
attr(Currency_rounding, "inputTypes") = c('_p_Currency')
class(Currency_rounding) = c("SWIGFunction", class(Currency_rounding))

# Start of Currency_isValid

Currency_isValid = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  .Call('R_swig_Currency_isValid', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Currency_isValid


attr(Currency_isValid, 'returnType') = 'logical'
attr(Currency_isValid, "inputTypes") = c('_p_Currency')
class(Currency_isValid) = c("SWIGFunction", class(Currency_isValid))

# Start of Currency_triangulationCurrency

Currency_triangulationCurrency = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  ans = .Call('R_swig_Currency_triangulationCurrency', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Currency"
  
  ans
  
}
# End of Currency_triangulationCurrency


attr(Currency_triangulationCurrency, 'returnType') = '_p_Currency'
attr(Currency_triangulationCurrency, "inputTypes") = c('_p_Currency')
class(Currency_triangulationCurrency) = c("SWIGFunction", class(Currency_triangulationCurrency))

# Start of Currency___str__

Currency___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  .Call('R_swig_Currency___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Currency___str__


attr(Currency___str__, 'returnType') = 'character'
attr(Currency___str__, "inputTypes") = c('_p_Currency')
class(Currency___str__) = c("SWIGFunction", class(Currency___str__))

# Start of new_Currency

Currency = function()
{
  ans = .Call('R_swig_new_Currency', PACKAGE='QuantLib')
  class(ans) <- "_p_Currency"
  
  ans
  
}
# End of new_Currency


attr(Currency, 'returnType') = '_p_Currency'
class(Currency) = c("SWIGFunction", class(Currency))

# Start of delete_Currency

delete_Currency = function(self)
{
  coerceIfNotSubclass(self, "_p_Currency") 
  .Call('R_swig_delete_Currency', self, PACKAGE='QuantLib')
  
}
# End of delete_Currency


attr(delete_Currency, 'returnType') = 'void'
attr(delete_Currency, "inputTypes") = c('_p_Currency')
class(delete_Currency) = c("SWIGFunction", class(delete_Currency))

# Start of accessor method for Currency
setMethod('$', '_p_Currency', function(x, name)

{
  accessorFuns = list('name' = Currency_name, 'code' = Currency_code, 'numericCode' = Currency_numericCode, 'symbol' = Currency_symbol, 'fractionSymbol' = Currency_fractionSymbol, 'fractionsPerUnit' = Currency_fractionsPerUnit, 'rounding' = Currency_rounding, 'isValid' = Currency_isValid, 'triangulationCurrency' = Currency_triangulationCurrency, '__str__' = Currency___str__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Currency
# Start of new_ARSCurrency

ARSCurrency = function()
{
  ans = .Call('R_swig_new_ARSCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ARSCurrency"
  
  ans
  
}
# End of new_ARSCurrency


attr(ARSCurrency, 'returnType') = '_p_QuantLib__ARSCurrency'
class(ARSCurrency) = c("SWIGFunction", class(ARSCurrency))

# Start of delete_ARSCurrency

delete_ARSCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ARSCurrency") 
  .Call('R_swig_delete_ARSCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ARSCurrency


attr(delete_ARSCurrency, 'returnType') = 'void'
attr(delete_ARSCurrency, "inputTypes") = c('_p_QuantLib__ARSCurrency')
class(delete_ARSCurrency) = c("SWIGFunction", class(delete_ARSCurrency))

# Start of new_ATSCurrency

ATSCurrency = function()
{
  ans = .Call('R_swig_new_ATSCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ATSCurrency"
  
  ans
  
}
# End of new_ATSCurrency


attr(ATSCurrency, 'returnType') = '_p_QuantLib__ATSCurrency'
class(ATSCurrency) = c("SWIGFunction", class(ATSCurrency))

# Start of delete_ATSCurrency

delete_ATSCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ATSCurrency") 
  .Call('R_swig_delete_ATSCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ATSCurrency


attr(delete_ATSCurrency, 'returnType') = 'void'
attr(delete_ATSCurrency, "inputTypes") = c('_p_QuantLib__ATSCurrency')
class(delete_ATSCurrency) = c("SWIGFunction", class(delete_ATSCurrency))

# Start of new_AUDCurrency

AUDCurrency = function()
{
  ans = .Call('R_swig_new_AUDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__AUDCurrency"
  
  ans
  
}
# End of new_AUDCurrency


attr(AUDCurrency, 'returnType') = '_p_QuantLib__AUDCurrency'
class(AUDCurrency) = c("SWIGFunction", class(AUDCurrency))

# Start of delete_AUDCurrency

delete_AUDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__AUDCurrency") 
  .Call('R_swig_delete_AUDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_AUDCurrency


attr(delete_AUDCurrency, 'returnType') = 'void'
attr(delete_AUDCurrency, "inputTypes") = c('_p_QuantLib__AUDCurrency')
class(delete_AUDCurrency) = c("SWIGFunction", class(delete_AUDCurrency))

# Start of new_BDTCurrency

BDTCurrency = function()
{
  ans = .Call('R_swig_new_BDTCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__BDTCurrency"
  
  ans
  
}
# End of new_BDTCurrency


attr(BDTCurrency, 'returnType') = '_p_QuantLib__BDTCurrency'
class(BDTCurrency) = c("SWIGFunction", class(BDTCurrency))

# Start of delete_BDTCurrency

delete_BDTCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__BDTCurrency") 
  .Call('R_swig_delete_BDTCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_BDTCurrency


attr(delete_BDTCurrency, 'returnType') = 'void'
attr(delete_BDTCurrency, "inputTypes") = c('_p_QuantLib__BDTCurrency')
class(delete_BDTCurrency) = c("SWIGFunction", class(delete_BDTCurrency))

# Start of new_BEFCurrency

BEFCurrency = function()
{
  ans = .Call('R_swig_new_BEFCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__BEFCurrency"
  
  ans
  
}
# End of new_BEFCurrency


attr(BEFCurrency, 'returnType') = '_p_QuantLib__BEFCurrency'
class(BEFCurrency) = c("SWIGFunction", class(BEFCurrency))

# Start of delete_BEFCurrency

delete_BEFCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__BEFCurrency") 
  .Call('R_swig_delete_BEFCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_BEFCurrency


attr(delete_BEFCurrency, 'returnType') = 'void'
attr(delete_BEFCurrency, "inputTypes") = c('_p_QuantLib__BEFCurrency')
class(delete_BEFCurrency) = c("SWIGFunction", class(delete_BEFCurrency))

# Start of new_BGLCurrency

BGLCurrency = function()
{
  ans = .Call('R_swig_new_BGLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__BGLCurrency"
  
  ans
  
}
# End of new_BGLCurrency


attr(BGLCurrency, 'returnType') = '_p_QuantLib__BGLCurrency'
class(BGLCurrency) = c("SWIGFunction", class(BGLCurrency))

# Start of delete_BGLCurrency

delete_BGLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__BGLCurrency") 
  .Call('R_swig_delete_BGLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_BGLCurrency


attr(delete_BGLCurrency, 'returnType') = 'void'
attr(delete_BGLCurrency, "inputTypes") = c('_p_QuantLib__BGLCurrency')
class(delete_BGLCurrency) = c("SWIGFunction", class(delete_BGLCurrency))

# Start of new_BRLCurrency

BRLCurrency = function()
{
  ans = .Call('R_swig_new_BRLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__BRLCurrency"
  
  ans
  
}
# End of new_BRLCurrency


attr(BRLCurrency, 'returnType') = '_p_QuantLib__BRLCurrency'
class(BRLCurrency) = c("SWIGFunction", class(BRLCurrency))

# Start of delete_BRLCurrency

delete_BRLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__BRLCurrency") 
  .Call('R_swig_delete_BRLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_BRLCurrency


attr(delete_BRLCurrency, 'returnType') = 'void'
attr(delete_BRLCurrency, "inputTypes") = c('_p_QuantLib__BRLCurrency')
class(delete_BRLCurrency) = c("SWIGFunction", class(delete_BRLCurrency))

# Start of new_BYRCurrency

BYRCurrency = function()
{
  ans = .Call('R_swig_new_BYRCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__BYRCurrency"
  
  ans
  
}
# End of new_BYRCurrency


attr(BYRCurrency, 'returnType') = '_p_QuantLib__BYRCurrency'
class(BYRCurrency) = c("SWIGFunction", class(BYRCurrency))

# Start of delete_BYRCurrency

delete_BYRCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__BYRCurrency") 
  .Call('R_swig_delete_BYRCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_BYRCurrency


attr(delete_BYRCurrency, 'returnType') = 'void'
attr(delete_BYRCurrency, "inputTypes") = c('_p_QuantLib__BYRCurrency')
class(delete_BYRCurrency) = c("SWIGFunction", class(delete_BYRCurrency))

# Start of new_CADCurrency

CADCurrency = function()
{
  ans = .Call('R_swig_new_CADCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CADCurrency"
  
  ans
  
}
# End of new_CADCurrency


attr(CADCurrency, 'returnType') = '_p_QuantLib__CADCurrency'
class(CADCurrency) = c("SWIGFunction", class(CADCurrency))

# Start of delete_CADCurrency

delete_CADCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__CADCurrency") 
  .Call('R_swig_delete_CADCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_CADCurrency


attr(delete_CADCurrency, 'returnType') = 'void'
attr(delete_CADCurrency, "inputTypes") = c('_p_QuantLib__CADCurrency')
class(delete_CADCurrency) = c("SWIGFunction", class(delete_CADCurrency))

# Start of new_CHFCurrency

CHFCurrency = function()
{
  ans = .Call('R_swig_new_CHFCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CHFCurrency"
  
  ans
  
}
# End of new_CHFCurrency


attr(CHFCurrency, 'returnType') = '_p_QuantLib__CHFCurrency'
class(CHFCurrency) = c("SWIGFunction", class(CHFCurrency))

# Start of delete_CHFCurrency

delete_CHFCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__CHFCurrency") 
  .Call('R_swig_delete_CHFCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_CHFCurrency


attr(delete_CHFCurrency, 'returnType') = 'void'
attr(delete_CHFCurrency, "inputTypes") = c('_p_QuantLib__CHFCurrency')
class(delete_CHFCurrency) = c("SWIGFunction", class(delete_CHFCurrency))

# Start of new_CLPCurrency

CLPCurrency = function()
{
  ans = .Call('R_swig_new_CLPCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CLPCurrency"
  
  ans
  
}
# End of new_CLPCurrency


attr(CLPCurrency, 'returnType') = '_p_QuantLib__CLPCurrency'
class(CLPCurrency) = c("SWIGFunction", class(CLPCurrency))

# Start of delete_CLPCurrency

delete_CLPCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__CLPCurrency") 
  .Call('R_swig_delete_CLPCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_CLPCurrency


attr(delete_CLPCurrency, 'returnType') = 'void'
attr(delete_CLPCurrency, "inputTypes") = c('_p_QuantLib__CLPCurrency')
class(delete_CLPCurrency) = c("SWIGFunction", class(delete_CLPCurrency))

# Start of new_CNYCurrency

CNYCurrency = function()
{
  ans = .Call('R_swig_new_CNYCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CNYCurrency"
  
  ans
  
}
# End of new_CNYCurrency


attr(CNYCurrency, 'returnType') = '_p_QuantLib__CNYCurrency'
class(CNYCurrency) = c("SWIGFunction", class(CNYCurrency))

# Start of delete_CNYCurrency

delete_CNYCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__CNYCurrency") 
  .Call('R_swig_delete_CNYCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_CNYCurrency


attr(delete_CNYCurrency, 'returnType') = 'void'
attr(delete_CNYCurrency, "inputTypes") = c('_p_QuantLib__CNYCurrency')
class(delete_CNYCurrency) = c("SWIGFunction", class(delete_CNYCurrency))

# Start of new_COPCurrency

COPCurrency = function()
{
  ans = .Call('R_swig_new_COPCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__COPCurrency"
  
  ans
  
}
# End of new_COPCurrency


attr(COPCurrency, 'returnType') = '_p_QuantLib__COPCurrency'
class(COPCurrency) = c("SWIGFunction", class(COPCurrency))

# Start of delete_COPCurrency

delete_COPCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__COPCurrency") 
  .Call('R_swig_delete_COPCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_COPCurrency


attr(delete_COPCurrency, 'returnType') = 'void'
attr(delete_COPCurrency, "inputTypes") = c('_p_QuantLib__COPCurrency')
class(delete_COPCurrency) = c("SWIGFunction", class(delete_COPCurrency))

# Start of new_CYPCurrency

CYPCurrency = function()
{
  ans = .Call('R_swig_new_CYPCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CYPCurrency"
  
  ans
  
}
# End of new_CYPCurrency


attr(CYPCurrency, 'returnType') = '_p_QuantLib__CYPCurrency'
class(CYPCurrency) = c("SWIGFunction", class(CYPCurrency))

# Start of delete_CYPCurrency

delete_CYPCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__CYPCurrency") 
  .Call('R_swig_delete_CYPCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_CYPCurrency


attr(delete_CYPCurrency, 'returnType') = 'void'
attr(delete_CYPCurrency, "inputTypes") = c('_p_QuantLib__CYPCurrency')
class(delete_CYPCurrency) = c("SWIGFunction", class(delete_CYPCurrency))

# Start of new_CZKCurrency

CZKCurrency = function()
{
  ans = .Call('R_swig_new_CZKCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__CZKCurrency"
  
  ans
  
}
# End of new_CZKCurrency


attr(CZKCurrency, 'returnType') = '_p_QuantLib__CZKCurrency'
class(CZKCurrency) = c("SWIGFunction", class(CZKCurrency))

# Start of delete_CZKCurrency

delete_CZKCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__CZKCurrency") 
  .Call('R_swig_delete_CZKCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_CZKCurrency


attr(delete_CZKCurrency, 'returnType') = 'void'
attr(delete_CZKCurrency, "inputTypes") = c('_p_QuantLib__CZKCurrency')
class(delete_CZKCurrency) = c("SWIGFunction", class(delete_CZKCurrency))

# Start of new_DEMCurrency

DEMCurrency = function()
{
  ans = .Call('R_swig_new_DEMCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__DEMCurrency"
  
  ans
  
}
# End of new_DEMCurrency


attr(DEMCurrency, 'returnType') = '_p_QuantLib__DEMCurrency'
class(DEMCurrency) = c("SWIGFunction", class(DEMCurrency))

# Start of delete_DEMCurrency

delete_DEMCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__DEMCurrency") 
  .Call('R_swig_delete_DEMCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_DEMCurrency


attr(delete_DEMCurrency, 'returnType') = 'void'
attr(delete_DEMCurrency, "inputTypes") = c('_p_QuantLib__DEMCurrency')
class(delete_DEMCurrency) = c("SWIGFunction", class(delete_DEMCurrency))

# Start of new_DKKCurrency

DKKCurrency = function()
{
  ans = .Call('R_swig_new_DKKCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__DKKCurrency"
  
  ans
  
}
# End of new_DKKCurrency


attr(DKKCurrency, 'returnType') = '_p_QuantLib__DKKCurrency'
class(DKKCurrency) = c("SWIGFunction", class(DKKCurrency))

# Start of delete_DKKCurrency

delete_DKKCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__DKKCurrency") 
  .Call('R_swig_delete_DKKCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_DKKCurrency


attr(delete_DKKCurrency, 'returnType') = 'void'
attr(delete_DKKCurrency, "inputTypes") = c('_p_QuantLib__DKKCurrency')
class(delete_DKKCurrency) = c("SWIGFunction", class(delete_DKKCurrency))

# Start of new_EEKCurrency

EEKCurrency = function()
{
  ans = .Call('R_swig_new_EEKCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__EEKCurrency"
  
  ans
  
}
# End of new_EEKCurrency


attr(EEKCurrency, 'returnType') = '_p_QuantLib__EEKCurrency'
class(EEKCurrency) = c("SWIGFunction", class(EEKCurrency))

# Start of delete_EEKCurrency

delete_EEKCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__EEKCurrency") 
  .Call('R_swig_delete_EEKCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_EEKCurrency


attr(delete_EEKCurrency, 'returnType') = 'void'
attr(delete_EEKCurrency, "inputTypes") = c('_p_QuantLib__EEKCurrency')
class(delete_EEKCurrency) = c("SWIGFunction", class(delete_EEKCurrency))

# Start of new_ESPCurrency

ESPCurrency = function()
{
  ans = .Call('R_swig_new_ESPCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ESPCurrency"
  
  ans
  
}
# End of new_ESPCurrency


attr(ESPCurrency, 'returnType') = '_p_QuantLib__ESPCurrency'
class(ESPCurrency) = c("SWIGFunction", class(ESPCurrency))

# Start of delete_ESPCurrency

delete_ESPCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ESPCurrency") 
  .Call('R_swig_delete_ESPCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ESPCurrency


attr(delete_ESPCurrency, 'returnType') = 'void'
attr(delete_ESPCurrency, "inputTypes") = c('_p_QuantLib__ESPCurrency')
class(delete_ESPCurrency) = c("SWIGFunction", class(delete_ESPCurrency))

# Start of new_EURCurrency

EURCurrency = function()
{
  ans = .Call('R_swig_new_EURCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__EURCurrency"
  
  ans
  
}
# End of new_EURCurrency


attr(EURCurrency, 'returnType') = '_p_QuantLib__EURCurrency'
class(EURCurrency) = c("SWIGFunction", class(EURCurrency))

# Start of delete_EURCurrency

delete_EURCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__EURCurrency") 
  .Call('R_swig_delete_EURCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_EURCurrency


attr(delete_EURCurrency, 'returnType') = 'void'
attr(delete_EURCurrency, "inputTypes") = c('_p_QuantLib__EURCurrency')
class(delete_EURCurrency) = c("SWIGFunction", class(delete_EURCurrency))

# Start of new_FIMCurrency

FIMCurrency = function()
{
  ans = .Call('R_swig_new_FIMCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__FIMCurrency"
  
  ans
  
}
# End of new_FIMCurrency


attr(FIMCurrency, 'returnType') = '_p_QuantLib__FIMCurrency'
class(FIMCurrency) = c("SWIGFunction", class(FIMCurrency))

# Start of delete_FIMCurrency

delete_FIMCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__FIMCurrency") 
  .Call('R_swig_delete_FIMCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_FIMCurrency


attr(delete_FIMCurrency, 'returnType') = 'void'
attr(delete_FIMCurrency, "inputTypes") = c('_p_QuantLib__FIMCurrency')
class(delete_FIMCurrency) = c("SWIGFunction", class(delete_FIMCurrency))

# Start of new_FRFCurrency

FRFCurrency = function()
{
  ans = .Call('R_swig_new_FRFCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__FRFCurrency"
  
  ans
  
}
# End of new_FRFCurrency


attr(FRFCurrency, 'returnType') = '_p_QuantLib__FRFCurrency'
class(FRFCurrency) = c("SWIGFunction", class(FRFCurrency))

# Start of delete_FRFCurrency

delete_FRFCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__FRFCurrency") 
  .Call('R_swig_delete_FRFCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_FRFCurrency


attr(delete_FRFCurrency, 'returnType') = 'void'
attr(delete_FRFCurrency, "inputTypes") = c('_p_QuantLib__FRFCurrency')
class(delete_FRFCurrency) = c("SWIGFunction", class(delete_FRFCurrency))

# Start of new_GBPCurrency

GBPCurrency = function()
{
  ans = .Call('R_swig_new_GBPCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__GBPCurrency"
  
  ans
  
}
# End of new_GBPCurrency


attr(GBPCurrency, 'returnType') = '_p_QuantLib__GBPCurrency'
class(GBPCurrency) = c("SWIGFunction", class(GBPCurrency))

# Start of delete_GBPCurrency

delete_GBPCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__GBPCurrency") 
  .Call('R_swig_delete_GBPCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_GBPCurrency


attr(delete_GBPCurrency, 'returnType') = 'void'
attr(delete_GBPCurrency, "inputTypes") = c('_p_QuantLib__GBPCurrency')
class(delete_GBPCurrency) = c("SWIGFunction", class(delete_GBPCurrency))

# Start of new_GRDCurrency

GRDCurrency = function()
{
  ans = .Call('R_swig_new_GRDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__GRDCurrency"
  
  ans
  
}
# End of new_GRDCurrency


attr(GRDCurrency, 'returnType') = '_p_QuantLib__GRDCurrency'
class(GRDCurrency) = c("SWIGFunction", class(GRDCurrency))

# Start of delete_GRDCurrency

delete_GRDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__GRDCurrency") 
  .Call('R_swig_delete_GRDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_GRDCurrency


attr(delete_GRDCurrency, 'returnType') = 'void'
attr(delete_GRDCurrency, "inputTypes") = c('_p_QuantLib__GRDCurrency')
class(delete_GRDCurrency) = c("SWIGFunction", class(delete_GRDCurrency))

# Start of new_HKDCurrency

HKDCurrency = function()
{
  ans = .Call('R_swig_new_HKDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__HKDCurrency"
  
  ans
  
}
# End of new_HKDCurrency


attr(HKDCurrency, 'returnType') = '_p_QuantLib__HKDCurrency'
class(HKDCurrency) = c("SWIGFunction", class(HKDCurrency))

# Start of delete_HKDCurrency

delete_HKDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__HKDCurrency") 
  .Call('R_swig_delete_HKDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_HKDCurrency


attr(delete_HKDCurrency, 'returnType') = 'void'
attr(delete_HKDCurrency, "inputTypes") = c('_p_QuantLib__HKDCurrency')
class(delete_HKDCurrency) = c("SWIGFunction", class(delete_HKDCurrency))

# Start of new_HUFCurrency

HUFCurrency = function()
{
  ans = .Call('R_swig_new_HUFCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__HUFCurrency"
  
  ans
  
}
# End of new_HUFCurrency


attr(HUFCurrency, 'returnType') = '_p_QuantLib__HUFCurrency'
class(HUFCurrency) = c("SWIGFunction", class(HUFCurrency))

# Start of delete_HUFCurrency

delete_HUFCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__HUFCurrency") 
  .Call('R_swig_delete_HUFCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_HUFCurrency


attr(delete_HUFCurrency, 'returnType') = 'void'
attr(delete_HUFCurrency, "inputTypes") = c('_p_QuantLib__HUFCurrency')
class(delete_HUFCurrency) = c("SWIGFunction", class(delete_HUFCurrency))

# Start of new_IEPCurrency

IEPCurrency = function()
{
  ans = .Call('R_swig_new_IEPCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__IEPCurrency"
  
  ans
  
}
# End of new_IEPCurrency


attr(IEPCurrency, 'returnType') = '_p_QuantLib__IEPCurrency'
class(IEPCurrency) = c("SWIGFunction", class(IEPCurrency))

# Start of delete_IEPCurrency

delete_IEPCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__IEPCurrency") 
  .Call('R_swig_delete_IEPCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_IEPCurrency


attr(delete_IEPCurrency, 'returnType') = 'void'
attr(delete_IEPCurrency, "inputTypes") = c('_p_QuantLib__IEPCurrency')
class(delete_IEPCurrency) = c("SWIGFunction", class(delete_IEPCurrency))

# Start of new_ILSCurrency

ILSCurrency = function()
{
  ans = .Call('R_swig_new_ILSCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ILSCurrency"
  
  ans
  
}
# End of new_ILSCurrency


attr(ILSCurrency, 'returnType') = '_p_QuantLib__ILSCurrency'
class(ILSCurrency) = c("SWIGFunction", class(ILSCurrency))

# Start of delete_ILSCurrency

delete_ILSCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ILSCurrency") 
  .Call('R_swig_delete_ILSCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ILSCurrency


attr(delete_ILSCurrency, 'returnType') = 'void'
attr(delete_ILSCurrency, "inputTypes") = c('_p_QuantLib__ILSCurrency')
class(delete_ILSCurrency) = c("SWIGFunction", class(delete_ILSCurrency))

# Start of new_INRCurrency

INRCurrency = function()
{
  ans = .Call('R_swig_new_INRCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__INRCurrency"
  
  ans
  
}
# End of new_INRCurrency


attr(INRCurrency, 'returnType') = '_p_QuantLib__INRCurrency'
class(INRCurrency) = c("SWIGFunction", class(INRCurrency))

# Start of delete_INRCurrency

delete_INRCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__INRCurrency") 
  .Call('R_swig_delete_INRCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_INRCurrency


attr(delete_INRCurrency, 'returnType') = 'void'
attr(delete_INRCurrency, "inputTypes") = c('_p_QuantLib__INRCurrency')
class(delete_INRCurrency) = c("SWIGFunction", class(delete_INRCurrency))

# Start of new_IQDCurrency

IQDCurrency = function()
{
  ans = .Call('R_swig_new_IQDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__IQDCurrency"
  
  ans
  
}
# End of new_IQDCurrency


attr(IQDCurrency, 'returnType') = '_p_QuantLib__IQDCurrency'
class(IQDCurrency) = c("SWIGFunction", class(IQDCurrency))

# Start of delete_IQDCurrency

delete_IQDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__IQDCurrency") 
  .Call('R_swig_delete_IQDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_IQDCurrency


attr(delete_IQDCurrency, 'returnType') = 'void'
attr(delete_IQDCurrency, "inputTypes") = c('_p_QuantLib__IQDCurrency')
class(delete_IQDCurrency) = c("SWIGFunction", class(delete_IQDCurrency))

# Start of new_IRRCurrency

IRRCurrency = function()
{
  ans = .Call('R_swig_new_IRRCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__IRRCurrency"
  
  ans
  
}
# End of new_IRRCurrency


attr(IRRCurrency, 'returnType') = '_p_QuantLib__IRRCurrency'
class(IRRCurrency) = c("SWIGFunction", class(IRRCurrency))

# Start of delete_IRRCurrency

delete_IRRCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__IRRCurrency") 
  .Call('R_swig_delete_IRRCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_IRRCurrency


attr(delete_IRRCurrency, 'returnType') = 'void'
attr(delete_IRRCurrency, "inputTypes") = c('_p_QuantLib__IRRCurrency')
class(delete_IRRCurrency) = c("SWIGFunction", class(delete_IRRCurrency))

# Start of new_ISKCurrency

ISKCurrency = function()
{
  ans = .Call('R_swig_new_ISKCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ISKCurrency"
  
  ans
  
}
# End of new_ISKCurrency


attr(ISKCurrency, 'returnType') = '_p_QuantLib__ISKCurrency'
class(ISKCurrency) = c("SWIGFunction", class(ISKCurrency))

# Start of delete_ISKCurrency

delete_ISKCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ISKCurrency") 
  .Call('R_swig_delete_ISKCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ISKCurrency


attr(delete_ISKCurrency, 'returnType') = 'void'
attr(delete_ISKCurrency, "inputTypes") = c('_p_QuantLib__ISKCurrency')
class(delete_ISKCurrency) = c("SWIGFunction", class(delete_ISKCurrency))

# Start of new_ITLCurrency

ITLCurrency = function()
{
  ans = .Call('R_swig_new_ITLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ITLCurrency"
  
  ans
  
}
# End of new_ITLCurrency


attr(ITLCurrency, 'returnType') = '_p_QuantLib__ITLCurrency'
class(ITLCurrency) = c("SWIGFunction", class(ITLCurrency))

# Start of delete_ITLCurrency

delete_ITLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ITLCurrency") 
  .Call('R_swig_delete_ITLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ITLCurrency


attr(delete_ITLCurrency, 'returnType') = 'void'
attr(delete_ITLCurrency, "inputTypes") = c('_p_QuantLib__ITLCurrency')
class(delete_ITLCurrency) = c("SWIGFunction", class(delete_ITLCurrency))

# Start of new_JPYCurrency

JPYCurrency = function()
{
  ans = .Call('R_swig_new_JPYCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__JPYCurrency"
  
  ans
  
}
# End of new_JPYCurrency


attr(JPYCurrency, 'returnType') = '_p_QuantLib__JPYCurrency'
class(JPYCurrency) = c("SWIGFunction", class(JPYCurrency))

# Start of delete_JPYCurrency

delete_JPYCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__JPYCurrency") 
  .Call('R_swig_delete_JPYCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_JPYCurrency


attr(delete_JPYCurrency, 'returnType') = 'void'
attr(delete_JPYCurrency, "inputTypes") = c('_p_QuantLib__JPYCurrency')
class(delete_JPYCurrency) = c("SWIGFunction", class(delete_JPYCurrency))

# Start of new_KRWCurrency

KRWCurrency = function()
{
  ans = .Call('R_swig_new_KRWCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__KRWCurrency"
  
  ans
  
}
# End of new_KRWCurrency


attr(KRWCurrency, 'returnType') = '_p_QuantLib__KRWCurrency'
class(KRWCurrency) = c("SWIGFunction", class(KRWCurrency))

# Start of delete_KRWCurrency

delete_KRWCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__KRWCurrency") 
  .Call('R_swig_delete_KRWCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_KRWCurrency


attr(delete_KRWCurrency, 'returnType') = 'void'
attr(delete_KRWCurrency, "inputTypes") = c('_p_QuantLib__KRWCurrency')
class(delete_KRWCurrency) = c("SWIGFunction", class(delete_KRWCurrency))

# Start of new_KWDCurrency

KWDCurrency = function()
{
  ans = .Call('R_swig_new_KWDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__KWDCurrency"
  
  ans
  
}
# End of new_KWDCurrency


attr(KWDCurrency, 'returnType') = '_p_QuantLib__KWDCurrency'
class(KWDCurrency) = c("SWIGFunction", class(KWDCurrency))

# Start of delete_KWDCurrency

delete_KWDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__KWDCurrency") 
  .Call('R_swig_delete_KWDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_KWDCurrency


attr(delete_KWDCurrency, 'returnType') = 'void'
attr(delete_KWDCurrency, "inputTypes") = c('_p_QuantLib__KWDCurrency')
class(delete_KWDCurrency) = c("SWIGFunction", class(delete_KWDCurrency))

# Start of new_LTLCurrency

LTLCurrency = function()
{
  ans = .Call('R_swig_new_LTLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__LTLCurrency"
  
  ans
  
}
# End of new_LTLCurrency


attr(LTLCurrency, 'returnType') = '_p_QuantLib__LTLCurrency'
class(LTLCurrency) = c("SWIGFunction", class(LTLCurrency))

# Start of delete_LTLCurrency

delete_LTLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__LTLCurrency") 
  .Call('R_swig_delete_LTLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_LTLCurrency


attr(delete_LTLCurrency, 'returnType') = 'void'
attr(delete_LTLCurrency, "inputTypes") = c('_p_QuantLib__LTLCurrency')
class(delete_LTLCurrency) = c("SWIGFunction", class(delete_LTLCurrency))

# Start of new_LUFCurrency

LUFCurrency = function()
{
  ans = .Call('R_swig_new_LUFCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__LUFCurrency"
  
  ans
  
}
# End of new_LUFCurrency


attr(LUFCurrency, 'returnType') = '_p_QuantLib__LUFCurrency'
class(LUFCurrency) = c("SWIGFunction", class(LUFCurrency))

# Start of delete_LUFCurrency

delete_LUFCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__LUFCurrency") 
  .Call('R_swig_delete_LUFCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_LUFCurrency


attr(delete_LUFCurrency, 'returnType') = 'void'
attr(delete_LUFCurrency, "inputTypes") = c('_p_QuantLib__LUFCurrency')
class(delete_LUFCurrency) = c("SWIGFunction", class(delete_LUFCurrency))

# Start of new_LVLCurrency

LVLCurrency = function()
{
  ans = .Call('R_swig_new_LVLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__LVLCurrency"
  
  ans
  
}
# End of new_LVLCurrency


attr(LVLCurrency, 'returnType') = '_p_QuantLib__LVLCurrency'
class(LVLCurrency) = c("SWIGFunction", class(LVLCurrency))

# Start of delete_LVLCurrency

delete_LVLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__LVLCurrency") 
  .Call('R_swig_delete_LVLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_LVLCurrency


attr(delete_LVLCurrency, 'returnType') = 'void'
attr(delete_LVLCurrency, "inputTypes") = c('_p_QuantLib__LVLCurrency')
class(delete_LVLCurrency) = c("SWIGFunction", class(delete_LVLCurrency))

# Start of new_MTLCurrency

MTLCurrency = function()
{
  ans = .Call('R_swig_new_MTLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__MTLCurrency"
  
  ans
  
}
# End of new_MTLCurrency


attr(MTLCurrency, 'returnType') = '_p_QuantLib__MTLCurrency'
class(MTLCurrency) = c("SWIGFunction", class(MTLCurrency))

# Start of delete_MTLCurrency

delete_MTLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__MTLCurrency") 
  .Call('R_swig_delete_MTLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_MTLCurrency


attr(delete_MTLCurrency, 'returnType') = 'void'
attr(delete_MTLCurrency, "inputTypes") = c('_p_QuantLib__MTLCurrency')
class(delete_MTLCurrency) = c("SWIGFunction", class(delete_MTLCurrency))

# Start of new_MXNCurrency

MXNCurrency = function()
{
  ans = .Call('R_swig_new_MXNCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__MXNCurrency"
  
  ans
  
}
# End of new_MXNCurrency


attr(MXNCurrency, 'returnType') = '_p_QuantLib__MXNCurrency'
class(MXNCurrency) = c("SWIGFunction", class(MXNCurrency))

# Start of delete_MXNCurrency

delete_MXNCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__MXNCurrency") 
  .Call('R_swig_delete_MXNCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_MXNCurrency


attr(delete_MXNCurrency, 'returnType') = 'void'
attr(delete_MXNCurrency, "inputTypes") = c('_p_QuantLib__MXNCurrency')
class(delete_MXNCurrency) = c("SWIGFunction", class(delete_MXNCurrency))

# Start of new_NLGCurrency

NLGCurrency = function()
{
  ans = .Call('R_swig_new_NLGCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__NLGCurrency"
  
  ans
  
}
# End of new_NLGCurrency


attr(NLGCurrency, 'returnType') = '_p_QuantLib__NLGCurrency'
class(NLGCurrency) = c("SWIGFunction", class(NLGCurrency))

# Start of delete_NLGCurrency

delete_NLGCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__NLGCurrency") 
  .Call('R_swig_delete_NLGCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_NLGCurrency


attr(delete_NLGCurrency, 'returnType') = 'void'
attr(delete_NLGCurrency, "inputTypes") = c('_p_QuantLib__NLGCurrency')
class(delete_NLGCurrency) = c("SWIGFunction", class(delete_NLGCurrency))

# Start of new_NOKCurrency

NOKCurrency = function()
{
  ans = .Call('R_swig_new_NOKCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__NOKCurrency"
  
  ans
  
}
# End of new_NOKCurrency


attr(NOKCurrency, 'returnType') = '_p_QuantLib__NOKCurrency'
class(NOKCurrency) = c("SWIGFunction", class(NOKCurrency))

# Start of delete_NOKCurrency

delete_NOKCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__NOKCurrency") 
  .Call('R_swig_delete_NOKCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_NOKCurrency


attr(delete_NOKCurrency, 'returnType') = 'void'
attr(delete_NOKCurrency, "inputTypes") = c('_p_QuantLib__NOKCurrency')
class(delete_NOKCurrency) = c("SWIGFunction", class(delete_NOKCurrency))

# Start of new_NPRCurrency

NPRCurrency = function()
{
  ans = .Call('R_swig_new_NPRCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__NPRCurrency"
  
  ans
  
}
# End of new_NPRCurrency


attr(NPRCurrency, 'returnType') = '_p_QuantLib__NPRCurrency'
class(NPRCurrency) = c("SWIGFunction", class(NPRCurrency))

# Start of delete_NPRCurrency

delete_NPRCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__NPRCurrency") 
  .Call('R_swig_delete_NPRCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_NPRCurrency


attr(delete_NPRCurrency, 'returnType') = 'void'
attr(delete_NPRCurrency, "inputTypes") = c('_p_QuantLib__NPRCurrency')
class(delete_NPRCurrency) = c("SWIGFunction", class(delete_NPRCurrency))

# Start of new_NZDCurrency

NZDCurrency = function()
{
  ans = .Call('R_swig_new_NZDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__NZDCurrency"
  
  ans
  
}
# End of new_NZDCurrency


attr(NZDCurrency, 'returnType') = '_p_QuantLib__NZDCurrency'
class(NZDCurrency) = c("SWIGFunction", class(NZDCurrency))

# Start of delete_NZDCurrency

delete_NZDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__NZDCurrency") 
  .Call('R_swig_delete_NZDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_NZDCurrency


attr(delete_NZDCurrency, 'returnType') = 'void'
attr(delete_NZDCurrency, "inputTypes") = c('_p_QuantLib__NZDCurrency')
class(delete_NZDCurrency) = c("SWIGFunction", class(delete_NZDCurrency))

# Start of new_PKRCurrency

PKRCurrency = function()
{
  ans = .Call('R_swig_new_PKRCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__PKRCurrency"
  
  ans
  
}
# End of new_PKRCurrency


attr(PKRCurrency, 'returnType') = '_p_QuantLib__PKRCurrency'
class(PKRCurrency) = c("SWIGFunction", class(PKRCurrency))

# Start of delete_PKRCurrency

delete_PKRCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__PKRCurrency") 
  .Call('R_swig_delete_PKRCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_PKRCurrency


attr(delete_PKRCurrency, 'returnType') = 'void'
attr(delete_PKRCurrency, "inputTypes") = c('_p_QuantLib__PKRCurrency')
class(delete_PKRCurrency) = c("SWIGFunction", class(delete_PKRCurrency))

# Start of new_PLNCurrency

PLNCurrency = function()
{
  ans = .Call('R_swig_new_PLNCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__PLNCurrency"
  
  ans
  
}
# End of new_PLNCurrency


attr(PLNCurrency, 'returnType') = '_p_QuantLib__PLNCurrency'
class(PLNCurrency) = c("SWIGFunction", class(PLNCurrency))

# Start of delete_PLNCurrency

delete_PLNCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__PLNCurrency") 
  .Call('R_swig_delete_PLNCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_PLNCurrency


attr(delete_PLNCurrency, 'returnType') = 'void'
attr(delete_PLNCurrency, "inputTypes") = c('_p_QuantLib__PLNCurrency')
class(delete_PLNCurrency) = c("SWIGFunction", class(delete_PLNCurrency))

# Start of new_PTECurrency

PTECurrency = function()
{
  ans = .Call('R_swig_new_PTECurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__PTECurrency"
  
  ans
  
}
# End of new_PTECurrency


attr(PTECurrency, 'returnType') = '_p_QuantLib__PTECurrency'
class(PTECurrency) = c("SWIGFunction", class(PTECurrency))

# Start of delete_PTECurrency

delete_PTECurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__PTECurrency") 
  .Call('R_swig_delete_PTECurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_PTECurrency


attr(delete_PTECurrency, 'returnType') = 'void'
attr(delete_PTECurrency, "inputTypes") = c('_p_QuantLib__PTECurrency')
class(delete_PTECurrency) = c("SWIGFunction", class(delete_PTECurrency))

# Start of new_ROLCurrency

ROLCurrency = function()
{
  ans = .Call('R_swig_new_ROLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ROLCurrency"
  
  ans
  
}
# End of new_ROLCurrency


attr(ROLCurrency, 'returnType') = '_p_QuantLib__ROLCurrency'
class(ROLCurrency) = c("SWIGFunction", class(ROLCurrency))

# Start of delete_ROLCurrency

delete_ROLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ROLCurrency") 
  .Call('R_swig_delete_ROLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ROLCurrency


attr(delete_ROLCurrency, 'returnType') = 'void'
attr(delete_ROLCurrency, "inputTypes") = c('_p_QuantLib__ROLCurrency')
class(delete_ROLCurrency) = c("SWIGFunction", class(delete_ROLCurrency))

# Start of new_SARCurrency

SARCurrency = function()
{
  ans = .Call('R_swig_new_SARCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SARCurrency"
  
  ans
  
}
# End of new_SARCurrency


attr(SARCurrency, 'returnType') = '_p_QuantLib__SARCurrency'
class(SARCurrency) = c("SWIGFunction", class(SARCurrency))

# Start of delete_SARCurrency

delete_SARCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SARCurrency") 
  .Call('R_swig_delete_SARCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_SARCurrency


attr(delete_SARCurrency, 'returnType') = 'void'
attr(delete_SARCurrency, "inputTypes") = c('_p_QuantLib__SARCurrency')
class(delete_SARCurrency) = c("SWIGFunction", class(delete_SARCurrency))

# Start of new_SEKCurrency

SEKCurrency = function()
{
  ans = .Call('R_swig_new_SEKCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SEKCurrency"
  
  ans
  
}
# End of new_SEKCurrency


attr(SEKCurrency, 'returnType') = '_p_QuantLib__SEKCurrency'
class(SEKCurrency) = c("SWIGFunction", class(SEKCurrency))

# Start of delete_SEKCurrency

delete_SEKCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SEKCurrency") 
  .Call('R_swig_delete_SEKCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_SEKCurrency


attr(delete_SEKCurrency, 'returnType') = 'void'
attr(delete_SEKCurrency, "inputTypes") = c('_p_QuantLib__SEKCurrency')
class(delete_SEKCurrency) = c("SWIGFunction", class(delete_SEKCurrency))

# Start of new_SGDCurrency

SGDCurrency = function()
{
  ans = .Call('R_swig_new_SGDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SGDCurrency"
  
  ans
  
}
# End of new_SGDCurrency


attr(SGDCurrency, 'returnType') = '_p_QuantLib__SGDCurrency'
class(SGDCurrency) = c("SWIGFunction", class(SGDCurrency))

# Start of delete_SGDCurrency

delete_SGDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SGDCurrency") 
  .Call('R_swig_delete_SGDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_SGDCurrency


attr(delete_SGDCurrency, 'returnType') = 'void'
attr(delete_SGDCurrency, "inputTypes") = c('_p_QuantLib__SGDCurrency')
class(delete_SGDCurrency) = c("SWIGFunction", class(delete_SGDCurrency))

# Start of new_SITCurrency

SITCurrency = function()
{
  ans = .Call('R_swig_new_SITCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SITCurrency"
  
  ans
  
}
# End of new_SITCurrency


attr(SITCurrency, 'returnType') = '_p_QuantLib__SITCurrency'
class(SITCurrency) = c("SWIGFunction", class(SITCurrency))

# Start of delete_SITCurrency

delete_SITCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SITCurrency") 
  .Call('R_swig_delete_SITCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_SITCurrency


attr(delete_SITCurrency, 'returnType') = 'void'
attr(delete_SITCurrency, "inputTypes") = c('_p_QuantLib__SITCurrency')
class(delete_SITCurrency) = c("SWIGFunction", class(delete_SITCurrency))

# Start of new_SKKCurrency

SKKCurrency = function()
{
  ans = .Call('R_swig_new_SKKCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__SKKCurrency"
  
  ans
  
}
# End of new_SKKCurrency


attr(SKKCurrency, 'returnType') = '_p_QuantLib__SKKCurrency'
class(SKKCurrency) = c("SWIGFunction", class(SKKCurrency))

# Start of delete_SKKCurrency

delete_SKKCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__SKKCurrency") 
  .Call('R_swig_delete_SKKCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_SKKCurrency


attr(delete_SKKCurrency, 'returnType') = 'void'
attr(delete_SKKCurrency, "inputTypes") = c('_p_QuantLib__SKKCurrency')
class(delete_SKKCurrency) = c("SWIGFunction", class(delete_SKKCurrency))

# Start of new_THBCurrency

THBCurrency = function()
{
  ans = .Call('R_swig_new_THBCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__THBCurrency"
  
  ans
  
}
# End of new_THBCurrency


attr(THBCurrency, 'returnType') = '_p_QuantLib__THBCurrency'
class(THBCurrency) = c("SWIGFunction", class(THBCurrency))

# Start of delete_THBCurrency

delete_THBCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__THBCurrency") 
  .Call('R_swig_delete_THBCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_THBCurrency


attr(delete_THBCurrency, 'returnType') = 'void'
attr(delete_THBCurrency, "inputTypes") = c('_p_QuantLib__THBCurrency')
class(delete_THBCurrency) = c("SWIGFunction", class(delete_THBCurrency))

# Start of new_TRLCurrency

TRLCurrency = function()
{
  ans = .Call('R_swig_new_TRLCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__TRLCurrency"
  
  ans
  
}
# End of new_TRLCurrency


attr(TRLCurrency, 'returnType') = '_p_QuantLib__TRLCurrency'
class(TRLCurrency) = c("SWIGFunction", class(TRLCurrency))

# Start of delete_TRLCurrency

delete_TRLCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__TRLCurrency") 
  .Call('R_swig_delete_TRLCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_TRLCurrency


attr(delete_TRLCurrency, 'returnType') = 'void'
attr(delete_TRLCurrency, "inputTypes") = c('_p_QuantLib__TRLCurrency')
class(delete_TRLCurrency) = c("SWIGFunction", class(delete_TRLCurrency))

# Start of new_TRYCurrency

TRYCurrency = function()
{
  ans = .Call('R_swig_new_TRYCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__TRYCurrency"
  
  ans
  
}
# End of new_TRYCurrency


attr(TRYCurrency, 'returnType') = '_p_QuantLib__TRYCurrency'
class(TRYCurrency) = c("SWIGFunction", class(TRYCurrency))

# Start of delete_TRYCurrency

delete_TRYCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__TRYCurrency") 
  .Call('R_swig_delete_TRYCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_TRYCurrency


attr(delete_TRYCurrency, 'returnType') = 'void'
attr(delete_TRYCurrency, "inputTypes") = c('_p_QuantLib__TRYCurrency')
class(delete_TRYCurrency) = c("SWIGFunction", class(delete_TRYCurrency))

# Start of new_TTDCurrency

TTDCurrency = function()
{
  ans = .Call('R_swig_new_TTDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__TTDCurrency"
  
  ans
  
}
# End of new_TTDCurrency


attr(TTDCurrency, 'returnType') = '_p_QuantLib__TTDCurrency'
class(TTDCurrency) = c("SWIGFunction", class(TTDCurrency))

# Start of delete_TTDCurrency

delete_TTDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__TTDCurrency") 
  .Call('R_swig_delete_TTDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_TTDCurrency


attr(delete_TTDCurrency, 'returnType') = 'void'
attr(delete_TTDCurrency, "inputTypes") = c('_p_QuantLib__TTDCurrency')
class(delete_TTDCurrency) = c("SWIGFunction", class(delete_TTDCurrency))

# Start of new_TWDCurrency

TWDCurrency = function()
{
  ans = .Call('R_swig_new_TWDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__TWDCurrency"
  
  ans
  
}
# End of new_TWDCurrency


attr(TWDCurrency, 'returnType') = '_p_QuantLib__TWDCurrency'
class(TWDCurrency) = c("SWIGFunction", class(TWDCurrency))

# Start of delete_TWDCurrency

delete_TWDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__TWDCurrency") 
  .Call('R_swig_delete_TWDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_TWDCurrency


attr(delete_TWDCurrency, 'returnType') = 'void'
attr(delete_TWDCurrency, "inputTypes") = c('_p_QuantLib__TWDCurrency')
class(delete_TWDCurrency) = c("SWIGFunction", class(delete_TWDCurrency))

# Start of new_USDCurrency

USDCurrency = function()
{
  ans = .Call('R_swig_new_USDCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__USDCurrency"
  
  ans
  
}
# End of new_USDCurrency


attr(USDCurrency, 'returnType') = '_p_QuantLib__USDCurrency'
class(USDCurrency) = c("SWIGFunction", class(USDCurrency))

# Start of delete_USDCurrency

delete_USDCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__USDCurrency") 
  .Call('R_swig_delete_USDCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_USDCurrency


attr(delete_USDCurrency, 'returnType') = 'void'
attr(delete_USDCurrency, "inputTypes") = c('_p_QuantLib__USDCurrency')
class(delete_USDCurrency) = c("SWIGFunction", class(delete_USDCurrency))

# Start of new_VEBCurrency

VEBCurrency = function()
{
  ans = .Call('R_swig_new_VEBCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__VEBCurrency"
  
  ans
  
}
# End of new_VEBCurrency


attr(VEBCurrency, 'returnType') = '_p_QuantLib__VEBCurrency'
class(VEBCurrency) = c("SWIGFunction", class(VEBCurrency))

# Start of delete_VEBCurrency

delete_VEBCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__VEBCurrency") 
  .Call('R_swig_delete_VEBCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_VEBCurrency


attr(delete_VEBCurrency, 'returnType') = 'void'
attr(delete_VEBCurrency, "inputTypes") = c('_p_QuantLib__VEBCurrency')
class(delete_VEBCurrency) = c("SWIGFunction", class(delete_VEBCurrency))

# Start of new_ZARCurrency

ZARCurrency = function()
{
  ans = .Call('R_swig_new_ZARCurrency', PACKAGE='QuantLib')
  class(ans) <- "_p_QuantLib__ZARCurrency"
  
  ans
  
}
# End of new_ZARCurrency


attr(ZARCurrency, 'returnType') = '_p_QuantLib__ZARCurrency'
class(ZARCurrency) = c("SWIGFunction", class(ZARCurrency))

# Start of delete_ZARCurrency

delete_ZARCurrency = function(self)
{
  coerceIfNotSubclass(self, "_p_QuantLib__ZARCurrency") 
  .Call('R_swig_delete_ZARCurrency', self, PACKAGE='QuantLib')
  
}
# End of delete_ZARCurrency


attr(delete_ZARCurrency, 'returnType') = 'void'
attr(delete_ZARCurrency, "inputTypes") = c('_p_QuantLib__ZARCurrency')
class(delete_ZARCurrency) = c("SWIGFunction", class(delete_ZARCurrency))

# Start of new_LinearInterpolation

LinearInterpolation = function(x, y)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  ans = .Call('R_swig_new_LinearInterpolation', x, y, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeLinearInterpolation"
  
  ans
  
}
# End of new_LinearInterpolation


attr(LinearInterpolation, 'returnType') = '_p_SafeLinearInterpolation'
attr(LinearInterpolation, "inputTypes") = c('_p_Array', '_p_Array')
class(LinearInterpolation) = c("SWIGFunction", class(LinearInterpolation))

setGeneric('LinearInterpolation___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('LinearInterpolation___call__'))
attr(LinearInterpolation___call__, 'returnType') = 'numeric'
setMethod('LinearInterpolation___call__', c('_p_SafeLinearInterpolation', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeLinearInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_LinearInterpolation___call____SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LinearInterpolation___call__', c('_p_SafeLinearInterpolation', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeLinearInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_LinearInterpolation___call____SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_LinearInterpolation

delete_LinearInterpolation = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeLinearInterpolation") 
  .Call('R_swig_delete_LinearInterpolation', self, PACKAGE='QuantLib')
  
}
# End of delete_LinearInterpolation


attr(delete_LinearInterpolation, 'returnType') = 'void'
attr(delete_LinearInterpolation, "inputTypes") = c('_p_SafeLinearInterpolation')
class(delete_LinearInterpolation) = c("SWIGFunction", class(delete_LinearInterpolation))

# Start of accessor method for SafeLinearInterpolation
setMethod('$', '_p_SafeLinearInterpolation', function(x, name)

{
  accessorFuns = list('operator ()' = LinearInterpolation___call__, 'operator ()' = LinearInterpolation___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeLinearInterpolation
# Start of new_LogLinearInterpolation

LogLinearInterpolation = function(x, y)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  ans = .Call('R_swig_new_LogLinearInterpolation', x, y, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeLogLinearInterpolation"
  
  ans
  
}
# End of new_LogLinearInterpolation


attr(LogLinearInterpolation, 'returnType') = '_p_SafeLogLinearInterpolation'
attr(LogLinearInterpolation, "inputTypes") = c('_p_Array', '_p_Array')
class(LogLinearInterpolation) = c("SWIGFunction", class(LogLinearInterpolation))

setGeneric('LogLinearInterpolation___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('LogLinearInterpolation___call__'))
attr(LogLinearInterpolation___call__, 'returnType') = 'numeric'
setMethod('LogLinearInterpolation___call__', c('_p_SafeLogLinearInterpolation', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeLogLinearInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_LogLinearInterpolation___call____SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LogLinearInterpolation___call__', c('_p_SafeLogLinearInterpolation', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeLogLinearInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_LogLinearInterpolation___call____SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_LogLinearInterpolation

delete_LogLinearInterpolation = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeLogLinearInterpolation") 
  .Call('R_swig_delete_LogLinearInterpolation', self, PACKAGE='QuantLib')
  
}
# End of delete_LogLinearInterpolation


attr(delete_LogLinearInterpolation, 'returnType') = 'void'
attr(delete_LogLinearInterpolation, "inputTypes") = c('_p_SafeLogLinearInterpolation')
class(delete_LogLinearInterpolation) = c("SWIGFunction", class(delete_LogLinearInterpolation))

# Start of accessor method for SafeLogLinearInterpolation
setMethod('$', '_p_SafeLogLinearInterpolation', function(x, name)

{
  accessorFuns = list('operator ()' = LogLinearInterpolation___call__, 'operator ()' = LogLinearInterpolation___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeLogLinearInterpolation
# Start of new_BackwardFlatInterpolation

BackwardFlatInterpolation = function(x, y)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  ans = .Call('R_swig_new_BackwardFlatInterpolation', x, y, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeBackwardFlatInterpolation"
  
  ans
  
}
# End of new_BackwardFlatInterpolation


attr(BackwardFlatInterpolation, 'returnType') = '_p_SafeBackwardFlatInterpolation'
attr(BackwardFlatInterpolation, "inputTypes") = c('_p_Array', '_p_Array')
class(BackwardFlatInterpolation) = c("SWIGFunction", class(BackwardFlatInterpolation))

setGeneric('BackwardFlatInterpolation___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BackwardFlatInterpolation___call__'))
attr(BackwardFlatInterpolation___call__, 'returnType') = 'numeric'
setMethod('BackwardFlatInterpolation___call__', c('_p_SafeBackwardFlatInterpolation', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeBackwardFlatInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_BackwardFlatInterpolation___call____SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BackwardFlatInterpolation___call__', c('_p_SafeBackwardFlatInterpolation', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeBackwardFlatInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_BackwardFlatInterpolation___call____SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_BackwardFlatInterpolation

delete_BackwardFlatInterpolation = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeBackwardFlatInterpolation") 
  .Call('R_swig_delete_BackwardFlatInterpolation', self, PACKAGE='QuantLib')
  
}
# End of delete_BackwardFlatInterpolation


attr(delete_BackwardFlatInterpolation, 'returnType') = 'void'
attr(delete_BackwardFlatInterpolation, "inputTypes") = c('_p_SafeBackwardFlatInterpolation')
class(delete_BackwardFlatInterpolation) = c("SWIGFunction", class(delete_BackwardFlatInterpolation))

# Start of accessor method for SafeBackwardFlatInterpolation
setMethod('$', '_p_SafeBackwardFlatInterpolation', function(x, name)

{
  accessorFuns = list('operator ()' = BackwardFlatInterpolation___call__, 'operator ()' = BackwardFlatInterpolation___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeBackwardFlatInterpolation
# Start of new_ForwardFlatInterpolation

ForwardFlatInterpolation = function(x, y)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  ans = .Call('R_swig_new_ForwardFlatInterpolation', x, y, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeForwardFlatInterpolation"
  
  ans
  
}
# End of new_ForwardFlatInterpolation


attr(ForwardFlatInterpolation, 'returnType') = '_p_SafeForwardFlatInterpolation'
attr(ForwardFlatInterpolation, "inputTypes") = c('_p_Array', '_p_Array')
class(ForwardFlatInterpolation) = c("SWIGFunction", class(ForwardFlatInterpolation))

setGeneric('ForwardFlatInterpolation___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ForwardFlatInterpolation___call__'))
attr(ForwardFlatInterpolation___call__, 'returnType') = 'numeric'
setMethod('ForwardFlatInterpolation___call__', c('_p_SafeForwardFlatInterpolation', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeForwardFlatInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_ForwardFlatInterpolation___call____SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('ForwardFlatInterpolation___call__', c('_p_SafeForwardFlatInterpolation', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeForwardFlatInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_ForwardFlatInterpolation___call____SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_ForwardFlatInterpolation

delete_ForwardFlatInterpolation = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeForwardFlatInterpolation") 
  .Call('R_swig_delete_ForwardFlatInterpolation', self, PACKAGE='QuantLib')
  
}
# End of delete_ForwardFlatInterpolation


attr(delete_ForwardFlatInterpolation, 'returnType') = 'void'
attr(delete_ForwardFlatInterpolation, "inputTypes") = c('_p_SafeForwardFlatInterpolation')
class(delete_ForwardFlatInterpolation) = c("SWIGFunction", class(delete_ForwardFlatInterpolation))

# Start of accessor method for SafeForwardFlatInterpolation
setMethod('$', '_p_SafeForwardFlatInterpolation', function(x, name)

{
  accessorFuns = list('operator ()' = ForwardFlatInterpolation___call__, 'operator ()' = ForwardFlatInterpolation___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeForwardFlatInterpolation
# Start of new_CubicSpline

CubicSpline = function(x, y)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  ans = .Call('R_swig_new_CubicSpline', x, y, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeNaturalCubicSpline"
  
  ans
  
}
# End of new_CubicSpline


attr(CubicSpline, 'returnType') = '_p_SafeNaturalCubicSpline'
attr(CubicSpline, "inputTypes") = c('_p_Array', '_p_Array')
class(CubicSpline) = c("SWIGFunction", class(CubicSpline))

setGeneric('CubicSpline___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CubicSpline___call__'))
attr(CubicSpline___call__, 'returnType') = 'numeric'
setMethod('CubicSpline___call__', c('_p_SafeNaturalCubicSpline', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_CubicSpline___call____SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CubicSpline___call__', c('_p_SafeNaturalCubicSpline', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_CubicSpline___call____SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('CubicSpline_derivative', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CubicSpline_derivative'))
attr(CubicSpline_derivative, 'returnType') = 'numeric'
setMethod('CubicSpline_derivative', c('_p_SafeNaturalCubicSpline', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_CubicSpline_derivative__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CubicSpline_derivative', c('_p_SafeNaturalCubicSpline', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_CubicSpline_derivative__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('CubicSpline_secondDerivative', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CubicSpline_secondDerivative'))
attr(CubicSpline_secondDerivative, 'returnType') = 'numeric'
setMethod('CubicSpline_secondDerivative', c('_p_SafeNaturalCubicSpline', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_CubicSpline_secondDerivative__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CubicSpline_secondDerivative', c('_p_SafeNaturalCubicSpline', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_CubicSpline_secondDerivative__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_CubicSpline

delete_CubicSpline = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeNaturalCubicSpline") 
  .Call('R_swig_delete_CubicSpline', self, PACKAGE='QuantLib')
  
}
# End of delete_CubicSpline


attr(delete_CubicSpline, 'returnType') = 'void'
attr(delete_CubicSpline, "inputTypes") = c('_p_SafeNaturalCubicSpline')
class(delete_CubicSpline) = c("SWIGFunction", class(delete_CubicSpline))

# Start of accessor method for SafeNaturalCubicSpline
setMethod('$', '_p_SafeNaturalCubicSpline', function(x, name)

{
  accessorFuns = list('operator ()' = CubicSpline___call__, 'operator ()' = CubicSpline___call__, 'derivative' = CubicSpline_derivative, 'derivative' = CubicSpline_derivative, 'secondDerivative' = CubicSpline_secondDerivative, 'secondDerivative' = CubicSpline_secondDerivative)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeNaturalCubicSpline
# Start of new_MonotonicCubicSpline

MonotonicCubicSpline = function(x, y)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  ans = .Call('R_swig_new_MonotonicCubicSpline', x, y, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeNaturalMonotonicCubicSpline"
  
  ans
  
}
# End of new_MonotonicCubicSpline


attr(MonotonicCubicSpline, 'returnType') = '_p_SafeNaturalMonotonicCubicSpline'
attr(MonotonicCubicSpline, "inputTypes") = c('_p_Array', '_p_Array')
class(MonotonicCubicSpline) = c("SWIGFunction", class(MonotonicCubicSpline))

setGeneric('MonotonicCubicSpline___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('MonotonicCubicSpline___call__'))
attr(MonotonicCubicSpline___call__, 'returnType') = 'numeric'
setMethod('MonotonicCubicSpline___call__', c('_p_SafeNaturalMonotonicCubicSpline', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalMonotonicCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_MonotonicCubicSpline___call____SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('MonotonicCubicSpline___call__', c('_p_SafeNaturalMonotonicCubicSpline', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalMonotonicCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_MonotonicCubicSpline___call____SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('MonotonicCubicSpline_derivative', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('MonotonicCubicSpline_derivative'))
attr(MonotonicCubicSpline_derivative, 'returnType') = 'numeric'
setMethod('MonotonicCubicSpline_derivative', c('_p_SafeNaturalMonotonicCubicSpline', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalMonotonicCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_MonotonicCubicSpline_derivative__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('MonotonicCubicSpline_derivative', c('_p_SafeNaturalMonotonicCubicSpline', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalMonotonicCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_MonotonicCubicSpline_derivative__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('MonotonicCubicSpline_secondDerivative', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('MonotonicCubicSpline_secondDerivative'))
attr(MonotonicCubicSpline_secondDerivative, 'returnType') = 'numeric'
setMethod('MonotonicCubicSpline_secondDerivative', c('_p_SafeNaturalMonotonicCubicSpline', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalMonotonicCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_MonotonicCubicSpline_secondDerivative__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('MonotonicCubicSpline_secondDerivative', c('_p_SafeNaturalMonotonicCubicSpline', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeNaturalMonotonicCubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_MonotonicCubicSpline_secondDerivative__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_MonotonicCubicSpline

delete_MonotonicCubicSpline = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeNaturalMonotonicCubicSpline") 
  .Call('R_swig_delete_MonotonicCubicSpline', self, PACKAGE='QuantLib')
  
}
# End of delete_MonotonicCubicSpline


attr(delete_MonotonicCubicSpline, 'returnType') = 'void'
attr(delete_MonotonicCubicSpline, "inputTypes") = c('_p_SafeNaturalMonotonicCubicSpline')
class(delete_MonotonicCubicSpline) = c("SWIGFunction", class(delete_MonotonicCubicSpline))

# Start of accessor method for SafeNaturalMonotonicCubicSpline
setMethod('$', '_p_SafeNaturalMonotonicCubicSpline', function(x, name)

{
  accessorFuns = list('operator ()' = MonotonicCubicSpline___call__, 'operator ()' = MonotonicCubicSpline___call__, 'derivative' = MonotonicCubicSpline_derivative, 'derivative' = MonotonicCubicSpline_derivative, 'secondDerivative' = MonotonicCubicSpline_secondDerivative, 'secondDerivative' = MonotonicCubicSpline_secondDerivative)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeNaturalMonotonicCubicSpline
# Start of new_BilinearInterpolation

BilinearInterpolation = function(x, y, m)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  coerceIfNotSubclass(m, "_p_Matrix") 
  ans = .Call('R_swig_new_BilinearInterpolation', x, y, m, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeBilinearInterpolation"
  
  ans
  
}
# End of new_BilinearInterpolation


attr(BilinearInterpolation, 'returnType') = '_p_SafeBilinearInterpolation'
attr(BilinearInterpolation, "inputTypes") = c('_p_Array', '_p_Array', '_p_Matrix')
class(BilinearInterpolation) = c("SWIGFunction", class(BilinearInterpolation))

setGeneric('BilinearInterpolation___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BilinearInterpolation___call__'))
attr(BilinearInterpolation___call__, 'returnType') = 'numeric'
setMethod('BilinearInterpolation___call__', c('_p_SafeBilinearInterpolation', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeBilinearInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BilinearInterpolation___call____SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BilinearInterpolation___call__', c('_p_SafeBilinearInterpolation', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeBilinearInterpolation") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BilinearInterpolation___call____SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_BilinearInterpolation

delete_BilinearInterpolation = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeBilinearInterpolation") 
  .Call('R_swig_delete_BilinearInterpolation', self, PACKAGE='QuantLib')
  
}
# End of delete_BilinearInterpolation


attr(delete_BilinearInterpolation, 'returnType') = 'void'
attr(delete_BilinearInterpolation, "inputTypes") = c('_p_SafeBilinearInterpolation')
class(delete_BilinearInterpolation) = c("SWIGFunction", class(delete_BilinearInterpolation))

# Start of accessor method for SafeBilinearInterpolation
setMethod('$', '_p_SafeBilinearInterpolation', function(x, name)

{
  accessorFuns = list('operator ()' = BilinearInterpolation___call__, 'operator ()' = BilinearInterpolation___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeBilinearInterpolation
# Start of new_BicubicSpline

BicubicSpline = function(x, y, m)
{
  coerceIfNotSubclass(x, "_p_Array") 
  coerceIfNotSubclass(y, "_p_Array") 
  coerceIfNotSubclass(m, "_p_Matrix") 
  ans = .Call('R_swig_new_BicubicSpline', x, y, m, PACKAGE='QuantLib')
  class(ans) <- "_p_SafeBicubicSpline"
  
  ans
  
}
# End of new_BicubicSpline


attr(BicubicSpline, 'returnType') = '_p_SafeBicubicSpline'
attr(BicubicSpline, "inputTypes") = c('_p_Array', '_p_Array', '_p_Matrix')
class(BicubicSpline) = c("SWIGFunction", class(BicubicSpline))

setGeneric('BicubicSpline___call__', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BicubicSpline___call__'))
attr(BicubicSpline___call__, 'returnType') = 'numeric'
setMethod('BicubicSpline___call__', c('_p_SafeBicubicSpline', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeBicubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BicubicSpline___call____SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BicubicSpline___call__', c('_p_SafeBicubicSpline', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_SafeBicubicSpline") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BicubicSpline___call____SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_BicubicSpline

delete_BicubicSpline = function(self)
{
  coerceIfNotSubclass(self, "_p_SafeBicubicSpline") 
  .Call('R_swig_delete_BicubicSpline', self, PACKAGE='QuantLib')
  
}
# End of delete_BicubicSpline


attr(delete_BicubicSpline, 'returnType') = 'void'
attr(delete_BicubicSpline, "inputTypes") = c('_p_SafeBicubicSpline')
class(delete_BicubicSpline) = c("SWIGFunction", class(delete_BicubicSpline))

# Start of accessor method for SafeBicubicSpline
setMethod('$', '_p_SafeBicubicSpline', function(x, name)

{
  accessorFuns = list('operator ()' = BicubicSpline___call__, 'operator ()' = BicubicSpline___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SafeBicubicSpline
# Start of new_BackwardFlat

BackwardFlat = function()
{
  ans = .Call('R_swig_new_BackwardFlat', PACKAGE='QuantLib')
  class(ans) <- "_p_BackwardFlat"
  
  ans
  
}
# End of new_BackwardFlat


attr(BackwardFlat, 'returnType') = '_p_BackwardFlat'
class(BackwardFlat) = c("SWIGFunction", class(BackwardFlat))

# Start of delete_BackwardFlat

delete_BackwardFlat = function(self)
{
  coerceIfNotSubclass(self, "_p_BackwardFlat") 
  .Call('R_swig_delete_BackwardFlat', self, PACKAGE='QuantLib')
  
}
# End of delete_BackwardFlat


attr(delete_BackwardFlat, 'returnType') = 'void'
attr(delete_BackwardFlat, "inputTypes") = c('_p_BackwardFlat')
class(delete_BackwardFlat) = c("SWIGFunction", class(delete_BackwardFlat))

# Start of new_ForwardFlat

ForwardFlat = function()
{
  ans = .Call('R_swig_new_ForwardFlat', PACKAGE='QuantLib')
  class(ans) <- "_p_ForwardFlat"
  
  ans
  
}
# End of new_ForwardFlat


attr(ForwardFlat, 'returnType') = '_p_ForwardFlat'
class(ForwardFlat) = c("SWIGFunction", class(ForwardFlat))

# Start of delete_ForwardFlat

delete_ForwardFlat = function(self)
{
  coerceIfNotSubclass(self, "_p_ForwardFlat") 
  .Call('R_swig_delete_ForwardFlat', self, PACKAGE='QuantLib')
  
}
# End of delete_ForwardFlat


attr(delete_ForwardFlat, 'returnType') = 'void'
attr(delete_ForwardFlat, "inputTypes") = c('_p_ForwardFlat')
class(delete_ForwardFlat) = c("SWIGFunction", class(delete_ForwardFlat))

# Start of new_Linear

Linear = function()
{
  ans = .Call('R_swig_new_Linear', PACKAGE='QuantLib')
  class(ans) <- "_p_Linear"
  
  ans
  
}
# End of new_Linear


attr(Linear, 'returnType') = '_p_Linear'
class(Linear) = c("SWIGFunction", class(Linear))

# Start of delete_Linear

delete_Linear = function(self)
{
  coerceIfNotSubclass(self, "_p_Linear") 
  .Call('R_swig_delete_Linear', self, PACKAGE='QuantLib')
  
}
# End of delete_Linear


attr(delete_Linear, 'returnType') = 'void'
attr(delete_Linear, "inputTypes") = c('_p_Linear')
class(delete_Linear) = c("SWIGFunction", class(delete_Linear))

# Start of new_LogLinear

LogLinear = function()
{
  ans = .Call('R_swig_new_LogLinear', PACKAGE='QuantLib')
  class(ans) <- "_p_LogLinear"
  
  ans
  
}
# End of new_LogLinear


attr(LogLinear, 'returnType') = '_p_LogLinear'
class(LogLinear) = c("SWIGFunction", class(LogLinear))

# Start of delete_LogLinear

delete_LogLinear = function(self)
{
  coerceIfNotSubclass(self, "_p_LogLinear") 
  .Call('R_swig_delete_LogLinear', self, PACKAGE='QuantLib')
  
}
# End of delete_LogLinear


attr(delete_LogLinear, 'returnType') = 'void'
attr(delete_LogLinear, "inputTypes") = c('_p_LogLinear')
class(delete_LogLinear) = c("SWIGFunction", class(delete_LogLinear))

# Start of new_Cubic

Cubic = function()
{
  ans = .Call('R_swig_new_Cubic', PACKAGE='QuantLib')
  class(ans) <- "_p_Cubic"
  
  ans
  
}
# End of new_Cubic


attr(Cubic, 'returnType') = '_p_Cubic'
class(Cubic) = c("SWIGFunction", class(Cubic))

# Start of delete_Cubic

delete_Cubic = function(self)
{
  coerceIfNotSubclass(self, "_p_Cubic") 
  .Call('R_swig_delete_Cubic', self, PACKAGE='QuantLib')
  
}
# End of delete_Cubic


attr(delete_Cubic, 'returnType') = 'void'
attr(delete_Cubic, "inputTypes") = c('_p_Cubic')
class(delete_Cubic) = c("SWIGFunction", class(delete_Cubic))

# Start of YieldTermStructure___deref__

YieldTermStructure___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructure___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_YieldTermStructure"
  
  ans
  
}
# End of YieldTermStructure___deref__


attr(YieldTermStructure___deref__, 'returnType') = '_p_YieldTermStructure'
attr(YieldTermStructure___deref__, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure___deref__) = c("SWIGFunction", class(YieldTermStructure___deref__))

# Start of YieldTermStructure_isNull

YieldTermStructure_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructure_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of YieldTermStructure_isNull


attr(YieldTermStructure_isNull, 'returnType') = 'logical'
attr(YieldTermStructure_isNull, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_isNull) = c("SWIGFunction", class(YieldTermStructure_isNull))

# Start of YieldTermStructure_asObservable

YieldTermStructure_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructure_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of YieldTermStructure_asObservable


attr(YieldTermStructure_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(YieldTermStructure_asObservable, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_asObservable) = c("SWIGFunction", class(YieldTermStructure_asObservable))

# Start of new_YieldTermStructure

YieldTermStructure = function()
{
  ans = .Call('R_swig_new_YieldTermStructure', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTYieldTermStructure_t"
  
  ans
  
}
# End of new_YieldTermStructure


attr(YieldTermStructure, 'returnType') = '_p_boost__shared_ptrTYieldTermStructure_t'
class(YieldTermStructure) = c("SWIGFunction", class(YieldTermStructure))

# Start of delete_YieldTermStructure

delete_YieldTermStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  .Call('R_swig_delete_YieldTermStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_YieldTermStructure


attr(delete_YieldTermStructure, 'returnType') = 'void'
attr(delete_YieldTermStructure, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(delete_YieldTermStructure) = c("SWIGFunction", class(delete_YieldTermStructure))

# Start of YieldTermStructure_dayCounter

YieldTermStructure_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructure_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of YieldTermStructure_dayCounter


attr(YieldTermStructure_dayCounter, 'returnType') = '_p_DayCounter'
attr(YieldTermStructure_dayCounter, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_dayCounter) = c("SWIGFunction", class(YieldTermStructure_dayCounter))

# Start of YieldTermStructure_calendar

YieldTermStructure_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructure_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of YieldTermStructure_calendar


attr(YieldTermStructure_calendar, 'returnType') = '_p_Calendar'
attr(YieldTermStructure_calendar, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_calendar) = c("SWIGFunction", class(YieldTermStructure_calendar))

# Start of YieldTermStructure_referenceDate

YieldTermStructure_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructure_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of YieldTermStructure_referenceDate


attr(YieldTermStructure_referenceDate, 'returnType') = '_p_Date'
attr(YieldTermStructure_referenceDate, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_referenceDate) = c("SWIGFunction", class(YieldTermStructure_referenceDate))

# Start of YieldTermStructure_maxDate

YieldTermStructure_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructure_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of YieldTermStructure_maxDate


attr(YieldTermStructure_maxDate, 'returnType') = '_p_Date'
attr(YieldTermStructure_maxDate, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_maxDate) = c("SWIGFunction", class(YieldTermStructure_maxDate))

# Start of YieldTermStructure_maxTime

YieldTermStructure_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructure_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of YieldTermStructure_maxTime


attr(YieldTermStructure_maxTime, 'returnType') = 'numeric'
attr(YieldTermStructure_maxTime, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_maxTime) = c("SWIGFunction", class(YieldTermStructure_maxTime))

setGeneric('YieldTermStructure_discount', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('YieldTermStructure_discount'))
attr(YieldTermStructure_discount, 'returnType') = 'numeric'
setMethod('YieldTermStructure_discount', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_YieldTermStructure_discount__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('YieldTermStructure_discount', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_YieldTermStructure_discount__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('YieldTermStructure_discount', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_YieldTermStructure_discount__SWIG_2', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('YieldTermStructure_discount', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_YieldTermStructure_discount__SWIG_3', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('YieldTermStructure_zeroRate', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('YieldTermStructure_zeroRate'))
attr(YieldTermStructure_zeroRate, 'returnType') = '_p_InterestRate'
setMethod('YieldTermStructure_zeroRate', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', '_p_DayCounter', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructure_zeroRate__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_zeroRate', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_YieldTermStructure_zeroRate__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_zeroRate', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', '_p_DayCounter', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_YieldTermStructure_zeroRate__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_zeroRate', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructure_zeroRate__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_zeroRate', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', 'character', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_YieldTermStructure_zeroRate__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_zeroRate', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_YieldTermStructure_zeroRate__SWIG_5', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setGeneric('YieldTermStructure_forwardRate', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('YieldTermStructure_forwardRate'))
attr(YieldTermStructure_forwardRate, 'returnType') = '_p_InterestRate'
setMethod('YieldTermStructure_forwardRate', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', '_p_Date', '_p_DayCounter', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructure_forwardRate__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_forwardRate', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', '_p_Date', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_YieldTermStructure_forwardRate__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_forwardRate', c('_p_boost__shared_ptrTYieldTermStructure_t', '_p_Date', '_p_Date', '_p_DayCounter', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_YieldTermStructure_forwardRate__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_forwardRate', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', 'numeric', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructure_forwardRate__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_forwardRate', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', 'numeric', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_YieldTermStructure_forwardRate__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructure_forwardRate', c('_p_boost__shared_ptrTYieldTermStructure_t', 'numeric', 'numeric', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_YieldTermStructure_forwardRate__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
# Start of YieldTermStructure_enableExtrapolation

YieldTermStructure_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructure_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of YieldTermStructure_enableExtrapolation


attr(YieldTermStructure_enableExtrapolation, 'returnType') = 'void'
attr(YieldTermStructure_enableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_enableExtrapolation) = c("SWIGFunction", class(YieldTermStructure_enableExtrapolation))

# Start of YieldTermStructure_disableExtrapolation

YieldTermStructure_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructure_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of YieldTermStructure_disableExtrapolation


attr(YieldTermStructure_disableExtrapolation, 'returnType') = 'void'
attr(YieldTermStructure_disableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_disableExtrapolation) = c("SWIGFunction", class(YieldTermStructure_disableExtrapolation))

# Start of YieldTermStructure_allowsExtrapolation

YieldTermStructure_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructure_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of YieldTermStructure_allowsExtrapolation


attr(YieldTermStructure_allowsExtrapolation, 'returnType') = 'logical'
attr(YieldTermStructure_allowsExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructure_allowsExtrapolation) = c("SWIGFunction", class(YieldTermStructure_allowsExtrapolation))

# Start of accessor method for boost::shared_ptr<(YieldTermStructure)>
setMethod('$', '_p_boost__shared_ptrTYieldTermStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = YieldTermStructure___deref__, 'isNull' = YieldTermStructure_isNull, 'asObservable' = YieldTermStructure_asObservable, 'dayCounter' = YieldTermStructure_dayCounter, 'calendar' = YieldTermStructure_calendar, 'referenceDate' = YieldTermStructure_referenceDate, 'maxDate' = YieldTermStructure_maxDate, 'maxTime' = YieldTermStructure_maxTime, 'discount' = YieldTermStructure_discount, 'discount' = YieldTermStructure_discount, 'discount' = YieldTermStructure_discount, 'discount' = YieldTermStructure_discount, 'zeroRate' = YieldTermStructure_zeroRate, 'zeroRate' = YieldTermStructure_zeroRate, 'zeroRate' = YieldTermStructure_zeroRate, 'zeroRate' = YieldTermStructure_zeroRate, 'zeroRate' = YieldTermStructure_zeroRate, 'zeroRate' = YieldTermStructure_zeroRate, 'forwardRate' = YieldTermStructure_forwardRate, 'forwardRate' = YieldTermStructure_forwardRate, 'forwardRate' = YieldTermStructure_forwardRate, 'forwardRate' = YieldTermStructure_forwardRate, 'forwardRate' = YieldTermStructure_forwardRate, 'forwardRate' = YieldTermStructure_forwardRate, 'enableExtrapolation' = YieldTermStructure_enableExtrapolation, 'disableExtrapolation' = YieldTermStructure_disableExtrapolation, 'allowsExtrapolation' = YieldTermStructure_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(YieldTermStructure)>
setGeneric('YieldTermStructureHandle', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('YieldTermStructureHandle'))
attr(YieldTermStructureHandle, 'returnType') = '_p_HandleTYieldTermStructure_t'
setMethod('YieldTermStructureHandle', c('_p_boost__shared_ptrTYieldTermStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTYieldTermStructure_t") 
  ans = .Call('R_swig_new_YieldTermStructureHandle__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTYieldTermStructure_t"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_YieldTermStructureHandle__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTYieldTermStructure_t"
  
  ans
  
}

)
# Start of YieldTermStructureHandle___deref__

YieldTermStructureHandle___deref__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructureHandle___deref__', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTYieldTermStructure_t"
  
  ans
  
}
# End of YieldTermStructureHandle___deref__


attr(YieldTermStructureHandle___deref__, 'returnType') = '_p_boost__shared_ptrTYieldTermStructure_t'
attr(YieldTermStructureHandle___deref__, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle___deref__) = c("SWIGFunction", class(YieldTermStructureHandle___deref__))

# Start of YieldTermStructureHandle_linkTo

YieldTermStructureHandle_linkTo = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructureHandle_linkTo', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of YieldTermStructureHandle_linkTo


attr(YieldTermStructureHandle_linkTo, 'returnType') = 'void'
attr(YieldTermStructureHandle_linkTo, "inputTypes") = c('_p_HandleTYieldTermStructure_t', '_p_boost__shared_ptrTYieldTermStructure_t')
class(YieldTermStructureHandle_linkTo) = c("SWIGFunction", class(YieldTermStructureHandle_linkTo))

# Start of YieldTermStructureHandle_empty

YieldTermStructureHandle_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructureHandle_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of YieldTermStructureHandle_empty


attr(YieldTermStructureHandle_empty, 'returnType') = 'logical'
attr(YieldTermStructureHandle_empty, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_empty) = c("SWIGFunction", class(YieldTermStructureHandle_empty))

# Start of YieldTermStructureHandle_asObservable

YieldTermStructureHandle_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructureHandle_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of YieldTermStructureHandle_asObservable


attr(YieldTermStructureHandle_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(YieldTermStructureHandle_asObservable, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_asObservable) = c("SWIGFunction", class(YieldTermStructureHandle_asObservable))

# Start of delete_YieldTermStructureHandle

delete_YieldTermStructureHandle = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  .Call('R_swig_delete_YieldTermStructureHandle', self, PACKAGE='QuantLib')
  
}
# End of delete_YieldTermStructureHandle


attr(delete_YieldTermStructureHandle, 'returnType') = 'void'
attr(delete_YieldTermStructureHandle, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(delete_YieldTermStructureHandle) = c("SWIGFunction", class(delete_YieldTermStructureHandle))

# Start of YieldTermStructureHandle_dayCounter

YieldTermStructureHandle_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructureHandle_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of YieldTermStructureHandle_dayCounter


attr(YieldTermStructureHandle_dayCounter, 'returnType') = '_p_DayCounter'
attr(YieldTermStructureHandle_dayCounter, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_dayCounter) = c("SWIGFunction", class(YieldTermStructureHandle_dayCounter))

# Start of YieldTermStructureHandle_calendar

YieldTermStructureHandle_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructureHandle_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of YieldTermStructureHandle_calendar


attr(YieldTermStructureHandle_calendar, 'returnType') = '_p_Calendar'
attr(YieldTermStructureHandle_calendar, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_calendar) = c("SWIGFunction", class(YieldTermStructureHandle_calendar))

# Start of YieldTermStructureHandle_referenceDate

YieldTermStructureHandle_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructureHandle_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of YieldTermStructureHandle_referenceDate


attr(YieldTermStructureHandle_referenceDate, 'returnType') = '_p_Date'
attr(YieldTermStructureHandle_referenceDate, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_referenceDate) = c("SWIGFunction", class(YieldTermStructureHandle_referenceDate))

# Start of YieldTermStructureHandle_maxDate

YieldTermStructureHandle_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_YieldTermStructureHandle_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of YieldTermStructureHandle_maxDate


attr(YieldTermStructureHandle_maxDate, 'returnType') = '_p_Date'
attr(YieldTermStructureHandle_maxDate, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_maxDate) = c("SWIGFunction", class(YieldTermStructureHandle_maxDate))

# Start of YieldTermStructureHandle_maxTime

YieldTermStructureHandle_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructureHandle_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of YieldTermStructureHandle_maxTime


attr(YieldTermStructureHandle_maxTime, 'returnType') = 'numeric'
attr(YieldTermStructureHandle_maxTime, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_maxTime) = c("SWIGFunction", class(YieldTermStructureHandle_maxTime))

setGeneric('YieldTermStructureHandle_discount', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('YieldTermStructureHandle_discount'))
attr(YieldTermStructureHandle_discount, 'returnType') = 'numeric'
setMethod('YieldTermStructureHandle_discount', c('_p_HandleTYieldTermStructure_t', '_p_Date', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_YieldTermStructureHandle_discount__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('YieldTermStructureHandle_discount', c('_p_HandleTYieldTermStructure_t', '_p_Date', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_YieldTermStructureHandle_discount__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('YieldTermStructureHandle_discount', c('_p_HandleTYieldTermStructure_t', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  .Call('R_swig_YieldTermStructureHandle_discount__SWIG_2', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('YieldTermStructureHandle_discount', c('_p_HandleTYieldTermStructure_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_YieldTermStructureHandle_discount__SWIG_3', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('YieldTermStructureHandle_zeroRate', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('YieldTermStructureHandle_zeroRate'))
attr(YieldTermStructureHandle_zeroRate, 'returnType') = '_p_InterestRate'
setMethod('YieldTermStructureHandle_zeroRate', c('_p_HandleTYieldTermStructure_t', '_p_Date', '_p_DayCounter', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructureHandle_zeroRate__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_zeroRate', c('_p_HandleTYieldTermStructure_t', '_p_Date', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_zeroRate__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_zeroRate', c('_p_HandleTYieldTermStructure_t', '_p_Date', '_p_DayCounter', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_zeroRate__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_zeroRate', c('_p_HandleTYieldTermStructure_t', 'numeric', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructureHandle_zeroRate__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_zeroRate', c('_p_HandleTYieldTermStructure_t', 'numeric', 'character', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_zeroRate__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_zeroRate', c('_p_HandleTYieldTermStructure_t', 'numeric', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_zeroRate__SWIG_5', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setGeneric('YieldTermStructureHandle_forwardRate', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('YieldTermStructureHandle_forwardRate'))
attr(YieldTermStructureHandle_forwardRate, 'returnType') = '_p_InterestRate'
setMethod('YieldTermStructureHandle_forwardRate', c('_p_HandleTYieldTermStructure_t', '_p_Date', '_p_Date', '_p_DayCounter', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructureHandle_forwardRate__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_forwardRate', c('_p_HandleTYieldTermStructure_t', '_p_Date', '_p_Date', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_forwardRate__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_forwardRate', c('_p_HandleTYieldTermStructure_t', '_p_Date', '_p_Date', '_p_DayCounter', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_forwardRate__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_forwardRate', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', 'character', 'character', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_bool") 
  ans = .Call('R_swig_YieldTermStructureHandle_forwardRate__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_forwardRate', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_forwardRate__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
setMethod('YieldTermStructureHandle_forwardRate', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_YieldTermStructureHandle_forwardRate__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_InterestRate"
  
  ans
  
}

)
# Start of YieldTermStructureHandle_enableExtrapolation

YieldTermStructureHandle_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructureHandle_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of YieldTermStructureHandle_enableExtrapolation


attr(YieldTermStructureHandle_enableExtrapolation, 'returnType') = 'void'
attr(YieldTermStructureHandle_enableExtrapolation, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_enableExtrapolation) = c("SWIGFunction", class(YieldTermStructureHandle_enableExtrapolation))

# Start of YieldTermStructureHandle_disableExtrapolation

YieldTermStructureHandle_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructureHandle_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of YieldTermStructureHandle_disableExtrapolation


attr(YieldTermStructureHandle_disableExtrapolation, 'returnType') = 'void'
attr(YieldTermStructureHandle_disableExtrapolation, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_disableExtrapolation) = c("SWIGFunction", class(YieldTermStructureHandle_disableExtrapolation))

# Start of YieldTermStructureHandle_allowsExtrapolation

YieldTermStructureHandle_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTYieldTermStructure_t") 
  .Call('R_swig_YieldTermStructureHandle_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of YieldTermStructureHandle_allowsExtrapolation


attr(YieldTermStructureHandle_allowsExtrapolation, 'returnType') = 'logical'
attr(YieldTermStructureHandle_allowsExtrapolation, "inputTypes") = c('_p_HandleTYieldTermStructure_t')
class(YieldTermStructureHandle_allowsExtrapolation) = c("SWIGFunction", class(YieldTermStructureHandle_allowsExtrapolation))

# Start of accessor method for Handle<(YieldTermStructure)>
setMethod('$', '_p_HandleTYieldTermStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = YieldTermStructureHandle___deref__, 'linkTo' = YieldTermStructureHandle_linkTo, 'empty' = YieldTermStructureHandle_empty, 'asObservable' = YieldTermStructureHandle_asObservable, 'dayCounter' = YieldTermStructureHandle_dayCounter, 'calendar' = YieldTermStructureHandle_calendar, 'referenceDate' = YieldTermStructureHandle_referenceDate, 'maxDate' = YieldTermStructureHandle_maxDate, 'maxTime' = YieldTermStructureHandle_maxTime, 'discount' = YieldTermStructureHandle_discount, 'discount' = YieldTermStructureHandle_discount, 'discount' = YieldTermStructureHandle_discount, 'discount' = YieldTermStructureHandle_discount, 'zeroRate' = YieldTermStructureHandle_zeroRate, 'zeroRate' = YieldTermStructureHandle_zeroRate, 'zeroRate' = YieldTermStructureHandle_zeroRate, 'zeroRate' = YieldTermStructureHandle_zeroRate, 'zeroRate' = YieldTermStructureHandle_zeroRate, 'zeroRate' = YieldTermStructureHandle_zeroRate, 'forwardRate' = YieldTermStructureHandle_forwardRate, 'forwardRate' = YieldTermStructureHandle_forwardRate, 'forwardRate' = YieldTermStructureHandle_forwardRate, 'forwardRate' = YieldTermStructureHandle_forwardRate, 'forwardRate' = YieldTermStructureHandle_forwardRate, 'forwardRate' = YieldTermStructureHandle_forwardRate, 'enableExtrapolation' = YieldTermStructureHandle_enableExtrapolation, 'disableExtrapolation' = YieldTermStructureHandle_disableExtrapolation, 'allowsExtrapolation' = YieldTermStructureHandle_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Handle<(YieldTermStructure)>
# Start of new_ImpliedTermStructure

ImpliedTermStructure = function(curveHandle, referenceDate)
{
  coerceIfNotSubclass(curveHandle, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(referenceDate, "_p_Date") 
  ans = .Call('R_swig_new_ImpliedTermStructure', curveHandle, referenceDate, PACKAGE='QuantLib')
  class(ans) <- "_p_ImpliedTermStructurePtr"
  
  ans
  
}
# End of new_ImpliedTermStructure


attr(ImpliedTermStructure, 'returnType') = '_p_ImpliedTermStructurePtr'
attr(ImpliedTermStructure, "inputTypes") = c('_p_HandleTYieldTermStructure_t', '_p_Date')
class(ImpliedTermStructure) = c("SWIGFunction", class(ImpliedTermStructure))

# Start of delete_ImpliedTermStructure

delete_ImpliedTermStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_ImpliedTermStructurePtr") 
  .Call('R_swig_delete_ImpliedTermStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_ImpliedTermStructure


attr(delete_ImpliedTermStructure, 'returnType') = 'void'
attr(delete_ImpliedTermStructure, "inputTypes") = c('_p_ImpliedTermStructurePtr')
class(delete_ImpliedTermStructure) = c("SWIGFunction", class(delete_ImpliedTermStructure))

# Start of new_ZeroSpreadedTermStructure

ZeroSpreadedTermStructure = function(curveHandle, spreadHandle)
{
  coerceIfNotSubclass(curveHandle, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(spreadHandle, "_p_HandleTQuote_t") 
  ans = .Call('R_swig_new_ZeroSpreadedTermStructure', curveHandle, spreadHandle, PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroSpreadedTermStructurePtr"
  
  ans
  
}
# End of new_ZeroSpreadedTermStructure


attr(ZeroSpreadedTermStructure, 'returnType') = '_p_ZeroSpreadedTermStructurePtr'
attr(ZeroSpreadedTermStructure, "inputTypes") = c('_p_HandleTYieldTermStructure_t', '_p_HandleTQuote_t')
class(ZeroSpreadedTermStructure) = c("SWIGFunction", class(ZeroSpreadedTermStructure))

# Start of delete_ZeroSpreadedTermStructure

delete_ZeroSpreadedTermStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_ZeroSpreadedTermStructurePtr") 
  .Call('R_swig_delete_ZeroSpreadedTermStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_ZeroSpreadedTermStructure


attr(delete_ZeroSpreadedTermStructure, 'returnType') = 'void'
attr(delete_ZeroSpreadedTermStructure, "inputTypes") = c('_p_ZeroSpreadedTermStructurePtr')
class(delete_ZeroSpreadedTermStructure) = c("SWIGFunction", class(delete_ZeroSpreadedTermStructure))

# Start of new_ForwardSpreadedTermStructure

ForwardSpreadedTermStructure = function(curveHandle, spreadHandle)
{
  coerceIfNotSubclass(curveHandle, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(spreadHandle, "_p_HandleTQuote_t") 
  ans = .Call('R_swig_new_ForwardSpreadedTermStructure', curveHandle, spreadHandle, PACKAGE='QuantLib')
  class(ans) <- "_p_ForwardSpreadedTermStructurePtr"
  
  ans
  
}
# End of new_ForwardSpreadedTermStructure


attr(ForwardSpreadedTermStructure, 'returnType') = '_p_ForwardSpreadedTermStructurePtr'
attr(ForwardSpreadedTermStructure, "inputTypes") = c('_p_HandleTYieldTermStructure_t', '_p_HandleTQuote_t')
class(ForwardSpreadedTermStructure) = c("SWIGFunction", class(ForwardSpreadedTermStructure))

# Start of delete_ForwardSpreadedTermStructure

delete_ForwardSpreadedTermStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_ForwardSpreadedTermStructurePtr") 
  .Call('R_swig_delete_ForwardSpreadedTermStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_ForwardSpreadedTermStructure


attr(delete_ForwardSpreadedTermStructure, 'returnType') = 'void'
attr(delete_ForwardSpreadedTermStructure, "inputTypes") = c('_p_ForwardSpreadedTermStructurePtr')
class(delete_ForwardSpreadedTermStructure) = c("SWIGFunction", class(delete_ForwardSpreadedTermStructure))

setGeneric('FlatForward', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FlatForward'))
attr(FlatForward, 'returnType') = '_p_FlatForwardPtr'
setMethod('FlatForward', c('_p_Date', '_p_HandleTQuote_t', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('_p_Date', '_p_HandleTQuote_t', '_p_DayCounter', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('_p_Date', '_p_HandleTQuote_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_FlatForward__SWIG_2', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('_p_Date', 'numeric', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('_p_Date', 'numeric', '_p_DayCounter', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('_p_Date', 'numeric', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_FlatForward__SWIG_5', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('numeric', '_p_Calendar', '_p_HandleTQuote_t', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_6', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('numeric', '_p_Calendar', '_p_HandleTQuote_t', '_p_DayCounter', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_7', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('numeric', '_p_Calendar', '_p_HandleTQuote_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_FlatForward__SWIG_8', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('numeric', '_p_Calendar', 'numeric', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_9', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('numeric', '_p_Calendar', 'numeric', '_p_DayCounter', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = enumToInteger(s_arg5, "_Compounding") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_new_FlatForward__SWIG_10', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
setMethod('FlatForward', c('numeric', '_p_Calendar', 'numeric', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_FlatForward__SWIG_11', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_FlatForwardPtr"
  
  ans
  
}

)
# Start of delete_FlatForward

delete_FlatForward = function(self)
{
  coerceIfNotSubclass(self, "_p_FlatForwardPtr") 
  .Call('R_swig_delete_FlatForward', self, PACKAGE='QuantLib')
  
}
# End of delete_FlatForward


attr(delete_FlatForward, 'returnType') = 'void'
attr(delete_FlatForward, "inputTypes") = c('_p_FlatForwardPtr')
class(delete_FlatForward) = c("SWIGFunction", class(delete_FlatForward))

# Start of BlackModel___deref__

BlackModel___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackModel_t") 
  ans = .Call('R_swig_BlackModel___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackModel"
  
  ans
  
}
# End of BlackModel___deref__


attr(BlackModel___deref__, 'returnType') = '_p_BlackModel'
attr(BlackModel___deref__, "inputTypes") = c('_p_boost__shared_ptrTBlackModel_t')
class(BlackModel___deref__) = c("SWIGFunction", class(BlackModel___deref__))

# Start of BlackModel_isNull

BlackModel_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackModel_t") 
  .Call('R_swig_BlackModel_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackModel_isNull


attr(BlackModel_isNull, 'returnType') = 'logical'
attr(BlackModel_isNull, "inputTypes") = c('_p_boost__shared_ptrTBlackModel_t')
class(BlackModel_isNull) = c("SWIGFunction", class(BlackModel_isNull))

# Start of new_BlackModel

BlackModel = function(volatility, termStructure)
{
  coerceIfNotSubclass(volatility, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(termStructure, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_BlackModel', volatility, termStructure, PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTBlackModel_t"
  
  ans
  
}
# End of new_BlackModel


attr(BlackModel, 'returnType') = '_p_boost__shared_ptrTBlackModel_t'
attr(BlackModel, "inputTypes") = c('_p_HandleTQuote_t', '_p_HandleTYieldTermStructure_t')
class(BlackModel) = c("SWIGFunction", class(BlackModel))

# Start of delete_BlackModel

delete_BlackModel = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackModel_t") 
  .Call('R_swig_delete_BlackModel', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackModel


attr(delete_BlackModel, 'returnType') = 'void'
attr(delete_BlackModel, "inputTypes") = c('_p_boost__shared_ptrTBlackModel_t')
class(delete_BlackModel) = c("SWIGFunction", class(delete_BlackModel))

# Start of accessor method for boost::shared_ptr<(BlackModel)>
setMethod('$', '_p_boost__shared_ptrTBlackModel_t', function(x, name)

{
  accessorFuns = list('operator ->' = BlackModel___deref__, 'isNull' = BlackModel_isNull)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(BlackModel)>
# Start of PricingEngine___deref__

PricingEngine___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_PricingEngine___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_PricingEngine"
  
  ans
  
}
# End of PricingEngine___deref__


attr(PricingEngine___deref__, 'returnType') = '_p_PricingEngine'
attr(PricingEngine___deref__, "inputTypes") = c('_p_boost__shared_ptrTPricingEngine_t')
class(PricingEngine___deref__) = c("SWIGFunction", class(PricingEngine___deref__))

# Start of PricingEngine_isNull

PricingEngine_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTPricingEngine_t") 
  .Call('R_swig_PricingEngine_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of PricingEngine_isNull


attr(PricingEngine_isNull, 'returnType') = 'logical'
attr(PricingEngine_isNull, "inputTypes") = c('_p_boost__shared_ptrTPricingEngine_t')
class(PricingEngine_isNull) = c("SWIGFunction", class(PricingEngine_isNull))

# Start of new_PricingEngine

PricingEngine = function()
{
  ans = .Call('R_swig_new_PricingEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTPricingEngine_t"
  
  ans
  
}
# End of new_PricingEngine


attr(PricingEngine, 'returnType') = '_p_boost__shared_ptrTPricingEngine_t'
class(PricingEngine) = c("SWIGFunction", class(PricingEngine))

# Start of delete_PricingEngine

delete_PricingEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTPricingEngine_t") 
  .Call('R_swig_delete_PricingEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_PricingEngine


attr(delete_PricingEngine, 'returnType') = 'void'
attr(delete_PricingEngine, "inputTypes") = c('_p_boost__shared_ptrTPricingEngine_t')
class(delete_PricingEngine) = c("SWIGFunction", class(delete_PricingEngine))

# Start of accessor method for boost::shared_ptr<(PricingEngine)>
setMethod('$', '_p_boost__shared_ptrTPricingEngine_t', function(x, name)

{
  accessorFuns = list('operator ->' = PricingEngine___deref__, 'isNull' = PricingEngine_isNull)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(PricingEngine)>
# Start of Instrument___deref__

Instrument___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  ans = .Call('R_swig_Instrument___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_Instrument"
  
  ans
  
}
# End of Instrument___deref__


attr(Instrument___deref__, 'returnType') = '_p_Instrument'
attr(Instrument___deref__, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument___deref__) = c("SWIGFunction", class(Instrument___deref__))

# Start of Instrument_isNull

Instrument_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_Instrument_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Instrument_isNull


attr(Instrument_isNull, 'returnType') = 'logical'
attr(Instrument_isNull, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_isNull) = c("SWIGFunction", class(Instrument_isNull))

# Start of Instrument_asObservable

Instrument_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  ans = .Call('R_swig_Instrument_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of Instrument_asObservable


attr(Instrument_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(Instrument_asObservable, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_asObservable) = c("SWIGFunction", class(Instrument_asObservable))

# Start of new_Instrument

Instrument = function()
{
  ans = .Call('R_swig_new_Instrument', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTInstrument_t"
  
  ans
  
}
# End of new_Instrument


attr(Instrument, 'returnType') = '_p_boost__shared_ptrTInstrument_t'
class(Instrument) = c("SWIGFunction", class(Instrument))

# Start of delete_Instrument

delete_Instrument = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_delete_Instrument', self, PACKAGE='QuantLib')
  
}
# End of delete_Instrument


attr(delete_Instrument, 'returnType') = 'void'
attr(delete_Instrument, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(delete_Instrument) = c("SWIGFunction", class(delete_Instrument))

# Start of Instrument_NPV

Instrument_NPV = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_Instrument_NPV', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Instrument_NPV


attr(Instrument_NPV, 'returnType') = 'numeric'
attr(Instrument_NPV, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_NPV) = c("SWIGFunction", class(Instrument_NPV))

# Start of Instrument_errorEstimate

Instrument_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_Instrument_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Instrument_errorEstimate


attr(Instrument_errorEstimate, 'returnType') = 'numeric'
attr(Instrument_errorEstimate, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_errorEstimate) = c("SWIGFunction", class(Instrument_errorEstimate))

# Start of Instrument_isExpired

Instrument_isExpired = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_Instrument_isExpired', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Instrument_isExpired


attr(Instrument_isExpired, 'returnType') = 'logical'
attr(Instrument_isExpired, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_isExpired) = c("SWIGFunction", class(Instrument_isExpired))

# Start of Instrument_setPricingEngine

Instrument_setPricingEngine = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTPricingEngine_t") 
  .Call('R_swig_Instrument_setPricingEngine', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of Instrument_setPricingEngine


attr(Instrument_setPricingEngine, 'returnType') = 'void'
attr(Instrument_setPricingEngine, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t', '_p_boost__shared_ptrTPricingEngine_t')
class(Instrument_setPricingEngine) = c("SWIGFunction", class(Instrument_setPricingEngine))

# Start of Instrument_recalculate

Instrument_recalculate = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_Instrument_recalculate', self, PACKAGE='QuantLib')
  
}
# End of Instrument_recalculate


attr(Instrument_recalculate, 'returnType') = 'void'
attr(Instrument_recalculate, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_recalculate) = c("SWIGFunction", class(Instrument_recalculate))

# Start of Instrument_freeze

Instrument_freeze = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_Instrument_freeze', self, PACKAGE='QuantLib')
  
}
# End of Instrument_freeze


attr(Instrument_freeze, 'returnType') = 'void'
attr(Instrument_freeze, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_freeze) = c("SWIGFunction", class(Instrument_freeze))

# Start of Instrument_unfreeze

Instrument_unfreeze = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTInstrument_t") 
  .Call('R_swig_Instrument_unfreeze', self, PACKAGE='QuantLib')
  
}
# End of Instrument_unfreeze


attr(Instrument_unfreeze, 'returnType') = 'void'
attr(Instrument_unfreeze, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t')
class(Instrument_unfreeze) = c("SWIGFunction", class(Instrument_unfreeze))

# Start of accessor method for boost::shared_ptr<(Instrument)>
setMethod('$', '_p_boost__shared_ptrTInstrument_t', function(x, name)

{
  accessorFuns = list('operator ->' = Instrument___deref__, 'isNull' = Instrument_isNull, 'asObservable' = Instrument_asObservable, 'NPV' = Instrument_NPV, 'errorEstimate' = Instrument_errorEstimate, 'isExpired' = Instrument_isExpired, 'setPricingEngine' = Instrument_setPricingEngine, 'recalculate' = Instrument_recalculate, 'freeze' = Instrument_freeze, 'unfreeze' = Instrument_unfreeze)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(Instrument)>
# Start of new_Stock

Stock = function(quote)
{
  coerceIfNotSubclass(quote, "_p_HandleTQuote_t") 
  ans = .Call('R_swig_new_Stock', quote, PACKAGE='QuantLib')
  class(ans) <- "_p_StockPtr"
  
  ans
  
}
# End of new_Stock


attr(Stock, 'returnType') = '_p_StockPtr'
attr(Stock, "inputTypes") = c('_p_HandleTQuote_t')
class(Stock) = c("SWIGFunction", class(Stock))

# Start of delete_Stock

delete_Stock = function(self)
{
  coerceIfNotSubclass(self, "_p_StockPtr") 
  .Call('R_swig_delete_Stock', self, PACKAGE='QuantLib')
  
}
# End of delete_Stock


attr(delete_Stock, 'returnType') = 'void'
attr(delete_Stock, "inputTypes") = c('_p_StockPtr')
class(delete_Stock) = c("SWIGFunction", class(delete_Stock))

# Start of IntVector___nonzero__

IntVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of IntVector___nonzero__


attr(IntVector___nonzero__, 'returnType') = 'logical'
attr(IntVector___nonzero__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector___nonzero__) = c("SWIGFunction", class(IntVector___nonzero__))

# Start of IntVector___len__

IntVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of IntVector___len__


attr(IntVector___len__, 'returnType') = 'numeric'
attr(IntVector___len__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector___len__) = c("SWIGFunction", class(IntVector___len__))

# Start of IntVector_pop

IntVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of IntVector_pop


attr(IntVector_pop, 'returnType') = 'numeric'
attr(IntVector_pop, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_pop) = c("SWIGFunction", class(IntVector_pop))

# Start of IntVector___getslice__

IntVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_IntVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTint_std__allocatorTint_t_t"
  
  ans
  
}
# End of IntVector___getslice__


attr(IntVector___getslice__, 'returnType') = '_p_std__vectorTint_std__allocatorTint_t_t'
attr(IntVector___getslice__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric', 'numeric')
class(IntVector___getslice__) = c("SWIGFunction", class(IntVector___getslice__))

# Start of IntVector___setslice__

IntVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of IntVector___setslice__


attr(IntVector___setslice__, 'returnType') = 'void'
attr(IntVector___setslice__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric', 'numeric', '_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector___setslice__) = c("SWIGFunction", class(IntVector___setslice__))

# Start of IntVector___delslice__

IntVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_IntVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of IntVector___delslice__


attr(IntVector___delslice__, 'returnType') = 'void'
attr(IntVector___delslice__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric', 'numeric')
class(IntVector___delslice__) = c("SWIGFunction", class(IntVector___delslice__))

# Start of IntVector___delitem__

IntVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_IntVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of IntVector___delitem__


attr(IntVector___delitem__, 'returnType') = 'void'
attr(IntVector___delitem__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric')
class(IntVector___delitem__) = c("SWIGFunction", class(IntVector___delitem__))

# Start of IntVector___getitem__

IntVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_IntVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_int"
  
  ans
  
}
# End of IntVector___getitem__


attr(IntVector___getitem__, 'returnType') = 'numeric'
attr(IntVector___getitem__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric')
class(IntVector___getitem__) = c("SWIGFunction", class(IntVector___getitem__))

# Start of IntVector___setitem__

IntVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(x, "integer");     
  .Call('R_swig_IntVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of IntVector___setitem__


attr(IntVector___setitem__, 'returnType') = 'void'
attr(IntVector___setitem__, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric', 'numeric')
class(IntVector___setitem__) = c("SWIGFunction", class(IntVector___setitem__))

# Start of IntVector_append

IntVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(x, "integer");     
  .Call('R_swig_IntVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of IntVector_append


attr(IntVector_append, 'returnType') = 'void'
attr(IntVector_append, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric')
class(IntVector_append) = c("SWIGFunction", class(IntVector_append))

setGeneric('IntVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('IntVector'))
attr(IntVector, 'returnType') = '_p_std__vectorTint_std__allocatorTint_t_t'
setMethod('IntVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_IntVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTint_std__allocatorTint_t_t"
  
  ans
  
}

)
setMethod('IntVector', c('_p_std__vectorTint_std__allocatorTint_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTint_std__allocatorTint_t_t") 
  ans = .Call('R_swig_new_IntVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTint_std__allocatorTint_t_t"
  
  ans
  
}

)
# Start of IntVector_empty

IntVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of IntVector_empty


attr(IntVector_empty, 'returnType') = 'logical'
attr(IntVector_empty, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_empty) = c("SWIGFunction", class(IntVector_empty))

# Start of IntVector_size

IntVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of IntVector_size


attr(IntVector_size, 'returnType') = 'numeric'
attr(IntVector_size, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_size) = c("SWIGFunction", class(IntVector_size))

# Start of IntVector_clear

IntVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector_clear', self, PACKAGE='QuantLib')
  
}
# End of IntVector_clear


attr(IntVector_clear, 'returnType') = 'void'
attr(IntVector_clear, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_clear) = c("SWIGFunction", class(IntVector_clear))

# Start of IntVector_swap

IntVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of IntVector_swap


attr(IntVector_swap, 'returnType') = 'void'
attr(IntVector_swap, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', '_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_swap) = c("SWIGFunction", class(IntVector_swap))

# Start of IntVector_get_allocator

IntVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  ans = .Call('R_swig_IntVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTint_t"
  
  ans
  
}
# End of IntVector_get_allocator


attr(IntVector_get_allocator, 'returnType') = '_p_std__allocatorTint_t'
attr(IntVector_get_allocator, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_get_allocator) = c("SWIGFunction", class(IntVector_get_allocator))

setMethod('IntVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_IntVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTint_std__allocatorTint_t_t"
  
  ans
  
}

)
# Start of IntVector_pop_back

IntVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of IntVector_pop_back


attr(IntVector_pop_back, 'returnType') = 'void'
attr(IntVector_pop_back, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_pop_back) = c("SWIGFunction", class(IntVector_pop_back))

setGeneric('IntVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('IntVector_resize'))
attr(IntVector_resize, 'returnType') = 'void'
setMethod('IntVector_resize', c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTint_std__allocatorTint_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_IntVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('IntVector', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  as(s_arg2, "integer");     
  ans = .Call('R_swig_new_IntVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTint_std__allocatorTint_t_t"
  
  ans
  
}

)
# Start of IntVector_push_back

IntVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  as(x, "integer");     
  .Call('R_swig_IntVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of IntVector_push_back


attr(IntVector_push_back, 'returnType') = 'void'
attr(IntVector_push_back, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric')
class(IntVector_push_back) = c("SWIGFunction", class(IntVector_push_back))

# Start of IntVector_front

IntVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  ans = .Call('R_swig_IntVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_int"
  
  ans
  
}
# End of IntVector_front


attr(IntVector_front, 'returnType') = 'numeric'
attr(IntVector_front, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_front) = c("SWIGFunction", class(IntVector_front))

# Start of IntVector_back

IntVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  ans = .Call('R_swig_IntVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_int"
  
  ans
  
}
# End of IntVector_back


attr(IntVector_back, 'returnType') = 'numeric'
attr(IntVector_back, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_back) = c("SWIGFunction", class(IntVector_back))

# Start of IntVector_assign

IntVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  as(x, "integer");     
  .Call('R_swig_IntVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of IntVector_assign


attr(IntVector_assign, 'returnType') = 'void'
attr(IntVector_assign, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric', 'numeric')
class(IntVector_assign) = c("SWIGFunction", class(IntVector_assign))

setMethod('IntVector_resize', c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTint_std__allocatorTint_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  as(s_arg3, "integer");     
  .Call('R_swig_IntVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of IntVector_reserve

IntVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_IntVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of IntVector_reserve


attr(IntVector_reserve, 'returnType') = 'void'
attr(IntVector_reserve, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t', 'numeric')
class(IntVector_reserve) = c("SWIGFunction", class(IntVector_reserve))

# Start of IntVector_capacity

IntVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_IntVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of IntVector_capacity


attr(IntVector_capacity, 'returnType') = 'numeric'
attr(IntVector_capacity, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(IntVector_capacity) = c("SWIGFunction", class(IntVector_capacity))

# Start of delete_IntVector

delete_IntVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTint_std__allocatorTint_t_t") 
  .Call('R_swig_delete_IntVector', self, PACKAGE='QuantLib')
  
}
# End of delete_IntVector


attr(delete_IntVector, 'returnType') = 'void'
attr(delete_IntVector, "inputTypes") = c('_p_std__vectorTint_std__allocatorTint_t_t')
class(delete_IntVector) = c("SWIGFunction", class(delete_IntVector))

# Start of accessor method for std::vector<(int)>
setMethod('$', '_p_std__vectorTint_std__allocatorTint_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = IntVector___nonzero__, '__len__' = IntVector___len__, 'pop' = IntVector_pop, '__getslice__' = IntVector___getslice__, '__setslice__' = IntVector___setslice__, '__delslice__' = IntVector___delslice__, '__delitem__' = IntVector___delitem__, '__getitem__' = IntVector___getitem__, '__setitem__' = IntVector___setitem__, 'append' = IntVector_append, 'empty' = IntVector_empty, 'size' = IntVector_size, 'clear' = IntVector_clear, 'swap' = IntVector_swap, 'get_allocator' = IntVector_get_allocator, 'pop_back' = IntVector_pop_back, 'resize' = IntVector_resize, 'push_back' = IntVector_push_back, 'front' = IntVector_front, 'back' = IntVector_back, 'assign' = IntVector_assign, 'resize' = IntVector_resize, 'reserve' = IntVector_reserve, 'capacity' = IntVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(int)>
# Start of DoubleVector___nonzero__

DoubleVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DoubleVector___nonzero__


attr(DoubleVector___nonzero__, 'returnType') = 'logical'
attr(DoubleVector___nonzero__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector___nonzero__) = c("SWIGFunction", class(DoubleVector___nonzero__))

# Start of DoubleVector___len__

DoubleVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DoubleVector___len__


attr(DoubleVector___len__, 'returnType') = 'numeric'
attr(DoubleVector___len__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector___len__) = c("SWIGFunction", class(DoubleVector___len__))

# Start of DoubleVector_pop

DoubleVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DoubleVector_pop


attr(DoubleVector_pop, 'returnType') = 'numeric'
attr(DoubleVector_pop, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_pop) = c("SWIGFunction", class(DoubleVector_pop))

# Start of DoubleVector___getslice__

DoubleVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_DoubleVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of DoubleVector___getslice__


attr(DoubleVector___getslice__, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(DoubleVector___getslice__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric')
class(DoubleVector___getslice__) = c("SWIGFunction", class(DoubleVector___getslice__))

# Start of DoubleVector___setslice__

DoubleVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of DoubleVector___setslice__


attr(DoubleVector___setslice__, 'returnType') = 'void'
attr(DoubleVector___setslice__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector___setslice__) = c("SWIGFunction", class(DoubleVector___setslice__))

# Start of DoubleVector___delslice__

DoubleVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_DoubleVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of DoubleVector___delslice__


attr(DoubleVector___delslice__, 'returnType') = 'void'
attr(DoubleVector___delslice__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric')
class(DoubleVector___delslice__) = c("SWIGFunction", class(DoubleVector___delslice__))

# Start of DoubleVector___delitem__

DoubleVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_DoubleVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of DoubleVector___delitem__


attr(DoubleVector___delitem__, 'returnType') = 'void'
attr(DoubleVector___delitem__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric')
class(DoubleVector___delitem__) = c("SWIGFunction", class(DoubleVector___delitem__))

# Start of DoubleVector___getitem__

DoubleVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_DoubleVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_double"
  
  ans
  
}
# End of DoubleVector___getitem__


attr(DoubleVector___getitem__, 'returnType') = 'numeric'
attr(DoubleVector___getitem__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric')
class(DoubleVector___getitem__) = c("SWIGFunction", class(DoubleVector___getitem__))

# Start of DoubleVector___setitem__

DoubleVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(x, "numeric");     
  .Call('R_swig_DoubleVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of DoubleVector___setitem__


attr(DoubleVector___setitem__, 'returnType') = 'void'
attr(DoubleVector___setitem__, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric')
class(DoubleVector___setitem__) = c("SWIGFunction", class(DoubleVector___setitem__))

# Start of DoubleVector_append

DoubleVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(x, "numeric");     
  .Call('R_swig_DoubleVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of DoubleVector_append


attr(DoubleVector_append, 'returnType') = 'void'
attr(DoubleVector_append, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric')
class(DoubleVector_append) = c("SWIGFunction", class(DoubleVector_append))

setGeneric('DoubleVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DoubleVector'))
attr(DoubleVector, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
setMethod('DoubleVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_DoubleVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}

)
setMethod('DoubleVector', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_new_DoubleVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}

)
# Start of DoubleVector_empty

DoubleVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DoubleVector_empty


attr(DoubleVector_empty, 'returnType') = 'logical'
attr(DoubleVector_empty, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_empty) = c("SWIGFunction", class(DoubleVector_empty))

# Start of DoubleVector_size

DoubleVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DoubleVector_size


attr(DoubleVector_size, 'returnType') = 'numeric'
attr(DoubleVector_size, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_size) = c("SWIGFunction", class(DoubleVector_size))

# Start of DoubleVector_clear

DoubleVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector_clear', self, PACKAGE='QuantLib')
  
}
# End of DoubleVector_clear


attr(DoubleVector_clear, 'returnType') = 'void'
attr(DoubleVector_clear, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_clear) = c("SWIGFunction", class(DoubleVector_clear))

# Start of DoubleVector_swap

DoubleVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of DoubleVector_swap


attr(DoubleVector_swap, 'returnType') = 'void'
attr(DoubleVector_swap, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_swap) = c("SWIGFunction", class(DoubleVector_swap))

# Start of DoubleVector_get_allocator

DoubleVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_DoubleVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTdouble_t"
  
  ans
  
}
# End of DoubleVector_get_allocator


attr(DoubleVector_get_allocator, 'returnType') = '_p_std__allocatorTdouble_t'
attr(DoubleVector_get_allocator, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_get_allocator) = c("SWIGFunction", class(DoubleVector_get_allocator))

setMethod('DoubleVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_DoubleVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}

)
# Start of DoubleVector_pop_back

DoubleVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of DoubleVector_pop_back


attr(DoubleVector_pop_back, 'returnType') = 'void'
attr(DoubleVector_pop_back, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_pop_back) = c("SWIGFunction", class(DoubleVector_pop_back))

setGeneric('DoubleVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DoubleVector_resize'))
attr(DoubleVector_resize, 'returnType') = 'void'
setMethod('DoubleVector_resize', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_DoubleVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('DoubleVector', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  as(s_arg2, "numeric");     
  ans = .Call('R_swig_new_DoubleVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}

)
# Start of DoubleVector_push_back

DoubleVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  as(x, "numeric");     
  .Call('R_swig_DoubleVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of DoubleVector_push_back


attr(DoubleVector_push_back, 'returnType') = 'void'
attr(DoubleVector_push_back, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric')
class(DoubleVector_push_back) = c("SWIGFunction", class(DoubleVector_push_back))

# Start of DoubleVector_front

DoubleVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_DoubleVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_double"
  
  ans
  
}
# End of DoubleVector_front


attr(DoubleVector_front, 'returnType') = 'numeric'
attr(DoubleVector_front, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_front) = c("SWIGFunction", class(DoubleVector_front))

# Start of DoubleVector_back

DoubleVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_DoubleVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_double"
  
  ans
  
}
# End of DoubleVector_back


attr(DoubleVector_back, 'returnType') = 'numeric'
attr(DoubleVector_back, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_back) = c("SWIGFunction", class(DoubleVector_back))

# Start of DoubleVector_assign

DoubleVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  as(x, "numeric");     
  .Call('R_swig_DoubleVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of DoubleVector_assign


attr(DoubleVector_assign, 'returnType') = 'void'
attr(DoubleVector_assign, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric')
class(DoubleVector_assign) = c("SWIGFunction", class(DoubleVector_assign))

setMethod('DoubleVector_resize', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  as(s_arg3, "numeric");     
  .Call('R_swig_DoubleVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of DoubleVector_reserve

DoubleVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_DoubleVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of DoubleVector_reserve


attr(DoubleVector_reserve, 'returnType') = 'void'
attr(DoubleVector_reserve, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric')
class(DoubleVector_reserve) = c("SWIGFunction", class(DoubleVector_reserve))

# Start of DoubleVector_capacity

DoubleVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_DoubleVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DoubleVector_capacity


attr(DoubleVector_capacity, 'returnType') = 'numeric'
attr(DoubleVector_capacity, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(DoubleVector_capacity) = c("SWIGFunction", class(DoubleVector_capacity))

# Start of delete_DoubleVector

delete_DoubleVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_delete_DoubleVector', self, PACKAGE='QuantLib')
  
}
# End of delete_DoubleVector


attr(delete_DoubleVector, 'returnType') = 'void'
attr(delete_DoubleVector, "inputTypes") = c('_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(delete_DoubleVector) = c("SWIGFunction", class(delete_DoubleVector))

# Start of accessor method for std::vector<(double)>
setMethod('$', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = DoubleVector___nonzero__, '__len__' = DoubleVector___len__, 'pop' = DoubleVector_pop, '__getslice__' = DoubleVector___getslice__, '__setslice__' = DoubleVector___setslice__, '__delslice__' = DoubleVector___delslice__, '__delitem__' = DoubleVector___delitem__, '__getitem__' = DoubleVector___getitem__, '__setitem__' = DoubleVector___setitem__, 'append' = DoubleVector_append, 'empty' = DoubleVector_empty, 'size' = DoubleVector_size, 'clear' = DoubleVector_clear, 'swap' = DoubleVector_swap, 'get_allocator' = DoubleVector_get_allocator, 'pop_back' = DoubleVector_pop_back, 'resize' = DoubleVector_resize, 'push_back' = DoubleVector_push_back, 'front' = DoubleVector_front, 'back' = DoubleVector_back, 'assign' = DoubleVector_assign, 'resize' = DoubleVector_resize, 'reserve' = DoubleVector_reserve, 'capacity' = DoubleVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(double)>
# Start of StrVector___nonzero__

StrVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StrVector___nonzero__


attr(StrVector___nonzero__, 'returnType') = 'logical'
attr(StrVector___nonzero__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector___nonzero__) = c("SWIGFunction", class(StrVector___nonzero__))

# Start of StrVector___len__

StrVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StrVector___len__


attr(StrVector___len__, 'returnType') = 'numeric'
attr(StrVector___len__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector___len__) = c("SWIGFunction", class(StrVector___len__))

# Start of StrVector_pop

StrVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StrVector_pop


attr(StrVector_pop, 'returnType') = 'character'
attr(StrVector_pop, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_pop) = c("SWIGFunction", class(StrVector_pop))

# Start of StrVector___getslice__

StrVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_StrVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t"
  
  ans
  
}
# End of StrVector___getslice__


attr(StrVector___getslice__, 'returnType') = '_p_std__vectorTstd__string_std__allocatorTstd__string_t_t'
attr(StrVector___getslice__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric', 'numeric')
class(StrVector___getslice__) = c("SWIGFunction", class(StrVector___getslice__))

# Start of StrVector___setslice__

StrVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of StrVector___setslice__


attr(StrVector___setslice__, 'returnType') = 'void'
attr(StrVector___setslice__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric', 'numeric', '_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector___setslice__) = c("SWIGFunction", class(StrVector___setslice__))

# Start of StrVector___delslice__

StrVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_StrVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of StrVector___delslice__


attr(StrVector___delslice__, 'returnType') = 'void'
attr(StrVector___delslice__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric', 'numeric')
class(StrVector___delslice__) = c("SWIGFunction", class(StrVector___delslice__))

# Start of StrVector___delitem__

StrVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_StrVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of StrVector___delitem__


attr(StrVector___delitem__, 'returnType') = 'void'
attr(StrVector___delitem__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric')
class(StrVector___delitem__) = c("SWIGFunction", class(StrVector___delitem__))

# Start of StrVector___getitem__

StrVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_StrVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__string"
  
  ans
  
}
# End of StrVector___getitem__


attr(StrVector___getitem__, 'returnType') = 'character'
attr(StrVector___getitem__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric')
class(StrVector___getitem__) = c("SWIGFunction", class(StrVector___getitem__))

# Start of StrVector___setitem__

StrVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_std__string") 
  .Call('R_swig_StrVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of StrVector___setitem__


attr(StrVector___setitem__, 'returnType') = 'void'
attr(StrVector___setitem__, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric', 'character')
class(StrVector___setitem__) = c("SWIGFunction", class(StrVector___setitem__))

# Start of StrVector_append

StrVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  coerceIfNotSubclass(x, "_p_std__string") 
  .Call('R_swig_StrVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of StrVector_append


attr(StrVector_append, 'returnType') = 'void'
attr(StrVector_append, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'character')
class(StrVector_append) = c("SWIGFunction", class(StrVector_append))

setGeneric('StrVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('StrVector'))
attr(StrVector, 'returnType') = '_p_std__vectorTstd__string_std__allocatorTstd__string_t_t'
setMethod('StrVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_StrVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t"
  
  ans
  
}

)
setMethod('StrVector', c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  ans = .Call('R_swig_new_StrVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t"
  
  ans
  
}

)
# Start of StrVector_empty

StrVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StrVector_empty


attr(StrVector_empty, 'returnType') = 'logical'
attr(StrVector_empty, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_empty) = c("SWIGFunction", class(StrVector_empty))

# Start of StrVector_size

StrVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StrVector_size


attr(StrVector_size, 'returnType') = 'numeric'
attr(StrVector_size, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_size) = c("SWIGFunction", class(StrVector_size))

# Start of StrVector_clear

StrVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector_clear', self, PACKAGE='QuantLib')
  
}
# End of StrVector_clear


attr(StrVector_clear, 'returnType') = 'void'
attr(StrVector_clear, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_clear) = c("SWIGFunction", class(StrVector_clear))

# Start of StrVector_swap

StrVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of StrVector_swap


attr(StrVector_swap, 'returnType') = 'void'
attr(StrVector_swap, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', '_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_swap) = c("SWIGFunction", class(StrVector_swap))

# Start of StrVector_get_allocator

StrVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  ans = .Call('R_swig_StrVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTstd__string_t"
  
  ans
  
}
# End of StrVector_get_allocator


attr(StrVector_get_allocator, 'returnType') = '_p_std__allocatorTstd__string_t'
attr(StrVector_get_allocator, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_get_allocator) = c("SWIGFunction", class(StrVector_get_allocator))

setMethod('StrVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_StrVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t"
  
  ans
  
}

)
# Start of StrVector_pop_back

StrVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of StrVector_pop_back


attr(StrVector_pop_back, 'returnType') = 'void'
attr(StrVector_pop_back, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_pop_back) = c("SWIGFunction", class(StrVector_pop_back))

setGeneric('StrVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('StrVector_resize'))
attr(StrVector_resize, 'returnType') = 'void'
setMethod('StrVector_resize', c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_StrVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('StrVector', c('numeric', 'character', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_std__string") 
  ans = .Call('R_swig_new_StrVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t"
  
  ans
  
}

)
# Start of StrVector_push_back

StrVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  coerceIfNotSubclass(x, "_p_std__string") 
  .Call('R_swig_StrVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of StrVector_push_back


attr(StrVector_push_back, 'returnType') = 'void'
attr(StrVector_push_back, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'character')
class(StrVector_push_back) = c("SWIGFunction", class(StrVector_push_back))

# Start of StrVector_front

StrVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  ans = .Call('R_swig_StrVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__string"
  
  ans
  
}
# End of StrVector_front


attr(StrVector_front, 'returnType') = 'character'
attr(StrVector_front, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_front) = c("SWIGFunction", class(StrVector_front))

# Start of StrVector_back

StrVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  ans = .Call('R_swig_StrVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__string"
  
  ans
  
}
# End of StrVector_back


attr(StrVector_back, 'returnType') = 'character'
attr(StrVector_back, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_back) = c("SWIGFunction", class(StrVector_back))

# Start of StrVector_assign

StrVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_std__string") 
  .Call('R_swig_StrVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of StrVector_assign


attr(StrVector_assign, 'returnType') = 'void'
attr(StrVector_assign, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric', 'character')
class(StrVector_assign) = c("SWIGFunction", class(StrVector_assign))

setMethod('StrVector_resize', c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__string") 
  .Call('R_swig_StrVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of StrVector_reserve

StrVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_StrVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of StrVector_reserve


attr(StrVector_reserve, 'returnType') = 'void'
attr(StrVector_reserve, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', 'numeric')
class(StrVector_reserve) = c("SWIGFunction", class(StrVector_reserve))

# Start of StrVector_capacity

StrVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_StrVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StrVector_capacity


attr(StrVector_capacity, 'returnType') = 'numeric'
attr(StrVector_capacity, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(StrVector_capacity) = c("SWIGFunction", class(StrVector_capacity))

# Start of delete_StrVector

delete_StrVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t") 
  .Call('R_swig_delete_StrVector', self, PACKAGE='QuantLib')
  
}
# End of delete_StrVector


attr(delete_StrVector, 'returnType') = 'void'
attr(delete_StrVector, "inputTypes") = c('_p_std__vectorTstd__string_std__allocatorTstd__string_t_t')
class(delete_StrVector) = c("SWIGFunction", class(delete_StrVector))

# Start of accessor method for std::vector<(std::string)>
setMethod('$', '_p_std__vectorTstd__string_std__allocatorTstd__string_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = StrVector___nonzero__, '__len__' = StrVector___len__, 'pop' = StrVector_pop, '__getslice__' = StrVector___getslice__, '__setslice__' = StrVector___setslice__, '__delslice__' = StrVector___delslice__, '__delitem__' = StrVector___delitem__, '__getitem__' = StrVector___getitem__, '__setitem__' = StrVector___setitem__, 'append' = StrVector_append, 'empty' = StrVector_empty, 'size' = StrVector_size, 'clear' = StrVector_clear, 'swap' = StrVector_swap, 'get_allocator' = StrVector_get_allocator, 'pop_back' = StrVector_pop_back, 'resize' = StrVector_resize, 'push_back' = StrVector_push_back, 'front' = StrVector_front, 'back' = StrVector_back, 'assign' = StrVector_assign, 'resize' = StrVector_resize, 'reserve' = StrVector_reserve, 'capacity' = StrVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(std::string)>
# Start of delete_HistoryEntry

delete_HistoryEntry = function(self)
{
  coerceIfNotSubclass(self, "_p_HistoryEntry") 
  .Call('R_swig_delete_HistoryEntry', self, PACKAGE='QuantLib')
  
}
# End of delete_HistoryEntry


attr(delete_HistoryEntry, 'returnType') = 'void'
attr(delete_HistoryEntry, "inputTypes") = c('_p_HistoryEntry')
class(delete_HistoryEntry) = c("SWIGFunction", class(delete_HistoryEntry))

# Start of new_History

History = function(dates, values)
{
  coerceIfNotSubclass(dates, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(values, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_new_History', dates, values, PACKAGE='QuantLib')
  class(ans) <- "_p_History"
  
  ans
  
}
# End of new_History


attr(History, 'returnType') = '_p_History'
attr(History, "inputTypes") = c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t')
class(History) = c("SWIGFunction", class(History))

# Start of History_firstDate

History_firstDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_History") 
  ans = .Call('R_swig_History_firstDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of History_firstDate


attr(History_firstDate, 'returnType') = '_p_Date'
attr(History_firstDate, "inputTypes") = c('_p_History')
class(History_firstDate) = c("SWIGFunction", class(History_firstDate))

# Start of History_lastDate

History_lastDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_History") 
  ans = .Call('R_swig_History_lastDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of History_lastDate


attr(History_lastDate, 'returnType') = '_p_Date'
attr(History_lastDate, "inputTypes") = c('_p_History')
class(History_lastDate) = c("SWIGFunction", class(History_lastDate))

# Start of History___len__

History___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_History") 
  .Call('R_swig_History___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of History___len__


attr(History___len__, 'returnType') = 'numeric'
attr(History___len__, "inputTypes") = c('_p_History')
class(History___len__) = c("SWIGFunction", class(History___len__))

# Start of delete_History

delete_History = function(self)
{
  coerceIfNotSubclass(self, "_p_History") 
  .Call('R_swig_delete_History', self, PACKAGE='QuantLib')
  
}
# End of delete_History


attr(delete_History, 'returnType') = 'void'
attr(delete_History, "inputTypes") = c('_p_History')
class(delete_History) = c("SWIGFunction", class(delete_History))

# Start of accessor method for History
setMethod('$', '_p_History', function(x, name)

{
  accessorFuns = list('firstDate' = History_firstDate, 'lastDate' = History_lastDate, '__len__' = History___len__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for History
# Start of IndexManager_instance

IndexManager_instance = function(.copy = FALSE)
{
  ans = .Call('R_swig_IndexManager_instance', as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_IndexManager"
  
  ans
  
}
# End of IndexManager_instance


attr(IndexManager_instance, 'returnType') = '_p_IndexManager'
class(IndexManager_instance) = c("SWIGFunction", class(IndexManager_instance))

# Start of IndexManager_setHistory

IndexManager_setHistory = function(self, name, fixings)
{
  coerceIfNotSubclass(self, "_p_IndexManager") 
  coerceIfNotSubclass(name, "_p_std__string") 
  coerceIfNotSubclass(fixings, "_p_History") 
  .Call('R_swig_IndexManager_setHistory', self, name, fixings, PACKAGE='QuantLib')
  
}
# End of IndexManager_setHistory


attr(IndexManager_setHistory, 'returnType') = 'void'
attr(IndexManager_setHistory, "inputTypes") = c('_p_IndexManager', 'character', '_p_History')
class(IndexManager_setHistory) = c("SWIGFunction", class(IndexManager_setHistory))

# Start of IndexManager_getHistory

IndexManager_getHistory = function(self, name, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_IndexManager") 
  coerceIfNotSubclass(name, "_p_std__string") 
  ans = .Call('R_swig_IndexManager_getHistory', self, name, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_History"
  
  ans
  
}
# End of IndexManager_getHistory


attr(IndexManager_getHistory, 'returnType') = '_p_History'
attr(IndexManager_getHistory, "inputTypes") = c('_p_IndexManager', 'character')
class(IndexManager_getHistory) = c("SWIGFunction", class(IndexManager_getHistory))

# Start of IndexManager_hasHistory

IndexManager_hasHistory = function(self, name, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_IndexManager") 
  coerceIfNotSubclass(name, "_p_std__string") 
  .Call('R_swig_IndexManager_hasHistory', self, name, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of IndexManager_hasHistory


attr(IndexManager_hasHistory, 'returnType') = 'logical'
attr(IndexManager_hasHistory, "inputTypes") = c('_p_IndexManager', 'character')
class(IndexManager_hasHistory) = c("SWIGFunction", class(IndexManager_hasHistory))

# Start of IndexManager_histories

IndexManager_histories = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_IndexManager") 
  ans = .Call('R_swig_IndexManager_histories', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTstd__string_std__allocatorTstd__string_t_t"
  
  ans
  
}
# End of IndexManager_histories


attr(IndexManager_histories, 'returnType') = '_p_std__vectorTstd__string_std__allocatorTstd__string_t_t'
attr(IndexManager_histories, "inputTypes") = c('_p_IndexManager')
class(IndexManager_histories) = c("SWIGFunction", class(IndexManager_histories))

# Start of delete_IndexManager

delete_IndexManager = function(self)
{
  coerceIfNotSubclass(self, "_p_IndexManager") 
  .Call('R_swig_delete_IndexManager', self, PACKAGE='QuantLib')
  
}
# End of delete_IndexManager


attr(delete_IndexManager, 'returnType') = 'void'
attr(delete_IndexManager, "inputTypes") = c('_p_IndexManager')
class(delete_IndexManager) = c("SWIGFunction", class(delete_IndexManager))

# Start of accessor method for IndexManager
setMethod('$', '_p_IndexManager', function(x, name)

{
  accessorFuns = list('setHistory' = IndexManager_setHistory, 'getHistory' = IndexManager_getHistory, 'hasHistory' = IndexManager_hasHistory, 'histories' = IndexManager_histories)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for IndexManager
# Start of Index___deref__

Index___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTIndex_t") 
  ans = .Call('R_swig_Index___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_Index"
  
  ans
  
}
# End of Index___deref__


attr(Index___deref__, 'returnType') = '_p_Index'
attr(Index___deref__, "inputTypes") = c('_p_boost__shared_ptrTIndex_t')
class(Index___deref__) = c("SWIGFunction", class(Index___deref__))

# Start of Index_isNull

Index_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTIndex_t") 
  .Call('R_swig_Index_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Index_isNull


attr(Index_isNull, 'returnType') = 'logical'
attr(Index_isNull, "inputTypes") = c('_p_boost__shared_ptrTIndex_t')
class(Index_isNull) = c("SWIGFunction", class(Index_isNull))

# Start of Index___str__

Index___str__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTIndex_t") 
  .Call('R_swig_Index___str__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Index___str__


attr(Index___str__, 'returnType') = 'character'
attr(Index___str__, "inputTypes") = c('_p_boost__shared_ptrTIndex_t')
class(Index___str__) = c("SWIGFunction", class(Index___str__))

# Start of new_Index

Index = function()
{
  ans = .Call('R_swig_new_Index', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTIndex_t"
  
  ans
  
}
# End of new_Index


attr(Index, 'returnType') = '_p_boost__shared_ptrTIndex_t'
class(Index) = c("SWIGFunction", class(Index))

# Start of delete_Index

delete_Index = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTIndex_t") 
  .Call('R_swig_delete_Index', self, PACKAGE='QuantLib')
  
}
# End of delete_Index


attr(delete_Index, 'returnType') = 'void'
attr(delete_Index, "inputTypes") = c('_p_boost__shared_ptrTIndex_t')
class(delete_Index) = c("SWIGFunction", class(delete_Index))

# Start of Index_fixing

Index_fixing = function(self, fixingDate, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTIndex_t") 
  coerceIfNotSubclass(fixingDate, "_p_Date") 
  .Call('R_swig_Index_fixing', self, fixingDate, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Index_fixing


attr(Index_fixing, 'returnType') = 'numeric'
attr(Index_fixing, "inputTypes") = c('_p_boost__shared_ptrTIndex_t', '_p_Date')
class(Index_fixing) = c("SWIGFunction", class(Index_fixing))

# Start of Index_name

Index_name = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTIndex_t") 
  .Call('R_swig_Index_name', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Index_name


attr(Index_name, 'returnType') = 'character'
attr(Index_name, "inputTypes") = c('_p_boost__shared_ptrTIndex_t')
class(Index_name) = c("SWIGFunction", class(Index_name))

# Start of accessor method for boost::shared_ptr<(Index)>
setMethod('$', '_p_boost__shared_ptrTIndex_t', function(x, name)

{
  accessorFuns = list('operator ->' = Index___deref__, 'isNull' = Index_isNull, '__str__' = Index___str__, 'fixing' = Index_fixing, 'name' = Index_name)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(Index)>
# Start of new_Xibor

Xibor = function(familyName, n, units, settlementDays, currency, calendar, convention, dayCounter, h)
{
  coerceIfNotSubclass(familyName, "_p_std__string") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  units = enumToInteger(units, "_TimeUnit") 
  
  if(length(units) > 1) {
    warning("using only the first element of units")
  }
  
  settlementDays = as.integer(settlementDays) 
  
  if(length(settlementDays) > 1) {
    warning("using only the first element of settlementDays")
  }
  
  coerceIfNotSubclass(currency, "_p_Currency") 
  coerceIfNotSubclass(calendar, "_p_Calendar") 
  convention = enumToInteger(convention, "_BusinessDayConvention") 
  
  if(length(convention) > 1) {
    warning("using only the first element of convention")
  }
  
  coerceIfNotSubclass(dayCounter, "_p_DayCounter") 
  coerceIfNotSubclass(h, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_Xibor', familyName, n, units, settlementDays, currency, calendar, convention, dayCounter, h, PACKAGE='QuantLib')
  class(ans) <- "_p_XiborPtr"
  
  ans
  
}
# End of new_Xibor


attr(Xibor, 'returnType') = '_p_XiborPtr'
attr(Xibor, "inputTypes") = c('character', 'numeric', 'character', 'numeric', '_p_Currency', '_p_Calendar', 'character', '_p_DayCounter', '_p_HandleTYieldTermStructure_t')
class(Xibor) = c("SWIGFunction", class(Xibor))

# Start of Xibor_tenor

Xibor_tenor = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  ans = .Call('R_swig_Xibor_tenor', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Period"
  
  ans
  
}
# End of Xibor_tenor


attr(Xibor_tenor, 'returnType') = '_p_Period'
attr(Xibor_tenor, "inputTypes") = c('_p_XiborPtr')
class(Xibor_tenor) = c("SWIGFunction", class(Xibor_tenor))

# Start of Xibor_frequency

Xibor_frequency = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  ans = .Call('R_swig_Xibor_frequency', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Frequency")
  
  ans
  
}
# End of Xibor_frequency


attr(Xibor_frequency, 'returnType') = 'character'
attr(Xibor_frequency, "inputTypes") = c('_p_XiborPtr')
class(Xibor_frequency) = c("SWIGFunction", class(Xibor_frequency))

# Start of Xibor_currency

Xibor_currency = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  ans = .Call('R_swig_Xibor_currency', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Currency"
  
  ans
  
}
# End of Xibor_currency


attr(Xibor_currency, 'returnType') = '_p_Currency'
attr(Xibor_currency, "inputTypes") = c('_p_XiborPtr')
class(Xibor_currency) = c("SWIGFunction", class(Xibor_currency))

# Start of Xibor_calendar

Xibor_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  ans = .Call('R_swig_Xibor_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of Xibor_calendar


attr(Xibor_calendar, 'returnType') = '_p_Calendar'
attr(Xibor_calendar, "inputTypes") = c('_p_XiborPtr')
class(Xibor_calendar) = c("SWIGFunction", class(Xibor_calendar))

# Start of Xibor_isAdjusted

Xibor_isAdjusted = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  .Call('R_swig_Xibor_isAdjusted', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Xibor_isAdjusted


attr(Xibor_isAdjusted, 'returnType') = 'logical'
attr(Xibor_isAdjusted, "inputTypes") = c('_p_XiborPtr')
class(Xibor_isAdjusted) = c("SWIGFunction", class(Xibor_isAdjusted))

# Start of Xibor_businessDayConvention

Xibor_businessDayConvention = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  ans = .Call('R_swig_Xibor_businessDayConvention', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_BusinessDayConvention")
  
  ans
  
}
# End of Xibor_businessDayConvention


attr(Xibor_businessDayConvention, 'returnType') = 'character'
attr(Xibor_businessDayConvention, "inputTypes") = c('_p_XiborPtr')
class(Xibor_businessDayConvention) = c("SWIGFunction", class(Xibor_businessDayConvention))

# Start of Xibor_dayCounter

Xibor_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  ans = .Call('R_swig_Xibor_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of Xibor_dayCounter


attr(Xibor_dayCounter, 'returnType') = '_p_DayCounter'
attr(Xibor_dayCounter, "inputTypes") = c('_p_XiborPtr')
class(Xibor_dayCounter) = c("SWIGFunction", class(Xibor_dayCounter))

# Start of delete_Xibor

delete_Xibor = function(self)
{
  coerceIfNotSubclass(self, "_p_XiborPtr") 
  .Call('R_swig_delete_Xibor', self, PACKAGE='QuantLib')
  
}
# End of delete_Xibor


attr(delete_Xibor, 'returnType') = 'void'
attr(delete_Xibor, "inputTypes") = c('_p_XiborPtr')
class(delete_Xibor) = c("SWIGFunction", class(delete_Xibor))

# Start of accessor method for XiborPtr
setMethod('$', '_p_XiborPtr', function(x, name)

{
  accessorFuns = list('tenor' = Xibor_tenor, 'frequency' = Xibor_frequency, 'currency' = Xibor_currency, 'calendar' = Xibor_calendar, 'isAdjusted' = Xibor_isAdjusted, 'businessDayConvention' = Xibor_businessDayConvention, 'dayCounter' = Xibor_dayCounter)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for XiborPtr
setGeneric('AUDLibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('AUDLibor'))
attr(AUDLibor, 'returnType') = '_p_AUDLiborPtr'
setMethod('AUDLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_AUDLibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_AUDLiborPtr"
  
  ans
  
}

)
setMethod('AUDLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_AUDLibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_AUDLiborPtr"
  
  ans
  
}

)
# Start of delete_AUDLibor

delete_AUDLibor = function(self)
{
  coerceIfNotSubclass(self, "_p_AUDLiborPtr") 
  .Call('R_swig_delete_AUDLibor', self, PACKAGE='QuantLib')
  
}
# End of delete_AUDLibor


attr(delete_AUDLibor, 'returnType') = 'void'
attr(delete_AUDLibor, "inputTypes") = c('_p_AUDLiborPtr')
class(delete_AUDLibor) = c("SWIGFunction", class(delete_AUDLibor))

setGeneric('CADLibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CADLibor'))
attr(CADLibor, 'returnType') = '_p_CADLiborPtr'
setMethod('CADLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_CADLibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_CADLiborPtr"
  
  ans
  
}

)
setMethod('CADLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_CADLibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_CADLiborPtr"
  
  ans
  
}

)
# Start of delete_CADLibor

delete_CADLibor = function(self)
{
  coerceIfNotSubclass(self, "_p_CADLiborPtr") 
  .Call('R_swig_delete_CADLibor', self, PACKAGE='QuantLib')
  
}
# End of delete_CADLibor


attr(delete_CADLibor, 'returnType') = 'void'
attr(delete_CADLibor, "inputTypes") = c('_p_CADLiborPtr')
class(delete_CADLibor) = c("SWIGFunction", class(delete_CADLibor))

setGeneric('Cdor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Cdor'))
attr(Cdor, 'returnType') = '_p_CdorPtr'
setMethod('Cdor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_Cdor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_CdorPtr"
  
  ans
  
}

)
setMethod('Cdor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_Cdor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_CdorPtr"
  
  ans
  
}

)
# Start of delete_Cdor

delete_Cdor = function(self)
{
  coerceIfNotSubclass(self, "_p_CdorPtr") 
  .Call('R_swig_delete_Cdor', self, PACKAGE='QuantLib')
  
}
# End of delete_Cdor


attr(delete_Cdor, 'returnType') = 'void'
attr(delete_Cdor, "inputTypes") = c('_p_CdorPtr')
class(delete_Cdor) = c("SWIGFunction", class(delete_Cdor))

setGeneric('CHFLibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CHFLibor'))
attr(CHFLibor, 'returnType') = '_p_CHFLiborPtr'
setMethod('CHFLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_CHFLibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_CHFLiborPtr"
  
  ans
  
}

)
setMethod('CHFLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_CHFLibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_CHFLiborPtr"
  
  ans
  
}

)
# Start of delete_CHFLibor

delete_CHFLibor = function(self)
{
  coerceIfNotSubclass(self, "_p_CHFLiborPtr") 
  .Call('R_swig_delete_CHFLibor', self, PACKAGE='QuantLib')
  
}
# End of delete_CHFLibor


attr(delete_CHFLibor, 'returnType') = 'void'
attr(delete_CHFLibor, "inputTypes") = c('_p_CHFLiborPtr')
class(delete_CHFLibor) = c("SWIGFunction", class(delete_CHFLibor))

setGeneric('Euribor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Euribor'))
attr(Euribor, 'returnType') = '_p_EuriborPtr'
setMethod('Euribor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_Euribor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_EuriborPtr"
  
  ans
  
}

)
setMethod('Euribor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_Euribor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_EuriborPtr"
  
  ans
  
}

)
# Start of delete_Euribor

delete_Euribor = function(self)
{
  coerceIfNotSubclass(self, "_p_EuriborPtr") 
  .Call('R_swig_delete_Euribor', self, PACKAGE='QuantLib')
  
}
# End of delete_Euribor


attr(delete_Euribor, 'returnType') = 'void'
attr(delete_Euribor, "inputTypes") = c('_p_EuriborPtr')
class(delete_Euribor) = c("SWIGFunction", class(delete_Euribor))

setGeneric('GBPLibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('GBPLibor'))
attr(GBPLibor, 'returnType') = '_p_GBPLiborPtr'
setMethod('GBPLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_GBPLibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_GBPLiborPtr"
  
  ans
  
}

)
setMethod('GBPLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_GBPLibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_GBPLiborPtr"
  
  ans
  
}

)
# Start of delete_GBPLibor

delete_GBPLibor = function(self)
{
  coerceIfNotSubclass(self, "_p_GBPLiborPtr") 
  .Call('R_swig_delete_GBPLibor', self, PACKAGE='QuantLib')
  
}
# End of delete_GBPLibor


attr(delete_GBPLibor, 'returnType') = 'void'
attr(delete_GBPLibor, "inputTypes") = c('_p_GBPLiborPtr')
class(delete_GBPLibor) = c("SWIGFunction", class(delete_GBPLibor))

setGeneric('Jibar', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Jibar'))
attr(Jibar, 'returnType') = '_p_JibarPtr'
setMethod('Jibar', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_Jibar__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_JibarPtr"
  
  ans
  
}

)
setMethod('Jibar', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_Jibar__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_JibarPtr"
  
  ans
  
}

)
# Start of delete_Jibar

delete_Jibar = function(self)
{
  coerceIfNotSubclass(self, "_p_JibarPtr") 
  .Call('R_swig_delete_Jibar', self, PACKAGE='QuantLib')
  
}
# End of delete_Jibar


attr(delete_Jibar, 'returnType') = 'void'
attr(delete_Jibar, "inputTypes") = c('_p_JibarPtr')
class(delete_Jibar) = c("SWIGFunction", class(delete_Jibar))

setGeneric('JPYLibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('JPYLibor'))
attr(JPYLibor, 'returnType') = '_p_JPYLiborPtr'
setMethod('JPYLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_JPYLibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_JPYLiborPtr"
  
  ans
  
}

)
setMethod('JPYLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_JPYLibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_JPYLiborPtr"
  
  ans
  
}

)
# Start of delete_JPYLibor

delete_JPYLibor = function(self)
{
  coerceIfNotSubclass(self, "_p_JPYLiborPtr") 
  .Call('R_swig_delete_JPYLibor', self, PACKAGE='QuantLib')
  
}
# End of delete_JPYLibor


attr(delete_JPYLibor, 'returnType') = 'void'
attr(delete_JPYLibor, "inputTypes") = c('_p_JPYLiborPtr')
class(delete_JPYLibor) = c("SWIGFunction", class(delete_JPYLibor))

setGeneric('Tibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Tibor'))
attr(Tibor, 'returnType') = '_p_TiborPtr'
setMethod('Tibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_Tibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_TiborPtr"
  
  ans
  
}

)
setMethod('Tibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_Tibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_TiborPtr"
  
  ans
  
}

)
# Start of delete_Tibor

delete_Tibor = function(self)
{
  coerceIfNotSubclass(self, "_p_TiborPtr") 
  .Call('R_swig_delete_Tibor', self, PACKAGE='QuantLib')
  
}
# End of delete_Tibor


attr(delete_Tibor, 'returnType') = 'void'
attr(delete_Tibor, "inputTypes") = c('_p_TiborPtr')
class(delete_Tibor) = c("SWIGFunction", class(delete_Tibor))

setGeneric('TRLibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('TRLibor'))
attr(TRLibor, 'returnType') = '_p_TRLiborPtr'
setMethod('TRLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_TRLibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_TRLiborPtr"
  
  ans
  
}

)
setMethod('TRLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_TRLibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_TRLiborPtr"
  
  ans
  
}

)
# Start of delete_TRLibor

delete_TRLibor = function(self)
{
  coerceIfNotSubclass(self, "_p_TRLiborPtr") 
  .Call('R_swig_delete_TRLibor', self, PACKAGE='QuantLib')
  
}
# End of delete_TRLibor


attr(delete_TRLibor, 'returnType') = 'void'
attr(delete_TRLibor, "inputTypes") = c('_p_TRLiborPtr')
class(delete_TRLibor) = c("SWIGFunction", class(delete_TRLibor))

setGeneric('USDLibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('USDLibor'))
attr(USDLibor, 'returnType') = '_p_USDLiborPtr'
setMethod('USDLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_USDLibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_USDLiborPtr"
  
  ans
  
}

)
setMethod('USDLibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_USDLibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_USDLiborPtr"
  
  ans
  
}

)
# Start of delete_USDLibor

delete_USDLibor = function(self)
{
  coerceIfNotSubclass(self, "_p_USDLiborPtr") 
  .Call('R_swig_delete_USDLibor', self, PACKAGE='QuantLib')
  
}
# End of delete_USDLibor


attr(delete_USDLibor, 'returnType') = 'void'
attr(delete_USDLibor, "inputTypes") = c('_p_USDLiborPtr')
class(delete_USDLibor) = c("SWIGFunction", class(delete_USDLibor))

setGeneric('Zibor', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Zibor'))
attr(Zibor, 'returnType') = '_p_ZiborPtr'
setMethod('Zibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_Zibor__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_ZiborPtr"
  
  ans
  
}

)
setMethod('Zibor', c('numeric', 'character', '_p_HandleTYieldTermStructure_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = enumToInteger(s_arg2, "_TimeUnit") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_Zibor__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_ZiborPtr"
  
  ans
  
}

)
# Start of delete_Zibor

delete_Zibor = function(self)
{
  coerceIfNotSubclass(self, "_p_ZiborPtr") 
  .Call('R_swig_delete_Zibor', self, PACKAGE='QuantLib')
  
}
# End of delete_Zibor


attr(delete_Zibor, 'returnType') = 'void'
attr(delete_Zibor, "inputTypes") = c('_p_ZiborPtr')
class(delete_Zibor) = c("SWIGFunction", class(delete_Zibor))

setGeneric('Schedule', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Schedule'))
attr(Schedule, 'returnType') = '_p_Schedule'
setMethod('Schedule', c('_p_Calendar', '_p_Date', '_p_Date', 'character', 'character', '_p_Date', 'logical', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  coerceIfNotSubclass(s_arg7, "_p_bool") 
  coerceIfNotSubclass(s_arg8, "_p_bool") 
  ans = .Call('R_swig_new_Schedule__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_Schedule"
  
  ans
  
}

)
setMethod('Schedule', c('_p_Calendar', '_p_Date', '_p_Date', 'character', 'character', '_p_Date', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  coerceIfNotSubclass(s_arg7, "_p_bool") 
  ans = .Call('R_swig_new_Schedule__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_Schedule"
  
  ans
  
}

)
setMethod('Schedule', c('_p_Calendar', '_p_Date', '_p_Date', 'character', 'character', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  ans = .Call('R_swig_new_Schedule__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_Schedule"
  
  ans
  
}

)
setMethod('Schedule', c('_p_Calendar', '_p_Date', '_p_Date', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_Calendar") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = enumToInteger(s_arg4, "_Frequency") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_new_Schedule__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_Schedule"
  
  ans
  
}

)
setMethod('Schedule', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_Calendar', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = enumToInteger(s_arg3, "_BusinessDayConvention") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  ans = .Call('R_swig_new_Schedule__SWIG_4', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_Schedule"
  
  ans
  
}

)
# Start of Schedule_size

Schedule_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Schedule") 
  .Call('R_swig_Schedule_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Schedule_size


attr(Schedule_size, 'returnType') = 'numeric'
attr(Schedule_size, "inputTypes") = c('_p_Schedule')
class(Schedule_size) = c("SWIGFunction", class(Schedule_size))

# Start of Schedule_date

Schedule_date = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Schedule") 
  i = as.integer(i) 
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_Schedule_date', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Schedule_date


attr(Schedule_date, 'returnType') = '_p_Date'
attr(Schedule_date, "inputTypes") = c('_p_Schedule', 'numeric')
class(Schedule_date) = c("SWIGFunction", class(Schedule_date))

# Start of Schedule_isRegular

Schedule_isRegular = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Schedule") 
  i = as.integer(i) 
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_Schedule_isRegular', self, i, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Schedule_isRegular


attr(Schedule_isRegular, 'returnType') = 'logical'
attr(Schedule_isRegular, "inputTypes") = c('_p_Schedule', 'numeric')
class(Schedule_isRegular) = c("SWIGFunction", class(Schedule_isRegular))

# Start of delete_Schedule

delete_Schedule = function(self)
{
  coerceIfNotSubclass(self, "_p_Schedule") 
  .Call('R_swig_delete_Schedule', self, PACKAGE='QuantLib')
  
}
# End of delete_Schedule


attr(delete_Schedule, 'returnType') = 'void'
attr(delete_Schedule, "inputTypes") = c('_p_Schedule')
class(delete_Schedule) = c("SWIGFunction", class(delete_Schedule))

# Start of accessor method for Schedule
setMethod('$', '_p_Schedule', function(x, name)

{
  accessorFuns = list('size' = Schedule_size, 'date' = Schedule_date, 'isRegular' = Schedule_isRegular)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Schedule
# Start of BlackVolTermStructure___deref__

BlackVolTermStructure___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructure___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackVolTermStructure"
  
  ans
  
}
# End of BlackVolTermStructure___deref__


attr(BlackVolTermStructure___deref__, 'returnType') = '_p_BlackVolTermStructure'
attr(BlackVolTermStructure___deref__, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure___deref__) = c("SWIGFunction", class(BlackVolTermStructure___deref__))

# Start of BlackVolTermStructure_isNull

BlackVolTermStructure_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructure_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructure_isNull


attr(BlackVolTermStructure_isNull, 'returnType') = 'logical'
attr(BlackVolTermStructure_isNull, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_isNull) = c("SWIGFunction", class(BlackVolTermStructure_isNull))

# Start of BlackVolTermStructure_asObservable

BlackVolTermStructure_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructure_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of BlackVolTermStructure_asObservable


attr(BlackVolTermStructure_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(BlackVolTermStructure_asObservable, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_asObservable) = c("SWIGFunction", class(BlackVolTermStructure_asObservable))

# Start of new_BlackVolTermStructure

BlackVolTermStructure = function()
{
  ans = .Call('R_swig_new_BlackVolTermStructure', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTBlackVolTermStructure_t"
  
  ans
  
}
# End of new_BlackVolTermStructure


attr(BlackVolTermStructure, 'returnType') = '_p_boost__shared_ptrTBlackVolTermStructure_t'
class(BlackVolTermStructure) = c("SWIGFunction", class(BlackVolTermStructure))

# Start of delete_BlackVolTermStructure

delete_BlackVolTermStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_delete_BlackVolTermStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackVolTermStructure


attr(delete_BlackVolTermStructure, 'returnType') = 'void'
attr(delete_BlackVolTermStructure, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(delete_BlackVolTermStructure) = c("SWIGFunction", class(delete_BlackVolTermStructure))

# Start of BlackVolTermStructure_referenceDate

BlackVolTermStructure_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructure_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of BlackVolTermStructure_referenceDate


attr(BlackVolTermStructure_referenceDate, 'returnType') = '_p_Date'
attr(BlackVolTermStructure_referenceDate, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_referenceDate) = c("SWIGFunction", class(BlackVolTermStructure_referenceDate))

# Start of BlackVolTermStructure_dayCounter

BlackVolTermStructure_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructure_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of BlackVolTermStructure_dayCounter


attr(BlackVolTermStructure_dayCounter, 'returnType') = '_p_DayCounter'
attr(BlackVolTermStructure_dayCounter, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_dayCounter) = c("SWIGFunction", class(BlackVolTermStructure_dayCounter))

# Start of BlackVolTermStructure_calendar

BlackVolTermStructure_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructure_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of BlackVolTermStructure_calendar


attr(BlackVolTermStructure_calendar, 'returnType') = '_p_Calendar'
attr(BlackVolTermStructure_calendar, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_calendar) = c("SWIGFunction", class(BlackVolTermStructure_calendar))

# Start of BlackVolTermStructure_maxDate

BlackVolTermStructure_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructure_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of BlackVolTermStructure_maxDate


attr(BlackVolTermStructure_maxDate, 'returnType') = '_p_Date'
attr(BlackVolTermStructure_maxDate, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_maxDate) = c("SWIGFunction", class(BlackVolTermStructure_maxDate))

# Start of BlackVolTermStructure_maxTime

BlackVolTermStructure_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructure_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructure_maxTime


attr(BlackVolTermStructure_maxTime, 'returnType') = 'numeric'
attr(BlackVolTermStructure_maxTime, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_maxTime) = c("SWIGFunction", class(BlackVolTermStructure_maxTime))

# Start of BlackVolTermStructure_minStrike

BlackVolTermStructure_minStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructure_minStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructure_minStrike


attr(BlackVolTermStructure_minStrike, 'returnType') = 'numeric'
attr(BlackVolTermStructure_minStrike, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_minStrike) = c("SWIGFunction", class(BlackVolTermStructure_minStrike))

# Start of BlackVolTermStructure_maxStrike

BlackVolTermStructure_maxStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructure_maxStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructure_maxStrike


attr(BlackVolTermStructure_maxStrike, 'returnType') = 'numeric'
attr(BlackVolTermStructure_maxStrike, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_maxStrike) = c("SWIGFunction", class(BlackVolTermStructure_maxStrike))

setGeneric('BlackVolTermStructure_blackVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructure_blackVol'))
attr(BlackVolTermStructure_blackVol, 'returnType') = 'numeric'
setMethod('BlackVolTermStructure_blackVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackVol__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructure_blackVol__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructure_blackVol__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('BlackVolTermStructure_blackVariance', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructure_blackVariance'))
attr(BlackVolTermStructure_blackVariance, 'returnType') = 'numeric'
setMethod('BlackVolTermStructure_blackVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackVariance__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructure_blackVariance__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackVariance__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructure_blackVariance__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('BlackVolTermStructure_blackForwardVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructure_blackForwardVol'))
attr(BlackVolTermStructure_blackForwardVol, 'returnType') = 'numeric'
setMethod('BlackVolTermStructure_blackForwardVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackForwardVol__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackForwardVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructure_blackForwardVol__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackForwardVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackForwardVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackForwardVol', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructure_blackForwardVol__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('BlackVolTermStructure_blackForwardVariance', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructure_blackForwardVariance'))
attr(BlackVolTermStructure_blackForwardVariance, 'returnType') = 'numeric'
setMethod('BlackVolTermStructure_blackForwardVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackForwardVariance__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackForwardVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructure_blackForwardVariance__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackForwardVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructure_blackForwardVariance__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructure_blackForwardVariance', c('_p_boost__shared_ptrTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructure_blackForwardVariance__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of BlackVolTermStructure_enableExtrapolation

BlackVolTermStructure_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructure_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructure_enableExtrapolation


attr(BlackVolTermStructure_enableExtrapolation, 'returnType') = 'void'
attr(BlackVolTermStructure_enableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_enableExtrapolation) = c("SWIGFunction", class(BlackVolTermStructure_enableExtrapolation))

# Start of BlackVolTermStructure_disableExtrapolation

BlackVolTermStructure_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructure_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructure_disableExtrapolation


attr(BlackVolTermStructure_disableExtrapolation, 'returnType') = 'void'
attr(BlackVolTermStructure_disableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_disableExtrapolation) = c("SWIGFunction", class(BlackVolTermStructure_disableExtrapolation))

# Start of BlackVolTermStructure_allowsExtrapolation

BlackVolTermStructure_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructure_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructure_allowsExtrapolation


attr(BlackVolTermStructure_allowsExtrapolation, 'returnType') = 'logical'
attr(BlackVolTermStructure_allowsExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructure_allowsExtrapolation) = c("SWIGFunction", class(BlackVolTermStructure_allowsExtrapolation))

# Start of accessor method for boost::shared_ptr<(BlackVolTermStructure)>
setMethod('$', '_p_boost__shared_ptrTBlackVolTermStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = BlackVolTermStructure___deref__, 'isNull' = BlackVolTermStructure_isNull, 'asObservable' = BlackVolTermStructure_asObservable, 'referenceDate' = BlackVolTermStructure_referenceDate, 'dayCounter' = BlackVolTermStructure_dayCounter, 'calendar' = BlackVolTermStructure_calendar, 'maxDate' = BlackVolTermStructure_maxDate, 'maxTime' = BlackVolTermStructure_maxTime, 'minStrike' = BlackVolTermStructure_minStrike, 'maxStrike' = BlackVolTermStructure_maxStrike, 'blackVol' = BlackVolTermStructure_blackVol, 'blackVol' = BlackVolTermStructure_blackVol, 'blackVol' = BlackVolTermStructure_blackVol, 'blackVol' = BlackVolTermStructure_blackVol, 'blackVariance' = BlackVolTermStructure_blackVariance, 'blackVariance' = BlackVolTermStructure_blackVariance, 'blackVariance' = BlackVolTermStructure_blackVariance, 'blackVariance' = BlackVolTermStructure_blackVariance, 'blackForwardVol' = BlackVolTermStructure_blackForwardVol, 'blackForwardVol' = BlackVolTermStructure_blackForwardVol, 'blackForwardVol' = BlackVolTermStructure_blackForwardVol, 'blackForwardVol' = BlackVolTermStructure_blackForwardVol, 'blackForwardVariance' = BlackVolTermStructure_blackForwardVariance, 'blackForwardVariance' = BlackVolTermStructure_blackForwardVariance, 'blackForwardVariance' = BlackVolTermStructure_blackForwardVariance, 'blackForwardVariance' = BlackVolTermStructure_blackForwardVariance, 'enableExtrapolation' = BlackVolTermStructure_enableExtrapolation, 'disableExtrapolation' = BlackVolTermStructure_disableExtrapolation, 'allowsExtrapolation' = BlackVolTermStructure_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(BlackVolTermStructure)>
setGeneric('BlackVolTermStructureHandle', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructureHandle'))
attr(BlackVolTermStructureHandle, 'returnType') = '_p_HandleTBlackVolTermStructure_t'
setMethod('BlackVolTermStructureHandle', c('_p_boost__shared_ptrTBlackVolTermStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  ans = .Call('R_swig_new_BlackVolTermStructureHandle__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTBlackVolTermStructure_t"
  
  ans
  
}

)
setMethod('BlackVolTermStructureHandle', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_BlackVolTermStructureHandle__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTBlackVolTermStructure_t"
  
  ans
  
}

)
# Start of BlackVolTermStructureHandle___deref__

BlackVolTermStructureHandle___deref__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructureHandle___deref__', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTBlackVolTermStructure_t"
  
  ans
  
}
# End of BlackVolTermStructureHandle___deref__


attr(BlackVolTermStructureHandle___deref__, 'returnType') = '_p_boost__shared_ptrTBlackVolTermStructure_t'
attr(BlackVolTermStructureHandle___deref__, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle___deref__) = c("SWIGFunction", class(BlackVolTermStructureHandle___deref__))

# Start of BlackVolTermStructureHandle_linkTo

BlackVolTermStructureHandle_linkTo = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_linkTo', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_linkTo


attr(BlackVolTermStructureHandle_linkTo, 'returnType') = 'void'
attr(BlackVolTermStructureHandle_linkTo, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t', '_p_boost__shared_ptrTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_linkTo) = c("SWIGFunction", class(BlackVolTermStructureHandle_linkTo))

# Start of BlackVolTermStructureHandle_empty

BlackVolTermStructureHandle_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_empty


attr(BlackVolTermStructureHandle_empty, 'returnType') = 'logical'
attr(BlackVolTermStructureHandle_empty, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_empty) = c("SWIGFunction", class(BlackVolTermStructureHandle_empty))

# Start of BlackVolTermStructureHandle_asObservable

BlackVolTermStructureHandle_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructureHandle_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of BlackVolTermStructureHandle_asObservable


attr(BlackVolTermStructureHandle_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(BlackVolTermStructureHandle_asObservable, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_asObservable) = c("SWIGFunction", class(BlackVolTermStructureHandle_asObservable))

# Start of delete_BlackVolTermStructureHandle

delete_BlackVolTermStructureHandle = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_delete_BlackVolTermStructureHandle', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackVolTermStructureHandle


attr(delete_BlackVolTermStructureHandle, 'returnType') = 'void'
attr(delete_BlackVolTermStructureHandle, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(delete_BlackVolTermStructureHandle) = c("SWIGFunction", class(delete_BlackVolTermStructureHandle))

# Start of BlackVolTermStructureHandle_referenceDate

BlackVolTermStructureHandle_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructureHandle_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of BlackVolTermStructureHandle_referenceDate


attr(BlackVolTermStructureHandle_referenceDate, 'returnType') = '_p_Date'
attr(BlackVolTermStructureHandle_referenceDate, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_referenceDate) = c("SWIGFunction", class(BlackVolTermStructureHandle_referenceDate))

# Start of BlackVolTermStructureHandle_dayCounter

BlackVolTermStructureHandle_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructureHandle_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of BlackVolTermStructureHandle_dayCounter


attr(BlackVolTermStructureHandle_dayCounter, 'returnType') = '_p_DayCounter'
attr(BlackVolTermStructureHandle_dayCounter, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_dayCounter) = c("SWIGFunction", class(BlackVolTermStructureHandle_dayCounter))

# Start of BlackVolTermStructureHandle_calendar

BlackVolTermStructureHandle_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructureHandle_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of BlackVolTermStructureHandle_calendar


attr(BlackVolTermStructureHandle_calendar, 'returnType') = '_p_Calendar'
attr(BlackVolTermStructureHandle_calendar, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_calendar) = c("SWIGFunction", class(BlackVolTermStructureHandle_calendar))

# Start of BlackVolTermStructureHandle_maxDate

BlackVolTermStructureHandle_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  ans = .Call('R_swig_BlackVolTermStructureHandle_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of BlackVolTermStructureHandle_maxDate


attr(BlackVolTermStructureHandle_maxDate, 'returnType') = '_p_Date'
attr(BlackVolTermStructureHandle_maxDate, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_maxDate) = c("SWIGFunction", class(BlackVolTermStructureHandle_maxDate))

# Start of BlackVolTermStructureHandle_maxTime

BlackVolTermStructureHandle_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_maxTime


attr(BlackVolTermStructureHandle_maxTime, 'returnType') = 'numeric'
attr(BlackVolTermStructureHandle_maxTime, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_maxTime) = c("SWIGFunction", class(BlackVolTermStructureHandle_maxTime))

# Start of BlackVolTermStructureHandle_minStrike

BlackVolTermStructureHandle_minStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_minStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_minStrike


attr(BlackVolTermStructureHandle_minStrike, 'returnType') = 'numeric'
attr(BlackVolTermStructureHandle_minStrike, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_minStrike) = c("SWIGFunction", class(BlackVolTermStructureHandle_minStrike))

# Start of BlackVolTermStructureHandle_maxStrike

BlackVolTermStructureHandle_maxStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_maxStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_maxStrike


attr(BlackVolTermStructureHandle_maxStrike, 'returnType') = 'numeric'
attr(BlackVolTermStructureHandle_maxStrike, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_maxStrike) = c("SWIGFunction", class(BlackVolTermStructureHandle_maxStrike))

setGeneric('BlackVolTermStructureHandle_blackVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructureHandle_blackVol'))
attr(BlackVolTermStructureHandle_blackVol, 'returnType') = 'numeric'
setMethod('BlackVolTermStructureHandle_blackVol', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackVol__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackVol', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructureHandle_blackVol__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackVol', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackVol', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructureHandle_blackVol__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('BlackVolTermStructureHandle_blackVariance', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructureHandle_blackVariance'))
attr(BlackVolTermStructureHandle_blackVariance, 'returnType') = 'numeric'
setMethod('BlackVolTermStructureHandle_blackVariance', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackVariance__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackVariance', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructureHandle_blackVariance__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackVariance', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackVariance__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackVariance', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BlackVolTermStructureHandle_blackVariance__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('BlackVolTermStructureHandle_blackForwardVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructureHandle_blackForwardVol'))
attr(BlackVolTermStructureHandle_blackForwardVol, 'returnType') = 'numeric'
setMethod('BlackVolTermStructureHandle_blackForwardVol', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVol__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackForwardVol', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVol__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackForwardVol', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackForwardVol', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVol__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('BlackVolTermStructureHandle_blackForwardVariance', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVolTermStructureHandle_blackForwardVariance'))
attr(BlackVolTermStructureHandle_blackForwardVariance, 'returnType') = 'numeric'
setMethod('BlackVolTermStructureHandle_blackForwardVariance', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVariance__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackForwardVariance', c('_p_HandleTBlackVolTermStructure_t', '_p_Date', '_p_Date', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVariance__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackForwardVariance', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_bool") 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVariance__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BlackVolTermStructureHandle_blackForwardVariance', c('_p_HandleTBlackVolTermStructure_t', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTBlackVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_BlackVolTermStructureHandle_blackForwardVariance__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of BlackVolTermStructureHandle_enableExtrapolation

BlackVolTermStructureHandle_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_enableExtrapolation


attr(BlackVolTermStructureHandle_enableExtrapolation, 'returnType') = 'void'
attr(BlackVolTermStructureHandle_enableExtrapolation, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_enableExtrapolation) = c("SWIGFunction", class(BlackVolTermStructureHandle_enableExtrapolation))

# Start of BlackVolTermStructureHandle_disableExtrapolation

BlackVolTermStructureHandle_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_disableExtrapolation


attr(BlackVolTermStructureHandle_disableExtrapolation, 'returnType') = 'void'
attr(BlackVolTermStructureHandle_disableExtrapolation, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_disableExtrapolation) = c("SWIGFunction", class(BlackVolTermStructureHandle_disableExtrapolation))

# Start of BlackVolTermStructureHandle_allowsExtrapolation

BlackVolTermStructureHandle_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTBlackVolTermStructure_t") 
  .Call('R_swig_BlackVolTermStructureHandle_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BlackVolTermStructureHandle_allowsExtrapolation


attr(BlackVolTermStructureHandle_allowsExtrapolation, 'returnType') = 'logical'
attr(BlackVolTermStructureHandle_allowsExtrapolation, "inputTypes") = c('_p_HandleTBlackVolTermStructure_t')
class(BlackVolTermStructureHandle_allowsExtrapolation) = c("SWIGFunction", class(BlackVolTermStructureHandle_allowsExtrapolation))

# Start of accessor method for Handle<(BlackVolTermStructure)>
setMethod('$', '_p_HandleTBlackVolTermStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = BlackVolTermStructureHandle___deref__, 'linkTo' = BlackVolTermStructureHandle_linkTo, 'empty' = BlackVolTermStructureHandle_empty, 'asObservable' = BlackVolTermStructureHandle_asObservable, 'referenceDate' = BlackVolTermStructureHandle_referenceDate, 'dayCounter' = BlackVolTermStructureHandle_dayCounter, 'calendar' = BlackVolTermStructureHandle_calendar, 'maxDate' = BlackVolTermStructureHandle_maxDate, 'maxTime' = BlackVolTermStructureHandle_maxTime, 'minStrike' = BlackVolTermStructureHandle_minStrike, 'maxStrike' = BlackVolTermStructureHandle_maxStrike, 'blackVol' = BlackVolTermStructureHandle_blackVol, 'blackVol' = BlackVolTermStructureHandle_blackVol, 'blackVol' = BlackVolTermStructureHandle_blackVol, 'blackVol' = BlackVolTermStructureHandle_blackVol, 'blackVariance' = BlackVolTermStructureHandle_blackVariance, 'blackVariance' = BlackVolTermStructureHandle_blackVariance, 'blackVariance' = BlackVolTermStructureHandle_blackVariance, 'blackVariance' = BlackVolTermStructureHandle_blackVariance, 'blackForwardVol' = BlackVolTermStructureHandle_blackForwardVol, 'blackForwardVol' = BlackVolTermStructureHandle_blackForwardVol, 'blackForwardVol' = BlackVolTermStructureHandle_blackForwardVol, 'blackForwardVol' = BlackVolTermStructureHandle_blackForwardVol, 'blackForwardVariance' = BlackVolTermStructureHandle_blackForwardVariance, 'blackForwardVariance' = BlackVolTermStructureHandle_blackForwardVariance, 'blackForwardVariance' = BlackVolTermStructureHandle_blackForwardVariance, 'blackForwardVariance' = BlackVolTermStructureHandle_blackForwardVariance, 'enableExtrapolation' = BlackVolTermStructureHandle_enableExtrapolation, 'disableExtrapolation' = BlackVolTermStructureHandle_disableExtrapolation, 'allowsExtrapolation' = BlackVolTermStructureHandle_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Handle<(BlackVolTermStructure)>
# Start of LocalVolTermStructure___deref__

LocalVolTermStructure___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructure___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_LocalVolTermStructure"
  
  ans
  
}
# End of LocalVolTermStructure___deref__


attr(LocalVolTermStructure___deref__, 'returnType') = '_p_LocalVolTermStructure'
attr(LocalVolTermStructure___deref__, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure___deref__) = c("SWIGFunction", class(LocalVolTermStructure___deref__))

# Start of LocalVolTermStructure_isNull

LocalVolTermStructure_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructure_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructure_isNull


attr(LocalVolTermStructure_isNull, 'returnType') = 'logical'
attr(LocalVolTermStructure_isNull, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_isNull) = c("SWIGFunction", class(LocalVolTermStructure_isNull))

# Start of LocalVolTermStructure_asObservable

LocalVolTermStructure_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructure_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of LocalVolTermStructure_asObservable


attr(LocalVolTermStructure_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(LocalVolTermStructure_asObservable, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_asObservable) = c("SWIGFunction", class(LocalVolTermStructure_asObservable))

# Start of new_LocalVolTermStructure

LocalVolTermStructure = function()
{
  ans = .Call('R_swig_new_LocalVolTermStructure', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTLocalVolTermStructure_t"
  
  ans
  
}
# End of new_LocalVolTermStructure


attr(LocalVolTermStructure, 'returnType') = '_p_boost__shared_ptrTLocalVolTermStructure_t'
class(LocalVolTermStructure) = c("SWIGFunction", class(LocalVolTermStructure))

# Start of delete_LocalVolTermStructure

delete_LocalVolTermStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_delete_LocalVolTermStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_LocalVolTermStructure


attr(delete_LocalVolTermStructure, 'returnType') = 'void'
attr(delete_LocalVolTermStructure, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(delete_LocalVolTermStructure) = c("SWIGFunction", class(delete_LocalVolTermStructure))

# Start of LocalVolTermStructure_referenceDate

LocalVolTermStructure_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructure_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of LocalVolTermStructure_referenceDate


attr(LocalVolTermStructure_referenceDate, 'returnType') = '_p_Date'
attr(LocalVolTermStructure_referenceDate, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_referenceDate) = c("SWIGFunction", class(LocalVolTermStructure_referenceDate))

# Start of LocalVolTermStructure_dayCounter

LocalVolTermStructure_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructure_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of LocalVolTermStructure_dayCounter


attr(LocalVolTermStructure_dayCounter, 'returnType') = '_p_DayCounter'
attr(LocalVolTermStructure_dayCounter, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_dayCounter) = c("SWIGFunction", class(LocalVolTermStructure_dayCounter))

# Start of LocalVolTermStructure_calendar

LocalVolTermStructure_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructure_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of LocalVolTermStructure_calendar


attr(LocalVolTermStructure_calendar, 'returnType') = '_p_Calendar'
attr(LocalVolTermStructure_calendar, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_calendar) = c("SWIGFunction", class(LocalVolTermStructure_calendar))

# Start of LocalVolTermStructure_maxDate

LocalVolTermStructure_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructure_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of LocalVolTermStructure_maxDate


attr(LocalVolTermStructure_maxDate, 'returnType') = '_p_Date'
attr(LocalVolTermStructure_maxDate, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_maxDate) = c("SWIGFunction", class(LocalVolTermStructure_maxDate))

# Start of LocalVolTermStructure_maxTime

LocalVolTermStructure_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructure_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructure_maxTime


attr(LocalVolTermStructure_maxTime, 'returnType') = 'numeric'
attr(LocalVolTermStructure_maxTime, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_maxTime) = c("SWIGFunction", class(LocalVolTermStructure_maxTime))

# Start of LocalVolTermStructure_minStrike

LocalVolTermStructure_minStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructure_minStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructure_minStrike


attr(LocalVolTermStructure_minStrike, 'returnType') = 'numeric'
attr(LocalVolTermStructure_minStrike, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_minStrike) = c("SWIGFunction", class(LocalVolTermStructure_minStrike))

# Start of LocalVolTermStructure_maxStrike

LocalVolTermStructure_maxStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructure_maxStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructure_maxStrike


attr(LocalVolTermStructure_maxStrike, 'returnType') = 'numeric'
attr(LocalVolTermStructure_maxStrike, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_maxStrike) = c("SWIGFunction", class(LocalVolTermStructure_maxStrike))

setGeneric('LocalVolTermStructure_localVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('LocalVolTermStructure_localVol'))
attr(LocalVolTermStructure_localVol, 'returnType') = 'numeric'
setMethod('LocalVolTermStructure_localVol', c('_p_boost__shared_ptrTLocalVolTermStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_LocalVolTermStructure_localVol__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LocalVolTermStructure_localVol', c('_p_boost__shared_ptrTLocalVolTermStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_LocalVolTermStructure_localVol__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LocalVolTermStructure_localVol', c('_p_boost__shared_ptrTLocalVolTermStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_LocalVolTermStructure_localVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LocalVolTermStructure_localVol', c('_p_boost__shared_ptrTLocalVolTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_LocalVolTermStructure_localVol__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of LocalVolTermStructure_enableExtrapolation

LocalVolTermStructure_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructure_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructure_enableExtrapolation


attr(LocalVolTermStructure_enableExtrapolation, 'returnType') = 'void'
attr(LocalVolTermStructure_enableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_enableExtrapolation) = c("SWIGFunction", class(LocalVolTermStructure_enableExtrapolation))

# Start of LocalVolTermStructure_disableExtrapolation

LocalVolTermStructure_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructure_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructure_disableExtrapolation


attr(LocalVolTermStructure_disableExtrapolation, 'returnType') = 'void'
attr(LocalVolTermStructure_disableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_disableExtrapolation) = c("SWIGFunction", class(LocalVolTermStructure_disableExtrapolation))

# Start of LocalVolTermStructure_allowsExtrapolation

LocalVolTermStructure_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructure_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructure_allowsExtrapolation


attr(LocalVolTermStructure_allowsExtrapolation, 'returnType') = 'logical'
attr(LocalVolTermStructure_allowsExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructure_allowsExtrapolation) = c("SWIGFunction", class(LocalVolTermStructure_allowsExtrapolation))

# Start of accessor method for boost::shared_ptr<(LocalVolTermStructure)>
setMethod('$', '_p_boost__shared_ptrTLocalVolTermStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = LocalVolTermStructure___deref__, 'isNull' = LocalVolTermStructure_isNull, 'asObservable' = LocalVolTermStructure_asObservable, 'referenceDate' = LocalVolTermStructure_referenceDate, 'dayCounter' = LocalVolTermStructure_dayCounter, 'calendar' = LocalVolTermStructure_calendar, 'maxDate' = LocalVolTermStructure_maxDate, 'maxTime' = LocalVolTermStructure_maxTime, 'minStrike' = LocalVolTermStructure_minStrike, 'maxStrike' = LocalVolTermStructure_maxStrike, 'localVol' = LocalVolTermStructure_localVol, 'localVol' = LocalVolTermStructure_localVol, 'localVol' = LocalVolTermStructure_localVol, 'localVol' = LocalVolTermStructure_localVol, 'enableExtrapolation' = LocalVolTermStructure_enableExtrapolation, 'disableExtrapolation' = LocalVolTermStructure_disableExtrapolation, 'allowsExtrapolation' = LocalVolTermStructure_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(LocalVolTermStructure)>
setGeneric('LocalVolTermStructureHandle', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('LocalVolTermStructureHandle'))
attr(LocalVolTermStructureHandle, 'returnType') = '_p_HandleTLocalVolTermStructure_t'
setMethod('LocalVolTermStructureHandle', c('_p_boost__shared_ptrTLocalVolTermStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  ans = .Call('R_swig_new_LocalVolTermStructureHandle__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTLocalVolTermStructure_t"
  
  ans
  
}

)
setMethod('LocalVolTermStructureHandle', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_LocalVolTermStructureHandle__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTLocalVolTermStructure_t"
  
  ans
  
}

)
# Start of LocalVolTermStructureHandle___deref__

LocalVolTermStructureHandle___deref__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructureHandle___deref__', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTLocalVolTermStructure_t"
  
  ans
  
}
# End of LocalVolTermStructureHandle___deref__


attr(LocalVolTermStructureHandle___deref__, 'returnType') = '_p_boost__shared_ptrTLocalVolTermStructure_t'
attr(LocalVolTermStructureHandle___deref__, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle___deref__) = c("SWIGFunction", class(LocalVolTermStructureHandle___deref__))

# Start of LocalVolTermStructureHandle_linkTo

LocalVolTermStructureHandle_linkTo = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_linkTo', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_linkTo


attr(LocalVolTermStructureHandle_linkTo, 'returnType') = 'void'
attr(LocalVolTermStructureHandle_linkTo, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t', '_p_boost__shared_ptrTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_linkTo) = c("SWIGFunction", class(LocalVolTermStructureHandle_linkTo))

# Start of LocalVolTermStructureHandle_empty

LocalVolTermStructureHandle_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_empty


attr(LocalVolTermStructureHandle_empty, 'returnType') = 'logical'
attr(LocalVolTermStructureHandle_empty, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_empty) = c("SWIGFunction", class(LocalVolTermStructureHandle_empty))

# Start of LocalVolTermStructureHandle_asObservable

LocalVolTermStructureHandle_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructureHandle_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of LocalVolTermStructureHandle_asObservable


attr(LocalVolTermStructureHandle_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(LocalVolTermStructureHandle_asObservable, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_asObservable) = c("SWIGFunction", class(LocalVolTermStructureHandle_asObservable))

# Start of delete_LocalVolTermStructureHandle

delete_LocalVolTermStructureHandle = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_delete_LocalVolTermStructureHandle', self, PACKAGE='QuantLib')
  
}
# End of delete_LocalVolTermStructureHandle


attr(delete_LocalVolTermStructureHandle, 'returnType') = 'void'
attr(delete_LocalVolTermStructureHandle, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(delete_LocalVolTermStructureHandle) = c("SWIGFunction", class(delete_LocalVolTermStructureHandle))

# Start of LocalVolTermStructureHandle_referenceDate

LocalVolTermStructureHandle_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructureHandle_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of LocalVolTermStructureHandle_referenceDate


attr(LocalVolTermStructureHandle_referenceDate, 'returnType') = '_p_Date'
attr(LocalVolTermStructureHandle_referenceDate, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_referenceDate) = c("SWIGFunction", class(LocalVolTermStructureHandle_referenceDate))

# Start of LocalVolTermStructureHandle_dayCounter

LocalVolTermStructureHandle_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructureHandle_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of LocalVolTermStructureHandle_dayCounter


attr(LocalVolTermStructureHandle_dayCounter, 'returnType') = '_p_DayCounter'
attr(LocalVolTermStructureHandle_dayCounter, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_dayCounter) = c("SWIGFunction", class(LocalVolTermStructureHandle_dayCounter))

# Start of LocalVolTermStructureHandle_calendar

LocalVolTermStructureHandle_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructureHandle_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of LocalVolTermStructureHandle_calendar


attr(LocalVolTermStructureHandle_calendar, 'returnType') = '_p_Calendar'
attr(LocalVolTermStructureHandle_calendar, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_calendar) = c("SWIGFunction", class(LocalVolTermStructureHandle_calendar))

# Start of LocalVolTermStructureHandle_maxDate

LocalVolTermStructureHandle_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  ans = .Call('R_swig_LocalVolTermStructureHandle_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of LocalVolTermStructureHandle_maxDate


attr(LocalVolTermStructureHandle_maxDate, 'returnType') = '_p_Date'
attr(LocalVolTermStructureHandle_maxDate, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_maxDate) = c("SWIGFunction", class(LocalVolTermStructureHandle_maxDate))

# Start of LocalVolTermStructureHandle_maxTime

LocalVolTermStructureHandle_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_maxTime


attr(LocalVolTermStructureHandle_maxTime, 'returnType') = 'numeric'
attr(LocalVolTermStructureHandle_maxTime, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_maxTime) = c("SWIGFunction", class(LocalVolTermStructureHandle_maxTime))

# Start of LocalVolTermStructureHandle_minStrike

LocalVolTermStructureHandle_minStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_minStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_minStrike


attr(LocalVolTermStructureHandle_minStrike, 'returnType') = 'numeric'
attr(LocalVolTermStructureHandle_minStrike, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_minStrike) = c("SWIGFunction", class(LocalVolTermStructureHandle_minStrike))

# Start of LocalVolTermStructureHandle_maxStrike

LocalVolTermStructureHandle_maxStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_maxStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_maxStrike


attr(LocalVolTermStructureHandle_maxStrike, 'returnType') = 'numeric'
attr(LocalVolTermStructureHandle_maxStrike, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_maxStrike) = c("SWIGFunction", class(LocalVolTermStructureHandle_maxStrike))

setGeneric('LocalVolTermStructureHandle_localVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('LocalVolTermStructureHandle_localVol'))
attr(LocalVolTermStructureHandle_localVol, 'returnType') = 'numeric'
setMethod('LocalVolTermStructureHandle_localVol', c('_p_HandleTLocalVolTermStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTLocalVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_LocalVolTermStructureHandle_localVol__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LocalVolTermStructureHandle_localVol', c('_p_HandleTLocalVolTermStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTLocalVolTermStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_LocalVolTermStructureHandle_localVol__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LocalVolTermStructureHandle_localVol', c('_p_HandleTLocalVolTermStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTLocalVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_LocalVolTermStructureHandle_localVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('LocalVolTermStructureHandle_localVol', c('_p_HandleTLocalVolTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTLocalVolTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_LocalVolTermStructureHandle_localVol__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of LocalVolTermStructureHandle_enableExtrapolation

LocalVolTermStructureHandle_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_enableExtrapolation


attr(LocalVolTermStructureHandle_enableExtrapolation, 'returnType') = 'void'
attr(LocalVolTermStructureHandle_enableExtrapolation, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_enableExtrapolation) = c("SWIGFunction", class(LocalVolTermStructureHandle_enableExtrapolation))

# Start of LocalVolTermStructureHandle_disableExtrapolation

LocalVolTermStructureHandle_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_disableExtrapolation


attr(LocalVolTermStructureHandle_disableExtrapolation, 'returnType') = 'void'
attr(LocalVolTermStructureHandle_disableExtrapolation, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_disableExtrapolation) = c("SWIGFunction", class(LocalVolTermStructureHandle_disableExtrapolation))

# Start of LocalVolTermStructureHandle_allowsExtrapolation

LocalVolTermStructureHandle_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTLocalVolTermStructure_t") 
  .Call('R_swig_LocalVolTermStructureHandle_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LocalVolTermStructureHandle_allowsExtrapolation


attr(LocalVolTermStructureHandle_allowsExtrapolation, 'returnType') = 'logical'
attr(LocalVolTermStructureHandle_allowsExtrapolation, "inputTypes") = c('_p_HandleTLocalVolTermStructure_t')
class(LocalVolTermStructureHandle_allowsExtrapolation) = c("SWIGFunction", class(LocalVolTermStructureHandle_allowsExtrapolation))

# Start of accessor method for Handle<(LocalVolTermStructure)>
setMethod('$', '_p_HandleTLocalVolTermStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = LocalVolTermStructureHandle___deref__, 'linkTo' = LocalVolTermStructureHandle_linkTo, 'empty' = LocalVolTermStructureHandle_empty, 'asObservable' = LocalVolTermStructureHandle_asObservable, 'referenceDate' = LocalVolTermStructureHandle_referenceDate, 'dayCounter' = LocalVolTermStructureHandle_dayCounter, 'calendar' = LocalVolTermStructureHandle_calendar, 'maxDate' = LocalVolTermStructureHandle_maxDate, 'maxTime' = LocalVolTermStructureHandle_maxTime, 'minStrike' = LocalVolTermStructureHandle_minStrike, 'maxStrike' = LocalVolTermStructureHandle_maxStrike, 'localVol' = LocalVolTermStructureHandle_localVol, 'localVol' = LocalVolTermStructureHandle_localVol, 'localVol' = LocalVolTermStructureHandle_localVol, 'localVol' = LocalVolTermStructureHandle_localVol, 'enableExtrapolation' = LocalVolTermStructureHandle_enableExtrapolation, 'disableExtrapolation' = LocalVolTermStructureHandle_disableExtrapolation, 'allowsExtrapolation' = LocalVolTermStructureHandle_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Handle<(LocalVolTermStructure)>
# Start of CapletVolatilityStructure___deref__

CapletVolatilityStructure___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructure___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_CapletVolatilityStructure"
  
  ans
  
}
# End of CapletVolatilityStructure___deref__


attr(CapletVolatilityStructure___deref__, 'returnType') = '_p_CapletVolatilityStructure'
attr(CapletVolatilityStructure___deref__, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure___deref__) = c("SWIGFunction", class(CapletVolatilityStructure___deref__))

# Start of CapletVolatilityStructure_isNull

CapletVolatilityStructure_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructure_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructure_isNull


attr(CapletVolatilityStructure_isNull, 'returnType') = 'logical'
attr(CapletVolatilityStructure_isNull, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_isNull) = c("SWIGFunction", class(CapletVolatilityStructure_isNull))

# Start of CapletVolatilityStructure_asObservable

CapletVolatilityStructure_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructure_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of CapletVolatilityStructure_asObservable


attr(CapletVolatilityStructure_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(CapletVolatilityStructure_asObservable, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_asObservable) = c("SWIGFunction", class(CapletVolatilityStructure_asObservable))

# Start of new_CapletVolatilityStructure

CapletVolatilityStructure = function()
{
  ans = .Call('R_swig_new_CapletVolatilityStructure', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCapletVolatilityStructure_t"
  
  ans
  
}
# End of new_CapletVolatilityStructure


attr(CapletVolatilityStructure, 'returnType') = '_p_boost__shared_ptrTCapletVolatilityStructure_t'
class(CapletVolatilityStructure) = c("SWIGFunction", class(CapletVolatilityStructure))

# Start of delete_CapletVolatilityStructure

delete_CapletVolatilityStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_delete_CapletVolatilityStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_CapletVolatilityStructure


attr(delete_CapletVolatilityStructure, 'returnType') = 'void'
attr(delete_CapletVolatilityStructure, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(delete_CapletVolatilityStructure) = c("SWIGFunction", class(delete_CapletVolatilityStructure))

# Start of CapletVolatilityStructure_referenceDate

CapletVolatilityStructure_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructure_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of CapletVolatilityStructure_referenceDate


attr(CapletVolatilityStructure_referenceDate, 'returnType') = '_p_Date'
attr(CapletVolatilityStructure_referenceDate, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_referenceDate) = c("SWIGFunction", class(CapletVolatilityStructure_referenceDate))

# Start of CapletVolatilityStructure_dayCounter

CapletVolatilityStructure_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructure_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of CapletVolatilityStructure_dayCounter


attr(CapletVolatilityStructure_dayCounter, 'returnType') = '_p_DayCounter'
attr(CapletVolatilityStructure_dayCounter, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_dayCounter) = c("SWIGFunction", class(CapletVolatilityStructure_dayCounter))

# Start of CapletVolatilityStructure_calendar

CapletVolatilityStructure_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructure_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of CapletVolatilityStructure_calendar


attr(CapletVolatilityStructure_calendar, 'returnType') = '_p_Calendar'
attr(CapletVolatilityStructure_calendar, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_calendar) = c("SWIGFunction", class(CapletVolatilityStructure_calendar))

# Start of CapletVolatilityStructure_maxDate

CapletVolatilityStructure_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructure_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of CapletVolatilityStructure_maxDate


attr(CapletVolatilityStructure_maxDate, 'returnType') = '_p_Date'
attr(CapletVolatilityStructure_maxDate, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_maxDate) = c("SWIGFunction", class(CapletVolatilityStructure_maxDate))

# Start of CapletVolatilityStructure_maxTime

CapletVolatilityStructure_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructure_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructure_maxTime


attr(CapletVolatilityStructure_maxTime, 'returnType') = 'numeric'
attr(CapletVolatilityStructure_maxTime, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_maxTime) = c("SWIGFunction", class(CapletVolatilityStructure_maxTime))

# Start of CapletVolatilityStructure_minStrike

CapletVolatilityStructure_minStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructure_minStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructure_minStrike


attr(CapletVolatilityStructure_minStrike, 'returnType') = 'numeric'
attr(CapletVolatilityStructure_minStrike, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_minStrike) = c("SWIGFunction", class(CapletVolatilityStructure_minStrike))

# Start of CapletVolatilityStructure_maxStrike

CapletVolatilityStructure_maxStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructure_maxStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructure_maxStrike


attr(CapletVolatilityStructure_maxStrike, 'returnType') = 'numeric'
attr(CapletVolatilityStructure_maxStrike, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_maxStrike) = c("SWIGFunction", class(CapletVolatilityStructure_maxStrike))

setGeneric('CapletVolatilityStructure_volatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapletVolatilityStructure_volatility'))
attr(CapletVolatilityStructure_volatility, 'returnType') = 'numeric'
setMethod('CapletVolatilityStructure_volatility', c('_p_boost__shared_ptrTCapletVolatilityStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_CapletVolatilityStructure_volatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapletVolatilityStructure_volatility', c('_p_boost__shared_ptrTCapletVolatilityStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapletVolatilityStructure_volatility__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapletVolatilityStructure_volatility', c('_p_boost__shared_ptrTCapletVolatilityStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_CapletVolatilityStructure_volatility__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapletVolatilityStructure_volatility', c('_p_boost__shared_ptrTCapletVolatilityStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapletVolatilityStructure_volatility__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of CapletVolatilityStructure_enableExtrapolation

CapletVolatilityStructure_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructure_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructure_enableExtrapolation


attr(CapletVolatilityStructure_enableExtrapolation, 'returnType') = 'void'
attr(CapletVolatilityStructure_enableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_enableExtrapolation) = c("SWIGFunction", class(CapletVolatilityStructure_enableExtrapolation))

# Start of CapletVolatilityStructure_disableExtrapolation

CapletVolatilityStructure_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructure_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructure_disableExtrapolation


attr(CapletVolatilityStructure_disableExtrapolation, 'returnType') = 'void'
attr(CapletVolatilityStructure_disableExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_disableExtrapolation) = c("SWIGFunction", class(CapletVolatilityStructure_disableExtrapolation))

# Start of CapletVolatilityStructure_allowsExtrapolation

CapletVolatilityStructure_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructure_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructure_allowsExtrapolation


attr(CapletVolatilityStructure_allowsExtrapolation, 'returnType') = 'logical'
attr(CapletVolatilityStructure_allowsExtrapolation, "inputTypes") = c('_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructure_allowsExtrapolation) = c("SWIGFunction", class(CapletVolatilityStructure_allowsExtrapolation))

# Start of accessor method for boost::shared_ptr<(CapletVolatilityStructure)>
setMethod('$', '_p_boost__shared_ptrTCapletVolatilityStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = CapletVolatilityStructure___deref__, 'isNull' = CapletVolatilityStructure_isNull, 'asObservable' = CapletVolatilityStructure_asObservable, 'referenceDate' = CapletVolatilityStructure_referenceDate, 'dayCounter' = CapletVolatilityStructure_dayCounter, 'calendar' = CapletVolatilityStructure_calendar, 'maxDate' = CapletVolatilityStructure_maxDate, 'maxTime' = CapletVolatilityStructure_maxTime, 'minStrike' = CapletVolatilityStructure_minStrike, 'maxStrike' = CapletVolatilityStructure_maxStrike, 'volatility' = CapletVolatilityStructure_volatility, 'volatility' = CapletVolatilityStructure_volatility, 'volatility' = CapletVolatilityStructure_volatility, 'volatility' = CapletVolatilityStructure_volatility, 'enableExtrapolation' = CapletVolatilityStructure_enableExtrapolation, 'disableExtrapolation' = CapletVolatilityStructure_disableExtrapolation, 'allowsExtrapolation' = CapletVolatilityStructure_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(CapletVolatilityStructure)>
setGeneric('CapletVolatilityStructureHandle', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapletVolatilityStructureHandle'))
attr(CapletVolatilityStructureHandle, 'returnType') = '_p_HandleTCapletVolatilityStructure_t'
setMethod('CapletVolatilityStructureHandle', c('_p_boost__shared_ptrTCapletVolatilityStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_new_CapletVolatilityStructureHandle__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTCapletVolatilityStructure_t"
  
  ans
  
}

)
setMethod('CapletVolatilityStructureHandle', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_CapletVolatilityStructureHandle__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTCapletVolatilityStructure_t"
  
  ans
  
}

)
# Start of CapletVolatilityStructureHandle___deref__

CapletVolatilityStructureHandle___deref__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructureHandle___deref__', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCapletVolatilityStructure_t"
  
  ans
  
}
# End of CapletVolatilityStructureHandle___deref__


attr(CapletVolatilityStructureHandle___deref__, 'returnType') = '_p_boost__shared_ptrTCapletVolatilityStructure_t'
attr(CapletVolatilityStructureHandle___deref__, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle___deref__) = c("SWIGFunction", class(CapletVolatilityStructureHandle___deref__))

# Start of CapletVolatilityStructureHandle_linkTo

CapletVolatilityStructureHandle_linkTo = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_linkTo', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_linkTo


attr(CapletVolatilityStructureHandle_linkTo, 'returnType') = 'void'
attr(CapletVolatilityStructureHandle_linkTo, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t', '_p_boost__shared_ptrTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_linkTo) = c("SWIGFunction", class(CapletVolatilityStructureHandle_linkTo))

# Start of CapletVolatilityStructureHandle_empty

CapletVolatilityStructureHandle_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_empty


attr(CapletVolatilityStructureHandle_empty, 'returnType') = 'logical'
attr(CapletVolatilityStructureHandle_empty, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_empty) = c("SWIGFunction", class(CapletVolatilityStructureHandle_empty))

# Start of CapletVolatilityStructureHandle_asObservable

CapletVolatilityStructureHandle_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructureHandle_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of CapletVolatilityStructureHandle_asObservable


attr(CapletVolatilityStructureHandle_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(CapletVolatilityStructureHandle_asObservable, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_asObservable) = c("SWIGFunction", class(CapletVolatilityStructureHandle_asObservable))

# Start of delete_CapletVolatilityStructureHandle

delete_CapletVolatilityStructureHandle = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_delete_CapletVolatilityStructureHandle', self, PACKAGE='QuantLib')
  
}
# End of delete_CapletVolatilityStructureHandle


attr(delete_CapletVolatilityStructureHandle, 'returnType') = 'void'
attr(delete_CapletVolatilityStructureHandle, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(delete_CapletVolatilityStructureHandle) = c("SWIGFunction", class(delete_CapletVolatilityStructureHandle))

# Start of CapletVolatilityStructureHandle_referenceDate

CapletVolatilityStructureHandle_referenceDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructureHandle_referenceDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of CapletVolatilityStructureHandle_referenceDate


attr(CapletVolatilityStructureHandle_referenceDate, 'returnType') = '_p_Date'
attr(CapletVolatilityStructureHandle_referenceDate, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_referenceDate) = c("SWIGFunction", class(CapletVolatilityStructureHandle_referenceDate))

# Start of CapletVolatilityStructureHandle_dayCounter

CapletVolatilityStructureHandle_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructureHandle_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of CapletVolatilityStructureHandle_dayCounter


attr(CapletVolatilityStructureHandle_dayCounter, 'returnType') = '_p_DayCounter'
attr(CapletVolatilityStructureHandle_dayCounter, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_dayCounter) = c("SWIGFunction", class(CapletVolatilityStructureHandle_dayCounter))

# Start of CapletVolatilityStructureHandle_calendar

CapletVolatilityStructureHandle_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructureHandle_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of CapletVolatilityStructureHandle_calendar


attr(CapletVolatilityStructureHandle_calendar, 'returnType') = '_p_Calendar'
attr(CapletVolatilityStructureHandle_calendar, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_calendar) = c("SWIGFunction", class(CapletVolatilityStructureHandle_calendar))

# Start of CapletVolatilityStructureHandle_maxDate

CapletVolatilityStructureHandle_maxDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  ans = .Call('R_swig_CapletVolatilityStructureHandle_maxDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of CapletVolatilityStructureHandle_maxDate


attr(CapletVolatilityStructureHandle_maxDate, 'returnType') = '_p_Date'
attr(CapletVolatilityStructureHandle_maxDate, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_maxDate) = c("SWIGFunction", class(CapletVolatilityStructureHandle_maxDate))

# Start of CapletVolatilityStructureHandle_maxTime

CapletVolatilityStructureHandle_maxTime = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_maxTime', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_maxTime


attr(CapletVolatilityStructureHandle_maxTime, 'returnType') = 'numeric'
attr(CapletVolatilityStructureHandle_maxTime, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_maxTime) = c("SWIGFunction", class(CapletVolatilityStructureHandle_maxTime))

# Start of CapletVolatilityStructureHandle_minStrike

CapletVolatilityStructureHandle_minStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_minStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_minStrike


attr(CapletVolatilityStructureHandle_minStrike, 'returnType') = 'numeric'
attr(CapletVolatilityStructureHandle_minStrike, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_minStrike) = c("SWIGFunction", class(CapletVolatilityStructureHandle_minStrike))

# Start of CapletVolatilityStructureHandle_maxStrike

CapletVolatilityStructureHandle_maxStrike = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_maxStrike', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_maxStrike


attr(CapletVolatilityStructureHandle_maxStrike, 'returnType') = 'numeric'
attr(CapletVolatilityStructureHandle_maxStrike, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_maxStrike) = c("SWIGFunction", class(CapletVolatilityStructureHandle_maxStrike))

setGeneric('CapletVolatilityStructureHandle_volatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapletVolatilityStructureHandle_volatility'))
attr(CapletVolatilityStructureHandle_volatility, 'returnType') = 'numeric'
setMethod('CapletVolatilityStructureHandle_volatility', c('_p_HandleTCapletVolatilityStructure_t', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTCapletVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_CapletVolatilityStructureHandle_volatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapletVolatilityStructureHandle_volatility', c('_p_HandleTCapletVolatilityStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTCapletVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapletVolatilityStructureHandle_volatility__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapletVolatilityStructureHandle_volatility', c('_p_HandleTCapletVolatilityStructure_t', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTCapletVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_CapletVolatilityStructureHandle_volatility__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapletVolatilityStructureHandle_volatility', c('_p_HandleTCapletVolatilityStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTCapletVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapletVolatilityStructureHandle_volatility__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of CapletVolatilityStructureHandle_enableExtrapolation

CapletVolatilityStructureHandle_enableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_enableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_enableExtrapolation


attr(CapletVolatilityStructureHandle_enableExtrapolation, 'returnType') = 'void'
attr(CapletVolatilityStructureHandle_enableExtrapolation, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_enableExtrapolation) = c("SWIGFunction", class(CapletVolatilityStructureHandle_enableExtrapolation))

# Start of CapletVolatilityStructureHandle_disableExtrapolation

CapletVolatilityStructureHandle_disableExtrapolation = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_disableExtrapolation', self, PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_disableExtrapolation


attr(CapletVolatilityStructureHandle_disableExtrapolation, 'returnType') = 'void'
attr(CapletVolatilityStructureHandle_disableExtrapolation, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_disableExtrapolation) = c("SWIGFunction", class(CapletVolatilityStructureHandle_disableExtrapolation))

# Start of CapletVolatilityStructureHandle_allowsExtrapolation

CapletVolatilityStructureHandle_allowsExtrapolation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_CapletVolatilityStructureHandle_allowsExtrapolation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapletVolatilityStructureHandle_allowsExtrapolation


attr(CapletVolatilityStructureHandle_allowsExtrapolation, 'returnType') = 'logical'
attr(CapletVolatilityStructureHandle_allowsExtrapolation, "inputTypes") = c('_p_HandleTCapletVolatilityStructure_t')
class(CapletVolatilityStructureHandle_allowsExtrapolation) = c("SWIGFunction", class(CapletVolatilityStructureHandle_allowsExtrapolation))

# Start of accessor method for Handle<(CapletVolatilityStructure)>
setMethod('$', '_p_HandleTCapletVolatilityStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = CapletVolatilityStructureHandle___deref__, 'linkTo' = CapletVolatilityStructureHandle_linkTo, 'empty' = CapletVolatilityStructureHandle_empty, 'asObservable' = CapletVolatilityStructureHandle_asObservable, 'referenceDate' = CapletVolatilityStructureHandle_referenceDate, 'dayCounter' = CapletVolatilityStructureHandle_dayCounter, 'calendar' = CapletVolatilityStructureHandle_calendar, 'maxDate' = CapletVolatilityStructureHandle_maxDate, 'maxTime' = CapletVolatilityStructureHandle_maxTime, 'minStrike' = CapletVolatilityStructureHandle_minStrike, 'maxStrike' = CapletVolatilityStructureHandle_maxStrike, 'volatility' = CapletVolatilityStructureHandle_volatility, 'volatility' = CapletVolatilityStructureHandle_volatility, 'volatility' = CapletVolatilityStructureHandle_volatility, 'volatility' = CapletVolatilityStructureHandle_volatility, 'enableExtrapolation' = CapletVolatilityStructureHandle_enableExtrapolation, 'disableExtrapolation' = CapletVolatilityStructureHandle_disableExtrapolation, 'allowsExtrapolation' = CapletVolatilityStructureHandle_allowsExtrapolation)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Handle<(CapletVolatilityStructure)>
setGeneric('BlackConstantVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackConstantVol'))
attr(BlackConstantVol, 'returnType') = '_p_BlackConstantVolPtr'
setMethod('BlackConstantVol', c('_p_Date', 'numeric', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_BlackConstantVol__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackConstantVolPtr"
  
  ans
  
}

)
setMethod('BlackConstantVol', c('_p_Date', '_p_HandleTQuote_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_BlackConstantVol__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackConstantVolPtr"
  
  ans
  
}

)
setMethod('BlackConstantVol', c('numeric', '_p_Calendar', 'numeric', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_BlackConstantVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackConstantVolPtr"
  
  ans
  
}

)
setMethod('BlackConstantVol', c('numeric', '_p_Calendar', '_p_HandleTQuote_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_BlackConstantVol__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackConstantVolPtr"
  
  ans
  
}

)
# Start of delete_BlackConstantVol

delete_BlackConstantVol = function(self)
{
  coerceIfNotSubclass(self, "_p_BlackConstantVolPtr") 
  .Call('R_swig_delete_BlackConstantVol', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackConstantVol


attr(delete_BlackConstantVol, 'returnType') = 'void'
attr(delete_BlackConstantVol, "inputTypes") = c('_p_BlackConstantVolPtr')
class(delete_BlackConstantVol) = c("SWIGFunction", class(delete_BlackConstantVol))

setGeneric('BlackVarianceSurface', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackVarianceSurface'))
attr(BlackVarianceSurface, 'returnType') = '_p_BlackVarianceSurfacePtr'
setMethod('BlackVarianceSurface', c('_p_Date', '_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_Matrix', '_p_DayCounter', '_p_VolExtrapolationType', '_p_VolExtrapolationType'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_Matrix") 
  coerceIfNotSubclass(s_arg5, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg6, "_p_VolExtrapolationType") 
  coerceIfNotSubclass(s_arg7, "_p_VolExtrapolationType") 
  ans = .Call('R_swig_new_BlackVarianceSurface__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackVarianceSurfacePtr"
  
  ans
  
}

)
setMethod('BlackVarianceSurface', c('_p_Date', '_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_Matrix', '_p_DayCounter', '_p_VolExtrapolationType'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_Matrix") 
  coerceIfNotSubclass(s_arg5, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg6, "_p_VolExtrapolationType") 
  ans = .Call('R_swig_new_BlackVarianceSurface__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackVarianceSurfacePtr"
  
  ans
  
}

)
setMethod('BlackVarianceSurface', c('_p_Date', '_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_Matrix', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_Matrix") 
  coerceIfNotSubclass(s_arg5, "_p_DayCounter") 
  ans = .Call('R_swig_new_BlackVarianceSurface__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackVarianceSurfacePtr"
  
  ans
  
}

)
# Start of delete_BlackVarianceSurface

delete_BlackVarianceSurface = function(self)
{
  coerceIfNotSubclass(self, "_p_BlackVarianceSurfacePtr") 
  .Call('R_swig_delete_BlackVarianceSurface', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackVarianceSurface


attr(delete_BlackVarianceSurface, 'returnType') = 'void'
attr(delete_BlackVarianceSurface, "inputTypes") = c('_p_BlackVarianceSurfacePtr')
class(delete_BlackVarianceSurface) = c("SWIGFunction", class(delete_BlackVarianceSurface))

setGeneric('LocalConstantVol', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('LocalConstantVol'))
attr(LocalConstantVol, 'returnType') = '_p_LocalConstantVolPtr'
setMethod('LocalConstantVol', c('_p_Date', 'numeric', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_LocalConstantVol__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_LocalConstantVolPtr"
  
  ans
  
}

)
setMethod('LocalConstantVol', c('_p_Date', '_p_HandleTQuote_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_LocalConstantVol__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_LocalConstantVolPtr"
  
  ans
  
}

)
setMethod('LocalConstantVol', c('numeric', '_p_Calendar', 'numeric', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_LocalConstantVol__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_LocalConstantVolPtr"
  
  ans
  
}

)
setMethod('LocalConstantVol', c('numeric', '_p_Calendar', '_p_HandleTQuote_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_LocalConstantVol__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_LocalConstantVolPtr"
  
  ans
  
}

)
# Start of delete_LocalConstantVol

delete_LocalConstantVol = function(self)
{
  coerceIfNotSubclass(self, "_p_LocalConstantVolPtr") 
  .Call('R_swig_delete_LocalConstantVol', self, PACKAGE='QuantLib')
  
}
# End of delete_LocalConstantVol


attr(delete_LocalConstantVol, 'returnType') = 'void'
attr(delete_LocalConstantVol, "inputTypes") = c('_p_LocalConstantVolPtr')
class(delete_LocalConstantVol) = c("SWIGFunction", class(delete_LocalConstantVol))

setGeneric('CapletConstantVolatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapletConstantVolatility'))
attr(CapletConstantVolatility, 'returnType') = '_p_CapletConstantVolatilityPtr'
setMethod('CapletConstantVolatility', c('_p_Date', 'numeric', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_CapletConstantVolatility__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_CapletConstantVolatilityPtr"
  
  ans
  
}

)
setMethod('CapletConstantVolatility', c('_p_Date', '_p_HandleTQuote_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_CapletConstantVolatility__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_CapletConstantVolatilityPtr"
  
  ans
  
}

)
setMethod('CapletConstantVolatility', c('numeric', '_p_Calendar', 'numeric', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_CapletConstantVolatility__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_CapletConstantVolatilityPtr"
  
  ans
  
}

)
setMethod('CapletConstantVolatility', c('numeric', '_p_Calendar', '_p_HandleTQuote_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_CapletConstantVolatility__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_CapletConstantVolatilityPtr"
  
  ans
  
}

)
# Start of delete_CapletConstantVolatility

delete_CapletConstantVolatility = function(self)
{
  coerceIfNotSubclass(self, "_p_CapletConstantVolatilityPtr") 
  .Call('R_swig_delete_CapletConstantVolatility', self, PACKAGE='QuantLib')
  
}
# End of delete_CapletConstantVolatility


attr(delete_CapletConstantVolatility, 'returnType') = 'void'
attr(delete_CapletConstantVolatility, "inputTypes") = c('_p_CapletConstantVolatilityPtr')
class(delete_CapletConstantVolatility) = c("SWIGFunction", class(delete_CapletConstantVolatility))

# Start of CashFlow___deref__

CashFlow___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCashFlow_t") 
  ans = .Call('R_swig_CashFlow___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_CashFlow"
  
  ans
  
}
# End of CashFlow___deref__


attr(CashFlow___deref__, 'returnType') = '_p_CashFlow'
attr(CashFlow___deref__, "inputTypes") = c('_p_boost__shared_ptrTCashFlow_t')
class(CashFlow___deref__) = c("SWIGFunction", class(CashFlow___deref__))

# Start of CashFlow_isNull

CashFlow_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_CashFlow_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CashFlow_isNull


attr(CashFlow_isNull, 'returnType') = 'logical'
attr(CashFlow_isNull, "inputTypes") = c('_p_boost__shared_ptrTCashFlow_t')
class(CashFlow_isNull) = c("SWIGFunction", class(CashFlow_isNull))

# Start of CashFlow_asObservable

CashFlow_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCashFlow_t") 
  ans = .Call('R_swig_CashFlow_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of CashFlow_asObservable


attr(CashFlow_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(CashFlow_asObservable, "inputTypes") = c('_p_boost__shared_ptrTCashFlow_t')
class(CashFlow_asObservable) = c("SWIGFunction", class(CashFlow_asObservable))

# Start of new_CashFlow

CashFlow = function()
{
  ans = .Call('R_swig_new_CashFlow', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCashFlow_t"
  
  ans
  
}
# End of new_CashFlow


attr(CashFlow, 'returnType') = '_p_boost__shared_ptrTCashFlow_t'
class(CashFlow) = c("SWIGFunction", class(CashFlow))

# Start of delete_CashFlow

delete_CashFlow = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_delete_CashFlow', self, PACKAGE='QuantLib')
  
}
# End of delete_CashFlow


attr(delete_CashFlow, 'returnType') = 'void'
attr(delete_CashFlow, "inputTypes") = c('_p_boost__shared_ptrTCashFlow_t')
class(delete_CashFlow) = c("SWIGFunction", class(delete_CashFlow))

# Start of CashFlow_amount

CashFlow_amount = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_CashFlow_amount', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CashFlow_amount


attr(CashFlow_amount, 'returnType') = 'numeric'
attr(CashFlow_amount, "inputTypes") = c('_p_boost__shared_ptrTCashFlow_t')
class(CashFlow_amount) = c("SWIGFunction", class(CashFlow_amount))

# Start of CashFlow_date

CashFlow_date = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCashFlow_t") 
  ans = .Call('R_swig_CashFlow_date', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of CashFlow_date


attr(CashFlow_date, 'returnType') = '_p_Date'
attr(CashFlow_date, "inputTypes") = c('_p_boost__shared_ptrTCashFlow_t')
class(CashFlow_date) = c("SWIGFunction", class(CashFlow_date))

# Start of accessor method for boost::shared_ptr<(CashFlow)>
setMethod('$', '_p_boost__shared_ptrTCashFlow_t', function(x, name)

{
  accessorFuns = list('operator ->' = CashFlow___deref__, 'isNull' = CashFlow_isNull, 'asObservable' = CashFlow_asObservable, 'amount' = CashFlow_amount, 'date' = CashFlow_date)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(CashFlow)>
# Start of new_SimpleCashFlow

SimpleCashFlow = function(amount, date)
{
  amount = as.numeric(amount) 
  coerceIfNotSubclass(date, "_p_Date") 
  ans = .Call('R_swig_new_SimpleCashFlow', amount, date, PACKAGE='QuantLib')
  class(ans) <- "_p_SimpleCashFlowPtr"
  
  ans
  
}
# End of new_SimpleCashFlow


attr(SimpleCashFlow, 'returnType') = '_p_SimpleCashFlowPtr'
attr(SimpleCashFlow, "inputTypes") = c('numeric', '_p_Date')
class(SimpleCashFlow) = c("SWIGFunction", class(SimpleCashFlow))

# Start of delete_SimpleCashFlow

delete_SimpleCashFlow = function(self)
{
  coerceIfNotSubclass(self, "_p_SimpleCashFlowPtr") 
  .Call('R_swig_delete_SimpleCashFlow', self, PACKAGE='QuantLib')
  
}
# End of delete_SimpleCashFlow


attr(delete_SimpleCashFlow, 'returnType') = 'void'
attr(delete_SimpleCashFlow, "inputTypes") = c('_p_SimpleCashFlowPtr')
class(delete_SimpleCashFlow) = c("SWIGFunction", class(delete_SimpleCashFlow))

setGeneric('FixedRateCoupon', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FixedRateCoupon'))
attr(FixedRateCoupon, 'returnType') = '_p_FixedRateCouponPtr'
setMethod('FixedRateCoupon', c('numeric', '_p_Date', 'numeric', '_p_DayCounter', '_p_Date', '_p_Date', '_p_Date', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  coerceIfNotSubclass(s_arg7, "_p_Date") 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  ans = .Call('R_swig_new_FixedRateCoupon__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedRateCouponPtr"
  
  ans
  
}

)
setMethod('FixedRateCoupon', c('numeric', '_p_Date', 'numeric', '_p_DayCounter', '_p_Date', '_p_Date', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  coerceIfNotSubclass(s_arg7, "_p_Date") 
  ans = .Call('R_swig_new_FixedRateCoupon__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedRateCouponPtr"
  
  ans
  
}

)
setMethod('FixedRateCoupon', c('numeric', '_p_Date', 'numeric', '_p_DayCounter', '_p_Date', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  ans = .Call('R_swig_new_FixedRateCoupon__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedRateCouponPtr"
  
  ans
  
}

)
# Start of delete_FixedRateCoupon

delete_FixedRateCoupon = function(self)
{
  coerceIfNotSubclass(self, "_p_FixedRateCouponPtr") 
  .Call('R_swig_delete_FixedRateCoupon', self, PACKAGE='QuantLib')
  
}
# End of delete_FixedRateCoupon


attr(delete_FixedRateCoupon, 'returnType') = 'void'
attr(delete_FixedRateCoupon, "inputTypes") = c('_p_FixedRateCouponPtr')
class(delete_FixedRateCoupon) = c("SWIGFunction", class(delete_FixedRateCoupon))

setGeneric('ParCoupon', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ParCoupon'))
attr(ParCoupon, 'returnType') = '_p_ParCouponPtr'
setMethod('ParCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  coerceIfNotSubclass(s_arg9, "_p_Date") 
  ans = .Call('R_swig_new_ParCoupon__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, PACKAGE='QuantLib')
  class(ans) <- "_p_ParCouponPtr"
  
  ans
  
}

)
setMethod('ParCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  ans = .Call('R_swig_new_ParCoupon__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_ParCouponPtr"
  
  ans
  
}

)
setMethod('ParCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  ans = .Call('R_swig_new_ParCoupon__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_ParCouponPtr"
  
  ans
  
}

)
setMethod('ParCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_new_ParCoupon__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_ParCouponPtr"
  
  ans
  
}

)
# Start of ParCoupon_accrualStartDate

ParCoupon_accrualStartDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ParCouponPtr") 
  ans = .Call('R_swig_ParCoupon_accrualStartDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of ParCoupon_accrualStartDate


attr(ParCoupon_accrualStartDate, 'returnType') = '_p_Date'
attr(ParCoupon_accrualStartDate, "inputTypes") = c('_p_ParCouponPtr')
class(ParCoupon_accrualStartDate) = c("SWIGFunction", class(ParCoupon_accrualStartDate))

# Start of ParCoupon_accrualEndDate

ParCoupon_accrualEndDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ParCouponPtr") 
  ans = .Call('R_swig_ParCoupon_accrualEndDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of ParCoupon_accrualEndDate


attr(ParCoupon_accrualEndDate, 'returnType') = '_p_Date'
attr(ParCoupon_accrualEndDate, "inputTypes") = c('_p_ParCouponPtr')
class(ParCoupon_accrualEndDate) = c("SWIGFunction", class(ParCoupon_accrualEndDate))

# Start of ParCoupon_rate

ParCoupon_rate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ParCouponPtr") 
  .Call('R_swig_ParCoupon_rate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of ParCoupon_rate


attr(ParCoupon_rate, 'returnType') = 'numeric'
attr(ParCoupon_rate, "inputTypes") = c('_p_ParCouponPtr')
class(ParCoupon_rate) = c("SWIGFunction", class(ParCoupon_rate))

# Start of ParCoupon_indexFixing

ParCoupon_indexFixing = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ParCouponPtr") 
  .Call('R_swig_ParCoupon_indexFixing', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of ParCoupon_indexFixing


attr(ParCoupon_indexFixing, 'returnType') = 'numeric'
attr(ParCoupon_indexFixing, "inputTypes") = c('_p_ParCouponPtr')
class(ParCoupon_indexFixing) = c("SWIGFunction", class(ParCoupon_indexFixing))

# Start of ParCoupon_nominal

ParCoupon_nominal = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ParCouponPtr") 
  .Call('R_swig_ParCoupon_nominal', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of ParCoupon_nominal


attr(ParCoupon_nominal, 'returnType') = 'numeric'
attr(ParCoupon_nominal, "inputTypes") = c('_p_ParCouponPtr')
class(ParCoupon_nominal) = c("SWIGFunction", class(ParCoupon_nominal))

# Start of delete_ParCoupon

delete_ParCoupon = function(self)
{
  coerceIfNotSubclass(self, "_p_ParCouponPtr") 
  .Call('R_swig_delete_ParCoupon', self, PACKAGE='QuantLib')
  
}
# End of delete_ParCoupon


attr(delete_ParCoupon, 'returnType') = 'void'
attr(delete_ParCoupon, "inputTypes") = c('_p_ParCouponPtr')
class(delete_ParCoupon) = c("SWIGFunction", class(delete_ParCoupon))

# Start of accessor method for ParCouponPtr
setMethod('$', '_p_ParCouponPtr', function(x, name)

{
  accessorFuns = list('accrualStartDate' = ParCoupon_accrualStartDate, 'accrualEndDate' = ParCoupon_accrualEndDate, 'rate' = ParCoupon_rate, 'indexFixing' = ParCoupon_indexFixing, 'nominal' = ParCoupon_nominal)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for ParCouponPtr
# Start of FloatingRateCoupon_rate

FloatingRateCoupon_rate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_FloatingRateCouponPtr") 
  .Call('R_swig_FloatingRateCoupon_rate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of FloatingRateCoupon_rate


attr(FloatingRateCoupon_rate, 'returnType') = 'numeric'
attr(FloatingRateCoupon_rate, "inputTypes") = c('_p_FloatingRateCouponPtr')
class(FloatingRateCoupon_rate) = c("SWIGFunction", class(FloatingRateCoupon_rate))

# Start of FloatingRateCoupon_fixingDays

FloatingRateCoupon_fixingDays = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_FloatingRateCouponPtr") 
  .Call('R_swig_FloatingRateCoupon_fixingDays', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of FloatingRateCoupon_fixingDays


attr(FloatingRateCoupon_fixingDays, 'returnType') = 'numeric'
attr(FloatingRateCoupon_fixingDays, "inputTypes") = c('_p_FloatingRateCouponPtr')
class(FloatingRateCoupon_fixingDays) = c("SWIGFunction", class(FloatingRateCoupon_fixingDays))

# Start of FloatingRateCoupon_spread

FloatingRateCoupon_spread = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_FloatingRateCouponPtr") 
  .Call('R_swig_FloatingRateCoupon_spread', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of FloatingRateCoupon_spread


attr(FloatingRateCoupon_spread, 'returnType') = 'numeric'
attr(FloatingRateCoupon_spread, "inputTypes") = c('_p_FloatingRateCouponPtr')
class(FloatingRateCoupon_spread) = c("SWIGFunction", class(FloatingRateCoupon_spread))

# Start of FloatingRateCoupon_indexFixing

FloatingRateCoupon_indexFixing = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_FloatingRateCouponPtr") 
  .Call('R_swig_FloatingRateCoupon_indexFixing', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of FloatingRateCoupon_indexFixing


attr(FloatingRateCoupon_indexFixing, 'returnType') = 'numeric'
attr(FloatingRateCoupon_indexFixing, "inputTypes") = c('_p_FloatingRateCouponPtr')
class(FloatingRateCoupon_indexFixing) = c("SWIGFunction", class(FloatingRateCoupon_indexFixing))

# Start of FloatingRateCoupon_fixingDate

FloatingRateCoupon_fixingDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_FloatingRateCouponPtr") 
  ans = .Call('R_swig_FloatingRateCoupon_fixingDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of FloatingRateCoupon_fixingDate


attr(FloatingRateCoupon_fixingDate, 'returnType') = '_p_Date'
attr(FloatingRateCoupon_fixingDate, "inputTypes") = c('_p_FloatingRateCouponPtr')
class(FloatingRateCoupon_fixingDate) = c("SWIGFunction", class(FloatingRateCoupon_fixingDate))

# Start of new_FloatingRateCoupon

FloatingRateCoupon = function()
{
  ans = .Call('R_swig_new_FloatingRateCoupon', PACKAGE='QuantLib')
  class(ans) <- "_p_FloatingRateCouponPtr"
  
  ans
  
}
# End of new_FloatingRateCoupon


attr(FloatingRateCoupon, 'returnType') = '_p_FloatingRateCouponPtr'
class(FloatingRateCoupon) = c("SWIGFunction", class(FloatingRateCoupon))

# Start of delete_FloatingRateCoupon

delete_FloatingRateCoupon = function(self)
{
  coerceIfNotSubclass(self, "_p_FloatingRateCouponPtr") 
  .Call('R_swig_delete_FloatingRateCoupon', self, PACKAGE='QuantLib')
  
}
# End of delete_FloatingRateCoupon


attr(delete_FloatingRateCoupon, 'returnType') = 'void'
attr(delete_FloatingRateCoupon, "inputTypes") = c('_p_FloatingRateCouponPtr')
class(delete_FloatingRateCoupon) = c("SWIGFunction", class(delete_FloatingRateCoupon))

# Start of accessor method for FloatingRateCouponPtr
setMethod('$', '_p_FloatingRateCouponPtr', function(x, name)

{
  accessorFuns = list('rate' = FloatingRateCoupon_rate, 'fixingDays' = FloatingRateCoupon_fixingDays, 'spread' = FloatingRateCoupon_spread, 'indexFixing' = FloatingRateCoupon_indexFixing, 'fixingDate' = FloatingRateCoupon_fixingDate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for FloatingRateCouponPtr
# Start of new_IndexedCoupon

IndexedCoupon = function()
{
  ans = .Call('R_swig_new_IndexedCoupon', PACKAGE='QuantLib')
  class(ans) <- "_p_IndexedCouponPtr"
  
  ans
  
}
# End of new_IndexedCoupon


attr(IndexedCoupon, 'returnType') = '_p_IndexedCouponPtr'
class(IndexedCoupon) = c("SWIGFunction", class(IndexedCoupon))

# Start of delete_IndexedCoupon

delete_IndexedCoupon = function(self)
{
  coerceIfNotSubclass(self, "_p_IndexedCouponPtr") 
  .Call('R_swig_delete_IndexedCoupon', self, PACKAGE='QuantLib')
  
}
# End of delete_IndexedCoupon


attr(delete_IndexedCoupon, 'returnType') = 'void'
attr(delete_IndexedCoupon, "inputTypes") = c('_p_IndexedCouponPtr')
class(delete_IndexedCoupon) = c("SWIGFunction", class(delete_IndexedCoupon))

setGeneric('UpFrontIndexedCoupon', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('UpFrontIndexedCoupon'))
attr(UpFrontIndexedCoupon, 'returnType') = '_p_UpFrontIndexedCouponPtr'
setMethod('UpFrontIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date', '_p_Date', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  coerceIfNotSubclass(s_arg9, "_p_Date") 
  coerceIfNotSubclass(s_arg10, "_p_DayCounter") 
  ans = .Call('R_swig_new_UpFrontIndexedCoupon__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, PACKAGE='QuantLib')
  class(ans) <- "_p_UpFrontIndexedCouponPtr"
  
  ans
  
}

)
setMethod('UpFrontIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  coerceIfNotSubclass(s_arg9, "_p_Date") 
  ans = .Call('R_swig_new_UpFrontIndexedCoupon__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, PACKAGE='QuantLib')
  class(ans) <- "_p_UpFrontIndexedCouponPtr"
  
  ans
  
}

)
setMethod('UpFrontIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  ans = .Call('R_swig_new_UpFrontIndexedCoupon__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_UpFrontIndexedCouponPtr"
  
  ans
  
}

)
setMethod('UpFrontIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  ans = .Call('R_swig_new_UpFrontIndexedCoupon__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_UpFrontIndexedCouponPtr"
  
  ans
  
}

)
setMethod('UpFrontIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_new_UpFrontIndexedCoupon__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_UpFrontIndexedCouponPtr"
  
  ans
  
}

)
# Start of delete_UpFrontIndexedCoupon

delete_UpFrontIndexedCoupon = function(self)
{
  coerceIfNotSubclass(self, "_p_UpFrontIndexedCouponPtr") 
  .Call('R_swig_delete_UpFrontIndexedCoupon', self, PACKAGE='QuantLib')
  
}
# End of delete_UpFrontIndexedCoupon


attr(delete_UpFrontIndexedCoupon, 'returnType') = 'void'
attr(delete_UpFrontIndexedCoupon, "inputTypes") = c('_p_UpFrontIndexedCouponPtr')
class(delete_UpFrontIndexedCoupon) = c("SWIGFunction", class(delete_UpFrontIndexedCoupon))

setGeneric('InArrearIndexedCoupon', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InArrearIndexedCoupon'))
attr(InArrearIndexedCoupon, 'returnType') = '_p_InArrearIndexedCouponPtr'
setMethod('InArrearIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date', '_p_Date', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  coerceIfNotSubclass(s_arg9, "_p_Date") 
  coerceIfNotSubclass(s_arg10, "_p_DayCounter") 
  ans = .Call('R_swig_new_InArrearIndexedCoupon__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, PACKAGE='QuantLib')
  class(ans) <- "_p_InArrearIndexedCouponPtr"
  
  ans
  
}

)
setMethod('InArrearIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  coerceIfNotSubclass(s_arg9, "_p_Date") 
  ans = .Call('R_swig_new_InArrearIndexedCoupon__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, PACKAGE='QuantLib')
  class(ans) <- "_p_InArrearIndexedCouponPtr"
  
  ans
  
}

)
setMethod('InArrearIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  ans = .Call('R_swig_new_InArrearIndexedCoupon__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_InArrearIndexedCouponPtr"
  
  ans
  
}

)
setMethod('InArrearIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  ans = .Call('R_swig_new_InArrearIndexedCoupon__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_InArrearIndexedCouponPtr"
  
  ans
  
}

)
setMethod('InArrearIndexedCoupon', c('numeric', '_p_Date', '_p_XiborPtr', '_p_Date', '_p_Date', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_XiborPtr") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  coerceIfNotSubclass(s_arg5, "_p_Date") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_new_InArrearIndexedCoupon__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_InArrearIndexedCouponPtr"
  
  ans
  
}

)
# Start of InArrearIndexedCoupon_setCapletVolatility

InArrearIndexedCoupon_setCapletVolatility = function(self, c)
{
  coerceIfNotSubclass(self, "_p_InArrearIndexedCouponPtr") 
  coerceIfNotSubclass(c, "_p_HandleTCapletVolatilityStructure_t") 
  .Call('R_swig_InArrearIndexedCoupon_setCapletVolatility', self, c, PACKAGE='QuantLib')
  
}
# End of InArrearIndexedCoupon_setCapletVolatility


attr(InArrearIndexedCoupon_setCapletVolatility, 'returnType') = 'void'
attr(InArrearIndexedCoupon_setCapletVolatility, "inputTypes") = c('_p_InArrearIndexedCouponPtr', '_p_HandleTCapletVolatilityStructure_t')
class(InArrearIndexedCoupon_setCapletVolatility) = c("SWIGFunction", class(InArrearIndexedCoupon_setCapletVolatility))

# Start of delete_InArrearIndexedCoupon

delete_InArrearIndexedCoupon = function(self)
{
  coerceIfNotSubclass(self, "_p_InArrearIndexedCouponPtr") 
  .Call('R_swig_delete_InArrearIndexedCoupon', self, PACKAGE='QuantLib')
  
}
# End of delete_InArrearIndexedCoupon


attr(delete_InArrearIndexedCoupon, 'returnType') = 'void'
attr(delete_InArrearIndexedCoupon, "inputTypes") = c('_p_InArrearIndexedCouponPtr')
class(delete_InArrearIndexedCoupon) = c("SWIGFunction", class(delete_InArrearIndexedCoupon))

# Start of accessor method for InArrearIndexedCouponPtr
setMethod('$', '_p_InArrearIndexedCouponPtr', function(x, name)

{
  accessorFuns = list('setCapletVolatility' = InArrearIndexedCoupon_setCapletVolatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InArrearIndexedCouponPtr
# Start of CashFlowVector___nonzero__

CashFlowVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CashFlowVector___nonzero__


attr(CashFlowVector___nonzero__, 'returnType') = 'logical'
attr(CashFlowVector___nonzero__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector___nonzero__) = c("SWIGFunction", class(CashFlowVector___nonzero__))

# Start of CashFlowVector___len__

CashFlowVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CashFlowVector___len__


attr(CashFlowVector___len__, 'returnType') = 'numeric'
attr(CashFlowVector___len__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector___len__) = c("SWIGFunction", class(CashFlowVector___len__))

# Start of CashFlowVector_pop

CashFlowVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  ans = .Call('R_swig_CashFlowVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCashFlow_t"
  
  ans
  
}
# End of CashFlowVector_pop


attr(CashFlowVector_pop, 'returnType') = '_p_boost__shared_ptrTCashFlow_t'
attr(CashFlowVector_pop, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_pop) = c("SWIGFunction", class(CashFlowVector_pop))

# Start of CashFlowVector___getslice__

CashFlowVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_CashFlowVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}
# End of CashFlowVector___getslice__


attr(CashFlowVector___getslice__, 'returnType') = '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t'
attr(CashFlowVector___getslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', 'numeric')
class(CashFlowVector___getslice__) = c("SWIGFunction", class(CashFlowVector___getslice__))

# Start of CashFlowVector___setslice__

CashFlowVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of CashFlowVector___setslice__


attr(CashFlowVector___setslice__, 'returnType') = 'void'
attr(CashFlowVector___setslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', 'numeric', '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector___setslice__) = c("SWIGFunction", class(CashFlowVector___setslice__))

# Start of CashFlowVector___delslice__

CashFlowVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_CashFlowVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of CashFlowVector___delslice__


attr(CashFlowVector___delslice__, 'returnType') = 'void'
attr(CashFlowVector___delslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', 'numeric')
class(CashFlowVector___delslice__) = c("SWIGFunction", class(CashFlowVector___delslice__))

# Start of CashFlowVector___delitem__

CashFlowVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_CashFlowVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of CashFlowVector___delitem__


attr(CashFlowVector___delitem__, 'returnType') = 'void'
attr(CashFlowVector___delitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric')
class(CashFlowVector___delitem__) = c("SWIGFunction", class(CashFlowVector___delitem__))

# Start of CashFlowVector___getitem__

CashFlowVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_CashFlowVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCashFlow_t"
  
  ans
  
}
# End of CashFlowVector___getitem__


attr(CashFlowVector___getitem__, 'returnType') = '_p_boost__shared_ptrTCashFlow_t'
attr(CashFlowVector___getitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric')
class(CashFlowVector___getitem__) = c("SWIGFunction", class(CashFlowVector___getitem__))

# Start of CashFlowVector___setitem__

CashFlowVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_CashFlowVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of CashFlowVector___setitem__


attr(CashFlowVector___setitem__, 'returnType') = 'void'
attr(CashFlowVector___setitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_boost__shared_ptrTCashFlow_t')
class(CashFlowVector___setitem__) = c("SWIGFunction", class(CashFlowVector___setitem__))

# Start of CashFlowVector_append

CashFlowVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_CashFlowVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of CashFlowVector_append


attr(CashFlowVector_append, 'returnType') = 'void'
attr(CashFlowVector_append, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_boost__shared_ptrTCashFlow_t')
class(CashFlowVector_append) = c("SWIGFunction", class(CashFlowVector_append))

setGeneric('CashFlowVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CashFlowVector'))
attr(CashFlowVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t'
setMethod('CashFlowVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_CashFlowVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setMethod('CashFlowVector', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  ans = .Call('R_swig_new_CashFlowVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
# Start of CashFlowVector_empty

CashFlowVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CashFlowVector_empty


attr(CashFlowVector_empty, 'returnType') = 'logical'
attr(CashFlowVector_empty, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_empty) = c("SWIGFunction", class(CashFlowVector_empty))

# Start of CashFlowVector_size

CashFlowVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CashFlowVector_size


attr(CashFlowVector_size, 'returnType') = 'numeric'
attr(CashFlowVector_size, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_size) = c("SWIGFunction", class(CashFlowVector_size))

# Start of CashFlowVector_clear

CashFlowVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector_clear', self, PACKAGE='QuantLib')
  
}
# End of CashFlowVector_clear


attr(CashFlowVector_clear, 'returnType') = 'void'
attr(CashFlowVector_clear, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_clear) = c("SWIGFunction", class(CashFlowVector_clear))

# Start of CashFlowVector_swap

CashFlowVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of CashFlowVector_swap


attr(CashFlowVector_swap, 'returnType') = 'void'
attr(CashFlowVector_swap, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_swap) = c("SWIGFunction", class(CashFlowVector_swap))

# Start of CashFlowVector_get_allocator

CashFlowVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  ans = .Call('R_swig_CashFlowVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTboost__shared_ptrTCashFlow_t_t"
  
  ans
  
}
# End of CashFlowVector_get_allocator


attr(CashFlowVector_get_allocator, 'returnType') = '_p_std__allocatorTboost__shared_ptrTCashFlow_t_t'
attr(CashFlowVector_get_allocator, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_get_allocator) = c("SWIGFunction", class(CashFlowVector_get_allocator))

setMethod('CashFlowVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_CashFlowVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
# Start of CashFlowVector_pop_back

CashFlowVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of CashFlowVector_pop_back


attr(CashFlowVector_pop_back, 'returnType') = 'void'
attr(CashFlowVector_pop_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_pop_back) = c("SWIGFunction", class(CashFlowVector_pop_back))

setGeneric('CashFlowVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CashFlowVector_resize'))
attr(CashFlowVector_resize, 'returnType') = 'void'
setMethod('CashFlowVector_resize', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_CashFlowVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('CashFlowVector', c('numeric', '_p_boost__shared_ptrTCashFlow_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTCashFlow_t") 
  ans = .Call('R_swig_new_CashFlowVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
# Start of CashFlowVector_push_back

CashFlowVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_CashFlowVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of CashFlowVector_push_back


attr(CashFlowVector_push_back, 'returnType') = 'void'
attr(CashFlowVector_push_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_boost__shared_ptrTCashFlow_t')
class(CashFlowVector_push_back) = c("SWIGFunction", class(CashFlowVector_push_back))

# Start of CashFlowVector_front

CashFlowVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  ans = .Call('R_swig_CashFlowVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCashFlow_t"
  
  ans
  
}
# End of CashFlowVector_front


attr(CashFlowVector_front, 'returnType') = '_p_boost__shared_ptrTCashFlow_t'
attr(CashFlowVector_front, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_front) = c("SWIGFunction", class(CashFlowVector_front))

# Start of CashFlowVector_back

CashFlowVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  ans = .Call('R_swig_CashFlowVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCashFlow_t"
  
  ans
  
}
# End of CashFlowVector_back


attr(CashFlowVector_back, 'returnType') = '_p_boost__shared_ptrTCashFlow_t'
attr(CashFlowVector_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_back) = c("SWIGFunction", class(CashFlowVector_back))

# Start of CashFlowVector_assign

CashFlowVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_CashFlowVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of CashFlowVector_assign


attr(CashFlowVector_assign, 'returnType') = 'void'
attr(CashFlowVector_assign, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_boost__shared_ptrTCashFlow_t')
class(CashFlowVector_assign) = c("SWIGFunction", class(CashFlowVector_assign))

setMethod('CashFlowVector_resize', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_boost__shared_ptrTCashFlow_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTCashFlow_t") 
  .Call('R_swig_CashFlowVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of CashFlowVector_reserve

CashFlowVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_CashFlowVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of CashFlowVector_reserve


attr(CashFlowVector_reserve, 'returnType') = 'void'
attr(CashFlowVector_reserve, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric')
class(CashFlowVector_reserve) = c("SWIGFunction", class(CashFlowVector_reserve))

# Start of CashFlowVector_capacity

CashFlowVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_CashFlowVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CashFlowVector_capacity


attr(CashFlowVector_capacity, 'returnType') = 'numeric'
attr(CashFlowVector_capacity, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(CashFlowVector_capacity) = c("SWIGFunction", class(CashFlowVector_capacity))

# Start of delete_CashFlowVector

delete_CashFlowVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  .Call('R_swig_delete_CashFlowVector', self, PACKAGE='QuantLib')
  
}
# End of delete_CashFlowVector


attr(delete_CashFlowVector, 'returnType') = 'void'
attr(delete_CashFlowVector, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t')
class(delete_CashFlowVector) = c("SWIGFunction", class(delete_CashFlowVector))

# Start of accessor method for std::vector<(boost::shared_ptr<(CashFlow)>)>
setMethod('$', '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = CashFlowVector___nonzero__, '__len__' = CashFlowVector___len__, 'pop' = CashFlowVector_pop, '__getslice__' = CashFlowVector___getslice__, '__setslice__' = CashFlowVector___setslice__, '__delslice__' = CashFlowVector___delslice__, '__delitem__' = CashFlowVector___delitem__, '__getitem__' = CashFlowVector___getitem__, '__setitem__' = CashFlowVector___setitem__, 'append' = CashFlowVector_append, 'empty' = CashFlowVector_empty, 'size' = CashFlowVector_size, 'clear' = CashFlowVector_clear, 'swap' = CashFlowVector_swap, 'get_allocator' = CashFlowVector_get_allocator, 'pop_back' = CashFlowVector_pop_back, 'resize' = CashFlowVector_resize, 'push_back' = CashFlowVector_push_back, 'front' = CashFlowVector_front, 'back' = CashFlowVector_back, 'assign' = CashFlowVector_assign, 'resize' = CashFlowVector_resize, 'reserve' = CashFlowVector_reserve, 'capacity' = CashFlowVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(boost::shared_ptr<(CashFlow)>)>
setGeneric('FixedRateCouponVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FixedRateCouponVector'))
attr(FixedRateCouponVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t'
setMethod('FixedRateCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg6, "_p_DayCounter") 
  ans = .Call('R_swig_FixedRateCouponVector__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setMethod('FixedRateCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_DayCounter") 
  ans = .Call('R_swig_FixedRateCouponVector__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setGeneric('FloatingRateCouponVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FloatingRateCouponVector'))
attr(FloatingRateCouponVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t'
setMethod('FloatingRateCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_XiborPtr") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_FloatingRateCouponVector__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setMethod('FloatingRateCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_XiborPtr', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_XiborPtr") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_FloatingRateCouponVector__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setGeneric('ParCouponVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ParCouponVector'))
attr(ParCouponVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t'
setMethod('ParCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_XiborPtr") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_ParCouponVector__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setMethod('ParCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_XiborPtr', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_XiborPtr") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_ParCouponVector__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setGeneric('InArrearIndexedCouponVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InArrearIndexedCouponVector'))
attr(InArrearIndexedCouponVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t'
setMethod('InArrearIndexedCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_XiborPtr") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_InArrearIndexedCouponVector__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
setMethod('InArrearIndexedCouponVector', c('_p_Schedule', 'character', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_XiborPtr', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_Schedule") 
  s_arg2 = enumToInteger(s_arg2, "_BusinessDayConvention") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_XiborPtr") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_InArrearIndexedCouponVector__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}

)
defineEnumeration('_Duration__Type',
                    .values = c(
                        'Simple' = 0, 
                        'Macaulay' = 1, 
                        'Modified' = 2
))
# Start of new_Duration

Duration = function()
{
  ans = .Call('R_swig_new_Duration', PACKAGE='QuantLib')
  class(ans) <- "_p_Duration"
  
  ans
  
}
# End of new_Duration


attr(Duration, 'returnType') = '_p_Duration'
class(Duration) = c("SWIGFunction", class(Duration))

# Start of delete_Duration

delete_Duration = function(self)
{
  coerceIfNotSubclass(self, "_p_Duration") 
  .Call('R_swig_delete_Duration', self, PACKAGE='QuantLib')
  
}
# End of delete_Duration


attr(delete_Duration, 'returnType') = 'void'
attr(delete_Duration, "inputTypes") = c('_p_Duration')
class(delete_Duration) = c("SWIGFunction", class(delete_Duration))

setGeneric('Cashflows_npv', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Cashflows_npv'))
attr(Cashflows_npv, 'returnType') = 'numeric'
setMethod('Cashflows_npv', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_HandleTYieldTermStructure_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTYieldTermStructure_t") 
  .Call('R_swig_Cashflows_npv__SWIG_0', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_npv', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_InterestRate', '_p_Date', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_InterestRate") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  .Call('R_swig_Cashflows_npv__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_npv', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_InterestRate', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_InterestRate") 
  .Call('R_swig_Cashflows_npv__SWIG_2', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('Cashflows_irr', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Cashflows_irr'))
attr(Cashflows_irr, 'returnType') = 'numeric'
setMethod('Cashflows_irr', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_DayCounter', 'character', 'character', '_p_Date', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  s_arg7 = as.numeric(s_arg7) 
  s_arg8 = as.integer(s_arg8) 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  s_arg9 = as.numeric(s_arg9) 
  .Call('R_swig_Cashflows_irr__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_irr', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_DayCounter', 'character', 'character', '_p_Date', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  s_arg7 = as.numeric(s_arg7) 
  s_arg8 = as.integer(s_arg8) 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  .Call('R_swig_Cashflows_irr__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_irr', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_DayCounter', 'character', 'character', '_p_Date', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  s_arg7 = as.numeric(s_arg7) 
  .Call('R_swig_Cashflows_irr__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_irr', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_DayCounter', 'character', 'character', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_Date") 
  .Call('R_swig_Cashflows_irr__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_irr', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = enumToInteger(s_arg5, "_Frequency") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  .Call('R_swig_Cashflows_irr__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_irr', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', 'numeric', '_p_DayCounter', 'character', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = enumToInteger(s_arg4, "_Compounding") 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  .Call('R_swig_Cashflows_irr__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('Cashflows_duration', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Cashflows_duration'))
attr(Cashflows_duration, 'returnType') = 'numeric'
setMethod('Cashflows_duration', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_InterestRate', 'character', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_InterestRate") 
  s_arg3 = enumToInteger(s_arg3, "_Duration__Type") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  .Call('R_swig_Cashflows_duration__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_duration', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_InterestRate', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_InterestRate") 
  s_arg3 = enumToInteger(s_arg3, "_Duration__Type") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_Cashflows_duration__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_duration', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_InterestRate', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_InterestRate") 
  .Call('R_swig_Cashflows_duration__SWIG_2', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('Cashflows_convexity', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Cashflows_convexity'))
attr(Cashflows_convexity, 'returnType') = 'numeric'
setMethod('Cashflows_convexity', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_InterestRate', '_p_Date', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_InterestRate") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  .Call('R_swig_Cashflows_convexity__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Cashflows_convexity', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_InterestRate', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_InterestRate") 
  .Call('R_swig_Cashflows_convexity__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_Cashflows

delete_Cashflows = function(self)
{
  coerceIfNotSubclass(self, "_p_Cashflows") 
  .Call('R_swig_delete_Cashflows', self, PACKAGE='QuantLib')
  
}
# End of delete_Cashflows


attr(delete_Cashflows, 'returnType') = 'void'
attr(delete_Cashflows, "inputTypes") = c('_p_Cashflows')
class(delete_Cashflows) = c("SWIGFunction", class(delete_Cashflows))

# Start of Bond_settlementDate

Bond_settlementDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  ans = .Call('R_swig_Bond_settlementDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Bond_settlementDate


attr(Bond_settlementDate, 'returnType') = '_p_Date'
attr(Bond_settlementDate, "inputTypes") = c('_p_BondPtr')
class(Bond_settlementDate) = c("SWIGFunction", class(Bond_settlementDate))

# Start of Bond_cashflows

Bond_cashflows = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  ans = .Call('R_swig_Bond_cashflows', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t"
  
  ans
  
}
# End of Bond_cashflows


attr(Bond_cashflows, 'returnType') = '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t'
attr(Bond_cashflows, "inputTypes") = c('_p_BondPtr')
class(Bond_cashflows) = c("SWIGFunction", class(Bond_cashflows))

# Start of Bond_redemption

Bond_redemption = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  ans = .Call('R_swig_Bond_redemption', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCashFlow_t"
  
  ans
  
}
# End of Bond_redemption


attr(Bond_redemption, 'returnType') = '_p_boost__shared_ptrTCashFlow_t'
attr(Bond_redemption, "inputTypes") = c('_p_BondPtr')
class(Bond_redemption) = c("SWIGFunction", class(Bond_redemption))

# Start of Bond_calendar

Bond_calendar = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  ans = .Call('R_swig_Bond_calendar', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Calendar"
  
  ans
  
}
# End of Bond_calendar


attr(Bond_calendar, 'returnType') = '_p_Calendar'
attr(Bond_calendar, "inputTypes") = c('_p_BondPtr')
class(Bond_calendar) = c("SWIGFunction", class(Bond_calendar))

# Start of Bond_businessDayConvention

Bond_businessDayConvention = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  ans = .Call('R_swig_Bond_businessDayConvention', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_BusinessDayConvention")
  
  ans
  
}
# End of Bond_businessDayConvention


attr(Bond_businessDayConvention, 'returnType') = 'character'
attr(Bond_businessDayConvention, "inputTypes") = c('_p_BondPtr')
class(Bond_businessDayConvention) = c("SWIGFunction", class(Bond_businessDayConvention))

# Start of Bond_dayCounter

Bond_dayCounter = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  ans = .Call('R_swig_Bond_dayCounter', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_DayCounter"
  
  ans
  
}
# End of Bond_dayCounter


attr(Bond_dayCounter, 'returnType') = '_p_DayCounter'
attr(Bond_dayCounter, "inputTypes") = c('_p_BondPtr')
class(Bond_dayCounter) = c("SWIGFunction", class(Bond_dayCounter))

# Start of Bond_frequency

Bond_frequency = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  ans = .Call('R_swig_Bond_frequency', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Frequency")
  
  ans
  
}
# End of Bond_frequency


attr(Bond_frequency, 'returnType') = 'character'
attr(Bond_frequency, "inputTypes") = c('_p_BondPtr')
class(Bond_frequency) = c("SWIGFunction", class(Bond_frequency))

setGeneric('Bond_cleanPrice', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Bond_cleanPrice'))
attr(Bond_cleanPrice, 'returnType') = 'numeric'
setMethod('Bond_cleanPrice', c('_p_BondPtr', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  .Call('R_swig_Bond_cleanPrice__SWIG_0', s_arg1, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_cleanPrice', c('_p_BondPtr', 'numeric', 'character', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  .Call('R_swig_Bond_cleanPrice__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_cleanPrice', c('_p_BondPtr', 'numeric', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_Bond_cleanPrice__SWIG_2', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('Bond_dirtyPrice', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Bond_dirtyPrice'))
attr(Bond_dirtyPrice, 'returnType') = 'numeric'
setMethod('Bond_dirtyPrice', c('_p_BondPtr', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  .Call('R_swig_Bond_dirtyPrice__SWIG_0', s_arg1, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_dirtyPrice', c('_p_BondPtr', 'numeric', 'character', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  .Call('R_swig_Bond_dirtyPrice__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_dirtyPrice', c('_p_BondPtr', 'numeric', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_Bond_dirtyPrice__SWIG_2', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('Bond_yield', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Bond_yield'))
attr(Bond_yield, 'returnType') = 'numeric'
setMethod('Bond_yield', c('_p_BondPtr', 'character', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = enumToInteger(s_arg2, "_Compounding") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  .Call('R_swig_Bond_yield__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_yield', c('_p_BondPtr', 'character', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = enumToInteger(s_arg2, "_Compounding") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_Bond_yield__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_yield', c('_p_BondPtr', 'character', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = enumToInteger(s_arg2, "_Compounding") 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_Bond_yield__SWIG_2', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_yield', c('_p_BondPtr', 'numeric', 'character', '_p_Date', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = as.numeric(s_arg5) 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  .Call('R_swig_Bond_yield__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_yield', c('_p_BondPtr', 'numeric', 'character', '_p_Date', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = as.numeric(s_arg5) 
  .Call('R_swig_Bond_yield__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_yield', c('_p_BondPtr', 'numeric', 'character', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  .Call('R_swig_Bond_yield__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_yield', c('_p_BondPtr', 'numeric', 'character', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = enumToInteger(s_arg3, "_Compounding") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_Bond_yield__SWIG_6', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setGeneric('Bond_accruedAmount', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Bond_accruedAmount'))
attr(Bond_accruedAmount, 'returnType') = 'numeric'
setMethod('Bond_accruedAmount', c('_p_BondPtr', '_p_Date', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  .Call('R_swig_Bond_accruedAmount__SWIG_0', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('Bond_accruedAmount', c('_p_BondPtr', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BondPtr") 
  .Call('R_swig_Bond_accruedAmount__SWIG_1', s_arg1, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_Bond

delete_Bond = function(self)
{
  coerceIfNotSubclass(self, "_p_BondPtr") 
  .Call('R_swig_delete_Bond', self, PACKAGE='QuantLib')
  
}
# End of delete_Bond


attr(delete_Bond, 'returnType') = 'void'
attr(delete_Bond, "inputTypes") = c('_p_BondPtr')
class(delete_Bond) = c("SWIGFunction", class(delete_Bond))

# Start of accessor method for BondPtr
setMethod('$', '_p_BondPtr', function(x, name)

{
  accessorFuns = list('settlementDate' = Bond_settlementDate, 'cashflows' = Bond_cashflows, 'redemption' = Bond_redemption, 'calendar' = Bond_calendar, 'businessDayConvention' = Bond_businessDayConvention, 'dayCounter' = Bond_dayCounter, 'frequency' = Bond_frequency, 'cleanPrice' = Bond_cleanPrice, 'cleanPrice' = Bond_cleanPrice, 'cleanPrice' = Bond_cleanPrice, 'dirtyPrice' = Bond_dirtyPrice, 'dirtyPrice' = Bond_dirtyPrice, 'dirtyPrice' = Bond_dirtyPrice, 'yield' = Bond_yield, 'yield' = Bond_yield, 'yield' = Bond_yield, 'yield' = Bond_yield, 'yield' = Bond_yield, 'yield' = Bond_yield, 'yield' = Bond_yield, 'accruedAmount' = Bond_accruedAmount, 'accruedAmount' = Bond_accruedAmount)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for BondPtr
setGeneric('ZeroCouponBond', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ZeroCouponBond'))
attr(ZeroCouponBond, 'returnType') = '_p_ZeroCouponBondPtr'
setMethod('ZeroCouponBond', c('_p_Date', '_p_Date', 'numeric', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_HandleTYieldTermStructure_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_BusinessDayConvention") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  coerceIfNotSubclass(s_arg8, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_ZeroCouponBond__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroCouponBondPtr"
  
  ans
  
}

)
setMethod('ZeroCouponBond', c('_p_Date', '_p_Date', 'numeric', '_p_DayCounter', '_p_Calendar', 'character', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_BusinessDayConvention") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = as.numeric(s_arg7) 
  ans = .Call('R_swig_new_ZeroCouponBond__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroCouponBondPtr"
  
  ans
  
}

)
setMethod('ZeroCouponBond', c('_p_Date', '_p_Date', 'numeric', '_p_DayCounter', '_p_Calendar', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_BusinessDayConvention") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  ans = .Call('R_swig_new_ZeroCouponBond__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroCouponBondPtr"
  
  ans
  
}

)
setMethod('ZeroCouponBond', c('_p_Date', '_p_Date', 'numeric', '_p_DayCounter', '_p_Calendar'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  ans = .Call('R_swig_new_ZeroCouponBond__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroCouponBondPtr"
  
  ans
  
}

)
# Start of delete_ZeroCouponBond

delete_ZeroCouponBond = function(self)
{
  coerceIfNotSubclass(self, "_p_ZeroCouponBondPtr") 
  .Call('R_swig_delete_ZeroCouponBond', self, PACKAGE='QuantLib')
  
}
# End of delete_ZeroCouponBond


attr(delete_ZeroCouponBond, 'returnType') = 'void'
attr(delete_ZeroCouponBond, "inputTypes") = c('_p_ZeroCouponBondPtr')
class(delete_ZeroCouponBond) = c("SWIGFunction", class(delete_ZeroCouponBond))

setGeneric('FixedCouponBond', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FixedCouponBond'))
attr(FixedCouponBond, 'returnType') = '_p_FixedCouponBondPtr'
setMethod('FixedCouponBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_HandleTYieldTermStructure_t', '_p_Date', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg8, "_p_Calendar") 
  s_arg9 = enumToInteger(s_arg9, "_BusinessDayConvention") 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  s_arg10 = as.numeric(s_arg10) 
  coerceIfNotSubclass(s_arg11, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg12, "_p_Date") 
  coerceIfNotSubclass(s_arg13, "_p_bool") 
  ans = .Call('R_swig_new_FixedCouponBond__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondPtr"
  
  ans
  
}

)
setMethod('FixedCouponBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_HandleTYieldTermStructure_t', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg8, "_p_Calendar") 
  s_arg9 = enumToInteger(s_arg9, "_BusinessDayConvention") 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  s_arg10 = as.numeric(s_arg10) 
  coerceIfNotSubclass(s_arg11, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg12, "_p_Date") 
  ans = .Call('R_swig_new_FixedCouponBond__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondPtr"
  
  ans
  
}

)
setMethod('FixedCouponBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_HandleTYieldTermStructure_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg8, "_p_Calendar") 
  s_arg9 = enumToInteger(s_arg9, "_BusinessDayConvention") 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  s_arg10 = as.numeric(s_arg10) 
  coerceIfNotSubclass(s_arg11, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_FixedCouponBond__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondPtr"
  
  ans
  
}

)
setMethod('FixedCouponBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg8, "_p_Calendar") 
  s_arg9 = enumToInteger(s_arg9, "_BusinessDayConvention") 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  s_arg10 = as.numeric(s_arg10) 
  ans = .Call('R_swig_new_FixedCouponBond__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondPtr"
  
  ans
  
}

)
setMethod('FixedCouponBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg8, "_p_Calendar") 
  s_arg9 = enumToInteger(s_arg9, "_BusinessDayConvention") 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  ans = .Call('R_swig_new_FixedCouponBond__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondPtr"
  
  ans
  
}

)
setMethod('FixedCouponBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg8, "_p_Calendar") 
  ans = .Call('R_swig_new_FixedCouponBond__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondPtr"
  
  ans
  
}

)
# Start of delete_FixedCouponBond

delete_FixedCouponBond = function(self)
{
  coerceIfNotSubclass(self, "_p_FixedCouponBondPtr") 
  .Call('R_swig_delete_FixedCouponBond', self, PACKAGE='QuantLib')
  
}
# End of delete_FixedCouponBond


attr(delete_FixedCouponBond, 'returnType') = 'void'
attr(delete_FixedCouponBond, "inputTypes") = c('_p_FixedCouponBondPtr')
class(delete_FixedCouponBond) = c("SWIGFunction", class(delete_FixedCouponBond))

setGeneric('FloatingRateBond', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FloatingRateBond'))
attr(FloatingRateBond, 'returnType') = '_p_FloatingRateBondPtr'
setMethod('FloatingRateBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_HandleTYieldTermStructure_t', '_p_Date', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14, s_arg15)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_XiborPtr") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg8 = enumToInteger(s_arg8, "_Frequency") 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  coerceIfNotSubclass(s_arg9, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg10, "_p_Calendar") 
  s_arg11 = enumToInteger(s_arg11, "_BusinessDayConvention") 
  
  if(length(s_arg11) > 1) {
    warning("using only the first element of s_arg11")
  }
  
  s_arg12 = as.numeric(s_arg12) 
  coerceIfNotSubclass(s_arg13, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg14, "_p_Date") 
  coerceIfNotSubclass(s_arg15, "_p_bool") 
  ans = .Call('R_swig_new_FloatingRateBond__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14, s_arg15, PACKAGE='QuantLib')
  class(ans) <- "_p_FloatingRateBondPtr"
  
  ans
  
}

)
setMethod('FloatingRateBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_HandleTYieldTermStructure_t', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_XiborPtr") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg8 = enumToInteger(s_arg8, "_Frequency") 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  coerceIfNotSubclass(s_arg9, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg10, "_p_Calendar") 
  s_arg11 = enumToInteger(s_arg11, "_BusinessDayConvention") 
  
  if(length(s_arg11) > 1) {
    warning("using only the first element of s_arg11")
  }
  
  s_arg12 = as.numeric(s_arg12) 
  coerceIfNotSubclass(s_arg13, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg14, "_p_Date") 
  ans = .Call('R_swig_new_FloatingRateBond__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14, PACKAGE='QuantLib')
  class(ans) <- "_p_FloatingRateBondPtr"
  
  ans
  
}

)
setMethod('FloatingRateBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_HandleTYieldTermStructure_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_XiborPtr") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg8 = enumToInteger(s_arg8, "_Frequency") 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  coerceIfNotSubclass(s_arg9, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg10, "_p_Calendar") 
  s_arg11 = enumToInteger(s_arg11, "_BusinessDayConvention") 
  
  if(length(s_arg11) > 1) {
    warning("using only the first element of s_arg11")
  }
  
  s_arg12 = as.numeric(s_arg12) 
  coerceIfNotSubclass(s_arg13, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_FloatingRateBond__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, PACKAGE='QuantLib')
  class(ans) <- "_p_FloatingRateBondPtr"
  
  ans
  
}

)
setMethod('FloatingRateBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_XiborPtr") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg8 = enumToInteger(s_arg8, "_Frequency") 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  coerceIfNotSubclass(s_arg9, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg10, "_p_Calendar") 
  s_arg11 = enumToInteger(s_arg11, "_BusinessDayConvention") 
  
  if(length(s_arg11) > 1) {
    warning("using only the first element of s_arg11")
  }
  
  s_arg12 = as.numeric(s_arg12) 
  ans = .Call('R_swig_new_FloatingRateBond__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, PACKAGE='QuantLib')
  class(ans) <- "_p_FloatingRateBondPtr"
  
  ans
  
}

)
setMethod('FloatingRateBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_XiborPtr") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg8 = enumToInteger(s_arg8, "_Frequency") 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  coerceIfNotSubclass(s_arg9, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg10, "_p_Calendar") 
  s_arg11 = enumToInteger(s_arg11, "_BusinessDayConvention") 
  
  if(length(s_arg11) > 1) {
    warning("using only the first element of s_arg11")
  }
  
  ans = .Call('R_swig_new_FloatingRateBond__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, PACKAGE='QuantLib')
  class(ans) <- "_p_FloatingRateBondPtr"
  
  ans
  
}

)
setMethod('FloatingRateBond', c('_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_XiborPtr") 
  s_arg6 = as.integer(s_arg6) 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg8 = enumToInteger(s_arg8, "_Frequency") 
  
  if(length(s_arg8) > 1) {
    warning("using only the first element of s_arg8")
  }
  
  coerceIfNotSubclass(s_arg9, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg10, "_p_Calendar") 
  ans = .Call('R_swig_new_FloatingRateBond__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, PACKAGE='QuantLib')
  class(ans) <- "_p_FloatingRateBondPtr"
  
  ans
  
}

)
# Start of delete_FloatingRateBond

delete_FloatingRateBond = function(self)
{
  coerceIfNotSubclass(self, "_p_FloatingRateBondPtr") 
  .Call('R_swig_delete_FloatingRateBond', self, PACKAGE='QuantLib')
  
}
# End of delete_FloatingRateBond


attr(delete_FloatingRateBond, 'returnType') = 'void'
attr(delete_FloatingRateBond, "inputTypes") = c('_p_FloatingRateBondPtr')
class(delete_FloatingRateBond) = c("SWIGFunction", class(delete_FloatingRateBond))

defineEnumeration('_Price__Type',
                    .values = c(
                        'Dirty' = 0, 
                        'Clean' = 1
))
# Start of new_Price

Price = function(amount, type)
{
  amount = as.numeric(amount) 
  type = enumToInteger(type, "_Price__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  ans = .Call('R_swig_new_Price', amount, type, PACKAGE='QuantLib')
  class(ans) <- "_p_Price"
  
  ans
  
}
# End of new_Price


attr(Price, 'returnType') = '_p_Price'
attr(Price, "inputTypes") = c('numeric', 'character')
class(Price) = c("SWIGFunction", class(Price))

# Start of Price_amount

Price_amount = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Price") 
  .Call('R_swig_Price_amount', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Price_amount


attr(Price_amount, 'returnType') = 'numeric'
attr(Price_amount, "inputTypes") = c('_p_Price')
class(Price_amount) = c("SWIGFunction", class(Price_amount))

# Start of Price_type

Price_type = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Price") 
  ans = .Call('R_swig_Price_type', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Price__Type")
  
  ans
  
}
# End of Price_type


attr(Price_type, 'returnType') = 'character'
attr(Price_type, "inputTypes") = c('_p_Price')
class(Price_type) = c("SWIGFunction", class(Price_type))

# Start of delete_Price

delete_Price = function(self)
{
  coerceIfNotSubclass(self, "_p_Price") 
  .Call('R_swig_delete_Price', self, PACKAGE='QuantLib')
  
}
# End of delete_Price


attr(delete_Price, 'returnType') = 'void'
attr(delete_Price, "inputTypes") = c('_p_Price')
class(delete_Price) = c("SWIGFunction", class(delete_Price))

# Start of accessor method for Price
setMethod('$', '_p_Price', function(x, name)

{
  accessorFuns = list('amount' = Price_amount, 'type' = Price_type)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Price
defineEnumeration('_Callability__Type',
                    .values = c(
                        'Call' = 0, 
                        'Put' = 1
))
# Start of new_Callability

Callability = function(price, type, date)
{
  coerceIfNotSubclass(price, "_p_Price") 
  type = enumToInteger(type, "_Callability__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  coerceIfNotSubclass(date, "_p_Date") 
  ans = .Call('R_swig_new_Callability', price, type, date, PACKAGE='QuantLib')
  class(ans) <- "_p_Callability"
  
  ans
  
}
# End of new_Callability


attr(Callability, 'returnType') = '_p_Callability'
attr(Callability, "inputTypes") = c('_p_Price', 'character', '_p_Date')
class(Callability) = c("SWIGFunction", class(Callability))

# Start of Callability_price

Callability_price = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Callability") 
  ans = .Call('R_swig_Callability_price', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Price"
  
  ans
  
}
# End of Callability_price


attr(Callability_price, 'returnType') = '_p_Price'
attr(Callability_price, "inputTypes") = c('_p_Callability')
class(Callability_price) = c("SWIGFunction", class(Callability_price))

# Start of Callability_type

Callability_type = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Callability") 
  ans = .Call('R_swig_Callability_type', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_Callability__Type")
  
  ans
  
}
# End of Callability_type


attr(Callability_type, 'returnType') = 'character'
attr(Callability_type, "inputTypes") = c('_p_Callability')
class(Callability_type) = c("SWIGFunction", class(Callability_type))

# Start of Callability_date

Callability_date = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Callability") 
  ans = .Call('R_swig_Callability_date', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Callability_date


attr(Callability_date, 'returnType') = '_p_Date'
attr(Callability_date, "inputTypes") = c('_p_Callability')
class(Callability_date) = c("SWIGFunction", class(Callability_date))

# Start of delete_Callability

delete_Callability = function(self)
{
  coerceIfNotSubclass(self, "_p_Callability") 
  .Call('R_swig_delete_Callability', self, PACKAGE='QuantLib')
  
}
# End of delete_Callability


attr(delete_Callability, 'returnType') = 'void'
attr(delete_Callability, "inputTypes") = c('_p_Callability')
class(delete_Callability) = c("SWIGFunction", class(delete_Callability))

# Start of accessor method for Callability
setMethod('$', '_p_Callability', function(x, name)

{
  accessorFuns = list('price' = Callability_price, 'type' = Callability_type, 'date' = Callability_date)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Callability
# Start of CallabilityVector___nonzero__

CallabilityVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CallabilityVector___nonzero__


attr(CallabilityVector___nonzero__, 'returnType') = 'logical'
attr(CallabilityVector___nonzero__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector___nonzero__) = c("SWIGFunction", class(CallabilityVector___nonzero__))

# Start of CallabilityVector___len__

CallabilityVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CallabilityVector___len__


attr(CallabilityVector___len__, 'returnType') = 'numeric'
attr(CallabilityVector___len__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector___len__) = c("SWIGFunction", class(CallabilityVector___len__))

# Start of CallabilityVector_pop

CallabilityVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  ans = .Call('R_swig_CallabilityVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Callability"
  
  ans
  
}
# End of CallabilityVector_pop


attr(CallabilityVector_pop, 'returnType') = '_p_Callability'
attr(CallabilityVector_pop, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_pop) = c("SWIGFunction", class(CallabilityVector_pop))

# Start of CallabilityVector___getslice__

CallabilityVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_CallabilityVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTCallability_std__allocatorTCallability_t_t"
  
  ans
  
}
# End of CallabilityVector___getslice__


attr(CallabilityVector___getslice__, 'returnType') = '_p_std__vectorTCallability_std__allocatorTCallability_t_t'
attr(CallabilityVector___getslice__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric', 'numeric')
class(CallabilityVector___getslice__) = c("SWIGFunction", class(CallabilityVector___getslice__))

# Start of CallabilityVector___setslice__

CallabilityVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of CallabilityVector___setslice__


attr(CallabilityVector___setslice__, 'returnType') = 'void'
attr(CallabilityVector___setslice__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric', 'numeric', '_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector___setslice__) = c("SWIGFunction", class(CallabilityVector___setslice__))

# Start of CallabilityVector___delslice__

CallabilityVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_CallabilityVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of CallabilityVector___delslice__


attr(CallabilityVector___delslice__, 'returnType') = 'void'
attr(CallabilityVector___delslice__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric', 'numeric')
class(CallabilityVector___delslice__) = c("SWIGFunction", class(CallabilityVector___delslice__))

# Start of CallabilityVector___delitem__

CallabilityVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_CallabilityVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of CallabilityVector___delitem__


attr(CallabilityVector___delitem__, 'returnType') = 'void'
attr(CallabilityVector___delitem__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric')
class(CallabilityVector___delitem__) = c("SWIGFunction", class(CallabilityVector___delitem__))

# Start of CallabilityVector___getitem__

CallabilityVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_CallabilityVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Callability"
  
  ans
  
}
# End of CallabilityVector___getitem__


attr(CallabilityVector___getitem__, 'returnType') = '_p_Callability'
attr(CallabilityVector___getitem__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric')
class(CallabilityVector___getitem__) = c("SWIGFunction", class(CallabilityVector___getitem__))

# Start of CallabilityVector___setitem__

CallabilityVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_Callability") 
  .Call('R_swig_CallabilityVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of CallabilityVector___setitem__


attr(CallabilityVector___setitem__, 'returnType') = 'void'
attr(CallabilityVector___setitem__, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric', '_p_Callability')
class(CallabilityVector___setitem__) = c("SWIGFunction", class(CallabilityVector___setitem__))

# Start of CallabilityVector_append

CallabilityVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(x, "_p_Callability") 
  .Call('R_swig_CallabilityVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of CallabilityVector_append


attr(CallabilityVector_append, 'returnType') = 'void'
attr(CallabilityVector_append, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_Callability')
class(CallabilityVector_append) = c("SWIGFunction", class(CallabilityVector_append))

setGeneric('CallabilityVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CallabilityVector'))
attr(CallabilityVector, 'returnType') = '_p_std__vectorTCallability_std__allocatorTCallability_t_t'
setMethod('CallabilityVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_CallabilityVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTCallability_std__allocatorTCallability_t_t"
  
  ans
  
}

)
setMethod('CallabilityVector', c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  ans = .Call('R_swig_new_CallabilityVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTCallability_std__allocatorTCallability_t_t"
  
  ans
  
}

)
# Start of CallabilityVector_empty

CallabilityVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CallabilityVector_empty


attr(CallabilityVector_empty, 'returnType') = 'logical'
attr(CallabilityVector_empty, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_empty) = c("SWIGFunction", class(CallabilityVector_empty))

# Start of CallabilityVector_size

CallabilityVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CallabilityVector_size


attr(CallabilityVector_size, 'returnType') = 'numeric'
attr(CallabilityVector_size, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_size) = c("SWIGFunction", class(CallabilityVector_size))

# Start of CallabilityVector_clear

CallabilityVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector_clear', self, PACKAGE='QuantLib')
  
}
# End of CallabilityVector_clear


attr(CallabilityVector_clear, 'returnType') = 'void'
attr(CallabilityVector_clear, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_clear) = c("SWIGFunction", class(CallabilityVector_clear))

# Start of CallabilityVector_swap

CallabilityVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of CallabilityVector_swap


attr(CallabilityVector_swap, 'returnType') = 'void'
attr(CallabilityVector_swap, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_swap) = c("SWIGFunction", class(CallabilityVector_swap))

# Start of CallabilityVector_get_allocator

CallabilityVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  ans = .Call('R_swig_CallabilityVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTCallability_t"
  
  ans
  
}
# End of CallabilityVector_get_allocator


attr(CallabilityVector_get_allocator, 'returnType') = '_p_std__allocatorTCallability_t'
attr(CallabilityVector_get_allocator, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_get_allocator) = c("SWIGFunction", class(CallabilityVector_get_allocator))

setMethod('CallabilityVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_CallabilityVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTCallability_std__allocatorTCallability_t_t"
  
  ans
  
}

)
# Start of CallabilityVector_pop_back

CallabilityVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of CallabilityVector_pop_back


attr(CallabilityVector_pop_back, 'returnType') = 'void'
attr(CallabilityVector_pop_back, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_pop_back) = c("SWIGFunction", class(CallabilityVector_pop_back))

setGeneric('CallabilityVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CallabilityVector_resize'))
attr(CallabilityVector_resize, 'returnType') = 'void'
setMethod('CallabilityVector_resize', c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_CallabilityVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('CallabilityVector', c('numeric', '_p_Callability', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Callability") 
  ans = .Call('R_swig_new_CallabilityVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTCallability_std__allocatorTCallability_t_t"
  
  ans
  
}

)
# Start of CallabilityVector_push_back

CallabilityVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(x, "_p_Callability") 
  .Call('R_swig_CallabilityVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of CallabilityVector_push_back


attr(CallabilityVector_push_back, 'returnType') = 'void'
attr(CallabilityVector_push_back, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_Callability')
class(CallabilityVector_push_back) = c("SWIGFunction", class(CallabilityVector_push_back))

# Start of CallabilityVector_front

CallabilityVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  ans = .Call('R_swig_CallabilityVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Callability"
  
  ans
  
}
# End of CallabilityVector_front


attr(CallabilityVector_front, 'returnType') = '_p_Callability'
attr(CallabilityVector_front, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_front) = c("SWIGFunction", class(CallabilityVector_front))

# Start of CallabilityVector_back

CallabilityVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  ans = .Call('R_swig_CallabilityVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Callability"
  
  ans
  
}
# End of CallabilityVector_back


attr(CallabilityVector_back, 'returnType') = '_p_Callability'
attr(CallabilityVector_back, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_back) = c("SWIGFunction", class(CallabilityVector_back))

# Start of CallabilityVector_assign

CallabilityVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_Callability") 
  .Call('R_swig_CallabilityVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of CallabilityVector_assign


attr(CallabilityVector_assign, 'returnType') = 'void'
attr(CallabilityVector_assign, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric', '_p_Callability')
class(CallabilityVector_assign) = c("SWIGFunction", class(CallabilityVector_assign))

setMethod('CallabilityVector_resize', c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric', '_p_Callability', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_Callability") 
  .Call('R_swig_CallabilityVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of CallabilityVector_reserve

CallabilityVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_CallabilityVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of CallabilityVector_reserve


attr(CallabilityVector_reserve, 'returnType') = 'void'
attr(CallabilityVector_reserve, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t', 'numeric')
class(CallabilityVector_reserve) = c("SWIGFunction", class(CallabilityVector_reserve))

# Start of CallabilityVector_capacity

CallabilityVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_CallabilityVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CallabilityVector_capacity


attr(CallabilityVector_capacity, 'returnType') = 'numeric'
attr(CallabilityVector_capacity, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(CallabilityVector_capacity) = c("SWIGFunction", class(CallabilityVector_capacity))

# Start of delete_CallabilityVector

delete_CallabilityVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  .Call('R_swig_delete_CallabilityVector', self, PACKAGE='QuantLib')
  
}
# End of delete_CallabilityVector


attr(delete_CallabilityVector, 'returnType') = 'void'
attr(delete_CallabilityVector, "inputTypes") = c('_p_std__vectorTCallability_std__allocatorTCallability_t_t')
class(delete_CallabilityVector) = c("SWIGFunction", class(delete_CallabilityVector))

# Start of accessor method for std::vector<(Callability)>
setMethod('$', '_p_std__vectorTCallability_std__allocatorTCallability_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = CallabilityVector___nonzero__, '__len__' = CallabilityVector___len__, 'pop' = CallabilityVector_pop, '__getslice__' = CallabilityVector___getslice__, '__setslice__' = CallabilityVector___setslice__, '__delslice__' = CallabilityVector___delslice__, '__delitem__' = CallabilityVector___delitem__, '__getitem__' = CallabilityVector___getitem__, '__setitem__' = CallabilityVector___setitem__, 'append' = CallabilityVector_append, 'empty' = CallabilityVector_empty, 'size' = CallabilityVector_size, 'clear' = CallabilityVector_clear, 'swap' = CallabilityVector_swap, 'get_allocator' = CallabilityVector_get_allocator, 'pop_back' = CallabilityVector_pop_back, 'resize' = CallabilityVector_resize, 'push_back' = CallabilityVector_push_back, 'front' = CallabilityVector_front, 'back' = CallabilityVector_back, 'assign' = CallabilityVector_assign, 'resize' = CallabilityVector_resize, 'reserve' = CallabilityVector_reserve, 'capacity' = CallabilityVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(Callability)>
# Start of Exercise___deref__

Exercise___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTExercise_t") 
  ans = .Call('R_swig_Exercise___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_Exercise"
  
  ans
  
}
# End of Exercise___deref__


attr(Exercise___deref__, 'returnType') = '_p_Exercise'
attr(Exercise___deref__, "inputTypes") = c('_p_boost__shared_ptrTExercise_t')
class(Exercise___deref__) = c("SWIGFunction", class(Exercise___deref__))

# Start of Exercise_isNull

Exercise_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTExercise_t") 
  .Call('R_swig_Exercise_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Exercise_isNull


attr(Exercise_isNull, 'returnType') = 'logical'
attr(Exercise_isNull, "inputTypes") = c('_p_boost__shared_ptrTExercise_t')
class(Exercise_isNull) = c("SWIGFunction", class(Exercise_isNull))

# Start of new_Exercise

Exercise = function()
{
  ans = .Call('R_swig_new_Exercise', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTExercise_t"
  
  ans
  
}
# End of new_Exercise


attr(Exercise, 'returnType') = '_p_boost__shared_ptrTExercise_t'
class(Exercise) = c("SWIGFunction", class(Exercise))

# Start of delete_Exercise

delete_Exercise = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTExercise_t") 
  .Call('R_swig_delete_Exercise', self, PACKAGE='QuantLib')
  
}
# End of delete_Exercise


attr(delete_Exercise, 'returnType') = 'void'
attr(delete_Exercise, "inputTypes") = c('_p_boost__shared_ptrTExercise_t')
class(delete_Exercise) = c("SWIGFunction", class(delete_Exercise))

# Start of Exercise_type

Exercise_type = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTExercise_t") 
  ans = .Call('R_swig_Exercise_type', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_ExerciseType"
  
  ans
  
}
# End of Exercise_type


attr(Exercise_type, 'returnType') = '_p_ExerciseType'
attr(Exercise_type, "inputTypes") = c('_p_boost__shared_ptrTExercise_t')
class(Exercise_type) = c("SWIGFunction", class(Exercise_type))

# Start of Exercise_dates

Exercise_dates = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTExercise_t") 
  ans = .Call('R_swig_Exercise_dates', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}
# End of Exercise_dates


attr(Exercise_dates, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
attr(Exercise_dates, "inputTypes") = c('_p_boost__shared_ptrTExercise_t')
class(Exercise_dates) = c("SWIGFunction", class(Exercise_dates))

# Start of accessor method for boost::shared_ptr<(Exercise)>
setMethod('$', '_p_boost__shared_ptrTExercise_t', function(x, name)

{
  accessorFuns = list('operator ->' = Exercise___deref__, 'isNull' = Exercise_isNull, 'type' = Exercise_type, 'dates' = Exercise_dates)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(Exercise)>
# Start of new_EuropeanExercise

EuropeanExercise = function(date)
{
  coerceIfNotSubclass(date, "_p_Date") 
  ans = .Call('R_swig_new_EuropeanExercise', date, PACKAGE='QuantLib')
  class(ans) <- "_p_EuropeanExercisePtr"
  
  ans
  
}
# End of new_EuropeanExercise


attr(EuropeanExercise, 'returnType') = '_p_EuropeanExercisePtr'
attr(EuropeanExercise, "inputTypes") = c('_p_Date')
class(EuropeanExercise) = c("SWIGFunction", class(EuropeanExercise))

# Start of delete_EuropeanExercise

delete_EuropeanExercise = function(self)
{
  coerceIfNotSubclass(self, "_p_EuropeanExercisePtr") 
  .Call('R_swig_delete_EuropeanExercise', self, PACKAGE='QuantLib')
  
}
# End of delete_EuropeanExercise


attr(delete_EuropeanExercise, 'returnType') = 'void'
attr(delete_EuropeanExercise, "inputTypes") = c('_p_EuropeanExercisePtr')
class(delete_EuropeanExercise) = c("SWIGFunction", class(delete_EuropeanExercise))

setGeneric('AmericanExercise', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('AmericanExercise'))
attr(AmericanExercise, 'returnType') = '_p_AmericanExercisePtr'
setMethod('AmericanExercise', c('_p_Date', '_p_Date', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  ans = .Call('R_swig_new_AmericanExercise__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_AmericanExercisePtr"
  
  ans
  
}

)
setMethod('AmericanExercise', c('_p_Date', '_p_Date', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  ans = .Call('R_swig_new_AmericanExercise__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_AmericanExercisePtr"
  
  ans
  
}

)
# Start of delete_AmericanExercise

delete_AmericanExercise = function(self)
{
  coerceIfNotSubclass(self, "_p_AmericanExercisePtr") 
  .Call('R_swig_delete_AmericanExercise', self, PACKAGE='QuantLib')
  
}
# End of delete_AmericanExercise


attr(delete_AmericanExercise, 'returnType') = 'void'
attr(delete_AmericanExercise, "inputTypes") = c('_p_AmericanExercisePtr')
class(delete_AmericanExercise) = c("SWIGFunction", class(delete_AmericanExercise))

setGeneric('BermudanExercise', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BermudanExercise'))
attr(BermudanExercise, 'returnType') = '_p_BermudanExercisePtr'
setMethod('BermudanExercise', c('_p_std__vectorTDate_std__allocatorTDate_t_t', 'logical', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_bool") 
  ans = .Call('R_swig_new_BermudanExercise__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_BermudanExercisePtr"
  
  ans
  
}

)
setMethod('BermudanExercise', c('_p_std__vectorTDate_std__allocatorTDate_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  ans = .Call('R_swig_new_BermudanExercise__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_BermudanExercisePtr"
  
  ans
  
}

)
# Start of delete_BermudanExercise

delete_BermudanExercise = function(self)
{
  coerceIfNotSubclass(self, "_p_BermudanExercisePtr") 
  .Call('R_swig_delete_BermudanExercise', self, PACKAGE='QuantLib')
  
}
# End of delete_BermudanExercise


attr(delete_BermudanExercise, 'returnType') = 'void'
attr(delete_BermudanExercise, "inputTypes") = c('_p_BermudanExercisePtr')
class(delete_BermudanExercise) = c("SWIGFunction", class(delete_BermudanExercise))

# Start of StochasticProcess___deref__

StochasticProcess___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTStochasticProcess_t") 
  ans = .Call('R_swig_StochasticProcess___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_StochasticProcess"
  
  ans
  
}
# End of StochasticProcess___deref__


attr(StochasticProcess___deref__, 'returnType') = '_p_StochasticProcess'
attr(StochasticProcess___deref__, "inputTypes") = c('_p_boost__shared_ptrTStochasticProcess_t')
class(StochasticProcess___deref__) = c("SWIGFunction", class(StochasticProcess___deref__))

# Start of StochasticProcess_isNull

StochasticProcess_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTStochasticProcess_t") 
  .Call('R_swig_StochasticProcess_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StochasticProcess_isNull


attr(StochasticProcess_isNull, 'returnType') = 'logical'
attr(StochasticProcess_isNull, "inputTypes") = c('_p_boost__shared_ptrTStochasticProcess_t')
class(StochasticProcess_isNull) = c("SWIGFunction", class(StochasticProcess_isNull))

# Start of new_StochasticProcess

StochasticProcess = function()
{
  ans = .Call('R_swig_new_StochasticProcess', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTStochasticProcess_t"
  
  ans
  
}
# End of new_StochasticProcess


attr(StochasticProcess, 'returnType') = '_p_boost__shared_ptrTStochasticProcess_t'
class(StochasticProcess) = c("SWIGFunction", class(StochasticProcess))

# Start of delete_StochasticProcess

delete_StochasticProcess = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTStochasticProcess_t") 
  .Call('R_swig_delete_StochasticProcess', self, PACKAGE='QuantLib')
  
}
# End of delete_StochasticProcess


attr(delete_StochasticProcess, 'returnType') = 'void'
attr(delete_StochasticProcess, "inputTypes") = c('_p_boost__shared_ptrTStochasticProcess_t')
class(delete_StochasticProcess) = c("SWIGFunction", class(delete_StochasticProcess))

# Start of accessor method for boost::shared_ptr<(StochasticProcess)>
setMethod('$', '_p_boost__shared_ptrTStochasticProcess_t', function(x, name)

{
  accessorFuns = list('operator ->' = StochasticProcess___deref__, 'isNull' = StochasticProcess_isNull)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(StochasticProcess)>
# Start of delete_StochasticProcess1D

delete_StochasticProcess1D = function(self)
{
  coerceIfNotSubclass(self, "_p_StochasticProcess1DPtr") 
  .Call('R_swig_delete_StochasticProcess1D', self, PACKAGE='QuantLib')
  
}
# End of delete_StochasticProcess1D


attr(delete_StochasticProcess1D, 'returnType') = 'void'
attr(delete_StochasticProcess1D, "inputTypes") = c('_p_StochasticProcess1DPtr')
class(delete_StochasticProcess1D) = c("SWIGFunction", class(delete_StochasticProcess1D))

# Start of new_BlackScholesProcess

BlackScholesProcess = function(s0, dividendTS, riskFreeTS, volTS)
{
  coerceIfNotSubclass(s0, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(dividendTS, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(riskFreeTS, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(volTS, "_p_HandleTBlackVolTermStructure_t") 
  ans = .Call('R_swig_new_BlackScholesProcess', s0, dividendTS, riskFreeTS, volTS, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackScholesProcessPtr"
  
  ans
  
}
# End of new_BlackScholesProcess


attr(BlackScholesProcess, 'returnType') = '_p_BlackScholesProcessPtr'
attr(BlackScholesProcess, "inputTypes") = c('_p_HandleTQuote_t', '_p_HandleTYieldTermStructure_t', '_p_HandleTYieldTermStructure_t', '_p_HandleTBlackVolTermStructure_t')
class(BlackScholesProcess) = c("SWIGFunction", class(BlackScholesProcess))

# Start of delete_BlackScholesProcess

delete_BlackScholesProcess = function(self)
{
  coerceIfNotSubclass(self, "_p_BlackScholesProcessPtr") 
  .Call('R_swig_delete_BlackScholesProcess', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackScholesProcess


attr(delete_BlackScholesProcess, 'returnType') = 'void'
attr(delete_BlackScholesProcess, "inputTypes") = c('_p_BlackScholesProcessPtr')
class(delete_BlackScholesProcess) = c("SWIGFunction", class(delete_BlackScholesProcess))

# Start of new_Merton76Process

Merton76Process = function(stateVariable, dividendTS, riskFreeTS, volTS, jumpIntensity, meanLogJump, jumpVolatility)
{
  coerceIfNotSubclass(stateVariable, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(dividendTS, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(riskFreeTS, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(volTS, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(jumpIntensity, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(meanLogJump, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(jumpVolatility, "_p_HandleTQuote_t") 
  ans = .Call('R_swig_new_Merton76Process', stateVariable, dividendTS, riskFreeTS, volTS, jumpIntensity, meanLogJump, jumpVolatility, PACKAGE='QuantLib')
  class(ans) <- "_p_Merton76ProcessPtr"
  
  ans
  
}
# End of new_Merton76Process


attr(Merton76Process, 'returnType') = '_p_Merton76ProcessPtr'
attr(Merton76Process, "inputTypes") = c('_p_HandleTQuote_t', '_p_HandleTYieldTermStructure_t', '_p_HandleTYieldTermStructure_t', '_p_HandleTBlackVolTermStructure_t', '_p_HandleTQuote_t', '_p_HandleTQuote_t', '_p_HandleTQuote_t')
class(Merton76Process) = c("SWIGFunction", class(Merton76Process))

# Start of delete_Merton76Process

delete_Merton76Process = function(self)
{
  coerceIfNotSubclass(self, "_p_Merton76ProcessPtr") 
  .Call('R_swig_delete_Merton76Process', self, PACKAGE='QuantLib')
  
}
# End of delete_Merton76Process


attr(delete_Merton76Process, 'returnType') = 'void'
attr(delete_Merton76Process, "inputTypes") = c('_p_Merton76ProcessPtr')
class(delete_Merton76Process) = c("SWIGFunction", class(delete_Merton76Process))

# Start of StochasticProcess1DVector___nonzero__

StochasticProcess1DVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector___nonzero__


attr(StochasticProcess1DVector___nonzero__, 'returnType') = 'logical'
attr(StochasticProcess1DVector___nonzero__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector___nonzero__) = c("SWIGFunction", class(StochasticProcess1DVector___nonzero__))

# Start of StochasticProcess1DVector___len__

StochasticProcess1DVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector___len__


attr(StochasticProcess1DVector___len__, 'returnType') = 'numeric'
attr(StochasticProcess1DVector___len__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector___len__) = c("SWIGFunction", class(StochasticProcess1DVector___len__))

# Start of StochasticProcess1DVector_pop

StochasticProcess1DVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  ans = .Call('R_swig_StochasticProcess1DVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_StochasticProcess1DPtr"
  
  ans
  
}
# End of StochasticProcess1DVector_pop


attr(StochasticProcess1DVector_pop, 'returnType') = '_p_StochasticProcess1DPtr'
attr(StochasticProcess1DVector_pop, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_pop) = c("SWIGFunction", class(StochasticProcess1DVector_pop))

# Start of StochasticProcess1DVector___getslice__

StochasticProcess1DVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_StochasticProcess1DVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t"
  
  ans
  
}
# End of StochasticProcess1DVector___getslice__


attr(StochasticProcess1DVector___getslice__, 'returnType') = '_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t'
attr(StochasticProcess1DVector___getslice__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric', 'numeric')
class(StochasticProcess1DVector___getslice__) = c("SWIGFunction", class(StochasticProcess1DVector___getslice__))

# Start of StochasticProcess1DVector___setslice__

StochasticProcess1DVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector___setslice__


attr(StochasticProcess1DVector___setslice__, 'returnType') = 'void'
attr(StochasticProcess1DVector___setslice__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric', 'numeric', '_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector___setslice__) = c("SWIGFunction", class(StochasticProcess1DVector___setslice__))

# Start of StochasticProcess1DVector___delslice__

StochasticProcess1DVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_StochasticProcess1DVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector___delslice__


attr(StochasticProcess1DVector___delslice__, 'returnType') = 'void'
attr(StochasticProcess1DVector___delslice__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric', 'numeric')
class(StochasticProcess1DVector___delslice__) = c("SWIGFunction", class(StochasticProcess1DVector___delslice__))

# Start of StochasticProcess1DVector___delitem__

StochasticProcess1DVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_StochasticProcess1DVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector___delitem__


attr(StochasticProcess1DVector___delitem__, 'returnType') = 'void'
attr(StochasticProcess1DVector___delitem__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric')
class(StochasticProcess1DVector___delitem__) = c("SWIGFunction", class(StochasticProcess1DVector___delitem__))

# Start of StochasticProcess1DVector___getitem__

StochasticProcess1DVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_StochasticProcess1DVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_StochasticProcess1DPtr"
  
  ans
  
}
# End of StochasticProcess1DVector___getitem__


attr(StochasticProcess1DVector___getitem__, 'returnType') = '_p_StochasticProcess1DPtr'
attr(StochasticProcess1DVector___getitem__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric')
class(StochasticProcess1DVector___getitem__) = c("SWIGFunction", class(StochasticProcess1DVector___getitem__))

# Start of StochasticProcess1DVector___setitem__

StochasticProcess1DVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_StochasticProcess1DPtr") 
  .Call('R_swig_StochasticProcess1DVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector___setitem__


attr(StochasticProcess1DVector___setitem__, 'returnType') = 'void'
attr(StochasticProcess1DVector___setitem__, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric', '_p_StochasticProcess1DPtr')
class(StochasticProcess1DVector___setitem__) = c("SWIGFunction", class(StochasticProcess1DVector___setitem__))

# Start of StochasticProcess1DVector_append

StochasticProcess1DVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  coerceIfNotSubclass(x, "_p_StochasticProcess1DPtr") 
  .Call('R_swig_StochasticProcess1DVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_append


attr(StochasticProcess1DVector_append, 'returnType') = 'void'
attr(StochasticProcess1DVector_append, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', '_p_StochasticProcess1DPtr')
class(StochasticProcess1DVector_append) = c("SWIGFunction", class(StochasticProcess1DVector_append))

setGeneric('StochasticProcess1DVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('StochasticProcess1DVector'))
attr(StochasticProcess1DVector, 'returnType') = '_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t'
setMethod('StochasticProcess1DVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_StochasticProcess1DVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t"
  
  ans
  
}

)
setMethod('StochasticProcess1DVector', c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  ans = .Call('R_swig_new_StochasticProcess1DVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t"
  
  ans
  
}

)
# Start of StochasticProcess1DVector_empty

StochasticProcess1DVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_empty


attr(StochasticProcess1DVector_empty, 'returnType') = 'logical'
attr(StochasticProcess1DVector_empty, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_empty) = c("SWIGFunction", class(StochasticProcess1DVector_empty))

# Start of StochasticProcess1DVector_size

StochasticProcess1DVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_size


attr(StochasticProcess1DVector_size, 'returnType') = 'numeric'
attr(StochasticProcess1DVector_size, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_size) = c("SWIGFunction", class(StochasticProcess1DVector_size))

# Start of StochasticProcess1DVector_clear

StochasticProcess1DVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector_clear', self, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_clear


attr(StochasticProcess1DVector_clear, 'returnType') = 'void'
attr(StochasticProcess1DVector_clear, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_clear) = c("SWIGFunction", class(StochasticProcess1DVector_clear))

# Start of StochasticProcess1DVector_swap

StochasticProcess1DVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_swap


attr(StochasticProcess1DVector_swap, 'returnType') = 'void'
attr(StochasticProcess1DVector_swap, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', '_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_swap) = c("SWIGFunction", class(StochasticProcess1DVector_swap))

# Start of StochasticProcess1DVector_get_allocator

StochasticProcess1DVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  ans = .Call('R_swig_StochasticProcess1DVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTStochasticProcess1DPtr_t"
  
  ans
  
}
# End of StochasticProcess1DVector_get_allocator


attr(StochasticProcess1DVector_get_allocator, 'returnType') = '_p_std__allocatorTStochasticProcess1DPtr_t'
attr(StochasticProcess1DVector_get_allocator, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_get_allocator) = c("SWIGFunction", class(StochasticProcess1DVector_get_allocator))

setMethod('StochasticProcess1DVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_StochasticProcess1DVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t"
  
  ans
  
}

)
# Start of StochasticProcess1DVector_pop_back

StochasticProcess1DVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_pop_back


attr(StochasticProcess1DVector_pop_back, 'returnType') = 'void'
attr(StochasticProcess1DVector_pop_back, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_pop_back) = c("SWIGFunction", class(StochasticProcess1DVector_pop_back))

setGeneric('StochasticProcess1DVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('StochasticProcess1DVector_resize'))
attr(StochasticProcess1DVector_resize, 'returnType') = 'void'
setMethod('StochasticProcess1DVector_resize', c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_StochasticProcess1DVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('StochasticProcess1DVector', c('numeric', '_p_StochasticProcess1DPtr', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_StochasticProcess1DPtr") 
  ans = .Call('R_swig_new_StochasticProcess1DVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t"
  
  ans
  
}

)
# Start of StochasticProcess1DVector_push_back

StochasticProcess1DVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  coerceIfNotSubclass(x, "_p_StochasticProcess1DPtr") 
  .Call('R_swig_StochasticProcess1DVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_push_back


attr(StochasticProcess1DVector_push_back, 'returnType') = 'void'
attr(StochasticProcess1DVector_push_back, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', '_p_StochasticProcess1DPtr')
class(StochasticProcess1DVector_push_back) = c("SWIGFunction", class(StochasticProcess1DVector_push_back))

# Start of StochasticProcess1DVector_front

StochasticProcess1DVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  ans = .Call('R_swig_StochasticProcess1DVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_StochasticProcess1DPtr"
  
  ans
  
}
# End of StochasticProcess1DVector_front


attr(StochasticProcess1DVector_front, 'returnType') = '_p_StochasticProcess1DPtr'
attr(StochasticProcess1DVector_front, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_front) = c("SWIGFunction", class(StochasticProcess1DVector_front))

# Start of StochasticProcess1DVector_back

StochasticProcess1DVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  ans = .Call('R_swig_StochasticProcess1DVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_StochasticProcess1DPtr"
  
  ans
  
}
# End of StochasticProcess1DVector_back


attr(StochasticProcess1DVector_back, 'returnType') = '_p_StochasticProcess1DPtr'
attr(StochasticProcess1DVector_back, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_back) = c("SWIGFunction", class(StochasticProcess1DVector_back))

# Start of StochasticProcess1DVector_assign

StochasticProcess1DVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_StochasticProcess1DPtr") 
  .Call('R_swig_StochasticProcess1DVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_assign


attr(StochasticProcess1DVector_assign, 'returnType') = 'void'
attr(StochasticProcess1DVector_assign, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric', '_p_StochasticProcess1DPtr')
class(StochasticProcess1DVector_assign) = c("SWIGFunction", class(StochasticProcess1DVector_assign))

setMethod('StochasticProcess1DVector_resize', c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric', '_p_StochasticProcess1DPtr', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_StochasticProcess1DPtr") 
  .Call('R_swig_StochasticProcess1DVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of StochasticProcess1DVector_reserve

StochasticProcess1DVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_StochasticProcess1DVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_reserve


attr(StochasticProcess1DVector_reserve, 'returnType') = 'void'
attr(StochasticProcess1DVector_reserve, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', 'numeric')
class(StochasticProcess1DVector_reserve) = c("SWIGFunction", class(StochasticProcess1DVector_reserve))

# Start of StochasticProcess1DVector_capacity

StochasticProcess1DVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_StochasticProcess1DVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of StochasticProcess1DVector_capacity


attr(StochasticProcess1DVector_capacity, 'returnType') = 'numeric'
attr(StochasticProcess1DVector_capacity, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(StochasticProcess1DVector_capacity) = c("SWIGFunction", class(StochasticProcess1DVector_capacity))

# Start of delete_StochasticProcess1DVector

delete_StochasticProcess1DVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t") 
  .Call('R_swig_delete_StochasticProcess1DVector', self, PACKAGE='QuantLib')
  
}
# End of delete_StochasticProcess1DVector


attr(delete_StochasticProcess1DVector, 'returnType') = 'void'
attr(delete_StochasticProcess1DVector, "inputTypes") = c('_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t')
class(delete_StochasticProcess1DVector) = c("SWIGFunction", class(delete_StochasticProcess1DVector))

# Start of accessor method for std::vector<(StochasticProcess1DPtr)>
setMethod('$', '_p_std__vectorTStochasticProcess1DPtr_std__allocatorTStochasticProcess1DPtr_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = StochasticProcess1DVector___nonzero__, '__len__' = StochasticProcess1DVector___len__, 'pop' = StochasticProcess1DVector_pop, '__getslice__' = StochasticProcess1DVector___getslice__, '__setslice__' = StochasticProcess1DVector___setslice__, '__delslice__' = StochasticProcess1DVector___delslice__, '__delitem__' = StochasticProcess1DVector___delitem__, '__getitem__' = StochasticProcess1DVector___getitem__, '__setitem__' = StochasticProcess1DVector___setitem__, 'append' = StochasticProcess1DVector_append, 'empty' = StochasticProcess1DVector_empty, 'size' = StochasticProcess1DVector_size, 'clear' = StochasticProcess1DVector_clear, 'swap' = StochasticProcess1DVector_swap, 'get_allocator' = StochasticProcess1DVector_get_allocator, 'pop_back' = StochasticProcess1DVector_pop_back, 'resize' = StochasticProcess1DVector_resize, 'push_back' = StochasticProcess1DVector_push_back, 'front' = StochasticProcess1DVector_front, 'back' = StochasticProcess1DVector_back, 'assign' = StochasticProcess1DVector_assign, 'resize' = StochasticProcess1DVector_resize, 'reserve' = StochasticProcess1DVector_reserve, 'capacity' = StochasticProcess1DVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(StochasticProcess1DPtr)>
defineEnumeration('_Option__Type',
                    .values = c(
                        'Call' = 0, 
                        'Put' = 1
))
# Start of delete_Option

delete_Option = function(self)
{
  coerceIfNotSubclass(self, "_p_Option") 
  .Call('R_swig_delete_Option', self, PACKAGE='QuantLib')
  
}
# End of delete_Option


attr(delete_Option, 'returnType') = 'void'
attr(delete_Option, "inputTypes") = c('_p_Option')
class(delete_Option) = c("SWIGFunction", class(delete_Option))

defineEnumeration('_Barrier__Type',
                    .values = c(
                        'DownIn' = 0, 
                        'UpIn' = 1, 
                        'DownOut' = 2, 
                        'UpOut' = 3
))
# Start of new_Barrier

Barrier = function()
{
  ans = .Call('R_swig_new_Barrier', PACKAGE='QuantLib')
  class(ans) <- "_p_Barrier"
  
  ans
  
}
# End of new_Barrier


attr(Barrier, 'returnType') = '_p_Barrier'
class(Barrier) = c("SWIGFunction", class(Barrier))

# Start of delete_Barrier

delete_Barrier = function(self)
{
  coerceIfNotSubclass(self, "_p_Barrier") 
  .Call('R_swig_delete_Barrier', self, PACKAGE='QuantLib')
  
}
# End of delete_Barrier


attr(delete_Barrier, 'returnType') = 'void'
attr(delete_Barrier, "inputTypes") = c('_p_Barrier')
class(delete_Barrier) = c("SWIGFunction", class(delete_Barrier))

# Start of Payoff___deref__

Payoff___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTPayoff_t") 
  ans = .Call('R_swig_Payoff___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_Payoff"
  
  ans
  
}
# End of Payoff___deref__


attr(Payoff___deref__, 'returnType') = '_p_Payoff'
attr(Payoff___deref__, "inputTypes") = c('_p_boost__shared_ptrTPayoff_t')
class(Payoff___deref__) = c("SWIGFunction", class(Payoff___deref__))

# Start of Payoff_isNull

Payoff_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTPayoff_t") 
  .Call('R_swig_Payoff_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Payoff_isNull


attr(Payoff_isNull, 'returnType') = 'logical'
attr(Payoff_isNull, "inputTypes") = c('_p_boost__shared_ptrTPayoff_t')
class(Payoff_isNull) = c("SWIGFunction", class(Payoff_isNull))

# Start of new_Payoff

Payoff = function()
{
  ans = .Call('R_swig_new_Payoff', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTPayoff_t"
  
  ans
  
}
# End of new_Payoff


attr(Payoff, 'returnType') = '_p_boost__shared_ptrTPayoff_t'
class(Payoff) = c("SWIGFunction", class(Payoff))

# Start of delete_Payoff

delete_Payoff = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTPayoff_t") 
  .Call('R_swig_delete_Payoff', self, PACKAGE='QuantLib')
  
}
# End of delete_Payoff


attr(delete_Payoff, 'returnType') = 'void'
attr(delete_Payoff, "inputTypes") = c('_p_boost__shared_ptrTPayoff_t')
class(delete_Payoff) = c("SWIGFunction", class(delete_Payoff))

# Start of Payoff___call__

Payoff___call__ = function(self, price, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTPayoff_t") 
  price = as.numeric(price) 
  .Call('R_swig_Payoff___call__', self, price, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Payoff___call__


attr(Payoff___call__, 'returnType') = 'numeric'
attr(Payoff___call__, "inputTypes") = c('_p_boost__shared_ptrTPayoff_t', 'numeric')
class(Payoff___call__) = c("SWIGFunction", class(Payoff___call__))

# Start of accessor method for boost::shared_ptr<(Payoff)>
setMethod('$', '_p_boost__shared_ptrTPayoff_t', function(x, name)

{
  accessorFuns = list('operator ->' = Payoff___deref__, 'isNull' = Payoff_isNull, 'operator ()' = Payoff___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(Payoff)>
setGeneric('VanillaOption', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('VanillaOption'))
attr(VanillaOption, 'returnType') = '_p_VanillaOptionPtr'
setMethod('VanillaOption', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg4, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_VanillaOption__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_VanillaOptionPtr"
  
  ans
  
}

)
setMethod('VanillaOption', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTExercise_t") 
  ans = .Call('R_swig_new_VanillaOption__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_VanillaOptionPtr"
  
  ans
  
}

)
# Start of VanillaOption_delta

VanillaOption_delta = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_VanillaOption_delta', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of VanillaOption_delta


attr(VanillaOption_delta, 'returnType') = 'numeric'
attr(VanillaOption_delta, "inputTypes") = c('_p_VanillaOptionPtr')
class(VanillaOption_delta) = c("SWIGFunction", class(VanillaOption_delta))

# Start of VanillaOption_gamma

VanillaOption_gamma = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_VanillaOption_gamma', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of VanillaOption_gamma


attr(VanillaOption_gamma, 'returnType') = 'numeric'
attr(VanillaOption_gamma, "inputTypes") = c('_p_VanillaOptionPtr')
class(VanillaOption_gamma) = c("SWIGFunction", class(VanillaOption_gamma))

# Start of VanillaOption_theta

VanillaOption_theta = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_VanillaOption_theta', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of VanillaOption_theta


attr(VanillaOption_theta, 'returnType') = 'numeric'
attr(VanillaOption_theta, "inputTypes") = c('_p_VanillaOptionPtr')
class(VanillaOption_theta) = c("SWIGFunction", class(VanillaOption_theta))

# Start of VanillaOption_vega

VanillaOption_vega = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_VanillaOption_vega', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of VanillaOption_vega


attr(VanillaOption_vega, 'returnType') = 'numeric'
attr(VanillaOption_vega, "inputTypes") = c('_p_VanillaOptionPtr')
class(VanillaOption_vega) = c("SWIGFunction", class(VanillaOption_vega))

# Start of VanillaOption_rho

VanillaOption_rho = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_VanillaOption_rho', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of VanillaOption_rho


attr(VanillaOption_rho, 'returnType') = 'numeric'
attr(VanillaOption_rho, "inputTypes") = c('_p_VanillaOptionPtr')
class(VanillaOption_rho) = c("SWIGFunction", class(VanillaOption_rho))

# Start of VanillaOption_dividendRho

VanillaOption_dividendRho = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_VanillaOption_dividendRho', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of VanillaOption_dividendRho


attr(VanillaOption_dividendRho, 'returnType') = 'numeric'
attr(VanillaOption_dividendRho, "inputTypes") = c('_p_VanillaOptionPtr')
class(VanillaOption_dividendRho) = c("SWIGFunction", class(VanillaOption_dividendRho))

# Start of VanillaOption_strikeSensitivity

VanillaOption_strikeSensitivity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_VanillaOption_strikeSensitivity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of VanillaOption_strikeSensitivity


attr(VanillaOption_strikeSensitivity, 'returnType') = 'numeric'
attr(VanillaOption_strikeSensitivity, "inputTypes") = c('_p_VanillaOptionPtr')
class(VanillaOption_strikeSensitivity) = c("SWIGFunction", class(VanillaOption_strikeSensitivity))

setGeneric('VanillaOption_impliedVolatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('VanillaOption_impliedVolatility'))
attr(VanillaOption_impliedVolatility, 'returnType') = 'numeric'
setMethod('VanillaOption_impliedVolatility', c('_p_VanillaOptionPtr', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_VanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  s_arg6 = as.numeric(s_arg6) 
  .Call('R_swig_VanillaOption_impliedVolatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('VanillaOption_impliedVolatility', c('_p_VanillaOptionPtr', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_VanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  .Call('R_swig_VanillaOption_impliedVolatility__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('VanillaOption_impliedVolatility', c('_p_VanillaOptionPtr', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_VanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  .Call('R_swig_VanillaOption_impliedVolatility__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('VanillaOption_impliedVolatility', c('_p_VanillaOptionPtr', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_VanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_VanillaOption_impliedVolatility__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('VanillaOption_impliedVolatility', c('_p_VanillaOptionPtr', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_VanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_VanillaOption_impliedVolatility__SWIG_4', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_VanillaOption

delete_VanillaOption = function(self)
{
  coerceIfNotSubclass(self, "_p_VanillaOptionPtr") 
  .Call('R_swig_delete_VanillaOption', self, PACKAGE='QuantLib')
  
}
# End of delete_VanillaOption


attr(delete_VanillaOption, 'returnType') = 'void'
attr(delete_VanillaOption, "inputTypes") = c('_p_VanillaOptionPtr')
class(delete_VanillaOption) = c("SWIGFunction", class(delete_VanillaOption))

# Start of accessor method for VanillaOptionPtr
setMethod('$', '_p_VanillaOptionPtr', function(x, name)

{
  accessorFuns = list('delta' = VanillaOption_delta, 'gamma' = VanillaOption_gamma, 'theta' = VanillaOption_theta, 'vega' = VanillaOption_vega, 'rho' = VanillaOption_rho, 'dividendRho' = VanillaOption_dividendRho, 'strikeSensitivity' = VanillaOption_strikeSensitivity, 'impliedVolatility' = VanillaOption_impliedVolatility, 'impliedVolatility' = VanillaOption_impliedVolatility, 'impliedVolatility' = VanillaOption_impliedVolatility, 'impliedVolatility' = VanillaOption_impliedVolatility, 'impliedVolatility' = VanillaOption_impliedVolatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for VanillaOptionPtr
setGeneric('EuropeanOption', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('EuropeanOption'))
attr(EuropeanOption, 'returnType') = '_p_EuropeanOptionPtr'
setMethod('EuropeanOption', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg4, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_EuropeanOption__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_EuropeanOptionPtr"
  
  ans
  
}

)
setMethod('EuropeanOption', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTExercise_t") 
  ans = .Call('R_swig_new_EuropeanOption__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_EuropeanOptionPtr"
  
  ans
  
}

)
# Start of delete_EuropeanOption

delete_EuropeanOption = function(self)
{
  coerceIfNotSubclass(self, "_p_EuropeanOptionPtr") 
  .Call('R_swig_delete_EuropeanOption', self, PACKAGE='QuantLib')
  
}
# End of delete_EuropeanOption


attr(delete_EuropeanOption, 'returnType') = 'void'
attr(delete_EuropeanOption, "inputTypes") = c('_p_EuropeanOptionPtr')
class(delete_EuropeanOption) = c("SWIGFunction", class(delete_EuropeanOption))

# Start of new_AnalyticEuropeanEngine

AnalyticEuropeanEngine = function()
{
  ans = .Call('R_swig_new_AnalyticEuropeanEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_AnalyticEuropeanEnginePtr"
  
  ans
  
}
# End of new_AnalyticEuropeanEngine


attr(AnalyticEuropeanEngine, 'returnType') = '_p_AnalyticEuropeanEnginePtr'
class(AnalyticEuropeanEngine) = c("SWIGFunction", class(AnalyticEuropeanEngine))

# Start of delete_AnalyticEuropeanEngine

delete_AnalyticEuropeanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_AnalyticEuropeanEnginePtr") 
  .Call('R_swig_delete_AnalyticEuropeanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_AnalyticEuropeanEngine


attr(delete_AnalyticEuropeanEngine, 'returnType') = 'void'
attr(delete_AnalyticEuropeanEngine, "inputTypes") = c('_p_AnalyticEuropeanEnginePtr')
class(delete_AnalyticEuropeanEngine) = c("SWIGFunction", class(delete_AnalyticEuropeanEngine))

# Start of new_IntegralEngine

IntegralEngine = function()
{
  ans = .Call('R_swig_new_IntegralEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_IntegralEnginePtr"
  
  ans
  
}
# End of new_IntegralEngine


attr(IntegralEngine, 'returnType') = '_p_IntegralEnginePtr'
class(IntegralEngine) = c("SWIGFunction", class(IntegralEngine))

# Start of delete_IntegralEngine

delete_IntegralEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_IntegralEnginePtr") 
  .Call('R_swig_delete_IntegralEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_IntegralEngine


attr(delete_IntegralEngine, 'returnType') = 'void'
attr(delete_IntegralEngine, "inputTypes") = c('_p_IntegralEnginePtr')
class(delete_IntegralEngine) = c("SWIGFunction", class(delete_IntegralEngine))

setGeneric('FDEuropeanEngine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FDEuropeanEngine'))
attr(FDEuropeanEngine, 'returnType') = '_p_FDEuropeanEnginePtr'
setMethod('FDEuropeanEngine', c('numeric', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  ans = .Call('R_swig_new_FDEuropeanEngine__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_FDEuropeanEnginePtr"
  
  ans
  
}

)
setMethod('FDEuropeanEngine', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_FDEuropeanEngine__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_FDEuropeanEnginePtr"
  
  ans
  
}

)
setMethod('FDEuropeanEngine', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_FDEuropeanEngine__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_FDEuropeanEnginePtr"
  
  ans
  
}

)
setMethod('FDEuropeanEngine', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_FDEuropeanEngine__SWIG_3', PACKAGE='QuantLib')
  class(ans) <- "_p_FDEuropeanEnginePtr"
  
  ans
  
}

)
# Start of delete_FDEuropeanEngine

delete_FDEuropeanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_FDEuropeanEnginePtr") 
  .Call('R_swig_delete_FDEuropeanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_FDEuropeanEngine


attr(delete_FDEuropeanEngine, 'returnType') = 'void'
attr(delete_FDEuropeanEngine, "inputTypes") = c('_p_FDEuropeanEnginePtr')
class(delete_FDEuropeanEngine) = c("SWIGFunction", class(delete_FDEuropeanEngine))

# Start of new_BinomialEuropeanEngine

BinomialEuropeanEngine = function(type, steps)
{
  coerceIfNotSubclass(type, "_p_std__string") 
  steps = as.integer(steps) 
  
  if(length(steps) > 1) {
    warning("using only the first element of steps")
  }
  
  ans = .Call('R_swig_new_BinomialEuropeanEngine', type, steps, PACKAGE='QuantLib')
  class(ans) <- "_p_BinomialVanillaEnginePtr"
  
  ans
  
}
# End of new_BinomialEuropeanEngine


attr(BinomialEuropeanEngine, 'returnType') = '_p_BinomialVanillaEnginePtr'
attr(BinomialEuropeanEngine, "inputTypes") = c('character', 'numeric')
class(BinomialEuropeanEngine) = c("SWIGFunction", class(BinomialEuropeanEngine))

# Start of delete_BinomialEuropeanEngine

delete_BinomialEuropeanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_BinomialVanillaEnginePtr") 
  .Call('R_swig_delete_BinomialEuropeanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_BinomialEuropeanEngine


attr(delete_BinomialEuropeanEngine, 'returnType') = 'void'
attr(delete_BinomialEuropeanEngine, "inputTypes") = c('_p_BinomialVanillaEnginePtr')
class(delete_BinomialEuropeanEngine) = c("SWIGFunction", class(delete_BinomialEuropeanEngine))

# Start of new_MCEuropeanEngine

MCEuropeanEngine = function(traits, timeSteps, timeStepsPerYear, brownianBridge, antitheticVariate, controlVariate, requiredSamples, requiredTolerance, maxSamples, seed)
{
  coerceIfNotSubclass(traits, "_p_std__string") 
  coerceIfNotSubclass(timeSteps, "_p_intOrNull") 
  coerceIfNotSubclass(timeStepsPerYear, "_p_intOrNull") 
  coerceIfNotSubclass(brownianBridge, "_p_bool") 
  coerceIfNotSubclass(antitheticVariate, "_p_bool") 
  coerceIfNotSubclass(controlVariate, "_p_bool") 
  coerceIfNotSubclass(requiredSamples, "_p_intOrNull") 
  coerceIfNotSubclass(requiredTolerance, "_p_doubleOrNull") 
  coerceIfNotSubclass(maxSamples, "_p_intOrNull") 
  seed = as.numeric(seed) 
  ans = .Call('R_swig_new_MCEuropeanEngine', traits, timeSteps, timeStepsPerYear, brownianBridge, antitheticVariate, controlVariate, requiredSamples, requiredTolerance, maxSamples, seed, PACKAGE='QuantLib')
  class(ans) <- "_p_MCEuropeanEnginePtr"
  
  ans
  
}
# End of new_MCEuropeanEngine


attr(MCEuropeanEngine, 'returnType') = '_p_MCEuropeanEnginePtr'
attr(MCEuropeanEngine, "inputTypes") = c('character', '_p_intOrNull', '_p_intOrNull', 'logical', 'logical', 'logical', '_p_intOrNull', '_p_doubleOrNull', '_p_intOrNull', 'numeric')
class(MCEuropeanEngine) = c("SWIGFunction", class(MCEuropeanEngine))

# Start of delete_MCEuropeanEngine

delete_MCEuropeanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_MCEuropeanEnginePtr") 
  .Call('R_swig_delete_MCEuropeanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_MCEuropeanEngine


attr(delete_MCEuropeanEngine, 'returnType') = 'void'
attr(delete_MCEuropeanEngine, "inputTypes") = c('_p_MCEuropeanEnginePtr')
class(delete_MCEuropeanEngine) = c("SWIGFunction", class(delete_MCEuropeanEngine))

setGeneric('FDAmericanEngine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FDAmericanEngine'))
attr(FDAmericanEngine, 'returnType') = '_p_FDAmericanEnginePtr'
setMethod('FDAmericanEngine', c('numeric', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  ans = .Call('R_swig_new_FDAmericanEngine__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_FDAmericanEnginePtr"
  
  ans
  
}

)
setMethod('FDAmericanEngine', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_FDAmericanEngine__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_FDAmericanEnginePtr"
  
  ans
  
}

)
setMethod('FDAmericanEngine', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_FDAmericanEngine__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_FDAmericanEnginePtr"
  
  ans
  
}

)
setMethod('FDAmericanEngine', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_FDAmericanEngine__SWIG_3', PACKAGE='QuantLib')
  class(ans) <- "_p_FDAmericanEnginePtr"
  
  ans
  
}

)
# Start of delete_FDAmericanEngine

delete_FDAmericanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_FDAmericanEnginePtr") 
  .Call('R_swig_delete_FDAmericanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_FDAmericanEngine


attr(delete_FDAmericanEngine, 'returnType') = 'void'
attr(delete_FDAmericanEngine, "inputTypes") = c('_p_FDAmericanEnginePtr')
class(delete_FDAmericanEngine) = c("SWIGFunction", class(delete_FDAmericanEngine))

setGeneric('FDShoutEngine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FDShoutEngine'))
attr(FDShoutEngine, 'returnType') = '_p_FDShoutEnginePtr'
setMethod('FDShoutEngine', c('numeric', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  ans = .Call('R_swig_new_FDShoutEngine__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_FDShoutEnginePtr"
  
  ans
  
}

)
setMethod('FDShoutEngine', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_FDShoutEngine__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_FDShoutEnginePtr"
  
  ans
  
}

)
setMethod('FDShoutEngine', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_FDShoutEngine__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_FDShoutEnginePtr"
  
  ans
  
}

)
setMethod('FDShoutEngine', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_FDShoutEngine__SWIG_3', PACKAGE='QuantLib')
  class(ans) <- "_p_FDShoutEnginePtr"
  
  ans
  
}

)
# Start of delete_FDShoutEngine

delete_FDShoutEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_FDShoutEnginePtr") 
  .Call('R_swig_delete_FDShoutEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_FDShoutEngine


attr(delete_FDShoutEngine, 'returnType') = 'void'
attr(delete_FDShoutEngine, "inputTypes") = c('_p_FDShoutEnginePtr')
class(delete_FDShoutEngine) = c("SWIGFunction", class(delete_FDShoutEngine))

# Start of new_BaroneAdesiWhaleyEngine

BaroneAdesiWhaleyEngine = function()
{
  ans = .Call('R_swig_new_BaroneAdesiWhaleyEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_BaroneAdesiWhaleyApproximationEnginePtr"
  
  ans
  
}
# End of new_BaroneAdesiWhaleyEngine


attr(BaroneAdesiWhaleyEngine, 'returnType') = '_p_BaroneAdesiWhaleyApproximationEnginePtr'
class(BaroneAdesiWhaleyEngine) = c("SWIGFunction", class(BaroneAdesiWhaleyEngine))

# Start of delete_BaroneAdesiWhaleyEngine

delete_BaroneAdesiWhaleyEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_BaroneAdesiWhaleyApproximationEnginePtr") 
  .Call('R_swig_delete_BaroneAdesiWhaleyEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_BaroneAdesiWhaleyEngine


attr(delete_BaroneAdesiWhaleyEngine, 'returnType') = 'void'
attr(delete_BaroneAdesiWhaleyEngine, "inputTypes") = c('_p_BaroneAdesiWhaleyApproximationEnginePtr')
class(delete_BaroneAdesiWhaleyEngine) = c("SWIGFunction", class(delete_BaroneAdesiWhaleyEngine))

# Start of new_BjerksundStenslandEngine

BjerksundStenslandEngine = function()
{
  ans = .Call('R_swig_new_BjerksundStenslandEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_BjerksundStenslandApproximationEnginePtr"
  
  ans
  
}
# End of new_BjerksundStenslandEngine


attr(BjerksundStenslandEngine, 'returnType') = '_p_BjerksundStenslandApproximationEnginePtr'
class(BjerksundStenslandEngine) = c("SWIGFunction", class(BjerksundStenslandEngine))

# Start of delete_BjerksundStenslandEngine

delete_BjerksundStenslandEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_BjerksundStenslandApproximationEnginePtr") 
  .Call('R_swig_delete_BjerksundStenslandEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_BjerksundStenslandEngine


attr(delete_BjerksundStenslandEngine, 'returnType') = 'void'
attr(delete_BjerksundStenslandEngine, "inputTypes") = c('_p_BjerksundStenslandApproximationEnginePtr')
class(delete_BjerksundStenslandEngine) = c("SWIGFunction", class(delete_BjerksundStenslandEngine))

# Start of new_AnalyticDigitalAmericanEngine

AnalyticDigitalAmericanEngine = function()
{
  ans = .Call('R_swig_new_AnalyticDigitalAmericanEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_AnalyticDigitalAmericanEnginePtr"
  
  ans
  
}
# End of new_AnalyticDigitalAmericanEngine


attr(AnalyticDigitalAmericanEngine, 'returnType') = '_p_AnalyticDigitalAmericanEnginePtr'
class(AnalyticDigitalAmericanEngine) = c("SWIGFunction", class(AnalyticDigitalAmericanEngine))

# Start of delete_AnalyticDigitalAmericanEngine

delete_AnalyticDigitalAmericanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_AnalyticDigitalAmericanEnginePtr") 
  .Call('R_swig_delete_AnalyticDigitalAmericanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_AnalyticDigitalAmericanEngine


attr(delete_AnalyticDigitalAmericanEngine, 'returnType') = 'void'
attr(delete_AnalyticDigitalAmericanEngine, "inputTypes") = c('_p_AnalyticDigitalAmericanEnginePtr')
class(delete_AnalyticDigitalAmericanEngine) = c("SWIGFunction", class(delete_AnalyticDigitalAmericanEngine))

setGeneric('DividendVanillaOption', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DividendVanillaOption'))
attr(DividendVanillaOption, 'returnType') = '_p_DividendVanillaOptionPtr'
setMethod('DividendVanillaOption', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t', '_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_boost__shared_ptrTPricingEngine_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg6, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_DividendVanillaOption__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_DividendVanillaOptionPtr"
  
  ans
  
}

)
setMethod('DividendVanillaOption', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t', '_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_new_DividendVanillaOption__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_DividendVanillaOptionPtr"
  
  ans
  
}

)
# Start of DividendVanillaOption_delta

DividendVanillaOption_delta = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_DividendVanillaOption_delta', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DividendVanillaOption_delta


attr(DividendVanillaOption_delta, 'returnType') = 'numeric'
attr(DividendVanillaOption_delta, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(DividendVanillaOption_delta) = c("SWIGFunction", class(DividendVanillaOption_delta))

# Start of DividendVanillaOption_gamma

DividendVanillaOption_gamma = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_DividendVanillaOption_gamma', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DividendVanillaOption_gamma


attr(DividendVanillaOption_gamma, 'returnType') = 'numeric'
attr(DividendVanillaOption_gamma, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(DividendVanillaOption_gamma) = c("SWIGFunction", class(DividendVanillaOption_gamma))

# Start of DividendVanillaOption_theta

DividendVanillaOption_theta = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_DividendVanillaOption_theta', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DividendVanillaOption_theta


attr(DividendVanillaOption_theta, 'returnType') = 'numeric'
attr(DividendVanillaOption_theta, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(DividendVanillaOption_theta) = c("SWIGFunction", class(DividendVanillaOption_theta))

# Start of DividendVanillaOption_vega

DividendVanillaOption_vega = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_DividendVanillaOption_vega', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DividendVanillaOption_vega


attr(DividendVanillaOption_vega, 'returnType') = 'numeric'
attr(DividendVanillaOption_vega, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(DividendVanillaOption_vega) = c("SWIGFunction", class(DividendVanillaOption_vega))

# Start of DividendVanillaOption_rho

DividendVanillaOption_rho = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_DividendVanillaOption_rho', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DividendVanillaOption_rho


attr(DividendVanillaOption_rho, 'returnType') = 'numeric'
attr(DividendVanillaOption_rho, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(DividendVanillaOption_rho) = c("SWIGFunction", class(DividendVanillaOption_rho))

# Start of DividendVanillaOption_dividendRho

DividendVanillaOption_dividendRho = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_DividendVanillaOption_dividendRho', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DividendVanillaOption_dividendRho


attr(DividendVanillaOption_dividendRho, 'returnType') = 'numeric'
attr(DividendVanillaOption_dividendRho, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(DividendVanillaOption_dividendRho) = c("SWIGFunction", class(DividendVanillaOption_dividendRho))

# Start of DividendVanillaOption_strikeSensitivity

DividendVanillaOption_strikeSensitivity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_DividendVanillaOption_strikeSensitivity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DividendVanillaOption_strikeSensitivity


attr(DividendVanillaOption_strikeSensitivity, 'returnType') = 'numeric'
attr(DividendVanillaOption_strikeSensitivity, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(DividendVanillaOption_strikeSensitivity) = c("SWIGFunction", class(DividendVanillaOption_strikeSensitivity))

setGeneric('DividendVanillaOption_impliedVolatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DividendVanillaOption_impliedVolatility'))
attr(DividendVanillaOption_impliedVolatility, 'returnType') = 'numeric'
setMethod('DividendVanillaOption_impliedVolatility', c('_p_DividendVanillaOptionPtr', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DividendVanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  s_arg6 = as.numeric(s_arg6) 
  .Call('R_swig_DividendVanillaOption_impliedVolatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('DividendVanillaOption_impliedVolatility', c('_p_DividendVanillaOptionPtr', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DividendVanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  .Call('R_swig_DividendVanillaOption_impliedVolatility__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('DividendVanillaOption_impliedVolatility', c('_p_DividendVanillaOptionPtr', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DividendVanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  .Call('R_swig_DividendVanillaOption_impliedVolatility__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('DividendVanillaOption_impliedVolatility', c('_p_DividendVanillaOptionPtr', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DividendVanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_DividendVanillaOption_impliedVolatility__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('DividendVanillaOption_impliedVolatility', c('_p_DividendVanillaOptionPtr', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_DividendVanillaOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_DividendVanillaOption_impliedVolatility__SWIG_4', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_DividendVanillaOption

delete_DividendVanillaOption = function(self)
{
  coerceIfNotSubclass(self, "_p_DividendVanillaOptionPtr") 
  .Call('R_swig_delete_DividendVanillaOption', self, PACKAGE='QuantLib')
  
}
# End of delete_DividendVanillaOption


attr(delete_DividendVanillaOption, 'returnType') = 'void'
attr(delete_DividendVanillaOption, "inputTypes") = c('_p_DividendVanillaOptionPtr')
class(delete_DividendVanillaOption) = c("SWIGFunction", class(delete_DividendVanillaOption))

# Start of accessor method for DividendVanillaOptionPtr
setMethod('$', '_p_DividendVanillaOptionPtr', function(x, name)

{
  accessorFuns = list('delta' = DividendVanillaOption_delta, 'gamma' = DividendVanillaOption_gamma, 'theta' = DividendVanillaOption_theta, 'vega' = DividendVanillaOption_vega, 'rho' = DividendVanillaOption_rho, 'dividendRho' = DividendVanillaOption_dividendRho, 'strikeSensitivity' = DividendVanillaOption_strikeSensitivity, 'impliedVolatility' = DividendVanillaOption_impliedVolatility, 'impliedVolatility' = DividendVanillaOption_impliedVolatility, 'impliedVolatility' = DividendVanillaOption_impliedVolatility, 'impliedVolatility' = DividendVanillaOption_impliedVolatility, 'impliedVolatility' = DividendVanillaOption_impliedVolatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for DividendVanillaOptionPtr
# Start of new_AnalyticDividendEuropeanEngine

AnalyticDividendEuropeanEngine = function()
{
  ans = .Call('R_swig_new_AnalyticDividendEuropeanEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_AnalyticDividendEuropeanEnginePtr"
  
  ans
  
}
# End of new_AnalyticDividendEuropeanEngine


attr(AnalyticDividendEuropeanEngine, 'returnType') = '_p_AnalyticDividendEuropeanEnginePtr'
class(AnalyticDividendEuropeanEngine) = c("SWIGFunction", class(AnalyticDividendEuropeanEngine))

# Start of delete_AnalyticDividendEuropeanEngine

delete_AnalyticDividendEuropeanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_AnalyticDividendEuropeanEnginePtr") 
  .Call('R_swig_delete_AnalyticDividendEuropeanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_AnalyticDividendEuropeanEngine


attr(delete_AnalyticDividendEuropeanEngine, 'returnType') = 'void'
attr(delete_AnalyticDividendEuropeanEngine, "inputTypes") = c('_p_AnalyticDividendEuropeanEnginePtr')
class(delete_AnalyticDividendEuropeanEngine) = c("SWIGFunction", class(delete_AnalyticDividendEuropeanEngine))

setGeneric('FDDividendEuropeanEngine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FDDividendEuropeanEngine'))
attr(FDDividendEuropeanEngine, 'returnType') = '_p_FDDividendEuropeanEnginePtr'
setMethod('FDDividendEuropeanEngine', c('numeric', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  ans = .Call('R_swig_new_FDDividendEuropeanEngine__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendEuropeanEnginePtr"
  
  ans
  
}

)
setMethod('FDDividendEuropeanEngine', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_FDDividendEuropeanEngine__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendEuropeanEnginePtr"
  
  ans
  
}

)
setMethod('FDDividendEuropeanEngine', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_FDDividendEuropeanEngine__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendEuropeanEnginePtr"
  
  ans
  
}

)
setMethod('FDDividendEuropeanEngine', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_FDDividendEuropeanEngine__SWIG_3', PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendEuropeanEnginePtr"
  
  ans
  
}

)
# Start of delete_FDDividendEuropeanEngine

delete_FDDividendEuropeanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_FDDividendEuropeanEnginePtr") 
  .Call('R_swig_delete_FDDividendEuropeanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_FDDividendEuropeanEngine


attr(delete_FDDividendEuropeanEngine, 'returnType') = 'void'
attr(delete_FDDividendEuropeanEngine, "inputTypes") = c('_p_FDDividendEuropeanEnginePtr')
class(delete_FDDividendEuropeanEngine) = c("SWIGFunction", class(delete_FDDividendEuropeanEngine))

setGeneric('FDDividendAmericanEngine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FDDividendAmericanEngine'))
attr(FDDividendAmericanEngine, 'returnType') = '_p_FDDividendAmericanEnginePtr'
setMethod('FDDividendAmericanEngine', c('numeric', 'numeric', 'logical', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_bool") 
  ans = .Call('R_swig_new_FDDividendAmericanEngine__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendAmericanEnginePtr"
  
  ans
  
}

)
setMethod('FDDividendAmericanEngine', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_FDDividendAmericanEngine__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendAmericanEnginePtr"
  
  ans
  
}

)
setMethod('FDDividendAmericanEngine', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_FDDividendAmericanEngine__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendAmericanEnginePtr"
  
  ans
  
}

)
setMethod('FDDividendAmericanEngine', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_FDDividendAmericanEngine__SWIG_3', PACKAGE='QuantLib')
  class(ans) <- "_p_FDDividendAmericanEnginePtr"
  
  ans
  
}

)
# Start of delete_FDDividendAmericanEngine

delete_FDDividendAmericanEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_FDDividendAmericanEnginePtr") 
  .Call('R_swig_delete_FDDividendAmericanEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_FDDividendAmericanEngine


attr(delete_FDDividendAmericanEngine, 'returnType') = 'void'
attr(delete_FDDividendAmericanEngine, "inputTypes") = c('_p_FDDividendAmericanEnginePtr')
class(delete_FDDividendAmericanEngine) = c("SWIGFunction", class(delete_FDDividendAmericanEngine))

setGeneric('BarrierOption', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BarrierOption'))
attr(BarrierOption, 'returnType') = '_p_BarrierOptionPtr'
setMethod('BarrierOption', c('character', 'numeric', 'numeric', '_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = enumToInteger(s_arg1, "_Barrier__Type") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg5, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg6, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg7, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_BarrierOption__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_BarrierOptionPtr"
  
  ans
  
}

)
setMethod('BarrierOption', c('character', 'numeric', 'numeric', '_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTPayoff_t', '_p_boost__shared_ptrTExercise_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = enumToInteger(s_arg1, "_Barrier__Type") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg5, "_p_boost__shared_ptrTPayoff_t") 
  coerceIfNotSubclass(s_arg6, "_p_boost__shared_ptrTExercise_t") 
  ans = .Call('R_swig_new_BarrierOption__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_BarrierOptionPtr"
  
  ans
  
}

)
# Start of BarrierOption_delta

BarrierOption_delta = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_BarrierOption_delta', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BarrierOption_delta


attr(BarrierOption_delta, 'returnType') = 'numeric'
attr(BarrierOption_delta, "inputTypes") = c('_p_BarrierOptionPtr')
class(BarrierOption_delta) = c("SWIGFunction", class(BarrierOption_delta))

# Start of BarrierOption_gamma

BarrierOption_gamma = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_BarrierOption_gamma', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BarrierOption_gamma


attr(BarrierOption_gamma, 'returnType') = 'numeric'
attr(BarrierOption_gamma, "inputTypes") = c('_p_BarrierOptionPtr')
class(BarrierOption_gamma) = c("SWIGFunction", class(BarrierOption_gamma))

# Start of BarrierOption_theta

BarrierOption_theta = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_BarrierOption_theta', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BarrierOption_theta


attr(BarrierOption_theta, 'returnType') = 'numeric'
attr(BarrierOption_theta, "inputTypes") = c('_p_BarrierOptionPtr')
class(BarrierOption_theta) = c("SWIGFunction", class(BarrierOption_theta))

# Start of BarrierOption_vega

BarrierOption_vega = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_BarrierOption_vega', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BarrierOption_vega


attr(BarrierOption_vega, 'returnType') = 'numeric'
attr(BarrierOption_vega, "inputTypes") = c('_p_BarrierOptionPtr')
class(BarrierOption_vega) = c("SWIGFunction", class(BarrierOption_vega))

# Start of BarrierOption_rho

BarrierOption_rho = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_BarrierOption_rho', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BarrierOption_rho


attr(BarrierOption_rho, 'returnType') = 'numeric'
attr(BarrierOption_rho, "inputTypes") = c('_p_BarrierOptionPtr')
class(BarrierOption_rho) = c("SWIGFunction", class(BarrierOption_rho))

# Start of BarrierOption_dividendRho

BarrierOption_dividendRho = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_BarrierOption_dividendRho', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BarrierOption_dividendRho


attr(BarrierOption_dividendRho, 'returnType') = 'numeric'
attr(BarrierOption_dividendRho, "inputTypes") = c('_p_BarrierOptionPtr')
class(BarrierOption_dividendRho) = c("SWIGFunction", class(BarrierOption_dividendRho))

# Start of BarrierOption_strikeSensitivity

BarrierOption_strikeSensitivity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_BarrierOption_strikeSensitivity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BarrierOption_strikeSensitivity


attr(BarrierOption_strikeSensitivity, 'returnType') = 'numeric'
attr(BarrierOption_strikeSensitivity, "inputTypes") = c('_p_BarrierOptionPtr')
class(BarrierOption_strikeSensitivity) = c("SWIGFunction", class(BarrierOption_strikeSensitivity))

setGeneric('BarrierOption_impliedVolatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BarrierOption_impliedVolatility'))
attr(BarrierOption_impliedVolatility, 'returnType') = 'numeric'
setMethod('BarrierOption_impliedVolatility', c('_p_BarrierOptionPtr', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BarrierOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  s_arg6 = as.numeric(s_arg6) 
  .Call('R_swig_BarrierOption_impliedVolatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BarrierOption_impliedVolatility', c('_p_BarrierOptionPtr', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BarrierOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  .Call('R_swig_BarrierOption_impliedVolatility__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BarrierOption_impliedVolatility', c('_p_BarrierOptionPtr', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BarrierOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  .Call('R_swig_BarrierOption_impliedVolatility__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BarrierOption_impliedVolatility', c('_p_BarrierOptionPtr', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BarrierOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_BarrierOption_impliedVolatility__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('BarrierOption_impliedVolatility', c('_p_BarrierOptionPtr', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_BarrierOptionPtr") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_BarrierOption_impliedVolatility__SWIG_4', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_BarrierOption

delete_BarrierOption = function(self)
{
  coerceIfNotSubclass(self, "_p_BarrierOptionPtr") 
  .Call('R_swig_delete_BarrierOption', self, PACKAGE='QuantLib')
  
}
# End of delete_BarrierOption


attr(delete_BarrierOption, 'returnType') = 'void'
attr(delete_BarrierOption, "inputTypes") = c('_p_BarrierOptionPtr')
class(delete_BarrierOption) = c("SWIGFunction", class(delete_BarrierOption))

# Start of accessor method for BarrierOptionPtr
setMethod('$', '_p_BarrierOptionPtr', function(x, name)

{
  accessorFuns = list('delta' = BarrierOption_delta, 'gamma' = BarrierOption_gamma, 'theta' = BarrierOption_theta, 'vega' = BarrierOption_vega, 'rho' = BarrierOption_rho, 'dividendRho' = BarrierOption_dividendRho, 'strikeSensitivity' = BarrierOption_strikeSensitivity, 'impliedVolatility' = BarrierOption_impliedVolatility, 'impliedVolatility' = BarrierOption_impliedVolatility, 'impliedVolatility' = BarrierOption_impliedVolatility, 'impliedVolatility' = BarrierOption_impliedVolatility, 'impliedVolatility' = BarrierOption_impliedVolatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for BarrierOptionPtr
# Start of new_AnalyticBarrierEngine

AnalyticBarrierEngine = function()
{
  ans = .Call('R_swig_new_AnalyticBarrierEngine', PACKAGE='QuantLib')
  class(ans) <- "_p_AnalyticBarrierEnginePtr"
  
  ans
  
}
# End of new_AnalyticBarrierEngine


attr(AnalyticBarrierEngine, 'returnType') = '_p_AnalyticBarrierEnginePtr'
class(AnalyticBarrierEngine) = c("SWIGFunction", class(AnalyticBarrierEngine))

# Start of delete_AnalyticBarrierEngine

delete_AnalyticBarrierEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_AnalyticBarrierEnginePtr") 
  .Call('R_swig_delete_AnalyticBarrierEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_AnalyticBarrierEngine


attr(delete_AnalyticBarrierEngine, 'returnType') = 'void'
attr(delete_AnalyticBarrierEngine, "inputTypes") = c('_p_AnalyticBarrierEnginePtr')
class(delete_AnalyticBarrierEngine) = c("SWIGFunction", class(delete_AnalyticBarrierEngine))

# Start of new_MCBarrierEngine

MCBarrierEngine = function(traits, timeStepsPerYear, brownianBridge, antitheticVariate, controlVariate, requiredSamples, requiredTolerance, maxSamples, isBiased, seed)
{
  coerceIfNotSubclass(traits, "_p_std__string") 
  timeStepsPerYear = as.integer(timeStepsPerYear) 
  
  if(length(timeStepsPerYear) > 1) {
    warning("using only the first element of timeStepsPerYear")
  }
  
  coerceIfNotSubclass(brownianBridge, "_p_bool") 
  coerceIfNotSubclass(antitheticVariate, "_p_bool") 
  coerceIfNotSubclass(controlVariate, "_p_bool") 
  coerceIfNotSubclass(requiredSamples, "_p_intOrNull") 
  coerceIfNotSubclass(requiredTolerance, "_p_doubleOrNull") 
  coerceIfNotSubclass(maxSamples, "_p_intOrNull") 
  coerceIfNotSubclass(isBiased, "_p_bool") 
  seed = as.numeric(seed) 
  ans = .Call('R_swig_new_MCBarrierEngine', traits, timeStepsPerYear, brownianBridge, antitheticVariate, controlVariate, requiredSamples, requiredTolerance, maxSamples, isBiased, seed, PACKAGE='QuantLib')
  class(ans) <- "_p_MCBarrierEnginePtr"
  
  ans
  
}
# End of new_MCBarrierEngine


attr(MCBarrierEngine, 'returnType') = '_p_MCBarrierEnginePtr'
attr(MCBarrierEngine, "inputTypes") = c('character', 'numeric', 'logical', 'logical', 'logical', '_p_intOrNull', '_p_doubleOrNull', '_p_intOrNull', 'logical', 'numeric')
class(MCBarrierEngine) = c("SWIGFunction", class(MCBarrierEngine))

# Start of delete_MCBarrierEngine

delete_MCBarrierEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_MCBarrierEnginePtr") 
  .Call('R_swig_delete_MCBarrierEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_MCBarrierEngine


attr(delete_MCBarrierEngine, 'returnType') = 'void'
attr(delete_MCBarrierEngine, "inputTypes") = c('_p_MCBarrierEnginePtr')
class(delete_MCBarrierEngine) = c("SWIGFunction", class(delete_MCBarrierEngine))

setGeneric('CapFloor_impliedVolatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapFloor_impliedVolatility'))
attr(CapFloor_impliedVolatility, 'returnType') = 'numeric'
setMethod('CapFloor_impliedVolatility', c('_p_CapFloorPtr', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CapFloorPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  s_arg6 = as.numeric(s_arg6) 
  .Call('R_swig_CapFloor_impliedVolatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapFloor_impliedVolatility', c('_p_CapFloorPtr', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CapFloorPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  s_arg5 = as.numeric(s_arg5) 
  .Call('R_swig_CapFloor_impliedVolatility__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapFloor_impliedVolatility', c('_p_CapFloorPtr', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CapFloorPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  .Call('R_swig_CapFloor_impliedVolatility__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapFloor_impliedVolatility', c('_p_CapFloorPtr', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CapFloorPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapFloor_impliedVolatility__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapFloor_impliedVolatility', c('_p_CapFloorPtr', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CapFloorPtr") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_CapFloor_impliedVolatility__SWIG_4', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of new_CapFloor

CapFloor = function()
{
  ans = .Call('R_swig_new_CapFloor', PACKAGE='QuantLib')
  class(ans) <- "_p_CapFloorPtr"
  
  ans
  
}
# End of new_CapFloor


attr(CapFloor, 'returnType') = '_p_CapFloorPtr'
class(CapFloor) = c("SWIGFunction", class(CapFloor))

# Start of delete_CapFloor

delete_CapFloor = function(self)
{
  coerceIfNotSubclass(self, "_p_CapFloorPtr") 
  .Call('R_swig_delete_CapFloor', self, PACKAGE='QuantLib')
  
}
# End of delete_CapFloor


attr(delete_CapFloor, 'returnType') = 'void'
attr(delete_CapFloor, "inputTypes") = c('_p_CapFloorPtr')
class(delete_CapFloor) = c("SWIGFunction", class(delete_CapFloor))

# Start of accessor method for CapFloorPtr
setMethod('$', '_p_CapFloorPtr', function(x, name)

{
  accessorFuns = list('impliedVolatility' = CapFloor_impliedVolatility, 'impliedVolatility' = CapFloor_impliedVolatility, 'impliedVolatility' = CapFloor_impliedVolatility, 'impliedVolatility' = CapFloor_impliedVolatility, 'impliedVolatility' = CapFloor_impliedVolatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for CapFloorPtr
# Start of new_Cap

Cap = function(leg, capRates, h, engine)
{
  coerceIfNotSubclass(leg, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(capRates, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(h, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(engine, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_Cap', leg, capRates, h, engine, PACKAGE='QuantLib')
  class(ans) <- "_p_CapPtr"
  
  ans
  
}
# End of new_Cap


attr(Cap, 'returnType') = '_p_CapPtr'
attr(Cap, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_HandleTYieldTermStructure_t', '_p_boost__shared_ptrTPricingEngine_t')
class(Cap) = c("SWIGFunction", class(Cap))

# Start of delete_Cap

delete_Cap = function(self)
{
  coerceIfNotSubclass(self, "_p_CapPtr") 
  .Call('R_swig_delete_Cap', self, PACKAGE='QuantLib')
  
}
# End of delete_Cap


attr(delete_Cap, 'returnType') = 'void'
attr(delete_Cap, "inputTypes") = c('_p_CapPtr')
class(delete_Cap) = c("SWIGFunction", class(delete_Cap))

# Start of new_Floor

Floor = function(leg, floorRates, h, engine)
{
  coerceIfNotSubclass(leg, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(floorRates, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(h, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(engine, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_Floor', leg, floorRates, h, engine, PACKAGE='QuantLib')
  class(ans) <- "_p_FloorPtr"
  
  ans
  
}
# End of new_Floor


attr(Floor, 'returnType') = '_p_FloorPtr'
attr(Floor, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_HandleTYieldTermStructure_t', '_p_boost__shared_ptrTPricingEngine_t')
class(Floor) = c("SWIGFunction", class(Floor))

# Start of delete_Floor

delete_Floor = function(self)
{
  coerceIfNotSubclass(self, "_p_FloorPtr") 
  .Call('R_swig_delete_Floor', self, PACKAGE='QuantLib')
  
}
# End of delete_Floor


attr(delete_Floor, 'returnType') = 'void'
attr(delete_Floor, "inputTypes") = c('_p_FloorPtr')
class(delete_Floor) = c("SWIGFunction", class(delete_Floor))

# Start of new_Collar

Collar = function(leg, capRates, floorRates, h, engine)
{
  coerceIfNotSubclass(leg, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(capRates, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(floorRates, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(h, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(engine, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_Collar', leg, capRates, floorRates, h, engine, PACKAGE='QuantLib')
  class(ans) <- "_p_CollarPtr"
  
  ans
  
}
# End of new_Collar


attr(Collar, 'returnType') = '_p_CollarPtr'
attr(Collar, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_HandleTYieldTermStructure_t', '_p_boost__shared_ptrTPricingEngine_t')
class(Collar) = c("SWIGFunction", class(Collar))

# Start of delete_Collar

delete_Collar = function(self)
{
  coerceIfNotSubclass(self, "_p_CollarPtr") 
  .Call('R_swig_delete_Collar', self, PACKAGE='QuantLib')
  
}
# End of delete_Collar


attr(delete_Collar, 'returnType') = 'void'
attr(delete_Collar, "inputTypes") = c('_p_CollarPtr')
class(delete_Collar) = c("SWIGFunction", class(delete_Collar))

# Start of new_BlackCapFloorEngine

BlackCapFloorEngine = function(model)
{
  coerceIfNotSubclass(model, "_p_boost__shared_ptrTBlackModel_t") 
  ans = .Call('R_swig_new_BlackCapFloorEngine', model, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackCapFloorEnginePtr"
  
  ans
  
}
# End of new_BlackCapFloorEngine


attr(BlackCapFloorEngine, 'returnType') = '_p_BlackCapFloorEnginePtr'
attr(BlackCapFloorEngine, "inputTypes") = c('_p_boost__shared_ptrTBlackModel_t')
class(BlackCapFloorEngine) = c("SWIGFunction", class(BlackCapFloorEngine))

# Start of delete_BlackCapFloorEngine

delete_BlackCapFloorEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_BlackCapFloorEnginePtr") 
  .Call('R_swig_delete_BlackCapFloorEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackCapFloorEngine


attr(delete_BlackCapFloorEngine, 'returnType') = 'void'
attr(delete_BlackCapFloorEngine, "inputTypes") = c('_p_BlackCapFloorEnginePtr')
class(delete_BlackCapFloorEngine) = c("SWIGFunction", class(delete_BlackCapFloorEngine))

# Start of new_CompoundForward

CompoundForward = function(settlementDate, dates, rates, calendar, roll, compounding, dayCounter)
{
  coerceIfNotSubclass(settlementDate, "_p_Date") 
  coerceIfNotSubclass(dates, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(rates, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(calendar, "_p_Calendar") 
  roll = enumToInteger(roll, "_BusinessDayConvention") 
  
  if(length(roll) > 1) {
    warning("using only the first element of roll")
  }
  
  compounding = as.integer(compounding) 
  
  if(length(compounding) > 1) {
    warning("using only the first element of compounding")
  }
  
  coerceIfNotSubclass(dayCounter, "_p_DayCounter") 
  ans = .Call('R_swig_new_CompoundForward', settlementDate, dates, rates, calendar, roll, compounding, dayCounter, PACKAGE='QuantLib')
  class(ans) <- "_p_CompoundForwardPtr"
  
  ans
  
}
# End of new_CompoundForward


attr(CompoundForward, 'returnType') = '_p_CompoundForwardPtr'
attr(CompoundForward, "inputTypes") = c('_p_Date', '_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_Calendar', 'character', 'numeric', '_p_DayCounter')
class(CompoundForward) = c("SWIGFunction", class(CompoundForward))

# Start of CompoundForward_dates

CompoundForward_dates = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_CompoundForwardPtr") 
  ans = .Call('R_swig_CompoundForward_dates', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}
# End of CompoundForward_dates


attr(CompoundForward_dates, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
attr(CompoundForward_dates, "inputTypes") = c('_p_CompoundForwardPtr')
class(CompoundForward_dates) = c("SWIGFunction", class(CompoundForward_dates))

setGeneric('CompoundForward_compoundForward', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CompoundForward_compoundForward'))
attr(CompoundForward_compoundForward, 'returnType') = 'numeric'
setMethod('CompoundForward_compoundForward', c('_p_CompoundForwardPtr', '_p_Date', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CompoundForwardPtr") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_CompoundForward_compoundForward__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CompoundForward_compoundForward', c('_p_CompoundForwardPtr', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CompoundForwardPtr") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_CompoundForward_compoundForward__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CompoundForward_compoundForward', c('_p_CompoundForwardPtr', 'numeric', 'numeric', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CompoundForwardPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  .Call('R_swig_CompoundForward_compoundForward__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CompoundForward_compoundForward', c('_p_CompoundForwardPtr', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_CompoundForwardPtr") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_CompoundForward_compoundForward__SWIG_3', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of delete_CompoundForward

delete_CompoundForward = function(self)
{
  coerceIfNotSubclass(self, "_p_CompoundForwardPtr") 
  .Call('R_swig_delete_CompoundForward', self, PACKAGE='QuantLib')
  
}
# End of delete_CompoundForward


attr(delete_CompoundForward, 'returnType') = 'void'
attr(delete_CompoundForward, "inputTypes") = c('_p_CompoundForwardPtr')
class(delete_CompoundForward) = c("SWIGFunction", class(delete_CompoundForward))

# Start of accessor method for CompoundForwardPtr
setMethod('$', '_p_CompoundForwardPtr', function(x, name)

{
  accessorFuns = list('dates' = CompoundForward_dates, 'compoundForward' = CompoundForward_compoundForward, 'compoundForward' = CompoundForward_compoundForward, 'compoundForward' = CompoundForward_compoundForward, 'compoundForward' = CompoundForward_compoundForward)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for CompoundForwardPtr
# Start of new_FixedDividend

FixedDividend = function(amount, date)
{
  amount = as.numeric(amount) 
  coerceIfNotSubclass(date, "_p_Date") 
  ans = .Call('R_swig_new_FixedDividend', amount, date, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedDividendPtr"
  
  ans
  
}
# End of new_FixedDividend


attr(FixedDividend, 'returnType') = '_p_FixedDividendPtr'
attr(FixedDividend, "inputTypes") = c('numeric', '_p_Date')
class(FixedDividend) = c("SWIGFunction", class(FixedDividend))

# Start of delete_FixedDividend

delete_FixedDividend = function(self)
{
  coerceIfNotSubclass(self, "_p_FixedDividendPtr") 
  .Call('R_swig_delete_FixedDividend', self, PACKAGE='QuantLib')
  
}
# End of delete_FixedDividend


attr(delete_FixedDividend, 'returnType') = 'void'
attr(delete_FixedDividend, "inputTypes") = c('_p_FixedDividendPtr')
class(delete_FixedDividend) = c("SWIGFunction", class(delete_FixedDividend))

# Start of new_FractionalDividend

FractionalDividend = function(rate, date)
{
  rate = as.numeric(rate) 
  coerceIfNotSubclass(date, "_p_Date") 
  ans = .Call('R_swig_new_FractionalDividend', rate, date, PACKAGE='QuantLib')
  class(ans) <- "_p_FractionalDividendPtr"
  
  ans
  
}
# End of new_FractionalDividend


attr(FractionalDividend, 'returnType') = '_p_FractionalDividendPtr'
attr(FractionalDividend, "inputTypes") = c('numeric', '_p_Date')
class(FractionalDividend) = c("SWIGFunction", class(FractionalDividend))

# Start of delete_FractionalDividend

delete_FractionalDividend = function(self)
{
  coerceIfNotSubclass(self, "_p_FractionalDividendPtr") 
  .Call('R_swig_delete_FractionalDividend', self, PACKAGE='QuantLib')
  
}
# End of delete_FractionalDividend


attr(delete_FractionalDividend, 'returnType') = 'void'
attr(delete_FractionalDividend, "inputTypes") = c('_p_FractionalDividendPtr')
class(delete_FractionalDividend) = c("SWIGFunction", class(delete_FractionalDividend))

setGeneric('DividendSchedule', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DividendSchedule'))
attr(DividendSchedule, 'returnType') = '_p_DividendSchedule'
setMethod('DividendSchedule', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_DividendSchedule__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_DividendSchedule"
  
  ans
  
}

)
setMethod('DividendSchedule', c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  ans = .Call('R_swig_new_DividendSchedule__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_DividendSchedule"
  
  ans
  
}

)
# Start of delete_DividendSchedule

delete_DividendSchedule = function(self)
{
  coerceIfNotSubclass(self, "_p_DividendSchedule") 
  .Call('R_swig_delete_DividendSchedule', self, PACKAGE='QuantLib')
  
}
# End of delete_DividendSchedule


attr(delete_DividendSchedule, 'returnType') = 'void'
attr(delete_DividendSchedule, "inputTypes") = c('_p_DividendSchedule')
class(delete_DividendSchedule) = c("SWIGFunction", class(delete_DividendSchedule))

setGeneric('ConvertibleZeroCouponBond', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ConvertibleZeroCouponBond'))
attr(ConvertibleZeroCouponBond, 'returnType') = '_p_ConvertibleZeroCouponBondPtr'
setMethod('ConvertibleZeroCouponBond', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', 'numeric', '_p_DividendSchedule', '_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_HandleTQuote_t', '_p_Date', 'numeric', '_p_DayCounter', '_p_Schedule', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTPricingEngine_t") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_DividendSchedule") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  s_arg9 = as.integer(s_arg9) 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  coerceIfNotSubclass(s_arg10, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg11, "_p_Schedule") 
  s_arg12 = as.numeric(s_arg12) 
  ans = .Call('R_swig_new_ConvertibleZeroCouponBond__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, PACKAGE='QuantLib')
  class(ans) <- "_p_ConvertibleZeroCouponBondPtr"
  
  ans
  
}

)
setMethod('ConvertibleZeroCouponBond', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', 'numeric', '_p_DividendSchedule', '_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_HandleTQuote_t', '_p_Date', 'numeric', '_p_DayCounter', '_p_Schedule'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTPricingEngine_t") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_DividendSchedule") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  s_arg9 = as.integer(s_arg9) 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  coerceIfNotSubclass(s_arg10, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg11, "_p_Schedule") 
  ans = .Call('R_swig_new_ConvertibleZeroCouponBond__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, PACKAGE='QuantLib')
  class(ans) <- "_p_ConvertibleZeroCouponBondPtr"
  
  ans
  
}

)
# Start of delete_ConvertibleZeroCouponBond

delete_ConvertibleZeroCouponBond = function(self)
{
  coerceIfNotSubclass(self, "_p_ConvertibleZeroCouponBondPtr") 
  .Call('R_swig_delete_ConvertibleZeroCouponBond', self, PACKAGE='QuantLib')
  
}
# End of delete_ConvertibleZeroCouponBond


attr(delete_ConvertibleZeroCouponBond, 'returnType') = 'void'
attr(delete_ConvertibleZeroCouponBond, "inputTypes") = c('_p_ConvertibleZeroCouponBondPtr')
class(delete_ConvertibleZeroCouponBond) = c("SWIGFunction", class(delete_ConvertibleZeroCouponBond))

setGeneric('ConvertibleFixedCouponBond', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ConvertibleFixedCouponBond'))
attr(ConvertibleFixedCouponBond, 'returnType') = '_p_ConvertibleFixedCouponBondPtr'
setMethod('ConvertibleFixedCouponBond', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', 'numeric', '_p_DividendSchedule', '_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_HandleTQuote_t', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_Schedule', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTPricingEngine_t") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_DividendSchedule") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  s_arg9 = as.integer(s_arg9) 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  coerceIfNotSubclass(s_arg10, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg11, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg12, "_p_Schedule") 
  s_arg13 = as.numeric(s_arg13) 
  ans = .Call('R_swig_new_ConvertibleFixedCouponBond__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, PACKAGE='QuantLib')
  class(ans) <- "_p_ConvertibleFixedCouponBondPtr"
  
  ans
  
}

)
setMethod('ConvertibleFixedCouponBond', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', 'numeric', '_p_DividendSchedule', '_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_HandleTQuote_t', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_Schedule'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTPricingEngine_t") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_DividendSchedule") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  s_arg9 = as.integer(s_arg9) 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  coerceIfNotSubclass(s_arg10, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg11, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg12, "_p_Schedule") 
  ans = .Call('R_swig_new_ConvertibleFixedCouponBond__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, PACKAGE='QuantLib')
  class(ans) <- "_p_ConvertibleFixedCouponBondPtr"
  
  ans
  
}

)
# Start of delete_ConvertibleFixedCouponBond

delete_ConvertibleFixedCouponBond = function(self)
{
  coerceIfNotSubclass(self, "_p_ConvertibleFixedCouponBondPtr") 
  .Call('R_swig_delete_ConvertibleFixedCouponBond', self, PACKAGE='QuantLib')
  
}
# End of delete_ConvertibleFixedCouponBond


attr(delete_ConvertibleFixedCouponBond, 'returnType') = 'void'
attr(delete_ConvertibleFixedCouponBond, "inputTypes") = c('_p_ConvertibleFixedCouponBondPtr')
class(delete_ConvertibleFixedCouponBond) = c("SWIGFunction", class(delete_ConvertibleFixedCouponBond))

setGeneric('ConvertibleFloatingRateBond', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ConvertibleFloatingRateBond'))
attr(ConvertibleFloatingRateBond, 'returnType') = '_p_ConvertibleFloatingRateBondPtr'
setMethod('ConvertibleFloatingRateBond', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', 'numeric', '_p_DividendSchedule', '_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_HandleTQuote_t', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_Schedule', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14, s_arg15)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTPricingEngine_t") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_DividendSchedule") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  s_arg9 = as.integer(s_arg9) 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  coerceIfNotSubclass(s_arg10, "_p_XiborPtr") 
  s_arg11 = as.integer(s_arg11) 
  
  if(length(s_arg11) > 1) {
    warning("using only the first element of s_arg11")
  }
  
  coerceIfNotSubclass(s_arg12, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg13, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg14, "_p_Schedule") 
  s_arg15 = as.numeric(s_arg15) 
  ans = .Call('R_swig_new_ConvertibleFloatingRateBond__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14, s_arg15, PACKAGE='QuantLib')
  class(ans) <- "_p_ConvertibleFloatingRateBondPtr"
  
  ans
  
}

)
setMethod('ConvertibleFloatingRateBond', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_boost__shared_ptrTExercise_t', '_p_boost__shared_ptrTPricingEngine_t', 'numeric', '_p_DividendSchedule', '_p_std__vectorTCallability_std__allocatorTCallability_t_t', '_p_HandleTQuote_t', '_p_Date', 'numeric', '_p_XiborPtr', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_Schedule'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTPricingEngine_t") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_DividendSchedule") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTCallability_std__allocatorTCallability_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg8, "_p_Date") 
  s_arg9 = as.integer(s_arg9) 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  coerceIfNotSubclass(s_arg10, "_p_XiborPtr") 
  s_arg11 = as.integer(s_arg11) 
  
  if(length(s_arg11) > 1) {
    warning("using only the first element of s_arg11")
  }
  
  coerceIfNotSubclass(s_arg12, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg13, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg14, "_p_Schedule") 
  ans = .Call('R_swig_new_ConvertibleFloatingRateBond__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, s_arg14, PACKAGE='QuantLib')
  class(ans) <- "_p_ConvertibleFloatingRateBondPtr"
  
  ans
  
}

)
# Start of delete_ConvertibleFloatingRateBond

delete_ConvertibleFloatingRateBond = function(self)
{
  coerceIfNotSubclass(self, "_p_ConvertibleFloatingRateBondPtr") 
  .Call('R_swig_delete_ConvertibleFloatingRateBond', self, PACKAGE='QuantLib')
  
}
# End of delete_ConvertibleFloatingRateBond


attr(delete_ConvertibleFloatingRateBond, 'returnType') = 'void'
attr(delete_ConvertibleFloatingRateBond, "inputTypes") = c('_p_ConvertibleFloatingRateBondPtr')
class(delete_ConvertibleFloatingRateBond) = c("SWIGFunction", class(delete_ConvertibleFloatingRateBond))

# Start of new_BinomialConvertibleEngine

BinomialConvertibleEngine = function(type, steps)
{
  coerceIfNotSubclass(type, "_p_std__string") 
  steps = as.integer(steps) 
  
  if(length(steps) > 1) {
    warning("using only the first element of steps")
  }
  
  ans = .Call('R_swig_new_BinomialConvertibleEngine', type, steps, PACKAGE='QuantLib')
  class(ans) <- "_p_BinomialConvertibleEnginePtr"
  
  ans
  
}
# End of new_BinomialConvertibleEngine


attr(BinomialConvertibleEngine, 'returnType') = '_p_BinomialConvertibleEnginePtr'
attr(BinomialConvertibleEngine, "inputTypes") = c('character', 'numeric')
class(BinomialConvertibleEngine) = c("SWIGFunction", class(BinomialConvertibleEngine))

# Start of delete_BinomialConvertibleEngine

delete_BinomialConvertibleEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_BinomialConvertibleEnginePtr") 
  .Call('R_swig_delete_BinomialConvertibleEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_BinomialConvertibleEngine


attr(delete_BinomialConvertibleEngine, 'returnType') = 'void'
attr(delete_BinomialConvertibleEngine, "inputTypes") = c('_p_BinomialConvertibleEnginePtr')
class(delete_BinomialConvertibleEngine) = c("SWIGFunction", class(delete_BinomialConvertibleEngine))

setGeneric('DiscountCurve', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DiscountCurve'))
attr(DiscountCurve, 'returnType') = '_p_DiscountCurvePtr'
setMethod('DiscountCurve', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_LogLinear', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg4, "_p_LogLinear") 
  ans = .Call('R_swig_new_DiscountCurve__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_DiscountCurvePtr"
  
  ans
  
}

)
setMethod('DiscountCurve', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_DiscountCurve__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_DiscountCurvePtr"
  
  ans
  
}

)
# Start of DiscountCurve_dates

DiscountCurve_dates = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DiscountCurvePtr") 
  ans = .Call('R_swig_DiscountCurve_dates', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}
# End of DiscountCurve_dates


attr(DiscountCurve_dates, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
attr(DiscountCurve_dates, "inputTypes") = c('_p_DiscountCurvePtr')
class(DiscountCurve_dates) = c("SWIGFunction", class(DiscountCurve_dates))

# Start of DiscountCurve_discounts

DiscountCurve_discounts = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DiscountCurvePtr") 
  ans = .Call('R_swig_DiscountCurve_discounts', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of DiscountCurve_discounts


attr(DiscountCurve_discounts, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(DiscountCurve_discounts, "inputTypes") = c('_p_DiscountCurvePtr')
class(DiscountCurve_discounts) = c("SWIGFunction", class(DiscountCurve_discounts))

# Start of delete_DiscountCurve

delete_DiscountCurve = function(self)
{
  coerceIfNotSubclass(self, "_p_DiscountCurvePtr") 
  .Call('R_swig_delete_DiscountCurve', self, PACKAGE='QuantLib')
  
}
# End of delete_DiscountCurve


attr(delete_DiscountCurve, 'returnType') = 'void'
attr(delete_DiscountCurve, "inputTypes") = c('_p_DiscountCurvePtr')
class(delete_DiscountCurve) = c("SWIGFunction", class(delete_DiscountCurve))

# Start of accessor method for DiscountCurvePtr
setMethod('$', '_p_DiscountCurvePtr', function(x, name)

{
  accessorFuns = list('dates' = DiscountCurve_dates, 'discounts' = DiscountCurve_discounts)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for DiscountCurvePtr
setGeneric('NormalDistribution', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('NormalDistribution'))
attr(NormalDistribution, 'returnType') = '_p_NormalDistribution'
setMethod('NormalDistribution', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_NormalDistribution__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_NormalDistribution"
  
  ans
  
}

)
setMethod('NormalDistribution', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.numeric(s_arg1) 
  ans = .Call('R_swig_new_NormalDistribution__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_NormalDistribution"
  
  ans
  
}

)
setMethod('NormalDistribution', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_NormalDistribution__SWIG_2', PACKAGE='QuantLib')
  class(ans) <- "_p_NormalDistribution"
  
  ans
  
}

)
# Start of NormalDistribution___call__

NormalDistribution___call__ = function(self, x, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_NormalDistribution") 
  x = as.numeric(x) 
  .Call('R_swig_NormalDistribution___call__', self, x, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of NormalDistribution___call__


attr(NormalDistribution___call__, 'returnType') = 'numeric'
attr(NormalDistribution___call__, "inputTypes") = c('_p_NormalDistribution', 'numeric')
class(NormalDistribution___call__) = c("SWIGFunction", class(NormalDistribution___call__))

# Start of NormalDistribution_derivative

NormalDistribution_derivative = function(self, x, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_NormalDistribution") 
  x = as.numeric(x) 
  .Call('R_swig_NormalDistribution_derivative', self, x, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of NormalDistribution_derivative


attr(NormalDistribution_derivative, 'returnType') = 'numeric'
attr(NormalDistribution_derivative, "inputTypes") = c('_p_NormalDistribution', 'numeric')
class(NormalDistribution_derivative) = c("SWIGFunction", class(NormalDistribution_derivative))

# Start of delete_NormalDistribution

delete_NormalDistribution = function(self)
{
  coerceIfNotSubclass(self, "_p_NormalDistribution") 
  .Call('R_swig_delete_NormalDistribution', self, PACKAGE='QuantLib')
  
}
# End of delete_NormalDistribution


attr(delete_NormalDistribution, 'returnType') = 'void'
attr(delete_NormalDistribution, "inputTypes") = c('_p_NormalDistribution')
class(delete_NormalDistribution) = c("SWIGFunction", class(delete_NormalDistribution))

# Start of accessor method for NormalDistribution
setMethod('$', '_p_NormalDistribution', function(x, name)

{
  accessorFuns = list('operator ()' = NormalDistribution___call__, 'derivative' = NormalDistribution_derivative)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for NormalDistribution
setGeneric('CumulativeNormalDistribution', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CumulativeNormalDistribution'))
attr(CumulativeNormalDistribution, 'returnType') = '_p_CumulativeNormalDistribution'
setMethod('CumulativeNormalDistribution', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_CumulativeNormalDistribution__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_CumulativeNormalDistribution"
  
  ans
  
}

)
setMethod('CumulativeNormalDistribution', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.numeric(s_arg1) 
  ans = .Call('R_swig_new_CumulativeNormalDistribution__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_CumulativeNormalDistribution"
  
  ans
  
}

)
setMethod('CumulativeNormalDistribution', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_CumulativeNormalDistribution__SWIG_2', PACKAGE='QuantLib')
  class(ans) <- "_p_CumulativeNormalDistribution"
  
  ans
  
}

)
# Start of CumulativeNormalDistribution___call__

CumulativeNormalDistribution___call__ = function(self, x, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_CumulativeNormalDistribution") 
  x = as.numeric(x) 
  .Call('R_swig_CumulativeNormalDistribution___call__', self, x, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CumulativeNormalDistribution___call__


attr(CumulativeNormalDistribution___call__, 'returnType') = 'numeric'
attr(CumulativeNormalDistribution___call__, "inputTypes") = c('_p_CumulativeNormalDistribution', 'numeric')
class(CumulativeNormalDistribution___call__) = c("SWIGFunction", class(CumulativeNormalDistribution___call__))

# Start of CumulativeNormalDistribution_derivative

CumulativeNormalDistribution_derivative = function(self, x, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_CumulativeNormalDistribution") 
  x = as.numeric(x) 
  .Call('R_swig_CumulativeNormalDistribution_derivative', self, x, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CumulativeNormalDistribution_derivative


attr(CumulativeNormalDistribution_derivative, 'returnType') = 'numeric'
attr(CumulativeNormalDistribution_derivative, "inputTypes") = c('_p_CumulativeNormalDistribution', 'numeric')
class(CumulativeNormalDistribution_derivative) = c("SWIGFunction", class(CumulativeNormalDistribution_derivative))

# Start of delete_CumulativeNormalDistribution

delete_CumulativeNormalDistribution = function(self)
{
  coerceIfNotSubclass(self, "_p_CumulativeNormalDistribution") 
  .Call('R_swig_delete_CumulativeNormalDistribution', self, PACKAGE='QuantLib')
  
}
# End of delete_CumulativeNormalDistribution


attr(delete_CumulativeNormalDistribution, 'returnType') = 'void'
attr(delete_CumulativeNormalDistribution, "inputTypes") = c('_p_CumulativeNormalDistribution')
class(delete_CumulativeNormalDistribution) = c("SWIGFunction", class(delete_CumulativeNormalDistribution))

# Start of accessor method for CumulativeNormalDistribution
setMethod('$', '_p_CumulativeNormalDistribution', function(x, name)

{
  accessorFuns = list('operator ()' = CumulativeNormalDistribution___call__, 'derivative' = CumulativeNormalDistribution_derivative)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for CumulativeNormalDistribution
setGeneric('InverseCumulativeNormal', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('InverseCumulativeNormal'))
attr(InverseCumulativeNormal, 'returnType') = '_p_InverseCumulativeNormal'
setMethod('InverseCumulativeNormal', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_InverseCumulativeNormal__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeNormal"
  
  ans
  
}

)
setMethod('InverseCumulativeNormal', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.numeric(s_arg1) 
  ans = .Call('R_swig_new_InverseCumulativeNormal__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeNormal"
  
  ans
  
}

)
setMethod('InverseCumulativeNormal', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_InverseCumulativeNormal__SWIG_2', PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeNormal"
  
  ans
  
}

)
# Start of InverseCumulativeNormal___call__

InverseCumulativeNormal___call__ = function(self, x, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeNormal") 
  x = as.numeric(x) 
  .Call('R_swig_InverseCumulativeNormal___call__', self, x, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of InverseCumulativeNormal___call__


attr(InverseCumulativeNormal___call__, 'returnType') = 'numeric'
attr(InverseCumulativeNormal___call__, "inputTypes") = c('_p_InverseCumulativeNormal', 'numeric')
class(InverseCumulativeNormal___call__) = c("SWIGFunction", class(InverseCumulativeNormal___call__))

# Start of delete_InverseCumulativeNormal

delete_InverseCumulativeNormal = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeNormal") 
  .Call('R_swig_delete_InverseCumulativeNormal', self, PACKAGE='QuantLib')
  
}
# End of delete_InverseCumulativeNormal


attr(delete_InverseCumulativeNormal, 'returnType') = 'void'
attr(delete_InverseCumulativeNormal, "inputTypes") = c('_p_InverseCumulativeNormal')
class(delete_InverseCumulativeNormal) = c("SWIGFunction", class(delete_InverseCumulativeNormal))

# Start of accessor method for InverseCumulativeNormal
setMethod('$', '_p_InverseCumulativeNormal', function(x, name)

{
  accessorFuns = list('operator ()' = InverseCumulativeNormal___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeNormal
setGeneric('MoroInverseCumulativeNormal', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('MoroInverseCumulativeNormal'))
attr(MoroInverseCumulativeNormal, 'returnType') = '_p_MoroInverseCumulativeNormal'
setMethod('MoroInverseCumulativeNormal', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_MoroInverseCumulativeNormal__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_MoroInverseCumulativeNormal"
  
  ans
  
}

)
setMethod('MoroInverseCumulativeNormal', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.numeric(s_arg1) 
  ans = .Call('R_swig_new_MoroInverseCumulativeNormal__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_MoroInverseCumulativeNormal"
  
  ans
  
}

)
setMethod('MoroInverseCumulativeNormal', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_MoroInverseCumulativeNormal__SWIG_2', PACKAGE='QuantLib')
  class(ans) <- "_p_MoroInverseCumulativeNormal"
  
  ans
  
}

)
# Start of MoroInverseCumulativeNormal___call__

MoroInverseCumulativeNormal___call__ = function(self, x, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_MoroInverseCumulativeNormal") 
  x = as.numeric(x) 
  .Call('R_swig_MoroInverseCumulativeNormal___call__', self, x, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MoroInverseCumulativeNormal___call__


attr(MoroInverseCumulativeNormal___call__, 'returnType') = 'numeric'
attr(MoroInverseCumulativeNormal___call__, "inputTypes") = c('_p_MoroInverseCumulativeNormal', 'numeric')
class(MoroInverseCumulativeNormal___call__) = c("SWIGFunction", class(MoroInverseCumulativeNormal___call__))

# Start of delete_MoroInverseCumulativeNormal

delete_MoroInverseCumulativeNormal = function(self)
{
  coerceIfNotSubclass(self, "_p_MoroInverseCumulativeNormal") 
  .Call('R_swig_delete_MoroInverseCumulativeNormal', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInverseCumulativeNormal


attr(delete_MoroInverseCumulativeNormal, 'returnType') = 'void'
attr(delete_MoroInverseCumulativeNormal, "inputTypes") = c('_p_MoroInverseCumulativeNormal')
class(delete_MoroInverseCumulativeNormal) = c("SWIGFunction", class(delete_MoroInverseCumulativeNormal))

# Start of accessor method for MoroInverseCumulativeNormal
setMethod('$', '_p_MoroInverseCumulativeNormal', function(x, name)

{
  accessorFuns = list('operator ()' = MoroInverseCumulativeNormal___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for MoroInverseCumulativeNormal
setGeneric('Money', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Money'))
attr(Money, 'returnType') = '_p_Money'
setMethod('Money', c('_p_Currency', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_Currency") 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_Money__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_Money"
  
  ans
  
}

)
setMethod('Money', c('numeric', '_p_Currency', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Currency") 
  ans = .Call('R_swig_new_Money__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_Money"
  
  ans
  
}

)
# Start of Money_currency

Money_currency = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Money") 
  ans = .Call('R_swig_Money_currency', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Currency"
  
  ans
  
}
# End of Money_currency


attr(Money_currency, 'returnType') = '_p_Currency'
attr(Money_currency, "inputTypes") = c('_p_Money')
class(Money_currency) = c("SWIGFunction", class(Money_currency))

# Start of Money_value

Money_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Money") 
  .Call('R_swig_Money_value', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Money_value


attr(Money_value, 'returnType') = 'numeric'
attr(Money_value, "inputTypes") = c('_p_Money')
class(Money_value) = c("SWIGFunction", class(Money_value))

# Start of Money_rounded

Money_rounded = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Money") 
  ans = .Call('R_swig_Money_rounded', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Money"
  
  ans
  
}
# End of Money_rounded


attr(Money_rounded, 'returnType') = '_p_Money'
attr(Money_rounded, "inputTypes") = c('_p_Money')
class(Money_rounded) = c("SWIGFunction", class(Money_rounded))

defineEnumeration('_Money__ConversionType',
                    .values = c(
                        'NoConversion' = 0, 
                        'BaseCurrencyConversion' = 1, 
                        'AutomatedConversion' = 2
))
# Start of Money_setConversionType

Money_setConversionType = function(type)
{
  type = enumToInteger(type, "_Money__ConversionType") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  .Call('R_swig_Money_setConversionType', type, PACKAGE='QuantLib')
  
}
# End of Money_setConversionType


attr(Money_setConversionType, 'returnType') = 'void'
attr(Money_setConversionType, "inputTypes") = c('character')
class(Money_setConversionType) = c("SWIGFunction", class(Money_setConversionType))

# Start of Money_setBaseCurrency

Money_setBaseCurrency = function(c)
{
  coerceIfNotSubclass(c, "_p_Currency") 
  .Call('R_swig_Money_setBaseCurrency', c, PACKAGE='QuantLib')
  
}
# End of Money_setBaseCurrency


attr(Money_setBaseCurrency, 'returnType') = 'void'
attr(Money_setBaseCurrency, "inputTypes") = c('_p_Currency')
class(Money_setBaseCurrency) = c("SWIGFunction", class(Money_setBaseCurrency))

# Start of delete_Money

delete_Money = function(self)
{
  coerceIfNotSubclass(self, "_p_Money") 
  .Call('R_swig_delete_Money', self, PACKAGE='QuantLib')
  
}
# End of delete_Money


attr(delete_Money, 'returnType') = 'void'
attr(delete_Money, "inputTypes") = c('_p_Money')
class(delete_Money) = c("SWIGFunction", class(delete_Money))

# Start of accessor method for Money
setMethod('$', '_p_Money', function(x, name)

{
  accessorFuns = list('currency' = Money_currency, 'value' = Money_value, 'rounded' = Money_rounded)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Money
defineEnumeration('_ExchangeRate__Type',
                    .values = c(
                        'Direct' = 0, 
                        'Derived' = 1
))
# Start of new_ExchangeRate

ExchangeRate = function(source, target, rate)
{
  coerceIfNotSubclass(source, "_p_Currency") 
  coerceIfNotSubclass(target, "_p_Currency") 
  rate = as.numeric(rate) 
  ans = .Call('R_swig_new_ExchangeRate', source, target, rate, PACKAGE='QuantLib')
  class(ans) <- "_p_ExchangeRate"
  
  ans
  
}
# End of new_ExchangeRate


attr(ExchangeRate, 'returnType') = '_p_ExchangeRate'
attr(ExchangeRate, "inputTypes") = c('_p_Currency', '_p_Currency', 'numeric')
class(ExchangeRate) = c("SWIGFunction", class(ExchangeRate))

# Start of ExchangeRate_source

ExchangeRate_source = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ExchangeRate") 
  ans = .Call('R_swig_ExchangeRate_source', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Currency"
  
  ans
  
}
# End of ExchangeRate_source


attr(ExchangeRate_source, 'returnType') = '_p_Currency'
attr(ExchangeRate_source, "inputTypes") = c('_p_ExchangeRate')
class(ExchangeRate_source) = c("SWIGFunction", class(ExchangeRate_source))

# Start of ExchangeRate_target

ExchangeRate_target = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ExchangeRate") 
  ans = .Call('R_swig_ExchangeRate_target', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Currency"
  
  ans
  
}
# End of ExchangeRate_target


attr(ExchangeRate_target, 'returnType') = '_p_Currency'
attr(ExchangeRate_target, "inputTypes") = c('_p_ExchangeRate')
class(ExchangeRate_target) = c("SWIGFunction", class(ExchangeRate_target))

# Start of ExchangeRate_type

ExchangeRate_type = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ExchangeRate") 
  ans = .Call('R_swig_ExchangeRate_type', self, as.logical(.copy), PACKAGE='QuantLib')
  ans = enumFromInteger(ans, "_ExchangeRate__Type")
  
  ans
  
}
# End of ExchangeRate_type


attr(ExchangeRate_type, 'returnType') = 'character'
attr(ExchangeRate_type, "inputTypes") = c('_p_ExchangeRate')
class(ExchangeRate_type) = c("SWIGFunction", class(ExchangeRate_type))

# Start of ExchangeRate_rate

ExchangeRate_rate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ExchangeRate") 
  .Call('R_swig_ExchangeRate_rate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of ExchangeRate_rate


attr(ExchangeRate_rate, 'returnType') = 'numeric'
attr(ExchangeRate_rate, "inputTypes") = c('_p_ExchangeRate')
class(ExchangeRate_rate) = c("SWIGFunction", class(ExchangeRate_rate))

# Start of ExchangeRate_exchange

ExchangeRate_exchange = function(self, amount, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ExchangeRate") 
  coerceIfNotSubclass(amount, "_p_Money") 
  ans = .Call('R_swig_ExchangeRate_exchange', self, amount, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Money"
  
  ans
  
}
# End of ExchangeRate_exchange


attr(ExchangeRate_exchange, 'returnType') = '_p_Money'
attr(ExchangeRate_exchange, "inputTypes") = c('_p_ExchangeRate', '_p_Money')
class(ExchangeRate_exchange) = c("SWIGFunction", class(ExchangeRate_exchange))

# Start of ExchangeRate_chain

ExchangeRate_chain = function(r1, r2, .copy = FALSE)
{
  coerceIfNotSubclass(r1, "_p_ExchangeRate") 
  coerceIfNotSubclass(r2, "_p_ExchangeRate") 
  ans = .Call('R_swig_ExchangeRate_chain', r1, r2, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_ExchangeRate"
  
  ans
  
}
# End of ExchangeRate_chain


attr(ExchangeRate_chain, 'returnType') = '_p_ExchangeRate'
attr(ExchangeRate_chain, "inputTypes") = c('_p_ExchangeRate', '_p_ExchangeRate')
class(ExchangeRate_chain) = c("SWIGFunction", class(ExchangeRate_chain))

# Start of delete_ExchangeRate

delete_ExchangeRate = function(self)
{
  coerceIfNotSubclass(self, "_p_ExchangeRate") 
  .Call('R_swig_delete_ExchangeRate', self, PACKAGE='QuantLib')
  
}
# End of delete_ExchangeRate


attr(delete_ExchangeRate, 'returnType') = 'void'
attr(delete_ExchangeRate, "inputTypes") = c('_p_ExchangeRate')
class(delete_ExchangeRate) = c("SWIGFunction", class(delete_ExchangeRate))

# Start of accessor method for ExchangeRate
setMethod('$', '_p_ExchangeRate', function(x, name)

{
  accessorFuns = list('source' = ExchangeRate_source, 'target' = ExchangeRate_target, 'type' = ExchangeRate_type, 'rate' = ExchangeRate_rate, 'exchange' = ExchangeRate_exchange)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for ExchangeRate
# Start of ExchangeRateManager_instance

ExchangeRateManager_instance = function(.copy = FALSE)
{
  ans = .Call('R_swig_ExchangeRateManager_instance', as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_ExchangeRateManager"
  
  ans
  
}
# End of ExchangeRateManager_instance


attr(ExchangeRateManager_instance, 'returnType') = '_p_ExchangeRateManager'
class(ExchangeRateManager_instance) = c("SWIGFunction", class(ExchangeRateManager_instance))

setGeneric('ExchangeRateManager_add', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ExchangeRateManager_add'))
attr(ExchangeRateManager_add, 'returnType') = 'void'
setMethod('ExchangeRateManager_add', c('_p_ExchangeRateManager', '_p_ExchangeRate', '_p_Date', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_ExchangeRateManager") 
  coerceIfNotSubclass(s_arg2, "_p_ExchangeRate") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  .Call('R_swig_ExchangeRateManager_add__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  
}

)
setMethod('ExchangeRateManager_add', c('_p_ExchangeRateManager', '_p_ExchangeRate', '_p_Date', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_ExchangeRateManager") 
  coerceIfNotSubclass(s_arg2, "_p_ExchangeRate") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  .Call('R_swig_ExchangeRateManager_add__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
setMethod('ExchangeRateManager_add', c('_p_ExchangeRateManager', '_p_ExchangeRate', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_ExchangeRateManager") 
  coerceIfNotSubclass(s_arg2, "_p_ExchangeRate") 
  .Call('R_swig_ExchangeRateManager_add__SWIG_2', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setGeneric('ExchangeRateManager_lookup', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ExchangeRateManager_lookup'))
attr(ExchangeRateManager_lookup, 'returnType') = '_p_ExchangeRate'
setMethod('ExchangeRateManager_lookup', c('_p_ExchangeRateManager', '_p_Currency', '_p_Currency', '_p_Date', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_ExchangeRateManager") 
  coerceIfNotSubclass(s_arg2, "_p_Currency") 
  coerceIfNotSubclass(s_arg3, "_p_Currency") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = enumToInteger(s_arg5, "_ExchangeRate__Type") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  ans = .Call('R_swig_ExchangeRateManager_lookup__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_ExchangeRate"
  
  ans
  
}

)
setMethod('ExchangeRateManager_lookup', c('_p_ExchangeRateManager', '_p_Currency', '_p_Currency', '_p_Date', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_ExchangeRateManager") 
  coerceIfNotSubclass(s_arg2, "_p_Currency") 
  coerceIfNotSubclass(s_arg3, "_p_Currency") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  ans = .Call('R_swig_ExchangeRateManager_lookup__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_ExchangeRate"
  
  ans
  
}

)
# Start of ExchangeRateManager_clear

ExchangeRateManager_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_ExchangeRateManager") 
  .Call('R_swig_ExchangeRateManager_clear', self, PACKAGE='QuantLib')
  
}
# End of ExchangeRateManager_clear


attr(ExchangeRateManager_clear, 'returnType') = 'void'
attr(ExchangeRateManager_clear, "inputTypes") = c('_p_ExchangeRateManager')
class(ExchangeRateManager_clear) = c("SWIGFunction", class(ExchangeRateManager_clear))

# Start of delete_ExchangeRateManager

delete_ExchangeRateManager = function(self)
{
  coerceIfNotSubclass(self, "_p_ExchangeRateManager") 
  .Call('R_swig_delete_ExchangeRateManager', self, PACKAGE='QuantLib')
  
}
# End of delete_ExchangeRateManager


attr(delete_ExchangeRateManager, 'returnType') = 'void'
attr(delete_ExchangeRateManager, "inputTypes") = c('_p_ExchangeRateManager')
class(delete_ExchangeRateManager) = c("SWIGFunction", class(delete_ExchangeRateManager))

# Start of accessor method for ExchangeRateManager
setMethod('$', '_p_ExchangeRateManager', function(x, name)

{
  accessorFuns = list('add' = ExchangeRateManager_add, 'add' = ExchangeRateManager_add, 'add' = ExchangeRateManager_add, 'lookup' = ExchangeRateManager_lookup, 'lookup' = ExchangeRateManager_lookup, 'clear' = ExchangeRateManager_clear)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for ExchangeRateManager
setGeneric('ForwardCurve', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ForwardCurve'))
attr(ForwardCurve, 'returnType') = '_p_ForwardCurvePtr'
setMethod('ForwardCurve', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_BackwardFlat', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg4, "_p_BackwardFlat") 
  ans = .Call('R_swig_new_ForwardCurve__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_ForwardCurvePtr"
  
  ans
  
}

)
setMethod('ForwardCurve', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_ForwardCurve__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_ForwardCurvePtr"
  
  ans
  
}

)
# Start of ForwardCurve_dates

ForwardCurve_dates = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ForwardCurvePtr") 
  ans = .Call('R_swig_ForwardCurve_dates', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}
# End of ForwardCurve_dates


attr(ForwardCurve_dates, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
attr(ForwardCurve_dates, "inputTypes") = c('_p_ForwardCurvePtr')
class(ForwardCurve_dates) = c("SWIGFunction", class(ForwardCurve_dates))

# Start of delete_ForwardCurve

delete_ForwardCurve = function(self)
{
  coerceIfNotSubclass(self, "_p_ForwardCurvePtr") 
  .Call('R_swig_delete_ForwardCurve', self, PACKAGE='QuantLib')
  
}
# End of delete_ForwardCurve


attr(delete_ForwardCurve, 'returnType') = 'void'
attr(delete_ForwardCurve, "inputTypes") = c('_p_ForwardCurvePtr')
class(delete_ForwardCurve) = c("SWIGFunction", class(delete_ForwardCurve))

# Start of accessor method for ForwardCurvePtr
setMethod('$', '_p_ForwardCurvePtr', function(x, name)

{
  accessorFuns = list('dates' = ForwardCurve_dates)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for ForwardCurvePtr
setGeneric('TimeGrid', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('TimeGrid'))
attr(TimeGrid, 'returnType') = '_p_TimeGrid'
setMethod('TimeGrid', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_TimeGrid__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_TimeGrid"
  
  ans
  
}

)
setMethod('TimeGrid', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_TimeGrid__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_TimeGrid"
  
  ans
  
}

)
setMethod('TimeGrid', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_new_TimeGrid__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_TimeGrid"
  
  ans
  
}

)
setMethod('TimeGrid', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_TimeGrid__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_TimeGrid"
  
  ans
  
}

)
# Start of TimeGrid_size

TimeGrid_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_TimeGrid") 
  .Call('R_swig_TimeGrid_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of TimeGrid_size


attr(TimeGrid_size, 'returnType') = 'numeric'
attr(TimeGrid_size, "inputTypes") = c('_p_TimeGrid')
class(TimeGrid_size) = c("SWIGFunction", class(TimeGrid_size))

# Start of delete_TimeGrid

delete_TimeGrid = function(self)
{
  coerceIfNotSubclass(self, "_p_TimeGrid") 
  .Call('R_swig_delete_TimeGrid', self, PACKAGE='QuantLib')
  
}
# End of delete_TimeGrid


attr(delete_TimeGrid, 'returnType') = 'void'
attr(delete_TimeGrid, "inputTypes") = c('_p_TimeGrid')
class(delete_TimeGrid) = c("SWIGFunction", class(delete_TimeGrid))

# Start of accessor method for TimeGrid
setMethod('$', '_p_TimeGrid', function(x, name)

{
  accessorFuns = list('size' = TimeGrid_size)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for TimeGrid
# Start of new_SegmentIntegral

SegmentIntegral = function(intervals)
{
  intervals = as.integer(intervals) 
  
  if(length(intervals) > 1) {
    warning("using only the first element of intervals")
  }
  
  ans = .Call('R_swig_new_SegmentIntegral', intervals, PACKAGE='QuantLib')
  class(ans) <- "_p_SegmentIntegral"
  
  ans
  
}
# End of new_SegmentIntegral


attr(SegmentIntegral, 'returnType') = '_p_SegmentIntegral'
attr(SegmentIntegral, "inputTypes") = c('numeric')
class(SegmentIntegral) = c("SWIGFunction", class(SegmentIntegral))

# Start of delete_SegmentIntegral

delete_SegmentIntegral = function(self)
{
  coerceIfNotSubclass(self, "_p_SegmentIntegral") 
  .Call('R_swig_delete_SegmentIntegral', self, PACKAGE='QuantLib')
  
}
# End of delete_SegmentIntegral


attr(delete_SegmentIntegral, 'returnType') = 'void'
attr(delete_SegmentIntegral, "inputTypes") = c('_p_SegmentIntegral')
class(delete_SegmentIntegral) = c("SWIGFunction", class(delete_SegmentIntegral))

# Start of new_TrapezoidIntegral

TrapezoidIntegral = function(accuracy)
{
  accuracy = as.numeric(accuracy) 
  ans = .Call('R_swig_new_TrapezoidIntegral', accuracy, PACKAGE='QuantLib')
  class(ans) <- "_p_TrapezoidIntegral"
  
  ans
  
}
# End of new_TrapezoidIntegral


attr(TrapezoidIntegral, 'returnType') = '_p_TrapezoidIntegral'
attr(TrapezoidIntegral, "inputTypes") = c('numeric')
class(TrapezoidIntegral) = c("SWIGFunction", class(TrapezoidIntegral))

# Start of delete_TrapezoidIntegral

delete_TrapezoidIntegral = function(self)
{
  coerceIfNotSubclass(self, "_p_TrapezoidIntegral") 
  .Call('R_swig_delete_TrapezoidIntegral', self, PACKAGE='QuantLib')
  
}
# End of delete_TrapezoidIntegral


attr(delete_TrapezoidIntegral, 'returnType') = 'void'
attr(delete_TrapezoidIntegral, "inputTypes") = c('_p_TrapezoidIntegral')
class(delete_TrapezoidIntegral) = c("SWIGFunction", class(delete_TrapezoidIntegral))

# Start of new_SimpsonIntegral

SimpsonIntegral = function(accuracy)
{
  accuracy = as.numeric(accuracy) 
  ans = .Call('R_swig_new_SimpsonIntegral', accuracy, PACKAGE='QuantLib')
  class(ans) <- "_p_SimpsonIntegral"
  
  ans
  
}
# End of new_SimpsonIntegral


attr(SimpsonIntegral, 'returnType') = '_p_SimpsonIntegral'
attr(SimpsonIntegral, "inputTypes") = c('numeric')
class(SimpsonIntegral) = c("SWIGFunction", class(SimpsonIntegral))

# Start of delete_SimpsonIntegral

delete_SimpsonIntegral = function(self)
{
  coerceIfNotSubclass(self, "_p_SimpsonIntegral") 
  .Call('R_swig_delete_SimpsonIntegral', self, PACKAGE='QuantLib')
  
}
# End of delete_SimpsonIntegral


attr(delete_SimpsonIntegral, 'returnType') = 'void'
attr(delete_SimpsonIntegral, "inputTypes") = c('_p_SimpsonIntegral')
class(delete_SimpsonIntegral) = c("SWIGFunction", class(delete_SimpsonIntegral))

# Start of new_KronrodIntegral

KronrodIntegral = function(accuracy)
{
  accuracy = as.numeric(accuracy) 
  ans = .Call('R_swig_new_KronrodIntegral', accuracy, PACKAGE='QuantLib')
  class(ans) <- "_p_KronrodIntegral"
  
  ans
  
}
# End of new_KronrodIntegral


attr(KronrodIntegral, 'returnType') = '_p_KronrodIntegral'
attr(KronrodIntegral, "inputTypes") = c('numeric')
class(KronrodIntegral) = c("SWIGFunction", class(KronrodIntegral))

# Start of delete_KronrodIntegral

delete_KronrodIntegral = function(self)
{
  coerceIfNotSubclass(self, "_p_KronrodIntegral") 
  .Call('R_swig_delete_KronrodIntegral', self, PACKAGE='QuantLib')
  
}
# End of delete_KronrodIntegral


attr(delete_KronrodIntegral, 'returnType') = 'void'
attr(delete_KronrodIntegral, "inputTypes") = c('_p_KronrodIntegral')
class(delete_KronrodIntegral) = c("SWIGFunction", class(delete_KronrodIntegral))

# Start of SampleNumber_value

SampleNumber_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTdouble_t") 
  .Call('R_swig_SampleNumber_value', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SampleNumber_value


attr(SampleNumber_value, 'returnType') = 'numeric'
attr(SampleNumber_value, "inputTypes") = c('_p_SampleTdouble_t')
class(SampleNumber_value) = c("SWIGFunction", class(SampleNumber_value))

# Start of SampleNumber_weight

SampleNumber_weight = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTdouble_t") 
  .Call('R_swig_SampleNumber_weight', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SampleNumber_weight


attr(SampleNumber_weight, 'returnType') = 'numeric'
attr(SampleNumber_weight, "inputTypes") = c('_p_SampleTdouble_t')
class(SampleNumber_weight) = c("SWIGFunction", class(SampleNumber_weight))

# Start of delete_SampleNumber

delete_SampleNumber = function(self)
{
  coerceIfNotSubclass(self, "_p_SampleTdouble_t") 
  .Call('R_swig_delete_SampleNumber', self, PACKAGE='QuantLib')
  
}
# End of delete_SampleNumber


attr(delete_SampleNumber, 'returnType') = 'void'
attr(delete_SampleNumber, "inputTypes") = c('_p_SampleTdouble_t')
class(delete_SampleNumber) = c("SWIGFunction", class(delete_SampleNumber))

# Start of accessor method for Sample<(Real)>
setMethod('$', '_p_SampleTdouble_t', function(x, name)

{
  accessorFuns = list('value' = SampleNumber_value, 'weight' = SampleNumber_weight)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Sample<(Real)>
# Start of SampleArray_value

SampleArray_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTArray_t") 
  ans = .Call('R_swig_SampleArray_value', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}
# End of SampleArray_value


attr(SampleArray_value, 'returnType') = '_p_Array'
attr(SampleArray_value, "inputTypes") = c('_p_SampleTArray_t')
class(SampleArray_value) = c("SWIGFunction", class(SampleArray_value))

# Start of SampleArray_weight

SampleArray_weight = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTArray_t") 
  .Call('R_swig_SampleArray_weight', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SampleArray_weight


attr(SampleArray_weight, 'returnType') = 'numeric'
attr(SampleArray_weight, "inputTypes") = c('_p_SampleTArray_t')
class(SampleArray_weight) = c("SWIGFunction", class(SampleArray_weight))

# Start of delete_SampleArray

delete_SampleArray = function(self)
{
  coerceIfNotSubclass(self, "_p_SampleTArray_t") 
  .Call('R_swig_delete_SampleArray', self, PACKAGE='QuantLib')
  
}
# End of delete_SampleArray


attr(delete_SampleArray, 'returnType') = 'void'
attr(delete_SampleArray, "inputTypes") = c('_p_SampleTArray_t')
class(delete_SampleArray) = c("SWIGFunction", class(delete_SampleArray))

# Start of accessor method for Sample<(Array)>
setMethod('$', '_p_SampleTArray_t', function(x, name)

{
  accessorFuns = list('value' = SampleArray_value, 'weight' = SampleArray_weight)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Sample<(Array)>
setGeneric('LecuyerUniformRng', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('LecuyerUniformRng'))
attr(LecuyerUniformRng, 'returnType') = '_p_LecuyerUniformRng'
setMethod('LecuyerUniformRng', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.numeric(s_arg1) 
  ans = .Call('R_swig_new_LecuyerUniformRng__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_LecuyerUniformRng"
  
  ans
  
}

)
setMethod('LecuyerUniformRng', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_LecuyerUniformRng__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_LecuyerUniformRng"
  
  ans
  
}

)
# Start of LecuyerUniformRng_next

LecuyerUniformRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_LecuyerUniformRng") 
  ans = .Call('R_swig_LecuyerUniformRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of LecuyerUniformRng_next


attr(LecuyerUniformRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(LecuyerUniformRng_next, "inputTypes") = c('_p_LecuyerUniformRng')
class(LecuyerUniformRng_next) = c("SWIGFunction", class(LecuyerUniformRng_next))

# Start of delete_LecuyerUniformRng

delete_LecuyerUniformRng = function(self)
{
  coerceIfNotSubclass(self, "_p_LecuyerUniformRng") 
  .Call('R_swig_delete_LecuyerUniformRng', self, PACKAGE='QuantLib')
  
}
# End of delete_LecuyerUniformRng


attr(delete_LecuyerUniformRng, 'returnType') = 'void'
attr(delete_LecuyerUniformRng, "inputTypes") = c('_p_LecuyerUniformRng')
class(delete_LecuyerUniformRng) = c("SWIGFunction", class(delete_LecuyerUniformRng))

# Start of accessor method for LecuyerUniformRng
setMethod('$', '_p_LecuyerUniformRng', function(x, name)

{
  accessorFuns = list('next' = LecuyerUniformRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for LecuyerUniformRng
# Start of delete_KnuthUniformRng

delete_KnuthUniformRng = function(self)
{
  coerceIfNotSubclass(self, "_p_KnuthUniformRng") 
  .Call('R_swig_delete_KnuthUniformRng', self, PACKAGE='QuantLib')
  
}
# End of delete_KnuthUniformRng


attr(delete_KnuthUniformRng, 'returnType') = 'void'
attr(delete_KnuthUniformRng, "inputTypes") = c('_p_KnuthUniformRng')
class(delete_KnuthUniformRng) = c("SWIGFunction", class(delete_KnuthUniformRng))

# Start of delete_MersenneTwisterUniformRng

delete_MersenneTwisterUniformRng = function(self)
{
  coerceIfNotSubclass(self, "_p_MersenneTwisterUniformRng") 
  .Call('R_swig_delete_MersenneTwisterUniformRng', self, PACKAGE='QuantLib')
  
}
# End of delete_MersenneTwisterUniformRng


attr(delete_MersenneTwisterUniformRng, 'returnType') = 'void'
attr(delete_MersenneTwisterUniformRng, "inputTypes") = c('_p_MersenneTwisterUniformRng')
class(delete_MersenneTwisterUniformRng) = c("SWIGFunction", class(delete_MersenneTwisterUniformRng))

setGeneric('UniformRandomGenerator', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('UniformRandomGenerator'))
attr(UniformRandomGenerator, 'returnType') = '_p_UniformRandomGenerator'
setMethod('UniformRandomGenerator', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.numeric(s_arg1) 
  ans = .Call('R_swig_new_UniformRandomGenerator__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_UniformRandomGenerator"
  
  ans
  
}

)
setMethod('UniformRandomGenerator', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_UniformRandomGenerator__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_UniformRandomGenerator"
  
  ans
  
}

)
# Start of UniformRandomGenerator_next

UniformRandomGenerator_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_UniformRandomGenerator") 
  ans = .Call('R_swig_UniformRandomGenerator_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of UniformRandomGenerator_next


attr(UniformRandomGenerator_next, 'returnType') = '_p_SampleTdouble_t'
attr(UniformRandomGenerator_next, "inputTypes") = c('_p_UniformRandomGenerator')
class(UniformRandomGenerator_next) = c("SWIGFunction", class(UniformRandomGenerator_next))

# Start of delete_UniformRandomGenerator

delete_UniformRandomGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_UniformRandomGenerator") 
  .Call('R_swig_delete_UniformRandomGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_UniformRandomGenerator


attr(delete_UniformRandomGenerator, 'returnType') = 'void'
attr(delete_UniformRandomGenerator, "inputTypes") = c('_p_UniformRandomGenerator')
class(delete_UniformRandomGenerator) = c("SWIGFunction", class(delete_UniformRandomGenerator))

# Start of accessor method for UniformRandomGenerator
setMethod('$', '_p_UniformRandomGenerator', function(x, name)

{
  accessorFuns = list('next' = UniformRandomGenerator_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for UniformRandomGenerator
# Start of new_CentralLimitLecuyerGaussianRng

CentralLimitLecuyerGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_LecuyerUniformRng") 
  ans = .Call('R_swig_new_CentralLimitLecuyerGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_CLGaussianRngTLecuyerUniformRng_t"
  
  ans
  
}
# End of new_CentralLimitLecuyerGaussianRng


attr(CentralLimitLecuyerGaussianRng, 'returnType') = '_p_CLGaussianRngTLecuyerUniformRng_t'
attr(CentralLimitLecuyerGaussianRng, "inputTypes") = c('_p_LecuyerUniformRng')
class(CentralLimitLecuyerGaussianRng) = c("SWIGFunction", class(CentralLimitLecuyerGaussianRng))

# Start of CentralLimitLecuyerGaussianRng_next

CentralLimitLecuyerGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_CLGaussianRngTLecuyerUniformRng_t") 
  ans = .Call('R_swig_CentralLimitLecuyerGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of CentralLimitLecuyerGaussianRng_next


attr(CentralLimitLecuyerGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(CentralLimitLecuyerGaussianRng_next, "inputTypes") = c('_p_CLGaussianRngTLecuyerUniformRng_t')
class(CentralLimitLecuyerGaussianRng_next) = c("SWIGFunction", class(CentralLimitLecuyerGaussianRng_next))

# Start of delete_CentralLimitLecuyerGaussianRng

delete_CentralLimitLecuyerGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_CLGaussianRngTLecuyerUniformRng_t") 
  .Call('R_swig_delete_CentralLimitLecuyerGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_CentralLimitLecuyerGaussianRng


attr(delete_CentralLimitLecuyerGaussianRng, 'returnType') = 'void'
attr(delete_CentralLimitLecuyerGaussianRng, "inputTypes") = c('_p_CLGaussianRngTLecuyerUniformRng_t')
class(delete_CentralLimitLecuyerGaussianRng) = c("SWIGFunction", class(delete_CentralLimitLecuyerGaussianRng))

# Start of accessor method for CLGaussianRng<(LecuyerUniformRng)>
setMethod('$', '_p_CLGaussianRngTLecuyerUniformRng_t', function(x, name)

{
  accessorFuns = list('next' = CentralLimitLecuyerGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for CLGaussianRng<(LecuyerUniformRng)>
# Start of new_CentralLimitKnuthGaussianRng

CentralLimitKnuthGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_KnuthUniformRng") 
  ans = .Call('R_swig_new_CentralLimitKnuthGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_CLGaussianRngTKnuthUniformRng_t"
  
  ans
  
}
# End of new_CentralLimitKnuthGaussianRng


attr(CentralLimitKnuthGaussianRng, 'returnType') = '_p_CLGaussianRngTKnuthUniformRng_t'
attr(CentralLimitKnuthGaussianRng, "inputTypes") = c('_p_KnuthUniformRng')
class(CentralLimitKnuthGaussianRng) = c("SWIGFunction", class(CentralLimitKnuthGaussianRng))

# Start of CentralLimitKnuthGaussianRng_next

CentralLimitKnuthGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_CLGaussianRngTKnuthUniformRng_t") 
  ans = .Call('R_swig_CentralLimitKnuthGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of CentralLimitKnuthGaussianRng_next


attr(CentralLimitKnuthGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(CentralLimitKnuthGaussianRng_next, "inputTypes") = c('_p_CLGaussianRngTKnuthUniformRng_t')
class(CentralLimitKnuthGaussianRng_next) = c("SWIGFunction", class(CentralLimitKnuthGaussianRng_next))

# Start of delete_CentralLimitKnuthGaussianRng

delete_CentralLimitKnuthGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_CLGaussianRngTKnuthUniformRng_t") 
  .Call('R_swig_delete_CentralLimitKnuthGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_CentralLimitKnuthGaussianRng


attr(delete_CentralLimitKnuthGaussianRng, 'returnType') = 'void'
attr(delete_CentralLimitKnuthGaussianRng, "inputTypes") = c('_p_CLGaussianRngTKnuthUniformRng_t')
class(delete_CentralLimitKnuthGaussianRng) = c("SWIGFunction", class(delete_CentralLimitKnuthGaussianRng))

# Start of accessor method for CLGaussianRng<(KnuthUniformRng)>
setMethod('$', '_p_CLGaussianRngTKnuthUniformRng_t', function(x, name)

{
  accessorFuns = list('next' = CentralLimitKnuthGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for CLGaussianRng<(KnuthUniformRng)>
# Start of new_CentralLimitMersenneTwisterGaussianRng

CentralLimitMersenneTwisterGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_MersenneTwisterUniformRng") 
  ans = .Call('R_swig_new_CentralLimitMersenneTwisterGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_CLGaussianRngTMersenneTwisterUniformRng_t"
  
  ans
  
}
# End of new_CentralLimitMersenneTwisterGaussianRng


attr(CentralLimitMersenneTwisterGaussianRng, 'returnType') = '_p_CLGaussianRngTMersenneTwisterUniformRng_t'
attr(CentralLimitMersenneTwisterGaussianRng, "inputTypes") = c('_p_MersenneTwisterUniformRng')
class(CentralLimitMersenneTwisterGaussianRng) = c("SWIGFunction", class(CentralLimitMersenneTwisterGaussianRng))

# Start of CentralLimitMersenneTwisterGaussianRng_next

CentralLimitMersenneTwisterGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_CLGaussianRngTMersenneTwisterUniformRng_t") 
  ans = .Call('R_swig_CentralLimitMersenneTwisterGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of CentralLimitMersenneTwisterGaussianRng_next


attr(CentralLimitMersenneTwisterGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(CentralLimitMersenneTwisterGaussianRng_next, "inputTypes") = c('_p_CLGaussianRngTMersenneTwisterUniformRng_t')
class(CentralLimitMersenneTwisterGaussianRng_next) = c("SWIGFunction", class(CentralLimitMersenneTwisterGaussianRng_next))

# Start of delete_CentralLimitMersenneTwisterGaussianRng

delete_CentralLimitMersenneTwisterGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_CLGaussianRngTMersenneTwisterUniformRng_t") 
  .Call('R_swig_delete_CentralLimitMersenneTwisterGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_CentralLimitMersenneTwisterGaussianRng


attr(delete_CentralLimitMersenneTwisterGaussianRng, 'returnType') = 'void'
attr(delete_CentralLimitMersenneTwisterGaussianRng, "inputTypes") = c('_p_CLGaussianRngTMersenneTwisterUniformRng_t')
class(delete_CentralLimitMersenneTwisterGaussianRng) = c("SWIGFunction", class(delete_CentralLimitMersenneTwisterGaussianRng))

# Start of accessor method for CLGaussianRng<(MersenneTwisterUniformRng)>
setMethod('$', '_p_CLGaussianRngTMersenneTwisterUniformRng_t', function(x, name)

{
  accessorFuns = list('next' = CentralLimitMersenneTwisterGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for CLGaussianRng<(MersenneTwisterUniformRng)>
# Start of new_BoxMullerLecuyerGaussianRng

BoxMullerLecuyerGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_LecuyerUniformRng") 
  ans = .Call('R_swig_new_BoxMullerLecuyerGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_BoxMullerGaussianRngTLecuyerUniformRng_t"
  
  ans
  
}
# End of new_BoxMullerLecuyerGaussianRng


attr(BoxMullerLecuyerGaussianRng, 'returnType') = '_p_BoxMullerGaussianRngTLecuyerUniformRng_t'
attr(BoxMullerLecuyerGaussianRng, "inputTypes") = c('_p_LecuyerUniformRng')
class(BoxMullerLecuyerGaussianRng) = c("SWIGFunction", class(BoxMullerLecuyerGaussianRng))

# Start of BoxMullerLecuyerGaussianRng_next

BoxMullerLecuyerGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BoxMullerGaussianRngTLecuyerUniformRng_t") 
  ans = .Call('R_swig_BoxMullerLecuyerGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of BoxMullerLecuyerGaussianRng_next


attr(BoxMullerLecuyerGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(BoxMullerLecuyerGaussianRng_next, "inputTypes") = c('_p_BoxMullerGaussianRngTLecuyerUniformRng_t')
class(BoxMullerLecuyerGaussianRng_next) = c("SWIGFunction", class(BoxMullerLecuyerGaussianRng_next))

# Start of delete_BoxMullerLecuyerGaussianRng

delete_BoxMullerLecuyerGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_BoxMullerGaussianRngTLecuyerUniformRng_t") 
  .Call('R_swig_delete_BoxMullerLecuyerGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_BoxMullerLecuyerGaussianRng


attr(delete_BoxMullerLecuyerGaussianRng, 'returnType') = 'void'
attr(delete_BoxMullerLecuyerGaussianRng, "inputTypes") = c('_p_BoxMullerGaussianRngTLecuyerUniformRng_t')
class(delete_BoxMullerLecuyerGaussianRng) = c("SWIGFunction", class(delete_BoxMullerLecuyerGaussianRng))

# Start of accessor method for BoxMullerGaussianRng<(LecuyerUniformRng)>
setMethod('$', '_p_BoxMullerGaussianRngTLecuyerUniformRng_t', function(x, name)

{
  accessorFuns = list('next' = BoxMullerLecuyerGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for BoxMullerGaussianRng<(LecuyerUniformRng)>
# Start of new_BoxMullerKnuthGaussianRng

BoxMullerKnuthGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_KnuthUniformRng") 
  ans = .Call('R_swig_new_BoxMullerKnuthGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_BoxMullerGaussianRngTKnuthUniformRng_t"
  
  ans
  
}
# End of new_BoxMullerKnuthGaussianRng


attr(BoxMullerKnuthGaussianRng, 'returnType') = '_p_BoxMullerGaussianRngTKnuthUniformRng_t'
attr(BoxMullerKnuthGaussianRng, "inputTypes") = c('_p_KnuthUniformRng')
class(BoxMullerKnuthGaussianRng) = c("SWIGFunction", class(BoxMullerKnuthGaussianRng))

# Start of BoxMullerKnuthGaussianRng_next

BoxMullerKnuthGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BoxMullerGaussianRngTKnuthUniformRng_t") 
  ans = .Call('R_swig_BoxMullerKnuthGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of BoxMullerKnuthGaussianRng_next


attr(BoxMullerKnuthGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(BoxMullerKnuthGaussianRng_next, "inputTypes") = c('_p_BoxMullerGaussianRngTKnuthUniformRng_t')
class(BoxMullerKnuthGaussianRng_next) = c("SWIGFunction", class(BoxMullerKnuthGaussianRng_next))

# Start of delete_BoxMullerKnuthGaussianRng

delete_BoxMullerKnuthGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_BoxMullerGaussianRngTKnuthUniformRng_t") 
  .Call('R_swig_delete_BoxMullerKnuthGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_BoxMullerKnuthGaussianRng


attr(delete_BoxMullerKnuthGaussianRng, 'returnType') = 'void'
attr(delete_BoxMullerKnuthGaussianRng, "inputTypes") = c('_p_BoxMullerGaussianRngTKnuthUniformRng_t')
class(delete_BoxMullerKnuthGaussianRng) = c("SWIGFunction", class(delete_BoxMullerKnuthGaussianRng))

# Start of accessor method for BoxMullerGaussianRng<(KnuthUniformRng)>
setMethod('$', '_p_BoxMullerGaussianRngTKnuthUniformRng_t', function(x, name)

{
  accessorFuns = list('next' = BoxMullerKnuthGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for BoxMullerGaussianRng<(KnuthUniformRng)>
# Start of new_BoxMullerMersenneTwisterGaussianRng

BoxMullerMersenneTwisterGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_MersenneTwisterUniformRng") 
  ans = .Call('R_swig_new_BoxMullerMersenneTwisterGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t"
  
  ans
  
}
# End of new_BoxMullerMersenneTwisterGaussianRng


attr(BoxMullerMersenneTwisterGaussianRng, 'returnType') = '_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t'
attr(BoxMullerMersenneTwisterGaussianRng, "inputTypes") = c('_p_MersenneTwisterUniformRng')
class(BoxMullerMersenneTwisterGaussianRng) = c("SWIGFunction", class(BoxMullerMersenneTwisterGaussianRng))

# Start of BoxMullerMersenneTwisterGaussianRng_next

BoxMullerMersenneTwisterGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t") 
  ans = .Call('R_swig_BoxMullerMersenneTwisterGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of BoxMullerMersenneTwisterGaussianRng_next


attr(BoxMullerMersenneTwisterGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(BoxMullerMersenneTwisterGaussianRng_next, "inputTypes") = c('_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t')
class(BoxMullerMersenneTwisterGaussianRng_next) = c("SWIGFunction", class(BoxMullerMersenneTwisterGaussianRng_next))

# Start of delete_BoxMullerMersenneTwisterGaussianRng

delete_BoxMullerMersenneTwisterGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t") 
  .Call('R_swig_delete_BoxMullerMersenneTwisterGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_BoxMullerMersenneTwisterGaussianRng


attr(delete_BoxMullerMersenneTwisterGaussianRng, 'returnType') = 'void'
attr(delete_BoxMullerMersenneTwisterGaussianRng, "inputTypes") = c('_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t')
class(delete_BoxMullerMersenneTwisterGaussianRng) = c("SWIGFunction", class(delete_BoxMullerMersenneTwisterGaussianRng))

# Start of accessor method for BoxMullerGaussianRng<(MersenneTwisterUniformRng)>
setMethod('$', '_p_BoxMullerGaussianRngTMersenneTwisterUniformRng_t', function(x, name)

{
  accessorFuns = list('next' = BoxMullerMersenneTwisterGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for BoxMullerGaussianRng<(MersenneTwisterUniformRng)>
# Start of new_MoroInvCumulativeLecuyerGaussianRng

MoroInvCumulativeLecuyerGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_LecuyerUniformRng") 
  ans = .Call('R_swig_new_MoroInvCumulativeLecuyerGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t"
  
  ans
  
}
# End of new_MoroInvCumulativeLecuyerGaussianRng


attr(MoroInvCumulativeLecuyerGaussianRng, 'returnType') = '_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t'
attr(MoroInvCumulativeLecuyerGaussianRng, "inputTypes") = c('_p_LecuyerUniformRng')
class(MoroInvCumulativeLecuyerGaussianRng) = c("SWIGFunction", class(MoroInvCumulativeLecuyerGaussianRng))

# Start of MoroInvCumulativeLecuyerGaussianRng_next

MoroInvCumulativeLecuyerGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t") 
  ans = .Call('R_swig_MoroInvCumulativeLecuyerGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of MoroInvCumulativeLecuyerGaussianRng_next


attr(MoroInvCumulativeLecuyerGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(MoroInvCumulativeLecuyerGaussianRng_next, "inputTypes") = c('_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeLecuyerGaussianRng_next) = c("SWIGFunction", class(MoroInvCumulativeLecuyerGaussianRng_next))

# Start of delete_MoroInvCumulativeLecuyerGaussianRng

delete_MoroInvCumulativeLecuyerGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_delete_MoroInvCumulativeLecuyerGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInvCumulativeLecuyerGaussianRng


attr(delete_MoroInvCumulativeLecuyerGaussianRng, 'returnType') = 'void'
attr(delete_MoroInvCumulativeLecuyerGaussianRng, "inputTypes") = c('_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t')
class(delete_MoroInvCumulativeLecuyerGaussianRng) = c("SWIGFunction", class(delete_MoroInvCumulativeLecuyerGaussianRng))

# Start of accessor method for InverseCumulativeRng<(LecuyerUniformRng,MoroInverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRngTLecuyerUniformRng_MoroInverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('next' = MoroInvCumulativeLecuyerGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRng<(LecuyerUniformRng,MoroInverseCumulativeNormal)>
# Start of new_MoroInvCumulativeKnuthGaussianRng

MoroInvCumulativeKnuthGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_KnuthUniformRng") 
  ans = .Call('R_swig_new_MoroInvCumulativeKnuthGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t"
  
  ans
  
}
# End of new_MoroInvCumulativeKnuthGaussianRng


attr(MoroInvCumulativeKnuthGaussianRng, 'returnType') = '_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t'
attr(MoroInvCumulativeKnuthGaussianRng, "inputTypes") = c('_p_KnuthUniformRng')
class(MoroInvCumulativeKnuthGaussianRng) = c("SWIGFunction", class(MoroInvCumulativeKnuthGaussianRng))

# Start of MoroInvCumulativeKnuthGaussianRng_next

MoroInvCumulativeKnuthGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t") 
  ans = .Call('R_swig_MoroInvCumulativeKnuthGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of MoroInvCumulativeKnuthGaussianRng_next


attr(MoroInvCumulativeKnuthGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(MoroInvCumulativeKnuthGaussianRng_next, "inputTypes") = c('_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeKnuthGaussianRng_next) = c("SWIGFunction", class(MoroInvCumulativeKnuthGaussianRng_next))

# Start of delete_MoroInvCumulativeKnuthGaussianRng

delete_MoroInvCumulativeKnuthGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_delete_MoroInvCumulativeKnuthGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInvCumulativeKnuthGaussianRng


attr(delete_MoroInvCumulativeKnuthGaussianRng, 'returnType') = 'void'
attr(delete_MoroInvCumulativeKnuthGaussianRng, "inputTypes") = c('_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t')
class(delete_MoroInvCumulativeKnuthGaussianRng) = c("SWIGFunction", class(delete_MoroInvCumulativeKnuthGaussianRng))

# Start of accessor method for InverseCumulativeRng<(KnuthUniformRng,MoroInverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRngTKnuthUniformRng_MoroInverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('next' = MoroInvCumulativeKnuthGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRng<(KnuthUniformRng,MoroInverseCumulativeNormal)>
# Start of new_MoroInvCumulativeMersenneTwisterGaussianRng

MoroInvCumulativeMersenneTwisterGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_MersenneTwisterUniformRng") 
  ans = .Call('R_swig_new_MoroInvCumulativeMersenneTwisterGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t"
  
  ans
  
}
# End of new_MoroInvCumulativeMersenneTwisterGaussianRng


attr(MoroInvCumulativeMersenneTwisterGaussianRng, 'returnType') = '_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t'
attr(MoroInvCumulativeMersenneTwisterGaussianRng, "inputTypes") = c('_p_MersenneTwisterUniformRng')
class(MoroInvCumulativeMersenneTwisterGaussianRng) = c("SWIGFunction", class(MoroInvCumulativeMersenneTwisterGaussianRng))

# Start of MoroInvCumulativeMersenneTwisterGaussianRng_next

MoroInvCumulativeMersenneTwisterGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t") 
  ans = .Call('R_swig_MoroInvCumulativeMersenneTwisterGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of MoroInvCumulativeMersenneTwisterGaussianRng_next


attr(MoroInvCumulativeMersenneTwisterGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(MoroInvCumulativeMersenneTwisterGaussianRng_next, "inputTypes") = c('_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeMersenneTwisterGaussianRng_next) = c("SWIGFunction", class(MoroInvCumulativeMersenneTwisterGaussianRng_next))

# Start of delete_MoroInvCumulativeMersenneTwisterGaussianRng

delete_MoroInvCumulativeMersenneTwisterGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_delete_MoroInvCumulativeMersenneTwisterGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInvCumulativeMersenneTwisterGaussianRng


attr(delete_MoroInvCumulativeMersenneTwisterGaussianRng, 'returnType') = 'void'
attr(delete_MoroInvCumulativeMersenneTwisterGaussianRng, "inputTypes") = c('_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t')
class(delete_MoroInvCumulativeMersenneTwisterGaussianRng) = c("SWIGFunction", class(delete_MoroInvCumulativeMersenneTwisterGaussianRng))

# Start of accessor method for InverseCumulativeRng<(MersenneTwisterUniformRng,MoroInverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRngTMersenneTwisterUniformRng_MoroInverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('next' = MoroInvCumulativeMersenneTwisterGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRng<(MersenneTwisterUniformRng,MoroInverseCumulativeNormal)>
# Start of new_InvCumulativeLecuyerGaussianRng

InvCumulativeLecuyerGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_LecuyerUniformRng") 
  ans = .Call('R_swig_new_InvCumulativeLecuyerGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t"
  
  ans
  
}
# End of new_InvCumulativeLecuyerGaussianRng


attr(InvCumulativeLecuyerGaussianRng, 'returnType') = '_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t'
attr(InvCumulativeLecuyerGaussianRng, "inputTypes") = c('_p_LecuyerUniformRng')
class(InvCumulativeLecuyerGaussianRng) = c("SWIGFunction", class(InvCumulativeLecuyerGaussianRng))

# Start of InvCumulativeLecuyerGaussianRng_next

InvCumulativeLecuyerGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t") 
  ans = .Call('R_swig_InvCumulativeLecuyerGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of InvCumulativeLecuyerGaussianRng_next


attr(InvCumulativeLecuyerGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(InvCumulativeLecuyerGaussianRng_next, "inputTypes") = c('_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t')
class(InvCumulativeLecuyerGaussianRng_next) = c("SWIGFunction", class(InvCumulativeLecuyerGaussianRng_next))

# Start of delete_InvCumulativeLecuyerGaussianRng

delete_InvCumulativeLecuyerGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t") 
  .Call('R_swig_delete_InvCumulativeLecuyerGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_InvCumulativeLecuyerGaussianRng


attr(delete_InvCumulativeLecuyerGaussianRng, 'returnType') = 'void'
attr(delete_InvCumulativeLecuyerGaussianRng, "inputTypes") = c('_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t')
class(delete_InvCumulativeLecuyerGaussianRng) = c("SWIGFunction", class(delete_InvCumulativeLecuyerGaussianRng))

# Start of accessor method for InverseCumulativeRng<(LecuyerUniformRng,InverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRngTLecuyerUniformRng_InverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('next' = InvCumulativeLecuyerGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRng<(LecuyerUniformRng,InverseCumulativeNormal)>
# Start of new_InvCumulativeKnuthGaussianRng

InvCumulativeKnuthGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_KnuthUniformRng") 
  ans = .Call('R_swig_new_InvCumulativeKnuthGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t"
  
  ans
  
}
# End of new_InvCumulativeKnuthGaussianRng


attr(InvCumulativeKnuthGaussianRng, 'returnType') = '_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t'
attr(InvCumulativeKnuthGaussianRng, "inputTypes") = c('_p_KnuthUniformRng')
class(InvCumulativeKnuthGaussianRng) = c("SWIGFunction", class(InvCumulativeKnuthGaussianRng))

# Start of InvCumulativeKnuthGaussianRng_next

InvCumulativeKnuthGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t") 
  ans = .Call('R_swig_InvCumulativeKnuthGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of InvCumulativeKnuthGaussianRng_next


attr(InvCumulativeKnuthGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(InvCumulativeKnuthGaussianRng_next, "inputTypes") = c('_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t')
class(InvCumulativeKnuthGaussianRng_next) = c("SWIGFunction", class(InvCumulativeKnuthGaussianRng_next))

# Start of delete_InvCumulativeKnuthGaussianRng

delete_InvCumulativeKnuthGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t") 
  .Call('R_swig_delete_InvCumulativeKnuthGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_InvCumulativeKnuthGaussianRng


attr(delete_InvCumulativeKnuthGaussianRng, 'returnType') = 'void'
attr(delete_InvCumulativeKnuthGaussianRng, "inputTypes") = c('_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t')
class(delete_InvCumulativeKnuthGaussianRng) = c("SWIGFunction", class(delete_InvCumulativeKnuthGaussianRng))

# Start of accessor method for InverseCumulativeRng<(KnuthUniformRng,InverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRngTKnuthUniformRng_InverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('next' = InvCumulativeKnuthGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRng<(KnuthUniformRng,InverseCumulativeNormal)>
# Start of new_InvCumulativeMersenneTwisterGaussianRng

InvCumulativeMersenneTwisterGaussianRng = function(rng)
{
  coerceIfNotSubclass(rng, "_p_MersenneTwisterUniformRng") 
  ans = .Call('R_swig_new_InvCumulativeMersenneTwisterGaussianRng', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t"
  
  ans
  
}
# End of new_InvCumulativeMersenneTwisterGaussianRng


attr(InvCumulativeMersenneTwisterGaussianRng, 'returnType') = '_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t'
attr(InvCumulativeMersenneTwisterGaussianRng, "inputTypes") = c('_p_MersenneTwisterUniformRng')
class(InvCumulativeMersenneTwisterGaussianRng) = c("SWIGFunction", class(InvCumulativeMersenneTwisterGaussianRng))

# Start of InvCumulativeMersenneTwisterGaussianRng_next

InvCumulativeMersenneTwisterGaussianRng_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t") 
  ans = .Call('R_swig_InvCumulativeMersenneTwisterGaussianRng_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of InvCumulativeMersenneTwisterGaussianRng_next


attr(InvCumulativeMersenneTwisterGaussianRng_next, 'returnType') = '_p_SampleTdouble_t'
attr(InvCumulativeMersenneTwisterGaussianRng_next, "inputTypes") = c('_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t')
class(InvCumulativeMersenneTwisterGaussianRng_next) = c("SWIGFunction", class(InvCumulativeMersenneTwisterGaussianRng_next))

# Start of delete_InvCumulativeMersenneTwisterGaussianRng

delete_InvCumulativeMersenneTwisterGaussianRng = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t") 
  .Call('R_swig_delete_InvCumulativeMersenneTwisterGaussianRng', self, PACKAGE='QuantLib')
  
}
# End of delete_InvCumulativeMersenneTwisterGaussianRng


attr(delete_InvCumulativeMersenneTwisterGaussianRng, 'returnType') = 'void'
attr(delete_InvCumulativeMersenneTwisterGaussianRng, "inputTypes") = c('_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t')
class(delete_InvCumulativeMersenneTwisterGaussianRng) = c("SWIGFunction", class(delete_InvCumulativeMersenneTwisterGaussianRng))

# Start of accessor method for InverseCumulativeRng<(MersenneTwisterUniformRng,InverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRngTMersenneTwisterUniformRng_InverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('next' = InvCumulativeMersenneTwisterGaussianRng_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRng<(MersenneTwisterUniformRng,InverseCumulativeNormal)>
# Start of new_GaussianRandomGenerator

GaussianRandomGenerator = function(rng)
{
  coerceIfNotSubclass(rng, "_p_UniformRandomGenerator") 
  ans = .Call('R_swig_new_GaussianRandomGenerator', rng, PACKAGE='QuantLib')
  class(ans) <- "_p_GaussianRandomGenerator"
  
  ans
  
}
# End of new_GaussianRandomGenerator


attr(GaussianRandomGenerator, 'returnType') = '_p_GaussianRandomGenerator'
attr(GaussianRandomGenerator, "inputTypes") = c('_p_UniformRandomGenerator')
class(GaussianRandomGenerator) = c("SWIGFunction", class(GaussianRandomGenerator))

# Start of GaussianRandomGenerator_next

GaussianRandomGenerator_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_GaussianRandomGenerator") 
  ans = .Call('R_swig_GaussianRandomGenerator_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTdouble_t"
  
  ans
  
}
# End of GaussianRandomGenerator_next


attr(GaussianRandomGenerator_next, 'returnType') = '_p_SampleTdouble_t'
attr(GaussianRandomGenerator_next, "inputTypes") = c('_p_GaussianRandomGenerator')
class(GaussianRandomGenerator_next) = c("SWIGFunction", class(GaussianRandomGenerator_next))

# Start of delete_GaussianRandomGenerator

delete_GaussianRandomGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_GaussianRandomGenerator") 
  .Call('R_swig_delete_GaussianRandomGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_GaussianRandomGenerator


attr(delete_GaussianRandomGenerator, 'returnType') = 'void'
attr(delete_GaussianRandomGenerator, "inputTypes") = c('_p_GaussianRandomGenerator')
class(delete_GaussianRandomGenerator) = c("SWIGFunction", class(delete_GaussianRandomGenerator))

# Start of accessor method for GaussianRandomGenerator
setMethod('$', '_p_GaussianRandomGenerator', function(x, name)

{
  accessorFuns = list('next' = GaussianRandomGenerator_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for GaussianRandomGenerator
# Start of new_HaltonRsg

HaltonRsg = function(dimensionality)
{
  dimensionality = as.integer(dimensionality) 
  
  if(length(dimensionality) > 1) {
    warning("using only the first element of dimensionality")
  }
  
  ans = .Call('R_swig_new_HaltonRsg', dimensionality, PACKAGE='QuantLib')
  class(ans) <- "_p_HaltonRsg"
  
  ans
  
}
# End of new_HaltonRsg


attr(HaltonRsg, 'returnType') = '_p_HaltonRsg'
attr(HaltonRsg, "inputTypes") = c('numeric')
class(HaltonRsg) = c("SWIGFunction", class(HaltonRsg))

# Start of HaltonRsg_nextSequence

HaltonRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HaltonRsg") 
  ans = .Call('R_swig_HaltonRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of HaltonRsg_nextSequence


attr(HaltonRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(HaltonRsg_nextSequence, "inputTypes") = c('_p_HaltonRsg')
class(HaltonRsg_nextSequence) = c("SWIGFunction", class(HaltonRsg_nextSequence))

# Start of HaltonRsg_dimension

HaltonRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HaltonRsg") 
  .Call('R_swig_HaltonRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of HaltonRsg_dimension


attr(HaltonRsg_dimension, 'returnType') = 'numeric'
attr(HaltonRsg_dimension, "inputTypes") = c('_p_HaltonRsg')
class(HaltonRsg_dimension) = c("SWIGFunction", class(HaltonRsg_dimension))

# Start of delete_HaltonRsg

delete_HaltonRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_HaltonRsg") 
  .Call('R_swig_delete_HaltonRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_HaltonRsg


attr(delete_HaltonRsg, 'returnType') = 'void'
attr(delete_HaltonRsg, "inputTypes") = c('_p_HaltonRsg')
class(delete_HaltonRsg) = c("SWIGFunction", class(delete_HaltonRsg))

# Start of accessor method for HaltonRsg
setMethod('$', '_p_HaltonRsg', function(x, name)

{
  accessorFuns = list('nextSequence' = HaltonRsg_nextSequence, 'dimension' = HaltonRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for HaltonRsg
setGeneric('SobolRsg', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('SobolRsg'))
attr(SobolRsg, 'returnType') = '_p_SobolRsg'
setMethod('SobolRsg', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_SobolRsg__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_SobolRsg"
  
  ans
  
}

)
setMethod('SobolRsg', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_SobolRsg__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_SobolRsg"
  
  ans
  
}

)
# Start of SobolRsg_nextSequence

SobolRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SobolRsg") 
  ans = .Call('R_swig_SobolRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of SobolRsg_nextSequence


attr(SobolRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(SobolRsg_nextSequence, "inputTypes") = c('_p_SobolRsg')
class(SobolRsg_nextSequence) = c("SWIGFunction", class(SobolRsg_nextSequence))

# Start of SobolRsg_dimension

SobolRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SobolRsg") 
  .Call('R_swig_SobolRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SobolRsg_dimension


attr(SobolRsg_dimension, 'returnType') = 'numeric'
attr(SobolRsg_dimension, "inputTypes") = c('_p_SobolRsg')
class(SobolRsg_dimension) = c("SWIGFunction", class(SobolRsg_dimension))

# Start of delete_SobolRsg

delete_SobolRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_SobolRsg") 
  .Call('R_swig_delete_SobolRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_SobolRsg


attr(delete_SobolRsg, 'returnType') = 'void'
attr(delete_SobolRsg, "inputTypes") = c('_p_SobolRsg')
class(delete_SobolRsg) = c("SWIGFunction", class(delete_SobolRsg))

# Start of accessor method for SobolRsg
setMethod('$', '_p_SobolRsg', function(x, name)

{
  accessorFuns = list('nextSequence' = SobolRsg_nextSequence, 'dimension' = SobolRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SobolRsg
# Start of new_LecuyerUniformRsg

LecuyerUniformRsg = function(dimensionality, rng)
{
  dimensionality = as.integer(dimensionality) 
  
  if(length(dimensionality) > 1) {
    warning("using only the first element of dimensionality")
  }
  
  coerceIfNotSubclass(rng, "_p_LecuyerUniformRng") 
  ans = .Call('R_swig_new_LecuyerUniformRsg', dimensionality, rng, PACKAGE='QuantLib')
  class(ans) <- "_p_RandomSequenceGeneratorTLecuyerUniformRng_t"
  
  ans
  
}
# End of new_LecuyerUniformRsg


attr(LecuyerUniformRsg, 'returnType') = '_p_RandomSequenceGeneratorTLecuyerUniformRng_t'
attr(LecuyerUniformRsg, "inputTypes") = c('numeric', '_p_LecuyerUniformRng')
class(LecuyerUniformRsg) = c("SWIGFunction", class(LecuyerUniformRsg))

# Start of LecuyerUniformRsg_nextSequence

LecuyerUniformRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTLecuyerUniformRng_t") 
  ans = .Call('R_swig_LecuyerUniformRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of LecuyerUniformRsg_nextSequence


attr(LecuyerUniformRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(LecuyerUniformRsg_nextSequence, "inputTypes") = c('_p_RandomSequenceGeneratorTLecuyerUniformRng_t')
class(LecuyerUniformRsg_nextSequence) = c("SWIGFunction", class(LecuyerUniformRsg_nextSequence))

# Start of LecuyerUniformRsg_dimension

LecuyerUniformRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTLecuyerUniformRng_t") 
  .Call('R_swig_LecuyerUniformRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of LecuyerUniformRsg_dimension


attr(LecuyerUniformRsg_dimension, 'returnType') = 'numeric'
attr(LecuyerUniformRsg_dimension, "inputTypes") = c('_p_RandomSequenceGeneratorTLecuyerUniformRng_t')
class(LecuyerUniformRsg_dimension) = c("SWIGFunction", class(LecuyerUniformRsg_dimension))

# Start of delete_LecuyerUniformRsg

delete_LecuyerUniformRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTLecuyerUniformRng_t") 
  .Call('R_swig_delete_LecuyerUniformRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_LecuyerUniformRsg


attr(delete_LecuyerUniformRsg, 'returnType') = 'void'
attr(delete_LecuyerUniformRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTLecuyerUniformRng_t')
class(delete_LecuyerUniformRsg) = c("SWIGFunction", class(delete_LecuyerUniformRsg))

# Start of accessor method for RandomSequenceGenerator<(LecuyerUniformRng)>
setMethod('$', '_p_RandomSequenceGeneratorTLecuyerUniformRng_t', function(x, name)

{
  accessorFuns = list('nextSequence' = LecuyerUniformRsg_nextSequence, 'dimension' = LecuyerUniformRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for RandomSequenceGenerator<(LecuyerUniformRng)>
# Start of new_KnuthUniformRsg

KnuthUniformRsg = function(dimensionality, rng)
{
  dimensionality = as.integer(dimensionality) 
  
  if(length(dimensionality) > 1) {
    warning("using only the first element of dimensionality")
  }
  
  coerceIfNotSubclass(rng, "_p_KnuthUniformRng") 
  ans = .Call('R_swig_new_KnuthUniformRsg', dimensionality, rng, PACKAGE='QuantLib')
  class(ans) <- "_p_RandomSequenceGeneratorTKnuthUniformRng_t"
  
  ans
  
}
# End of new_KnuthUniformRsg


attr(KnuthUniformRsg, 'returnType') = '_p_RandomSequenceGeneratorTKnuthUniformRng_t'
attr(KnuthUniformRsg, "inputTypes") = c('numeric', '_p_KnuthUniformRng')
class(KnuthUniformRsg) = c("SWIGFunction", class(KnuthUniformRsg))

# Start of KnuthUniformRsg_nextSequence

KnuthUniformRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTKnuthUniformRng_t") 
  ans = .Call('R_swig_KnuthUniformRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of KnuthUniformRsg_nextSequence


attr(KnuthUniformRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(KnuthUniformRsg_nextSequence, "inputTypes") = c('_p_RandomSequenceGeneratorTKnuthUniformRng_t')
class(KnuthUniformRsg_nextSequence) = c("SWIGFunction", class(KnuthUniformRsg_nextSequence))

# Start of KnuthUniformRsg_dimension

KnuthUniformRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTKnuthUniformRng_t") 
  .Call('R_swig_KnuthUniformRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of KnuthUniformRsg_dimension


attr(KnuthUniformRsg_dimension, 'returnType') = 'numeric'
attr(KnuthUniformRsg_dimension, "inputTypes") = c('_p_RandomSequenceGeneratorTKnuthUniformRng_t')
class(KnuthUniformRsg_dimension) = c("SWIGFunction", class(KnuthUniformRsg_dimension))

# Start of delete_KnuthUniformRsg

delete_KnuthUniformRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTKnuthUniformRng_t") 
  .Call('R_swig_delete_KnuthUniformRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_KnuthUniformRsg


attr(delete_KnuthUniformRsg, 'returnType') = 'void'
attr(delete_KnuthUniformRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTKnuthUniformRng_t')
class(delete_KnuthUniformRsg) = c("SWIGFunction", class(delete_KnuthUniformRsg))

# Start of accessor method for RandomSequenceGenerator<(KnuthUniformRng)>
setMethod('$', '_p_RandomSequenceGeneratorTKnuthUniformRng_t', function(x, name)

{
  accessorFuns = list('nextSequence' = KnuthUniformRsg_nextSequence, 'dimension' = KnuthUniformRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for RandomSequenceGenerator<(KnuthUniformRng)>
# Start of new_MersenneTwisterUniformRsg

MersenneTwisterUniformRsg = function(dimensionality, rng)
{
  dimensionality = as.integer(dimensionality) 
  
  if(length(dimensionality) > 1) {
    warning("using only the first element of dimensionality")
  }
  
  coerceIfNotSubclass(rng, "_p_MersenneTwisterUniformRng") 
  ans = .Call('R_swig_new_MersenneTwisterUniformRsg', dimensionality, rng, PACKAGE='QuantLib')
  class(ans) <- "_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t"
  
  ans
  
}
# End of new_MersenneTwisterUniformRsg


attr(MersenneTwisterUniformRsg, 'returnType') = '_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t'
attr(MersenneTwisterUniformRsg, "inputTypes") = c('numeric', '_p_MersenneTwisterUniformRng')
class(MersenneTwisterUniformRsg) = c("SWIGFunction", class(MersenneTwisterUniformRsg))

# Start of MersenneTwisterUniformRsg_nextSequence

MersenneTwisterUniformRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t") 
  ans = .Call('R_swig_MersenneTwisterUniformRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of MersenneTwisterUniformRsg_nextSequence


attr(MersenneTwisterUniformRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(MersenneTwisterUniformRsg_nextSequence, "inputTypes") = c('_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t')
class(MersenneTwisterUniformRsg_nextSequence) = c("SWIGFunction", class(MersenneTwisterUniformRsg_nextSequence))

# Start of MersenneTwisterUniformRsg_dimension

MersenneTwisterUniformRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t") 
  .Call('R_swig_MersenneTwisterUniformRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MersenneTwisterUniformRsg_dimension


attr(MersenneTwisterUniformRsg_dimension, 'returnType') = 'numeric'
attr(MersenneTwisterUniformRsg_dimension, "inputTypes") = c('_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t')
class(MersenneTwisterUniformRsg_dimension) = c("SWIGFunction", class(MersenneTwisterUniformRsg_dimension))

# Start of delete_MersenneTwisterUniformRsg

delete_MersenneTwisterUniformRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t") 
  .Call('R_swig_delete_MersenneTwisterUniformRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_MersenneTwisterUniformRsg


attr(delete_MersenneTwisterUniformRsg, 'returnType') = 'void'
attr(delete_MersenneTwisterUniformRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t')
class(delete_MersenneTwisterUniformRsg) = c("SWIGFunction", class(delete_MersenneTwisterUniformRsg))

# Start of accessor method for RandomSequenceGenerator<(MersenneTwisterUniformRng)>
setMethod('$', '_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t', function(x, name)

{
  accessorFuns = list('nextSequence' = MersenneTwisterUniformRsg_nextSequence, 'dimension' = MersenneTwisterUniformRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for RandomSequenceGenerator<(MersenneTwisterUniformRng)>
# Start of new_UniformRandomSequenceGenerator

UniformRandomSequenceGenerator = function(dimensionality, rng)
{
  dimensionality = as.integer(dimensionality) 
  
  if(length(dimensionality) > 1) {
    warning("using only the first element of dimensionality")
  }
  
  coerceIfNotSubclass(rng, "_p_UniformRandomGenerator") 
  ans = .Call('R_swig_new_UniformRandomSequenceGenerator', dimensionality, rng, PACKAGE='QuantLib')
  class(ans) <- "_p_UniformRandomSequenceGenerator"
  
  ans
  
}
# End of new_UniformRandomSequenceGenerator


attr(UniformRandomSequenceGenerator, 'returnType') = '_p_UniformRandomSequenceGenerator'
attr(UniformRandomSequenceGenerator, "inputTypes") = c('numeric', '_p_UniformRandomGenerator')
class(UniformRandomSequenceGenerator) = c("SWIGFunction", class(UniformRandomSequenceGenerator))

# Start of UniformRandomSequenceGenerator_nextSequence

UniformRandomSequenceGenerator_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_UniformRandomSequenceGenerator") 
  ans = .Call('R_swig_UniformRandomSequenceGenerator_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of UniformRandomSequenceGenerator_nextSequence


attr(UniformRandomSequenceGenerator_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(UniformRandomSequenceGenerator_nextSequence, "inputTypes") = c('_p_UniformRandomSequenceGenerator')
class(UniformRandomSequenceGenerator_nextSequence) = c("SWIGFunction", class(UniformRandomSequenceGenerator_nextSequence))

# Start of UniformRandomSequenceGenerator_dimension

UniformRandomSequenceGenerator_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_UniformRandomSequenceGenerator") 
  .Call('R_swig_UniformRandomSequenceGenerator_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of UniformRandomSequenceGenerator_dimension


attr(UniformRandomSequenceGenerator_dimension, 'returnType') = 'numeric'
attr(UniformRandomSequenceGenerator_dimension, "inputTypes") = c('_p_UniformRandomSequenceGenerator')
class(UniformRandomSequenceGenerator_dimension) = c("SWIGFunction", class(UniformRandomSequenceGenerator_dimension))

# Start of delete_UniformRandomSequenceGenerator

delete_UniformRandomSequenceGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_UniformRandomSequenceGenerator") 
  .Call('R_swig_delete_UniformRandomSequenceGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_UniformRandomSequenceGenerator


attr(delete_UniformRandomSequenceGenerator, 'returnType') = 'void'
attr(delete_UniformRandomSequenceGenerator, "inputTypes") = c('_p_UniformRandomSequenceGenerator')
class(delete_UniformRandomSequenceGenerator) = c("SWIGFunction", class(delete_UniformRandomSequenceGenerator))

# Start of accessor method for UniformRandomSequenceGenerator
setMethod('$', '_p_UniformRandomSequenceGenerator', function(x, name)

{
  accessorFuns = list('nextSequence' = UniformRandomSequenceGenerator_nextSequence, 'dimension' = UniformRandomSequenceGenerator_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for UniformRandomSequenceGenerator
# Start of new_UniformLowDiscrepancySequenceGenerator

UniformLowDiscrepancySequenceGenerator = function(dimensionality)
{
  dimensionality = as.integer(dimensionality) 
  
  if(length(dimensionality) > 1) {
    warning("using only the first element of dimensionality")
  }
  
  ans = .Call('R_swig_new_UniformLowDiscrepancySequenceGenerator', dimensionality, PACKAGE='QuantLib')
  class(ans) <- "_p_UniformLowDiscrepancySequenceGenerator"
  
  ans
  
}
# End of new_UniformLowDiscrepancySequenceGenerator


attr(UniformLowDiscrepancySequenceGenerator, 'returnType') = '_p_UniformLowDiscrepancySequenceGenerator'
attr(UniformLowDiscrepancySequenceGenerator, "inputTypes") = c('numeric')
class(UniformLowDiscrepancySequenceGenerator) = c("SWIGFunction", class(UniformLowDiscrepancySequenceGenerator))

# Start of UniformLowDiscrepancySequenceGenerator_nextSequence

UniformLowDiscrepancySequenceGenerator_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_UniformLowDiscrepancySequenceGenerator") 
  ans = .Call('R_swig_UniformLowDiscrepancySequenceGenerator_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of UniformLowDiscrepancySequenceGenerator_nextSequence


attr(UniformLowDiscrepancySequenceGenerator_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(UniformLowDiscrepancySequenceGenerator_nextSequence, "inputTypes") = c('_p_UniformLowDiscrepancySequenceGenerator')
class(UniformLowDiscrepancySequenceGenerator_nextSequence) = c("SWIGFunction", class(UniformLowDiscrepancySequenceGenerator_nextSequence))

# Start of UniformLowDiscrepancySequenceGenerator_dimension

UniformLowDiscrepancySequenceGenerator_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_UniformLowDiscrepancySequenceGenerator") 
  .Call('R_swig_UniformLowDiscrepancySequenceGenerator_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of UniformLowDiscrepancySequenceGenerator_dimension


attr(UniformLowDiscrepancySequenceGenerator_dimension, 'returnType') = 'numeric'
attr(UniformLowDiscrepancySequenceGenerator_dimension, "inputTypes") = c('_p_UniformLowDiscrepancySequenceGenerator')
class(UniformLowDiscrepancySequenceGenerator_dimension) = c("SWIGFunction", class(UniformLowDiscrepancySequenceGenerator_dimension))

# Start of delete_UniformLowDiscrepancySequenceGenerator

delete_UniformLowDiscrepancySequenceGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_UniformLowDiscrepancySequenceGenerator") 
  .Call('R_swig_delete_UniformLowDiscrepancySequenceGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_UniformLowDiscrepancySequenceGenerator


attr(delete_UniformLowDiscrepancySequenceGenerator, 'returnType') = 'void'
attr(delete_UniformLowDiscrepancySequenceGenerator, "inputTypes") = c('_p_UniformLowDiscrepancySequenceGenerator')
class(delete_UniformLowDiscrepancySequenceGenerator) = c("SWIGFunction", class(delete_UniformLowDiscrepancySequenceGenerator))

# Start of accessor method for UniformLowDiscrepancySequenceGenerator
setMethod('$', '_p_UniformLowDiscrepancySequenceGenerator', function(x, name)

{
  accessorFuns = list('nextSequence' = UniformLowDiscrepancySequenceGenerator_nextSequence, 'dimension' = UniformLowDiscrepancySequenceGenerator_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for UniformLowDiscrepancySequenceGenerator
# Start of new_MoroInvCumulativeLecuyerGaussianRsg

MoroInvCumulativeLecuyerGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_RandomSequenceGeneratorTLecuyerUniformRng_t") 
  ans = .Call('R_swig_new_MoroInvCumulativeLecuyerGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t"
  
  ans
  
}
# End of new_MoroInvCumulativeLecuyerGaussianRsg


attr(MoroInvCumulativeLecuyerGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t'
attr(MoroInvCumulativeLecuyerGaussianRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTLecuyerUniformRng_t')
class(MoroInvCumulativeLecuyerGaussianRsg) = c("SWIGFunction", class(MoroInvCumulativeLecuyerGaussianRsg))

# Start of MoroInvCumulativeLecuyerGaussianRsg_nextSequence

MoroInvCumulativeLecuyerGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t") 
  ans = .Call('R_swig_MoroInvCumulativeLecuyerGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of MoroInvCumulativeLecuyerGaussianRsg_nextSequence


attr(MoroInvCumulativeLecuyerGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(MoroInvCumulativeLecuyerGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeLecuyerGaussianRsg_nextSequence) = c("SWIGFunction", class(MoroInvCumulativeLecuyerGaussianRsg_nextSequence))

# Start of MoroInvCumulativeLecuyerGaussianRsg_dimension

MoroInvCumulativeLecuyerGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_MoroInvCumulativeLecuyerGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MoroInvCumulativeLecuyerGaussianRsg_dimension


attr(MoroInvCumulativeLecuyerGaussianRsg_dimension, 'returnType') = 'numeric'
attr(MoroInvCumulativeLecuyerGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeLecuyerGaussianRsg_dimension) = c("SWIGFunction", class(MoroInvCumulativeLecuyerGaussianRsg_dimension))

# Start of delete_MoroInvCumulativeLecuyerGaussianRsg

delete_MoroInvCumulativeLecuyerGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_delete_MoroInvCumulativeLecuyerGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInvCumulativeLecuyerGaussianRsg


attr(delete_MoroInvCumulativeLecuyerGaussianRsg, 'returnType') = 'void'
attr(delete_MoroInvCumulativeLecuyerGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t')
class(delete_MoroInvCumulativeLecuyerGaussianRsg) = c("SWIGFunction", class(delete_MoroInvCumulativeLecuyerGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(LecuyerUniformRng)>,MoroInverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_MoroInverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = MoroInvCumulativeLecuyerGaussianRsg_nextSequence, 'dimension' = MoroInvCumulativeLecuyerGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(LecuyerUniformRng)>,MoroInverseCumulativeNormal)>
# Start of new_MoroInvCumulativeKnuthGaussianRsg

MoroInvCumulativeKnuthGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_RandomSequenceGeneratorTKnuthUniformRng_t") 
  ans = .Call('R_swig_new_MoroInvCumulativeKnuthGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t"
  
  ans
  
}
# End of new_MoroInvCumulativeKnuthGaussianRsg


attr(MoroInvCumulativeKnuthGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t'
attr(MoroInvCumulativeKnuthGaussianRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTKnuthUniformRng_t')
class(MoroInvCumulativeKnuthGaussianRsg) = c("SWIGFunction", class(MoroInvCumulativeKnuthGaussianRsg))

# Start of MoroInvCumulativeKnuthGaussianRsg_nextSequence

MoroInvCumulativeKnuthGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t") 
  ans = .Call('R_swig_MoroInvCumulativeKnuthGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of MoroInvCumulativeKnuthGaussianRsg_nextSequence


attr(MoroInvCumulativeKnuthGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(MoroInvCumulativeKnuthGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeKnuthGaussianRsg_nextSequence) = c("SWIGFunction", class(MoroInvCumulativeKnuthGaussianRsg_nextSequence))

# Start of MoroInvCumulativeKnuthGaussianRsg_dimension

MoroInvCumulativeKnuthGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_MoroInvCumulativeKnuthGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MoroInvCumulativeKnuthGaussianRsg_dimension


attr(MoroInvCumulativeKnuthGaussianRsg_dimension, 'returnType') = 'numeric'
attr(MoroInvCumulativeKnuthGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeKnuthGaussianRsg_dimension) = c("SWIGFunction", class(MoroInvCumulativeKnuthGaussianRsg_dimension))

# Start of delete_MoroInvCumulativeKnuthGaussianRsg

delete_MoroInvCumulativeKnuthGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_delete_MoroInvCumulativeKnuthGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInvCumulativeKnuthGaussianRsg


attr(delete_MoroInvCumulativeKnuthGaussianRsg, 'returnType') = 'void'
attr(delete_MoroInvCumulativeKnuthGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t')
class(delete_MoroInvCumulativeKnuthGaussianRsg) = c("SWIGFunction", class(delete_MoroInvCumulativeKnuthGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(KnuthUniformRng)>,MoroInverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_MoroInverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = MoroInvCumulativeKnuthGaussianRsg_nextSequence, 'dimension' = MoroInvCumulativeKnuthGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(KnuthUniformRng)>,MoroInverseCumulativeNormal)>
# Start of new_MoroInvCumulativeMersenneTwisterGaussianRsg

MoroInvCumulativeMersenneTwisterGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t") 
  ans = .Call('R_swig_new_MoroInvCumulativeMersenneTwisterGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t"
  
  ans
  
}
# End of new_MoroInvCumulativeMersenneTwisterGaussianRsg


attr(MoroInvCumulativeMersenneTwisterGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t'
attr(MoroInvCumulativeMersenneTwisterGaussianRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t')
class(MoroInvCumulativeMersenneTwisterGaussianRsg) = c("SWIGFunction", class(MoroInvCumulativeMersenneTwisterGaussianRsg))

# Start of MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence

MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t") 
  ans = .Call('R_swig_MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence


attr(MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence) = c("SWIGFunction", class(MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence))

# Start of MoroInvCumulativeMersenneTwisterGaussianRsg_dimension

MoroInvCumulativeMersenneTwisterGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_MoroInvCumulativeMersenneTwisterGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MoroInvCumulativeMersenneTwisterGaussianRsg_dimension


attr(MoroInvCumulativeMersenneTwisterGaussianRsg_dimension, 'returnType') = 'numeric'
attr(MoroInvCumulativeMersenneTwisterGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeMersenneTwisterGaussianRsg_dimension) = c("SWIGFunction", class(MoroInvCumulativeMersenneTwisterGaussianRsg_dimension))

# Start of delete_MoroInvCumulativeMersenneTwisterGaussianRsg

delete_MoroInvCumulativeMersenneTwisterGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_delete_MoroInvCumulativeMersenneTwisterGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInvCumulativeMersenneTwisterGaussianRsg


attr(delete_MoroInvCumulativeMersenneTwisterGaussianRsg, 'returnType') = 'void'
attr(delete_MoroInvCumulativeMersenneTwisterGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t')
class(delete_MoroInvCumulativeMersenneTwisterGaussianRsg) = c("SWIGFunction", class(delete_MoroInvCumulativeMersenneTwisterGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(MersenneTwisterUniformRng)>,MoroInverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_MoroInverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = MoroInvCumulativeMersenneTwisterGaussianRsg_nextSequence, 'dimension' = MoroInvCumulativeMersenneTwisterGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(MersenneTwisterUniformRng)>,MoroInverseCumulativeNormal)>
# Start of new_MoroInvCumulativeHaltonGaussianRsg

MoroInvCumulativeHaltonGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_HaltonRsg") 
  ans = .Call('R_swig_new_MoroInvCumulativeHaltonGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t"
  
  ans
  
}
# End of new_MoroInvCumulativeHaltonGaussianRsg


attr(MoroInvCumulativeHaltonGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t'
attr(MoroInvCumulativeHaltonGaussianRsg, "inputTypes") = c('_p_HaltonRsg')
class(MoroInvCumulativeHaltonGaussianRsg) = c("SWIGFunction", class(MoroInvCumulativeHaltonGaussianRsg))

# Start of MoroInvCumulativeHaltonGaussianRsg_nextSequence

MoroInvCumulativeHaltonGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t") 
  ans = .Call('R_swig_MoroInvCumulativeHaltonGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of MoroInvCumulativeHaltonGaussianRsg_nextSequence


attr(MoroInvCumulativeHaltonGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(MoroInvCumulativeHaltonGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeHaltonGaussianRsg_nextSequence) = c("SWIGFunction", class(MoroInvCumulativeHaltonGaussianRsg_nextSequence))

# Start of MoroInvCumulativeHaltonGaussianRsg_dimension

MoroInvCumulativeHaltonGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_MoroInvCumulativeHaltonGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MoroInvCumulativeHaltonGaussianRsg_dimension


attr(MoroInvCumulativeHaltonGaussianRsg_dimension, 'returnType') = 'numeric'
attr(MoroInvCumulativeHaltonGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t')
class(MoroInvCumulativeHaltonGaussianRsg_dimension) = c("SWIGFunction", class(MoroInvCumulativeHaltonGaussianRsg_dimension))

# Start of delete_MoroInvCumulativeHaltonGaussianRsg

delete_MoroInvCumulativeHaltonGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t") 
  .Call('R_swig_delete_MoroInvCumulativeHaltonGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_MoroInvCumulativeHaltonGaussianRsg


attr(delete_MoroInvCumulativeHaltonGaussianRsg, 'returnType') = 'void'
attr(delete_MoroInvCumulativeHaltonGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t')
class(delete_MoroInvCumulativeHaltonGaussianRsg) = c("SWIGFunction", class(delete_MoroInvCumulativeHaltonGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(HaltonRsg,MoroInverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTHaltonRsg_MoroInverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = MoroInvCumulativeHaltonGaussianRsg_nextSequence, 'dimension' = MoroInvCumulativeHaltonGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(HaltonRsg,MoroInverseCumulativeNormal)>
# Start of new_InvCumulativeLecuyerGaussianRsg

InvCumulativeLecuyerGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_RandomSequenceGeneratorTLecuyerUniformRng_t") 
  ans = .Call('R_swig_new_InvCumulativeLecuyerGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t"
  
  ans
  
}
# End of new_InvCumulativeLecuyerGaussianRsg


attr(InvCumulativeLecuyerGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t'
attr(InvCumulativeLecuyerGaussianRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTLecuyerUniformRng_t')
class(InvCumulativeLecuyerGaussianRsg) = c("SWIGFunction", class(InvCumulativeLecuyerGaussianRsg))

# Start of InvCumulativeLecuyerGaussianRsg_nextSequence

InvCumulativeLecuyerGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t") 
  ans = .Call('R_swig_InvCumulativeLecuyerGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of InvCumulativeLecuyerGaussianRsg_nextSequence


attr(InvCumulativeLecuyerGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(InvCumulativeLecuyerGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t')
class(InvCumulativeLecuyerGaussianRsg_nextSequence) = c("SWIGFunction", class(InvCumulativeLecuyerGaussianRsg_nextSequence))

# Start of InvCumulativeLecuyerGaussianRsg_dimension

InvCumulativeLecuyerGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t") 
  .Call('R_swig_InvCumulativeLecuyerGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of InvCumulativeLecuyerGaussianRsg_dimension


attr(InvCumulativeLecuyerGaussianRsg_dimension, 'returnType') = 'numeric'
attr(InvCumulativeLecuyerGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t')
class(InvCumulativeLecuyerGaussianRsg_dimension) = c("SWIGFunction", class(InvCumulativeLecuyerGaussianRsg_dimension))

# Start of delete_InvCumulativeLecuyerGaussianRsg

delete_InvCumulativeLecuyerGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t") 
  .Call('R_swig_delete_InvCumulativeLecuyerGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_InvCumulativeLecuyerGaussianRsg


attr(delete_InvCumulativeLecuyerGaussianRsg, 'returnType') = 'void'
attr(delete_InvCumulativeLecuyerGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t')
class(delete_InvCumulativeLecuyerGaussianRsg) = c("SWIGFunction", class(delete_InvCumulativeLecuyerGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(LecuyerUniformRng)>,InverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTRandomSequenceGeneratorTLecuyerUniformRng_t_InverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = InvCumulativeLecuyerGaussianRsg_nextSequence, 'dimension' = InvCumulativeLecuyerGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(LecuyerUniformRng)>,InverseCumulativeNormal)>
# Start of new_InvCumulativeKnuthGaussianRsg

InvCumulativeKnuthGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_RandomSequenceGeneratorTKnuthUniformRng_t") 
  ans = .Call('R_swig_new_InvCumulativeKnuthGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t"
  
  ans
  
}
# End of new_InvCumulativeKnuthGaussianRsg


attr(InvCumulativeKnuthGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t'
attr(InvCumulativeKnuthGaussianRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTKnuthUniformRng_t')
class(InvCumulativeKnuthGaussianRsg) = c("SWIGFunction", class(InvCumulativeKnuthGaussianRsg))

# Start of InvCumulativeKnuthGaussianRsg_nextSequence

InvCumulativeKnuthGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t") 
  ans = .Call('R_swig_InvCumulativeKnuthGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of InvCumulativeKnuthGaussianRsg_nextSequence


attr(InvCumulativeKnuthGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(InvCumulativeKnuthGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t')
class(InvCumulativeKnuthGaussianRsg_nextSequence) = c("SWIGFunction", class(InvCumulativeKnuthGaussianRsg_nextSequence))

# Start of InvCumulativeKnuthGaussianRsg_dimension

InvCumulativeKnuthGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t") 
  .Call('R_swig_InvCumulativeKnuthGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of InvCumulativeKnuthGaussianRsg_dimension


attr(InvCumulativeKnuthGaussianRsg_dimension, 'returnType') = 'numeric'
attr(InvCumulativeKnuthGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t')
class(InvCumulativeKnuthGaussianRsg_dimension) = c("SWIGFunction", class(InvCumulativeKnuthGaussianRsg_dimension))

# Start of delete_InvCumulativeKnuthGaussianRsg

delete_InvCumulativeKnuthGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t") 
  .Call('R_swig_delete_InvCumulativeKnuthGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_InvCumulativeKnuthGaussianRsg


attr(delete_InvCumulativeKnuthGaussianRsg, 'returnType') = 'void'
attr(delete_InvCumulativeKnuthGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t')
class(delete_InvCumulativeKnuthGaussianRsg) = c("SWIGFunction", class(delete_InvCumulativeKnuthGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(KnuthUniformRng)>,InverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTRandomSequenceGeneratorTKnuthUniformRng_t_InverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = InvCumulativeKnuthGaussianRsg_nextSequence, 'dimension' = InvCumulativeKnuthGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(KnuthUniformRng)>,InverseCumulativeNormal)>
# Start of new_InvCumulativeMersenneTwisterGaussianRsg

InvCumulativeMersenneTwisterGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t") 
  ans = .Call('R_swig_new_InvCumulativeMersenneTwisterGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t"
  
  ans
  
}
# End of new_InvCumulativeMersenneTwisterGaussianRsg


attr(InvCumulativeMersenneTwisterGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t'
attr(InvCumulativeMersenneTwisterGaussianRsg, "inputTypes") = c('_p_RandomSequenceGeneratorTMersenneTwisterUniformRng_t')
class(InvCumulativeMersenneTwisterGaussianRsg) = c("SWIGFunction", class(InvCumulativeMersenneTwisterGaussianRsg))

# Start of InvCumulativeMersenneTwisterGaussianRsg_nextSequence

InvCumulativeMersenneTwisterGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t") 
  ans = .Call('R_swig_InvCumulativeMersenneTwisterGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of InvCumulativeMersenneTwisterGaussianRsg_nextSequence


attr(InvCumulativeMersenneTwisterGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(InvCumulativeMersenneTwisterGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t')
class(InvCumulativeMersenneTwisterGaussianRsg_nextSequence) = c("SWIGFunction", class(InvCumulativeMersenneTwisterGaussianRsg_nextSequence))

# Start of InvCumulativeMersenneTwisterGaussianRsg_dimension

InvCumulativeMersenneTwisterGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t") 
  .Call('R_swig_InvCumulativeMersenneTwisterGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of InvCumulativeMersenneTwisterGaussianRsg_dimension


attr(InvCumulativeMersenneTwisterGaussianRsg_dimension, 'returnType') = 'numeric'
attr(InvCumulativeMersenneTwisterGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t')
class(InvCumulativeMersenneTwisterGaussianRsg_dimension) = c("SWIGFunction", class(InvCumulativeMersenneTwisterGaussianRsg_dimension))

# Start of delete_InvCumulativeMersenneTwisterGaussianRsg

delete_InvCumulativeMersenneTwisterGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t") 
  .Call('R_swig_delete_InvCumulativeMersenneTwisterGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_InvCumulativeMersenneTwisterGaussianRsg


attr(delete_InvCumulativeMersenneTwisterGaussianRsg, 'returnType') = 'void'
attr(delete_InvCumulativeMersenneTwisterGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t')
class(delete_InvCumulativeMersenneTwisterGaussianRsg) = c("SWIGFunction", class(delete_InvCumulativeMersenneTwisterGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(MersenneTwisterUniformRng)>,InverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTRandomSequenceGeneratorTMersenneTwisterUniformRng_t_InverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = InvCumulativeMersenneTwisterGaussianRsg_nextSequence, 'dimension' = InvCumulativeMersenneTwisterGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(RandomSequenceGenerator<(MersenneTwisterUniformRng)>,InverseCumulativeNormal)>
# Start of new_InvCumulativeHaltonGaussianRsg

InvCumulativeHaltonGaussianRsg = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_HaltonRsg") 
  ans = .Call('R_swig_new_InvCumulativeHaltonGaussianRsg', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t"
  
  ans
  
}
# End of new_InvCumulativeHaltonGaussianRsg


attr(InvCumulativeHaltonGaussianRsg, 'returnType') = '_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t'
attr(InvCumulativeHaltonGaussianRsg, "inputTypes") = c('_p_HaltonRsg')
class(InvCumulativeHaltonGaussianRsg) = c("SWIGFunction", class(InvCumulativeHaltonGaussianRsg))

# Start of InvCumulativeHaltonGaussianRsg_nextSequence

InvCumulativeHaltonGaussianRsg_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t") 
  ans = .Call('R_swig_InvCumulativeHaltonGaussianRsg_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of InvCumulativeHaltonGaussianRsg_nextSequence


attr(InvCumulativeHaltonGaussianRsg_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(InvCumulativeHaltonGaussianRsg_nextSequence, "inputTypes") = c('_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t')
class(InvCumulativeHaltonGaussianRsg_nextSequence) = c("SWIGFunction", class(InvCumulativeHaltonGaussianRsg_nextSequence))

# Start of InvCumulativeHaltonGaussianRsg_dimension

InvCumulativeHaltonGaussianRsg_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t") 
  .Call('R_swig_InvCumulativeHaltonGaussianRsg_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of InvCumulativeHaltonGaussianRsg_dimension


attr(InvCumulativeHaltonGaussianRsg_dimension, 'returnType') = 'numeric'
attr(InvCumulativeHaltonGaussianRsg_dimension, "inputTypes") = c('_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t')
class(InvCumulativeHaltonGaussianRsg_dimension) = c("SWIGFunction", class(InvCumulativeHaltonGaussianRsg_dimension))

# Start of delete_InvCumulativeHaltonGaussianRsg

delete_InvCumulativeHaltonGaussianRsg = function(self)
{
  coerceIfNotSubclass(self, "_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t") 
  .Call('R_swig_delete_InvCumulativeHaltonGaussianRsg', self, PACKAGE='QuantLib')
  
}
# End of delete_InvCumulativeHaltonGaussianRsg


attr(delete_InvCumulativeHaltonGaussianRsg, 'returnType') = 'void'
attr(delete_InvCumulativeHaltonGaussianRsg, "inputTypes") = c('_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t')
class(delete_InvCumulativeHaltonGaussianRsg) = c("SWIGFunction", class(delete_InvCumulativeHaltonGaussianRsg))

# Start of accessor method for InverseCumulativeRsg<(HaltonRsg,InverseCumulativeNormal)>
setMethod('$', '_p_InverseCumulativeRsgTHaltonRsg_InverseCumulativeNormal_t', function(x, name)

{
  accessorFuns = list('nextSequence' = InvCumulativeHaltonGaussianRsg_nextSequence, 'dimension' = InvCumulativeHaltonGaussianRsg_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for InverseCumulativeRsg<(HaltonRsg,InverseCumulativeNormal)>
# Start of new_GaussianRandomSequenceGenerator

GaussianRandomSequenceGenerator = function(uniformSequenceGenerator)
{
  coerceIfNotSubclass(uniformSequenceGenerator, "_p_UniformRandomSequenceGenerator") 
  ans = .Call('R_swig_new_GaussianRandomSequenceGenerator', uniformSequenceGenerator, PACKAGE='QuantLib')
  class(ans) <- "_p_GaussianRandomSequenceGenerator"
  
  ans
  
}
# End of new_GaussianRandomSequenceGenerator


attr(GaussianRandomSequenceGenerator, 'returnType') = '_p_GaussianRandomSequenceGenerator'
attr(GaussianRandomSequenceGenerator, "inputTypes") = c('_p_UniformRandomSequenceGenerator')
class(GaussianRandomSequenceGenerator) = c("SWIGFunction", class(GaussianRandomSequenceGenerator))

# Start of GaussianRandomSequenceGenerator_nextSequence

GaussianRandomSequenceGenerator_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_GaussianRandomSequenceGenerator") 
  ans = .Call('R_swig_GaussianRandomSequenceGenerator_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of GaussianRandomSequenceGenerator_nextSequence


attr(GaussianRandomSequenceGenerator_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(GaussianRandomSequenceGenerator_nextSequence, "inputTypes") = c('_p_GaussianRandomSequenceGenerator')
class(GaussianRandomSequenceGenerator_nextSequence) = c("SWIGFunction", class(GaussianRandomSequenceGenerator_nextSequence))

# Start of GaussianRandomSequenceGenerator_dimension

GaussianRandomSequenceGenerator_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_GaussianRandomSequenceGenerator") 
  .Call('R_swig_GaussianRandomSequenceGenerator_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of GaussianRandomSequenceGenerator_dimension


attr(GaussianRandomSequenceGenerator_dimension, 'returnType') = 'numeric'
attr(GaussianRandomSequenceGenerator_dimension, "inputTypes") = c('_p_GaussianRandomSequenceGenerator')
class(GaussianRandomSequenceGenerator_dimension) = c("SWIGFunction", class(GaussianRandomSequenceGenerator_dimension))

# Start of delete_GaussianRandomSequenceGenerator

delete_GaussianRandomSequenceGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_GaussianRandomSequenceGenerator") 
  .Call('R_swig_delete_GaussianRandomSequenceGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_GaussianRandomSequenceGenerator


attr(delete_GaussianRandomSequenceGenerator, 'returnType') = 'void'
attr(delete_GaussianRandomSequenceGenerator, "inputTypes") = c('_p_GaussianRandomSequenceGenerator')
class(delete_GaussianRandomSequenceGenerator) = c("SWIGFunction", class(delete_GaussianRandomSequenceGenerator))

# Start of accessor method for GaussianRandomSequenceGenerator
setMethod('$', '_p_GaussianRandomSequenceGenerator', function(x, name)

{
  accessorFuns = list('nextSequence' = GaussianRandomSequenceGenerator_nextSequence, 'dimension' = GaussianRandomSequenceGenerator_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for GaussianRandomSequenceGenerator
# Start of new_GaussianLowDiscrepancySequenceGenerator

GaussianLowDiscrepancySequenceGenerator = function(u)
{
  coerceIfNotSubclass(u, "_p_UniformLowDiscrepancySequenceGenerator") 
  ans = .Call('R_swig_new_GaussianLowDiscrepancySequenceGenerator', u, PACKAGE='QuantLib')
  class(ans) <- "_p_GaussianLowDiscrepancySequenceGenerator"
  
  ans
  
}
# End of new_GaussianLowDiscrepancySequenceGenerator


attr(GaussianLowDiscrepancySequenceGenerator, 'returnType') = '_p_GaussianLowDiscrepancySequenceGenerator'
attr(GaussianLowDiscrepancySequenceGenerator, "inputTypes") = c('_p_UniformLowDiscrepancySequenceGenerator')
class(GaussianLowDiscrepancySequenceGenerator) = c("SWIGFunction", class(GaussianLowDiscrepancySequenceGenerator))

# Start of GaussianLowDiscrepancySequenceGenerator_nextSequence

GaussianLowDiscrepancySequenceGenerator_nextSequence = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_GaussianLowDiscrepancySequenceGenerator") 
  ans = .Call('R_swig_GaussianLowDiscrepancySequenceGenerator_nextSequence', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTArray_t"
  
  ans
  
}
# End of GaussianLowDiscrepancySequenceGenerator_nextSequence


attr(GaussianLowDiscrepancySequenceGenerator_nextSequence, 'returnType') = '_p_SampleTArray_t'
attr(GaussianLowDiscrepancySequenceGenerator_nextSequence, "inputTypes") = c('_p_GaussianLowDiscrepancySequenceGenerator')
class(GaussianLowDiscrepancySequenceGenerator_nextSequence) = c("SWIGFunction", class(GaussianLowDiscrepancySequenceGenerator_nextSequence))

# Start of GaussianLowDiscrepancySequenceGenerator_dimension

GaussianLowDiscrepancySequenceGenerator_dimension = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_GaussianLowDiscrepancySequenceGenerator") 
  .Call('R_swig_GaussianLowDiscrepancySequenceGenerator_dimension', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of GaussianLowDiscrepancySequenceGenerator_dimension


attr(GaussianLowDiscrepancySequenceGenerator_dimension, 'returnType') = 'numeric'
attr(GaussianLowDiscrepancySequenceGenerator_dimension, "inputTypes") = c('_p_GaussianLowDiscrepancySequenceGenerator')
class(GaussianLowDiscrepancySequenceGenerator_dimension) = c("SWIGFunction", class(GaussianLowDiscrepancySequenceGenerator_dimension))

# Start of delete_GaussianLowDiscrepancySequenceGenerator

delete_GaussianLowDiscrepancySequenceGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_GaussianLowDiscrepancySequenceGenerator") 
  .Call('R_swig_delete_GaussianLowDiscrepancySequenceGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_GaussianLowDiscrepancySequenceGenerator


attr(delete_GaussianLowDiscrepancySequenceGenerator, 'returnType') = 'void'
attr(delete_GaussianLowDiscrepancySequenceGenerator, "inputTypes") = c('_p_GaussianLowDiscrepancySequenceGenerator')
class(delete_GaussianLowDiscrepancySequenceGenerator) = c("SWIGFunction", class(delete_GaussianLowDiscrepancySequenceGenerator))

# Start of accessor method for GaussianLowDiscrepancySequenceGenerator
setMethod('$', '_p_GaussianLowDiscrepancySequenceGenerator', function(x, name)

{
  accessorFuns = list('nextSequence' = GaussianLowDiscrepancySequenceGenerator_nextSequence, 'dimension' = GaussianLowDiscrepancySequenceGenerator_dimension)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for GaussianLowDiscrepancySequenceGenerator
# Start of getCovariance

getCovariance = function(volatilities, correlations, .copy = FALSE)
{
  coerceIfNotSubclass(volatilities, "_p_Array") 
  coerceIfNotSubclass(correlations, "_p_Matrix") 
  ans = .Call('R_swig_getCovariance', volatilities, correlations, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of getCovariance


attr(getCovariance, 'returnType') = '_p_Matrix'
attr(getCovariance, "inputTypes") = c('_p_Array', '_p_Matrix')
class(getCovariance) = c("SWIGFunction", class(getCovariance))

# Start of Path_length

Path_length = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Path") 
  .Call('R_swig_Path_length', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Path_length


attr(Path_length, 'returnType') = 'numeric'
attr(Path_length, "inputTypes") = c('_p_Path')
class(Path_length) = c("SWIGFunction", class(Path_length))

# Start of Path_value

Path_value = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Path") 
  i = as.integer(i) 
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_Path_value', self, i, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Path_value


attr(Path_value, 'returnType') = 'numeric'
attr(Path_value, "inputTypes") = c('_p_Path', 'numeric')
class(Path_value) = c("SWIGFunction", class(Path_value))

# Start of Path_time

Path_time = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Path") 
  i = as.integer(i) 
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_Path_time', self, i, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Path_time


attr(Path_time, 'returnType') = 'numeric'
attr(Path_time, "inputTypes") = c('_p_Path', 'numeric')
class(Path_time) = c("SWIGFunction", class(Path_time))

# Start of delete_Path

delete_Path = function(self)
{
  coerceIfNotSubclass(self, "_p_Path") 
  .Call('R_swig_delete_Path', self, PACKAGE='QuantLib')
  
}
# End of delete_Path


attr(delete_Path, 'returnType') = 'void'
attr(delete_Path, "inputTypes") = c('_p_Path')
class(delete_Path) = c("SWIGFunction", class(delete_Path))

# Start of accessor method for Path
setMethod('$', '_p_Path', function(x, name)

{
  accessorFuns = list('length' = Path_length, 'value' = Path_value, 'time' = Path_time)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Path
# Start of SamplePath_value

SamplePath_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTPath_t") 
  ans = .Call('R_swig_SamplePath_value', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Path"
  
  ans
  
}
# End of SamplePath_value


attr(SamplePath_value, 'returnType') = '_p_Path'
attr(SamplePath_value, "inputTypes") = c('_p_SampleTPath_t')
class(SamplePath_value) = c("SWIGFunction", class(SamplePath_value))

# Start of SamplePath_weight

SamplePath_weight = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTPath_t") 
  .Call('R_swig_SamplePath_weight', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SamplePath_weight


attr(SamplePath_weight, 'returnType') = 'numeric'
attr(SamplePath_weight, "inputTypes") = c('_p_SampleTPath_t')
class(SamplePath_weight) = c("SWIGFunction", class(SamplePath_weight))

# Start of delete_SamplePath

delete_SamplePath = function(self)
{
  coerceIfNotSubclass(self, "_p_SampleTPath_t") 
  .Call('R_swig_delete_SamplePath', self, PACKAGE='QuantLib')
  
}
# End of delete_SamplePath


attr(delete_SamplePath, 'returnType') = 'void'
attr(delete_SamplePath, "inputTypes") = c('_p_SampleTPath_t')
class(delete_SamplePath) = c("SWIGFunction", class(delete_SamplePath))

# Start of accessor method for Sample<(Path)>
setMethod('$', '_p_SampleTPath_t', function(x, name)

{
  accessorFuns = list('value' = SamplePath_value, 'weight' = SamplePath_weight)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Sample<(Path)>
# Start of new_GaussianPathGenerator

GaussianPathGenerator = function(process, length, steps, rsg, brownianBridge)
{
  coerceIfNotSubclass(process, "_p_StochasticProcess1DPtr") 
  length = as.numeric(length) 
  steps = as.integer(steps) 
  
  if(length(steps) > 1) {
    warning("using only the first element of steps")
  }
  
  coerceIfNotSubclass(rsg, "_p_GaussianRandomSequenceGenerator") 
  coerceIfNotSubclass(brownianBridge, "_p_bool") 
  ans = .Call('R_swig_new_GaussianPathGenerator', process, length, steps, rsg, brownianBridge, PACKAGE='QuantLib')
  class(ans) <- "_p_GaussianPathGenerator"
  
  ans
  
}
# End of new_GaussianPathGenerator


attr(GaussianPathGenerator, 'returnType') = '_p_GaussianPathGenerator'
attr(GaussianPathGenerator, "inputTypes") = c('_p_StochasticProcess1DPtr', 'numeric', 'numeric', '_p_GaussianRandomSequenceGenerator', 'logical')
class(GaussianPathGenerator) = c("SWIGFunction", class(GaussianPathGenerator))

# Start of GaussianPathGenerator_next

GaussianPathGenerator_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_GaussianPathGenerator") 
  ans = .Call('R_swig_GaussianPathGenerator_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTPath_t"
  
  ans
  
}
# End of GaussianPathGenerator_next


attr(GaussianPathGenerator_next, 'returnType') = '_p_SampleTPath_t'
attr(GaussianPathGenerator_next, "inputTypes") = c('_p_GaussianPathGenerator')
class(GaussianPathGenerator_next) = c("SWIGFunction", class(GaussianPathGenerator_next))

# Start of delete_GaussianPathGenerator

delete_GaussianPathGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_GaussianPathGenerator") 
  .Call('R_swig_delete_GaussianPathGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_GaussianPathGenerator


attr(delete_GaussianPathGenerator, 'returnType') = 'void'
attr(delete_GaussianPathGenerator, "inputTypes") = c('_p_GaussianPathGenerator')
class(delete_GaussianPathGenerator) = c("SWIGFunction", class(delete_GaussianPathGenerator))

# Start of accessor method for GaussianPathGenerator
setMethod('$', '_p_GaussianPathGenerator', function(x, name)

{
  accessorFuns = list('next' = GaussianPathGenerator_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for GaussianPathGenerator
# Start of MultiPath_pathSize

MultiPath_pathSize = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_MultiPath") 
  .Call('R_swig_MultiPath_pathSize', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MultiPath_pathSize


attr(MultiPath_pathSize, 'returnType') = 'numeric'
attr(MultiPath_pathSize, "inputTypes") = c('_p_MultiPath')
class(MultiPath_pathSize) = c("SWIGFunction", class(MultiPath_pathSize))

# Start of MultiPath_assetNumber

MultiPath_assetNumber = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_MultiPath") 
  .Call('R_swig_MultiPath_assetNumber', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MultiPath_assetNumber


attr(MultiPath_assetNumber, 'returnType') = 'numeric'
attr(MultiPath_assetNumber, "inputTypes") = c('_p_MultiPath')
class(MultiPath_assetNumber) = c("SWIGFunction", class(MultiPath_assetNumber))

# Start of delete_MultiPath

delete_MultiPath = function(self)
{
  coerceIfNotSubclass(self, "_p_MultiPath") 
  .Call('R_swig_delete_MultiPath', self, PACKAGE='QuantLib')
  
}
# End of delete_MultiPath


attr(delete_MultiPath, 'returnType') = 'void'
attr(delete_MultiPath, "inputTypes") = c('_p_MultiPath')
class(delete_MultiPath) = c("SWIGFunction", class(delete_MultiPath))

# Start of accessor method for MultiPath
setMethod('$', '_p_MultiPath', function(x, name)

{
  accessorFuns = list('pathSize' = MultiPath_pathSize, 'assetNumber' = MultiPath_assetNumber)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for MultiPath
# Start of SampleMultiPath_value

SampleMultiPath_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTMultiPath_t") 
  ans = .Call('R_swig_SampleMultiPath_value', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_MultiPath"
  
  ans
  
}
# End of SampleMultiPath_value


attr(SampleMultiPath_value, 'returnType') = '_p_MultiPath'
attr(SampleMultiPath_value, "inputTypes") = c('_p_SampleTMultiPath_t')
class(SampleMultiPath_value) = c("SWIGFunction", class(SampleMultiPath_value))

# Start of SampleMultiPath_weight

SampleMultiPath_weight = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SampleTMultiPath_t") 
  .Call('R_swig_SampleMultiPath_weight', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SampleMultiPath_weight


attr(SampleMultiPath_weight, 'returnType') = 'numeric'
attr(SampleMultiPath_weight, "inputTypes") = c('_p_SampleTMultiPath_t')
class(SampleMultiPath_weight) = c("SWIGFunction", class(SampleMultiPath_weight))

# Start of delete_SampleMultiPath

delete_SampleMultiPath = function(self)
{
  coerceIfNotSubclass(self, "_p_SampleTMultiPath_t") 
  .Call('R_swig_delete_SampleMultiPath', self, PACKAGE='QuantLib')
  
}
# End of delete_SampleMultiPath


attr(delete_SampleMultiPath, 'returnType') = 'void'
attr(delete_SampleMultiPath, "inputTypes") = c('_p_SampleTMultiPath_t')
class(delete_SampleMultiPath) = c("SWIGFunction", class(delete_SampleMultiPath))

# Start of accessor method for Sample<(MultiPath)>
setMethod('$', '_p_SampleTMultiPath_t', function(x, name)

{
  accessorFuns = list('value' = SampleMultiPath_value, 'weight' = SampleMultiPath_weight)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Sample<(MultiPath)>
setGeneric('GaussianMultiPathGenerator', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('GaussianMultiPathGenerator'))
attr(GaussianMultiPathGenerator, 'returnType') = '_p_GaussianMultiPathGenerator'
setMethod('GaussianMultiPathGenerator', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_GaussianRandomSequenceGenerator', 'logical', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_GaussianRandomSequenceGenerator") 
  coerceIfNotSubclass(s_arg4, "_p_bool") 
  ans = .Call('R_swig_new_GaussianMultiPathGenerator__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_GaussianMultiPathGenerator"
  
  ans
  
}

)
setMethod('GaussianMultiPathGenerator', c('_p_boost__shared_ptrTStochasticProcess_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_GaussianRandomSequenceGenerator', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTStochasticProcess_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_GaussianRandomSequenceGenerator") 
  ans = .Call('R_swig_new_GaussianMultiPathGenerator__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_GaussianMultiPathGenerator"
  
  ans
  
}

)
# Start of GaussianMultiPathGenerator_next

GaussianMultiPathGenerator_next = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_GaussianMultiPathGenerator") 
  ans = .Call('R_swig_GaussianMultiPathGenerator_next', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_SampleTMultiPath_t"
  
  ans
  
}
# End of GaussianMultiPathGenerator_next


attr(GaussianMultiPathGenerator_next, 'returnType') = '_p_SampleTMultiPath_t'
attr(GaussianMultiPathGenerator_next, "inputTypes") = c('_p_GaussianMultiPathGenerator')
class(GaussianMultiPathGenerator_next) = c("SWIGFunction", class(GaussianMultiPathGenerator_next))

# Start of delete_GaussianMultiPathGenerator

delete_GaussianMultiPathGenerator = function(self)
{
  coerceIfNotSubclass(self, "_p_GaussianMultiPathGenerator") 
  .Call('R_swig_delete_GaussianMultiPathGenerator', self, PACKAGE='QuantLib')
  
}
# End of delete_GaussianMultiPathGenerator


attr(delete_GaussianMultiPathGenerator, 'returnType') = 'void'
attr(delete_GaussianMultiPathGenerator, "inputTypes") = c('_p_GaussianMultiPathGenerator')
class(delete_GaussianMultiPathGenerator) = c("SWIGFunction", class(delete_GaussianMultiPathGenerator))

# Start of accessor method for GaussianMultiPathGenerator
setMethod('$', '_p_GaussianMultiPathGenerator', function(x, name)

{
  accessorFuns = list('next' = GaussianMultiPathGenerator_next)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for GaussianMultiPathGenerator
# Start of BoundaryCondition___deref__

BoundaryCondition___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBoundaryCondition_t") 
  ans = .Call('R_swig_BoundaryCondition___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_BoundaryCondition"
  
  ans
  
}
# End of BoundaryCondition___deref__


attr(BoundaryCondition___deref__, 'returnType') = '_p_BoundaryCondition'
attr(BoundaryCondition___deref__, "inputTypes") = c('_p_boost__shared_ptrTBoundaryCondition_t')
class(BoundaryCondition___deref__) = c("SWIGFunction", class(BoundaryCondition___deref__))

# Start of BoundaryCondition_isNull

BoundaryCondition_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBoundaryCondition_t") 
  .Call('R_swig_BoundaryCondition_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of BoundaryCondition_isNull


attr(BoundaryCondition_isNull, 'returnType') = 'logical'
attr(BoundaryCondition_isNull, "inputTypes") = c('_p_boost__shared_ptrTBoundaryCondition_t')
class(BoundaryCondition_isNull) = c("SWIGFunction", class(BoundaryCondition_isNull))

# Start of new_BoundaryCondition

BoundaryCondition = function()
{
  ans = .Call('R_swig_new_BoundaryCondition', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTBoundaryCondition_t"
  
  ans
  
}
# End of new_BoundaryCondition


attr(BoundaryCondition, 'returnType') = '_p_boost__shared_ptrTBoundaryCondition_t'
class(BoundaryCondition) = c("SWIGFunction", class(BoundaryCondition))

# Start of delete_BoundaryCondition

delete_BoundaryCondition = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTBoundaryCondition_t") 
  .Call('R_swig_delete_BoundaryCondition', self, PACKAGE='QuantLib')
  
}
# End of delete_BoundaryCondition


attr(delete_BoundaryCondition, 'returnType') = 'void'
attr(delete_BoundaryCondition, "inputTypes") = c('_p_boost__shared_ptrTBoundaryCondition_t')
class(delete_BoundaryCondition) = c("SWIGFunction", class(delete_BoundaryCondition))

# Start of accessor method for boost::shared_ptr<(BoundaryCondition)>
setMethod('$', '_p_boost__shared_ptrTBoundaryCondition_t', function(x, name)

{
  accessorFuns = list('operator ->' = BoundaryCondition___deref__, 'isNull' = BoundaryCondition_isNull)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(BoundaryCondition)>
# Start of new_NeumannBC

NeumannBC = function(value, side)
{
  value = as.numeric(value) 
  coerceIfNotSubclass(side, "_p_BoundaryConditionSide") 
  ans = .Call('R_swig_new_NeumannBC', value, side, PACKAGE='QuantLib')
  class(ans) <- "_p_NeumannBCPtr"
  
  ans
  
}
# End of new_NeumannBC


attr(NeumannBC, 'returnType') = '_p_NeumannBCPtr'
attr(NeumannBC, "inputTypes") = c('numeric', '_p_BoundaryConditionSide')
class(NeumannBC) = c("SWIGFunction", class(NeumannBC))

# Start of delete_NeumannBC

delete_NeumannBC = function(self)
{
  coerceIfNotSubclass(self, "_p_NeumannBCPtr") 
  .Call('R_swig_delete_NeumannBC', self, PACKAGE='QuantLib')
  
}
# End of delete_NeumannBC


attr(delete_NeumannBC, 'returnType') = 'void'
attr(delete_NeumannBC, "inputTypes") = c('_p_NeumannBCPtr')
class(delete_NeumannBC) = c("SWIGFunction", class(delete_NeumannBC))

# Start of new_DirichletBC

DirichletBC = function(value, side)
{
  value = as.numeric(value) 
  coerceIfNotSubclass(side, "_p_BoundaryConditionSide") 
  ans = .Call('R_swig_new_DirichletBC', value, side, PACKAGE='QuantLib')
  class(ans) <- "_p_DirichletBCPtr"
  
  ans
  
}
# End of new_DirichletBC


attr(DirichletBC, 'returnType') = '_p_DirichletBCPtr'
attr(DirichletBC, "inputTypes") = c('numeric', '_p_BoundaryConditionSide')
class(DirichletBC) = c("SWIGFunction", class(DirichletBC))

# Start of delete_DirichletBC

delete_DirichletBC = function(self)
{
  coerceIfNotSubclass(self, "_p_DirichletBCPtr") 
  .Call('R_swig_delete_DirichletBC', self, PACKAGE='QuantLib')
  
}
# End of delete_DirichletBC


attr(delete_DirichletBC, 'returnType') = 'void'
attr(delete_DirichletBC, "inputTypes") = c('_p_DirichletBCPtr')
class(delete_DirichletBC) = c("SWIGFunction", class(delete_DirichletBC))

# Start of new_TridiagonalOperator

TridiagonalOperator = function(low, mid, high)
{
  coerceIfNotSubclass(low, "_p_Array") 
  coerceIfNotSubclass(mid, "_p_Array") 
  coerceIfNotSubclass(high, "_p_Array") 
  ans = .Call('R_swig_new_TridiagonalOperator', low, mid, high, PACKAGE='QuantLib')
  class(ans) <- "_p_TridiagonalOperator"
  
  ans
  
}
# End of new_TridiagonalOperator


attr(TridiagonalOperator, 'returnType') = '_p_TridiagonalOperator'
attr(TridiagonalOperator, "inputTypes") = c('_p_Array', '_p_Array', '_p_Array')
class(TridiagonalOperator) = c("SWIGFunction", class(TridiagonalOperator))

# Start of TridiagonalOperator_solveFor

TridiagonalOperator_solveFor = function(self, rhs, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  coerceIfNotSubclass(rhs, "_p_Array") 
  ans = .Call('R_swig_TridiagonalOperator_solveFor', self, rhs, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}
# End of TridiagonalOperator_solveFor


attr(TridiagonalOperator_solveFor, 'returnType') = '_p_Array'
attr(TridiagonalOperator_solveFor, "inputTypes") = c('_p_TridiagonalOperator', '_p_Array')
class(TridiagonalOperator_solveFor) = c("SWIGFunction", class(TridiagonalOperator_solveFor))

# Start of TridiagonalOperator_applyTo

TridiagonalOperator_applyTo = function(self, v, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  coerceIfNotSubclass(v, "_p_Array") 
  ans = .Call('R_swig_TridiagonalOperator_applyTo', self, v, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}
# End of TridiagonalOperator_applyTo


attr(TridiagonalOperator_applyTo, 'returnType') = '_p_Array'
attr(TridiagonalOperator_applyTo, "inputTypes") = c('_p_TridiagonalOperator', '_p_Array')
class(TridiagonalOperator_applyTo) = c("SWIGFunction", class(TridiagonalOperator_applyTo))

# Start of TridiagonalOperator_size

TridiagonalOperator_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  .Call('R_swig_TridiagonalOperator_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of TridiagonalOperator_size


attr(TridiagonalOperator_size, 'returnType') = 'numeric'
attr(TridiagonalOperator_size, "inputTypes") = c('_p_TridiagonalOperator')
class(TridiagonalOperator_size) = c("SWIGFunction", class(TridiagonalOperator_size))

# Start of TridiagonalOperator_setFirstRow

TridiagonalOperator_setFirstRow = function(self, s_arg2, s_arg3)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_TridiagonalOperator_setFirstRow', self, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}
# End of TridiagonalOperator_setFirstRow


attr(TridiagonalOperator_setFirstRow, 'returnType') = 'void'
attr(TridiagonalOperator_setFirstRow, "inputTypes") = c('_p_TridiagonalOperator', 'numeric', 'numeric')
class(TridiagonalOperator_setFirstRow) = c("SWIGFunction", class(TridiagonalOperator_setFirstRow))

# Start of TridiagonalOperator_setMidRow

TridiagonalOperator_setMidRow = function(self, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  s_arg5 = as.numeric(s_arg5) 
  .Call('R_swig_TridiagonalOperator_setMidRow', self, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  
}
# End of TridiagonalOperator_setMidRow


attr(TridiagonalOperator_setMidRow, 'returnType') = 'void'
attr(TridiagonalOperator_setMidRow, "inputTypes") = c('_p_TridiagonalOperator', 'numeric', 'numeric', 'numeric', 'numeric')
class(TridiagonalOperator_setMidRow) = c("SWIGFunction", class(TridiagonalOperator_setMidRow))

# Start of TridiagonalOperator_setMidRows

TridiagonalOperator_setMidRows = function(self, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_TridiagonalOperator_setMidRows', self, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  
}
# End of TridiagonalOperator_setMidRows


attr(TridiagonalOperator_setMidRows, 'returnType') = 'void'
attr(TridiagonalOperator_setMidRows, "inputTypes") = c('_p_TridiagonalOperator', 'numeric', 'numeric', 'numeric')
class(TridiagonalOperator_setMidRows) = c("SWIGFunction", class(TridiagonalOperator_setMidRows))

# Start of TridiagonalOperator_setLastRow

TridiagonalOperator_setLastRow = function(self, s_arg2, s_arg3)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_TridiagonalOperator_setLastRow', self, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}
# End of TridiagonalOperator_setLastRow


attr(TridiagonalOperator_setLastRow, 'returnType') = 'void'
attr(TridiagonalOperator_setLastRow, "inputTypes") = c('_p_TridiagonalOperator', 'numeric', 'numeric')
class(TridiagonalOperator_setLastRow) = c("SWIGFunction", class(TridiagonalOperator_setLastRow))

# Start of TridiagonalOperator_identity

TridiagonalOperator_identity = function(size, .copy = FALSE)
{
  size = as.integer(size) 
  
  if(length(size) > 1) {
    warning("using only the first element of size")
  }
  
  ans = .Call('R_swig_TridiagonalOperator_identity', size, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_TridiagonalOperator"
  
  ans
  
}
# End of TridiagonalOperator_identity


attr(TridiagonalOperator_identity, 'returnType') = '_p_TridiagonalOperator'
attr(TridiagonalOperator_identity, "inputTypes") = c('numeric')
class(TridiagonalOperator_identity) = c("SWIGFunction", class(TridiagonalOperator_identity))

# Start of delete_TridiagonalOperator

delete_TridiagonalOperator = function(self)
{
  coerceIfNotSubclass(self, "_p_TridiagonalOperator") 
  .Call('R_swig_delete_TridiagonalOperator', self, PACKAGE='QuantLib')
  
}
# End of delete_TridiagonalOperator


attr(delete_TridiagonalOperator, 'returnType') = 'void'
attr(delete_TridiagonalOperator, "inputTypes") = c('_p_TridiagonalOperator')
class(delete_TridiagonalOperator) = c("SWIGFunction", class(delete_TridiagonalOperator))

# Start of accessor method for TridiagonalOperator
setMethod('$', '_p_TridiagonalOperator', function(x, name)

{
  accessorFuns = list('solveFor' = TridiagonalOperator_solveFor, 'applyTo' = TridiagonalOperator_applyTo, 'size' = TridiagonalOperator_size, 'setFirstRow' = TridiagonalOperator_setFirstRow, 'setMidRow' = TridiagonalOperator_setMidRow, 'setMidRows' = TridiagonalOperator_setMidRows, 'setLastRow' = TridiagonalOperator_setLastRow)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for TridiagonalOperator
# Start of new_DPlus

DPlus = function(gridPoints, h)
{
  gridPoints = as.integer(gridPoints) 
  
  if(length(gridPoints) > 1) {
    warning("using only the first element of gridPoints")
  }
  
  h = as.numeric(h) 
  ans = .Call('R_swig_new_DPlus', gridPoints, h, PACKAGE='QuantLib')
  class(ans) <- "_p_DPlus"
  
  ans
  
}
# End of new_DPlus


attr(DPlus, 'returnType') = '_p_DPlus'
attr(DPlus, "inputTypes") = c('numeric', 'numeric')
class(DPlus) = c("SWIGFunction", class(DPlus))

# Start of delete_DPlus

delete_DPlus = function(self)
{
  coerceIfNotSubclass(self, "_p_DPlus") 
  .Call('R_swig_delete_DPlus', self, PACKAGE='QuantLib')
  
}
# End of delete_DPlus


attr(delete_DPlus, 'returnType') = 'void'
attr(delete_DPlus, "inputTypes") = c('_p_DPlus')
class(delete_DPlus) = c("SWIGFunction", class(delete_DPlus))

# Start of new_DMinus

DMinus = function(gridPoints, h)
{
  gridPoints = as.integer(gridPoints) 
  
  if(length(gridPoints) > 1) {
    warning("using only the first element of gridPoints")
  }
  
  h = as.numeric(h) 
  ans = .Call('R_swig_new_DMinus', gridPoints, h, PACKAGE='QuantLib')
  class(ans) <- "_p_DMinus"
  
  ans
  
}
# End of new_DMinus


attr(DMinus, 'returnType') = '_p_DMinus'
attr(DMinus, "inputTypes") = c('numeric', 'numeric')
class(DMinus) = c("SWIGFunction", class(DMinus))

# Start of delete_DMinus

delete_DMinus = function(self)
{
  coerceIfNotSubclass(self, "_p_DMinus") 
  .Call('R_swig_delete_DMinus', self, PACKAGE='QuantLib')
  
}
# End of delete_DMinus


attr(delete_DMinus, 'returnType') = 'void'
attr(delete_DMinus, "inputTypes") = c('_p_DMinus')
class(delete_DMinus) = c("SWIGFunction", class(delete_DMinus))

# Start of new_DZero

DZero = function(gridPoints, h)
{
  gridPoints = as.integer(gridPoints) 
  
  if(length(gridPoints) > 1) {
    warning("using only the first element of gridPoints")
  }
  
  h = as.numeric(h) 
  ans = .Call('R_swig_new_DZero', gridPoints, h, PACKAGE='QuantLib')
  class(ans) <- "_p_DZero"
  
  ans
  
}
# End of new_DZero


attr(DZero, 'returnType') = '_p_DZero'
attr(DZero, "inputTypes") = c('numeric', 'numeric')
class(DZero) = c("SWIGFunction", class(DZero))

# Start of delete_DZero

delete_DZero = function(self)
{
  coerceIfNotSubclass(self, "_p_DZero") 
  .Call('R_swig_delete_DZero', self, PACKAGE='QuantLib')
  
}
# End of delete_DZero


attr(delete_DZero, 'returnType') = 'void'
attr(delete_DZero, "inputTypes") = c('_p_DZero')
class(delete_DZero) = c("SWIGFunction", class(delete_DZero))

# Start of new_DPlusDMinus

DPlusDMinus = function(gridPoints, h)
{
  gridPoints = as.integer(gridPoints) 
  
  if(length(gridPoints) > 1) {
    warning("using only the first element of gridPoints")
  }
  
  h = as.numeric(h) 
  ans = .Call('R_swig_new_DPlusDMinus', gridPoints, h, PACKAGE='QuantLib')
  class(ans) <- "_p_DPlusDMinus"
  
  ans
  
}
# End of new_DPlusDMinus


attr(DPlusDMinus, 'returnType') = '_p_DPlusDMinus'
attr(DPlusDMinus, "inputTypes") = c('numeric', 'numeric')
class(DPlusDMinus) = c("SWIGFunction", class(DPlusDMinus))

# Start of delete_DPlusDMinus

delete_DPlusDMinus = function(self)
{
  coerceIfNotSubclass(self, "_p_DPlusDMinus") 
  .Call('R_swig_delete_DPlusDMinus', self, PACKAGE='QuantLib')
  
}
# End of delete_DPlusDMinus


attr(delete_DPlusDMinus, 'returnType') = 'void'
attr(delete_DPlusDMinus, "inputTypes") = c('_p_DPlusDMinus')
class(delete_DPlusDMinus) = c("SWIGFunction", class(delete_DPlusDMinus))

# Start of valueAtCenter

valueAtCenter = function(a, .copy = FALSE)
{
  coerceIfNotSubclass(a, "_p_Array") 
  .Call('R_swig_valueAtCenter', a, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of valueAtCenter


attr(valueAtCenter, 'returnType') = 'numeric'
attr(valueAtCenter, "inputTypes") = c('_p_Array')
class(valueAtCenter) = c("SWIGFunction", class(valueAtCenter))

# Start of firstDerivativeAtCenter

firstDerivativeAtCenter = function(a, g, .copy = FALSE)
{
  coerceIfNotSubclass(a, "_p_Array") 
  coerceIfNotSubclass(g, "_p_Array") 
  .Call('R_swig_firstDerivativeAtCenter', a, g, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of firstDerivativeAtCenter


attr(firstDerivativeAtCenter, 'returnType') = 'numeric'
attr(firstDerivativeAtCenter, "inputTypes") = c('_p_Array', '_p_Array')
class(firstDerivativeAtCenter) = c("SWIGFunction", class(firstDerivativeAtCenter))

# Start of secondDerivativeAtCenter

secondDerivativeAtCenter = function(a, g, .copy = FALSE)
{
  coerceIfNotSubclass(a, "_p_Array") 
  coerceIfNotSubclass(g, "_p_Array") 
  .Call('R_swig_secondDerivativeAtCenter', a, g, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of secondDerivativeAtCenter


attr(secondDerivativeAtCenter, 'returnType') = 'numeric'
attr(secondDerivativeAtCenter, "inputTypes") = c('_p_Array', '_p_Array')
class(secondDerivativeAtCenter) = c("SWIGFunction", class(secondDerivativeAtCenter))

# Start of SymmetricEigenvalues

SymmetricEigenvalues = function(s, .copy = FALSE)
{
  coerceIfNotSubclass(s, "_p_Matrix") 
  ans = .Call('R_swig_SymmetricEigenvalues', s, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}
# End of SymmetricEigenvalues


attr(SymmetricEigenvalues, 'returnType') = '_p_Array'
attr(SymmetricEigenvalues, "inputTypes") = c('_p_Matrix')
class(SymmetricEigenvalues) = c("SWIGFunction", class(SymmetricEigenvalues))

# Start of SymmetricEigenvectors

SymmetricEigenvectors = function(s, .copy = FALSE)
{
  coerceIfNotSubclass(s, "_p_Matrix") 
  ans = .Call('R_swig_SymmetricEigenvectors', s, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of SymmetricEigenvectors


attr(SymmetricEigenvectors, 'returnType') = '_p_Matrix'
attr(SymmetricEigenvectors, "inputTypes") = c('_p_Matrix')
class(SymmetricEigenvectors) = c("SWIGFunction", class(SymmetricEigenvectors))

# Start of Brent_setMaxEvaluations

Brent_setMaxEvaluations = function(self, evaluations)
{
  coerceIfNotSubclass(self, "_p_Brent") 
  evaluations = as.integer(evaluations) 
  
  if(length(evaluations) > 1) {
    warning("using only the first element of evaluations")
  }
  
  .Call('R_swig_Brent_setMaxEvaluations', self, evaluations, PACKAGE='QuantLib')
  
}
# End of Brent_setMaxEvaluations


attr(Brent_setMaxEvaluations, 'returnType') = 'void'
attr(Brent_setMaxEvaluations, "inputTypes") = c('_p_Brent', 'numeric')
class(Brent_setMaxEvaluations) = c("SWIGFunction", class(Brent_setMaxEvaluations))

# Start of Brent_setLowerBound

Brent_setLowerBound = function(self, lowerBound)
{
  coerceIfNotSubclass(self, "_p_Brent") 
  lowerBound = as.numeric(lowerBound) 
  .Call('R_swig_Brent_setLowerBound', self, lowerBound, PACKAGE='QuantLib')
  
}
# End of Brent_setLowerBound


attr(Brent_setLowerBound, 'returnType') = 'void'
attr(Brent_setLowerBound, "inputTypes") = c('_p_Brent', 'numeric')
class(Brent_setLowerBound) = c("SWIGFunction", class(Brent_setLowerBound))

# Start of Brent_setUpperBound

Brent_setUpperBound = function(self, upperBound)
{
  coerceIfNotSubclass(self, "_p_Brent") 
  upperBound = as.numeric(upperBound) 
  .Call('R_swig_Brent_setUpperBound', self, upperBound, PACKAGE='QuantLib')
  
}
# End of Brent_setUpperBound


attr(Brent_setUpperBound, 'returnType') = 'void'
attr(Brent_setUpperBound, "inputTypes") = c('_p_Brent', 'numeric')
class(Brent_setUpperBound) = c("SWIGFunction", class(Brent_setUpperBound))

# Start of new_Brent

Brent = function()
{
  ans = .Call('R_swig_new_Brent', PACKAGE='QuantLib')
  class(ans) <- "_p_Brent"
  
  ans
  
}
# End of new_Brent


attr(Brent, 'returnType') = '_p_Brent'
class(Brent) = c("SWIGFunction", class(Brent))

# Start of delete_Brent

delete_Brent = function(self)
{
  coerceIfNotSubclass(self, "_p_Brent") 
  .Call('R_swig_delete_Brent', self, PACKAGE='QuantLib')
  
}
# End of delete_Brent


attr(delete_Brent, 'returnType') = 'void'
attr(delete_Brent, "inputTypes") = c('_p_Brent')
class(delete_Brent) = c("SWIGFunction", class(delete_Brent))

# Start of accessor method for Brent
setMethod('$', '_p_Brent', function(x, name)

{
  accessorFuns = list('setMaxEvaluations' = Brent_setMaxEvaluations, 'setLowerBound' = Brent_setLowerBound, 'setUpperBound' = Brent_setUpperBound)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Brent
# Start of Bisection_setMaxEvaluations

Bisection_setMaxEvaluations = function(self, evaluations)
{
  coerceIfNotSubclass(self, "_p_Bisection") 
  evaluations = as.integer(evaluations) 
  
  if(length(evaluations) > 1) {
    warning("using only the first element of evaluations")
  }
  
  .Call('R_swig_Bisection_setMaxEvaluations', self, evaluations, PACKAGE='QuantLib')
  
}
# End of Bisection_setMaxEvaluations


attr(Bisection_setMaxEvaluations, 'returnType') = 'void'
attr(Bisection_setMaxEvaluations, "inputTypes") = c('_p_Bisection', 'numeric')
class(Bisection_setMaxEvaluations) = c("SWIGFunction", class(Bisection_setMaxEvaluations))

# Start of Bisection_setLowerBound

Bisection_setLowerBound = function(self, lowerBound)
{
  coerceIfNotSubclass(self, "_p_Bisection") 
  lowerBound = as.numeric(lowerBound) 
  .Call('R_swig_Bisection_setLowerBound', self, lowerBound, PACKAGE='QuantLib')
  
}
# End of Bisection_setLowerBound


attr(Bisection_setLowerBound, 'returnType') = 'void'
attr(Bisection_setLowerBound, "inputTypes") = c('_p_Bisection', 'numeric')
class(Bisection_setLowerBound) = c("SWIGFunction", class(Bisection_setLowerBound))

# Start of Bisection_setUpperBound

Bisection_setUpperBound = function(self, upperBound)
{
  coerceIfNotSubclass(self, "_p_Bisection") 
  upperBound = as.numeric(upperBound) 
  .Call('R_swig_Bisection_setUpperBound', self, upperBound, PACKAGE='QuantLib')
  
}
# End of Bisection_setUpperBound


attr(Bisection_setUpperBound, 'returnType') = 'void'
attr(Bisection_setUpperBound, "inputTypes") = c('_p_Bisection', 'numeric')
class(Bisection_setUpperBound) = c("SWIGFunction", class(Bisection_setUpperBound))

# Start of new_Bisection

Bisection = function()
{
  ans = .Call('R_swig_new_Bisection', PACKAGE='QuantLib')
  class(ans) <- "_p_Bisection"
  
  ans
  
}
# End of new_Bisection


attr(Bisection, 'returnType') = '_p_Bisection'
class(Bisection) = c("SWIGFunction", class(Bisection))

# Start of delete_Bisection

delete_Bisection = function(self)
{
  coerceIfNotSubclass(self, "_p_Bisection") 
  .Call('R_swig_delete_Bisection', self, PACKAGE='QuantLib')
  
}
# End of delete_Bisection


attr(delete_Bisection, 'returnType') = 'void'
attr(delete_Bisection, "inputTypes") = c('_p_Bisection')
class(delete_Bisection) = c("SWIGFunction", class(delete_Bisection))

# Start of accessor method for Bisection
setMethod('$', '_p_Bisection', function(x, name)

{
  accessorFuns = list('setMaxEvaluations' = Bisection_setMaxEvaluations, 'setLowerBound' = Bisection_setLowerBound, 'setUpperBound' = Bisection_setUpperBound)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Bisection
# Start of FalsePosition_setMaxEvaluations

FalsePosition_setMaxEvaluations = function(self, evaluations)
{
  coerceIfNotSubclass(self, "_p_FalsePosition") 
  evaluations = as.integer(evaluations) 
  
  if(length(evaluations) > 1) {
    warning("using only the first element of evaluations")
  }
  
  .Call('R_swig_FalsePosition_setMaxEvaluations', self, evaluations, PACKAGE='QuantLib')
  
}
# End of FalsePosition_setMaxEvaluations


attr(FalsePosition_setMaxEvaluations, 'returnType') = 'void'
attr(FalsePosition_setMaxEvaluations, "inputTypes") = c('_p_FalsePosition', 'numeric')
class(FalsePosition_setMaxEvaluations) = c("SWIGFunction", class(FalsePosition_setMaxEvaluations))

# Start of FalsePosition_setLowerBound

FalsePosition_setLowerBound = function(self, lowerBound)
{
  coerceIfNotSubclass(self, "_p_FalsePosition") 
  lowerBound = as.numeric(lowerBound) 
  .Call('R_swig_FalsePosition_setLowerBound', self, lowerBound, PACKAGE='QuantLib')
  
}
# End of FalsePosition_setLowerBound


attr(FalsePosition_setLowerBound, 'returnType') = 'void'
attr(FalsePosition_setLowerBound, "inputTypes") = c('_p_FalsePosition', 'numeric')
class(FalsePosition_setLowerBound) = c("SWIGFunction", class(FalsePosition_setLowerBound))

# Start of FalsePosition_setUpperBound

FalsePosition_setUpperBound = function(self, upperBound)
{
  coerceIfNotSubclass(self, "_p_FalsePosition") 
  upperBound = as.numeric(upperBound) 
  .Call('R_swig_FalsePosition_setUpperBound', self, upperBound, PACKAGE='QuantLib')
  
}
# End of FalsePosition_setUpperBound


attr(FalsePosition_setUpperBound, 'returnType') = 'void'
attr(FalsePosition_setUpperBound, "inputTypes") = c('_p_FalsePosition', 'numeric')
class(FalsePosition_setUpperBound) = c("SWIGFunction", class(FalsePosition_setUpperBound))

# Start of new_FalsePosition

FalsePosition = function()
{
  ans = .Call('R_swig_new_FalsePosition', PACKAGE='QuantLib')
  class(ans) <- "_p_FalsePosition"
  
  ans
  
}
# End of new_FalsePosition


attr(FalsePosition, 'returnType') = '_p_FalsePosition'
class(FalsePosition) = c("SWIGFunction", class(FalsePosition))

# Start of delete_FalsePosition

delete_FalsePosition = function(self)
{
  coerceIfNotSubclass(self, "_p_FalsePosition") 
  .Call('R_swig_delete_FalsePosition', self, PACKAGE='QuantLib')
  
}
# End of delete_FalsePosition


attr(delete_FalsePosition, 'returnType') = 'void'
attr(delete_FalsePosition, "inputTypes") = c('_p_FalsePosition')
class(delete_FalsePosition) = c("SWIGFunction", class(delete_FalsePosition))

# Start of accessor method for FalsePosition
setMethod('$', '_p_FalsePosition', function(x, name)

{
  accessorFuns = list('setMaxEvaluations' = FalsePosition_setMaxEvaluations, 'setLowerBound' = FalsePosition_setLowerBound, 'setUpperBound' = FalsePosition_setUpperBound)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for FalsePosition
# Start of Ridder_setMaxEvaluations

Ridder_setMaxEvaluations = function(self, evaluations)
{
  coerceIfNotSubclass(self, "_p_Ridder") 
  evaluations = as.integer(evaluations) 
  
  if(length(evaluations) > 1) {
    warning("using only the first element of evaluations")
  }
  
  .Call('R_swig_Ridder_setMaxEvaluations', self, evaluations, PACKAGE='QuantLib')
  
}
# End of Ridder_setMaxEvaluations


attr(Ridder_setMaxEvaluations, 'returnType') = 'void'
attr(Ridder_setMaxEvaluations, "inputTypes") = c('_p_Ridder', 'numeric')
class(Ridder_setMaxEvaluations) = c("SWIGFunction", class(Ridder_setMaxEvaluations))

# Start of Ridder_setLowerBound

Ridder_setLowerBound = function(self, lowerBound)
{
  coerceIfNotSubclass(self, "_p_Ridder") 
  lowerBound = as.numeric(lowerBound) 
  .Call('R_swig_Ridder_setLowerBound', self, lowerBound, PACKAGE='QuantLib')
  
}
# End of Ridder_setLowerBound


attr(Ridder_setLowerBound, 'returnType') = 'void'
attr(Ridder_setLowerBound, "inputTypes") = c('_p_Ridder', 'numeric')
class(Ridder_setLowerBound) = c("SWIGFunction", class(Ridder_setLowerBound))

# Start of Ridder_setUpperBound

Ridder_setUpperBound = function(self, upperBound)
{
  coerceIfNotSubclass(self, "_p_Ridder") 
  upperBound = as.numeric(upperBound) 
  .Call('R_swig_Ridder_setUpperBound', self, upperBound, PACKAGE='QuantLib')
  
}
# End of Ridder_setUpperBound


attr(Ridder_setUpperBound, 'returnType') = 'void'
attr(Ridder_setUpperBound, "inputTypes") = c('_p_Ridder', 'numeric')
class(Ridder_setUpperBound) = c("SWIGFunction", class(Ridder_setUpperBound))

# Start of new_Ridder

Ridder = function()
{
  ans = .Call('R_swig_new_Ridder', PACKAGE='QuantLib')
  class(ans) <- "_p_Ridder"
  
  ans
  
}
# End of new_Ridder


attr(Ridder, 'returnType') = '_p_Ridder'
class(Ridder) = c("SWIGFunction", class(Ridder))

# Start of delete_Ridder

delete_Ridder = function(self)
{
  coerceIfNotSubclass(self, "_p_Ridder") 
  .Call('R_swig_delete_Ridder', self, PACKAGE='QuantLib')
  
}
# End of delete_Ridder


attr(delete_Ridder, 'returnType') = 'void'
attr(delete_Ridder, "inputTypes") = c('_p_Ridder')
class(delete_Ridder) = c("SWIGFunction", class(delete_Ridder))

# Start of accessor method for Ridder
setMethod('$', '_p_Ridder', function(x, name)

{
  accessorFuns = list('setMaxEvaluations' = Ridder_setMaxEvaluations, 'setLowerBound' = Ridder_setLowerBound, 'setUpperBound' = Ridder_setUpperBound)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Ridder
# Start of Secant_setMaxEvaluations

Secant_setMaxEvaluations = function(self, evaluations)
{
  coerceIfNotSubclass(self, "_p_Secant") 
  evaluations = as.integer(evaluations) 
  
  if(length(evaluations) > 1) {
    warning("using only the first element of evaluations")
  }
  
  .Call('R_swig_Secant_setMaxEvaluations', self, evaluations, PACKAGE='QuantLib')
  
}
# End of Secant_setMaxEvaluations


attr(Secant_setMaxEvaluations, 'returnType') = 'void'
attr(Secant_setMaxEvaluations, "inputTypes") = c('_p_Secant', 'numeric')
class(Secant_setMaxEvaluations) = c("SWIGFunction", class(Secant_setMaxEvaluations))

# Start of Secant_setLowerBound

Secant_setLowerBound = function(self, lowerBound)
{
  coerceIfNotSubclass(self, "_p_Secant") 
  lowerBound = as.numeric(lowerBound) 
  .Call('R_swig_Secant_setLowerBound', self, lowerBound, PACKAGE='QuantLib')
  
}
# End of Secant_setLowerBound


attr(Secant_setLowerBound, 'returnType') = 'void'
attr(Secant_setLowerBound, "inputTypes") = c('_p_Secant', 'numeric')
class(Secant_setLowerBound) = c("SWIGFunction", class(Secant_setLowerBound))

# Start of Secant_setUpperBound

Secant_setUpperBound = function(self, upperBound)
{
  coerceIfNotSubclass(self, "_p_Secant") 
  upperBound = as.numeric(upperBound) 
  .Call('R_swig_Secant_setUpperBound', self, upperBound, PACKAGE='QuantLib')
  
}
# End of Secant_setUpperBound


attr(Secant_setUpperBound, 'returnType') = 'void'
attr(Secant_setUpperBound, "inputTypes") = c('_p_Secant', 'numeric')
class(Secant_setUpperBound) = c("SWIGFunction", class(Secant_setUpperBound))

# Start of new_Secant

Secant = function()
{
  ans = .Call('R_swig_new_Secant', PACKAGE='QuantLib')
  class(ans) <- "_p_Secant"
  
  ans
  
}
# End of new_Secant


attr(Secant, 'returnType') = '_p_Secant'
class(Secant) = c("SWIGFunction", class(Secant))

# Start of delete_Secant

delete_Secant = function(self)
{
  coerceIfNotSubclass(self, "_p_Secant") 
  .Call('R_swig_delete_Secant', self, PACKAGE='QuantLib')
  
}
# End of delete_Secant


attr(delete_Secant, 'returnType') = 'void'
attr(delete_Secant, "inputTypes") = c('_p_Secant')
class(delete_Secant) = c("SWIGFunction", class(delete_Secant))

# Start of accessor method for Secant
setMethod('$', '_p_Secant', function(x, name)

{
  accessorFuns = list('setMaxEvaluations' = Secant_setMaxEvaluations, 'setLowerBound' = Secant_setLowerBound, 'setUpperBound' = Secant_setUpperBound)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Secant
# Start of delete_Constraint

delete_Constraint = function(self)
{
  coerceIfNotSubclass(self, "_p_Constraint") 
  .Call('R_swig_delete_Constraint', self, PACKAGE='QuantLib')
  
}
# End of delete_Constraint


attr(delete_Constraint, 'returnType') = 'void'
attr(delete_Constraint, "inputTypes") = c('_p_Constraint')
class(delete_Constraint) = c("SWIGFunction", class(delete_Constraint))

# Start of new_BoundaryConstraint

BoundaryConstraint = function(lower, upper)
{
  lower = as.numeric(lower) 
  upper = as.numeric(upper) 
  ans = .Call('R_swig_new_BoundaryConstraint', lower, upper, PACKAGE='QuantLib')
  class(ans) <- "_p_BoundaryConstraint"
  
  ans
  
}
# End of new_BoundaryConstraint


attr(BoundaryConstraint, 'returnType') = '_p_BoundaryConstraint'
attr(BoundaryConstraint, "inputTypes") = c('numeric', 'numeric')
class(BoundaryConstraint) = c("SWIGFunction", class(BoundaryConstraint))

# Start of delete_BoundaryConstraint

delete_BoundaryConstraint = function(self)
{
  coerceIfNotSubclass(self, "_p_BoundaryConstraint") 
  .Call('R_swig_delete_BoundaryConstraint', self, PACKAGE='QuantLib')
  
}
# End of delete_BoundaryConstraint


attr(delete_BoundaryConstraint, 'returnType') = 'void'
attr(delete_BoundaryConstraint, "inputTypes") = c('_p_BoundaryConstraint')
class(delete_BoundaryConstraint) = c("SWIGFunction", class(delete_BoundaryConstraint))

# Start of new_NoConstraint

NoConstraint = function()
{
  ans = .Call('R_swig_new_NoConstraint', PACKAGE='QuantLib')
  class(ans) <- "_p_NoConstraint"
  
  ans
  
}
# End of new_NoConstraint


attr(NoConstraint, 'returnType') = '_p_NoConstraint'
class(NoConstraint) = c("SWIGFunction", class(NoConstraint))

# Start of delete_NoConstraint

delete_NoConstraint = function(self)
{
  coerceIfNotSubclass(self, "_p_NoConstraint") 
  .Call('R_swig_delete_NoConstraint', self, PACKAGE='QuantLib')
  
}
# End of delete_NoConstraint


attr(delete_NoConstraint, 'returnType') = 'void'
attr(delete_NoConstraint, "inputTypes") = c('_p_NoConstraint')
class(delete_NoConstraint) = c("SWIGFunction", class(delete_NoConstraint))

# Start of new_PositiveConstraint

PositiveConstraint = function()
{
  ans = .Call('R_swig_new_PositiveConstraint', PACKAGE='QuantLib')
  class(ans) <- "_p_PositiveConstraint"
  
  ans
  
}
# End of new_PositiveConstraint


attr(PositiveConstraint, 'returnType') = '_p_PositiveConstraint'
class(PositiveConstraint) = c("SWIGFunction", class(PositiveConstraint))

# Start of delete_PositiveConstraint

delete_PositiveConstraint = function(self)
{
  coerceIfNotSubclass(self, "_p_PositiveConstraint") 
  .Call('R_swig_delete_PositiveConstraint', self, PACKAGE='QuantLib')
  
}
# End of delete_PositiveConstraint


attr(delete_PositiveConstraint, 'returnType') = 'void'
attr(delete_PositiveConstraint, "inputTypes") = c('_p_PositiveConstraint')
class(delete_PositiveConstraint) = c("SWIGFunction", class(delete_PositiveConstraint))

setGeneric('EndCriteria', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('EndCriteria'))
attr(EndCriteria, 'returnType') = '_p_EndCriteria'
setMethod('EndCriteria', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_EndCriteria__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_EndCriteria"
  
  ans
  
}

)
setMethod('EndCriteria', c('numeric', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_EndCriteria__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_EndCriteria"
  
  ans
  
}

)
# Start of EndCriteria_setPositiveOptimization

EndCriteria_setPositiveOptimization = function(self)
{
  coerceIfNotSubclass(self, "_p_EndCriteria") 
  .Call('R_swig_EndCriteria_setPositiveOptimization', self, PACKAGE='QuantLib')
  
}
# End of EndCriteria_setPositiveOptimization


attr(EndCriteria_setPositiveOptimization, 'returnType') = 'void'
attr(EndCriteria_setPositiveOptimization, "inputTypes") = c('_p_EndCriteria')
class(EndCriteria_setPositiveOptimization) = c("SWIGFunction", class(EndCriteria_setPositiveOptimization))

# Start of EndCriteria___call__

EndCriteria___call__ = function(self, iteration, fold, normgold, fnew, normgnew, s_arg7, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_EndCriteria") 
  iteration = as.integer(iteration) 
  
  if(length(iteration) > 1) {
    warning("using only the first element of iteration")
  }
  
  fold = as.numeric(fold) 
  normgold = as.numeric(normgold) 
  fnew = as.numeric(fnew) 
  normgnew = as.numeric(normgnew) 
  s_arg7 = as.numeric(s_arg7) 
  .Call('R_swig_EndCriteria___call__', self, iteration, fold, normgold, fnew, normgnew, s_arg7, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of EndCriteria___call__


attr(EndCriteria___call__, 'returnType') = 'logical'
attr(EndCriteria___call__, "inputTypes") = c('_p_EndCriteria', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric')
class(EndCriteria___call__) = c("SWIGFunction", class(EndCriteria___call__))

# Start of delete_EndCriteria

delete_EndCriteria = function(self)
{
  coerceIfNotSubclass(self, "_p_EndCriteria") 
  .Call('R_swig_delete_EndCriteria', self, PACKAGE='QuantLib')
  
}
# End of delete_EndCriteria


attr(delete_EndCriteria, 'returnType') = 'void'
attr(delete_EndCriteria, "inputTypes") = c('_p_EndCriteria')
class(delete_EndCriteria) = c("SWIGFunction", class(delete_EndCriteria))

# Start of accessor method for EndCriteria
setMethod('$', '_p_EndCriteria', function(x, name)

{
  accessorFuns = list('setPositiveOptimization' = EndCriteria_setPositiveOptimization, 'operator ()' = EndCriteria___call__)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for EndCriteria
# Start of OptimizationMethod_setInitialValue

OptimizationMethod_setInitialValue = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_OptimizationMethod") 
  coerceIfNotSubclass(s_arg2, "_p_Array") 
  .Call('R_swig_OptimizationMethod_setInitialValue', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of OptimizationMethod_setInitialValue


attr(OptimizationMethod_setInitialValue, 'returnType') = 'void'
attr(OptimizationMethod_setInitialValue, "inputTypes") = c('_p_OptimizationMethod', '_p_Array')
class(OptimizationMethod_setInitialValue) = c("SWIGFunction", class(OptimizationMethod_setInitialValue))

# Start of OptimizationMethod_setEndCriteria

OptimizationMethod_setEndCriteria = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_OptimizationMethod") 
  coerceIfNotSubclass(s_arg2, "_p_EndCriteria") 
  .Call('R_swig_OptimizationMethod_setEndCriteria', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of OptimizationMethod_setEndCriteria


attr(OptimizationMethod_setEndCriteria, 'returnType') = 'void'
attr(OptimizationMethod_setEndCriteria, "inputTypes") = c('_p_OptimizationMethod', '_p_EndCriteria')
class(OptimizationMethod_setEndCriteria) = c("SWIGFunction", class(OptimizationMethod_setEndCriteria))

# Start of delete_OptimizationMethod

delete_OptimizationMethod = function(self)
{
  coerceIfNotSubclass(self, "_p_OptimizationMethod") 
  .Call('R_swig_delete_OptimizationMethod', self, PACKAGE='QuantLib')
  
}
# End of delete_OptimizationMethod


attr(delete_OptimizationMethod, 'returnType') = 'void'
attr(delete_OptimizationMethod, "inputTypes") = c('_p_OptimizationMethod')
class(delete_OptimizationMethod) = c("SWIGFunction", class(delete_OptimizationMethod))

# Start of accessor method for OptimizationMethod
setMethod('$', '_p_OptimizationMethod', function(x, name)

{
  accessorFuns = list('setInitialValue' = OptimizationMethod_setInitialValue, 'setEndCriteria' = OptimizationMethod_setEndCriteria)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for OptimizationMethod
# Start of new_ConjugateGradient

ConjugateGradient = function()
{
  ans = .Call('R_swig_new_ConjugateGradient', PACKAGE='QuantLib')
  class(ans) <- "_p_ConjugateGradient"
  
  ans
  
}
# End of new_ConjugateGradient


attr(ConjugateGradient, 'returnType') = '_p_ConjugateGradient'
class(ConjugateGradient) = c("SWIGFunction", class(ConjugateGradient))

# Start of delete_ConjugateGradient

delete_ConjugateGradient = function(self)
{
  coerceIfNotSubclass(self, "_p_ConjugateGradient") 
  .Call('R_swig_delete_ConjugateGradient', self, PACKAGE='QuantLib')
  
}
# End of delete_ConjugateGradient


attr(delete_ConjugateGradient, 'returnType') = 'void'
attr(delete_ConjugateGradient, "inputTypes") = c('_p_ConjugateGradient')
class(delete_ConjugateGradient) = c("SWIGFunction", class(delete_ConjugateGradient))

# Start of new_Simplex

Simplex = function(lambda, tol)
{
  lambda = as.numeric(lambda) 
  tol = as.numeric(tol) 
  ans = .Call('R_swig_new_Simplex', lambda, tol, PACKAGE='QuantLib')
  class(ans) <- "_p_Simplex"
  
  ans
  
}
# End of new_Simplex


attr(Simplex, 'returnType') = '_p_Simplex'
attr(Simplex, "inputTypes") = c('numeric', 'numeric')
class(Simplex) = c("SWIGFunction", class(Simplex))

# Start of delete_Simplex

delete_Simplex = function(self)
{
  coerceIfNotSubclass(self, "_p_Simplex") 
  .Call('R_swig_delete_Simplex', self, PACKAGE='QuantLib')
  
}
# End of delete_Simplex


attr(delete_Simplex, 'returnType') = 'void'
attr(delete_Simplex, "inputTypes") = c('_p_Simplex')
class(delete_Simplex) = c("SWIGFunction", class(delete_Simplex))

# Start of new_SteepestDescent

SteepestDescent = function()
{
  ans = .Call('R_swig_new_SteepestDescent', PACKAGE='QuantLib')
  class(ans) <- "_p_SteepestDescent"
  
  ans
  
}
# End of new_SteepestDescent


attr(SteepestDescent, 'returnType') = '_p_SteepestDescent'
class(SteepestDescent) = c("SWIGFunction", class(SteepestDescent))

# Start of delete_SteepestDescent

delete_SteepestDescent = function(self)
{
  coerceIfNotSubclass(self, "_p_SteepestDescent") 
  .Call('R_swig_delete_SteepestDescent', self, PACKAGE='QuantLib')
  
}
# End of delete_SteepestDescent


attr(delete_SteepestDescent, 'returnType') = 'void'
attr(delete_SteepestDescent, "inputTypes") = c('_p_SteepestDescent')
class(delete_SteepestDescent) = c("SWIGFunction", class(delete_SteepestDescent))

# Start of new_Optimizer

Optimizer = function()
{
  ans = .Call('R_swig_new_Optimizer', PACKAGE='QuantLib')
  class(ans) <- "_p_Optimizer"
  
  ans
  
}
# End of new_Optimizer


attr(Optimizer, 'returnType') = '_p_Optimizer'
class(Optimizer) = c("SWIGFunction", class(Optimizer))

# Start of delete_Optimizer

delete_Optimizer = function(self)
{
  coerceIfNotSubclass(self, "_p_Optimizer") 
  .Call('R_swig_delete_Optimizer', self, PACKAGE='QuantLib')
  
}
# End of delete_Optimizer


attr(delete_Optimizer, 'returnType') = 'void'
attr(delete_Optimizer, "inputTypes") = c('_p_Optimizer')
class(delete_Optimizer) = c("SWIGFunction", class(delete_Optimizer))

# Start of new_PlainVanillaPayoff

PlainVanillaPayoff = function(type, strike)
{
  type = enumToInteger(type, "_Option__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  strike = as.numeric(strike) 
  ans = .Call('R_swig_new_PlainVanillaPayoff', type, strike, PACKAGE='QuantLib')
  class(ans) <- "_p_PlainVanillaPayoffPtr"
  
  ans
  
}
# End of new_PlainVanillaPayoff


attr(PlainVanillaPayoff, 'returnType') = '_p_PlainVanillaPayoffPtr'
attr(PlainVanillaPayoff, "inputTypes") = c('character', 'numeric')
class(PlainVanillaPayoff) = c("SWIGFunction", class(PlainVanillaPayoff))

# Start of delete_PlainVanillaPayoff

delete_PlainVanillaPayoff = function(self)
{
  coerceIfNotSubclass(self, "_p_PlainVanillaPayoffPtr") 
  .Call('R_swig_delete_PlainVanillaPayoff', self, PACKAGE='QuantLib')
  
}
# End of delete_PlainVanillaPayoff


attr(delete_PlainVanillaPayoff, 'returnType') = 'void'
attr(delete_PlainVanillaPayoff, "inputTypes") = c('_p_PlainVanillaPayoffPtr')
class(delete_PlainVanillaPayoff) = c("SWIGFunction", class(delete_PlainVanillaPayoff))

# Start of new_PercentageStrikePayoff

PercentageStrikePayoff = function(type, moneyness)
{
  type = enumToInteger(type, "_Option__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  moneyness = as.numeric(moneyness) 
  ans = .Call('R_swig_new_PercentageStrikePayoff', type, moneyness, PACKAGE='QuantLib')
  class(ans) <- "_p_PercentageStrikePayoffPtr"
  
  ans
  
}
# End of new_PercentageStrikePayoff


attr(PercentageStrikePayoff, 'returnType') = '_p_PercentageStrikePayoffPtr'
attr(PercentageStrikePayoff, "inputTypes") = c('character', 'numeric')
class(PercentageStrikePayoff) = c("SWIGFunction", class(PercentageStrikePayoff))

# Start of delete_PercentageStrikePayoff

delete_PercentageStrikePayoff = function(self)
{
  coerceIfNotSubclass(self, "_p_PercentageStrikePayoffPtr") 
  .Call('R_swig_delete_PercentageStrikePayoff', self, PACKAGE='QuantLib')
  
}
# End of delete_PercentageStrikePayoff


attr(delete_PercentageStrikePayoff, 'returnType') = 'void'
attr(delete_PercentageStrikePayoff, "inputTypes") = c('_p_PercentageStrikePayoffPtr')
class(delete_PercentageStrikePayoff) = c("SWIGFunction", class(delete_PercentageStrikePayoff))

# Start of new_CashOrNothingPayoff

CashOrNothingPayoff = function(type, strike, payoff)
{
  type = enumToInteger(type, "_Option__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  strike = as.numeric(strike) 
  payoff = as.numeric(payoff) 
  ans = .Call('R_swig_new_CashOrNothingPayoff', type, strike, payoff, PACKAGE='QuantLib')
  class(ans) <- "_p_CashOrNothingPayoffPtr"
  
  ans
  
}
# End of new_CashOrNothingPayoff


attr(CashOrNothingPayoff, 'returnType') = '_p_CashOrNothingPayoffPtr'
attr(CashOrNothingPayoff, "inputTypes") = c('character', 'numeric', 'numeric')
class(CashOrNothingPayoff) = c("SWIGFunction", class(CashOrNothingPayoff))

# Start of delete_CashOrNothingPayoff

delete_CashOrNothingPayoff = function(self)
{
  coerceIfNotSubclass(self, "_p_CashOrNothingPayoffPtr") 
  .Call('R_swig_delete_CashOrNothingPayoff', self, PACKAGE='QuantLib')
  
}
# End of delete_CashOrNothingPayoff


attr(delete_CashOrNothingPayoff, 'returnType') = 'void'
attr(delete_CashOrNothingPayoff, "inputTypes") = c('_p_CashOrNothingPayoffPtr')
class(delete_CashOrNothingPayoff) = c("SWIGFunction", class(delete_CashOrNothingPayoff))

# Start of new_AssetOrNothingPayoff

AssetOrNothingPayoff = function(type, strike)
{
  type = enumToInteger(type, "_Option__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  strike = as.numeric(strike) 
  ans = .Call('R_swig_new_AssetOrNothingPayoff', type, strike, PACKAGE='QuantLib')
  class(ans) <- "_p_AssetOrNothingPayoffPtr"
  
  ans
  
}
# End of new_AssetOrNothingPayoff


attr(AssetOrNothingPayoff, 'returnType') = '_p_AssetOrNothingPayoffPtr'
attr(AssetOrNothingPayoff, "inputTypes") = c('character', 'numeric')
class(AssetOrNothingPayoff) = c("SWIGFunction", class(AssetOrNothingPayoff))

# Start of delete_AssetOrNothingPayoff

delete_AssetOrNothingPayoff = function(self)
{
  coerceIfNotSubclass(self, "_p_AssetOrNothingPayoffPtr") 
  .Call('R_swig_delete_AssetOrNothingPayoff', self, PACKAGE='QuantLib')
  
}
# End of delete_AssetOrNothingPayoff


attr(delete_AssetOrNothingPayoff, 'returnType') = 'void'
attr(delete_AssetOrNothingPayoff, "inputTypes") = c('_p_AssetOrNothingPayoffPtr')
class(delete_AssetOrNothingPayoff) = c("SWIGFunction", class(delete_AssetOrNothingPayoff))

# Start of new_SuperSharePayoff

SuperSharePayoff = function(type, strike, increment)
{
  type = enumToInteger(type, "_Option__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  strike = as.numeric(strike) 
  increment = as.numeric(increment) 
  ans = .Call('R_swig_new_SuperSharePayoff', type, strike, increment, PACKAGE='QuantLib')
  class(ans) <- "_p_SuperSharePayoffPtr"
  
  ans
  
}
# End of new_SuperSharePayoff


attr(SuperSharePayoff, 'returnType') = '_p_SuperSharePayoffPtr'
attr(SuperSharePayoff, "inputTypes") = c('character', 'numeric', 'numeric')
class(SuperSharePayoff) = c("SWIGFunction", class(SuperSharePayoff))

# Start of delete_SuperSharePayoff

delete_SuperSharePayoff = function(self)
{
  coerceIfNotSubclass(self, "_p_SuperSharePayoffPtr") 
  .Call('R_swig_delete_SuperSharePayoff', self, PACKAGE='QuantLib')
  
}
# End of delete_SuperSharePayoff


attr(delete_SuperSharePayoff, 'returnType') = 'void'
attr(delete_SuperSharePayoff, "inputTypes") = c('_p_SuperSharePayoffPtr')
class(delete_SuperSharePayoff) = c("SWIGFunction", class(delete_SuperSharePayoff))

# Start of new_GapPayoff

GapPayoff = function(type, strike, strikePayoff)
{
  type = enumToInteger(type, "_Option__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  strike = as.numeric(strike) 
  strikePayoff = as.numeric(strikePayoff) 
  ans = .Call('R_swig_new_GapPayoff', type, strike, strikePayoff, PACKAGE='QuantLib')
  class(ans) <- "_p_GapPayoffPtr"
  
  ans
  
}
# End of new_GapPayoff


attr(GapPayoff, 'returnType') = '_p_GapPayoffPtr'
attr(GapPayoff, "inputTypes") = c('character', 'numeric', 'numeric')
class(GapPayoff) = c("SWIGFunction", class(GapPayoff))

# Start of delete_GapPayoff

delete_GapPayoff = function(self)
{
  coerceIfNotSubclass(self, "_p_GapPayoffPtr") 
  .Call('R_swig_delete_GapPayoff', self, PACKAGE='QuantLib')
  
}
# End of delete_GapPayoff


attr(delete_GapPayoff, 'returnType') = 'void'
attr(delete_GapPayoff, "inputTypes") = c('_p_GapPayoffPtr')
class(delete_GapPayoff) = c("SWIGFunction", class(delete_GapPayoff))

# Start of RateHelper___deref__

RateHelper___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTRateHelper_t") 
  ans = .Call('R_swig_RateHelper___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_RateHelper"
  
  ans
  
}
# End of RateHelper___deref__


attr(RateHelper___deref__, 'returnType') = '_p_RateHelper'
attr(RateHelper___deref__, "inputTypes") = c('_p_boost__shared_ptrTRateHelper_t')
class(RateHelper___deref__) = c("SWIGFunction", class(RateHelper___deref__))

# Start of RateHelper_isNull

RateHelper_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTRateHelper_t") 
  .Call('R_swig_RateHelper_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RateHelper_isNull


attr(RateHelper_isNull, 'returnType') = 'logical'
attr(RateHelper_isNull, "inputTypes") = c('_p_boost__shared_ptrTRateHelper_t')
class(RateHelper_isNull) = c("SWIGFunction", class(RateHelper_isNull))

# Start of new_RateHelper

RateHelper = function()
{
  ans = .Call('R_swig_new_RateHelper', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTRateHelper_t"
  
  ans
  
}
# End of new_RateHelper


attr(RateHelper, 'returnType') = '_p_boost__shared_ptrTRateHelper_t'
class(RateHelper) = c("SWIGFunction", class(RateHelper))

# Start of delete_RateHelper

delete_RateHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTRateHelper_t") 
  .Call('R_swig_delete_RateHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_RateHelper


attr(delete_RateHelper, 'returnType') = 'void'
attr(delete_RateHelper, "inputTypes") = c('_p_boost__shared_ptrTRateHelper_t')
class(delete_RateHelper) = c("SWIGFunction", class(delete_RateHelper))

# Start of accessor method for boost::shared_ptr<(RateHelper)>
setMethod('$', '_p_boost__shared_ptrTRateHelper_t', function(x, name)

{
  accessorFuns = list('operator ->' = RateHelper___deref__, 'isNull' = RateHelper_isNull)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(RateHelper)>
setGeneric('DepositRateHelper', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('DepositRateHelper'))
attr(DepositRateHelper, 'returnType') = '_p_DepositRateHelperPtr'
setMethod('DepositRateHelper', c('_p_HandleTQuote_t', 'numeric', 'character', 'numeric', '_p_Calendar', 'character', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = enumToInteger(s_arg3, "_TimeUnit") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_BusinessDayConvention") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  ans = .Call('R_swig_new_DepositRateHelper__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_DepositRateHelperPtr"
  
  ans
  
}

)
setMethod('DepositRateHelper', c('numeric', 'numeric', 'character', 'numeric', '_p_Calendar', 'character', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = enumToInteger(s_arg3, "_TimeUnit") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_BusinessDayConvention") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  ans = .Call('R_swig_new_DepositRateHelper__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_DepositRateHelperPtr"
  
  ans
  
}

)
# Start of delete_DepositRateHelper

delete_DepositRateHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_DepositRateHelperPtr") 
  .Call('R_swig_delete_DepositRateHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_DepositRateHelper


attr(delete_DepositRateHelper, 'returnType') = 'void'
attr(delete_DepositRateHelper, "inputTypes") = c('_p_DepositRateHelperPtr')
class(delete_DepositRateHelper) = c("SWIGFunction", class(delete_DepositRateHelper))

setGeneric('FraRateHelper', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FraRateHelper'))
attr(FraRateHelper, 'returnType') = '_p_FraRateHelperPtr'
setMethod('FraRateHelper', c('_p_HandleTQuote_t', 'numeric', 'numeric', 'numeric', '_p_Calendar', 'character', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_BusinessDayConvention") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  ans = .Call('R_swig_new_FraRateHelper__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_FraRateHelperPtr"
  
  ans
  
}

)
setMethod('FraRateHelper', c('numeric', 'numeric', 'numeric', 'numeric', '_p_Calendar', 'character', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_BusinessDayConvention") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  coerceIfNotSubclass(s_arg7, "_p_DayCounter") 
  ans = .Call('R_swig_new_FraRateHelper__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_FraRateHelperPtr"
  
  ans
  
}

)
# Start of delete_FraRateHelper

delete_FraRateHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_FraRateHelperPtr") 
  .Call('R_swig_delete_FraRateHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_FraRateHelper


attr(delete_FraRateHelper, 'returnType') = 'void'
attr(delete_FraRateHelper, "inputTypes") = c('_p_FraRateHelperPtr')
class(delete_FraRateHelper) = c("SWIGFunction", class(delete_FraRateHelper))

setGeneric('FuturesRateHelper', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FuturesRateHelper'))
attr(FuturesRateHelper, 'returnType') = '_p_FuturesRateHelperPtr'
setMethod('FuturesRateHelper', c('_p_HandleTQuote_t', '_p_Date', 'numeric', '_p_Calendar', 'character', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Calendar") 
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_DayCounter") 
  ans = .Call('R_swig_new_FuturesRateHelper__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_FuturesRateHelperPtr"
  
  ans
  
}

)
setMethod('FuturesRateHelper', c('numeric', '_p_Date', 'numeric', '_p_Calendar', 'character', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.numeric(s_arg1) 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  coerceIfNotSubclass(s_arg4, "_p_Calendar") 
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_DayCounter") 
  ans = .Call('R_swig_new_FuturesRateHelper__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_FuturesRateHelperPtr"
  
  ans
  
}

)
setMethod('FuturesRateHelper', c('_p_HandleTQuote_t', '_p_Date', '_p_Date', '_p_Calendar', 'character', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Calendar") 
  s_arg5 = enumToInteger(s_arg5, "_BusinessDayConvention") 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_DayCounter") 
  ans = .Call('R_swig_new_FuturesRateHelper__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_FuturesRateHelperPtr"
  
  ans
  
}

)
# Start of delete_FuturesRateHelper

delete_FuturesRateHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_FuturesRateHelperPtr") 
  .Call('R_swig_delete_FuturesRateHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_FuturesRateHelper


attr(delete_FuturesRateHelper, 'returnType') = 'void'
attr(delete_FuturesRateHelper, "inputTypes") = c('_p_FuturesRateHelperPtr')
class(delete_FuturesRateHelper) = c("SWIGFunction", class(delete_FuturesRateHelper))

setGeneric('SwapRateHelper', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('SwapRateHelper'))
attr(SwapRateHelper, 'returnType') = '_p_SwapRateHelperPtr'
setMethod('SwapRateHelper', c('_p_HandleTQuote_t', 'numeric', 'character', 'numeric', '_p_Calendar', 'character', 'character', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = enumToInteger(s_arg3, "_TimeUnit") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = enumToInteger(s_arg7, "_BusinessDayConvention") 
  
  if(length(s_arg7) > 1) {
    warning("using only the first element of s_arg7")
  }
  
  coerceIfNotSubclass(s_arg8, "_p_DayCounter") 
  s_arg9 = enumToInteger(s_arg9, "_Frequency") 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  s_arg10 = enumToInteger(s_arg10, "_BusinessDayConvention") 
  
  if(length(s_arg10) > 1) {
    warning("using only the first element of s_arg10")
  }
  
  ans = .Call('R_swig_new_SwapRateHelper__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, PACKAGE='QuantLib')
  class(ans) <- "_p_SwapRateHelperPtr"
  
  ans
  
}

)
setMethod('SwapRateHelper', c('numeric', 'numeric', 'character', 'numeric', '_p_Calendar', 'character', 'character', '_p_DayCounter', 'character', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10)
{
  s_arg1 = as.numeric(s_arg1) 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  s_arg3 = enumToInteger(s_arg3, "_TimeUnit") 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  s_arg4 = as.integer(s_arg4) 
  
  if(length(s_arg4) > 1) {
    warning("using only the first element of s_arg4")
  }
  
  coerceIfNotSubclass(s_arg5, "_p_Calendar") 
  s_arg6 = enumToInteger(s_arg6, "_Frequency") 
  
  if(length(s_arg6) > 1) {
    warning("using only the first element of s_arg6")
  }
  
  s_arg7 = enumToInteger(s_arg7, "_BusinessDayConvention") 
  
  if(length(s_arg7) > 1) {
    warning("using only the first element of s_arg7")
  }
  
  coerceIfNotSubclass(s_arg8, "_p_DayCounter") 
  s_arg9 = enumToInteger(s_arg9, "_Frequency") 
  
  if(length(s_arg9) > 1) {
    warning("using only the first element of s_arg9")
  }
  
  s_arg10 = enumToInteger(s_arg10, "_BusinessDayConvention") 
  
  if(length(s_arg10) > 1) {
    warning("using only the first element of s_arg10")
  }
  
  ans = .Call('R_swig_new_SwapRateHelper__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, PACKAGE='QuantLib')
  class(ans) <- "_p_SwapRateHelperPtr"
  
  ans
  
}

)
# Start of delete_SwapRateHelper

delete_SwapRateHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_SwapRateHelperPtr") 
  .Call('R_swig_delete_SwapRateHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_SwapRateHelper


attr(delete_SwapRateHelper, 'returnType') = 'void'
attr(delete_SwapRateHelper, "inputTypes") = c('_p_SwapRateHelperPtr')
class(delete_SwapRateHelper) = c("SWIGFunction", class(delete_SwapRateHelper))

setGeneric('FixedCouponBondHelper', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('FixedCouponBondHelper'))
attr(FixedCouponBondHelper, 'returnType') = '_p_FixedCouponBondHelperPtr'
setMethod('FixedCouponBondHelper', c('_p_HandleTQuote_t', '_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_Date', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg7 = enumToInteger(s_arg7, "_Frequency") 
  
  if(length(s_arg7) > 1) {
    warning("using only the first element of s_arg7")
  }
  
  coerceIfNotSubclass(s_arg8, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg9, "_p_Calendar") 
  s_arg10 = enumToInteger(s_arg10, "_BusinessDayConvention") 
  
  if(length(s_arg10) > 1) {
    warning("using only the first element of s_arg10")
  }
  
  s_arg11 = as.numeric(s_arg11) 
  coerceIfNotSubclass(s_arg12, "_p_Date") 
  coerceIfNotSubclass(s_arg13, "_p_bool") 
  ans = .Call('R_swig_new_FixedCouponBondHelper__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, s_arg13, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondHelperPtr"
  
  ans
  
}

)
setMethod('FixedCouponBondHelper', c('_p_HandleTQuote_t', '_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric', '_p_Date'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg7 = enumToInteger(s_arg7, "_Frequency") 
  
  if(length(s_arg7) > 1) {
    warning("using only the first element of s_arg7")
  }
  
  coerceIfNotSubclass(s_arg8, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg9, "_p_Calendar") 
  s_arg10 = enumToInteger(s_arg10, "_BusinessDayConvention") 
  
  if(length(s_arg10) > 1) {
    warning("using only the first element of s_arg10")
  }
  
  s_arg11 = as.numeric(s_arg11) 
  coerceIfNotSubclass(s_arg12, "_p_Date") 
  ans = .Call('R_swig_new_FixedCouponBondHelper__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, s_arg12, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondHelperPtr"
  
  ans
  
}

)
setMethod('FixedCouponBondHelper', c('_p_HandleTQuote_t', '_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg7 = enumToInteger(s_arg7, "_Frequency") 
  
  if(length(s_arg7) > 1) {
    warning("using only the first element of s_arg7")
  }
  
  coerceIfNotSubclass(s_arg8, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg9, "_p_Calendar") 
  s_arg10 = enumToInteger(s_arg10, "_BusinessDayConvention") 
  
  if(length(s_arg10) > 1) {
    warning("using only the first element of s_arg10")
  }
  
  s_arg11 = as.numeric(s_arg11) 
  ans = .Call('R_swig_new_FixedCouponBondHelper__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, s_arg11, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondHelperPtr"
  
  ans
  
}

)
setMethod('FixedCouponBondHelper', c('_p_HandleTQuote_t', '_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar', 'character'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg7 = enumToInteger(s_arg7, "_Frequency") 
  
  if(length(s_arg7) > 1) {
    warning("using only the first element of s_arg7")
  }
  
  coerceIfNotSubclass(s_arg8, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg9, "_p_Calendar") 
  s_arg10 = enumToInteger(s_arg10, "_BusinessDayConvention") 
  
  if(length(s_arg10) > 1) {
    warning("using only the first element of s_arg10")
  }
  
  ans = .Call('R_swig_new_FixedCouponBondHelper__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, s_arg10, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondHelperPtr"
  
  ans
  
}

)
setMethod('FixedCouponBondHelper', c('_p_HandleTQuote_t', '_p_Date', '_p_Date', '_p_Date', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'character', '_p_DayCounter', '_p_Calendar'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Date") 
  coerceIfNotSubclass(s_arg4, "_p_Date") 
  s_arg5 = as.integer(s_arg5) 
  
  if(length(s_arg5) > 1) {
    warning("using only the first element of s_arg5")
  }
  
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg7 = enumToInteger(s_arg7, "_Frequency") 
  
  if(length(s_arg7) > 1) {
    warning("using only the first element of s_arg7")
  }
  
  coerceIfNotSubclass(s_arg8, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg9, "_p_Calendar") 
  ans = .Call('R_swig_new_FixedCouponBondHelper__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, PACKAGE='QuantLib')
  class(ans) <- "_p_FixedCouponBondHelperPtr"
  
  ans
  
}

)
# Start of delete_FixedCouponBondHelper

delete_FixedCouponBondHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_FixedCouponBondHelperPtr") 
  .Call('R_swig_delete_FixedCouponBondHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_FixedCouponBondHelper


attr(delete_FixedCouponBondHelper, 'returnType') = 'void'
attr(delete_FixedCouponBondHelper, "inputTypes") = c('_p_FixedCouponBondHelperPtr')
class(delete_FixedCouponBondHelper) = c("SWIGFunction", class(delete_FixedCouponBondHelper))

# Start of RateHelperVector___nonzero__

RateHelperVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RateHelperVector___nonzero__


attr(RateHelperVector___nonzero__, 'returnType') = 'logical'
attr(RateHelperVector___nonzero__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector___nonzero__) = c("SWIGFunction", class(RateHelperVector___nonzero__))

# Start of RateHelperVector___len__

RateHelperVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RateHelperVector___len__


attr(RateHelperVector___len__, 'returnType') = 'numeric'
attr(RateHelperVector___len__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector___len__) = c("SWIGFunction", class(RateHelperVector___len__))

# Start of RateHelperVector_pop

RateHelperVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  ans = .Call('R_swig_RateHelperVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTRateHelper_t"
  
  ans
  
}
# End of RateHelperVector_pop


attr(RateHelperVector_pop, 'returnType') = '_p_boost__shared_ptrTRateHelper_t'
attr(RateHelperVector_pop, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_pop) = c("SWIGFunction", class(RateHelperVector_pop))

# Start of RateHelperVector___getslice__

RateHelperVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_RateHelperVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t"
  
  ans
  
}
# End of RateHelperVector___getslice__


attr(RateHelperVector___getslice__, 'returnType') = '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t'
attr(RateHelperVector___getslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric', 'numeric')
class(RateHelperVector___getslice__) = c("SWIGFunction", class(RateHelperVector___getslice__))

# Start of RateHelperVector___setslice__

RateHelperVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of RateHelperVector___setslice__


attr(RateHelperVector___setslice__, 'returnType') = 'void'
attr(RateHelperVector___setslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric', 'numeric', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector___setslice__) = c("SWIGFunction", class(RateHelperVector___setslice__))

# Start of RateHelperVector___delslice__

RateHelperVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_RateHelperVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of RateHelperVector___delslice__


attr(RateHelperVector___delslice__, 'returnType') = 'void'
attr(RateHelperVector___delslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric', 'numeric')
class(RateHelperVector___delslice__) = c("SWIGFunction", class(RateHelperVector___delslice__))

# Start of RateHelperVector___delitem__

RateHelperVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_RateHelperVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of RateHelperVector___delitem__


attr(RateHelperVector___delitem__, 'returnType') = 'void'
attr(RateHelperVector___delitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric')
class(RateHelperVector___delitem__) = c("SWIGFunction", class(RateHelperVector___delitem__))

# Start of RateHelperVector___getitem__

RateHelperVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_RateHelperVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTRateHelper_t"
  
  ans
  
}
# End of RateHelperVector___getitem__


attr(RateHelperVector___getitem__, 'returnType') = '_p_boost__shared_ptrTRateHelper_t'
attr(RateHelperVector___getitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric')
class(RateHelperVector___getitem__) = c("SWIGFunction", class(RateHelperVector___getitem__))

# Start of RateHelperVector___setitem__

RateHelperVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTRateHelper_t") 
  .Call('R_swig_RateHelperVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of RateHelperVector___setitem__


attr(RateHelperVector___setitem__, 'returnType') = 'void'
attr(RateHelperVector___setitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric', '_p_boost__shared_ptrTRateHelper_t')
class(RateHelperVector___setitem__) = c("SWIGFunction", class(RateHelperVector___setitem__))

# Start of RateHelperVector_append

RateHelperVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTRateHelper_t") 
  .Call('R_swig_RateHelperVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of RateHelperVector_append


attr(RateHelperVector_append, 'returnType') = 'void'
attr(RateHelperVector_append, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_boost__shared_ptrTRateHelper_t')
class(RateHelperVector_append) = c("SWIGFunction", class(RateHelperVector_append))

setGeneric('RateHelperVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('RateHelperVector'))
attr(RateHelperVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t'
setMethod('RateHelperVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_RateHelperVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t"
  
  ans
  
}

)
setMethod('RateHelperVector', c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  ans = .Call('R_swig_new_RateHelperVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t"
  
  ans
  
}

)
# Start of RateHelperVector_empty

RateHelperVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RateHelperVector_empty


attr(RateHelperVector_empty, 'returnType') = 'logical'
attr(RateHelperVector_empty, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_empty) = c("SWIGFunction", class(RateHelperVector_empty))

# Start of RateHelperVector_size

RateHelperVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RateHelperVector_size


attr(RateHelperVector_size, 'returnType') = 'numeric'
attr(RateHelperVector_size, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_size) = c("SWIGFunction", class(RateHelperVector_size))

# Start of RateHelperVector_clear

RateHelperVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector_clear', self, PACKAGE='QuantLib')
  
}
# End of RateHelperVector_clear


attr(RateHelperVector_clear, 'returnType') = 'void'
attr(RateHelperVector_clear, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_clear) = c("SWIGFunction", class(RateHelperVector_clear))

# Start of RateHelperVector_swap

RateHelperVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of RateHelperVector_swap


attr(RateHelperVector_swap, 'returnType') = 'void'
attr(RateHelperVector_swap, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_swap) = c("SWIGFunction", class(RateHelperVector_swap))

# Start of RateHelperVector_get_allocator

RateHelperVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  ans = .Call('R_swig_RateHelperVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTboost__shared_ptrTRateHelper_t_t"
  
  ans
  
}
# End of RateHelperVector_get_allocator


attr(RateHelperVector_get_allocator, 'returnType') = '_p_std__allocatorTboost__shared_ptrTRateHelper_t_t'
attr(RateHelperVector_get_allocator, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_get_allocator) = c("SWIGFunction", class(RateHelperVector_get_allocator))

setMethod('RateHelperVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_RateHelperVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t"
  
  ans
  
}

)
# Start of RateHelperVector_pop_back

RateHelperVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of RateHelperVector_pop_back


attr(RateHelperVector_pop_back, 'returnType') = 'void'
attr(RateHelperVector_pop_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_pop_back) = c("SWIGFunction", class(RateHelperVector_pop_back))

setGeneric('RateHelperVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('RateHelperVector_resize'))
attr(RateHelperVector_resize, 'returnType') = 'void'
setMethod('RateHelperVector_resize', c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_RateHelperVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('RateHelperVector', c('numeric', '_p_boost__shared_ptrTRateHelper_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTRateHelper_t") 
  ans = .Call('R_swig_new_RateHelperVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t"
  
  ans
  
}

)
# Start of RateHelperVector_push_back

RateHelperVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTRateHelper_t") 
  .Call('R_swig_RateHelperVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of RateHelperVector_push_back


attr(RateHelperVector_push_back, 'returnType') = 'void'
attr(RateHelperVector_push_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_boost__shared_ptrTRateHelper_t')
class(RateHelperVector_push_back) = c("SWIGFunction", class(RateHelperVector_push_back))

# Start of RateHelperVector_front

RateHelperVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  ans = .Call('R_swig_RateHelperVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTRateHelper_t"
  
  ans
  
}
# End of RateHelperVector_front


attr(RateHelperVector_front, 'returnType') = '_p_boost__shared_ptrTRateHelper_t'
attr(RateHelperVector_front, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_front) = c("SWIGFunction", class(RateHelperVector_front))

# Start of RateHelperVector_back

RateHelperVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  ans = .Call('R_swig_RateHelperVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTRateHelper_t"
  
  ans
  
}
# End of RateHelperVector_back


attr(RateHelperVector_back, 'returnType') = '_p_boost__shared_ptrTRateHelper_t'
attr(RateHelperVector_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_back) = c("SWIGFunction", class(RateHelperVector_back))

# Start of RateHelperVector_assign

RateHelperVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTRateHelper_t") 
  .Call('R_swig_RateHelperVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of RateHelperVector_assign


attr(RateHelperVector_assign, 'returnType') = 'void'
attr(RateHelperVector_assign, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric', '_p_boost__shared_ptrTRateHelper_t')
class(RateHelperVector_assign) = c("SWIGFunction", class(RateHelperVector_assign))

setMethod('RateHelperVector_resize', c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric', '_p_boost__shared_ptrTRateHelper_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTRateHelper_t") 
  .Call('R_swig_RateHelperVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of RateHelperVector_reserve

RateHelperVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_RateHelperVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of RateHelperVector_reserve


attr(RateHelperVector_reserve, 'returnType') = 'void'
attr(RateHelperVector_reserve, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', 'numeric')
class(RateHelperVector_reserve) = c("SWIGFunction", class(RateHelperVector_reserve))

# Start of RateHelperVector_capacity

RateHelperVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_RateHelperVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RateHelperVector_capacity


attr(RateHelperVector_capacity, 'returnType') = 'numeric'
attr(RateHelperVector_capacity, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(RateHelperVector_capacity) = c("SWIGFunction", class(RateHelperVector_capacity))

# Start of delete_RateHelperVector

delete_RateHelperVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  .Call('R_swig_delete_RateHelperVector', self, PACKAGE='QuantLib')
  
}
# End of delete_RateHelperVector


attr(delete_RateHelperVector, 'returnType') = 'void'
attr(delete_RateHelperVector, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t')
class(delete_RateHelperVector) = c("SWIGFunction", class(delete_RateHelperVector))

# Start of accessor method for std::vector<(boost::shared_ptr<(RateHelper)>)>
setMethod('$', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = RateHelperVector___nonzero__, '__len__' = RateHelperVector___len__, 'pop' = RateHelperVector_pop, '__getslice__' = RateHelperVector___getslice__, '__setslice__' = RateHelperVector___setslice__, '__delslice__' = RateHelperVector___delslice__, '__delitem__' = RateHelperVector___delitem__, '__getitem__' = RateHelperVector___getitem__, '__setitem__' = RateHelperVector___setitem__, 'append' = RateHelperVector_append, 'empty' = RateHelperVector_empty, 'size' = RateHelperVector_size, 'clear' = RateHelperVector_clear, 'swap' = RateHelperVector_swap, 'get_allocator' = RateHelperVector_get_allocator, 'pop_back' = RateHelperVector_pop_back, 'resize' = RateHelperVector_resize, 'push_back' = RateHelperVector_push_back, 'front' = RateHelperVector_front, 'back' = RateHelperVector_back, 'assign' = RateHelperVector_assign, 'resize' = RateHelperVector_resize, 'reserve' = RateHelperVector_reserve, 'capacity' = RateHelperVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(boost::shared_ptr<(RateHelper)>)>
# Start of new_Discount

Discount = function()
{
  ans = .Call('R_swig_new_Discount', PACKAGE='QuantLib')
  class(ans) <- "_p_Discount"
  
  ans
  
}
# End of new_Discount


attr(Discount, 'returnType') = '_p_Discount'
class(Discount) = c("SWIGFunction", class(Discount))

# Start of delete_Discount

delete_Discount = function(self)
{
  coerceIfNotSubclass(self, "_p_Discount") 
  .Call('R_swig_delete_Discount', self, PACKAGE='QuantLib')
  
}
# End of delete_Discount


attr(delete_Discount, 'returnType') = 'void'
attr(delete_Discount, "inputTypes") = c('_p_Discount')
class(delete_Discount) = c("SWIGFunction", class(delete_Discount))

# Start of new_ZeroYield

ZeroYield = function()
{
  ans = .Call('R_swig_new_ZeroYield', PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroYield"
  
  ans
  
}
# End of new_ZeroYield


attr(ZeroYield, 'returnType') = '_p_ZeroYield'
class(ZeroYield) = c("SWIGFunction", class(ZeroYield))

# Start of delete_ZeroYield

delete_ZeroYield = function(self)
{
  coerceIfNotSubclass(self, "_p_ZeroYield") 
  .Call('R_swig_delete_ZeroYield', self, PACKAGE='QuantLib')
  
}
# End of delete_ZeroYield


attr(delete_ZeroYield, 'returnType') = 'void'
attr(delete_ZeroYield, "inputTypes") = c('_p_ZeroYield')
class(delete_ZeroYield) = c("SWIGFunction", class(delete_ZeroYield))

# Start of new_ForwardRate

ForwardRate = function()
{
  ans = .Call('R_swig_new_ForwardRate', PACKAGE='QuantLib')
  class(ans) <- "_p_ForwardRate"
  
  ans
  
}
# End of new_ForwardRate


attr(ForwardRate, 'returnType') = '_p_ForwardRate'
class(ForwardRate) = c("SWIGFunction", class(ForwardRate))

# Start of delete_ForwardRate

delete_ForwardRate = function(self)
{
  coerceIfNotSubclass(self, "_p_ForwardRate") 
  .Call('R_swig_delete_ForwardRate', self, PACKAGE='QuantLib')
  
}
# End of delete_ForwardRate


attr(delete_ForwardRate, 'returnType') = 'void'
attr(delete_ForwardRate, "inputTypes") = c('_p_ForwardRate')
class(delete_ForwardRate) = c("SWIGFunction", class(delete_ForwardRate))

setGeneric('PiecewiseFlatForward', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('PiecewiseFlatForward'))
attr(PiecewiseFlatForward, 'returnType') = '_p_PiecewiseFlatForwardPtr'
setMethod('PiecewiseFlatForward', c('_p_Date', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_DayCounter', 'numeric', '_p_LogLinear'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = as.numeric(s_arg4) 
  coerceIfNotSubclass(s_arg5, "_p_LogLinear") 
  ans = .Call('R_swig_new_PiecewiseFlatForward__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_PiecewiseFlatForwardPtr"
  
  ans
  
}

)
setMethod('PiecewiseFlatForward', c('_p_Date', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_DayCounter', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  s_arg4 = as.numeric(s_arg4) 
  ans = .Call('R_swig_new_PiecewiseFlatForward__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_PiecewiseFlatForwardPtr"
  
  ans
  
}

)
setMethod('PiecewiseFlatForward', c('_p_Date', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_PiecewiseFlatForward__SWIG_2', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_PiecewiseFlatForwardPtr"
  
  ans
  
}

)
setMethod('PiecewiseFlatForward', c('numeric', '_p_Calendar', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_DayCounter', 'numeric', '_p_LogLinear'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = as.numeric(s_arg5) 
  coerceIfNotSubclass(s_arg6, "_p_LogLinear") 
  ans = .Call('R_swig_new_PiecewiseFlatForward__SWIG_3', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_PiecewiseFlatForwardPtr"
  
  ans
  
}

)
setMethod('PiecewiseFlatForward', c('numeric', '_p_Calendar', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_DayCounter', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  s_arg5 = as.numeric(s_arg5) 
  ans = .Call('R_swig_new_PiecewiseFlatForward__SWIG_4', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_PiecewiseFlatForwardPtr"
  
  ans
  
}

)
setMethod('PiecewiseFlatForward', c('numeric', '_p_Calendar', '_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTboost__shared_ptrTRateHelper_t_std__allocatorTboost__shared_ptrTRateHelper_t_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_PiecewiseFlatForward__SWIG_5', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_PiecewiseFlatForwardPtr"
  
  ans
  
}

)
# Start of PiecewiseFlatForward_dates

PiecewiseFlatForward_dates = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_PiecewiseFlatForwardPtr") 
  ans = .Call('R_swig_PiecewiseFlatForward_dates', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}
# End of PiecewiseFlatForward_dates


attr(PiecewiseFlatForward_dates, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
attr(PiecewiseFlatForward_dates, "inputTypes") = c('_p_PiecewiseFlatForwardPtr')
class(PiecewiseFlatForward_dates) = c("SWIGFunction", class(PiecewiseFlatForward_dates))

# Start of PiecewiseFlatForward_times

PiecewiseFlatForward_times = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_PiecewiseFlatForwardPtr") 
  ans = .Call('R_swig_PiecewiseFlatForward_times', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of PiecewiseFlatForward_times


attr(PiecewiseFlatForward_times, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(PiecewiseFlatForward_times, "inputTypes") = c('_p_PiecewiseFlatForwardPtr')
class(PiecewiseFlatForward_times) = c("SWIGFunction", class(PiecewiseFlatForward_times))

# Start of delete_PiecewiseFlatForward

delete_PiecewiseFlatForward = function(self)
{
  coerceIfNotSubclass(self, "_p_PiecewiseFlatForwardPtr") 
  .Call('R_swig_delete_PiecewiseFlatForward', self, PACKAGE='QuantLib')
  
}
# End of delete_PiecewiseFlatForward


attr(delete_PiecewiseFlatForward, 'returnType') = 'void'
attr(delete_PiecewiseFlatForward, "inputTypes") = c('_p_PiecewiseFlatForwardPtr')
class(delete_PiecewiseFlatForward) = c("SWIGFunction", class(delete_PiecewiseFlatForward))

# Start of accessor method for PiecewiseFlatForwardPtr
setMethod('$', '_p_PiecewiseFlatForwardPtr', function(x, name)

{
  accessorFuns = list('dates' = PiecewiseFlatForward_dates, 'times' = PiecewiseFlatForward_times)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for PiecewiseFlatForwardPtr
# Start of Settings_instance

Settings_instance = function(.copy = FALSE)
{
  ans = .Call('R_swig_Settings_instance', as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Settings"
  
  ans
  
}
# End of Settings_instance


attr(Settings_instance, 'returnType') = '_p_Settings'
class(Settings_instance) = c("SWIGFunction", class(Settings_instance))

# Start of Settings_getEvaluationDate

Settings_getEvaluationDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Settings") 
  ans = .Call('R_swig_Settings_getEvaluationDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Settings_getEvaluationDate


attr(Settings_getEvaluationDate, 'returnType') = '_p_Date'
attr(Settings_getEvaluationDate, "inputTypes") = c('_p_Settings')
class(Settings_getEvaluationDate) = c("SWIGFunction", class(Settings_getEvaluationDate))

# Start of Settings_setEvaluationDate

Settings_setEvaluationDate = function(self, d)
{
  coerceIfNotSubclass(self, "_p_Settings") 
  coerceIfNotSubclass(d, "_p_Date") 
  .Call('R_swig_Settings_setEvaluationDate', self, d, PACKAGE='QuantLib')
  
}
# End of Settings_setEvaluationDate


attr(Settings_setEvaluationDate, 'returnType') = 'void'
attr(Settings_setEvaluationDate, "inputTypes") = c('_p_Settings', '_p_Date')
class(Settings_setEvaluationDate) = c("SWIGFunction", class(Settings_setEvaluationDate))

# Start of delete_Settings

delete_Settings = function(self)
{
  coerceIfNotSubclass(self, "_p_Settings") 
  .Call('R_swig_delete_Settings', self, PACKAGE='QuantLib')
  
}
# End of delete_Settings


attr(delete_Settings, 'returnType') = 'void'
attr(delete_Settings, "inputTypes") = c('_p_Settings')
class(delete_Settings) = c("SWIGFunction", class(delete_Settings))

# Start of accessor method for Settings
setMethod('$', '_p_Settings', function(x, name)

{
  accessorFuns = list('getEvaluationDate' = Settings_getEvaluationDate, 'setEvaluationDate' = Settings_setEvaluationDate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Settings
# Start of CalibrationHelper___deref__

CalibrationHelper___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  ans = .Call('R_swig_CalibrationHelper___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_CalibrationHelper"
  
  ans
  
}
# End of CalibrationHelper___deref__


attr(CalibrationHelper___deref__, 'returnType') = '_p_CalibrationHelper'
attr(CalibrationHelper___deref__, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelper___deref__) = c("SWIGFunction", class(CalibrationHelper___deref__))

# Start of CalibrationHelper_isNull

CalibrationHelper_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelper_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelper_isNull


attr(CalibrationHelper_isNull, 'returnType') = 'logical'
attr(CalibrationHelper_isNull, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelper_isNull) = c("SWIGFunction", class(CalibrationHelper_isNull))

# Start of new_CalibrationHelper

CalibrationHelper = function()
{
  ans = .Call('R_swig_new_CalibrationHelper', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCalibrationHelper_t"
  
  ans
  
}
# End of new_CalibrationHelper


attr(CalibrationHelper, 'returnType') = '_p_boost__shared_ptrTCalibrationHelper_t'
class(CalibrationHelper) = c("SWIGFunction", class(CalibrationHelper))

# Start of delete_CalibrationHelper

delete_CalibrationHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_delete_CalibrationHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_CalibrationHelper


attr(delete_CalibrationHelper, 'returnType') = 'void'
attr(delete_CalibrationHelper, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t')
class(delete_CalibrationHelper) = c("SWIGFunction", class(delete_CalibrationHelper))

# Start of CalibrationHelper_setPricingEngine

CalibrationHelper_setPricingEngine = function(self, engine)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  coerceIfNotSubclass(engine, "_p_boost__shared_ptrTPricingEngine_t") 
  .Call('R_swig_CalibrationHelper_setPricingEngine', self, engine, PACKAGE='QuantLib')
  
}
# End of CalibrationHelper_setPricingEngine


attr(CalibrationHelper_setPricingEngine, 'returnType') = 'void'
attr(CalibrationHelper_setPricingEngine, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t', '_p_boost__shared_ptrTPricingEngine_t')
class(CalibrationHelper_setPricingEngine) = c("SWIGFunction", class(CalibrationHelper_setPricingEngine))

# Start of CalibrationHelper_marketValue

CalibrationHelper_marketValue = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelper_marketValue', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelper_marketValue


attr(CalibrationHelper_marketValue, 'returnType') = 'numeric'
attr(CalibrationHelper_marketValue, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelper_marketValue) = c("SWIGFunction", class(CalibrationHelper_marketValue))

# Start of CalibrationHelper_modelValue

CalibrationHelper_modelValue = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelper_modelValue', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelper_modelValue


attr(CalibrationHelper_modelValue, 'returnType') = 'numeric'
attr(CalibrationHelper_modelValue, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelper_modelValue) = c("SWIGFunction", class(CalibrationHelper_modelValue))

# Start of CalibrationHelper_impliedVolatility

CalibrationHelper_impliedVolatility = function(self, targetValue, accuracy, maxEvaluations, minVol, maxVol, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  targetValue = as.numeric(targetValue) 
  accuracy = as.numeric(accuracy) 
  maxEvaluations = as.integer(maxEvaluations) 
  
  if(length(maxEvaluations) > 1) {
    warning("using only the first element of maxEvaluations")
  }
  
  minVol = as.numeric(minVol) 
  maxVol = as.numeric(maxVol) 
  .Call('R_swig_CalibrationHelper_impliedVolatility', self, targetValue, accuracy, maxEvaluations, minVol, maxVol, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelper_impliedVolatility


attr(CalibrationHelper_impliedVolatility, 'returnType') = 'numeric'
attr(CalibrationHelper_impliedVolatility, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric')
class(CalibrationHelper_impliedVolatility) = c("SWIGFunction", class(CalibrationHelper_impliedVolatility))

# Start of CalibrationHelper_blackPrice

CalibrationHelper_blackPrice = function(self, volatility, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCalibrationHelper_t") 
  volatility = as.numeric(volatility) 
  .Call('R_swig_CalibrationHelper_blackPrice', self, volatility, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelper_blackPrice


attr(CalibrationHelper_blackPrice, 'returnType') = 'numeric'
attr(CalibrationHelper_blackPrice, "inputTypes") = c('_p_boost__shared_ptrTCalibrationHelper_t', 'numeric')
class(CalibrationHelper_blackPrice) = c("SWIGFunction", class(CalibrationHelper_blackPrice))

# Start of accessor method for boost::shared_ptr<(CalibrationHelper)>
setMethod('$', '_p_boost__shared_ptrTCalibrationHelper_t', function(x, name)

{
  accessorFuns = list('operator ->' = CalibrationHelper___deref__, 'isNull' = CalibrationHelper_isNull, 'setPricingEngine' = CalibrationHelper_setPricingEngine, 'marketValue' = CalibrationHelper_marketValue, 'modelValue' = CalibrationHelper_modelValue, 'impliedVolatility' = CalibrationHelper_impliedVolatility, 'blackPrice' = CalibrationHelper_blackPrice)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(CalibrationHelper)>
# Start of new_SwaptionHelper

SwaptionHelper = function(maturity, length, volatility, index, fixedLegFrequency, fixedLegDayCounter, termStructure)
{
  coerceIfNotSubclass(maturity, "_p_Period") 
  coerceIfNotSubclass(length, "_p_Period") 
  coerceIfNotSubclass(volatility, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(index, "_p_XiborPtr") 
  fixedLegFrequency = enumToInteger(fixedLegFrequency, "_Frequency") 
  
  if(length(fixedLegFrequency) > 1) {
    warning("using only the first element of fixedLegFrequency")
  }
  
  coerceIfNotSubclass(fixedLegDayCounter, "_p_DayCounter") 
  coerceIfNotSubclass(termStructure, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_SwaptionHelper', maturity, length, volatility, index, fixedLegFrequency, fixedLegDayCounter, termStructure, PACKAGE='QuantLib')
  class(ans) <- "_p_SwaptionHelperPtr"
  
  ans
  
}
# End of new_SwaptionHelper


attr(SwaptionHelper, 'returnType') = '_p_SwaptionHelperPtr'
attr(SwaptionHelper, "inputTypes") = c('_p_Period', '_p_Period', '_p_HandleTQuote_t', '_p_XiborPtr', 'character', '_p_DayCounter', '_p_HandleTYieldTermStructure_t')
class(SwaptionHelper) = c("SWIGFunction", class(SwaptionHelper))

# Start of SwaptionHelper_times

SwaptionHelper_times = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SwaptionHelperPtr") 
  ans = .Call('R_swig_SwaptionHelper_times', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of SwaptionHelper_times


attr(SwaptionHelper_times, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(SwaptionHelper_times, "inputTypes") = c('_p_SwaptionHelperPtr')
class(SwaptionHelper_times) = c("SWIGFunction", class(SwaptionHelper_times))

# Start of delete_SwaptionHelper

delete_SwaptionHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_SwaptionHelperPtr") 
  .Call('R_swig_delete_SwaptionHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_SwaptionHelper


attr(delete_SwaptionHelper, 'returnType') = 'void'
attr(delete_SwaptionHelper, "inputTypes") = c('_p_SwaptionHelperPtr')
class(delete_SwaptionHelper) = c("SWIGFunction", class(delete_SwaptionHelper))

# Start of accessor method for SwaptionHelperPtr
setMethod('$', '_p_SwaptionHelperPtr', function(x, name)

{
  accessorFuns = list('times' = SwaptionHelper_times)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SwaptionHelperPtr
# Start of new_CapHelper

CapHelper = function(length, volatility, index, fixedLegFrequency, fixedLegDayCounter, includeFirstSwaplet, termStructure)
{
  coerceIfNotSubclass(length, "_p_Period") 
  coerceIfNotSubclass(volatility, "_p_HandleTQuote_t") 
  coerceIfNotSubclass(index, "_p_XiborPtr") 
  fixedLegFrequency = enumToInteger(fixedLegFrequency, "_Frequency") 
  
  if(length(fixedLegFrequency) > 1) {
    warning("using only the first element of fixedLegFrequency")
  }
  
  coerceIfNotSubclass(fixedLegDayCounter, "_p_DayCounter") 
  coerceIfNotSubclass(includeFirstSwaplet, "_p_bool") 
  coerceIfNotSubclass(termStructure, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_CapHelper', length, volatility, index, fixedLegFrequency, fixedLegDayCounter, includeFirstSwaplet, termStructure, PACKAGE='QuantLib')
  class(ans) <- "_p_CapHelperPtr"
  
  ans
  
}
# End of new_CapHelper


attr(CapHelper, 'returnType') = '_p_CapHelperPtr'
attr(CapHelper, "inputTypes") = c('_p_Period', '_p_HandleTQuote_t', '_p_XiborPtr', 'character', '_p_DayCounter', 'logical', '_p_HandleTYieldTermStructure_t')
class(CapHelper) = c("SWIGFunction", class(CapHelper))

# Start of CapHelper_times

CapHelper_times = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_CapHelperPtr") 
  ans = .Call('R_swig_CapHelper_times', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of CapHelper_times


attr(CapHelper_times, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(CapHelper_times, "inputTypes") = c('_p_CapHelperPtr')
class(CapHelper_times) = c("SWIGFunction", class(CapHelper_times))

# Start of delete_CapHelper

delete_CapHelper = function(self)
{
  coerceIfNotSubclass(self, "_p_CapHelperPtr") 
  .Call('R_swig_delete_CapHelper', self, PACKAGE='QuantLib')
  
}
# End of delete_CapHelper


attr(delete_CapHelper, 'returnType') = 'void'
attr(delete_CapHelper, "inputTypes") = c('_p_CapHelperPtr')
class(delete_CapHelper) = c("SWIGFunction", class(delete_CapHelper))

# Start of accessor method for CapHelperPtr
setMethod('$', '_p_CapHelperPtr', function(x, name)

{
  accessorFuns = list('times' = CapHelper_times)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for CapHelperPtr
# Start of CalibrationHelperVector___nonzero__

CalibrationHelperVector___nonzero__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector___nonzero__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector___nonzero__


attr(CalibrationHelperVector___nonzero__, 'returnType') = 'logical'
attr(CalibrationHelperVector___nonzero__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector___nonzero__) = c("SWIGFunction", class(CalibrationHelperVector___nonzero__))

# Start of CalibrationHelperVector___len__

CalibrationHelperVector___len__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector___len__', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector___len__


attr(CalibrationHelperVector___len__, 'returnType') = 'numeric'
attr(CalibrationHelperVector___len__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector___len__) = c("SWIGFunction", class(CalibrationHelperVector___len__))

# Start of CalibrationHelperVector_pop

CalibrationHelperVector_pop = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  ans = .Call('R_swig_CalibrationHelperVector_pop', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCalibrationHelper_t"
  
  ans
  
}
# End of CalibrationHelperVector_pop


attr(CalibrationHelperVector_pop, 'returnType') = '_p_boost__shared_ptrTCalibrationHelper_t'
attr(CalibrationHelperVector_pop, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_pop) = c("SWIGFunction", class(CalibrationHelperVector_pop))

# Start of CalibrationHelperVector___getslice__

CalibrationHelperVector___getslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  ans = .Call('R_swig_CalibrationHelperVector___getslice__', self, i, j, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t"
  
  ans
  
}
# End of CalibrationHelperVector___getslice__


attr(CalibrationHelperVector___getslice__, 'returnType') = '_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t'
attr(CalibrationHelperVector___getslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric', 'numeric')
class(CalibrationHelperVector___getslice__) = c("SWIGFunction", class(CalibrationHelperVector___getslice__))

# Start of CalibrationHelperVector___setslice__

CalibrationHelperVector___setslice__ = function(self, i, j, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector___setslice__', self, i, j, v, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector___setslice__


attr(CalibrationHelperVector___setslice__, 'returnType') = 'void'
attr(CalibrationHelperVector___setslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric', 'numeric', '_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector___setslice__) = c("SWIGFunction", class(CalibrationHelperVector___setslice__))

# Start of CalibrationHelperVector___delslice__

CalibrationHelperVector___delslice__ = function(self, i, j)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  as(j, "integer");     
  
  if(length(j) > 1) {
    warning("using only the first element of j")
  }
  
  .Call('R_swig_CalibrationHelperVector___delslice__', self, i, j, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector___delslice__


attr(CalibrationHelperVector___delslice__, 'returnType') = 'void'
attr(CalibrationHelperVector___delslice__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric', 'numeric')
class(CalibrationHelperVector___delslice__) = c("SWIGFunction", class(CalibrationHelperVector___delslice__))

# Start of CalibrationHelperVector___delitem__

CalibrationHelperVector___delitem__ = function(self, i)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  .Call('R_swig_CalibrationHelperVector___delitem__', self, i, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector___delitem__


attr(CalibrationHelperVector___delitem__, 'returnType') = 'void'
attr(CalibrationHelperVector___delitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric')
class(CalibrationHelperVector___delitem__) = c("SWIGFunction", class(CalibrationHelperVector___delitem__))

# Start of CalibrationHelperVector___getitem__

CalibrationHelperVector___getitem__ = function(self, i, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  ans = .Call('R_swig_CalibrationHelperVector___getitem__', self, i, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCalibrationHelper_t"
  
  ans
  
}
# End of CalibrationHelperVector___getitem__


attr(CalibrationHelperVector___getitem__, 'returnType') = '_p_boost__shared_ptrTCalibrationHelper_t'
attr(CalibrationHelperVector___getitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric')
class(CalibrationHelperVector___getitem__) = c("SWIGFunction", class(CalibrationHelperVector___getitem__))

# Start of CalibrationHelperVector___setitem__

CalibrationHelperVector___setitem__ = function(self, i, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  as(i, "integer");     
  
  if(length(i) > 1) {
    warning("using only the first element of i")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelperVector___setitem__', self, i, x, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector___setitem__


attr(CalibrationHelperVector___setitem__, 'returnType') = 'void'
attr(CalibrationHelperVector___setitem__, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric', '_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelperVector___setitem__) = c("SWIGFunction", class(CalibrationHelperVector___setitem__))

# Start of CalibrationHelperVector_append

CalibrationHelperVector_append = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelperVector_append', self, x, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_append


attr(CalibrationHelperVector_append, 'returnType') = 'void'
attr(CalibrationHelperVector_append, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', '_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelperVector_append) = c("SWIGFunction", class(CalibrationHelperVector_append))

setGeneric('CalibrationHelperVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CalibrationHelperVector'))
attr(CalibrationHelperVector, 'returnType') = '_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t'
setMethod('CalibrationHelperVector', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_CalibrationHelperVector__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t"
  
  ans
  
}

)
setMethod('CalibrationHelperVector', c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  ans = .Call('R_swig_new_CalibrationHelperVector__SWIG_1', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t"
  
  ans
  
}

)
# Start of CalibrationHelperVector_empty

CalibrationHelperVector_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_empty


attr(CalibrationHelperVector_empty, 'returnType') = 'logical'
attr(CalibrationHelperVector_empty, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_empty) = c("SWIGFunction", class(CalibrationHelperVector_empty))

# Start of CalibrationHelperVector_size

CalibrationHelperVector_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_size


attr(CalibrationHelperVector_size, 'returnType') = 'numeric'
attr(CalibrationHelperVector_size, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_size) = c("SWIGFunction", class(CalibrationHelperVector_size))

# Start of CalibrationHelperVector_clear

CalibrationHelperVector_clear = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector_clear', self, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_clear


attr(CalibrationHelperVector_clear, 'returnType') = 'void'
attr(CalibrationHelperVector_clear, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_clear) = c("SWIGFunction", class(CalibrationHelperVector_clear))

# Start of CalibrationHelperVector_swap

CalibrationHelperVector_swap = function(self, v)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  coerceIfNotSubclass(v, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector_swap', self, v, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_swap


attr(CalibrationHelperVector_swap, 'returnType') = 'void'
attr(CalibrationHelperVector_swap, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', '_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_swap) = c("SWIGFunction", class(CalibrationHelperVector_swap))

# Start of CalibrationHelperVector_get_allocator

CalibrationHelperVector_get_allocator = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  ans = .Call('R_swig_CalibrationHelperVector_get_allocator', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t"
  
  ans
  
}
# End of CalibrationHelperVector_get_allocator


attr(CalibrationHelperVector_get_allocator, 'returnType') = '_p_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t'
attr(CalibrationHelperVector_get_allocator, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_get_allocator) = c("SWIGFunction", class(CalibrationHelperVector_get_allocator))

setMethod('CalibrationHelperVector', c('numeric', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  ans = .Call('R_swig_new_CalibrationHelperVector__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t"
  
  ans
  
}

)
# Start of CalibrationHelperVector_pop_back

CalibrationHelperVector_pop_back = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector_pop_back', self, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_pop_back


attr(CalibrationHelperVector_pop_back, 'returnType') = 'void'
attr(CalibrationHelperVector_pop_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_pop_back) = c("SWIGFunction", class(CalibrationHelperVector_pop_back))

setGeneric('CalibrationHelperVector_resize', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CalibrationHelperVector_resize'))
attr(CalibrationHelperVector_resize, 'returnType') = 'void'
setMethod('CalibrationHelperVector_resize', c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  .Call('R_swig_CalibrationHelperVector_resize__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('CalibrationHelperVector', c('numeric', '_p_boost__shared_ptrTCalibrationHelper_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTCalibrationHelper_t") 
  ans = .Call('R_swig_new_CalibrationHelperVector__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t"
  
  ans
  
}

)
# Start of CalibrationHelperVector_push_back

CalibrationHelperVector_push_back = function(self, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelperVector_push_back', self, x, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_push_back


attr(CalibrationHelperVector_push_back, 'returnType') = 'void'
attr(CalibrationHelperVector_push_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', '_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelperVector_push_back) = c("SWIGFunction", class(CalibrationHelperVector_push_back))

# Start of CalibrationHelperVector_front

CalibrationHelperVector_front = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  ans = .Call('R_swig_CalibrationHelperVector_front', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCalibrationHelper_t"
  
  ans
  
}
# End of CalibrationHelperVector_front


attr(CalibrationHelperVector_front, 'returnType') = '_p_boost__shared_ptrTCalibrationHelper_t'
attr(CalibrationHelperVector_front, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_front) = c("SWIGFunction", class(CalibrationHelperVector_front))

# Start of CalibrationHelperVector_back

CalibrationHelperVector_back = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  ans = .Call('R_swig_CalibrationHelperVector_back', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCalibrationHelper_t"
  
  ans
  
}
# End of CalibrationHelperVector_back


attr(CalibrationHelperVector_back, 'returnType') = '_p_boost__shared_ptrTCalibrationHelper_t'
attr(CalibrationHelperVector_back, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_back) = c("SWIGFunction", class(CalibrationHelperVector_back))

# Start of CalibrationHelperVector_assign

CalibrationHelperVector_assign = function(self, n, x)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  coerceIfNotSubclass(x, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelperVector_assign', self, n, x, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_assign


attr(CalibrationHelperVector_assign, 'returnType') = 'void'
attr(CalibrationHelperVector_assign, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric', '_p_boost__shared_ptrTCalibrationHelper_t')
class(CalibrationHelperVector_assign) = c("SWIGFunction", class(CalibrationHelperVector_assign))

setMethod('CalibrationHelperVector_resize', c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric', '_p_boost__shared_ptrTCalibrationHelper_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  coerceIfNotSubclass(s_arg3, "_p_boost__shared_ptrTCalibrationHelper_t") 
  .Call('R_swig_CalibrationHelperVector_resize__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of CalibrationHelperVector_reserve

CalibrationHelperVector_reserve = function(self, n)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  n = as.integer(n) 
  
  if(length(n) > 1) {
    warning("using only the first element of n")
  }
  
  .Call('R_swig_CalibrationHelperVector_reserve', self, n, PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_reserve


attr(CalibrationHelperVector_reserve, 'returnType') = 'void'
attr(CalibrationHelperVector_reserve, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', 'numeric')
class(CalibrationHelperVector_reserve) = c("SWIGFunction", class(CalibrationHelperVector_reserve))

# Start of CalibrationHelperVector_capacity

CalibrationHelperVector_capacity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_CalibrationHelperVector_capacity', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CalibrationHelperVector_capacity


attr(CalibrationHelperVector_capacity, 'returnType') = 'numeric'
attr(CalibrationHelperVector_capacity, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(CalibrationHelperVector_capacity) = c("SWIGFunction", class(CalibrationHelperVector_capacity))

# Start of delete_CalibrationHelperVector

delete_CalibrationHelperVector = function(self)
{
  coerceIfNotSubclass(self, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  .Call('R_swig_delete_CalibrationHelperVector', self, PACKAGE='QuantLib')
  
}
# End of delete_CalibrationHelperVector


attr(delete_CalibrationHelperVector, 'returnType') = 'void'
attr(delete_CalibrationHelperVector, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t')
class(delete_CalibrationHelperVector) = c("SWIGFunction", class(delete_CalibrationHelperVector))

# Start of accessor method for std::vector<(boost::shared_ptr<(CalibrationHelper)>)>
setMethod('$', '_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', function(x, name)

{
  accessorFuns = list('__nonzero__' = CalibrationHelperVector___nonzero__, '__len__' = CalibrationHelperVector___len__, 'pop' = CalibrationHelperVector_pop, '__getslice__' = CalibrationHelperVector___getslice__, '__setslice__' = CalibrationHelperVector___setslice__, '__delslice__' = CalibrationHelperVector___delslice__, '__delitem__' = CalibrationHelperVector___delitem__, '__getitem__' = CalibrationHelperVector___getitem__, '__setitem__' = CalibrationHelperVector___setitem__, 'append' = CalibrationHelperVector_append, 'empty' = CalibrationHelperVector_empty, 'size' = CalibrationHelperVector_size, 'clear' = CalibrationHelperVector_clear, 'swap' = CalibrationHelperVector_swap, 'get_allocator' = CalibrationHelperVector_get_allocator, 'pop_back' = CalibrationHelperVector_pop_back, 'resize' = CalibrationHelperVector_resize, 'push_back' = CalibrationHelperVector_push_back, 'front' = CalibrationHelperVector_front, 'back' = CalibrationHelperVector_back, 'assign' = CalibrationHelperVector_assign, 'resize' = CalibrationHelperVector_resize, 'reserve' = CalibrationHelperVector_reserve, 'capacity' = CalibrationHelperVector_capacity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for std::vector<(boost::shared_ptr<(CalibrationHelper)>)>
# Start of ShortRateModel___deref__

ShortRateModel___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTShortRateModel_t") 
  ans = .Call('R_swig_ShortRateModel___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_ShortRateModel"
  
  ans
  
}
# End of ShortRateModel___deref__


attr(ShortRateModel___deref__, 'returnType') = '_p_ShortRateModel'
attr(ShortRateModel___deref__, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t')
class(ShortRateModel___deref__) = c("SWIGFunction", class(ShortRateModel___deref__))

# Start of ShortRateModel_isNull

ShortRateModel_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTShortRateModel_t") 
  .Call('R_swig_ShortRateModel_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of ShortRateModel_isNull


attr(ShortRateModel_isNull, 'returnType') = 'logical'
attr(ShortRateModel_isNull, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t')
class(ShortRateModel_isNull) = c("SWIGFunction", class(ShortRateModel_isNull))

# Start of ShortRateModel_asObservable

ShortRateModel_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTShortRateModel_t") 
  ans = .Call('R_swig_ShortRateModel_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of ShortRateModel_asObservable


attr(ShortRateModel_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(ShortRateModel_asObservable, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t')
class(ShortRateModel_asObservable) = c("SWIGFunction", class(ShortRateModel_asObservable))

# Start of new_ShortRateModel

ShortRateModel = function()
{
  ans = .Call('R_swig_new_ShortRateModel', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTShortRateModel_t"
  
  ans
  
}
# End of new_ShortRateModel


attr(ShortRateModel, 'returnType') = '_p_boost__shared_ptrTShortRateModel_t'
class(ShortRateModel) = c("SWIGFunction", class(ShortRateModel))

# Start of delete_ShortRateModel

delete_ShortRateModel = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTShortRateModel_t") 
  .Call('R_swig_delete_ShortRateModel', self, PACKAGE='QuantLib')
  
}
# End of delete_ShortRateModel


attr(delete_ShortRateModel, 'returnType') = 'void'
attr(delete_ShortRateModel, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t')
class(delete_ShortRateModel) = c("SWIGFunction", class(delete_ShortRateModel))

# Start of ShortRateModel_params

ShortRateModel_params = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTShortRateModel_t") 
  ans = .Call('R_swig_ShortRateModel_params', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Array"
  
  ans
  
}
# End of ShortRateModel_params


attr(ShortRateModel_params, 'returnType') = '_p_Array'
attr(ShortRateModel_params, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t')
class(ShortRateModel_params) = c("SWIGFunction", class(ShortRateModel_params))

# Start of ShortRateModel_calibrate

ShortRateModel_calibrate = function(self, s_arg2, s_arg3)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTShortRateModel_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_OptimizationMethod") 
  .Call('R_swig_ShortRateModel_calibrate', self, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}
# End of ShortRateModel_calibrate


attr(ShortRateModel_calibrate, 'returnType') = 'void'
attr(ShortRateModel_calibrate, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t', '_p_std__vectorTboost__shared_ptrTCalibrationHelper_t_std__allocatorTboost__shared_ptrTCalibrationHelper_t_t_t', '_p_OptimizationMethod')
class(ShortRateModel_calibrate) = c("SWIGFunction", class(ShortRateModel_calibrate))

# Start of accessor method for boost::shared_ptr<(ShortRateModel)>
setMethod('$', '_p_boost__shared_ptrTShortRateModel_t', function(x, name)

{
  accessorFuns = list('operator ->' = ShortRateModel___deref__, 'isNull' = ShortRateModel_isNull, 'asObservable' = ShortRateModel_asObservable, 'params' = ShortRateModel_params, 'calibrate' = ShortRateModel_calibrate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(ShortRateModel)>
setGeneric('HullWhite', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('HullWhite'))
attr(HullWhite, 'returnType') = '_p_HullWhitePtr'
setMethod('HullWhite', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  ans = .Call('R_swig_new_HullWhite__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_HullWhitePtr"
  
  ans
  
}

)
setMethod('HullWhite', c('_p_HandleTYieldTermStructure_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_HullWhite__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_HullWhitePtr"
  
  ans
  
}

)
setMethod('HullWhite', c('_p_HandleTYieldTermStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_HullWhite__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HullWhitePtr"
  
  ans
  
}

)
# Start of delete_HullWhite

delete_HullWhite = function(self)
{
  coerceIfNotSubclass(self, "_p_HullWhitePtr") 
  .Call('R_swig_delete_HullWhite', self, PACKAGE='QuantLib')
  
}
# End of delete_HullWhite


attr(delete_HullWhite, 'returnType') = 'void'
attr(delete_HullWhite, "inputTypes") = c('_p_HullWhitePtr')
class(delete_HullWhite) = c("SWIGFunction", class(delete_HullWhite))

setGeneric('BlackKarasinski', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('BlackKarasinski'))
attr(BlackKarasinski, 'returnType') = '_p_BlackKarasinskiPtr'
setMethod('BlackKarasinski', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  ans = .Call('R_swig_new_BlackKarasinski__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackKarasinskiPtr"
  
  ans
  
}

)
setMethod('BlackKarasinski', c('_p_HandleTYieldTermStructure_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_BlackKarasinski__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackKarasinskiPtr"
  
  ans
  
}

)
setMethod('BlackKarasinski', c('_p_HandleTYieldTermStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_BlackKarasinski__SWIG_2', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackKarasinskiPtr"
  
  ans
  
}

)
# Start of delete_BlackKarasinski

delete_BlackKarasinski = function(self)
{
  coerceIfNotSubclass(self, "_p_BlackKarasinskiPtr") 
  .Call('R_swig_delete_BlackKarasinski', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackKarasinski


attr(delete_BlackKarasinski, 'returnType') = 'void'
attr(delete_BlackKarasinski, "inputTypes") = c('_p_BlackKarasinskiPtr')
class(delete_BlackKarasinski) = c("SWIGFunction", class(delete_BlackKarasinski))

setGeneric('G2', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('G2'))
attr(G2, 'returnType') = '_p_G2Ptr'
setMethod('G2', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  s_arg5 = as.numeric(s_arg5) 
  s_arg6 = as.numeric(s_arg6) 
  ans = .Call('R_swig_new_G2__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_G2Ptr"
  
  ans
  
}

)
setMethod('G2', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  s_arg5 = as.numeric(s_arg5) 
  ans = .Call('R_swig_new_G2__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_G2Ptr"
  
  ans
  
}

)
setMethod('G2', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  ans = .Call('R_swig_new_G2__SWIG_2', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_G2Ptr"
  
  ans
  
}

)
setMethod('G2', c('_p_HandleTYieldTermStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  ans = .Call('R_swig_new_G2__SWIG_3', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_G2Ptr"
  
  ans
  
}

)
setMethod('G2', c('_p_HandleTYieldTermStructure_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  ans = .Call('R_swig_new_G2__SWIG_4', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_G2Ptr"
  
  ans
  
}

)
setMethod('G2', c('_p_HandleTYieldTermStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_G2__SWIG_5', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_G2Ptr"
  
  ans
  
}

)
# Start of delete_G2

delete_G2 = function(self)
{
  coerceIfNotSubclass(self, "_p_G2Ptr") 
  .Call('R_swig_delete_G2', self, PACKAGE='QuantLib')
  
}
# End of delete_G2


attr(delete_G2, 'returnType') = 'void'
attr(delete_G2, "inputTypes") = c('_p_G2Ptr')
class(delete_G2) = c("SWIGFunction", class(delete_G2))

# Start of new_JamshidianSwaptionEngine

JamshidianSwaptionEngine = function(model)
{
  coerceIfNotSubclass(model, "_p_boost__shared_ptrTShortRateModel_t") 
  ans = .Call('R_swig_new_JamshidianSwaptionEngine', model, PACKAGE='QuantLib')
  class(ans) <- "_p_JamshidianSwaptionEnginePtr"
  
  ans
  
}
# End of new_JamshidianSwaptionEngine


attr(JamshidianSwaptionEngine, 'returnType') = '_p_JamshidianSwaptionEnginePtr'
attr(JamshidianSwaptionEngine, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t')
class(JamshidianSwaptionEngine) = c("SWIGFunction", class(JamshidianSwaptionEngine))

# Start of delete_JamshidianSwaptionEngine

delete_JamshidianSwaptionEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_JamshidianSwaptionEnginePtr") 
  .Call('R_swig_delete_JamshidianSwaptionEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_JamshidianSwaptionEngine


attr(delete_JamshidianSwaptionEngine, 'returnType') = 'void'
attr(delete_JamshidianSwaptionEngine, "inputTypes") = c('_p_JamshidianSwaptionEnginePtr')
class(delete_JamshidianSwaptionEngine) = c("SWIGFunction", class(delete_JamshidianSwaptionEngine))

setGeneric('TreeSwaptionEngine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('TreeSwaptionEngine'))
attr(TreeSwaptionEngine, 'returnType') = '_p_TreeSwaptionEnginePtr'
setMethod('TreeSwaptionEngine', c('_p_boost__shared_ptrTShortRateModel_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTShortRateModel_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_TreeSwaptionEngine__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_TreeSwaptionEnginePtr"
  
  ans
  
}

)
setMethod('TreeSwaptionEngine', c('_p_boost__shared_ptrTShortRateModel_t', '_p_TimeGrid', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTShortRateModel_t") 
  coerceIfNotSubclass(s_arg2, "_p_TimeGrid") 
  ans = .Call('R_swig_new_TreeSwaptionEngine__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_TreeSwaptionEnginePtr"
  
  ans
  
}

)
# Start of delete_TreeSwaptionEngine

delete_TreeSwaptionEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_TreeSwaptionEnginePtr") 
  .Call('R_swig_delete_TreeSwaptionEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_TreeSwaptionEngine


attr(delete_TreeSwaptionEngine, 'returnType') = 'void'
attr(delete_TreeSwaptionEngine, "inputTypes") = c('_p_TreeSwaptionEnginePtr')
class(delete_TreeSwaptionEngine) = c("SWIGFunction", class(delete_TreeSwaptionEngine))

# Start of new_AnalyticCapFloorEngine

AnalyticCapFloorEngine = function(model)
{
  coerceIfNotSubclass(model, "_p_boost__shared_ptrTShortRateModel_t") 
  ans = .Call('R_swig_new_AnalyticCapFloorEngine', model, PACKAGE='QuantLib')
  class(ans) <- "_p_AnalyticCapFloorEnginePtr"
  
  ans
  
}
# End of new_AnalyticCapFloorEngine


attr(AnalyticCapFloorEngine, 'returnType') = '_p_AnalyticCapFloorEnginePtr'
attr(AnalyticCapFloorEngine, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t')
class(AnalyticCapFloorEngine) = c("SWIGFunction", class(AnalyticCapFloorEngine))

# Start of delete_AnalyticCapFloorEngine

delete_AnalyticCapFloorEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_AnalyticCapFloorEnginePtr") 
  .Call('R_swig_delete_AnalyticCapFloorEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_AnalyticCapFloorEngine


attr(delete_AnalyticCapFloorEngine, 'returnType') = 'void'
attr(delete_AnalyticCapFloorEngine, "inputTypes") = c('_p_AnalyticCapFloorEnginePtr')
class(delete_AnalyticCapFloorEngine) = c("SWIGFunction", class(delete_AnalyticCapFloorEngine))

setGeneric('TreeCapFloorEngine', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('TreeCapFloorEngine'))
attr(TreeCapFloorEngine, 'returnType') = '_p_TreeCapFloorEnginePtr'
setMethod('TreeCapFloorEngine', c('_p_boost__shared_ptrTShortRateModel_t', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTShortRateModel_t") 
  s_arg2 = as.integer(s_arg2) 
  
  if(length(s_arg2) > 1) {
    warning("using only the first element of s_arg2")
  }
  
  ans = .Call('R_swig_new_TreeCapFloorEngine__SWIG_0', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_TreeCapFloorEnginePtr"
  
  ans
  
}

)
setMethod('TreeCapFloorEngine', c('_p_boost__shared_ptrTShortRateModel_t', '_p_TimeGrid', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTShortRateModel_t") 
  coerceIfNotSubclass(s_arg2, "_p_TimeGrid") 
  ans = .Call('R_swig_new_TreeCapFloorEngine__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_TreeCapFloorEnginePtr"
  
  ans
  
}

)
# Start of delete_TreeCapFloorEngine

delete_TreeCapFloorEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_TreeCapFloorEnginePtr") 
  .Call('R_swig_delete_TreeCapFloorEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_TreeCapFloorEngine


attr(delete_TreeCapFloorEngine, 'returnType') = 'void'
attr(delete_TreeCapFloorEngine, "inputTypes") = c('_p_TreeCapFloorEnginePtr')
class(delete_TreeCapFloorEngine) = c("SWIGFunction", class(delete_TreeCapFloorEngine))

# Start of new_G2SwaptionEngine

G2SwaptionEngine = function(model, range, intervals)
{
  coerceIfNotSubclass(model, "_p_boost__shared_ptrTShortRateModel_t") 
  range = as.numeric(range) 
  intervals = as.integer(intervals) 
  
  if(length(intervals) > 1) {
    warning("using only the first element of intervals")
  }
  
  ans = .Call('R_swig_new_G2SwaptionEngine', model, range, intervals, PACKAGE='QuantLib')
  class(ans) <- "_p_G2SwaptionEnginePtr"
  
  ans
  
}
# End of new_G2SwaptionEngine


attr(G2SwaptionEngine, 'returnType') = '_p_G2SwaptionEnginePtr'
attr(G2SwaptionEngine, "inputTypes") = c('_p_boost__shared_ptrTShortRateModel_t', 'numeric', 'numeric')
class(G2SwaptionEngine) = c("SWIGFunction", class(G2SwaptionEngine))

# Start of delete_G2SwaptionEngine

delete_G2SwaptionEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_G2SwaptionEnginePtr") 
  .Call('R_swig_delete_G2SwaptionEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_G2SwaptionEngine


attr(delete_G2SwaptionEngine, 'returnType') = 'void'
attr(delete_G2SwaptionEngine, "inputTypes") = c('_p_G2SwaptionEnginePtr')
class(delete_G2SwaptionEngine) = c("SWIGFunction", class(delete_G2SwaptionEngine))

# Start of Statistics_samples

Statistics_samples = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_samples', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_samples


attr(Statistics_samples, 'returnType') = 'numeric'
attr(Statistics_samples, "inputTypes") = c('_p_Statistics')
class(Statistics_samples) = c("SWIGFunction", class(Statistics_samples))

# Start of Statistics_weightSum

Statistics_weightSum = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_weightSum', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_weightSum


attr(Statistics_weightSum, 'returnType') = 'numeric'
attr(Statistics_weightSum, "inputTypes") = c('_p_Statistics')
class(Statistics_weightSum) = c("SWIGFunction", class(Statistics_weightSum))

# Start of Statistics_mean

Statistics_mean = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_mean', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_mean


attr(Statistics_mean, 'returnType') = 'numeric'
attr(Statistics_mean, "inputTypes") = c('_p_Statistics')
class(Statistics_mean) = c("SWIGFunction", class(Statistics_mean))

# Start of Statistics_variance

Statistics_variance = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_variance', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_variance


attr(Statistics_variance, 'returnType') = 'numeric'
attr(Statistics_variance, "inputTypes") = c('_p_Statistics')
class(Statistics_variance) = c("SWIGFunction", class(Statistics_variance))

# Start of Statistics_standardDeviation

Statistics_standardDeviation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_standardDeviation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_standardDeviation


attr(Statistics_standardDeviation, 'returnType') = 'numeric'
attr(Statistics_standardDeviation, "inputTypes") = c('_p_Statistics')
class(Statistics_standardDeviation) = c("SWIGFunction", class(Statistics_standardDeviation))

# Start of Statistics_errorEstimate

Statistics_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_errorEstimate


attr(Statistics_errorEstimate, 'returnType') = 'numeric'
attr(Statistics_errorEstimate, "inputTypes") = c('_p_Statistics')
class(Statistics_errorEstimate) = c("SWIGFunction", class(Statistics_errorEstimate))

# Start of Statistics_skewness

Statistics_skewness = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_skewness', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_skewness


attr(Statistics_skewness, 'returnType') = 'numeric'
attr(Statistics_skewness, "inputTypes") = c('_p_Statistics')
class(Statistics_skewness) = c("SWIGFunction", class(Statistics_skewness))

# Start of Statistics_kurtosis

Statistics_kurtosis = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_kurtosis', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_kurtosis


attr(Statistics_kurtosis, 'returnType') = 'numeric'
attr(Statistics_kurtosis, "inputTypes") = c('_p_Statistics')
class(Statistics_kurtosis) = c("SWIGFunction", class(Statistics_kurtosis))

# Start of Statistics_min

Statistics_min = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_min', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_min


attr(Statistics_min, 'returnType') = 'numeric'
attr(Statistics_min, "inputTypes") = c('_p_Statistics')
class(Statistics_min) = c("SWIGFunction", class(Statistics_min))

# Start of Statistics_max

Statistics_max = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_max', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Statistics_max


attr(Statistics_max, 'returnType') = 'numeric'
attr(Statistics_max, "inputTypes") = c('_p_Statistics')
class(Statistics_max) = c("SWIGFunction", class(Statistics_max))

# Start of Statistics_reset

Statistics_reset = function(self)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_Statistics_reset', self, PACKAGE='QuantLib')
  
}
# End of Statistics_reset


attr(Statistics_reset, 'returnType') = 'void'
attr(Statistics_reset, "inputTypes") = c('_p_Statistics')
class(Statistics_reset) = c("SWIGFunction", class(Statistics_reset))

setGeneric('Statistics_add', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('Statistics_add'))
attr(Statistics_add, 'returnType') = 'void'
setMethod('Statistics_add', c('_p_Statistics', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Statistics") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_Statistics_add__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
setMethod('Statistics_add', c('_p_Statistics', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_Statistics") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_Statistics_add__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('Statistics_add', c('_p_Statistics', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_Statistics") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_Statistics_add__SWIG_2', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('Statistics_add', c('_p_Statistics', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_Statistics") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_Statistics_add__SWIG_3', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
# Start of new_Statistics

Statistics = function()
{
  ans = .Call('R_swig_new_Statistics', PACKAGE='QuantLib')
  class(ans) <- "_p_Statistics"
  
  ans
  
}
# End of new_Statistics


attr(Statistics, 'returnType') = '_p_Statistics'
class(Statistics) = c("SWIGFunction", class(Statistics))

# Start of delete_Statistics

delete_Statistics = function(self)
{
  coerceIfNotSubclass(self, "_p_Statistics") 
  .Call('R_swig_delete_Statistics', self, PACKAGE='QuantLib')
  
}
# End of delete_Statistics


attr(delete_Statistics, 'returnType') = 'void'
attr(delete_Statistics, "inputTypes") = c('_p_Statistics')
class(delete_Statistics) = c("SWIGFunction", class(delete_Statistics))

# Start of accessor method for Statistics
setMethod('$', '_p_Statistics', function(x, name)

{
  accessorFuns = list('samples' = Statistics_samples, 'weightSum' = Statistics_weightSum, 'mean' = Statistics_mean, 'variance' = Statistics_variance, 'standardDeviation' = Statistics_standardDeviation, 'errorEstimate' = Statistics_errorEstimate, 'skewness' = Statistics_skewness, 'kurtosis' = Statistics_kurtosis, 'min' = Statistics_min, 'max' = Statistics_max, 'add' = Statistics_add, 'add' = Statistics_add, 'add' = Statistics_add, 'add' = Statistics_add)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Statistics
# Start of accessor method for Statistics
setMethod('$<-', '_p_Statistics', function(x, name, value)

{
  accessorFuns = list('reset' = Statistics_reset)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  f(x, value)
  x
}



)
setMethod('[[<-', c('_p_Statistics', 'character'),function(x, i, j, ..., value)

{
  name = i
  accessorFuns = list('reset' = Statistics_reset)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  f(x, value)
  x
}



)
# end of accessor method for Statistics
# Start of RiskStatistics_semiVariance

RiskStatistics_semiVariance = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  .Call('R_swig_RiskStatistics_semiVariance', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_semiVariance


attr(RiskStatistics_semiVariance, 'returnType') = 'numeric'
attr(RiskStatistics_semiVariance, "inputTypes") = c('_p_RiskStatistics')
class(RiskStatistics_semiVariance) = c("SWIGFunction", class(RiskStatistics_semiVariance))

# Start of RiskStatistics_semiDeviation

RiskStatistics_semiDeviation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  .Call('R_swig_RiskStatistics_semiDeviation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_semiDeviation


attr(RiskStatistics_semiDeviation, 'returnType') = 'numeric'
attr(RiskStatistics_semiDeviation, "inputTypes") = c('_p_RiskStatistics')
class(RiskStatistics_semiDeviation) = c("SWIGFunction", class(RiskStatistics_semiDeviation))

# Start of RiskStatistics_downsideVariance

RiskStatistics_downsideVariance = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  .Call('R_swig_RiskStatistics_downsideVariance', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_downsideVariance


attr(RiskStatistics_downsideVariance, 'returnType') = 'numeric'
attr(RiskStatistics_downsideVariance, "inputTypes") = c('_p_RiskStatistics')
class(RiskStatistics_downsideVariance) = c("SWIGFunction", class(RiskStatistics_downsideVariance))

# Start of RiskStatistics_downsideDeviation

RiskStatistics_downsideDeviation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  .Call('R_swig_RiskStatistics_downsideDeviation', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_downsideDeviation


attr(RiskStatistics_downsideDeviation, 'returnType') = 'numeric'
attr(RiskStatistics_downsideDeviation, "inputTypes") = c('_p_RiskStatistics')
class(RiskStatistics_downsideDeviation) = c("SWIGFunction", class(RiskStatistics_downsideDeviation))

# Start of RiskStatistics_regret

RiskStatistics_regret = function(self, target, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  target = as.numeric(target) 
  .Call('R_swig_RiskStatistics_regret', self, target, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_regret


attr(RiskStatistics_regret, 'returnType') = 'numeric'
attr(RiskStatistics_regret, "inputTypes") = c('_p_RiskStatistics', 'numeric')
class(RiskStatistics_regret) = c("SWIGFunction", class(RiskStatistics_regret))

# Start of RiskStatistics_potentialUpside

RiskStatistics_potentialUpside = function(self, percentile, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  percentile = as.numeric(percentile) 
  .Call('R_swig_RiskStatistics_potentialUpside', self, percentile, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_potentialUpside


attr(RiskStatistics_potentialUpside, 'returnType') = 'numeric'
attr(RiskStatistics_potentialUpside, "inputTypes") = c('_p_RiskStatistics', 'numeric')
class(RiskStatistics_potentialUpside) = c("SWIGFunction", class(RiskStatistics_potentialUpside))

# Start of RiskStatistics_valueAtRisk

RiskStatistics_valueAtRisk = function(self, percentile, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  percentile = as.numeric(percentile) 
  .Call('R_swig_RiskStatistics_valueAtRisk', self, percentile, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_valueAtRisk


attr(RiskStatistics_valueAtRisk, 'returnType') = 'numeric'
attr(RiskStatistics_valueAtRisk, "inputTypes") = c('_p_RiskStatistics', 'numeric')
class(RiskStatistics_valueAtRisk) = c("SWIGFunction", class(RiskStatistics_valueAtRisk))

# Start of RiskStatistics_expectedShortfall

RiskStatistics_expectedShortfall = function(self, percentile, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  percentile = as.numeric(percentile) 
  .Call('R_swig_RiskStatistics_expectedShortfall', self, percentile, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_expectedShortfall


attr(RiskStatistics_expectedShortfall, 'returnType') = 'numeric'
attr(RiskStatistics_expectedShortfall, "inputTypes") = c('_p_RiskStatistics', 'numeric')
class(RiskStatistics_expectedShortfall) = c("SWIGFunction", class(RiskStatistics_expectedShortfall))

# Start of RiskStatistics_shortfall

RiskStatistics_shortfall = function(self, target, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  target = as.numeric(target) 
  .Call('R_swig_RiskStatistics_shortfall', self, target, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_shortfall


attr(RiskStatistics_shortfall, 'returnType') = 'numeric'
attr(RiskStatistics_shortfall, "inputTypes") = c('_p_RiskStatistics', 'numeric')
class(RiskStatistics_shortfall) = c("SWIGFunction", class(RiskStatistics_shortfall))

# Start of RiskStatistics_averageShortfall

RiskStatistics_averageShortfall = function(self, target, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  target = as.numeric(target) 
  .Call('R_swig_RiskStatistics_averageShortfall', self, target, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of RiskStatistics_averageShortfall


attr(RiskStatistics_averageShortfall, 'returnType') = 'numeric'
attr(RiskStatistics_averageShortfall, "inputTypes") = c('_p_RiskStatistics', 'numeric')
class(RiskStatistics_averageShortfall) = c("SWIGFunction", class(RiskStatistics_averageShortfall))

# Start of new_RiskStatistics

RiskStatistics = function()
{
  ans = .Call('R_swig_new_RiskStatistics', PACKAGE='QuantLib')
  class(ans) <- "_p_RiskStatistics"
  
  ans
  
}
# End of new_RiskStatistics


attr(RiskStatistics, 'returnType') = '_p_RiskStatistics'
class(RiskStatistics) = c("SWIGFunction", class(RiskStatistics))

# Start of delete_RiskStatistics

delete_RiskStatistics = function(self)
{
  coerceIfNotSubclass(self, "_p_RiskStatistics") 
  .Call('R_swig_delete_RiskStatistics', self, PACKAGE='QuantLib')
  
}
# End of delete_RiskStatistics


attr(delete_RiskStatistics, 'returnType') = 'void'
attr(delete_RiskStatistics, "inputTypes") = c('_p_RiskStatistics')
class(delete_RiskStatistics) = c("SWIGFunction", class(delete_RiskStatistics))

# Start of accessor method for RiskStatistics
setMethod('$', '_p_RiskStatistics', function(x, name)

{
  accessorFuns = list('semiVariance' = RiskStatistics_semiVariance, 'semiDeviation' = RiskStatistics_semiDeviation, 'downsideVariance' = RiskStatistics_downsideVariance, 'downsideDeviation' = RiskStatistics_downsideDeviation, 'regret' = RiskStatistics_regret, 'potentialUpside' = RiskStatistics_potentialUpside, 'valueAtRisk' = RiskStatistics_valueAtRisk, 'expectedShortfall' = RiskStatistics_expectedShortfall, 'shortfall' = RiskStatistics_shortfall, 'averageShortfall' = RiskStatistics_averageShortfall)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for RiskStatistics
# Start of new_MultipleStatistics

MultipleStatistics = function(dimension)
{
  dimension = as.integer(dimension) 
  
  if(length(dimension) > 1) {
    warning("using only the first element of dimension")
  }
  
  ans = .Call('R_swig_new_MultipleStatistics', dimension, PACKAGE='QuantLib')
  class(ans) <- "_p_SequenceStatisticsTStatistics_t"
  
  ans
  
}
# End of new_MultipleStatistics


attr(MultipleStatistics, 'returnType') = '_p_SequenceStatisticsTStatistics_t'
attr(MultipleStatistics, "inputTypes") = c('numeric')
class(MultipleStatistics) = c("SWIGFunction", class(MultipleStatistics))

# Start of MultipleStatistics_size

MultipleStatistics_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  .Call('R_swig_MultipleStatistics_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MultipleStatistics_size


attr(MultipleStatistics_size, 'returnType') = 'numeric'
attr(MultipleStatistics_size, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_size) = c("SWIGFunction", class(MultipleStatistics_size))

# Start of MultipleStatistics_samples

MultipleStatistics_samples = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  .Call('R_swig_MultipleStatistics_samples', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MultipleStatistics_samples


attr(MultipleStatistics_samples, 'returnType') = 'numeric'
attr(MultipleStatistics_samples, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_samples) = c("SWIGFunction", class(MultipleStatistics_samples))

# Start of MultipleStatistics_weightSum

MultipleStatistics_weightSum = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  .Call('R_swig_MultipleStatistics_weightSum', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of MultipleStatistics_weightSum


attr(MultipleStatistics_weightSum, 'returnType') = 'numeric'
attr(MultipleStatistics_weightSum, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_weightSum) = c("SWIGFunction", class(MultipleStatistics_weightSum))

# Start of MultipleStatistics_mean

MultipleStatistics_mean = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_mean', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_mean


attr(MultipleStatistics_mean, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_mean, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_mean) = c("SWIGFunction", class(MultipleStatistics_mean))

# Start of MultipleStatistics_variance

MultipleStatistics_variance = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_variance', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_variance


attr(MultipleStatistics_variance, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_variance, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_variance) = c("SWIGFunction", class(MultipleStatistics_variance))

# Start of MultipleStatistics_standardDeviation

MultipleStatistics_standardDeviation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_standardDeviation', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_standardDeviation


attr(MultipleStatistics_standardDeviation, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_standardDeviation, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_standardDeviation) = c("SWIGFunction", class(MultipleStatistics_standardDeviation))

# Start of MultipleStatistics_errorEstimate

MultipleStatistics_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_errorEstimate


attr(MultipleStatistics_errorEstimate, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_errorEstimate, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_errorEstimate) = c("SWIGFunction", class(MultipleStatistics_errorEstimate))

# Start of MultipleStatistics_skewness

MultipleStatistics_skewness = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_skewness', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_skewness


attr(MultipleStatistics_skewness, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_skewness, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_skewness) = c("SWIGFunction", class(MultipleStatistics_skewness))

# Start of MultipleStatistics_kurtosis

MultipleStatistics_kurtosis = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_kurtosis', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_kurtosis


attr(MultipleStatistics_kurtosis, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_kurtosis, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_kurtosis) = c("SWIGFunction", class(MultipleStatistics_kurtosis))

# Start of MultipleStatistics_min

MultipleStatistics_min = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_min', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_min


attr(MultipleStatistics_min, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_min, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_min) = c("SWIGFunction", class(MultipleStatistics_min))

# Start of MultipleStatistics_max

MultipleStatistics_max = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_max', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTdouble_std__allocatorTdouble_t_t"
  
  ans
  
}
# End of MultipleStatistics_max


attr(MultipleStatistics_max, 'returnType') = '_p_std__vectorTdouble_std__allocatorTdouble_t_t'
attr(MultipleStatistics_max, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_max) = c("SWIGFunction", class(MultipleStatistics_max))

# Start of MultipleStatistics_covariance

MultipleStatistics_covariance = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_covariance', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of MultipleStatistics_covariance


attr(MultipleStatistics_covariance, 'returnType') = '_p_Matrix'
attr(MultipleStatistics_covariance, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_covariance) = c("SWIGFunction", class(MultipleStatistics_covariance))

# Start of MultipleStatistics_correlation

MultipleStatistics_correlation = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  ans = .Call('R_swig_MultipleStatistics_correlation', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Matrix"
  
  ans
  
}
# End of MultipleStatistics_correlation


attr(MultipleStatistics_correlation, 'returnType') = '_p_Matrix'
attr(MultipleStatistics_correlation, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_correlation) = c("SWIGFunction", class(MultipleStatistics_correlation))

# Start of MultipleStatistics_reset

MultipleStatistics_reset = function(self)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  .Call('R_swig_MultipleStatistics_reset', self, PACKAGE='QuantLib')
  
}
# End of MultipleStatistics_reset


attr(MultipleStatistics_reset, 'returnType') = 'void'
attr(MultipleStatistics_reset, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(MultipleStatistics_reset) = c("SWIGFunction", class(MultipleStatistics_reset))

setGeneric('MultipleStatistics_add', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('MultipleStatistics_add'))
attr(MultipleStatistics_add, 'returnType') = 'void'
setMethod('MultipleStatistics_add', c('_p_SequenceStatisticsTStatistics_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_SequenceStatisticsTStatistics_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_MultipleStatistics_add__SWIG_0', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
setMethod('MultipleStatistics_add', c('_p_SequenceStatisticsTStatistics_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_SequenceStatisticsTStatistics_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  .Call('R_swig_MultipleStatistics_add__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
setMethod('MultipleStatistics_add', c('_p_SequenceStatisticsTStatistics_t', '_p_Array', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_SequenceStatisticsTStatistics_t") 
  coerceIfNotSubclass(s_arg2, "_p_Array") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_MultipleStatistics_add__SWIG_2', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  
}

)
setMethod('MultipleStatistics_add', c('_p_SequenceStatisticsTStatistics_t', '_p_Array', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_SequenceStatisticsTStatistics_t") 
  coerceIfNotSubclass(s_arg2, "_p_Array") 
  .Call('R_swig_MultipleStatistics_add__SWIG_3', s_arg1, s_arg2, PACKAGE='QuantLib')
  
}

)
# Start of delete_MultipleStatistics

delete_MultipleStatistics = function(self)
{
  coerceIfNotSubclass(self, "_p_SequenceStatisticsTStatistics_t") 
  .Call('R_swig_delete_MultipleStatistics', self, PACKAGE='QuantLib')
  
}
# End of delete_MultipleStatistics


attr(delete_MultipleStatistics, 'returnType') = 'void'
attr(delete_MultipleStatistics, "inputTypes") = c('_p_SequenceStatisticsTStatistics_t')
class(delete_MultipleStatistics) = c("SWIGFunction", class(delete_MultipleStatistics))

# Start of accessor method for SequenceStatistics<(Statistics)>
setMethod('$', '_p_SequenceStatisticsTStatistics_t', function(x, name)

{
  accessorFuns = list('size' = MultipleStatistics_size, 'samples' = MultipleStatistics_samples, 'weightSum' = MultipleStatistics_weightSum, 'mean' = MultipleStatistics_mean, 'variance' = MultipleStatistics_variance, 'standardDeviation' = MultipleStatistics_standardDeviation, 'errorEstimate' = MultipleStatistics_errorEstimate, 'skewness' = MultipleStatistics_skewness, 'kurtosis' = MultipleStatistics_kurtosis, 'min' = MultipleStatistics_min, 'max' = MultipleStatistics_max, 'covariance' = MultipleStatistics_covariance, 'correlation' = MultipleStatistics_correlation, 'add' = MultipleStatistics_add, 'add' = MultipleStatistics_add, 'add' = MultipleStatistics_add, 'add' = MultipleStatistics_add)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SequenceStatistics<(Statistics)>
# Start of accessor method for SequenceStatistics<(Statistics)>
setMethod('$<-', '_p_SequenceStatisticsTStatistics_t', function(x, name, value)

{
  accessorFuns = list('reset' = MultipleStatistics_reset)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  f(x, value)
  x
}



)
setMethod('[[<-', c('_p_SequenceStatisticsTStatistics_t', 'character'),function(x, i, j, ..., value)

{
  name = i
  accessorFuns = list('reset' = MultipleStatistics_reset)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  f(x, value)
  x
}



)
# end of accessor method for SequenceStatistics<(Statistics)>
setGeneric('TimeBasket', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('TimeBasket'))
attr(TimeBasket, 'returnType') = '_p_TimeBasket'
setMethod('TimeBasket', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_TimeBasket__SWIG_0', PACKAGE='QuantLib')
  class(ans) <- "_p_TimeBasket"
  
  ans
  
}

)
setMethod('TimeBasket', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_new_TimeBasket__SWIG_1', s_arg1, s_arg2, PACKAGE='QuantLib')
  class(ans) <- "_p_TimeBasket"
  
  ans
  
}

)
# Start of TimeBasket_size

TimeBasket_size = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_TimeBasket") 
  .Call('R_swig_TimeBasket_size', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of TimeBasket_size


attr(TimeBasket_size, 'returnType') = 'numeric'
attr(TimeBasket_size, "inputTypes") = c('_p_TimeBasket')
class(TimeBasket_size) = c("SWIGFunction", class(TimeBasket_size))

# Start of TimeBasket_rebin

TimeBasket_rebin = function(self, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_TimeBasket") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  ans = .Call('R_swig_TimeBasket_rebin', self, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_TimeBasket"
  
  ans
  
}
# End of TimeBasket_rebin


attr(TimeBasket_rebin, 'returnType') = '_p_TimeBasket'
attr(TimeBasket_rebin, "inputTypes") = c('_p_TimeBasket', '_p_std__vectorTDate_std__allocatorTDate_t_t')
class(TimeBasket_rebin) = c("SWIGFunction", class(TimeBasket_rebin))

# Start of delete_TimeBasket

delete_TimeBasket = function(self)
{
  coerceIfNotSubclass(self, "_p_TimeBasket") 
  .Call('R_swig_delete_TimeBasket', self, PACKAGE='QuantLib')
  
}
# End of delete_TimeBasket


attr(delete_TimeBasket, 'returnType') = 'void'
attr(delete_TimeBasket, "inputTypes") = c('_p_TimeBasket')
class(delete_TimeBasket) = c("SWIGFunction", class(delete_TimeBasket))

# Start of accessor method for TimeBasket
setMethod('$', '_p_TimeBasket', function(x, name)

{
  accessorFuns = list('size' = TimeBasket_size, 'rebin' = TimeBasket_rebin)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for TimeBasket
# Start of new_Swap

Swap = function(firstLeg, secondLeg, termStructure)
{
  coerceIfNotSubclass(firstLeg, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(secondLeg, "_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t") 
  coerceIfNotSubclass(termStructure, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_Swap', firstLeg, secondLeg, termStructure, PACKAGE='QuantLib')
  class(ans) <- "_p_SwapPtr"
  
  ans
  
}
# End of new_Swap


attr(Swap, 'returnType') = '_p_SwapPtr'
attr(Swap, "inputTypes") = c('_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_std__vectorTboost__shared_ptrTCashFlow_t_std__allocatorTboost__shared_ptrTCashFlow_t_t_t', '_p_HandleTYieldTermStructure_t')
class(Swap) = c("SWIGFunction", class(Swap))

# Start of Swap_startDate

Swap_startDate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SwapPtr") 
  ans = .Call('R_swig_Swap_startDate', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Swap_startDate


attr(Swap_startDate, 'returnType') = '_p_Date'
attr(Swap_startDate, "inputTypes") = c('_p_SwapPtr')
class(Swap_startDate) = c("SWIGFunction", class(Swap_startDate))

# Start of Swap_maturity

Swap_maturity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SwapPtr") 
  ans = .Call('R_swig_Swap_maturity', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_Date"
  
  ans
  
}
# End of Swap_maturity


attr(Swap_maturity, 'returnType') = '_p_Date'
attr(Swap_maturity, "inputTypes") = c('_p_SwapPtr')
class(Swap_maturity) = c("SWIGFunction", class(Swap_maturity))

# Start of Swap_firstLegBPS

Swap_firstLegBPS = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SwapPtr") 
  .Call('R_swig_Swap_firstLegBPS', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Swap_firstLegBPS


attr(Swap_firstLegBPS, 'returnType') = 'numeric'
attr(Swap_firstLegBPS, "inputTypes") = c('_p_SwapPtr')
class(Swap_firstLegBPS) = c("SWIGFunction", class(Swap_firstLegBPS))

# Start of Swap_secondLegBPS

Swap_secondLegBPS = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SwapPtr") 
  .Call('R_swig_Swap_secondLegBPS', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of Swap_secondLegBPS


attr(Swap_secondLegBPS, 'returnType') = 'numeric'
attr(Swap_secondLegBPS, "inputTypes") = c('_p_SwapPtr')
class(Swap_secondLegBPS) = c("SWIGFunction", class(Swap_secondLegBPS))

# Start of Swap_sensitivity

Swap_sensitivity = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SwapPtr") 
  ans = .Call('R_swig_Swap_sensitivity', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_TimeBasket"
  
  ans
  
}
# End of Swap_sensitivity


attr(Swap_sensitivity, 'returnType') = '_p_TimeBasket'
attr(Swap_sensitivity, "inputTypes") = c('_p_SwapPtr')
class(Swap_sensitivity) = c("SWIGFunction", class(Swap_sensitivity))

# Start of delete_Swap

delete_Swap = function(self)
{
  coerceIfNotSubclass(self, "_p_SwapPtr") 
  .Call('R_swig_delete_Swap', self, PACKAGE='QuantLib')
  
}
# End of delete_Swap


attr(delete_Swap, 'returnType') = 'void'
attr(delete_Swap, "inputTypes") = c('_p_SwapPtr')
class(delete_Swap) = c("SWIGFunction", class(delete_Swap))

# Start of accessor method for SwapPtr
setMethod('$', '_p_SwapPtr', function(x, name)

{
  accessorFuns = list('startDate' = Swap_startDate, 'maturity' = Swap_maturity, 'firstLegBPS' = Swap_firstLegBPS, 'secondLegBPS' = Swap_secondLegBPS, 'sensitivity' = Swap_sensitivity)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SwapPtr
# Start of new_SimpleSwap

SimpleSwap = function(payFixedRate, nominal, fixedSchedule, fixedRate, fixedDayCount, floatSchedule, index, indexFixingDays, spread, termStructure)
{
  coerceIfNotSubclass(payFixedRate, "_p_bool") 
  nominal = as.numeric(nominal) 
  coerceIfNotSubclass(fixedSchedule, "_p_Schedule") 
  fixedRate = as.numeric(fixedRate) 
  coerceIfNotSubclass(fixedDayCount, "_p_DayCounter") 
  coerceIfNotSubclass(floatSchedule, "_p_Schedule") 
  coerceIfNotSubclass(index, "_p_XiborPtr") 
  indexFixingDays = as.integer(indexFixingDays) 
  
  if(length(indexFixingDays) > 1) {
    warning("using only the first element of indexFixingDays")
  }
  
  spread = as.numeric(spread) 
  coerceIfNotSubclass(termStructure, "_p_HandleTYieldTermStructure_t") 
  ans = .Call('R_swig_new_SimpleSwap', payFixedRate, nominal, fixedSchedule, fixedRate, fixedDayCount, floatSchedule, index, indexFixingDays, spread, termStructure, PACKAGE='QuantLib')
  class(ans) <- "_p_SimpleSwapPtr"
  
  ans
  
}
# End of new_SimpleSwap


attr(SimpleSwap, 'returnType') = '_p_SimpleSwapPtr'
attr(SimpleSwap, "inputTypes") = c('logical', 'numeric', '_p_Schedule', 'numeric', '_p_DayCounter', '_p_Schedule', '_p_XiborPtr', 'numeric', 'numeric', '_p_HandleTYieldTermStructure_t')
class(SimpleSwap) = c("SWIGFunction", class(SimpleSwap))

# Start of SimpleSwap_fairRate

SimpleSwap_fairRate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SimpleSwapPtr") 
  .Call('R_swig_SimpleSwap_fairRate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SimpleSwap_fairRate


attr(SimpleSwap_fairRate, 'returnType') = 'numeric'
attr(SimpleSwap_fairRate, "inputTypes") = c('_p_SimpleSwapPtr')
class(SimpleSwap_fairRate) = c("SWIGFunction", class(SimpleSwap_fairRate))

# Start of SimpleSwap_fairSpread

SimpleSwap_fairSpread = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SimpleSwapPtr") 
  .Call('R_swig_SimpleSwap_fairSpread', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SimpleSwap_fairSpread


attr(SimpleSwap_fairSpread, 'returnType') = 'numeric'
attr(SimpleSwap_fairSpread, "inputTypes") = c('_p_SimpleSwapPtr')
class(SimpleSwap_fairSpread) = c("SWIGFunction", class(SimpleSwap_fairSpread))

# Start of SimpleSwap_fixedLegBPS

SimpleSwap_fixedLegBPS = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SimpleSwapPtr") 
  .Call('R_swig_SimpleSwap_fixedLegBPS', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SimpleSwap_fixedLegBPS


attr(SimpleSwap_fixedLegBPS, 'returnType') = 'numeric'
attr(SimpleSwap_fixedLegBPS, "inputTypes") = c('_p_SimpleSwapPtr')
class(SimpleSwap_fixedLegBPS) = c("SWIGFunction", class(SimpleSwap_fixedLegBPS))

# Start of SimpleSwap_floatingLegBPS

SimpleSwap_floatingLegBPS = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_SimpleSwapPtr") 
  .Call('R_swig_SimpleSwap_floatingLegBPS', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SimpleSwap_floatingLegBPS


attr(SimpleSwap_floatingLegBPS, 'returnType') = 'numeric'
attr(SimpleSwap_floatingLegBPS, "inputTypes") = c('_p_SimpleSwapPtr')
class(SimpleSwap_floatingLegBPS) = c("SWIGFunction", class(SimpleSwap_floatingLegBPS))

# Start of delete_SimpleSwap

delete_SimpleSwap = function(self)
{
  coerceIfNotSubclass(self, "_p_SimpleSwapPtr") 
  .Call('R_swig_delete_SimpleSwap', self, PACKAGE='QuantLib')
  
}
# End of delete_SimpleSwap


attr(delete_SimpleSwap, 'returnType') = 'void'
attr(delete_SimpleSwap, "inputTypes") = c('_p_SimpleSwapPtr')
class(delete_SimpleSwap) = c("SWIGFunction", class(delete_SimpleSwap))

# Start of accessor method for SimpleSwapPtr
setMethod('$', '_p_SimpleSwapPtr', function(x, name)

{
  accessorFuns = list('fairRate' = SimpleSwap_fairRate, 'fairSpread' = SimpleSwap_fairSpread, 'fixedLegBPS' = SimpleSwap_fixedLegBPS, 'floatingLegBPS' = SimpleSwap_floatingLegBPS)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for SimpleSwapPtr
# Start of new_Swaption

Swaption = function(simpleSwap, exercise, termStructure, engine)
{
  coerceIfNotSubclass(simpleSwap, "_p_boost__shared_ptrTInstrument_t") 
  coerceIfNotSubclass(exercise, "_p_boost__shared_ptrTExercise_t") 
  coerceIfNotSubclass(termStructure, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(engine, "_p_boost__shared_ptrTPricingEngine_t") 
  ans = .Call('R_swig_new_Swaption', simpleSwap, exercise, termStructure, engine, PACKAGE='QuantLib')
  class(ans) <- "_p_SwaptionPtr"
  
  ans
  
}
# End of new_Swaption


attr(Swaption, 'returnType') = '_p_SwaptionPtr'
attr(Swaption, "inputTypes") = c('_p_boost__shared_ptrTInstrument_t', '_p_boost__shared_ptrTExercise_t', '_p_HandleTYieldTermStructure_t', '_p_boost__shared_ptrTPricingEngine_t')
class(Swaption) = c("SWIGFunction", class(Swaption))

# Start of delete_Swaption

delete_Swaption = function(self)
{
  coerceIfNotSubclass(self, "_p_SwaptionPtr") 
  .Call('R_swig_delete_Swaption', self, PACKAGE='QuantLib')
  
}
# End of delete_Swaption


attr(delete_Swaption, 'returnType') = 'void'
attr(delete_Swaption, "inputTypes") = c('_p_SwaptionPtr')
class(delete_Swaption) = c("SWIGFunction", class(delete_Swaption))

# Start of new_BlackSwaptionEngine

BlackSwaptionEngine = function(model)
{
  coerceIfNotSubclass(model, "_p_boost__shared_ptrTBlackModel_t") 
  ans = .Call('R_swig_new_BlackSwaptionEngine', model, PACKAGE='QuantLib')
  class(ans) <- "_p_BlackSwaptionEnginePtr"
  
  ans
  
}
# End of new_BlackSwaptionEngine


attr(BlackSwaptionEngine, 'returnType') = '_p_BlackSwaptionEnginePtr'
attr(BlackSwaptionEngine, "inputTypes") = c('_p_boost__shared_ptrTBlackModel_t')
class(BlackSwaptionEngine) = c("SWIGFunction", class(BlackSwaptionEngine))

# Start of delete_BlackSwaptionEngine

delete_BlackSwaptionEngine = function(self)
{
  coerceIfNotSubclass(self, "_p_BlackSwaptionEnginePtr") 
  .Call('R_swig_delete_BlackSwaptionEngine', self, PACKAGE='QuantLib')
  
}
# End of delete_BlackSwaptionEngine


attr(delete_BlackSwaptionEngine, 'returnType') = 'void'
attr(delete_BlackSwaptionEngine, "inputTypes") = c('_p_BlackSwaptionEnginePtr')
class(delete_BlackSwaptionEngine) = c("SWIGFunction", class(delete_BlackSwaptionEngine))

setGeneric('ZeroCurve', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('ZeroCurve'))
attr(ZeroCurve, 'returnType') = '_p_ZeroCurvePtr'
setMethod('ZeroCurve', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', '_p_Linear', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  coerceIfNotSubclass(s_arg4, "_p_Linear") 
  ans = .Call('R_swig_new_ZeroCurve__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroCurvePtr"
  
  ans
  
}

)
setMethod('ZeroCurve', c('_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_DayCounter") 
  ans = .Call('R_swig_new_ZeroCurve__SWIG_1', s_arg1, s_arg2, s_arg3, PACKAGE='QuantLib')
  class(ans) <- "_p_ZeroCurvePtr"
  
  ans
  
}

)
# Start of ZeroCurve_dates

ZeroCurve_dates = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_ZeroCurvePtr") 
  ans = .Call('R_swig_ZeroCurve_dates', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_std__vectorTDate_std__allocatorTDate_t_t"
  
  ans
  
}
# End of ZeroCurve_dates


attr(ZeroCurve_dates, 'returnType') = '_p_std__vectorTDate_std__allocatorTDate_t_t'
attr(ZeroCurve_dates, "inputTypes") = c('_p_ZeroCurvePtr')
class(ZeroCurve_dates) = c("SWIGFunction", class(ZeroCurve_dates))

# Start of delete_ZeroCurve

delete_ZeroCurve = function(self)
{
  coerceIfNotSubclass(self, "_p_ZeroCurvePtr") 
  .Call('R_swig_delete_ZeroCurve', self, PACKAGE='QuantLib')
  
}
# End of delete_ZeroCurve


attr(delete_ZeroCurve, 'returnType') = 'void'
attr(delete_ZeroCurve, "inputTypes") = c('_p_ZeroCurvePtr')
class(delete_ZeroCurve) = c("SWIGFunction", class(delete_ZeroCurve))

# Start of accessor method for ZeroCurvePtr
setMethod('$', '_p_ZeroCurvePtr', function(x, name)

{
  accessorFuns = list('dates' = ZeroCurve_dates)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for ZeroCurvePtr
# Start of new_DiscreteGeometricASO

DiscreteGeometricASO = function(type, underlying, dividendYield, riskFreeRate, timeDelays, volatility)
{
  type = enumToInteger(type, "_Option__Type") 
  
  if(length(type) > 1) {
    warning("using only the first element of type")
  }
  
  underlying = as.numeric(underlying) 
  dividendYield = as.numeric(dividendYield) 
  riskFreeRate = as.numeric(riskFreeRate) 
  coerceIfNotSubclass(timeDelays, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  volatility = as.numeric(volatility) 
  ans = .Call('R_swig_new_DiscreteGeometricASO', type, underlying, dividendYield, riskFreeRate, timeDelays, volatility, PACKAGE='QuantLib')
  class(ans) <- "_p_DiscreteGeometricASO"
  
  ans
  
}
# End of new_DiscreteGeometricASO


attr(DiscreteGeometricASO, 'returnType') = '_p_DiscreteGeometricASO'
attr(DiscreteGeometricASO, "inputTypes") = c('character', 'numeric', 'numeric', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric')
class(DiscreteGeometricASO) = c("SWIGFunction", class(DiscreteGeometricASO))

# Start of DiscreteGeometricASO_value

DiscreteGeometricASO_value = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_DiscreteGeometricASO") 
  .Call('R_swig_DiscreteGeometricASO_value', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of DiscreteGeometricASO_value


attr(DiscreteGeometricASO_value, 'returnType') = 'numeric'
attr(DiscreteGeometricASO_value, "inputTypes") = c('_p_DiscreteGeometricASO')
class(DiscreteGeometricASO_value) = c("SWIGFunction", class(DiscreteGeometricASO_value))

# Start of delete_DiscreteGeometricASO

delete_DiscreteGeometricASO = function(self)
{
  coerceIfNotSubclass(self, "_p_DiscreteGeometricASO") 
  .Call('R_swig_delete_DiscreteGeometricASO', self, PACKAGE='QuantLib')
  
}
# End of delete_DiscreteGeometricASO


attr(delete_DiscreteGeometricASO, 'returnType') = 'void'
attr(delete_DiscreteGeometricASO, "inputTypes") = c('_p_DiscreteGeometricASO')
class(delete_DiscreteGeometricASO) = c("SWIGFunction", class(delete_DiscreteGeometricASO))

# Start of accessor method for DiscreteGeometricASO
setMethod('$', '_p_DiscreteGeometricASO', function(x, name)

{
  accessorFuns = list('value' = DiscreteGeometricASO_value)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for DiscreteGeometricASO
setGeneric('McDiscreteArithmeticASO', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McDiscreteArithmeticASO'))
attr(McDiscreteArithmeticASO, 'returnType') = '_p_McDiscreteArithmeticASO'
setMethod('McDiscreteArithmeticASO', c('character', 'numeric', '_p_HandleTYieldTermStructure_t', '_p_HandleTYieldTermStructure_t', '_p_HandleTBlackVolTermStructure_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'logical', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  s_arg1 = enumToInteger(s_arg1, "_Option__Type") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg5, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_bool") 
  s_arg8 = as.numeric(s_arg8) 
  ans = .Call('R_swig_new_McDiscreteArithmeticASO__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_McDiscreteArithmeticASO"
  
  ans
  
}

)
setMethod('McDiscreteArithmeticASO', c('character', 'numeric', '_p_HandleTYieldTermStructure_t', '_p_HandleTYieldTermStructure_t', '_p_HandleTBlackVolTermStructure_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'logical'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  s_arg1 = enumToInteger(s_arg1, "_Option__Type") 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  s_arg2 = as.numeric(s_arg2) 
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg5, "_p_HandleTBlackVolTermStructure_t") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_bool") 
  ans = .Call('R_swig_new_McDiscreteArithmeticASO__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_McDiscreteArithmeticASO"
  
  ans
  
}

)
setGeneric('McDiscreteArithmeticASO_value', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McDiscreteArithmeticASO_value'))
attr(McDiscreteArithmeticASO_value, 'returnType') = 'numeric'
setMethod('McDiscreteArithmeticASO_value', c('_p_McDiscreteArithmeticASO', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McDiscreteArithmeticASO") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_McDiscreteArithmeticASO_value__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('McDiscreteArithmeticASO_value', c('_p_McDiscreteArithmeticASO', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McDiscreteArithmeticASO") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_McDiscreteArithmeticASO_value__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of McDiscreteArithmeticASO_valueWithSamples

McDiscreteArithmeticASO_valueWithSamples = function(self, samples, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McDiscreteArithmeticASO") 
  samples = as.integer(samples) 
  
  if(length(samples) > 1) {
    warning("using only the first element of samples")
  }
  
  .Call('R_swig_McDiscreteArithmeticASO_valueWithSamples', self, samples, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McDiscreteArithmeticASO_valueWithSamples


attr(McDiscreteArithmeticASO_valueWithSamples, 'returnType') = 'numeric'
attr(McDiscreteArithmeticASO_valueWithSamples, "inputTypes") = c('_p_McDiscreteArithmeticASO', 'numeric')
class(McDiscreteArithmeticASO_valueWithSamples) = c("SWIGFunction", class(McDiscreteArithmeticASO_valueWithSamples))

# Start of McDiscreteArithmeticASO_errorEstimate

McDiscreteArithmeticASO_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McDiscreteArithmeticASO") 
  .Call('R_swig_McDiscreteArithmeticASO_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McDiscreteArithmeticASO_errorEstimate


attr(McDiscreteArithmeticASO_errorEstimate, 'returnType') = 'numeric'
attr(McDiscreteArithmeticASO_errorEstimate, "inputTypes") = c('_p_McDiscreteArithmeticASO')
class(McDiscreteArithmeticASO_errorEstimate) = c("SWIGFunction", class(McDiscreteArithmeticASO_errorEstimate))

# Start of delete_McDiscreteArithmeticASO

delete_McDiscreteArithmeticASO = function(self)
{
  coerceIfNotSubclass(self, "_p_McDiscreteArithmeticASO") 
  .Call('R_swig_delete_McDiscreteArithmeticASO', self, PACKAGE='QuantLib')
  
}
# End of delete_McDiscreteArithmeticASO


attr(delete_McDiscreteArithmeticASO, 'returnType') = 'void'
attr(delete_McDiscreteArithmeticASO, "inputTypes") = c('_p_McDiscreteArithmeticASO')
class(delete_McDiscreteArithmeticASO) = c("SWIGFunction", class(delete_McDiscreteArithmeticASO))

# Start of accessor method for McDiscreteArithmeticASO
setMethod('$', '_p_McDiscreteArithmeticASO', function(x, name)

{
  accessorFuns = list('value' = McDiscreteArithmeticASO_value, 'value' = McDiscreteArithmeticASO_value, 'valueWithSamples' = McDiscreteArithmeticASO_valueWithSamples, 'errorEstimate' = McDiscreteArithmeticASO_errorEstimate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for McDiscreteArithmeticASO
setGeneric('McMaxBasket', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McMaxBasket'))
attr(McMaxBasket, 'returnType') = '_p_McMaxBasket'
setMethod('McMaxBasket', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_Matrix") 
  s_arg6 = as.numeric(s_arg6) 
  s_arg7 = as.numeric(s_arg7) 
  ans = .Call('R_swig_new_McMaxBasket__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_McMaxBasket"
  
  ans
  
}

)
setMethod('McMaxBasket', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_Matrix") 
  s_arg6 = as.numeric(s_arg6) 
  ans = .Call('R_swig_new_McMaxBasket__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_McMaxBasket"
  
  ans
  
}

)
setGeneric('McMaxBasket_value', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McMaxBasket_value'))
attr(McMaxBasket_value, 'returnType') = 'numeric'
setMethod('McMaxBasket_value', c('_p_McMaxBasket', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McMaxBasket") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_McMaxBasket_value__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('McMaxBasket_value', c('_p_McMaxBasket', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McMaxBasket") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_McMaxBasket_value__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of McMaxBasket_valueWithSamples

McMaxBasket_valueWithSamples = function(self, samples, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McMaxBasket") 
  samples = as.integer(samples) 
  
  if(length(samples) > 1) {
    warning("using only the first element of samples")
  }
  
  .Call('R_swig_McMaxBasket_valueWithSamples', self, samples, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McMaxBasket_valueWithSamples


attr(McMaxBasket_valueWithSamples, 'returnType') = 'numeric'
attr(McMaxBasket_valueWithSamples, "inputTypes") = c('_p_McMaxBasket', 'numeric')
class(McMaxBasket_valueWithSamples) = c("SWIGFunction", class(McMaxBasket_valueWithSamples))

# Start of McMaxBasket_errorEstimate

McMaxBasket_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McMaxBasket") 
  .Call('R_swig_McMaxBasket_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McMaxBasket_errorEstimate


attr(McMaxBasket_errorEstimate, 'returnType') = 'numeric'
attr(McMaxBasket_errorEstimate, "inputTypes") = c('_p_McMaxBasket')
class(McMaxBasket_errorEstimate) = c("SWIGFunction", class(McMaxBasket_errorEstimate))

# Start of delete_McMaxBasket

delete_McMaxBasket = function(self)
{
  coerceIfNotSubclass(self, "_p_McMaxBasket") 
  .Call('R_swig_delete_McMaxBasket', self, PACKAGE='QuantLib')
  
}
# End of delete_McMaxBasket


attr(delete_McMaxBasket, 'returnType') = 'void'
attr(delete_McMaxBasket, "inputTypes") = c('_p_McMaxBasket')
class(delete_McMaxBasket) = c("SWIGFunction", class(delete_McMaxBasket))

# Start of accessor method for McMaxBasket
setMethod('$', '_p_McMaxBasket', function(x, name)

{
  accessorFuns = list('value' = McMaxBasket_value, 'value' = McMaxBasket_value, 'valueWithSamples' = McMaxBasket_valueWithSamples, 'errorEstimate' = McMaxBasket_errorEstimate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for McMaxBasket
setGeneric('McHimalaya', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McHimalaya'))
attr(McHimalaya, 'returnType') = '_p_McHimalaya'
setMethod('McHimalaya', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_Matrix") 
  s_arg6 = as.numeric(s_arg6) 
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg8 = as.numeric(s_arg8) 
  ans = .Call('R_swig_new_McHimalaya__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_McHimalaya"
  
  ans
  
}

)
setMethod('McHimalaya', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', 'numeric', '_p_std__vectorTdouble_std__allocatorTdouble_t_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_Matrix") 
  s_arg6 = as.numeric(s_arg6) 
  coerceIfNotSubclass(s_arg7, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_new_McHimalaya__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, PACKAGE='QuantLib')
  class(ans) <- "_p_McHimalaya"
  
  ans
  
}

)
setGeneric('McHimalaya_value', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McHimalaya_value'))
attr(McHimalaya_value, 'returnType') = 'numeric'
setMethod('McHimalaya_value', c('_p_McHimalaya', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McHimalaya") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_McHimalaya_value__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('McHimalaya_value', c('_p_McHimalaya', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McHimalaya") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_McHimalaya_value__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of McHimalaya_valueWithSamples

McHimalaya_valueWithSamples = function(self, samples, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McHimalaya") 
  samples = as.integer(samples) 
  
  if(length(samples) > 1) {
    warning("using only the first element of samples")
  }
  
  .Call('R_swig_McHimalaya_valueWithSamples', self, samples, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McHimalaya_valueWithSamples


attr(McHimalaya_valueWithSamples, 'returnType') = 'numeric'
attr(McHimalaya_valueWithSamples, "inputTypes") = c('_p_McHimalaya', 'numeric')
class(McHimalaya_valueWithSamples) = c("SWIGFunction", class(McHimalaya_valueWithSamples))

# Start of McHimalaya_errorEstimate

McHimalaya_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McHimalaya") 
  .Call('R_swig_McHimalaya_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McHimalaya_errorEstimate


attr(McHimalaya_errorEstimate, 'returnType') = 'numeric'
attr(McHimalaya_errorEstimate, "inputTypes") = c('_p_McHimalaya')
class(McHimalaya_errorEstimate) = c("SWIGFunction", class(McHimalaya_errorEstimate))

# Start of delete_McHimalaya

delete_McHimalaya = function(self)
{
  coerceIfNotSubclass(self, "_p_McHimalaya") 
  .Call('R_swig_delete_McHimalaya', self, PACKAGE='QuantLib')
  
}
# End of delete_McHimalaya


attr(delete_McHimalaya, 'returnType') = 'void'
attr(delete_McHimalaya, "inputTypes") = c('_p_McHimalaya')
class(delete_McHimalaya) = c("SWIGFunction", class(delete_McHimalaya))

# Start of accessor method for McHimalaya
setMethod('$', '_p_McHimalaya', function(x, name)

{
  accessorFuns = list('value' = McHimalaya_value, 'value' = McHimalaya_value, 'valueWithSamples' = McHimalaya_valueWithSamples, 'errorEstimate' = McHimalaya_errorEstimate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for McHimalaya
setGeneric('McEverest', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McEverest'))
attr(McEverest, 'returnType') = '_p_McEverest'
setMethod('McEverest', c('_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', 'numeric', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_Matrix") 
  s_arg5 = as.numeric(s_arg5) 
  s_arg6 = as.numeric(s_arg6) 
  ans = .Call('R_swig_new_McEverest__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, PACKAGE='QuantLib')
  class(ans) <- "_p_McEverest"
  
  ans
  
}

)
setMethod('McEverest', c('_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg2, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_Matrix") 
  s_arg5 = as.numeric(s_arg5) 
  ans = .Call('R_swig_new_McEverest__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_McEverest"
  
  ans
  
}

)
setGeneric('McEverest_value', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McEverest_value'))
attr(McEverest_value, 'returnType') = 'numeric'
setMethod('McEverest_value', c('_p_McEverest', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McEverest") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_McEverest_value__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('McEverest_value', c('_p_McEverest', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McEverest") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_McEverest_value__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of McEverest_valueWithSamples

McEverest_valueWithSamples = function(self, samples, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McEverest") 
  samples = as.integer(samples) 
  
  if(length(samples) > 1) {
    warning("using only the first element of samples")
  }
  
  .Call('R_swig_McEverest_valueWithSamples', self, samples, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McEverest_valueWithSamples


attr(McEverest_valueWithSamples, 'returnType') = 'numeric'
attr(McEverest_valueWithSamples, "inputTypes") = c('_p_McEverest', 'numeric')
class(McEverest_valueWithSamples) = c("SWIGFunction", class(McEverest_valueWithSamples))

# Start of McEverest_errorEstimate

McEverest_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McEverest") 
  .Call('R_swig_McEverest_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McEverest_errorEstimate


attr(McEverest_errorEstimate, 'returnType') = 'numeric'
attr(McEverest_errorEstimate, "inputTypes") = c('_p_McEverest')
class(McEverest_errorEstimate) = c("SWIGFunction", class(McEverest_errorEstimate))

# Start of delete_McEverest

delete_McEverest = function(self)
{
  coerceIfNotSubclass(self, "_p_McEverest") 
  .Call('R_swig_delete_McEverest', self, PACKAGE='QuantLib')
  
}
# End of delete_McEverest


attr(delete_McEverest, 'returnType') = 'void'
attr(delete_McEverest, "inputTypes") = c('_p_McEverest')
class(delete_McEverest) = c("SWIGFunction", class(delete_McEverest))

# Start of accessor method for McEverest
setMethod('$', '_p_McEverest', function(x, name)

{
  accessorFuns = list('value' = McEverest_value, 'value' = McEverest_value, 'valueWithSamples' = McEverest_valueWithSamples, 'errorEstimate' = McEverest_errorEstimate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for McEverest
setGeneric('McPagoda', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McPagoda'))
attr(McPagoda, 'returnType') = '_p_McPagoda'
setMethod('McPagoda', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric', '_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_Matrix") 
  coerceIfNotSubclass(s_arg8, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg9 = as.numeric(s_arg9) 
  ans = .Call('R_swig_new_McPagoda__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, s_arg9, PACKAGE='QuantLib')
  class(ans) <- "_p_McPagoda"
  
  ans
  
}

)
setMethod('McPagoda', c('_p_std__vectorTdouble_std__allocatorTdouble_t_t', 'numeric', 'numeric', '_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t', '_p_HandleTYieldTermStructure_t', '_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t', '_p_Matrix', '_p_std__vectorTdouble_std__allocatorTdouble_t_t'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8)
{
  coerceIfNotSubclass(s_arg1, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTHandleTYieldTermStructure_t_std__allocatorTHandleTYieldTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_HandleTYieldTermStructure_t") 
  coerceIfNotSubclass(s_arg6, "_p_std__vectorTHandleTBlackVolTermStructure_t_std__allocatorTHandleTBlackVolTermStructure_t_t_t") 
  coerceIfNotSubclass(s_arg7, "_p_Matrix") 
  coerceIfNotSubclass(s_arg8, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  ans = .Call('R_swig_new_McPagoda__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, s_arg6, s_arg7, s_arg8, PACKAGE='QuantLib')
  class(ans) <- "_p_McPagoda"
  
  ans
  
}

)
setGeneric('McPagoda_value', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('McPagoda_value'))
attr(McPagoda_value, 'returnType') = 'numeric'
setMethod('McPagoda_value', c('_p_McPagoda', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McPagoda") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.integer(s_arg3) 
  
  if(length(s_arg3) > 1) {
    warning("using only the first element of s_arg3")
  }
  
  .Call('R_swig_McPagoda_value__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('McPagoda_value', c('_p_McPagoda', 'numeric', s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_McPagoda") 
  s_arg2 = as.numeric(s_arg2) 
  .Call('R_swig_McPagoda_value__SWIG_1', s_arg1, s_arg2, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of McPagoda_valueWithSamples

McPagoda_valueWithSamples = function(self, samples, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McPagoda") 
  samples = as.integer(samples) 
  
  if(length(samples) > 1) {
    warning("using only the first element of samples")
  }
  
  .Call('R_swig_McPagoda_valueWithSamples', self, samples, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McPagoda_valueWithSamples


attr(McPagoda_valueWithSamples, 'returnType') = 'numeric'
attr(McPagoda_valueWithSamples, "inputTypes") = c('_p_McPagoda', 'numeric')
class(McPagoda_valueWithSamples) = c("SWIGFunction", class(McPagoda_valueWithSamples))

# Start of McPagoda_errorEstimate

McPagoda_errorEstimate = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_McPagoda") 
  .Call('R_swig_McPagoda_errorEstimate', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of McPagoda_errorEstimate


attr(McPagoda_errorEstimate, 'returnType') = 'numeric'
attr(McPagoda_errorEstimate, "inputTypes") = c('_p_McPagoda')
class(McPagoda_errorEstimate) = c("SWIGFunction", class(McPagoda_errorEstimate))

# Start of delete_McPagoda

delete_McPagoda = function(self)
{
  coerceIfNotSubclass(self, "_p_McPagoda") 
  .Call('R_swig_delete_McPagoda', self, PACKAGE='QuantLib')
  
}
# End of delete_McPagoda


attr(delete_McPagoda, 'returnType') = 'void'
attr(delete_McPagoda, "inputTypes") = c('_p_McPagoda')
class(delete_McPagoda) = c("SWIGFunction", class(delete_McPagoda))

# Start of accessor method for McPagoda
setMethod('$', '_p_McPagoda', function(x, name)

{
  accessorFuns = list('value' = McPagoda_value, 'value' = McPagoda_value, 'valueWithSamples' = McPagoda_valueWithSamples, 'errorEstimate' = McPagoda_errorEstimate)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for McPagoda
# Start of SwaptionVolatilityStructure___deref__

SwaptionVolatilityStructure___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  ans = .Call('R_swig_SwaptionVolatilityStructure___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_SwaptionVolatilityStructure"
  
  ans
  
}
# End of SwaptionVolatilityStructure___deref__


attr(SwaptionVolatilityStructure___deref__, 'returnType') = '_p_SwaptionVolatilityStructure'
attr(SwaptionVolatilityStructure___deref__, "inputTypes") = c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t')
class(SwaptionVolatilityStructure___deref__) = c("SWIGFunction", class(SwaptionVolatilityStructure___deref__))

# Start of SwaptionVolatilityStructure_isNull

SwaptionVolatilityStructure_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  .Call('R_swig_SwaptionVolatilityStructure_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SwaptionVolatilityStructure_isNull


attr(SwaptionVolatilityStructure_isNull, 'returnType') = 'logical'
attr(SwaptionVolatilityStructure_isNull, "inputTypes") = c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t')
class(SwaptionVolatilityStructure_isNull) = c("SWIGFunction", class(SwaptionVolatilityStructure_isNull))

# Start of SwaptionVolatilityStructure_asObservable

SwaptionVolatilityStructure_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  ans = .Call('R_swig_SwaptionVolatilityStructure_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of SwaptionVolatilityStructure_asObservable


attr(SwaptionVolatilityStructure_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(SwaptionVolatilityStructure_asObservable, "inputTypes") = c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t')
class(SwaptionVolatilityStructure_asObservable) = c("SWIGFunction", class(SwaptionVolatilityStructure_asObservable))

# Start of new_SwaptionVolatilityStructure

SwaptionVolatilityStructure = function()
{
  ans = .Call('R_swig_new_SwaptionVolatilityStructure', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTSwaptionVolatilityStructure_t"
  
  ans
  
}
# End of new_SwaptionVolatilityStructure


attr(SwaptionVolatilityStructure, 'returnType') = '_p_boost__shared_ptrTSwaptionVolatilityStructure_t'
class(SwaptionVolatilityStructure) = c("SWIGFunction", class(SwaptionVolatilityStructure))

# Start of delete_SwaptionVolatilityStructure

delete_SwaptionVolatilityStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  .Call('R_swig_delete_SwaptionVolatilityStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_SwaptionVolatilityStructure


attr(delete_SwaptionVolatilityStructure, 'returnType') = 'void'
attr(delete_SwaptionVolatilityStructure, "inputTypes") = c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t')
class(delete_SwaptionVolatilityStructure) = c("SWIGFunction", class(delete_SwaptionVolatilityStructure))

setGeneric('SwaptionVolatilityStructure_volatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('SwaptionVolatilityStructure_volatility'))
attr(SwaptionVolatilityStructure_volatility, 'returnType') = 'numeric'
setMethod('SwaptionVolatilityStructure_volatility', c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t', '_p_Date', '_p_Period', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Period") 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_SwaptionVolatilityStructure_volatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('SwaptionVolatilityStructure_volatility', c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_SwaptionVolatilityStructure_volatility__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of accessor method for boost::shared_ptr<(SwaptionVolatilityStructure)>
setMethod('$', '_p_boost__shared_ptrTSwaptionVolatilityStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = SwaptionVolatilityStructure___deref__, 'isNull' = SwaptionVolatilityStructure_isNull, 'asObservable' = SwaptionVolatilityStructure_asObservable, 'volatility' = SwaptionVolatilityStructure_volatility, 'volatility' = SwaptionVolatilityStructure_volatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(SwaptionVolatilityStructure)>
setGeneric('SwaptionVolatilityStructureHandle', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('SwaptionVolatilityStructureHandle'))
attr(SwaptionVolatilityStructureHandle, 'returnType') = '_p_HandleTSwaptionVolatilityStructure_t'
setMethod('SwaptionVolatilityStructureHandle', c('_p_boost__shared_ptrTSwaptionVolatilityStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  ans = .Call('R_swig_new_SwaptionVolatilityStructureHandle__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTSwaptionVolatilityStructure_t"
  
  ans
  
}

)
setMethod('SwaptionVolatilityStructureHandle', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_SwaptionVolatilityStructureHandle__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTSwaptionVolatilityStructure_t"
  
  ans
  
}

)
# Start of SwaptionVolatilityStructureHandle___deref__

SwaptionVolatilityStructureHandle___deref__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTSwaptionVolatilityStructure_t") 
  ans = .Call('R_swig_SwaptionVolatilityStructureHandle___deref__', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTSwaptionVolatilityStructure_t"
  
  ans
  
}
# End of SwaptionVolatilityStructureHandle___deref__


attr(SwaptionVolatilityStructureHandle___deref__, 'returnType') = '_p_boost__shared_ptrTSwaptionVolatilityStructure_t'
attr(SwaptionVolatilityStructureHandle___deref__, "inputTypes") = c('_p_HandleTSwaptionVolatilityStructure_t')
class(SwaptionVolatilityStructureHandle___deref__) = c("SWIGFunction", class(SwaptionVolatilityStructureHandle___deref__))

# Start of SwaptionVolatilityStructureHandle_linkTo

SwaptionVolatilityStructureHandle_linkTo = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_HandleTSwaptionVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTSwaptionVolatilityStructure_t") 
  .Call('R_swig_SwaptionVolatilityStructureHandle_linkTo', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of SwaptionVolatilityStructureHandle_linkTo


attr(SwaptionVolatilityStructureHandle_linkTo, 'returnType') = 'void'
attr(SwaptionVolatilityStructureHandle_linkTo, "inputTypes") = c('_p_HandleTSwaptionVolatilityStructure_t', '_p_boost__shared_ptrTSwaptionVolatilityStructure_t')
class(SwaptionVolatilityStructureHandle_linkTo) = c("SWIGFunction", class(SwaptionVolatilityStructureHandle_linkTo))

# Start of SwaptionVolatilityStructureHandle_empty

SwaptionVolatilityStructureHandle_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTSwaptionVolatilityStructure_t") 
  .Call('R_swig_SwaptionVolatilityStructureHandle_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of SwaptionVolatilityStructureHandle_empty


attr(SwaptionVolatilityStructureHandle_empty, 'returnType') = 'logical'
attr(SwaptionVolatilityStructureHandle_empty, "inputTypes") = c('_p_HandleTSwaptionVolatilityStructure_t')
class(SwaptionVolatilityStructureHandle_empty) = c("SWIGFunction", class(SwaptionVolatilityStructureHandle_empty))

# Start of SwaptionVolatilityStructureHandle_asObservable

SwaptionVolatilityStructureHandle_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTSwaptionVolatilityStructure_t") 
  ans = .Call('R_swig_SwaptionVolatilityStructureHandle_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of SwaptionVolatilityStructureHandle_asObservable


attr(SwaptionVolatilityStructureHandle_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(SwaptionVolatilityStructureHandle_asObservable, "inputTypes") = c('_p_HandleTSwaptionVolatilityStructure_t')
class(SwaptionVolatilityStructureHandle_asObservable) = c("SWIGFunction", class(SwaptionVolatilityStructureHandle_asObservable))

# Start of delete_SwaptionVolatilityStructureHandle

delete_SwaptionVolatilityStructureHandle = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTSwaptionVolatilityStructure_t") 
  .Call('R_swig_delete_SwaptionVolatilityStructureHandle', self, PACKAGE='QuantLib')
  
}
# End of delete_SwaptionVolatilityStructureHandle


attr(delete_SwaptionVolatilityStructureHandle, 'returnType') = 'void'
attr(delete_SwaptionVolatilityStructureHandle, "inputTypes") = c('_p_HandleTSwaptionVolatilityStructure_t')
class(delete_SwaptionVolatilityStructureHandle) = c("SWIGFunction", class(delete_SwaptionVolatilityStructureHandle))

setGeneric('SwaptionVolatilityStructureHandle_volatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('SwaptionVolatilityStructureHandle_volatility'))
attr(SwaptionVolatilityStructureHandle_volatility, 'returnType') = 'numeric'
setMethod('SwaptionVolatilityStructureHandle_volatility', c('_p_HandleTSwaptionVolatilityStructure_t', '_p_Date', '_p_Period', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTSwaptionVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  coerceIfNotSubclass(s_arg3, "_p_Period") 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_SwaptionVolatilityStructureHandle_volatility__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('SwaptionVolatilityStructureHandle_volatility', c('_p_HandleTSwaptionVolatilityStructure_t', 'numeric', 'numeric', 'numeric', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTSwaptionVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  s_arg4 = as.numeric(s_arg4) 
  .Call('R_swig_SwaptionVolatilityStructureHandle_volatility__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of accessor method for Handle<(SwaptionVolatilityStructure)>
setMethod('$', '_p_HandleTSwaptionVolatilityStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = SwaptionVolatilityStructureHandle___deref__, 'linkTo' = SwaptionVolatilityStructureHandle_linkTo, 'empty' = SwaptionVolatilityStructureHandle_empty, 'asObservable' = SwaptionVolatilityStructureHandle_asObservable, 'volatility' = SwaptionVolatilityStructureHandle_volatility, 'volatility' = SwaptionVolatilityStructureHandle_volatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Handle<(SwaptionVolatilityStructure)>
# Start of new_SwaptionVolatilityMatrix

SwaptionVolatilityMatrix = function(referenceDate, dates, lengths, vols, dayCounter)
{
  coerceIfNotSubclass(referenceDate, "_p_Date") 
  coerceIfNotSubclass(dates, "_p_std__vectorTDate_std__allocatorTDate_t_t") 
  coerceIfNotSubclass(lengths, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  coerceIfNotSubclass(vols, "_p_Matrix") 
  coerceIfNotSubclass(dayCounter, "_p_DayCounter") 
  ans = .Call('R_swig_new_SwaptionVolatilityMatrix', referenceDate, dates, lengths, vols, dayCounter, PACKAGE='QuantLib')
  class(ans) <- "_p_SwaptionVolatilityMatrixPtr"
  
  ans
  
}
# End of new_SwaptionVolatilityMatrix


attr(SwaptionVolatilityMatrix, 'returnType') = '_p_SwaptionVolatilityMatrixPtr'
attr(SwaptionVolatilityMatrix, "inputTypes") = c('_p_Date', '_p_std__vectorTDate_std__allocatorTDate_t_t', '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', '_p_Matrix', '_p_DayCounter')
class(SwaptionVolatilityMatrix) = c("SWIGFunction", class(SwaptionVolatilityMatrix))

# Start of delete_SwaptionVolatilityMatrix

delete_SwaptionVolatilityMatrix = function(self)
{
  coerceIfNotSubclass(self, "_p_SwaptionVolatilityMatrixPtr") 
  .Call('R_swig_delete_SwaptionVolatilityMatrix', self, PACKAGE='QuantLib')
  
}
# End of delete_SwaptionVolatilityMatrix


attr(delete_SwaptionVolatilityMatrix, 'returnType') = 'void'
attr(delete_SwaptionVolatilityMatrix, "inputTypes") = c('_p_SwaptionVolatilityMatrixPtr')
class(delete_SwaptionVolatilityMatrix) = c("SWIGFunction", class(delete_SwaptionVolatilityMatrix))

# Start of CapVolatilityStructure___deref__

CapVolatilityStructure___deref__ = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  ans = .Call('R_swig_CapVolatilityStructure___deref__', self, PACKAGE='QuantLib')
  class(ans) <- "_p_CapVolatilityStructure"
  
  ans
  
}
# End of CapVolatilityStructure___deref__


attr(CapVolatilityStructure___deref__, 'returnType') = '_p_CapVolatilityStructure'
attr(CapVolatilityStructure___deref__, "inputTypes") = c('_p_boost__shared_ptrTCapVolatilityStructure_t')
class(CapVolatilityStructure___deref__) = c("SWIGFunction", class(CapVolatilityStructure___deref__))

# Start of CapVolatilityStructure_isNull

CapVolatilityStructure_isNull = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  .Call('R_swig_CapVolatilityStructure_isNull', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapVolatilityStructure_isNull


attr(CapVolatilityStructure_isNull, 'returnType') = 'logical'
attr(CapVolatilityStructure_isNull, "inputTypes") = c('_p_boost__shared_ptrTCapVolatilityStructure_t')
class(CapVolatilityStructure_isNull) = c("SWIGFunction", class(CapVolatilityStructure_isNull))

# Start of CapVolatilityStructure_asObservable

CapVolatilityStructure_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  ans = .Call('R_swig_CapVolatilityStructure_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of CapVolatilityStructure_asObservable


attr(CapVolatilityStructure_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(CapVolatilityStructure_asObservable, "inputTypes") = c('_p_boost__shared_ptrTCapVolatilityStructure_t')
class(CapVolatilityStructure_asObservable) = c("SWIGFunction", class(CapVolatilityStructure_asObservable))

# Start of new_CapVolatilityStructure

CapVolatilityStructure = function()
{
  ans = .Call('R_swig_new_CapVolatilityStructure', PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCapVolatilityStructure_t"
  
  ans
  
}
# End of new_CapVolatilityStructure


attr(CapVolatilityStructure, 'returnType') = '_p_boost__shared_ptrTCapVolatilityStructure_t'
class(CapVolatilityStructure) = c("SWIGFunction", class(CapVolatilityStructure))

# Start of delete_CapVolatilityStructure

delete_CapVolatilityStructure = function(self)
{
  coerceIfNotSubclass(self, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  .Call('R_swig_delete_CapVolatilityStructure', self, PACKAGE='QuantLib')
  
}
# End of delete_CapVolatilityStructure


attr(delete_CapVolatilityStructure, 'returnType') = 'void'
attr(delete_CapVolatilityStructure, "inputTypes") = c('_p_boost__shared_ptrTCapVolatilityStructure_t')
class(delete_CapVolatilityStructure) = c("SWIGFunction", class(delete_CapVolatilityStructure))

setGeneric('CapVolatilityStructure_volatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapVolatilityStructure_volatility'))
attr(CapVolatilityStructure_volatility, 'returnType') = 'numeric'
setMethod('CapVolatilityStructure_volatility', c('_p_boost__shared_ptrTCapVolatilityStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapVolatilityStructure_volatility__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapVolatilityStructure_volatility', c('_p_boost__shared_ptrTCapVolatilityStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapVolatilityStructure_volatility__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of accessor method for boost::shared_ptr<(CapVolatilityStructure)>
setMethod('$', '_p_boost__shared_ptrTCapVolatilityStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = CapVolatilityStructure___deref__, 'isNull' = CapVolatilityStructure_isNull, 'asObservable' = CapVolatilityStructure_asObservable, 'volatility' = CapVolatilityStructure_volatility, 'volatility' = CapVolatilityStructure_volatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for boost::shared_ptr<(CapVolatilityStructure)>
setGeneric('CapVolatilityStructureHandle', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapVolatilityStructureHandle'))
attr(CapVolatilityStructureHandle, 'returnType') = '_p_HandleTCapVolatilityStructure_t'
setMethod('CapVolatilityStructureHandle', c('_p_boost__shared_ptrTCapVolatilityStructure_t', s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1)
{
  coerceIfNotSubclass(s_arg1, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  ans = .Call('R_swig_new_CapVolatilityStructureHandle__SWIG_0', s_arg1, PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTCapVolatilityStructure_t"
  
  ans
  
}

)
setMethod('CapVolatilityStructureHandle', c(s_arg1 = "missing", s_arg2 = "missing", s_arg3 = "missing", s_arg4 = "missing", s_arg5 = "missing"), 
function()
{
  ans = .Call('R_swig_new_CapVolatilityStructureHandle__SWIG_1', PACKAGE='QuantLib')
  class(ans) <- "_p_HandleTCapVolatilityStructure_t"
  
  ans
  
}

)
# Start of CapVolatilityStructureHandle___deref__

CapVolatilityStructureHandle___deref__ = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapVolatilityStructure_t") 
  ans = .Call('R_swig_CapVolatilityStructureHandle___deref__', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTCapVolatilityStructure_t"
  
  ans
  
}
# End of CapVolatilityStructureHandle___deref__


attr(CapVolatilityStructureHandle___deref__, 'returnType') = '_p_boost__shared_ptrTCapVolatilityStructure_t'
attr(CapVolatilityStructureHandle___deref__, "inputTypes") = c('_p_HandleTCapVolatilityStructure_t')
class(CapVolatilityStructureHandle___deref__) = c("SWIGFunction", class(CapVolatilityStructureHandle___deref__))

# Start of CapVolatilityStructureHandle_linkTo

CapVolatilityStructureHandle_linkTo = function(self, s_arg2)
{
  coerceIfNotSubclass(self, "_p_HandleTCapVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_boost__shared_ptrTCapVolatilityStructure_t") 
  .Call('R_swig_CapVolatilityStructureHandle_linkTo', self, s_arg2, PACKAGE='QuantLib')
  
}
# End of CapVolatilityStructureHandle_linkTo


attr(CapVolatilityStructureHandle_linkTo, 'returnType') = 'void'
attr(CapVolatilityStructureHandle_linkTo, "inputTypes") = c('_p_HandleTCapVolatilityStructure_t', '_p_boost__shared_ptrTCapVolatilityStructure_t')
class(CapVolatilityStructureHandle_linkTo) = c("SWIGFunction", class(CapVolatilityStructureHandle_linkTo))

# Start of CapVolatilityStructureHandle_empty

CapVolatilityStructureHandle_empty = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapVolatilityStructure_t") 
  .Call('R_swig_CapVolatilityStructureHandle_empty', self, as.logical(.copy), PACKAGE='QuantLib')
  
}
# End of CapVolatilityStructureHandle_empty


attr(CapVolatilityStructureHandle_empty, 'returnType') = 'logical'
attr(CapVolatilityStructureHandle_empty, "inputTypes") = c('_p_HandleTCapVolatilityStructure_t')
class(CapVolatilityStructureHandle_empty) = c("SWIGFunction", class(CapVolatilityStructureHandle_empty))

# Start of CapVolatilityStructureHandle_asObservable

CapVolatilityStructureHandle_asObservable = function(self, .copy = FALSE)
{
  coerceIfNotSubclass(self, "_p_HandleTCapVolatilityStructure_t") 
  ans = .Call('R_swig_CapVolatilityStructureHandle_asObservable', self, as.logical(.copy), PACKAGE='QuantLib')
  class(ans) <- "_p_boost__shared_ptrTObservable_t"
  
  ans
  
}
# End of CapVolatilityStructureHandle_asObservable


attr(CapVolatilityStructureHandle_asObservable, 'returnType') = '_p_boost__shared_ptrTObservable_t'
attr(CapVolatilityStructureHandle_asObservable, "inputTypes") = c('_p_HandleTCapVolatilityStructure_t')
class(CapVolatilityStructureHandle_asObservable) = c("SWIGFunction", class(CapVolatilityStructureHandle_asObservable))

# Start of delete_CapVolatilityStructureHandle

delete_CapVolatilityStructureHandle = function(self)
{
  coerceIfNotSubclass(self, "_p_HandleTCapVolatilityStructure_t") 
  .Call('R_swig_delete_CapVolatilityStructureHandle', self, PACKAGE='QuantLib')
  
}
# End of delete_CapVolatilityStructureHandle


attr(delete_CapVolatilityStructureHandle, 'returnType') = 'void'
attr(delete_CapVolatilityStructureHandle, "inputTypes") = c('_p_HandleTCapVolatilityStructure_t')
class(delete_CapVolatilityStructureHandle) = c("SWIGFunction", class(delete_CapVolatilityStructureHandle))

setGeneric('CapVolatilityStructureHandle_volatility', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapVolatilityStructureHandle_volatility'))
attr(CapVolatilityStructureHandle_volatility, 'returnType') = 'numeric'
setMethod('CapVolatilityStructureHandle_volatility', c('_p_HandleTCapVolatilityStructure_t', '_p_Date', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTCapVolatilityStructure_t") 
  coerceIfNotSubclass(s_arg2, "_p_Date") 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapVolatilityStructureHandle_volatility__SWIG_0', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
setMethod('CapVolatilityStructureHandle_volatility', c('_p_HandleTCapVolatilityStructure_t', 'numeric', 'numeric', s_arg4 = "missing", s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, .copy = FALSE)
{
  coerceIfNotSubclass(s_arg1, "_p_HandleTCapVolatilityStructure_t") 
  s_arg2 = as.numeric(s_arg2) 
  s_arg3 = as.numeric(s_arg3) 
  .Call('R_swig_CapVolatilityStructureHandle_volatility__SWIG_1', s_arg1, s_arg2, s_arg3, as.logical(.copy), PACKAGE='QuantLib')
  
}

)
# Start of accessor method for Handle<(CapVolatilityStructure)>
setMethod('$', '_p_HandleTCapVolatilityStructure_t', function(x, name)

{
  accessorFuns = list('operator ->' = CapVolatilityStructureHandle___deref__, 'linkTo' = CapVolatilityStructureHandle_linkTo, 'empty' = CapVolatilityStructureHandle_empty, 'asObservable' = CapVolatilityStructureHandle_asObservable, 'volatility' = CapVolatilityStructureHandle_volatility, 'volatility' = CapVolatilityStructureHandle_volatility)
  idx = pmatch(name, names(accessorFuns))
  if(is.na(idx)) {
    return(callNextMethod())
  }
  f = accessorFuns[[idx]]
  formals(f)[[1]] = x
  f
}



)
# end of accessor method for Handle<(CapVolatilityStructure)>
setGeneric('CapVolatilityVector', function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, ...) standardGeneric('CapVolatilityVector'))
attr(CapVolatilityVector, 'returnType') = '_p_CapVolatilityVectorPtr'
setMethod('CapVolatilityVector', c('_p_Date', '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter', s_arg5 = "missing"), 
function(s_arg1, s_arg2, s_arg3, s_arg4)
{
  coerceIfNotSubclass(s_arg1, "_p_Date") 
  coerceIfNotSubclass(s_arg2, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_DayCounter") 
  ans = .Call('R_swig_new_CapVolatilityVector__SWIG_0', s_arg1, s_arg2, s_arg3, s_arg4, PACKAGE='QuantLib')
  class(ans) <- "_p_CapVolatilityVectorPtr"
  
  ans
  
}

)
setMethod('CapVolatilityVector', c('numeric', '_p_Calendar', '_p_std__vectorTPeriod_std__allocatorTPeriod_t_t', '_p_std__vectorTdouble_std__allocatorTdouble_t_t', '_p_DayCounter'), 
function(s_arg1, s_arg2, s_arg3, s_arg4, s_arg5)
{
  s_arg1 = as.integer(s_arg1) 
  
  if(length(s_arg1) > 1) {
    warning("using only the first element of s_arg1")
  }
  
  coerceIfNotSubclass(s_arg2, "_p_Calendar") 
  coerceIfNotSubclass(s_arg3, "_p_std__vectorTPeriod_std__allocatorTPeriod_t_t") 
  coerceIfNotSubclass(s_arg4, "_p_std__vectorTdouble_std__allocatorTdouble_t_t") 
  coerceIfNotSubclass(s_arg5, "_p_DayCounter") 
  ans = .Call('R_swig_new_CapVolatilityVector__SWIG_1', s_arg1, s_arg2, s_arg3, s_arg4, s_arg5, PACKAGE='QuantLib')
  class(ans) <- "_p_CapVolatilityVectorPtr"
  
  ans
  
}

)
# Start of delete_CapVolatilityVector

delete_CapVolatilityVector = function(self)
{
  coerceIfNotSubclass(self, "_p_CapVolatilityVectorPtr") 
  .Call('R_swig_delete_CapVolatilityVector', self, PACKAGE='QuantLib')
  
}
# End of delete_CapVolatilityVector


attr(delete_CapVolatilityVector, 'returnType') = 'void'
attr(delete_CapVolatilityVector, "inputTypes") = c('_p_CapVolatilityVectorPtr')
class(delete_CapVolatilityVector) = c("SWIGFunction", class(delete_CapVolatilityVector))


